#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 1265
#define LARGE_STATE_COUNT 34
#define SYMBOL_COUNT 437
#define ALIAS_COUNT 0
#define TOKEN_COUNT 176
#define EXTERNAL_TOKEN_COUNT 0
#define FIELD_COUNT 12
#define MAX_ALIAS_SEQUENCE_LENGTH 10
#define PRODUCTION_ID_COUNT 14

enum ts_symbol_identifiers {
    anon_sym_short = 1,
    anon_sym_int16 = 2,
    anon_sym_long = 3,
    anon_sym_int32 = 4,
    anon_sym_longlong = 5,
    anon_sym_int64 = 6,
    sym_unsigned_tiny_int = 7,
    sym_boolean_type = 8,
    anon_sym_fixed = 9,
    sym_octet_type = 10,
    sym_signed_tiny_int = 11,
    anon_sym_unsignedshort = 12,
    anon_sym_uint16 = 13,
    anon_sym_unsignedlong = 14,
    anon_sym_uint32 = 15,
    anon_sym_unsignedlonglong = 16,
    anon_sym_uint64 = 17,
    anon_sym_float = 18,
    anon_sym_double = 19,
    anon_sym_longdouble = 20,
    anon_sym_char = 21,
    anon_sym_wchar = 22,
    anon_sym_COLON_COLON = 23,
    anon_sym_string = 24,
    anon_sym_wstring = 25,
    anon_sym_LT = 26,
    anon_sym_GT = 27,
    anon_sym_any = 28,
    anon_sym_COMMA = 29,
    anon_sym_sequence = 30,
    anon_sym_map = 31,
    anon_sym_PIPE = 32,
    anon_sym_CARET = 33,
    anon_sym_AMP = 34,
    anon_sym_GT_GT = 35,
    anon_sym_LT_LT = 36,
    anon_sym_PLUS = 37,
    anon_sym_DASH = 38,
    anon_sym_STAR = 39,
    anon_sym_SLASH = 40,
    anon_sym_PERCENT = 41,
    anon_sym_LPAREN = 42,
    anon_sym_RPAREN = 43,
    anon_sym_TILDE = 44,
    sym_escape_sequence = 45,
    anon_sym_L = 46,
    anon_sym_DQUOTE = 47,
    aux_sym_string_literal_token1 = 48,
    anon_sym_SQUOTE = 49,
    aux_sym_char_literal_token1 = 50,
    anon_sym_TRUE = 51,
    anon_sym_FALSE = 52,
    sym_number_literal = 53,
    anon_sym_POUNDdefine = 54,
    aux_sym_preproc_define_token1 = 55,
    aux_sym_preproc_call_token1 = 56,
    sym_preproc_directive = 57,
    sym_preproc_arg = 58,
    aux_sym_preproc_include_token1 = 59,
    sym_system_lib_path = 60,
    anon_sym_exception = 61,
    anon_sym_LBRACE = 62,
    anon_sym_RBRACE = 63,
    anon_sym_local = 64,
    anon_sym_abstract = 65,
    anon_sym_interface = 66,
    anon_sym_COLON = 67,
    anon_sym_SEMI = 68,
    anon_sym_void = 69,
    anon_sym_in = 70,
    anon_sym_out = 71,
    anon_sym_inout = 72,
    anon_sym_raises = 73,
    anon_sym_readonly = 74,
    anon_sym_attribute = 75,
    anon_sym_getraises = 76,
    anon_sym_setraises = 77,
    anon_sym_bitset = 78,
    anon_sym_bitfield = 79,
    anon_sym_bitmask = 80,
    anon_sym_ATannotation = 81,
    anon_sym_default = 82,
    anon_sym_AT = 83,
    anon_sym_SLASH_SLASH_AT = 84,
    aux_sym_extend_annotation_appl_token1 = 85,
    anon_sym_EQ = 86,
    anon_sym_id = 87,
    anon_sym_autoid = 88,
    anon_sym_SEQUENTIAL = 89,
    anon_sym_HASH = 90,
    anon_sym_optional = 91,
    anon_sym_position = 92,
    anon_sym_value = 93,
    anon_sym_extensibility = 94,
    anon_sym_FINAL = 95,
    anon_sym_APPENDABLE = 96,
    anon_sym_MUTABLE = 97,
    anon_sym_final = 98,
    anon_sym_appendable = 99,
    anon_sym_mutable = 100,
    anon_sym_key = 101,
    anon_sym_must_understand = 102,
    anon_sym_default_literal = 103,
    anon_sym_range = 104,
    anon_sym_min = 105,
    anon_sym_max = 106,
    anon_sym_unit = 107,
    anon_sym_bit_bound = 108,
    anon_sym_external = 109,
    anon_sym_nested = 110,
    anon_sym_verbatim = 111,
    anon_sym_c = 112,
    anon_sym_c_PLUS_PLUS = 113,
    anon_sym_java = 114,
    anon_sym_idl = 115,
    anon_sym_BEGIN_FILE = 116,
    anon_sym_BEFORE_DECLARATION = 117,
    anon_sym_BEGIN_DECLARATION = 118,
    anon_sym_END_DECLARATION = 119,
    anon_sym_AFTER_DECLARATION = 120,
    anon_sym_END_FILE = 121,
    anon_sym_service = 122,
    anon_sym_CORBA = 123,
    anon_sym_DDS = 124,
    anon_sym_oneway = 125,
    anon_sym_ami = 126,
    anon_sym_module = 127,
    anon_sym_typename = 128,
    anon_sym_valuetype = 129,
    anon_sym_eventtype = 130,
    anon_sym_struct = 131,
    anon_sym_union = 132,
    anon_sym_enum = 133,
    anon_sym_const = 134,
    anon_sym_alias = 135,
    anon_sym_custom = 136,
    anon_sym_truncatable = 137,
    anon_sym_supports = 138,
    anon_sym_public = 139,
    anon_sym_private = 140,
    anon_sym_factory = 141,
    anon_sym_typedef = 142,
    anon_sym_LBRACK = 143,
    anon_sym_RBRACK = 144,
    anon_sym_ATdefault_literal = 145,
    anon_sym_ATignore_literal_names = 146,
    anon_sym_switch = 147,
    anon_sym_case = 148,
    anon_sym_typeid = 149,
    anon_sym_typeprefix = 150,
    anon_sym_import = 151,
    anon_sym_Object = 152,
    anon_sym_context = 153,
    sym_value_base_type = 154,
    anon_sym_component = 155,
    anon_sym_provides = 156,
    anon_sym_uses = 157,
    anon_sym_multiple = 158,
    anon_sym_home = 159,
    anon_sym_manages = 160,
    anon_sym_emits = 161,
    anon_sym_publishes = 162,
    anon_sym_consumes = 163,
    anon_sym_primarykey = 164,
    anon_sym_finder = 165,
    anon_sym_porttype = 166,
    anon_sym_port = 167,
    anon_sym_mirrorport = 168,
    anon_sym_connector = 169,
    anon_sym_native = 170,
    sym_identifier = 171,
    anon_sym_SLASH_SLASH = 172,
    aux_sym_comment_token1 = 173,
    anon_sym_SLASH_STAR = 174,
    aux_sym_comment_token2 = 175,
    sym_specification = 176,
    sym_signed_short_int = 177,
    sym_signed_long_int = 178,
    sym_signed_longlong_int = 179,
    sym_unsigned_int = 180,
    sym_fixed_pt_const_type = 181,
    sym_integer_type = 182,
    sym_signed_int = 183,
    sym_unsigned_short_int = 184,
    sym_unsigned_long_int = 185,
    sym_unsigned_longlong_int = 186,
    sym_floating_pt_type = 187,
    sym_char_type = 188,
    sym_scoped_name = 189,
    sym_string_type = 190,
    sym_type_spec = 191,
    sym_simple_type_spec = 192,
    sym_base_type_spec = 193,
    sym_any_type = 194,
    sym_fixed_pt_type = 195,
    sym_template_type_spec = 196,
    sym_sequence_type = 197,
    sym_map_type = 198,
    sym_positive_int_const = 199,
    sym_const_expr = 200,
    sym_or_expr = 201,
    sym_xor_expr = 202,
    sym_and_expr = 203,
    sym_shift_expr = 204,
    sym_add_expr = 205,
    sym_mult_expr = 206,
    sym_unary_expr = 207,
    sym_primary_expr = 208,
    sym_unary_operator = 209,
    sym_literal = 210,
    sym_string_literal = 211,
    sym_char_literal = 212,
    sym_boolean_literal = 213,
    sym_preproc_define = 214,
    sym_preproc_call = 215,
    sym_preproc_include = 216,
    sym_system_lib_string = 217,
    sym_except_dcl = 218,
    sym_interface_dcl = 219,
    sym_interface_kind = 220,
    sym_interface_forward_dcl = 221,
    sym_interface_def = 222,
    sym_interface_header = 223,
    sym_interface_inheritance_spec = 224,
    sym_interface_name = 225,
    sym_interface_body = 226,
    sym_export = 227,
    sym_op_dcl = 228,
    sym_op_type_spec = 229,
    sym_parameter_dcls = 230,
    sym_param_dcl = 231,
    sym_param_attribute = 232,
    sym_raises_expr = 233,
    sym_attr_dcl = 234,
    sym_readonly_attr_spec = 235,
    sym_readonly_attr_declarator = 236,
    sym_attr_spec = 237,
    sym_attr_declarator = 238,
    sym_attr_raises_expr = 239,
    sym_get_excep_expr = 240,
    sym_set_excep_expr = 241,
    sym_exception_list = 242,
    sym_bitset_dcl = 243,
    sym_bitfield = 244,
    sym_bitfield_spec = 245,
    sym_destination_type = 246,
    sym_bitmask_dcl = 247,
    sym_bit_value = 248,
    sym_annotation_dcl = 249,
    sym_annotation_body = 250,
    sym_annotation_member = 251,
    sym_annotation_member_type = 252,
    sym_any_const_type = 253,
    sym_annotation_appl = 254,
    sym_extend_annotation_appl = 255,
    sym_annotation_appl_custom_body = 256,
    sym_annotation_appl_params = 257,
    sym_annotation_appl_param = 258,
    sym_annotation_appl_builtin_body = 259,
    sym_annotation_appl_id = 260,
    sym_annotation_appl_autoid = 261,
    sym_autoid_kind = 262,
    sym_annotation_appl_optional = 263,
    sym_annotation_appl_position = 264,
    sym_annotation_appl_value = 265,
    sym_annotation_appl_extensibility = 266,
    sym_extensibility_kind = 267,
    sym_annotation_appl_final = 268,
    sym_annotation_appl_appendable = 269,
    sym_annotation_appl_mutable = 270,
    sym_annotation_appl_key = 271,
    sym_annotation_appl_must_understand = 272,
    sym_annotation_appl_default_literal = 273,
    sym_annotation_appl_default = 274,
    sym_annotation_appl_range = 275,
    sym_min_expr = 276,
    sym_max_expr = 277,
    sym_annotation_appl_min = 278,
    sym_annotation_appl_max = 279,
    sym_annotation_appl_unit = 280,
    sym_annotation_appl_bit_bound = 281,
    sym_annotation_appl_external = 282,
    sym_annotation_appl_nested = 283,
    sym_annotation_appl_verbatim = 284,
    sym_verbatim_language = 285,
    sym_placement_kind = 286,
    sym_annotation_appl_service = 287,
    sym_service_platform = 288,
    sym_annotation_appl_oneway = 289,
    sym_annotation_appl_ami = 290,
    sym_template_module_dcl = 291,
    sym_formal_parameters = 292,
    sym_formal_parameter = 293,
    sym_formal_parameter_type = 294,
    sym_tpl_definition = 295,
    sym_template_module_inst = 296,
    sym_actual_parameters = 297,
    sym_actual_parameter = 298,
    sym_template_module_ref = 299,
    sym_formal_parameter_names = 300,
    sym_value_dcl = 301,
    sym_value_def = 302,
    sym_value_kind = 303,
    sym_value_header = 304,
    sym_value_inheritance_spec = 305,
    sym_value_inheritance = 306,
    sym_value_supports = 307,
    sym_value_name = 308,
    sym_value_element = 309,
    sym_state_member = 310,
    sym_init_dcl = 311,
    sym_init_param_dcls = 312,
    sym_init_param_dcl = 313,
    sym_value_forward_dcl = 314,
    sym_typedef_dcl = 315,
    sym_type_declarator = 316,
    sym_any_declarators = 317,
    sym_any_declarator = 318,
    sym_simple_declarator = 319,
    sym_declarator = 320,
    sym_declarators = 321,
    sym_array_declarator = 322,
    sym_fixed_array_size = 323,
    sym_enum_dcl = 324,
    sym_enumerator = 325,
    sym_enum_modifier = 326,
    sym_enum_anno = 327,
    sym_union_dcl = 328,
    sym_union_forward_dcl = 329,
    sym_union_def = 330,
    sym_case = 331,
    sym_case_label = 332,
    sym_element_spec = 333,
    sym_switch_type_spec = 334,
    sym_type_id_dcl = 335,
    sym_type_prefix_dcl = 336,
    sym_import_dcl = 337,
    sym_imported_scope = 338,
    sym_object_type = 339,
    sym_op_oneway_dcl = 340,
    sym_in_parameter_dcls = 341,
    sym_in_param_dcl = 342,
    sym_op_with_context = 343,
    sym_context_expr = 344,
    sym_value_box_def = 345,
    sym_value_abs_def = 346,
    sym_component_dcl = 347,
    sym_component_forward_dcl = 348,
    sym_component_def = 349,
    sym_component_header = 350,
    sym_component_inheritance_spec = 351,
    sym_component_body = 352,
    sym_component_export = 353,
    sym_provides_dcl = 354,
    sym_interface_type = 355,
    sym_uses_dcl = 356,
    sym_home_dcl = 357,
    sym_home_header = 358,
    sym_home_inheritance_spec = 359,
    sym_home_body = 360,
    sym_home_export = 361,
    sym_factory_dcl = 362,
    sym_factory_param_dcls = 363,
    sym_factory_param_dcl = 364,
    sym_supported_interface_spec = 365,
    sym_emits_dcl = 366,
    sym_publishes_dcl = 367,
    sym_consumes_dcl = 368,
    sym_primary_key_spec = 369,
    sym_finder_dcl = 370,
    sym_event_dcl = 371,
    sym_event_forward_dcl = 372,
    sym_event_abs_def = 373,
    sym_event_def = 374,
    sym_event_header = 375,
    sym_porttype_dcl = 376,
    sym_porttype_forward_dcl = 377,
    sym_porttype_def = 378,
    sym_port_body = 379,
    sym_port_ref = 380,
    sym_port_export = 381,
    sym_port_dcl = 382,
    sym_connector_dcl = 383,
    sym_connector_header = 384,
    sym_connector_inherit_spec = 385,
    sym_connector_export = 386,
    sym_definition = 387,
    sym_type_dcl = 388,
    sym_constr_type_dcl = 389,
    sym_native_dcl = 390,
    sym_module_dcl = 391,
    sym_struct_dcl = 392,
    sym_struct_forward_dcl = 393,
    sym_struct_def = 394,
    sym_member = 395,
    sym_default = 396,
    sym_const_dcl = 397,
    sym_const_type = 398,
    sym_comment = 399,
    aux_sym_specification_repeat1 = 400,
    aux_sym_string_literal_repeat1 = 401,
    aux_sym_char_literal_repeat1 = 402,
    aux_sym_except_dcl_repeat1 = 403,
    aux_sym_interface_def_repeat1 = 404,
    aux_sym_interface_inheritance_spec_repeat1 = 405,
    aux_sym_interface_body_repeat1 = 406,
    aux_sym_parameter_dcls_repeat1 = 407,
    aux_sym_raises_expr_repeat1 = 408,
    aux_sym_readonly_attr_declarator_repeat1 = 409,
    aux_sym_bitset_dcl_repeat1 = 410,
    aux_sym_bitfield_repeat1 = 411,
    aux_sym_bitmask_dcl_repeat1 = 412,
    aux_sym_annotation_dcl_repeat1 = 413,
    aux_sym_annotation_appl_params_repeat1 = 414,
    aux_sym_template_module_dcl_repeat1 = 415,
    aux_sym_formal_parameters_repeat1 = 416,
    aux_sym_actual_parameters_repeat1 = 417,
    aux_sym_formal_parameter_names_repeat1 = 418,
    aux_sym_value_def_repeat1 = 419,
    aux_sym_value_inheritance_spec_repeat1 = 420,
    aux_sym_init_param_dcls_repeat1 = 421,
    aux_sym_any_declarators_repeat1 = 422,
    aux_sym_declarators_repeat1 = 423,
    aux_sym_array_declarator_repeat1 = 424,
    aux_sym_enum_dcl_repeat1 = 425,
    aux_sym_enumerator_repeat1 = 426,
    aux_sym_union_def_repeat1 = 427,
    aux_sym_case_repeat1 = 428,
    aux_sym_in_parameter_dcls_repeat1 = 429,
    aux_sym_context_expr_repeat1 = 430,
    aux_sym_component_body_repeat1 = 431,
    aux_sym_home_body_repeat1 = 432,
    aux_sym_factory_param_dcls_repeat1 = 433,
    aux_sym_port_body_repeat1 = 434,
    aux_sym_connector_dcl_repeat1 = 435,
    aux_sym_module_dcl_repeat1 = 436,
};

static const char *const ts_symbol_names[] = {
    [ts_builtin_sym_end] = "end",
    [anon_sym_short] = "short",
    [anon_sym_int16] = "int16",
    [anon_sym_long] = "long",
    [anon_sym_int32] = "int32",
    [anon_sym_longlong] = "long long",
    [anon_sym_int64] = "int64",
    [sym_unsigned_tiny_int] = "unsigned_tiny_int",
    [sym_boolean_type] = "boolean_type",
    [anon_sym_fixed] = "fixed",
    [sym_octet_type] = "octet_type",
    [sym_signed_tiny_int] = "signed_tiny_int",
    [anon_sym_unsignedshort] = "unsigned short",
    [anon_sym_uint16] = "uint16",
    [anon_sym_unsignedlong] = "unsigned long",
    [anon_sym_uint32] = "uint32",
    [anon_sym_unsignedlonglong] = "unsigned long long",
    [anon_sym_uint64] = "uint64",
    [anon_sym_float] = "float",
    [anon_sym_double] = "double",
    [anon_sym_longdouble] = "long double",
    [anon_sym_char] = "char",
    [anon_sym_wchar] = "wchar",
    [anon_sym_COLON_COLON] = "::",
    [anon_sym_string] = "string",
    [anon_sym_wstring] = "wstring",
    [anon_sym_LT] = "<",
    [anon_sym_GT] = ">",
    [anon_sym_any] = "any",
    [anon_sym_COMMA] = ",",
    [anon_sym_sequence] = "sequence",
    [anon_sym_map] = "map",
    [anon_sym_PIPE] = "|",
    [anon_sym_CARET] = "^",
    [anon_sym_AMP] = "&",
    [anon_sym_GT_GT] = ">>",
    [anon_sym_LT_LT] = "<<",
    [anon_sym_PLUS] = "+",
    [anon_sym_DASH] = "-",
    [anon_sym_STAR] = "*",
    [anon_sym_SLASH] = "/",
    [anon_sym_PERCENT] = "%",
    [anon_sym_LPAREN] = "(",
    [anon_sym_RPAREN] = ")",
    [anon_sym_TILDE] = "~",
    [sym_escape_sequence] = "escape_sequence",
    [anon_sym_L] = "L",
    [anon_sym_DQUOTE] = "\"",
    [aux_sym_string_literal_token1] = "string_content",
    [anon_sym_SQUOTE] = "'",
    [aux_sym_char_literal_token1] = "character",
    [anon_sym_TRUE] = "TRUE",
    [anon_sym_FALSE] = "FALSE",
    [sym_number_literal] = "number_literal",
    [anon_sym_POUNDdefine] = "#define",
    [aux_sym_preproc_define_token1] = "preproc_define_token1",
    [aux_sym_preproc_call_token1] = "preproc_call_token1",
    [sym_preproc_directive] = "preproc_directive",
    [sym_preproc_arg] = "preproc_arg",
    [aux_sym_preproc_include_token1] = "keyword_include",
    [sym_system_lib_path] = "system_lib_path",
    [anon_sym_exception] = "exception",
    [anon_sym_LBRACE] = "{",
    [anon_sym_RBRACE] = "}",
    [anon_sym_local] = "local",
    [anon_sym_abstract] = "abstract",
    [anon_sym_interface] = "interface",
    [anon_sym_COLON] = ":",
    [anon_sym_SEMI] = ";",
    [anon_sym_void] = "void",
    [anon_sym_in] = "in",
    [anon_sym_out] = "out",
    [anon_sym_inout] = "inout",
    [anon_sym_raises] = "raises",
    [anon_sym_readonly] = "readonly",
    [anon_sym_attribute] = "attribute",
    [anon_sym_getraises] = "getraises",
    [anon_sym_setraises] = "setraises",
    [anon_sym_bitset] = "bitset",
    [anon_sym_bitfield] = "bitfield",
    [anon_sym_bitmask] = "bitmask",
    [anon_sym_ATannotation] = "@annotation",
    [anon_sym_default] = "default",
    [anon_sym_AT] = "@",
    [anon_sym_SLASH_SLASH_AT] = "//@",
    [aux_sym_extend_annotation_appl_token1] = "extend_annotation_appl_token1",
    [anon_sym_EQ] = "=",
    [anon_sym_id] = "id",
    [anon_sym_autoid] = "autoid",
    [anon_sym_SEQUENTIAL] = "SEQUENTIAL",
    [anon_sym_HASH] = "HASH",
    [anon_sym_optional] = "optional",
    [anon_sym_position] = "position",
    [anon_sym_value] = "value",
    [anon_sym_extensibility] = "extensibility",
    [anon_sym_FINAL] = "FINAL",
    [anon_sym_APPENDABLE] = "APPENDABLE",
    [anon_sym_MUTABLE] = "MUTABLE",
    [anon_sym_final] = "final",
    [anon_sym_appendable] = "appendable",
    [anon_sym_mutable] = "mutable",
    [anon_sym_key] = "key",
    [anon_sym_must_understand] = "must_understand",
    [anon_sym_default_literal] = "default_literal",
    [anon_sym_range] = "range",
    [anon_sym_min] = "min",
    [anon_sym_max] = "max",
    [anon_sym_unit] = "unit",
    [anon_sym_bit_bound] = "bit_bound",
    [anon_sym_external] = "external",
    [anon_sym_nested] = "nested",
    [anon_sym_verbatim] = "verbatim",
    [anon_sym_c] = "c",
    [anon_sym_c_PLUS_PLUS] = "c++",
    [anon_sym_java] = "java",
    [anon_sym_idl] = "idl",
    [anon_sym_BEGIN_FILE] = "BEGIN_FILE",
    [anon_sym_BEFORE_DECLARATION] = "BEFORE_DECLARATION",
    [anon_sym_BEGIN_DECLARATION] = "BEGIN_DECLARATION",
    [anon_sym_END_DECLARATION] = "END_DECLARATION",
    [anon_sym_AFTER_DECLARATION] = "AFTER_DECLARATION",
    [anon_sym_END_FILE] = "END_FILE",
    [anon_sym_service] = "service",
    [anon_sym_CORBA] = "CORBA",
    [anon_sym_DDS] = "DDS",
    [anon_sym_oneway] = "oneway",
    [anon_sym_ami] = "ami",
    [anon_sym_module] = "module",
    [anon_sym_typename] = "typename",
    [anon_sym_valuetype] = "valuetype",
    [anon_sym_eventtype] = "eventtype",
    [anon_sym_struct] = "struct",
    [anon_sym_union] = "union",
    [anon_sym_enum] = "enum",
    [anon_sym_const] = "const",
    [anon_sym_alias] = "alias",
    [anon_sym_custom] = "custom",
    [anon_sym_truncatable] = "truncatable",
    [anon_sym_supports] = "supports",
    [anon_sym_public] = "public",
    [anon_sym_private] = "private",
    [anon_sym_factory] = "factory",
    [anon_sym_typedef] = "typedef",
    [anon_sym_LBRACK] = "[",
    [anon_sym_RBRACK] = "]",
    [anon_sym_ATdefault_literal] = "@default_literal",
    [anon_sym_ATignore_literal_names] = "@ignore_literal_names",
    [anon_sym_switch] = "switch",
    [anon_sym_case] = "case",
    [anon_sym_typeid] = "typeid",
    [anon_sym_typeprefix] = "typeprefix",
    [anon_sym_import] = "import",
    [anon_sym_Object] = "Object",
    [anon_sym_context] = "context",
    [sym_value_base_type] = "value_base_type",
    [anon_sym_component] = "component",
    [anon_sym_provides] = "provides",
    [anon_sym_uses] = "uses",
    [anon_sym_multiple] = "multiple",
    [anon_sym_home] = "home",
    [anon_sym_manages] = "manages",
    [anon_sym_emits] = "emits",
    [anon_sym_publishes] = "publishes",
    [anon_sym_consumes] = "consumes",
    [anon_sym_primarykey] = "primarykey",
    [anon_sym_finder] = "finder",
    [anon_sym_porttype] = "porttype",
    [anon_sym_port] = "port",
    [anon_sym_mirrorport] = "mirrorport",
    [anon_sym_connector] = "connector",
    [anon_sym_native] = "native",
    [sym_identifier] = "identifier",
    [anon_sym_SLASH_SLASH] = "//",
    [aux_sym_comment_token1] = "comment_token1",
    [anon_sym_SLASH_STAR] = "/*",
    [aux_sym_comment_token2] = "comment_token2",
    [sym_specification] = "specification",
    [sym_signed_short_int] = "signed_short_int",
    [sym_signed_long_int] = "signed_long_int",
    [sym_signed_longlong_int] = "signed_longlong_int",
    [sym_unsigned_int] = "unsigned_int",
    [sym_fixed_pt_const_type] = "fixed_pt_const_type",
    [sym_integer_type] = "integer_type",
    [sym_signed_int] = "signed_int",
    [sym_unsigned_short_int] = "unsigned_short_int",
    [sym_unsigned_long_int] = "unsigned_long_int",
    [sym_unsigned_longlong_int] = "unsigned_longlong_int",
    [sym_floating_pt_type] = "floating_pt_type",
    [sym_char_type] = "char_type",
    [sym_scoped_name] = "scoped_name",
    [sym_string_type] = "string_type",
    [sym_type_spec] = "type_spec",
    [sym_simple_type_spec] = "simple_type_spec",
    [sym_base_type_spec] = "base_type_spec",
    [sym_any_type] = "any_type",
    [sym_fixed_pt_type] = "fixed_pt_type",
    [sym_template_type_spec] = "template_type_spec",
    [sym_sequence_type] = "sequence_type",
    [sym_map_type] = "map_type",
    [sym_positive_int_const] = "positive_int_const",
    [sym_const_expr] = "const_expr",
    [sym_or_expr] = "or_expr",
    [sym_xor_expr] = "xor_expr",
    [sym_and_expr] = "and_expr",
    [sym_shift_expr] = "shift_expr",
    [sym_add_expr] = "add_expr",
    [sym_mult_expr] = "mult_expr",
    [sym_unary_expr] = "unary_expr",
    [sym_primary_expr] = "primary_expr",
    [sym_unary_operator] = "unary_operator",
    [sym_literal] = "literal",
    [sym_string_literal] = "string_literal",
    [sym_char_literal] = "char_literal",
    [sym_boolean_literal] = "boolean_literal",
    [sym_preproc_define] = "preproc_define",
    [sym_preproc_call] = "preproc_call",
    [sym_preproc_include] = "preproc_include",
    [sym_system_lib_string] = "system_lib_string",
    [sym_except_dcl] = "except_dcl",
    [sym_interface_dcl] = "interface_dcl",
    [sym_interface_kind] = "interface_kind",
    [sym_interface_forward_dcl] = "interface_forward_dcl",
    [sym_interface_def] = "interface_def",
    [sym_interface_header] = "interface_header",
    [sym_interface_inheritance_spec] = "interface_inheritance_spec",
    [sym_interface_name] = "interface_name",
    [sym_interface_body] = "interface_body",
    [sym_export] = "export",
    [sym_op_dcl] = "op_dcl",
    [sym_op_type_spec] = "op_type_spec",
    [sym_parameter_dcls] = "parameter_dcls",
    [sym_param_dcl] = "param_dcl",
    [sym_param_attribute] = "param_attribute",
    [sym_raises_expr] = "raises_expr",
    [sym_attr_dcl] = "attr_dcl",
    [sym_readonly_attr_spec] = "readonly_attr_spec",
    [sym_readonly_attr_declarator] = "readonly_attr_declarator",
    [sym_attr_spec] = "attr_spec",
    [sym_attr_declarator] = "attr_declarator",
    [sym_attr_raises_expr] = "attr_raises_expr",
    [sym_get_excep_expr] = "get_excep_expr",
    [sym_set_excep_expr] = "set_excep_expr",
    [sym_exception_list] = "exception_list",
    [sym_bitset_dcl] = "bitset_dcl",
    [sym_bitfield] = "bitfield",
    [sym_bitfield_spec] = "bitfield_spec",
    [sym_destination_type] = "destination_type",
    [sym_bitmask_dcl] = "bitmask_dcl",
    [sym_bit_value] = "bit_value",
    [sym_annotation_dcl] = "annotation_dcl",
    [sym_annotation_body] = "annotation_body",
    [sym_annotation_member] = "annotation_member",
    [sym_annotation_member_type] = "annotation_member_type",
    [sym_any_const_type] = "any_const_type",
    [sym_annotation_appl] = "annotation_appl",
    [sym_extend_annotation_appl] = "extend_annotation_appl",
    [sym_annotation_appl_custom_body] = "annotation_appl_custom_body",
    [sym_annotation_appl_params] = "annotation_appl_params",
    [sym_annotation_appl_param] = "annotation_appl_param",
    [sym_annotation_appl_builtin_body] = "annotation_appl_builtin_body",
    [sym_annotation_appl_id] = "annotation_appl_id",
    [sym_annotation_appl_autoid] = "annotation_appl_autoid",
    [sym_autoid_kind] = "autoid_kind",
    [sym_annotation_appl_optional] = "annotation_appl_optional",
    [sym_annotation_appl_position] = "annotation_appl_position",
    [sym_annotation_appl_value] = "annotation_appl_value",
    [sym_annotation_appl_extensibility] = "annotation_appl_extensibility",
    [sym_extensibility_kind] = "extensibility_kind",
    [sym_annotation_appl_final] = "annotation_appl_final",
    [sym_annotation_appl_appendable] = "annotation_appl_appendable",
    [sym_annotation_appl_mutable] = "annotation_appl_mutable",
    [sym_annotation_appl_key] = "annotation_appl_key",
    [sym_annotation_appl_must_understand] = "annotation_appl_must_understand",
    [sym_annotation_appl_default_literal] = "annotation_appl_default_literal",
    [sym_annotation_appl_default] = "annotation_appl_default",
    [sym_annotation_appl_range] = "annotation_appl_range",
    [sym_min_expr] = "min_expr",
    [sym_max_expr] = "max_expr",
    [sym_annotation_appl_min] = "annotation_appl_min",
    [sym_annotation_appl_max] = "annotation_appl_max",
    [sym_annotation_appl_unit] = "annotation_appl_unit",
    [sym_annotation_appl_bit_bound] = "annotation_appl_bit_bound",
    [sym_annotation_appl_external] = "annotation_appl_external",
    [sym_annotation_appl_nested] = "annotation_appl_nested",
    [sym_annotation_appl_verbatim] = "annotation_appl_verbatim",
    [sym_verbatim_language] = "verbatim_language",
    [sym_placement_kind] = "placement_kind",
    [sym_annotation_appl_service] = "annotation_appl_service",
    [sym_service_platform] = "service_platform",
    [sym_annotation_appl_oneway] = "annotation_appl_oneway",
    [sym_annotation_appl_ami] = "annotation_appl_ami",
    [sym_template_module_dcl] = "template_module_dcl",
    [sym_formal_parameters] = "formal_parameters",
    [sym_formal_parameter] = "formal_parameter",
    [sym_formal_parameter_type] = "formal_parameter_type",
    [sym_tpl_definition] = "tpl_definition",
    [sym_template_module_inst] = "template_module_inst",
    [sym_actual_parameters] = "actual_parameters",
    [sym_actual_parameter] = "actual_parameter",
    [sym_template_module_ref] = "template_module_ref",
    [sym_formal_parameter_names] = "formal_parameter_names",
    [sym_value_dcl] = "value_dcl",
    [sym_value_def] = "value_def",
    [sym_value_kind] = "value_kind",
    [sym_value_header] = "value_header",
    [sym_value_inheritance_spec] = "value_inheritance_spec",
    [sym_value_inheritance] = "value_inheritance",
    [sym_value_supports] = "value_supports",
    [sym_value_name] = "value_name",
    [sym_value_element] = "value_element",
    [sym_state_member] = "state_member",
    [sym_init_dcl] = "init_dcl",
    [sym_init_param_dcls] = "init_param_dcls",
    [sym_init_param_dcl] = "init_param_dcl",
    [sym_value_forward_dcl] = "value_forward_dcl",
    [sym_typedef_dcl] = "typedef_dcl",
    [sym_type_declarator] = "type_declarator",
    [sym_any_declarators] = "any_declarators",
    [sym_any_declarator] = "any_declarator",
    [sym_simple_declarator] = "simple_declarator",
    [sym_declarator] = "declarator",
    [sym_declarators] = "declarators",
    [sym_array_declarator] = "array_declarator",
    [sym_fixed_array_size] = "fixed_array_size",
    [sym_enum_dcl] = "enum_dcl",
    [sym_enumerator] = "enumerator",
    [sym_enum_modifier] = "enum_modifier",
    [sym_enum_anno] = "enum_anno",
    [sym_union_dcl] = "union_dcl",
    [sym_union_forward_dcl] = "union_forward_dcl",
    [sym_union_def] = "union_def",
    [sym_case] = "case",
    [sym_case_label] = "case_label",
    [sym_element_spec] = "element_spec",
    [sym_switch_type_spec] = "switch_type_spec",
    [sym_type_id_dcl] = "type_id_dcl",
    [sym_type_prefix_dcl] = "type_prefix_dcl",
    [sym_import_dcl] = "import_dcl",
    [sym_imported_scope] = "imported_scope",
    [sym_object_type] = "object_type",
    [sym_op_oneway_dcl] = "op_oneway_dcl",
    [sym_in_parameter_dcls] = "in_parameter_dcls",
    [sym_in_param_dcl] = "in_param_dcl",
    [sym_op_with_context] = "op_with_context",
    [sym_context_expr] = "context_expr",
    [sym_value_box_def] = "value_box_def",
    [sym_value_abs_def] = "value_abs_def",
    [sym_component_dcl] = "component_dcl",
    [sym_component_forward_dcl] = "component_forward_dcl",
    [sym_component_def] = "component_def",
    [sym_component_header] = "component_header",
    [sym_component_inheritance_spec] = "component_inheritance_spec",
    [sym_component_body] = "component_body",
    [sym_component_export] = "component_export",
    [sym_provides_dcl] = "provides_dcl",
    [sym_interface_type] = "interface_type",
    [sym_uses_dcl] = "uses_dcl",
    [sym_home_dcl] = "home_dcl",
    [sym_home_header] = "home_header",
    [sym_home_inheritance_spec] = "home_inheritance_spec",
    [sym_home_body] = "home_body",
    [sym_home_export] = "home_export",
    [sym_factory_dcl] = "factory_dcl",
    [sym_factory_param_dcls] = "factory_param_dcls",
    [sym_factory_param_dcl] = "factory_param_dcl",
    [sym_supported_interface_spec] = "supported_interface_spec",
    [sym_emits_dcl] = "emits_dcl",
    [sym_publishes_dcl] = "publishes_dcl",
    [sym_consumes_dcl] = "consumes_dcl",
    [sym_primary_key_spec] = "primary_key_spec",
    [sym_finder_dcl] = "finder_dcl",
    [sym_event_dcl] = "event_dcl",
    [sym_event_forward_dcl] = "event_forward_dcl",
    [sym_event_abs_def] = "event_abs_def",
    [sym_event_def] = "event_def",
    [sym_event_header] = "event_header",
    [sym_porttype_dcl] = "porttype_dcl",
    [sym_porttype_forward_dcl] = "porttype_forward_dcl",
    [sym_porttype_def] = "porttype_def",
    [sym_port_body] = "port_body",
    [sym_port_ref] = "port_ref",
    [sym_port_export] = "port_export",
    [sym_port_dcl] = "port_dcl",
    [sym_connector_dcl] = "connector_dcl",
    [sym_connector_header] = "connector_header",
    [sym_connector_inherit_spec] = "connector_inherit_spec",
    [sym_connector_export] = "connector_export",
    [sym_definition] = "definition",
    [sym_type_dcl] = "type_dcl",
    [sym_constr_type_dcl] = "constr_type_dcl",
    [sym_native_dcl] = "native_dcl",
    [sym_module_dcl] = "module_dcl",
    [sym_struct_dcl] = "struct_dcl",
    [sym_struct_forward_dcl] = "struct_forward_dcl",
    [sym_struct_def] = "struct_def",
    [sym_member] = "member",
    [sym_default] = "default",
    [sym_const_dcl] = "const_dcl",
    [sym_const_type] = "const_type",
    [sym_comment] = "comment",
    [aux_sym_specification_repeat1] = "specification_repeat1",
    [aux_sym_string_literal_repeat1] = "string_literal_repeat1",
    [aux_sym_char_literal_repeat1] = "char_literal_repeat1",
    [aux_sym_except_dcl_repeat1] = "except_dcl_repeat1",
    [aux_sym_interface_def_repeat1] = "interface_def_repeat1",
    [aux_sym_interface_inheritance_spec_repeat1] = "interface_inheritance_spec_repeat1",
    [aux_sym_interface_body_repeat1] = "interface_body_repeat1",
    [aux_sym_parameter_dcls_repeat1] = "parameter_dcls_repeat1",
    [aux_sym_raises_expr_repeat1] = "raises_expr_repeat1",
    [aux_sym_readonly_attr_declarator_repeat1] = "readonly_attr_declarator_repeat1",
    [aux_sym_bitset_dcl_repeat1] = "bitset_dcl_repeat1",
    [aux_sym_bitfield_repeat1] = "bitfield_repeat1",
    [aux_sym_bitmask_dcl_repeat1] = "bitmask_dcl_repeat1",
    [aux_sym_annotation_dcl_repeat1] = "annotation_dcl_repeat1",
    [aux_sym_annotation_appl_params_repeat1] = "annotation_appl_params_repeat1",
    [aux_sym_template_module_dcl_repeat1] = "template_module_dcl_repeat1",
    [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
    [aux_sym_actual_parameters_repeat1] = "actual_parameters_repeat1",
    [aux_sym_formal_parameter_names_repeat1] = "formal_parameter_names_repeat1",
    [aux_sym_value_def_repeat1] = "value_def_repeat1",
    [aux_sym_value_inheritance_spec_repeat1] = "value_inheritance_spec_repeat1",
    [aux_sym_init_param_dcls_repeat1] = "init_param_dcls_repeat1",
    [aux_sym_any_declarators_repeat1] = "any_declarators_repeat1",
    [aux_sym_declarators_repeat1] = "declarators_repeat1",
    [aux_sym_array_declarator_repeat1] = "array_declarator_repeat1",
    [aux_sym_enum_dcl_repeat1] = "enum_dcl_repeat1",
    [aux_sym_enumerator_repeat1] = "enumerator_repeat1",
    [aux_sym_union_def_repeat1] = "union_def_repeat1",
    [aux_sym_case_repeat1] = "case_repeat1",
    [aux_sym_in_parameter_dcls_repeat1] = "in_parameter_dcls_repeat1",
    [aux_sym_context_expr_repeat1] = "context_expr_repeat1",
    [aux_sym_component_body_repeat1] = "component_body_repeat1",
    [aux_sym_home_body_repeat1] = "home_body_repeat1",
    [aux_sym_factory_param_dcls_repeat1] = "factory_param_dcls_repeat1",
    [aux_sym_port_body_repeat1] = "port_body_repeat1",
    [aux_sym_connector_dcl_repeat1] = "connector_dcl_repeat1",
    [aux_sym_module_dcl_repeat1] = "module_dcl_repeat1",
};

static const TSSymbol ts_symbol_map[] = {
    [ts_builtin_sym_end] = ts_builtin_sym_end,
    [anon_sym_short] = anon_sym_short,
    [anon_sym_int16] = anon_sym_int16,
    [anon_sym_long] = anon_sym_long,
    [anon_sym_int32] = anon_sym_int32,
    [anon_sym_longlong] = anon_sym_longlong,
    [anon_sym_int64] = anon_sym_int64,
    [sym_unsigned_tiny_int] = sym_unsigned_tiny_int,
    [sym_boolean_type] = sym_boolean_type,
    [anon_sym_fixed] = anon_sym_fixed,
    [sym_octet_type] = sym_octet_type,
    [sym_signed_tiny_int] = sym_signed_tiny_int,
    [anon_sym_unsignedshort] = anon_sym_unsignedshort,
    [anon_sym_uint16] = anon_sym_uint16,
    [anon_sym_unsignedlong] = anon_sym_unsignedlong,
    [anon_sym_uint32] = anon_sym_uint32,
    [anon_sym_unsignedlonglong] = anon_sym_unsignedlonglong,
    [anon_sym_uint64] = anon_sym_uint64,
    [anon_sym_float] = anon_sym_float,
    [anon_sym_double] = anon_sym_double,
    [anon_sym_longdouble] = anon_sym_longdouble,
    [anon_sym_char] = anon_sym_char,
    [anon_sym_wchar] = anon_sym_wchar,
    [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
    [anon_sym_string] = anon_sym_string,
    [anon_sym_wstring] = anon_sym_wstring,
    [anon_sym_LT] = anon_sym_LT,
    [anon_sym_GT] = anon_sym_GT,
    [anon_sym_any] = anon_sym_any,
    [anon_sym_COMMA] = anon_sym_COMMA,
    [anon_sym_sequence] = anon_sym_sequence,
    [anon_sym_map] = anon_sym_map,
    [anon_sym_PIPE] = anon_sym_PIPE,
    [anon_sym_CARET] = anon_sym_CARET,
    [anon_sym_AMP] = anon_sym_AMP,
    [anon_sym_GT_GT] = anon_sym_GT_GT,
    [anon_sym_LT_LT] = anon_sym_LT_LT,
    [anon_sym_PLUS] = anon_sym_PLUS,
    [anon_sym_DASH] = anon_sym_DASH,
    [anon_sym_STAR] = anon_sym_STAR,
    [anon_sym_SLASH] = anon_sym_SLASH,
    [anon_sym_PERCENT] = anon_sym_PERCENT,
    [anon_sym_LPAREN] = anon_sym_LPAREN,
    [anon_sym_RPAREN] = anon_sym_RPAREN,
    [anon_sym_TILDE] = anon_sym_TILDE,
    [sym_escape_sequence] = sym_escape_sequence,
    [anon_sym_L] = anon_sym_L,
    [anon_sym_DQUOTE] = anon_sym_DQUOTE,
    [aux_sym_string_literal_token1] = aux_sym_string_literal_token1,
    [anon_sym_SQUOTE] = anon_sym_SQUOTE,
    [aux_sym_char_literal_token1] = aux_sym_char_literal_token1,
    [anon_sym_TRUE] = anon_sym_TRUE,
    [anon_sym_FALSE] = anon_sym_FALSE,
    [sym_number_literal] = sym_number_literal,
    [anon_sym_POUNDdefine] = anon_sym_POUNDdefine,
    [aux_sym_preproc_define_token1] = aux_sym_preproc_define_token1,
    [aux_sym_preproc_call_token1] = aux_sym_preproc_call_token1,
    [sym_preproc_directive] = sym_preproc_directive,
    [sym_preproc_arg] = sym_preproc_arg,
    [aux_sym_preproc_include_token1] = aux_sym_preproc_include_token1,
    [sym_system_lib_path] = sym_system_lib_path,
    [anon_sym_exception] = anon_sym_exception,
    [anon_sym_LBRACE] = anon_sym_LBRACE,
    [anon_sym_RBRACE] = anon_sym_RBRACE,
    [anon_sym_local] = anon_sym_local,
    [anon_sym_abstract] = anon_sym_abstract,
    [anon_sym_interface] = anon_sym_interface,
    [anon_sym_COLON] = anon_sym_COLON,
    [anon_sym_SEMI] = anon_sym_SEMI,
    [anon_sym_void] = anon_sym_void,
    [anon_sym_in] = anon_sym_in,
    [anon_sym_out] = anon_sym_out,
    [anon_sym_inout] = anon_sym_inout,
    [anon_sym_raises] = anon_sym_raises,
    [anon_sym_readonly] = anon_sym_readonly,
    [anon_sym_attribute] = anon_sym_attribute,
    [anon_sym_getraises] = anon_sym_getraises,
    [anon_sym_setraises] = anon_sym_setraises,
    [anon_sym_bitset] = anon_sym_bitset,
    [anon_sym_bitfield] = anon_sym_bitfield,
    [anon_sym_bitmask] = anon_sym_bitmask,
    [anon_sym_ATannotation] = anon_sym_ATannotation,
    [anon_sym_default] = anon_sym_default,
    [anon_sym_AT] = anon_sym_AT,
    [anon_sym_SLASH_SLASH_AT] = anon_sym_SLASH_SLASH_AT,
    [aux_sym_extend_annotation_appl_token1] = aux_sym_extend_annotation_appl_token1,
    [anon_sym_EQ] = anon_sym_EQ,
    [anon_sym_id] = anon_sym_id,
    [anon_sym_autoid] = anon_sym_autoid,
    [anon_sym_SEQUENTIAL] = anon_sym_SEQUENTIAL,
    [anon_sym_HASH] = anon_sym_HASH,
    [anon_sym_optional] = anon_sym_optional,
    [anon_sym_position] = anon_sym_position,
    [anon_sym_value] = anon_sym_value,
    [anon_sym_extensibility] = anon_sym_extensibility,
    [anon_sym_FINAL] = anon_sym_FINAL,
    [anon_sym_APPENDABLE] = anon_sym_APPENDABLE,
    [anon_sym_MUTABLE] = anon_sym_MUTABLE,
    [anon_sym_final] = anon_sym_final,
    [anon_sym_appendable] = anon_sym_appendable,
    [anon_sym_mutable] = anon_sym_mutable,
    [anon_sym_key] = anon_sym_key,
    [anon_sym_must_understand] = anon_sym_must_understand,
    [anon_sym_default_literal] = anon_sym_default_literal,
    [anon_sym_range] = anon_sym_range,
    [anon_sym_min] = anon_sym_min,
    [anon_sym_max] = anon_sym_max,
    [anon_sym_unit] = anon_sym_unit,
    [anon_sym_bit_bound] = anon_sym_bit_bound,
    [anon_sym_external] = anon_sym_external,
    [anon_sym_nested] = anon_sym_nested,
    [anon_sym_verbatim] = anon_sym_verbatim,
    [anon_sym_c] = anon_sym_c,
    [anon_sym_c_PLUS_PLUS] = anon_sym_c_PLUS_PLUS,
    [anon_sym_java] = anon_sym_java,
    [anon_sym_idl] = anon_sym_idl,
    [anon_sym_BEGIN_FILE] = anon_sym_BEGIN_FILE,
    [anon_sym_BEFORE_DECLARATION] = anon_sym_BEFORE_DECLARATION,
    [anon_sym_BEGIN_DECLARATION] = anon_sym_BEGIN_DECLARATION,
    [anon_sym_END_DECLARATION] = anon_sym_END_DECLARATION,
    [anon_sym_AFTER_DECLARATION] = anon_sym_AFTER_DECLARATION,
    [anon_sym_END_FILE] = anon_sym_END_FILE,
    [anon_sym_service] = anon_sym_service,
    [anon_sym_CORBA] = anon_sym_CORBA,
    [anon_sym_DDS] = anon_sym_DDS,
    [anon_sym_oneway] = anon_sym_oneway,
    [anon_sym_ami] = anon_sym_ami,
    [anon_sym_module] = anon_sym_module,
    [anon_sym_typename] = anon_sym_typename,
    [anon_sym_valuetype] = anon_sym_valuetype,
    [anon_sym_eventtype] = anon_sym_eventtype,
    [anon_sym_struct] = anon_sym_struct,
    [anon_sym_union] = anon_sym_union,
    [anon_sym_enum] = anon_sym_enum,
    [anon_sym_const] = anon_sym_const,
    [anon_sym_alias] = anon_sym_alias,
    [anon_sym_custom] = anon_sym_custom,
    [anon_sym_truncatable] = anon_sym_truncatable,
    [anon_sym_supports] = anon_sym_supports,
    [anon_sym_public] = anon_sym_public,
    [anon_sym_private] = anon_sym_private,
    [anon_sym_factory] = anon_sym_factory,
    [anon_sym_typedef] = anon_sym_typedef,
    [anon_sym_LBRACK] = anon_sym_LBRACK,
    [anon_sym_RBRACK] = anon_sym_RBRACK,
    [anon_sym_ATdefault_literal] = anon_sym_ATdefault_literal,
    [anon_sym_ATignore_literal_names] = anon_sym_ATignore_literal_names,
    [anon_sym_switch] = anon_sym_switch,
    [anon_sym_case] = anon_sym_case,
    [anon_sym_typeid] = anon_sym_typeid,
    [anon_sym_typeprefix] = anon_sym_typeprefix,
    [anon_sym_import] = anon_sym_import,
    [anon_sym_Object] = anon_sym_Object,
    [anon_sym_context] = anon_sym_context,
    [sym_value_base_type] = sym_value_base_type,
    [anon_sym_component] = anon_sym_component,
    [anon_sym_provides] = anon_sym_provides,
    [anon_sym_uses] = anon_sym_uses,
    [anon_sym_multiple] = anon_sym_multiple,
    [anon_sym_home] = anon_sym_home,
    [anon_sym_manages] = anon_sym_manages,
    [anon_sym_emits] = anon_sym_emits,
    [anon_sym_publishes] = anon_sym_publishes,
    [anon_sym_consumes] = anon_sym_consumes,
    [anon_sym_primarykey] = anon_sym_primarykey,
    [anon_sym_finder] = anon_sym_finder,
    [anon_sym_porttype] = anon_sym_porttype,
    [anon_sym_port] = anon_sym_port,
    [anon_sym_mirrorport] = anon_sym_mirrorport,
    [anon_sym_connector] = anon_sym_connector,
    [anon_sym_native] = anon_sym_native,
    [sym_identifier] = sym_identifier,
    [anon_sym_SLASH_SLASH] = anon_sym_SLASH_SLASH,
    [aux_sym_comment_token1] = aux_sym_comment_token1,
    [anon_sym_SLASH_STAR] = anon_sym_SLASH_STAR,
    [aux_sym_comment_token2] = aux_sym_comment_token2,
    [sym_specification] = sym_specification,
    [sym_signed_short_int] = sym_signed_short_int,
    [sym_signed_long_int] = sym_signed_long_int,
    [sym_signed_longlong_int] = sym_signed_longlong_int,
    [sym_unsigned_int] = sym_unsigned_int,
    [sym_fixed_pt_const_type] = sym_fixed_pt_const_type,
    [sym_integer_type] = sym_integer_type,
    [sym_signed_int] = sym_signed_int,
    [sym_unsigned_short_int] = sym_unsigned_short_int,
    [sym_unsigned_long_int] = sym_unsigned_long_int,
    [sym_unsigned_longlong_int] = sym_unsigned_longlong_int,
    [sym_floating_pt_type] = sym_floating_pt_type,
    [sym_char_type] = sym_char_type,
    [sym_scoped_name] = sym_scoped_name,
    [sym_string_type] = sym_string_type,
    [sym_type_spec] = sym_type_spec,
    [sym_simple_type_spec] = sym_simple_type_spec,
    [sym_base_type_spec] = sym_base_type_spec,
    [sym_any_type] = sym_any_type,
    [sym_fixed_pt_type] = sym_fixed_pt_type,
    [sym_template_type_spec] = sym_template_type_spec,
    [sym_sequence_type] = sym_sequence_type,
    [sym_map_type] = sym_map_type,
    [sym_positive_int_const] = sym_positive_int_const,
    [sym_const_expr] = sym_const_expr,
    [sym_or_expr] = sym_or_expr,
    [sym_xor_expr] = sym_xor_expr,
    [sym_and_expr] = sym_and_expr,
    [sym_shift_expr] = sym_shift_expr,
    [sym_add_expr] = sym_add_expr,
    [sym_mult_expr] = sym_mult_expr,
    [sym_unary_expr] = sym_unary_expr,
    [sym_primary_expr] = sym_primary_expr,
    [sym_unary_operator] = sym_unary_operator,
    [sym_literal] = sym_literal,
    [sym_string_literal] = sym_string_literal,
    [sym_char_literal] = sym_char_literal,
    [sym_boolean_literal] = sym_boolean_literal,
    [sym_preproc_define] = sym_preproc_define,
    [sym_preproc_call] = sym_preproc_call,
    [sym_preproc_include] = sym_preproc_include,
    [sym_system_lib_string] = sym_system_lib_string,
    [sym_except_dcl] = sym_except_dcl,
    [sym_interface_dcl] = sym_interface_dcl,
    [sym_interface_kind] = sym_interface_kind,
    [sym_interface_forward_dcl] = sym_interface_forward_dcl,
    [sym_interface_def] = sym_interface_def,
    [sym_interface_header] = sym_interface_header,
    [sym_interface_inheritance_spec] = sym_interface_inheritance_spec,
    [sym_interface_name] = sym_interface_name,
    [sym_interface_body] = sym_interface_body,
    [sym_export] = sym_export,
    [sym_op_dcl] = sym_op_dcl,
    [sym_op_type_spec] = sym_op_type_spec,
    [sym_parameter_dcls] = sym_parameter_dcls,
    [sym_param_dcl] = sym_param_dcl,
    [sym_param_attribute] = sym_param_attribute,
    [sym_raises_expr] = sym_raises_expr,
    [sym_attr_dcl] = sym_attr_dcl,
    [sym_readonly_attr_spec] = sym_readonly_attr_spec,
    [sym_readonly_attr_declarator] = sym_readonly_attr_declarator,
    [sym_attr_spec] = sym_attr_spec,
    [sym_attr_declarator] = sym_attr_declarator,
    [sym_attr_raises_expr] = sym_attr_raises_expr,
    [sym_get_excep_expr] = sym_get_excep_expr,
    [sym_set_excep_expr] = sym_set_excep_expr,
    [sym_exception_list] = sym_exception_list,
    [sym_bitset_dcl] = sym_bitset_dcl,
    [sym_bitfield] = sym_bitfield,
    [sym_bitfield_spec] = sym_bitfield_spec,
    [sym_destination_type] = sym_destination_type,
    [sym_bitmask_dcl] = sym_bitmask_dcl,
    [sym_bit_value] = sym_bit_value,
    [sym_annotation_dcl] = sym_annotation_dcl,
    [sym_annotation_body] = sym_annotation_body,
    [sym_annotation_member] = sym_annotation_member,
    [sym_annotation_member_type] = sym_annotation_member_type,
    [sym_any_const_type] = sym_any_const_type,
    [sym_annotation_appl] = sym_annotation_appl,
    [sym_extend_annotation_appl] = sym_extend_annotation_appl,
    [sym_annotation_appl_custom_body] = sym_annotation_appl_custom_body,
    [sym_annotation_appl_params] = sym_annotation_appl_params,
    [sym_annotation_appl_param] = sym_annotation_appl_param,
    [sym_annotation_appl_builtin_body] = sym_annotation_appl_builtin_body,
    [sym_annotation_appl_id] = sym_annotation_appl_id,
    [sym_annotation_appl_autoid] = sym_annotation_appl_autoid,
    [sym_autoid_kind] = sym_autoid_kind,
    [sym_annotation_appl_optional] = sym_annotation_appl_optional,
    [sym_annotation_appl_position] = sym_annotation_appl_position,
    [sym_annotation_appl_value] = sym_annotation_appl_value,
    [sym_annotation_appl_extensibility] = sym_annotation_appl_extensibility,
    [sym_extensibility_kind] = sym_extensibility_kind,
    [sym_annotation_appl_final] = sym_annotation_appl_final,
    [sym_annotation_appl_appendable] = sym_annotation_appl_appendable,
    [sym_annotation_appl_mutable] = sym_annotation_appl_mutable,
    [sym_annotation_appl_key] = sym_annotation_appl_key,
    [sym_annotation_appl_must_understand] = sym_annotation_appl_must_understand,
    [sym_annotation_appl_default_literal] = sym_annotation_appl_default_literal,
    [sym_annotation_appl_default] = sym_annotation_appl_default,
    [sym_annotation_appl_range] = sym_annotation_appl_range,
    [sym_min_expr] = sym_min_expr,
    [sym_max_expr] = sym_max_expr,
    [sym_annotation_appl_min] = sym_annotation_appl_min,
    [sym_annotation_appl_max] = sym_annotation_appl_max,
    [sym_annotation_appl_unit] = sym_annotation_appl_unit,
    [sym_annotation_appl_bit_bound] = sym_annotation_appl_bit_bound,
    [sym_annotation_appl_external] = sym_annotation_appl_external,
    [sym_annotation_appl_nested] = sym_annotation_appl_nested,
    [sym_annotation_appl_verbatim] = sym_annotation_appl_verbatim,
    [sym_verbatim_language] = sym_verbatim_language,
    [sym_placement_kind] = sym_placement_kind,
    [sym_annotation_appl_service] = sym_annotation_appl_service,
    [sym_service_platform] = sym_service_platform,
    [sym_annotation_appl_oneway] = sym_annotation_appl_oneway,
    [sym_annotation_appl_ami] = sym_annotation_appl_ami,
    [sym_template_module_dcl] = sym_template_module_dcl,
    [sym_formal_parameters] = sym_formal_parameters,
    [sym_formal_parameter] = sym_formal_parameter,
    [sym_formal_parameter_type] = sym_formal_parameter_type,
    [sym_tpl_definition] = sym_tpl_definition,
    [sym_template_module_inst] = sym_template_module_inst,
    [sym_actual_parameters] = sym_actual_parameters,
    [sym_actual_parameter] = sym_actual_parameter,
    [sym_template_module_ref] = sym_template_module_ref,
    [sym_formal_parameter_names] = sym_formal_parameter_names,
    [sym_value_dcl] = sym_value_dcl,
    [sym_value_def] = sym_value_def,
    [sym_value_kind] = sym_value_kind,
    [sym_value_header] = sym_value_header,
    [sym_value_inheritance_spec] = sym_value_inheritance_spec,
    [sym_value_inheritance] = sym_value_inheritance,
    [sym_value_supports] = sym_value_supports,
    [sym_value_name] = sym_value_name,
    [sym_value_element] = sym_value_element,
    [sym_state_member] = sym_state_member,
    [sym_init_dcl] = sym_init_dcl,
    [sym_init_param_dcls] = sym_init_param_dcls,
    [sym_init_param_dcl] = sym_init_param_dcl,
    [sym_value_forward_dcl] = sym_value_forward_dcl,
    [sym_typedef_dcl] = sym_typedef_dcl,
    [sym_type_declarator] = sym_type_declarator,
    [sym_any_declarators] = sym_any_declarators,
    [sym_any_declarator] = sym_any_declarator,
    [sym_simple_declarator] = sym_simple_declarator,
    [sym_declarator] = sym_declarator,
    [sym_declarators] = sym_declarators,
    [sym_array_declarator] = sym_array_declarator,
    [sym_fixed_array_size] = sym_fixed_array_size,
    [sym_enum_dcl] = sym_enum_dcl,
    [sym_enumerator] = sym_enumerator,
    [sym_enum_modifier] = sym_enum_modifier,
    [sym_enum_anno] = sym_enum_anno,
    [sym_union_dcl] = sym_union_dcl,
    [sym_union_forward_dcl] = sym_union_forward_dcl,
    [sym_union_def] = sym_union_def,
    [sym_case] = sym_case,
    [sym_case_label] = sym_case_label,
    [sym_element_spec] = sym_element_spec,
    [sym_switch_type_spec] = sym_switch_type_spec,
    [sym_type_id_dcl] = sym_type_id_dcl,
    [sym_type_prefix_dcl] = sym_type_prefix_dcl,
    [sym_import_dcl] = sym_import_dcl,
    [sym_imported_scope] = sym_imported_scope,
    [sym_object_type] = sym_object_type,
    [sym_op_oneway_dcl] = sym_op_oneway_dcl,
    [sym_in_parameter_dcls] = sym_in_parameter_dcls,
    [sym_in_param_dcl] = sym_in_param_dcl,
    [sym_op_with_context] = sym_op_with_context,
    [sym_context_expr] = sym_context_expr,
    [sym_value_box_def] = sym_value_box_def,
    [sym_value_abs_def] = sym_value_abs_def,
    [sym_component_dcl] = sym_component_dcl,
    [sym_component_forward_dcl] = sym_component_forward_dcl,
    [sym_component_def] = sym_component_def,
    [sym_component_header] = sym_component_header,
    [sym_component_inheritance_spec] = sym_component_inheritance_spec,
    [sym_component_body] = sym_component_body,
    [sym_component_export] = sym_component_export,
    [sym_provides_dcl] = sym_provides_dcl,
    [sym_interface_type] = sym_interface_type,
    [sym_uses_dcl] = sym_uses_dcl,
    [sym_home_dcl] = sym_home_dcl,
    [sym_home_header] = sym_home_header,
    [sym_home_inheritance_spec] = sym_home_inheritance_spec,
    [sym_home_body] = sym_home_body,
    [sym_home_export] = sym_home_export,
    [sym_factory_dcl] = sym_factory_dcl,
    [sym_factory_param_dcls] = sym_factory_param_dcls,
    [sym_factory_param_dcl] = sym_factory_param_dcl,
    [sym_supported_interface_spec] = sym_supported_interface_spec,
    [sym_emits_dcl] = sym_emits_dcl,
    [sym_publishes_dcl] = sym_publishes_dcl,
    [sym_consumes_dcl] = sym_consumes_dcl,
    [sym_primary_key_spec] = sym_primary_key_spec,
    [sym_finder_dcl] = sym_finder_dcl,
    [sym_event_dcl] = sym_event_dcl,
    [sym_event_forward_dcl] = sym_event_forward_dcl,
    [sym_event_abs_def] = sym_event_abs_def,
    [sym_event_def] = sym_event_def,
    [sym_event_header] = sym_event_header,
    [sym_porttype_dcl] = sym_porttype_dcl,
    [sym_porttype_forward_dcl] = sym_porttype_forward_dcl,
    [sym_porttype_def] = sym_porttype_def,
    [sym_port_body] = sym_port_body,
    [sym_port_ref] = sym_port_ref,
    [sym_port_export] = sym_port_export,
    [sym_port_dcl] = sym_port_dcl,
    [sym_connector_dcl] = sym_connector_dcl,
    [sym_connector_header] = sym_connector_header,
    [sym_connector_inherit_spec] = sym_connector_inherit_spec,
    [sym_connector_export] = sym_connector_export,
    [sym_definition] = sym_definition,
    [sym_type_dcl] = sym_type_dcl,
    [sym_constr_type_dcl] = sym_constr_type_dcl,
    [sym_native_dcl] = sym_native_dcl,
    [sym_module_dcl] = sym_module_dcl,
    [sym_struct_dcl] = sym_struct_dcl,
    [sym_struct_forward_dcl] = sym_struct_forward_dcl,
    [sym_struct_def] = sym_struct_def,
    [sym_member] = sym_member,
    [sym_default] = sym_default,
    [sym_const_dcl] = sym_const_dcl,
    [sym_const_type] = sym_const_type,
    [sym_comment] = sym_comment,
    [aux_sym_specification_repeat1] = aux_sym_specification_repeat1,
    [aux_sym_string_literal_repeat1] = aux_sym_string_literal_repeat1,
    [aux_sym_char_literal_repeat1] = aux_sym_char_literal_repeat1,
    [aux_sym_except_dcl_repeat1] = aux_sym_except_dcl_repeat1,
    [aux_sym_interface_def_repeat1] = aux_sym_interface_def_repeat1,
    [aux_sym_interface_inheritance_spec_repeat1] = aux_sym_interface_inheritance_spec_repeat1,
    [aux_sym_interface_body_repeat1] = aux_sym_interface_body_repeat1,
    [aux_sym_parameter_dcls_repeat1] = aux_sym_parameter_dcls_repeat1,
    [aux_sym_raises_expr_repeat1] = aux_sym_raises_expr_repeat1,
    [aux_sym_readonly_attr_declarator_repeat1] = aux_sym_readonly_attr_declarator_repeat1,
    [aux_sym_bitset_dcl_repeat1] = aux_sym_bitset_dcl_repeat1,
    [aux_sym_bitfield_repeat1] = aux_sym_bitfield_repeat1,
    [aux_sym_bitmask_dcl_repeat1] = aux_sym_bitmask_dcl_repeat1,
    [aux_sym_annotation_dcl_repeat1] = aux_sym_annotation_dcl_repeat1,
    [aux_sym_annotation_appl_params_repeat1] = aux_sym_annotation_appl_params_repeat1,
    [aux_sym_template_module_dcl_repeat1] = aux_sym_template_module_dcl_repeat1,
    [aux_sym_formal_parameters_repeat1] = aux_sym_formal_parameters_repeat1,
    [aux_sym_actual_parameters_repeat1] = aux_sym_actual_parameters_repeat1,
    [aux_sym_formal_parameter_names_repeat1] = aux_sym_formal_parameter_names_repeat1,
    [aux_sym_value_def_repeat1] = aux_sym_value_def_repeat1,
    [aux_sym_value_inheritance_spec_repeat1] = aux_sym_value_inheritance_spec_repeat1,
    [aux_sym_init_param_dcls_repeat1] = aux_sym_init_param_dcls_repeat1,
    [aux_sym_any_declarators_repeat1] = aux_sym_any_declarators_repeat1,
    [aux_sym_declarators_repeat1] = aux_sym_declarators_repeat1,
    [aux_sym_array_declarator_repeat1] = aux_sym_array_declarator_repeat1,
    [aux_sym_enum_dcl_repeat1] = aux_sym_enum_dcl_repeat1,
    [aux_sym_enumerator_repeat1] = aux_sym_enumerator_repeat1,
    [aux_sym_union_def_repeat1] = aux_sym_union_def_repeat1,
    [aux_sym_case_repeat1] = aux_sym_case_repeat1,
    [aux_sym_in_parameter_dcls_repeat1] = aux_sym_in_parameter_dcls_repeat1,
    [aux_sym_context_expr_repeat1] = aux_sym_context_expr_repeat1,
    [aux_sym_component_body_repeat1] = aux_sym_component_body_repeat1,
    [aux_sym_home_body_repeat1] = aux_sym_home_body_repeat1,
    [aux_sym_factory_param_dcls_repeat1] = aux_sym_factory_param_dcls_repeat1,
    [aux_sym_port_body_repeat1] = aux_sym_port_body_repeat1,
    [aux_sym_connector_dcl_repeat1] = aux_sym_connector_dcl_repeat1,
    [aux_sym_module_dcl_repeat1] = aux_sym_module_dcl_repeat1,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
    [ts_builtin_sym_end] = {
        .visible = false,
        .named = true,
    },
    [anon_sym_short] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_int16] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_long] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_int32] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_longlong] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_int64] = {
        .visible = true,
        .named = false,
    },
    [sym_unsigned_tiny_int] = {
        .visible = true,
        .named = true,
    },
    [sym_boolean_type] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_fixed] = {
        .visible = true,
        .named = false,
    },
    [sym_octet_type] = {
        .visible = true,
        .named = true,
    },
    [sym_signed_tiny_int] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_unsignedshort] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_uint16] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_unsignedlong] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_uint32] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_unsignedlonglong] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_uint64] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_float] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_double] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_longdouble] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_char] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_wchar] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_COLON_COLON] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_string] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_wstring] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_LT] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_GT] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_any] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_COMMA] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_sequence] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_map] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_PIPE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_CARET] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_AMP] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_GT_GT] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_LT_LT] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_PLUS] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_DASH] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_STAR] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_SLASH] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_PERCENT] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_LPAREN] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_RPAREN] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_TILDE] = {
        .visible = true,
        .named = false,
    },
    [sym_escape_sequence] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_L] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_DQUOTE] = {
        .visible = true,
        .named = false,
    },
    [aux_sym_string_literal_token1] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_SQUOTE] = {
        .visible = true,
        .named = false,
    },
    [aux_sym_char_literal_token1] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_TRUE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_FALSE] = {
        .visible = true,
        .named = false,
    },
    [sym_number_literal] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_POUNDdefine] = {
        .visible = true,
        .named = false,
    },
    [aux_sym_preproc_define_token1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_preproc_call_token1] = {
        .visible = false,
        .named = false,
    },
    [sym_preproc_directive] = {
        .visible = true,
        .named = true,
    },
    [sym_preproc_arg] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_preproc_include_token1] = {
        .visible = true,
        .named = true,
    },
    [sym_system_lib_path] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_exception] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_LBRACE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_RBRACE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_local] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_abstract] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_interface] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_COLON] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_SEMI] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_void] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_in] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_out] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_inout] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_raises] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_readonly] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_attribute] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_getraises] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_setraises] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_bitset] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_bitfield] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_bitmask] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_ATannotation] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_default] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_AT] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_SLASH_SLASH_AT] = {
        .visible = true,
        .named = false,
    },
    [aux_sym_extend_annotation_appl_token1] = {
        .visible = false,
        .named = false,
    },
    [anon_sym_EQ] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_id] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_autoid] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_SEQUENTIAL] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_HASH] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_optional] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_position] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_value] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_extensibility] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_FINAL] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_APPENDABLE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_MUTABLE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_final] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_appendable] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_mutable] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_key] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_must_understand] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_default_literal] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_range] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_min] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_max] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_unit] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_bit_bound] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_external] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_nested] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_verbatim] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_c] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_c_PLUS_PLUS] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_java] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_idl] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_BEGIN_FILE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_BEFORE_DECLARATION] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_BEGIN_DECLARATION] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_END_DECLARATION] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_AFTER_DECLARATION] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_END_FILE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_service] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_CORBA] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_DDS] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_oneway] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_ami] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_module] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_typename] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_valuetype] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_eventtype] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_struct] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_union] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_enum] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_const] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_alias] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_custom] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_truncatable] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_supports] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_public] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_private] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_factory] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_typedef] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_LBRACK] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_RBRACK] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_ATdefault_literal] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_ATignore_literal_names] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_switch] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_case] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_typeid] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_typeprefix] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_import] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_Object] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_context] = {
        .visible = true,
        .named = false,
    },
    [sym_value_base_type] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_component] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_provides] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_uses] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_multiple] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_home] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_manages] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_emits] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_publishes] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_consumes] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_primarykey] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_finder] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_porttype] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_port] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_mirrorport] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_connector] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_native] = {
        .visible = true,
        .named = false,
    },
    [sym_identifier] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_SLASH_SLASH] = {
        .visible = true,
        .named = false,
    },
    [aux_sym_comment_token1] = {
        .visible = false,
        .named = false,
    },
    [anon_sym_SLASH_STAR] = {
        .visible = true,
        .named = false,
    },
    [aux_sym_comment_token2] = {
        .visible = false,
        .named = false,
    },
    [sym_specification] = {
        .visible = true,
        .named = true,
    },
    [sym_signed_short_int] = {
        .visible = true,
        .named = true,
    },
    [sym_signed_long_int] = {
        .visible = true,
        .named = true,
    },
    [sym_signed_longlong_int] = {
        .visible = true,
        .named = true,
    },
    [sym_unsigned_int] = {
        .visible = true,
        .named = true,
    },
    [sym_fixed_pt_const_type] = {
        .visible = true,
        .named = true,
    },
    [sym_integer_type] = {
        .visible = true,
        .named = true,
    },
    [sym_signed_int] = {
        .visible = true,
        .named = true,
    },
    [sym_unsigned_short_int] = {
        .visible = true,
        .named = true,
    },
    [sym_unsigned_long_int] = {
        .visible = true,
        .named = true,
    },
    [sym_unsigned_longlong_int] = {
        .visible = true,
        .named = true,
    },
    [sym_floating_pt_type] = {
        .visible = true,
        .named = true,
    },
    [sym_char_type] = {
        .visible = true,
        .named = true,
    },
    [sym_scoped_name] = {
        .visible = true,
        .named = true,
    },
    [sym_string_type] = {
        .visible = true,
        .named = true,
    },
    [sym_type_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_simple_type_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_base_type_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_any_type] = {
        .visible = true,
        .named = true,
    },
    [sym_fixed_pt_type] = {
        .visible = true,
        .named = true,
    },
    [sym_template_type_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_sequence_type] = {
        .visible = true,
        .named = true,
    },
    [sym_map_type] = {
        .visible = true,
        .named = true,
    },
    [sym_positive_int_const] = {
        .visible = true,
        .named = true,
    },
    [sym_const_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_or_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_xor_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_and_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_shift_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_add_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_mult_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_unary_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_primary_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_unary_operator] = {
        .visible = true,
        .named = true,
    },
    [sym_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_string_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_char_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_boolean_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_preproc_define] = {
        .visible = true,
        .named = true,
    },
    [sym_preproc_call] = {
        .visible = true,
        .named = true,
    },
    [sym_preproc_include] = {
        .visible = true,
        .named = true,
    },
    [sym_system_lib_string] = {
        .visible = true,
        .named = true,
    },
    [sym_except_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_interface_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_interface_kind] = {
        .visible = true,
        .named = true,
    },
    [sym_interface_forward_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_interface_def] = {
        .visible = true,
        .named = true,
    },
    [sym_interface_header] = {
        .visible = true,
        .named = true,
    },
    [sym_interface_inheritance_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_interface_name] = {
        .visible = true,
        .named = true,
    },
    [sym_interface_body] = {
        .visible = true,
        .named = true,
    },
    [sym_export] = {
        .visible = true,
        .named = true,
    },
    [sym_op_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_op_type_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_parameter_dcls] = {
        .visible = true,
        .named = true,
    },
    [sym_param_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_param_attribute] = {
        .visible = true,
        .named = true,
    },
    [sym_raises_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_attr_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_readonly_attr_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_readonly_attr_declarator] = {
        .visible = true,
        .named = true,
    },
    [sym_attr_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_attr_declarator] = {
        .visible = true,
        .named = true,
    },
    [sym_attr_raises_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_get_excep_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_set_excep_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_exception_list] = {
        .visible = true,
        .named = true,
    },
    [sym_bitset_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_bitfield] = {
        .visible = true,
        .named = true,
    },
    [sym_bitfield_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_destination_type] = {
        .visible = true,
        .named = true,
    },
    [sym_bitmask_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_bit_value] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_body] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_member] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_member_type] = {
        .visible = true,
        .named = true,
    },
    [sym_any_const_type] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl] = {
        .visible = true,
        .named = true,
    },
    [sym_extend_annotation_appl] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_custom_body] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_params] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_param] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_builtin_body] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_id] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_autoid] = {
        .visible = true,
        .named = true,
    },
    [sym_autoid_kind] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_optional] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_position] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_value] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_extensibility] = {
        .visible = true,
        .named = true,
    },
    [sym_extensibility_kind] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_final] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_appendable] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_mutable] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_key] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_must_understand] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_default_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_default] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_range] = {
        .visible = true,
        .named = true,
    },
    [sym_min_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_max_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_min] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_max] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_unit] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_bit_bound] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_external] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_nested] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_verbatim] = {
        .visible = true,
        .named = true,
    },
    [sym_verbatim_language] = {
        .visible = true,
        .named = true,
    },
    [sym_placement_kind] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_service] = {
        .visible = true,
        .named = true,
    },
    [sym_service_platform] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_oneway] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_ami] = {
        .visible = true,
        .named = true,
    },
    [sym_template_module_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_formal_parameters] = {
        .visible = true,
        .named = true,
    },
    [sym_formal_parameter] = {
        .visible = true,
        .named = true,
    },
    [sym_formal_parameter_type] = {
        .visible = true,
        .named = true,
    },
    [sym_tpl_definition] = {
        .visible = true,
        .named = true,
    },
    [sym_template_module_inst] = {
        .visible = true,
        .named = true,
    },
    [sym_actual_parameters] = {
        .visible = true,
        .named = true,
    },
    [sym_actual_parameter] = {
        .visible = true,
        .named = true,
    },
    [sym_template_module_ref] = {
        .visible = true,
        .named = true,
    },
    [sym_formal_parameter_names] = {
        .visible = true,
        .named = true,
    },
    [sym_value_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_value_def] = {
        .visible = true,
        .named = true,
    },
    [sym_value_kind] = {
        .visible = true,
        .named = true,
    },
    [sym_value_header] = {
        .visible = true,
        .named = true,
    },
    [sym_value_inheritance_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_value_inheritance] = {
        .visible = true,
        .named = true,
    },
    [sym_value_supports] = {
        .visible = true,
        .named = true,
    },
    [sym_value_name] = {
        .visible = true,
        .named = true,
    },
    [sym_value_element] = {
        .visible = true,
        .named = true,
    },
    [sym_state_member] = {
        .visible = true,
        .named = true,
    },
    [sym_init_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_init_param_dcls] = {
        .visible = true,
        .named = true,
    },
    [sym_init_param_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_value_forward_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_typedef_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_type_declarator] = {
        .visible = true,
        .named = true,
    },
    [sym_any_declarators] = {
        .visible = true,
        .named = true,
    },
    [sym_any_declarator] = {
        .visible = true,
        .named = true,
    },
    [sym_simple_declarator] = {
        .visible = true,
        .named = true,
    },
    [sym_declarator] = {
        .visible = true,
        .named = true,
    },
    [sym_declarators] = {
        .visible = true,
        .named = true,
    },
    [sym_array_declarator] = {
        .visible = true,
        .named = true,
    },
    [sym_fixed_array_size] = {
        .visible = true,
        .named = true,
    },
    [sym_enum_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_enumerator] = {
        .visible = true,
        .named = true,
    },
    [sym_enum_modifier] = {
        .visible = true,
        .named = true,
    },
    [sym_enum_anno] = {
        .visible = true,
        .named = true,
    },
    [sym_union_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_union_forward_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_union_def] = {
        .visible = true,
        .named = true,
    },
    [sym_case] = {
        .visible = true,
        .named = true,
    },
    [sym_case_label] = {
        .visible = true,
        .named = true,
    },
    [sym_element_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_switch_type_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_type_id_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_type_prefix_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_import_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_imported_scope] = {
        .visible = true,
        .named = true,
    },
    [sym_object_type] = {
        .visible = true,
        .named = true,
    },
    [sym_op_oneway_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_in_parameter_dcls] = {
        .visible = true,
        .named = true,
    },
    [sym_in_param_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_op_with_context] = {
        .visible = true,
        .named = true,
    },
    [sym_context_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_value_box_def] = {
        .visible = true,
        .named = true,
    },
    [sym_value_abs_def] = {
        .visible = true,
        .named = true,
    },
    [sym_component_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_component_forward_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_component_def] = {
        .visible = true,
        .named = true,
    },
    [sym_component_header] = {
        .visible = true,
        .named = true,
    },
    [sym_component_inheritance_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_component_body] = {
        .visible = true,
        .named = true,
    },
    [sym_component_export] = {
        .visible = true,
        .named = true,
    },
    [sym_provides_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_interface_type] = {
        .visible = true,
        .named = true,
    },
    [sym_uses_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_home_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_home_header] = {
        .visible = true,
        .named = true,
    },
    [sym_home_inheritance_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_home_body] = {
        .visible = true,
        .named = true,
    },
    [sym_home_export] = {
        .visible = true,
        .named = true,
    },
    [sym_factory_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_factory_param_dcls] = {
        .visible = true,
        .named = true,
    },
    [sym_factory_param_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_supported_interface_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_emits_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_publishes_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_consumes_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_primary_key_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_finder_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_event_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_event_forward_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_event_abs_def] = {
        .visible = true,
        .named = true,
    },
    [sym_event_def] = {
        .visible = true,
        .named = true,
    },
    [sym_event_header] = {
        .visible = true,
        .named = true,
    },
    [sym_porttype_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_porttype_forward_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_porttype_def] = {
        .visible = true,
        .named = true,
    },
    [sym_port_body] = {
        .visible = true,
        .named = true,
    },
    [sym_port_ref] = {
        .visible = true,
        .named = true,
    },
    [sym_port_export] = {
        .visible = true,
        .named = true,
    },
    [sym_port_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_connector_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_connector_header] = {
        .visible = true,
        .named = true,
    },
    [sym_connector_inherit_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_connector_export] = {
        .visible = true,
        .named = true,
    },
    [sym_definition] = {
        .visible = true,
        .named = true,
    },
    [sym_type_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_constr_type_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_native_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_module_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_struct_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_struct_forward_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_struct_def] = {
        .visible = true,
        .named = true,
    },
    [sym_member] = {
        .visible = true,
        .named = true,
    },
    [sym_default] = {
        .visible = true,
        .named = true,
    },
    [sym_const_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_const_type] = {
        .visible = true,
        .named = true,
    },
    [sym_comment] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_specification_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_string_literal_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_char_literal_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_except_dcl_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_interface_def_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_interface_inheritance_spec_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_interface_body_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_parameter_dcls_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_raises_expr_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_readonly_attr_declarator_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_bitset_dcl_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_bitfield_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_bitmask_dcl_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_annotation_dcl_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_annotation_appl_params_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_template_module_dcl_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_formal_parameters_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_actual_parameters_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_formal_parameter_names_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_value_def_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_value_inheritance_spec_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_init_param_dcls_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_any_declarators_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_declarators_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_array_declarator_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_enum_dcl_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_enumerator_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_union_def_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_case_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_in_parameter_dcls_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_context_expr_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_component_body_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_home_body_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_factory_param_dcls_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_port_body_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_connector_dcl_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_module_dcl_repeat1] = {
        .visible = false,
        .named = false,
    },
};

enum ts_field_identifiers {
    field_argument = 1,
    field_directive = 2,
    field_identifier = 3,
    field_language = 4,
    field_max = 5,
    field_min = 6,
    field_name = 7,
    field_parent = 8,
    field_path = 9,
    field_placement = 10,
    field_text = 11,
    field_type = 12,
};

static const char *const ts_field_names[] = {
    [0] = NULL,
    [field_argument] = "argument",
    [field_directive] = "directive",
    [field_identifier] = "identifier",
    [field_language] = "language",
    [field_max] = "max",
    [field_min] = "min",
    [field_name] = "name",
    [field_parent] = "parent",
    [field_path] = "path",
    [field_placement] = "placement",
    [field_text] = "text",
    [field_type] = "type",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
    [1] = { .index = 0, .length = 1 },
    [2] = { .index = 1, .length = 1 },
    [3] = { .index = 2, .length = 2 },
    [4] = { .index = 4, .length = 1 },
    [5] = { .index = 5, .length = 2 },
    [6] = { .index = 7, .length = 2 },
    [7] = { .index = 9, .length = 1 },
    [8] = { .index = 10, .length = 2 },
    [9] = { .index = 12, .length = 3 },
    [10] = { .index = 15, .length = 4 },
    [11] = { .index = 19, .length = 4 },
    [12] = { .index = 23, .length = 1 },
    [13] = { .index = 24, .length = 6 },
};

static const TSFieldMapEntry ts_field_map_entries[] = {
    [0] = { field_directive, 0 },
    [1] = { field_name, 0 },
    [2] = { field_argument, 1 },
    { field_directive, 0 },
    [4] = { field_path, 1 },
    [5] = { field_name, 0 },
    { field_text, 2 },
    [7] = { field_identifier, 1 },
    { field_type, 0 },
    [9] = { field_parent, 3 },
    [10] = { field_identifier, 2 },
    { field_type, 1 },
    [12] = { field_max, 4 },
    { field_min, 2 },
    { field_name, 0 },
    [15] = { field_language, 2 },
    { field_language, 3 },
    { field_name, 0 },
    { field_text, 4 },
    [19] = { field_name, 0 },
    { field_placement, 2 },
    { field_placement, 3 },
    { field_text, 4 },
    [23] = { field_parent, 4 },
    [24] = { field_language, 2 },
    { field_language, 3 },
    { field_name, 0 },
    { field_placement, 4 },
    { field_placement, 5 },
    { field_text, 6 },
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
    [0] = { 0 },
};

static const uint16_t ts_non_terminal_alias_map[] = {
    0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
    [0] = 0,
    [1] = 1,
    [2] = 2,
    [3] = 3,
    [4] = 4,
    [5] = 5,
    [6] = 6,
    [7] = 7,
    [8] = 8,
    [9] = 9,
    [10] = 10,
    [11] = 11,
    [12] = 12,
    [13] = 13,
    [14] = 14,
    [15] = 15,
    [16] = 16,
    [17] = 17,
    [18] = 18,
    [19] = 19,
    [20] = 20,
    [21] = 21,
    [22] = 22,
    [23] = 23,
    [24] = 24,
    [25] = 25,
    [26] = 26,
    [27] = 27,
    [28] = 28,
    [29] = 29,
    [30] = 30,
    [31] = 31,
    [32] = 32,
    [33] = 33,
    [34] = 34,
    [35] = 35,
    [36] = 36,
    [37] = 37,
    [38] = 38,
    [39] = 39,
    [40] = 40,
    [41] = 41,
    [42] = 42,
    [43] = 43,
    [44] = 44,
    [45] = 45,
    [46] = 46,
    [47] = 47,
    [48] = 48,
    [49] = 49,
    [50] = 50,
    [51] = 51,
    [52] = 52,
    [53] = 53,
    [54] = 54,
    [55] = 55,
    [56] = 56,
    [57] = 57,
    [58] = 58,
    [59] = 59,
    [60] = 60,
    [61] = 61,
    [62] = 62,
    [63] = 55,
    [64] = 64,
    [65] = 65,
    [66] = 65,
    [67] = 67,
    [68] = 68,
    [69] = 69,
    [70] = 70,
    [71] = 71,
    [72] = 68,
    [73] = 73,
    [74] = 74,
    [75] = 68,
    [76] = 65,
    [77] = 65,
    [78] = 78,
    [79] = 79,
    [80] = 68,
    [81] = 81,
    [82] = 55,
    [83] = 83,
    [84] = 84,
    [85] = 85,
    [86] = 86,
    [87] = 87,
    [88] = 88,
    [89] = 89,
    [90] = 90,
    [91] = 91,
    [92] = 92,
    [93] = 93,
    [94] = 94,
    [95] = 95,
    [96] = 96,
    [97] = 97,
    [98] = 98,
    [99] = 99,
    [100] = 100,
    [101] = 101,
    [102] = 102,
    [103] = 103,
    [104] = 104,
    [105] = 105,
    [106] = 106,
    [107] = 107,
    [108] = 108,
    [109] = 109,
    [110] = 110,
    [111] = 111,
    [112] = 112,
    [113] = 113,
    [114] = 114,
    [115] = 115,
    [116] = 116,
    [117] = 117,
    [118] = 118,
    [119] = 119,
    [120] = 120,
    [121] = 121,
    [122] = 122,
    [123] = 123,
    [124] = 124,
    [125] = 125,
    [126] = 126,
    [127] = 127,
    [128] = 128,
    [129] = 129,
    [130] = 130,
    [131] = 131,
    [132] = 132,
    [133] = 133,
    [134] = 134,
    [135] = 135,
    [136] = 136,
    [137] = 137,
    [138] = 138,
    [139] = 139,
    [140] = 140,
    [141] = 141,
    [142] = 142,
    [143] = 143,
    [144] = 144,
    [145] = 145,
    [146] = 146,
    [147] = 147,
    [148] = 148,
    [149] = 149,
    [150] = 150,
    [151] = 151,
    [152] = 152,
    [153] = 153,
    [154] = 154,
    [155] = 155,
    [156] = 156,
    [157] = 157,
    [158] = 158,
    [159] = 159,
    [160] = 160,
    [161] = 160,
    [162] = 162,
    [163] = 163,
    [164] = 164,
    [165] = 160,
    [166] = 160,
    [167] = 167,
    [168] = 168,
    [169] = 169,
    [170] = 170,
    [171] = 171,
    [172] = 172,
    [173] = 173,
    [174] = 174,
    [175] = 175,
    [176] = 176,
    [177] = 177,
    [178] = 178,
    [179] = 179,
    [180] = 180,
    [181] = 181,
    [182] = 182,
    [183] = 183,
    [184] = 99,
    [185] = 102,
    [186] = 186,
    [187] = 187,
    [188] = 188,
    [189] = 189,
    [190] = 190,
    [191] = 191,
    [192] = 192,
    [193] = 98,
    [194] = 194,
    [195] = 195,
    [196] = 196,
    [197] = 197,
    [198] = 198,
    [199] = 199,
    [200] = 199,
    [201] = 201,
    [202] = 199,
    [203] = 203,
    [204] = 199,
    [205] = 205,
    [206] = 206,
    [207] = 207,
    [208] = 208,
    [209] = 209,
    [210] = 210,
    [211] = 211,
    [212] = 212,
    [213] = 213,
    [214] = 214,
    [215] = 215,
    [216] = 216,
    [217] = 217,
    [218] = 218,
    [219] = 219,
    [220] = 220,
    [221] = 221,
    [222] = 222,
    [223] = 223,
    [224] = 224,
    [225] = 225,
    [226] = 226,
    [227] = 227,
    [228] = 91,
    [229] = 98,
    [230] = 230,
    [231] = 231,
    [232] = 108,
    [233] = 230,
    [234] = 234,
    [235] = 235,
    [236] = 98,
    [237] = 237,
    [238] = 231,
    [239] = 99,
    [240] = 230,
    [241] = 241,
    [242] = 234,
    [243] = 243,
    [244] = 244,
    [245] = 243,
    [246] = 234,
    [247] = 243,
    [248] = 234,
    [249] = 237,
    [250] = 231,
    [251] = 231,
    [252] = 230,
    [253] = 253,
    [254] = 254,
    [255] = 237,
    [256] = 243,
    [257] = 102,
    [258] = 237,
    [259] = 259,
    [260] = 106,
    [261] = 92,
    [262] = 101,
    [263] = 100,
    [264] = 107,
    [265] = 265,
    [266] = 266,
    [267] = 105,
    [268] = 103,
    [269] = 104,
    [270] = 95,
    [271] = 122,
    [272] = 119,
    [273] = 115,
    [274] = 118,
    [275] = 99,
    [276] = 137,
    [277] = 138,
    [278] = 140,
    [279] = 136,
    [280] = 135,
    [281] = 102,
    [282] = 143,
    [283] = 150,
    [284] = 134,
    [285] = 133,
    [286] = 110,
    [287] = 130,
    [288] = 148,
    [289] = 129,
    [290] = 127,
    [291] = 141,
    [292] = 142,
    [293] = 144,
    [294] = 114,
    [295] = 295,
    [296] = 128,
    [297] = 112,
    [298] = 113,
    [299] = 299,
    [300] = 117,
    [301] = 147,
    [302] = 126,
    [303] = 125,
    [304] = 149,
    [305] = 111,
    [306] = 306,
    [307] = 307,
    [308] = 124,
    [309] = 309,
    [310] = 120,
    [311] = 311,
    [312] = 123,
    [313] = 116,
    [314] = 121,
    [315] = 315,
    [316] = 316,
    [317] = 317,
    [318] = 318,
    [319] = 319,
    [320] = 320,
    [321] = 321,
    [322] = 322,
    [323] = 323,
    [324] = 324,
    [325] = 325,
    [326] = 326,
    [327] = 327,
    [328] = 328,
    [329] = 329,
    [330] = 330,
    [331] = 331,
    [332] = 332,
    [333] = 333,
    [334] = 334,
    [335] = 335,
    [336] = 335,
    [337] = 335,
    [338] = 338,
    [339] = 91,
    [340] = 340,
    [341] = 341,
    [342] = 338,
    [343] = 343,
    [344] = 344,
    [345] = 91,
    [346] = 346,
    [347] = 338,
    [348] = 335,
    [349] = 349,
    [350] = 350,
    [351] = 338,
    [352] = 352,
    [353] = 353,
    [354] = 108,
    [355] = 355,
    [356] = 356,
    [357] = 357,
    [358] = 358,
    [359] = 359,
    [360] = 360,
    [361] = 361,
    [362] = 362,
    [363] = 363,
    [364] = 364,
    [365] = 365,
    [366] = 366,
    [367] = 98,
    [368] = 368,
    [369] = 369,
    [370] = 108,
    [371] = 371,
    [372] = 372,
    [373] = 99,
    [374] = 374,
    [375] = 102,
    [376] = 376,
    [377] = 377,
    [378] = 378,
    [379] = 379,
    [380] = 380,
    [381] = 381,
    [382] = 382,
    [383] = 102,
    [384] = 384,
    [385] = 98,
    [386] = 386,
    [387] = 99,
    [388] = 388,
    [389] = 389,
    [390] = 390,
    [391] = 391,
    [392] = 392,
    [393] = 393,
    [394] = 394,
    [395] = 395,
    [396] = 396,
    [397] = 397,
    [398] = 398,
    [399] = 390,
    [400] = 400,
    [401] = 401,
    [402] = 402,
    [403] = 403,
    [404] = 404,
    [405] = 405,
    [406] = 406,
    [407] = 407,
    [408] = 408,
    [409] = 409,
    [410] = 410,
    [411] = 411,
    [412] = 412,
    [413] = 413,
    [414] = 92,
    [415] = 415,
    [416] = 95,
    [417] = 417,
    [418] = 418,
    [419] = 419,
    [420] = 100,
    [421] = 421,
    [422] = 397,
    [423] = 101,
    [424] = 103,
    [425] = 425,
    [426] = 104,
    [427] = 105,
    [428] = 415,
    [429] = 106,
    [430] = 430,
    [431] = 431,
    [432] = 432,
    [433] = 433,
    [434] = 107,
    [435] = 435,
    [436] = 436,
    [437] = 395,
    [438] = 421,
    [439] = 393,
    [440] = 440,
    [441] = 441,
    [442] = 442,
    [443] = 443,
    [444] = 444,
    [445] = 444,
    [446] = 446,
    [447] = 394,
    [448] = 448,
    [449] = 449,
    [450] = 450,
    [451] = 451,
    [452] = 452,
    [453] = 453,
    [454] = 454,
    [455] = 455,
    [456] = 394,
    [457] = 457,
    [458] = 458,
    [459] = 459,
    [460] = 460,
    [461] = 461,
    [462] = 462,
    [463] = 463,
    [464] = 464,
    [465] = 401,
    [466] = 444,
    [467] = 467,
    [468] = 468,
    [469] = 107,
    [470] = 390,
    [471] = 394,
    [472] = 106,
    [473] = 473,
    [474] = 474,
    [475] = 475,
    [476] = 105,
    [477] = 104,
    [478] = 103,
    [479] = 479,
    [480] = 444,
    [481] = 481,
    [482] = 101,
    [483] = 100,
    [484] = 421,
    [485] = 421,
    [486] = 486,
    [487] = 390,
    [488] = 488,
    [489] = 95,
    [490] = 92,
    [491] = 491,
    [492] = 114,
    [493] = 493,
    [494] = 143,
    [495] = 127,
    [496] = 496,
    [497] = 117,
    [498] = 498,
    [499] = 499,
    [500] = 500,
    [501] = 501,
    [502] = 502,
    [503] = 503,
    [504] = 118,
    [505] = 505,
    [506] = 115,
    [507] = 507,
    [508] = 508,
    [509] = 509,
    [510] = 147,
    [511] = 148,
    [512] = 116,
    [513] = 150,
    [514] = 112,
    [515] = 113,
    [516] = 141,
    [517] = 517,
    [518] = 110,
    [519] = 119,
    [520] = 120,
    [521] = 521,
    [522] = 121,
    [523] = 523,
    [524] = 524,
    [525] = 122,
    [526] = 123,
    [527] = 124,
    [528] = 125,
    [529] = 529,
    [530] = 530,
    [531] = 531,
    [532] = 126,
    [533] = 533,
    [534] = 534,
    [535] = 535,
    [536] = 128,
    [537] = 129,
    [538] = 538,
    [539] = 539,
    [540] = 130,
    [541] = 133,
    [542] = 542,
    [543] = 134,
    [544] = 544,
    [545] = 545,
    [546] = 546,
    [547] = 135,
    [548] = 548,
    [549] = 549,
    [550] = 550,
    [551] = 136,
    [552] = 137,
    [553] = 530,
    [554] = 460,
    [555] = 555,
    [556] = 138,
    [557] = 140,
    [558] = 141,
    [559] = 142,
    [560] = 560,
    [561] = 561,
    [562] = 562,
    [563] = 144,
    [564] = 564,
    [565] = 565,
    [566] = 149,
    [567] = 567,
    [568] = 111,
    [569] = 569,
    [570] = 570,
    [571] = 571,
    [572] = 572,
    [573] = 573,
    [574] = 461,
    [575] = 500,
    [576] = 501,
    [577] = 577,
    [578] = 578,
    [579] = 579,
    [580] = 580,
    [581] = 577,
    [582] = 582,
    [583] = 583,
    [584] = 569,
    [585] = 585,
    [586] = 586,
    [587] = 587,
    [588] = 580,
    [589] = 115,
    [590] = 590,
    [591] = 591,
    [592] = 592,
    [593] = 593,
    [594] = 594,
    [595] = 500,
    [596] = 561,
    [597] = 597,
    [598] = 118,
    [599] = 599,
    [600] = 117,
    [601] = 601,
    [602] = 602,
    [603] = 603,
    [604] = 127,
    [605] = 605,
    [606] = 493,
    [607] = 143,
    [608] = 505,
    [609] = 147,
    [610] = 610,
    [611] = 611,
    [612] = 612,
    [613] = 613,
    [614] = 614,
    [615] = 507,
    [616] = 616,
    [617] = 111,
    [618] = 149,
    [619] = 619,
    [620] = 620,
    [621] = 621,
    [622] = 622,
    [623] = 538,
    [624] = 539,
    [625] = 148,
    [626] = 530,
    [627] = 561,
    [628] = 628,
    [629] = 150,
    [630] = 144,
    [631] = 112,
    [632] = 632,
    [633] = 633,
    [634] = 634,
    [635] = 635,
    [636] = 569,
    [637] = 113,
    [638] = 114,
    [639] = 639,
    [640] = 640,
    [641] = 641,
    [642] = 642,
    [643] = 116,
    [644] = 644,
    [645] = 110,
    [646] = 119,
    [647] = 120,
    [648] = 121,
    [649] = 122,
    [650] = 123,
    [651] = 651,
    [652] = 124,
    [653] = 653,
    [654] = 654,
    [655] = 655,
    [656] = 500,
    [657] = 657,
    [658] = 658,
    [659] = 659,
    [660] = 501,
    [661] = 661,
    [662] = 662,
    [663] = 663,
    [664] = 664,
    [665] = 665,
    [666] = 125,
    [667] = 667,
    [668] = 668,
    [669] = 669,
    [670] = 670,
    [671] = 586,
    [672] = 672,
    [673] = 673,
    [674] = 126,
    [675] = 128,
    [676] = 129,
    [677] = 677,
    [678] = 130,
    [679] = 679,
    [680] = 680,
    [681] = 133,
    [682] = 134,
    [683] = 683,
    [684] = 142,
    [685] = 685,
    [686] = 686,
    [687] = 135,
    [688] = 493,
    [689] = 689,
    [690] = 505,
    [691] = 691,
    [692] = 692,
    [693] = 693,
    [694] = 694,
    [695] = 136,
    [696] = 561,
    [697] = 697,
    [698] = 137,
    [699] = 507,
    [700] = 539,
    [701] = 538,
    [702] = 702,
    [703] = 507,
    [704] = 505,
    [705] = 705,
    [706] = 706,
    [707] = 707,
    [708] = 708,
    [709] = 709,
    [710] = 538,
    [711] = 711,
    [712] = 712,
    [713] = 713,
    [714] = 539,
    [715] = 715,
    [716] = 138,
    [717] = 493,
    [718] = 140,
    [719] = 530,
    [720] = 501,
    [721] = 721,
    [722] = 722,
    [723] = 723,
    [724] = 723,
    [725] = 725,
    [726] = 723,
    [727] = 727,
    [728] = 728,
    [729] = 729,
    [730] = 730,
    [731] = 731,
    [732] = 732,
    [733] = 728,
    [734] = 734,
    [735] = 735,
    [736] = 736,
    [737] = 737,
    [738] = 728,
    [739] = 739,
    [740] = 740,
    [741] = 741,
    [742] = 742,
    [743] = 743,
    [744] = 744,
    [745] = 745,
    [746] = 746,
    [747] = 747,
    [748] = 748,
    [749] = 723,
    [750] = 750,
    [751] = 751,
    [752] = 752,
    [753] = 753,
    [754] = 754,
    [755] = 755,
    [756] = 756,
    [757] = 757,
    [758] = 758,
    [759] = 759,
    [760] = 760,
    [761] = 761,
    [762] = 762,
    [763] = 763,
    [764] = 764,
    [765] = 765,
    [766] = 766,
    [767] = 767,
    [768] = 768,
    [769] = 769,
    [770] = 770,
    [771] = 771,
    [772] = 772,
    [773] = 773,
    [774] = 774,
    [775] = 775,
    [776] = 776,
    [777] = 777,
    [778] = 778,
    [779] = 779,
    [780] = 780,
    [781] = 781,
    [782] = 782,
    [783] = 783,
    [784] = 784,
    [785] = 785,
    [786] = 786,
    [787] = 787,
    [788] = 788,
    [789] = 789,
    [790] = 790,
    [791] = 791,
    [792] = 792,
    [793] = 793,
    [794] = 794,
    [795] = 795,
    [796] = 796,
    [797] = 797,
    [798] = 798,
    [799] = 799,
    [800] = 800,
    [801] = 801,
    [802] = 802,
    [803] = 803,
    [804] = 804,
    [805] = 805,
    [806] = 806,
    [807] = 807,
    [808] = 808,
    [809] = 809,
    [810] = 810,
    [811] = 811,
    [812] = 812,
    [813] = 813,
    [814] = 814,
    [815] = 815,
    [816] = 816,
    [817] = 817,
    [818] = 818,
    [819] = 819,
    [820] = 820,
    [821] = 821,
    [822] = 822,
    [823] = 823,
    [824] = 824,
    [825] = 825,
    [826] = 826,
    [827] = 827,
    [828] = 828,
    [829] = 829,
    [830] = 830,
    [831] = 831,
    [832] = 832,
    [833] = 833,
    [834] = 834,
    [835] = 835,
    [836] = 728,
    [837] = 837,
    [838] = 838,
    [839] = 839,
    [840] = 840,
    [841] = 841,
    [842] = 842,
    [843] = 843,
    [844] = 844,
    [845] = 845,
    [846] = 846,
    [847] = 847,
    [848] = 848,
    [849] = 849,
    [850] = 850,
    [851] = 851,
    [852] = 852,
    [853] = 853,
    [854] = 854,
    [855] = 855,
    [856] = 856,
    [857] = 857,
    [858] = 858,
    [859] = 859,
    [860] = 860,
    [861] = 861,
    [862] = 862,
    [863] = 863,
    [864] = 864,
    [865] = 865,
    [866] = 866,
    [867] = 867,
    [868] = 868,
    [869] = 869,
    [870] = 870,
    [871] = 871,
    [872] = 872,
    [873] = 873,
    [874] = 874,
    [875] = 875,
    [876] = 876,
    [877] = 877,
    [878] = 878,
    [879] = 879,
    [880] = 880,
    [881] = 881,
    [882] = 882,
    [883] = 883,
    [884] = 884,
    [885] = 885,
    [886] = 886,
    [887] = 214,
    [888] = 888,
    [889] = 889,
    [890] = 890,
    [891] = 891,
    [892] = 892,
    [893] = 893,
    [894] = 894,
    [895] = 895,
    [896] = 896,
    [897] = 897,
    [898] = 898,
    [899] = 899,
    [900] = 900,
    [901] = 901,
    [902] = 902,
    [903] = 903,
    [904] = 904,
    [905] = 905,
    [906] = 906,
    [907] = 907,
    [908] = 908,
    [909] = 909,
    [910] = 910,
    [911] = 911,
    [912] = 912,
    [913] = 913,
    [914] = 914,
    [915] = 915,
    [916] = 916,
    [917] = 917,
    [918] = 918,
    [919] = 919,
    [920] = 920,
    [921] = 921,
    [922] = 922,
    [923] = 923,
    [924] = 924,
    [925] = 925,
    [926] = 926,
    [927] = 927,
    [928] = 928,
    [929] = 929,
    [930] = 930,
    [931] = 931,
    [932] = 932,
    [933] = 933,
    [934] = 934,
    [935] = 935,
    [936] = 936,
    [937] = 937,
    [938] = 938,
    [939] = 939,
    [940] = 940,
    [941] = 941,
    [942] = 942,
    [943] = 943,
    [944] = 944,
    [945] = 945,
    [946] = 946,
    [947] = 947,
    [948] = 948,
    [949] = 949,
    [950] = 950,
    [951] = 951,
    [952] = 952,
    [953] = 953,
    [954] = 954,
    [955] = 955,
    [956] = 956,
    [957] = 957,
    [958] = 958,
    [959] = 959,
    [960] = 960,
    [961] = 961,
    [962] = 841,
    [963] = 963,
    [964] = 964,
    [965] = 965,
    [966] = 966,
    [967] = 967,
    [968] = 968,
    [969] = 969,
    [970] = 970,
    [971] = 971,
    [972] = 972,
    [973] = 973,
    [974] = 974,
    [975] = 975,
    [976] = 976,
    [977] = 977,
    [978] = 978,
    [979] = 979,
    [980] = 980,
    [981] = 195,
    [982] = 982,
    [983] = 983,
    [984] = 984,
    [985] = 985,
    [986] = 986,
    [987] = 987,
    [988] = 988,
    [989] = 989,
    [990] = 990,
    [991] = 991,
    [992] = 992,
    [993] = 993,
    [994] = 994,
    [995] = 995,
    [996] = 996,
    [997] = 997,
    [998] = 998,
    [999] = 999,
    [1000] = 1000,
    [1001] = 1001,
    [1002] = 1002,
    [1003] = 1003,
    [1004] = 1004,
    [1005] = 1005,
    [1006] = 1006,
    [1007] = 1007,
    [1008] = 1008,
    [1009] = 1009,
    [1010] = 1010,
    [1011] = 1011,
    [1012] = 1012,
    [1013] = 1013,
    [1014] = 1014,
    [1015] = 1015,
    [1016] = 1016,
    [1017] = 1017,
    [1018] = 1018,
    [1019] = 1019,
    [1020] = 1020,
    [1021] = 1021,
    [1022] = 1022,
    [1023] = 1023,
    [1024] = 1024,
    [1025] = 1025,
    [1026] = 1026,
    [1027] = 1027,
    [1028] = 1028,
    [1029] = 205,
    [1030] = 1030,
    [1031] = 1031,
    [1032] = 1032,
    [1033] = 1033,
    [1034] = 1034,
    [1035] = 1035,
    [1036] = 1036,
    [1037] = 1037,
    [1038] = 1038,
    [1039] = 1039,
    [1040] = 1040,
    [1041] = 1041,
    [1042] = 1042,
    [1043] = 1043,
    [1044] = 1044,
    [1045] = 1024,
    [1046] = 1046,
    [1047] = 1047,
    [1048] = 1005,
    [1049] = 1049,
    [1050] = 1050,
    [1051] = 965,
    [1052] = 964,
    [1053] = 1053,
    [1054] = 935,
    [1055] = 960,
    [1056] = 959,
    [1057] = 957,
    [1058] = 956,
    [1059] = 955,
    [1060] = 952,
    [1061] = 951,
    [1062] = 950,
    [1063] = 949,
    [1064] = 948,
    [1065] = 947,
    [1066] = 944,
    [1067] = 940,
    [1068] = 939,
    [1069] = 938,
    [1070] = 936,
    [1071] = 1071,
    [1072] = 1072,
    [1073] = 919,
    [1074] = 1074,
    [1075] = 925,
    [1076] = 1076,
    [1077] = 882,
    [1078] = 1078,
    [1079] = 1039,
    [1080] = 1080,
    [1081] = 1081,
    [1082] = 1082,
    [1083] = 1024,
    [1084] = 1084,
    [1085] = 1005,
    [1086] = 1086,
    [1087] = 965,
    [1088] = 964,
    [1089] = 841,
    [1090] = 935,
    [1091] = 960,
    [1092] = 959,
    [1093] = 957,
    [1094] = 956,
    [1095] = 955,
    [1096] = 952,
    [1097] = 951,
    [1098] = 950,
    [1099] = 949,
    [1100] = 948,
    [1101] = 947,
    [1102] = 944,
    [1103] = 940,
    [1104] = 939,
    [1105] = 938,
    [1106] = 936,
    [1107] = 919,
    [1108] = 1074,
    [1109] = 925,
    [1110] = 882,
    [1111] = 1111,
    [1112] = 1039,
    [1113] = 1113,
    [1114] = 1114,
    [1115] = 1031,
    [1116] = 1024,
    [1117] = 1117,
    [1118] = 965,
    [1119] = 964,
    [1120] = 841,
    [1121] = 935,
    [1122] = 960,
    [1123] = 959,
    [1124] = 957,
    [1125] = 956,
    [1126] = 955,
    [1127] = 952,
    [1128] = 951,
    [1129] = 950,
    [1130] = 949,
    [1131] = 948,
    [1132] = 947,
    [1133] = 944,
    [1134] = 940,
    [1135] = 939,
    [1136] = 938,
    [1137] = 936,
    [1138] = 919,
    [1139] = 1074,
    [1140] = 925,
    [1141] = 882,
    [1142] = 1039,
    [1143] = 1039,
    [1144] = 1024,
    [1145] = 1145,
    [1146] = 1146,
    [1147] = 1147,
    [1148] = 1028,
    [1149] = 1027,
    [1150] = 1150,
    [1151] = 1151,
    [1152] = 1039,
    [1153] = 1153,
    [1154] = 1154,
    [1155] = 1155,
    [1156] = 1156,
    [1157] = 1025,
    [1158] = 1158,
    [1159] = 1159,
    [1160] = 1160,
    [1161] = 1161,
    [1162] = 1146,
    [1163] = 1163,
    [1164] = 1164,
    [1165] = 1165,
    [1166] = 1166,
    [1167] = 1031,
    [1168] = 1168,
    [1169] = 1169,
    [1170] = 1170,
    [1171] = 1171,
    [1172] = 1172,
    [1173] = 1028,
    [1174] = 1027,
    [1175] = 1175,
    [1176] = 1176,
    [1177] = 1177,
    [1178] = 1178,
    [1179] = 1179,
    [1180] = 1180,
    [1181] = 1181,
    [1182] = 1025,
    [1183] = 1183,
    [1184] = 1184,
    [1185] = 1074,
    [1186] = 1186,
    [1187] = 1187,
    [1188] = 1188,
    [1189] = 1189,
    [1190] = 1190,
    [1191] = 1191,
    [1192] = 1192,
    [1193] = 1193,
    [1194] = 1194,
    [1195] = 1195,
    [1196] = 1028,
    [1197] = 1027,
    [1198] = 1198,
    [1199] = 1199,
    [1200] = 1200,
    [1201] = 1201,
    [1202] = 1202,
    [1203] = 1203,
    [1204] = 1204,
    [1205] = 1025,
    [1206] = 1206,
    [1207] = 1207,
    [1208] = 1208,
    [1209] = 1209,
    [1210] = 1210,
    [1211] = 1211,
    [1212] = 1212,
    [1213] = 1213,
    [1214] = 1214,
    [1215] = 1215,
    [1216] = 1216,
    [1217] = 1151,
    [1218] = 1150,
    [1219] = 1147,
    [1220] = 1145,
    [1221] = 1117,
    [1222] = 1114,
    [1223] = 1113,
    [1224] = 1047,
    [1225] = 1086,
    [1226] = 1084,
    [1227] = 953,
    [1228] = 943,
    [1229] = 942,
    [1230] = 923,
    [1231] = 1151,
    [1232] = 1150,
    [1233] = 1147,
    [1234] = 1145,
    [1235] = 1117,
    [1236] = 1114,
    [1237] = 1113,
    [1238] = 1047,
    [1239] = 1086,
    [1240] = 1084,
    [1241] = 953,
    [1242] = 943,
    [1243] = 942,
    [1244] = 923,
    [1245] = 1151,
    [1246] = 1150,
    [1247] = 1147,
    [1248] = 1145,
    [1249] = 1117,
    [1250] = 1114,
    [1251] = 1113,
    [1252] = 1047,
    [1253] = 1086,
    [1254] = 1084,
    [1255] = 953,
    [1256] = 943,
    [1257] = 942,
    [1258] = 923,
    [1259] = 1259,
    [1260] = 1260,
    [1261] = 1261,
    [1262] = 1031,
    [1263] = 1263,
    [1264] = 1264,
};

static TSCharacterRange sym_number_literal_character_set_13[] = {
    { '0', '9' },
    { 'B', 'B' },
    { 'D', 'D' },
    { 'F', 'F' },
    { 'L', 'L' },
    { 'U', 'U' },
    { 'W', 'W' },
    { 'b', 'b' },
    { 'd', 'd' },
    { 'f', 'f' },
    { 'l', 'l' },
    { 'u', 'u' },
    { 'w', 'w' },
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
    START_LEXER();
    eof = lexer->eof(lexer);
    switch(state) {
        case 0:
            if(eof)
                ADVANCE(816);
            ADVANCE_MAP(
                '"', 895,
                '#', 327,
                '%', 885,
                '&', 875,
                '\'', 899,
                '(', 886,
                ')', 887,
                '*', 882,
                '+', 879,
                ',', 868,
                '-', 881,
                '.', 794,
                '/', 883,
                '0', 915,
                ':', 978,
                ';', 979,
                '<', 863,
                '=', 1011,
                '>', 865,
                '@', 1007,
                'A', 174,
                'B', 157,
                'C', 206,
                'D', 150,
                'E', 201,
                'F', 127,
                'H', 129,
                'L', 893,
                'M', 232,
                'O', 294,
                'S', 158,
                'T', 215,
                'V', 244,
                '[', 1106,
            );
            if(lookahead == '\\')
                SKIP(809);
            if(lookahead == ']')
                ADVANCE(1107);
            if(lookahead == '^')
                ADVANCE(874);
            if(lookahead == 'a')
                ADVANCE(297);
            if(lookahead == 'b')
                ADVANCE(448);
            if(lookahead == 'c')
                ADVANCE(1058);
            if(lookahead == 'd')
                ADVANCE(348);
            if(lookahead == 'e')
                ADVANCE(528);
            if(lookahead == 'f')
                ADVANCE(245);
            if(lookahead == 'g')
                ADVANCE(406);
            if(lookahead == 'h')
                ADVANCE(580);
            if(lookahead == 'i')
                ADVANCE(328);
            if(lookahead == 'j')
                ADVANCE(246);
            if(lookahead == 'k')
                ADVANCE(376);
            if(lookahead == 'l')
                ADVANCE(581);
            if(lookahead == 'm')
                ADVANCE(247);
            if(lookahead == 'n')
                ADVANCE(256);
            if(lookahead == 'o')
                ADVANCE(313);
            if(lookahead == 'p')
                ADVANCE(583);
            if(lookahead == 'r')
                ADVANCE(248);
            if(lookahead == 's')
                ADVANCE(349);
            if(lookahead == 't')
                ADVANCE(636);
            if(lookahead == 'u')
                ADVANCE(445);
            if(lookahead == 'v')
                ADVANCE(287);
            if(lookahead == 'w')
                ADVANCE(309);
            if(lookahead == '{')
                ADVANCE(970);
            if(lookahead == '|')
                ADVANCE(873);
            if(lookahead == '}')
                ADVANCE(971);
            if(lookahead == '~')
                ADVANCE(888);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(0);
            if(('1' <= lookahead && lookahead <= '9'))
                ADVANCE(919);
            END_STATE();
        case 1:
            if(lookahead == '\n')
                SKIP(98);
            END_STATE();
        case 2:
            if(lookahead == '\n')
                SKIP(98);
            if(lookahead == '\r')
                SKIP(1);
            END_STATE();
        case 3:
            if(lookahead == '\n')
                SKIP(99);
            END_STATE();
        case 4:
            if(lookahead == '\n')
                SKIP(99);
            if(lookahead == '\r')
                SKIP(3);
            END_STATE();
        case 5:
            if(lookahead == '\n')
                SKIP(101);
            END_STATE();
        case 6:
            if(lookahead == '\n')
                SKIP(101);
            if(lookahead == '\r')
                SKIP(5);
            END_STATE();
        case 7:
            if(lookahead == '\n')
                SKIP(86);
            END_STATE();
        case 8:
            if(lookahead == '\n')
                SKIP(86);
            if(lookahead == '\r')
                SKIP(7);
            END_STATE();
        case 9:
            if(lookahead == '\n')
                SKIP(83);
            END_STATE();
        case 10:
            if(lookahead == '\n')
                SKIP(83);
            if(lookahead == '\r')
                SKIP(9);
            END_STATE();
        case 11:
            if(lookahead == '\n')
                SKIP(90);
            END_STATE();
        case 12:
            if(lookahead == '\n')
                SKIP(90);
            if(lookahead == '\r')
                SKIP(11);
            END_STATE();
        case 13:
            if(lookahead == '\n')
                SKIP(104);
            END_STATE();
        case 14:
            if(lookahead == '\n')
                SKIP(104);
            if(lookahead == '\r')
                SKIP(13);
            END_STATE();
        case 15:
            if(lookahead == '\n')
                SKIP(105);
            END_STATE();
        case 16:
            if(lookahead == '\n')
                SKIP(105);
            if(lookahead == '\r')
                SKIP(15);
            END_STATE();
        case 17:
            if(lookahead == '\n')
                SKIP(109);
            END_STATE();
        case 18:
            if(lookahead == '\n')
                SKIP(109);
            if(lookahead == '\r')
                SKIP(17);
            END_STATE();
        case 19:
            if(lookahead == '\n')
                SKIP(106);
            END_STATE();
        case 20:
            if(lookahead == '\n')
                SKIP(106);
            if(lookahead == '\r')
                SKIP(19);
            END_STATE();
        case 21:
            if(lookahead == '\n')
                SKIP(110);
            END_STATE();
        case 22:
            if(lookahead == '\n')
                SKIP(110);
            if(lookahead == '\r')
                SKIP(21);
            END_STATE();
        case 23:
            if(lookahead == '\n')
                SKIP(111);
            END_STATE();
        case 24:
            if(lookahead == '\n')
                SKIP(111);
            if(lookahead == '\r')
                SKIP(23);
            END_STATE();
        case 25:
            if(lookahead == '\n')
                SKIP(79);
            END_STATE();
        case 26:
            if(lookahead == '\n')
                SKIP(79);
            if(lookahead == '\r')
                SKIP(25);
            END_STATE();
        case 27:
            if(lookahead == '\n')
                SKIP(76);
            END_STATE();
        case 28:
            if(lookahead == '\n')
                SKIP(76);
            if(lookahead == '\r')
                SKIP(27);
            END_STATE();
        case 29:
            if(lookahead == '\n')
                SKIP(84);
            END_STATE();
        case 30:
            if(lookahead == '\n')
                SKIP(84);
            if(lookahead == '\r')
                SKIP(29);
            END_STATE();
        case 31:
            if(lookahead == '\n')
                SKIP(77);
            END_STATE();
        case 32:
            if(lookahead == '\n')
                SKIP(77);
            if(lookahead == '\r')
                SKIP(31);
            END_STATE();
        case 33:
            if(lookahead == '\n')
                SKIP(87);
            END_STATE();
        case 34:
            if(lookahead == '\n')
                SKIP(87);
            if(lookahead == '\r')
                SKIP(33);
            END_STATE();
        case 35:
            if(lookahead == '\n')
                SKIP(80);
            END_STATE();
        case 36:
            if(lookahead == '\n')
                SKIP(80);
            if(lookahead == '\r')
                SKIP(35);
            END_STATE();
        case 37:
            if(lookahead == '\n')
                SKIP(78);
            END_STATE();
        case 38:
            if(lookahead == '\n')
                SKIP(78);
            if(lookahead == '\r')
                SKIP(37);
            END_STATE();
        case 39:
            if(lookahead == '\n')
                SKIP(89);
            END_STATE();
        case 40:
            if(lookahead == '\n')
                SKIP(89);
            if(lookahead == '\r')
                SKIP(39);
            END_STATE();
        case 41:
            if(lookahead == '\n')
                SKIP(88);
            END_STATE();
        case 42:
            if(lookahead == '\n')
                SKIP(88);
            if(lookahead == '\r')
                SKIP(41);
            END_STATE();
        case 43:
            if(lookahead == '\n')
                SKIP(81);
            END_STATE();
        case 44:
            if(lookahead == '\n')
                SKIP(81);
            if(lookahead == '\r')
                SKIP(43);
            END_STATE();
        case 45:
            if(lookahead == '\n')
                SKIP(107);
            END_STATE();
        case 46:
            if(lookahead == '\n')
                SKIP(107);
            if(lookahead == '\r')
                SKIP(45);
            END_STATE();
        case 47:
            if(lookahead == '\n')
                SKIP(49);
            END_STATE();
        case 48:
            if(lookahead == '\n')
                SKIP(49);
            if(lookahead == '\r')
                SKIP(47);
            END_STATE();
        case 49:
            if(lookahead == '\n')
                ADVANCE(1010);
            if(lookahead == '\r')
                ADVANCE(49);
            if(lookahead == '(')
                ADVANCE(886);
            if(lookahead == '/')
                ADVANCE(91);
            if(lookahead == ':')
                ADVANCE(125);
            if(lookahead == '@')
                ADVANCE(1006);
            if(lookahead == '\\')
                SKIP(48);
            if(('\t' <= lookahead && lookahead <= '\f') ||
               lookahead == ' ')
                SKIP(49);
            END_STATE();
        case 50:
            if(lookahead == '\n')
                SKIP(112);
            END_STATE();
        case 51:
            if(lookahead == '\n')
                SKIP(112);
            if(lookahead == '\r')
                SKIP(50);
            END_STATE();
        case 52:
            if(lookahead == '\n')
                SKIP(108);
            END_STATE();
        case 53:
            if(lookahead == '\n')
                SKIP(108);
            if(lookahead == '\r')
                SKIP(52);
            END_STATE();
        case 54:
            if(lookahead == '\n')
                SKIP(82);
            if(lookahead == '"')
                ADVANCE(895);
            if(lookahead == '/')
                ADVANCE(896);
            if(lookahead == '\\')
                ADVANCE(55);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                ADVANCE(897);
            if(lookahead != 0)
                ADVANCE(898);
            END_STATE();
        case 55:
            if(lookahead == '\n')
                ADVANCE(890);
            if(lookahead == '\r')
                ADVANCE(889);
            if(lookahead == 'U')
                ADVANCE(806);
            if(lookahead == 'u')
                ADVANCE(802);
            if(lookahead == 'x')
                ADVANCE(800);
            if(('0' <= lookahead && lookahead <= '9'))
                ADVANCE(892);
            if(lookahead != 0)
                ADVANCE(889);
            END_STATE();
        case 56:
            if(lookahead == '\n')
                SKIP(113);
            END_STATE();
        case 57:
            if(lookahead == '\n')
                SKIP(113);
            if(lookahead == '\r')
                SKIP(56);
            END_STATE();
        case 58:
            if(lookahead == '\n')
                SKIP(85);
            if(lookahead == '\'')
                ADVANCE(899);
            if(lookahead == '/')
                ADVANCE(902);
            if(lookahead == '\\')
                ADVANCE(901);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                ADVANCE(903);
            if(lookahead != 0)
                ADVANCE(900);
            END_STATE();
        case 59:
            if(lookahead == '\n')
                SKIP(114);
            END_STATE();
        case 60:
            if(lookahead == '\n')
                SKIP(114);
            if(lookahead == '\r')
                SKIP(59);
            END_STATE();
        case 61:
            if(lookahead == '\n')
                ADVANCE(943);
            if(lookahead == '\r')
                ADVANCE(63);
            if(lookahead == '/')
                ADVANCE(959);
            if(lookahead == '\\')
                ADVANCE(956);
            if(('\t' <= lookahead && lookahead <= '\f') ||
               lookahead == ' ')
                SKIP(103);
            if(lookahead != 0)
                ADVANCE(960);
            END_STATE();
        case 62:
            if(lookahead == '\n')
                ADVANCE(943);
            if(lookahead == '\r')
                ADVANCE(64);
            if(lookahead == '/')
                ADVANCE(92);
            if(lookahead == '\\')
                SKIP(66);
            if(('\t' <= lookahead && lookahead <= '\f') ||
               lookahead == ' ')
                SKIP(115);
            END_STATE();
        case 63:
            if(lookahead == '\n')
                ADVANCE(943);
            if(lookahead == '/')
                ADVANCE(959);
            if(lookahead == '\\')
                ADVANCE(956);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(103);
            if(lookahead != 0)
                ADVANCE(960);
            END_STATE();
        case 64:
            if(lookahead == '\n')
                ADVANCE(943);
            if(lookahead == '/')
                ADVANCE(92);
            if(lookahead == '\\')
                SKIP(66);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(115);
            END_STATE();
        case 65:
            if(lookahead == '\n')
                SKIP(115);
            END_STATE();
        case 66:
            if(lookahead == '\n')
                SKIP(115);
            if(lookahead == '\r')
                SKIP(65);
            END_STATE();
        case 67:
            if(lookahead == '\n')
                ADVANCE(1560);
            if(lookahead == '\r')
                ADVANCE(1557);
            if(lookahead == '\\')
                ADVANCE(1558);
            if(lookahead != 0)
                ADVANCE(1561);
            END_STATE();
        case 68:
            if(lookahead == '\n')
                ADVANCE(93);
            if(lookahead == '\r')
                ADVANCE(69);
            if(lookahead == '*')
                ADVANCE(1568);
            if(lookahead != 0)
                ADVANCE(94);
            END_STATE();
        case 69:
            if(lookahead == '\n')
                ADVANCE(93);
            if(lookahead == '*')
                ADVANCE(1568);
            if(lookahead != 0)
                ADVANCE(94);
            END_STATE();
        case 70:
            if(lookahead == '\n')
                SKIP(100);
            END_STATE();
        case 71:
            if(lookahead == '\n')
                SKIP(100);
            if(lookahead == '\r')
                SKIP(70);
            END_STATE();
        case 72:
            if(lookahead == '\n')
                SKIP(102);
            END_STATE();
        case 73:
            if(lookahead == '\n')
                SKIP(102);
            if(lookahead == '\r')
                SKIP(72);
            END_STATE();
        case 74:
            if(lookahead == '\r')
                ADVANCE(1562);
            if(lookahead == '\\')
                ADVANCE(1558);
            if(lookahead != 0)
                ADVANCE(1561);
            END_STATE();
        case 75:
            if(lookahead == ' ')
                ADVANCE(519);
            END_STATE();
        case 76:
            ADVANCE_MAP(
                '"', 895,
                '%', 885,
                '&', 875,
                ')', 887,
                '*', 882,
                '+', 878,
                ',', 868,
                '-', 880,
                '/', 884,
                ':', 978,
                ';', 979,
                '<', 126,
                '>', 865,
                'A', 174,
                'B', 157,
                'C', 206,
                'D', 150,
                'E', 201,
                'F', 178,
                'H', 129,
                'L', 893,
                'M', 232,
                'S', 158,
                '[', 1106,
            );
            if(lookahead == '\\')
                SKIP(28);
            if(lookahead == ']')
                ADVANCE(1107);
            if(lookahead == '^')
                ADVANCE(874);
            if(lookahead == 'a')
                ADVANCE(690);
            if(lookahead == 'b')
                ADVANCE(470);
            if(lookahead == 'c')
                ADVANCE(250);
            if(lookahead == 'd')
                ADVANCE(413);
            if(lookahead == 'e')
                ADVANCE(527);
            if(lookahead == 'g')
                ADVANCE(406);
            if(lookahead == 'i')
                ADVANCE(568);
            if(lookahead == 'l')
                ADVANCE(606);
            if(lookahead == 'm')
                ADVANCE(272);
            if(lookahead == 'o')
                ADVANCE(312);
            if(lookahead == 'p')
                ADVANCE(612);
            if(lookahead == 'r')
                ADVANCE(290);
            if(lookahead == 's')
                ADVANCE(416);
            if(lookahead == 'u')
                ADVANCE(446);
            if(lookahead == 'v')
                ADVANCE(275);
            if(lookahead == '{')
                ADVANCE(970);
            if(lookahead == '|')
                ADVANCE(873);
            if(lookahead == '}')
                ADVANCE(971);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(76);
            END_STATE();
        case 77:
            ADVANCE_MAP(
                '"', 895,
                '%', 885,
                '&', 875,
                ')', 887,
                '*', 882,
                '+', 878,
                ',', 868,
                '-', 880,
                '/', 884,
                ':', 977,
                ';', 979,
                '<', 126,
                '>', 865,
                'A', 173,
                'B', 157,
                'E', 201,
                'L', 893,
            );
            if(lookahead == '\\')
                SKIP(32);
            if(lookahead == ']')
                ADVANCE(1107);
            if(lookahead == '^')
                ADVANCE(874);
            if(lookahead == 'c')
                ADVANCE(1057);
            if(lookahead == 'i')
                ADVANCE(340);
            if(lookahead == 'j')
                ADVANCE(246);
            if(lookahead == 'm')
                ADVANCE(271);
            if(lookahead == 's')
                ADVANCE(756);
            if(lookahead == '{')
                ADVANCE(970);
            if(lookahead == '|')
                ADVANCE(873);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(77);
            END_STATE();
        case 78:
            ADVANCE_MAP(
                '"', 895,
                '&', 875,
                ')', 887,
                ',', 868,
                '/', 92,
                ':', 977,
                ';', 979,
                '<', 863,
                '>', 864,
                'L', 894,
            );
            if(lookahead == '\\')
                SKIP(38);
            if(lookahead == ']')
                ADVANCE(1107);
            if(lookahead == '^')
                ADVANCE(874);
            if(lookahead == '|')
                ADVANCE(873);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(78);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 79:
            ADVANCE_MAP(
                '"', 895,
                '\'', 899,
                '(', 886,
                '+', 879,
                '-', 881,
                '.', 794,
                '/', 92,
                '0', 917,
                ':', 125,
                'F', 1154,
                'L', 894,
                'T', 1159,
            );
            if(lookahead == '\\')
                SKIP(26);
            if(lookahead == '~')
                ADVANCE(888);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(79);
            if(('1' <= lookahead && lookahead <= '9'))
                ADVANCE(920);
            if(('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 80:
            if(lookahead == '"')
                ADVANCE(895);
            if(lookahead == ',')
                ADVANCE(868);
            if(lookahead == '/')
                ADVANCE(92);
            if(lookahead == ':')
                ADVANCE(125);
            if(lookahead == '<')
                ADVANCE(863);
            if(lookahead == '>')
                ADVANCE(864);
            if(lookahead == 'L')
                ADVANCE(893);
            if(lookahead == '\\')
                SKIP(36);
            if(lookahead == 'm')
                ADVANCE(271);
            if(lookahead == 'p')
                ADVANCE(648);
            if(lookahead == 's')
                ADVANCE(756);
            if(lookahead == '{')
                ADVANCE(970);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(80);
            END_STATE();
        case 81:
            if(lookahead == '"')
                ADVANCE(895);
            if(lookahead == '/')
                ADVANCE(92);
            if(lookahead == ':')
                ADVANCE(125);
            if(lookahead == 'L')
                ADVANCE(894);
            if(lookahead == '\\')
                SKIP(44);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(81);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 82:
            if(lookahead == '"')
                ADVANCE(895);
            if(lookahead == '/')
                ADVANCE(92);
            if(lookahead == '\\')
                ADVANCE(55);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(82);
            END_STATE();
        case 83:
            ADVANCE_MAP(
                '%', 885,
                '&', 875,
                ')', 887,
                '*', 882,
                '+', 878,
                ',', 868,
                '-', 880,
                '/', 884,
                ':', 978,
                ';', 979,
                '<', 126,
                '=', 1011,
                '>', 865,
                'O', 1199,
                'V', 1164,
            );
            if(lookahead == '\\')
                SKIP(10);
            if(lookahead == ']')
                ADVANCE(1107);
            if(lookahead == '^')
                ADVANCE(874);
            if(lookahead == 'a')
                ADVANCE(1376);
            if(lookahead == 'b')
                ADVANCE(1408);
            if(lookahead == 'c')
                ADVANCE(1304);
            if(lookahead == 'd')
                ADVANCE(1404);
            if(lookahead == 'f')
                ADVANCE(1307);
            if(lookahead == 'i')
                ADVANCE(1380);
            if(lookahead == 'l')
                ADVANCE(1406);
            if(lookahead == 'm')
                ADVANCE(1169);
            if(lookahead == 'o')
                ADVANCE(1217);
            if(lookahead == 's')
                ADVANCE(1243);
            if(lookahead == 'u')
                ADVANCE(1316);
            if(lookahead == 'w')
                ADVANCE(1210);
            if(lookahead == '{')
                ADVANCE(970);
            if(lookahead == '|')
                ADVANCE(873);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(83);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('e' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 84:
            ADVANCE_MAP(
                '%', 885,
                '&', 875,
                ')', 887,
                '*', 882,
                '+', 878,
                ',', 868,
                '-', 880,
                '/', 884,
                ':', 978,
                ';', 979,
                '<', 126,
                '>', 865,
                '@', 347,
            );
            if(lookahead == '\\')
                SKIP(30);
            if(lookahead == ']')
                ADVANCE(1107);
            if(lookahead == '^')
                ADVANCE(874);
            if(lookahead == '{')
                ADVANCE(970);
            if(lookahead == '|')
                ADVANCE(873);
            if(lookahead == '}')
                ADVANCE(971);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(84);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 85:
            if(lookahead == '\'')
                ADVANCE(899);
            if(lookahead == '/')
                ADVANCE(92);
            if(lookahead == '\\')
                ADVANCE(55);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(85);
            END_STATE();
        case 86:
            if(lookahead == '(')
                ADVANCE(886);
            if(lookahead == '/')
                ADVANCE(91);
            if(lookahead == ':')
                ADVANCE(125);
            if(lookahead == '@')
                ADVANCE(1006);
            if(lookahead == 'O')
                ADVANCE(1199);
            if(lookahead == 'V')
                ADVANCE(1164);
            if(lookahead == '\\')
                SKIP(8);
            if(lookahead == 'a')
                ADVANCE(1376);
            if(lookahead == 'b')
                ADVANCE(1408);
            if(lookahead == 'c')
                ADVANCE(1304);
            if(lookahead == 'd')
                ADVANCE(1404);
            if(lookahead == 'f')
                ADVANCE(1307);
            if(lookahead == 'i')
                ADVANCE(1380);
            if(lookahead == 'l')
                ADVANCE(1406);
            if(lookahead == 'm')
                ADVANCE(1169);
            if(lookahead == 'o')
                ADVANCE(1217);
            if(lookahead == 's')
                ADVANCE(1244);
            if(lookahead == 'u')
                ADVANCE(1316);
            if(lookahead == 'w')
                ADVANCE(1210);
            if(lookahead == '}')
                ADVANCE(971);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(86);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('e' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 87:
            if(lookahead == '(')
                ADVANCE(886);
            if(lookahead == '/')
                ADVANCE(91);
            if(lookahead == ':')
                ADVANCE(125);
            if(lookahead == '@')
                ADVANCE(1006);
            if(lookahead == '\\')
                SKIP(34);
            if(lookahead == 'a')
                ADVANCE(295);
            if(lookahead == 'b')
                ADVANCE(471);
            if(lookahead == 'i')
                ADVANCE(577);
            if(lookahead == 'l')
                ADVANCE(587);
            if(lookahead == 's')
                ADVANCE(727);
            if(lookahead == 'u')
                ADVANCE(573);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(87);
            END_STATE();
        case 88:
            if(lookahead == '(')
                ADVANCE(886);
            if(lookahead == '/')
                ADVANCE(91);
            if(lookahead == ':')
                ADVANCE(125);
            if(lookahead == '@')
                ADVANCE(1006);
            if(lookahead == '\\')
                SKIP(42);
            if(lookahead == '}')
                ADVANCE(971);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(88);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 89:
            if(lookahead == ')')
                ADVANCE(887);
            if(lookahead == ',')
                ADVANCE(868);
            if(lookahead == '/')
                ADVANCE(92);
            if(lookahead == ':')
                ADVANCE(125);
            if(lookahead == ';')
                ADVANCE(979);
            if(lookahead == '<')
                ADVANCE(863);
            if(lookahead == '>')
                ADVANCE(864);
            if(lookahead == '\\')
                SKIP(40);
            if(lookahead == '{')
                ADVANCE(970);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(89);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 90:
            if(lookahead == ')')
                ADVANCE(887);
            if(lookahead == '/')
                ADVANCE(92);
            if(lookahead == ':')
                ADVANCE(125);
            if(lookahead == 'O')
                ADVANCE(1199);
            if(lookahead == 'V')
                ADVANCE(1164);
            if(lookahead == '\\')
                SKIP(12);
            if(lookahead == 'a')
                ADVANCE(1376);
            if(lookahead == 'b')
                ADVANCE(1408);
            if(lookahead == 'c')
                ADVANCE(1304);
            if(lookahead == 'd')
                ADVANCE(1404);
            if(lookahead == 'f')
                ADVANCE(1307);
            if(lookahead == 'i')
                ADVANCE(1372);
            if(lookahead == 'l')
                ADVANCE(1406);
            if(lookahead == 'm')
                ADVANCE(1169);
            if(lookahead == 'o')
                ADVANCE(1216);
            if(lookahead == 's')
                ADVANCE(1244);
            if(lookahead == 'u')
                ADVANCE(1316);
            if(lookahead == 'w')
                ADVANCE(1210);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(90);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('e' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 91:
            if(lookahead == '*')
                ADVANCE(1563);
            if(lookahead == '/')
                ADVANCE(1553);
            END_STATE();
        case 92:
            if(lookahead == '*')
                ADVANCE(1563);
            if(lookahead == '/')
                ADVANCE(1551);
            END_STATE();
        case 93:
            if(lookahead == '*')
                ADVANCE(1568);
            if(lookahead == '/')
                ADVANCE(95);
            if(lookahead == '\\')
                ADVANCE(68);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                ADVANCE(93);
            if(lookahead != 0)
                ADVANCE(94);
            END_STATE();
        case 94:
            if(lookahead == '*')
                ADVANCE(1568);
            if(lookahead != 0)
                ADVANCE(94);
            END_STATE();
        case 95:
            if(lookahead == '*')
                ADVANCE(1564);
            if(lookahead == '/')
                ADVANCE(1552);
            if(lookahead != 0)
                ADVANCE(94);
            END_STATE();
        case 96:
            if(lookahead == '+')
                ADVANCE(1059);
            END_STATE();
        case 97:
            if(lookahead == '.')
                ADVANCE(794);
            if(lookahead == '0')
                ADVANCE(911);
            if(('1' <= lookahead && lookahead <= '9'))
                ADVANCE(913);
            if(('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(926);
            END_STATE();
        case 98:
            if(lookahead == '/')
                ADVANCE(91);
            if(lookahead == ':')
                ADVANCE(125);
            if(lookahead == '@')
                ADVANCE(1008);
            if(lookahead == 'O')
                ADVANCE(1199);
            if(lookahead == 'V')
                ADVANCE(1164);
            if(lookahead == '\\')
                SKIP(2);
            if(lookahead == 'a')
                ADVANCE(1200);
            if(lookahead == 'b')
                ADVANCE(1310);
            if(lookahead == 'c')
                ADVANCE(1302);
            if(lookahead == 'd')
                ADVANCE(1404);
            if(lookahead == 'e')
                ADVANCE(1378);
            if(lookahead == 'f')
                ADVANCE(1167);
            if(lookahead == 'i')
                ADVANCE(1361);
            if(lookahead == 'l')
                ADVANCE(1406);
            if(lookahead == 'm')
                ADVANCE(1169);
            if(lookahead == 'n')
                ADVANCE(1175);
            if(lookahead == 'o')
                ADVANCE(1215);
            if(lookahead == 'p')
                ADVANCE(1436);
            if(lookahead == 'r')
                ADVANCE(1271);
            if(lookahead == 's')
                ADVANCE(1241);
            if(lookahead == 't')
                ADVANCE(1544);
            if(lookahead == 'u')
                ADVANCE(1315);
            if(lookahead == 'v')
                ADVANCE(1195);
            if(lookahead == 'w')
                ADVANCE(1210);
            if(lookahead == '}')
                ADVANCE(971);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(98);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('g' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 99:
            if(lookahead == '/')
                ADVANCE(91);
            if(lookahead == ':')
                ADVANCE(125);
            if(lookahead == '@')
                ADVANCE(1008);
            if(lookahead == 'O')
                ADVANCE(1199);
            if(lookahead == 'V')
                ADVANCE(1164);
            if(lookahead == '\\')
                SKIP(4);
            if(lookahead == 'a')
                ADVANCE(1200);
            if(lookahead == 'b')
                ADVANCE(1310);
            if(lookahead == 'c')
                ADVANCE(1302);
            if(lookahead == 'd')
                ADVANCE(1404);
            if(lookahead == 'e')
                ADVANCE(1378);
            if(lookahead == 'f')
                ADVANCE(1168);
            if(lookahead == 'i')
                ADVANCE(1361);
            if(lookahead == 'l')
                ADVANCE(1406);
            if(lookahead == 'm')
                ADVANCE(1169);
            if(lookahead == 'n')
                ADVANCE(1175);
            if(lookahead == 'o')
                ADVANCE(1215);
            if(lookahead == 'r')
                ADVANCE(1271);
            if(lookahead == 's')
                ADVANCE(1241);
            if(lookahead == 't')
                ADVANCE(1544);
            if(lookahead == 'u')
                ADVANCE(1315);
            if(lookahead == 'v')
                ADVANCE(1195);
            if(lookahead == 'w')
                ADVANCE(1210);
            if(lookahead == '}')
                ADVANCE(971);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(99);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('g' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 100:
            if(lookahead == '/')
                ADVANCE(91);
            if(lookahead == ':')
                ADVANCE(125);
            if(lookahead == '@')
                ADVANCE(1008);
            if(lookahead == 'O')
                ADVANCE(1199);
            if(lookahead == 'V')
                ADVANCE(1164);
            if(lookahead == '\\')
                SKIP(71);
            if(lookahead == 'a')
                ADVANCE(1200);
            if(lookahead == 'b')
                ADVANCE(1310);
            if(lookahead == 'c')
                ADVANCE(1302);
            if(lookahead == 'd')
                ADVANCE(1404);
            if(lookahead == 'e')
                ADVANCE(1378);
            if(lookahead == 'f')
                ADVANCE(1307);
            if(lookahead == 'i')
                ADVANCE(1361);
            if(lookahead == 'l')
                ADVANCE(1406);
            if(lookahead == 'm')
                ADVANCE(1169);
            if(lookahead == 'n')
                ADVANCE(1175);
            if(lookahead == 'o')
                ADVANCE(1215);
            if(lookahead == 'r')
                ADVANCE(1271);
            if(lookahead == 's')
                ADVANCE(1241);
            if(lookahead == 't')
                ADVANCE(1544);
            if(lookahead == 'u')
                ADVANCE(1315);
            if(lookahead == 'v')
                ADVANCE(1195);
            if(lookahead == 'w')
                ADVANCE(1210);
            if(lookahead == '}')
                ADVANCE(971);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(100);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('g' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 101:
            if(lookahead == '/')
                ADVANCE(91);
            if(lookahead == ':')
                ADVANCE(125);
            if(lookahead == '@')
                ADVANCE(1008);
            if(lookahead == 'O')
                ADVANCE(1199);
            if(lookahead == 'V')
                ADVANCE(1164);
            if(lookahead == '\\')
                SKIP(6);
            if(lookahead == 'a')
                ADVANCE(1376);
            if(lookahead == 'b')
                ADVANCE(1310);
            if(lookahead == 'c')
                ADVANCE(1188);
            if(lookahead == 'd')
                ADVANCE(1268);
            if(lookahead == 'e')
                ADVANCE(1379);
            if(lookahead == 'f')
                ADVANCE(1307);
            if(lookahead == 'i')
                ADVANCE(1380);
            if(lookahead == 'l')
                ADVANCE(1406);
            if(lookahead == 'm')
                ADVANCE(1169);
            if(lookahead == 'o')
                ADVANCE(1217);
            if(lookahead == 's')
                ADVANCE(1241);
            if(lookahead == 'u')
                ADVANCE(1315);
            if(lookahead == 'w')
                ADVANCE(1210);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(101);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('g' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 102:
            if(lookahead == '/')
                ADVANCE(91);
            if(lookahead == ':')
                ADVANCE(125);
            if(lookahead == '@')
                ADVANCE(1008);
            if(lookahead == 'O')
                ADVANCE(1199);
            if(lookahead == 'V')
                ADVANCE(1164);
            if(lookahead == '\\')
                SKIP(73);
            if(lookahead == 'a')
                ADVANCE(1376);
            if(lookahead == 'b')
                ADVANCE(1310);
            if(lookahead == 'c')
                ADVANCE(1304);
            if(lookahead == 'd')
                ADVANCE(1404);
            if(lookahead == 'e')
                ADVANCE(1379);
            if(lookahead == 'f')
                ADVANCE(1307);
            if(lookahead == 'i')
                ADVANCE(1380);
            if(lookahead == 'l')
                ADVANCE(1406);
            if(lookahead == 'm')
                ADVANCE(1169);
            if(lookahead == 'o')
                ADVANCE(1217);
            if(lookahead == 's')
                ADVANCE(1241);
            if(lookahead == 'u')
                ADVANCE(1315);
            if(lookahead == 'w')
                ADVANCE(1210);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(102);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('g' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 103:
            if(lookahead == '/')
                ADVANCE(959);
            if(lookahead == '\\')
                ADVANCE(956);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(103);
            if(lookahead != 0)
                ADVANCE(960);
            END_STATE();
        case 104:
            if(lookahead == '/')
                ADVANCE(92);
            if(lookahead == ':')
                ADVANCE(125);
            if(lookahead == '@')
                ADVANCE(440);
            if(lookahead == '\\')
                SKIP(14);
            if(lookahead == 'a')
                ADVANCE(1376);
            if(lookahead == 'b')
                ADVANCE(1408);
            if(lookahead == 'c')
                ADVANCE(1303);
            if(lookahead == 'd')
                ADVANCE(1404);
            if(lookahead == 'e')
                ADVANCE(1379);
            if(lookahead == 'f')
                ADVANCE(1307);
            if(lookahead == 'i')
                ADVANCE(1380);
            if(lookahead == 'l')
                ADVANCE(1406);
            if(lookahead == 'o')
                ADVANCE(1217);
            if(lookahead == 's')
                ADVANCE(1244);
            if(lookahead == 't')
                ADVANCE(1546);
            if(lookahead == 'u')
                ADVANCE(1316);
            if(lookahead == 'w')
                ADVANCE(1210);
            if(lookahead == '}')
                ADVANCE(971);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(104);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('g' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 105:
            if(lookahead == '/')
                ADVANCE(92);
            if(lookahead == ':')
                ADVANCE(125);
            if(lookahead == 'O')
                ADVANCE(1199);
            if(lookahead == 'V')
                ADVANCE(1164);
            if(lookahead == '\\')
                SKIP(16);
            if(lookahead == 'a')
                ADVANCE(1376);
            if(lookahead == 'b')
                ADVANCE(1408);
            if(lookahead == 'c')
                ADVANCE(1303);
            if(lookahead == 'd')
                ADVANCE(1404);
            if(lookahead == 'e')
                ADVANCE(1377);
            if(lookahead == 'f')
                ADVANCE(1345);
            if(lookahead == 'i')
                ADVANCE(1393);
            if(lookahead == 'l')
                ADVANCE(1406);
            if(lookahead == 'o')
                ADVANCE(1217);
            if(lookahead == 's')
                ADVANCE(1242);
            if(lookahead == 't')
                ADVANCE(1547);
            if(lookahead == 'u')
                ADVANCE(1315);
            if(lookahead == 'v')
                ADVANCE(1196);
            if(lookahead == 'w')
                ADVANCE(1211);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(105);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('g' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 106:
            if(lookahead == '/')
                ADVANCE(92);
            if(lookahead == ':')
                ADVANCE(125);
            if(lookahead == 'O')
                ADVANCE(1199);
            if(lookahead == 'V')
                ADVANCE(1164);
            if(lookahead == '\\')
                SKIP(20);
            if(lookahead == 'a')
                ADVANCE(1376);
            if(lookahead == 'b')
                ADVANCE(1408);
            if(lookahead == 'c')
                ADVANCE(1304);
            if(lookahead == 'd')
                ADVANCE(1404);
            if(lookahead == 'f')
                ADVANCE(1307);
            if(lookahead == 'i')
                ADVANCE(1380);
            if(lookahead == 'l')
                ADVANCE(1406);
            if(lookahead == 'm')
                ADVANCE(1169);
            if(lookahead == 'o')
                ADVANCE(1217);
            if(lookahead == 's')
                ADVANCE(1244);
            if(lookahead == 'u')
                ADVANCE(1316);
            if(lookahead == 'w')
                ADVANCE(1210);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(106);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('e' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 107:
            if(lookahead == '/')
                ADVANCE(92);
            if(lookahead == ':')
                ADVANCE(125);
            if(lookahead == 'O')
                ADVANCE(1199);
            if(lookahead == '\\')
                SKIP(46);
            if(lookahead == 'm')
                ADVANCE(1529);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(107);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 108:
            if(lookahead == '/')
                ADVANCE(92);
            if(lookahead == ':')
                ADVANCE(125);
            if(lookahead == 'O')
                ADVANCE(1199);
            if(lookahead == '\\')
                SKIP(53);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(108);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 109:
            if(lookahead == '/')
                ADVANCE(92);
            if(lookahead == ':')
                ADVANCE(125);
            if(lookahead == '\\')
                SKIP(18);
            if(lookahead == 'a')
                ADVANCE(1366);
            if(lookahead == 'b')
                ADVANCE(1326);
            if(lookahead == 'd')
                ADVANCE(1290);
            if(lookahead == 'e')
                ADVANCE(1537);
            if(lookahead == 'f')
                ADVANCE(1325);
            if(lookahead == 'i')
                ADVANCE(1230);
            if(lookahead == 'k')
                ADVANCE(1273);
            if(lookahead == 'm')
                ADVANCE(1172);
            if(lookahead == 'n')
                ADVANCE(1289);
            if(lookahead == 'o')
                ADVANCE(1375);
            if(lookahead == 'p')
                ADVANCE(1411);
            if(lookahead == 'r')
                ADVANCE(1184);
            if(lookahead == 's')
                ADVANCE(1279);
            if(lookahead == 'u')
                ADVANCE(1399);
            if(lookahead == 'v')
                ADVANCE(1198);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(109);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('c' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 110:
            if(lookahead == '/')
                ADVANCE(92);
            if(lookahead == ':')
                ADVANCE(125);
            if(lookahead == '\\')
                SKIP(22);
            if(lookahead == 'b')
                ADVANCE(1408);
            if(lookahead == 'c')
                ADVANCE(1304);
            if(lookahead == 'd')
                ADVANCE(1404);
            if(lookahead == 'f')
                ADVANCE(1307);
            if(lookahead == 'i')
                ADVANCE(1380);
            if(lookahead == 'l')
                ADVANCE(1406);
            if(lookahead == 'o')
                ADVANCE(1217);
            if(lookahead == 's')
                ADVANCE(1244);
            if(lookahead == 'u')
                ADVANCE(1316);
            if(lookahead == 'w')
                ADVANCE(1210);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(110);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 111:
            if(lookahead == '/')
                ADVANCE(92);
            if(lookahead == ':')
                ADVANCE(125);
            if(lookahead == '\\')
                SKIP(24);
            if(lookahead == 'b')
                ADVANCE(1408);
            if(lookahead == 'c')
                ADVANCE(1304);
            if(lookahead == 'i')
                ADVANCE(1380);
            if(lookahead == 'l')
                ADVANCE(1416);
            if(lookahead == 's')
                ADVANCE(1305);
            if(lookahead == 'u')
                ADVANCE(1316);
            if(lookahead == 'w')
                ADVANCE(1211);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(111);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 112:
            if(lookahead == '/')
                ADVANCE(92);
            if(lookahead == ':')
                ADVANCE(125);
            if(lookahead == '\\')
                SKIP(51);
            if(lookahead == 't')
                ADVANCE(1453);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(112);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 113:
            if(lookahead == '/')
                ADVANCE(92);
            if(lookahead == ':')
                ADVANCE(977);
            if(lookahead == ';')
                ADVANCE(979);
            if(lookahead == '\\')
                SKIP(57);
            if(lookahead == '{')
                ADVANCE(970);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(113);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 114:
            if(lookahead == '/')
                ADVANCE(92);
            if(lookahead == ';')
                ADVANCE(979);
            if(lookahead == '\\')
                SKIP(60);
            if(lookahead == 's')
                ADVANCE(1534);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(114);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 115:
            if(lookahead == '/')
                ADVANCE(92);
            if(lookahead == '\\')
                SKIP(66);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(115);
            END_STATE();
        case 116:
            if(lookahead == '1')
                ADVANCE(123);
            if(lookahead == '3')
                ADVANCE(119);
            if(lookahead == '6')
                ADVANCE(121);
            if(lookahead == '8')
                ADVANCE(838);
            END_STATE();
        case 117:
            if(lookahead == '1')
                ADVANCE(123);
            if(lookahead == '3')
                ADVANCE(119);
            if(lookahead == '6')
                ADVANCE(121);
            if(lookahead == '8')
                ADVANCE(838);
            if(lookahead == 'e')
                ADVANCE(655);
            END_STATE();
        case 118:
            if(lookahead == '1')
                ADVANCE(124);
            if(lookahead == '3')
                ADVANCE(120);
            if(lookahead == '6')
                ADVANCE(122);
            if(lookahead == '8')
                ADVANCE(830);
            END_STATE();
        case 119:
            if(lookahead == '2')
                ADVANCE(825);
            END_STATE();
        case 120:
            if(lookahead == '2')
                ADVANCE(844);
            END_STATE();
        case 121:
            if(lookahead == '4')
                ADVANCE(828);
            END_STATE();
        case 122:
            if(lookahead == '4')
                ADVANCE(847);
            END_STATE();
        case 123:
            if(lookahead == '6')
                ADVANCE(819);
            END_STATE();
        case 124:
            if(lookahead == '6')
                ADVANCE(841);
            END_STATE();
        case 125:
            if(lookahead == ':')
                ADVANCE(858);
            END_STATE();
        case 126:
            if(lookahead == '<')
                ADVANCE(877);
            END_STATE();
        case 127:
            if(lookahead == 'A')
                ADVANCE(188);
            if(lookahead == 'I')
                ADVANCE(202);
            END_STATE();
        case 128:
            if(lookahead == 'A')
                ADVANCE(1070);
            END_STATE();
        case 129:
            if(lookahead == 'A')
                ADVANCE(223);
            END_STATE();
        case 130:
            if(lookahead == 'A')
                ADVANCE(186);
            END_STATE();
        case 131:
            if(lookahead == 'A')
                ADVANCE(142);
            END_STATE();
        case 132:
            if(lookahead == 'A')
                ADVANCE(217);
            END_STATE();
        case 133:
            if(lookahead == 'A')
                ADVANCE(187);
            END_STATE();
        case 134:
            if(lookahead == 'A')
                ADVANCE(228);
            END_STATE();
        case 135:
            if(lookahead == 'A')
                ADVANCE(229);
            END_STATE();
        case 136:
            if(lookahead == 'A')
                ADVANCE(230);
            END_STATE();
        case 137:
            if(lookahead == 'A')
                ADVANCE(231);
            END_STATE();
        case 138:
            if(lookahead == 'A')
                ADVANCE(145);
            END_STATE();
        case 139:
            if(lookahead == 'A')
                ADVANCE(219);
            END_STATE();
        case 140:
            if(lookahead == 'A')
                ADVANCE(220);
            END_STATE();
        case 141:
            if(lookahead == 'A')
                ADVANCE(221);
            END_STATE();
        case 142:
            if(lookahead == 'B')
                ADVANCE(190);
            END_STATE();
        case 143:
            if(lookahead == 'B')
                ADVANCE(128);
            END_STATE();
        case 144:
            if(lookahead == 'B')
                ADVANCE(286);
            END_STATE();
        case 145:
            if(lookahead == 'B')
                ADVANCE(192);
            END_STATE();
        case 146:
            if(lookahead == 'C')
                ADVANCE(189);
            END_STATE();
        case 147:
            if(lookahead == 'C')
                ADVANCE(194);
            END_STATE();
        case 148:
            if(lookahead == 'C')
                ADVANCE(195);
            END_STATE();
        case 149:
            if(lookahead == 'C')
                ADVANCE(196);
            END_STATE();
        case 150:
            if(lookahead == 'D')
                ADVANCE(222);
            END_STATE();
        case 151:
            if(lookahead == 'D')
                ADVANCE(235);
            END_STATE();
        case 152:
            if(lookahead == 'D')
                ADVANCE(161);
            if(lookahead == 'F')
                ADVANCE(182);
            END_STATE();
        case 153:
            if(lookahead == 'D')
                ADVANCE(138);
            END_STATE();
        case 154:
            if(lookahead == 'D')
                ADVANCE(169);
            END_STATE();
        case 155:
            if(lookahead == 'D')
                ADVANCE(170);
            if(lookahead == 'F')
                ADVANCE(185);
            END_STATE();
        case 156:
            if(lookahead == 'D')
                ADVANCE(171);
            END_STATE();
        case 157:
            if(lookahead == 'E')
                ADVANCE(175);
            END_STATE();
        case 158:
            if(lookahead == 'E')
                ADVANCE(213);
            END_STATE();
        case 159:
            if(lookahead == 'E')
                ADVANCE(904);
            END_STATE();
        case 160:
            if(lookahead == 'E')
                ADVANCE(906);
            END_STATE();
        case 161:
            if(lookahead == 'E')
                ADVANCE(146);
            END_STATE();
        case 162:
            if(lookahead == 'E')
                ADVANCE(1028);
            END_STATE();
        case 163:
            if(lookahead == 'E')
                ADVANCE(1067);
            END_STATE();
        case 164:
            if(lookahead == 'E')
                ADVANCE(1027);
            END_STATE();
        case 165:
            if(lookahead == 'E')
                ADVANCE(1062);
            END_STATE();
        case 166:
            if(lookahead == 'E')
                ADVANCE(216);
            END_STATE();
        case 167:
            if(lookahead == 'E')
                ADVANCE(204);
            END_STATE();
        case 168:
            if(lookahead == 'E')
                ADVANCE(203);
            END_STATE();
        case 169:
            if(lookahead == 'E')
                ADVANCE(147);
            END_STATE();
        case 170:
            if(lookahead == 'E')
                ADVANCE(148);
            END_STATE();
        case 171:
            if(lookahead == 'E')
                ADVANCE(149);
            END_STATE();
        case 172:
            if(lookahead == 'E')
                ADVANCE(243);
            END_STATE();
        case 173:
            if(lookahead == 'F')
                ADVANCE(225);
            END_STATE();
        case 174:
            if(lookahead == 'F')
                ADVANCE(225);
            if(lookahead == 'P')
                ADVANCE(212);
            END_STATE();
        case 175:
            if(lookahead == 'F')
                ADVANCE(207);
            if(lookahead == 'G')
                ADVANCE(179);
            END_STATE();
        case 176:
            if(lookahead == 'H')
                ADVANCE(1017);
            END_STATE();
        case 177:
            if(lookahead == 'I')
                ADVANCE(208);
            END_STATE();
        case 178:
            if(lookahead == 'I')
                ADVANCE(202);
            END_STATE();
        case 179:
            if(lookahead == 'I')
                ADVANCE(205);
            END_STATE();
        case 180:
            if(lookahead == 'I')
                ADVANCE(209);
            END_STATE();
        case 181:
            if(lookahead == 'I')
                ADVANCE(133);
            END_STATE();
        case 182:
            if(lookahead == 'I')
                ADVANCE(191);
            END_STATE();
        case 183:
            if(lookahead == 'I')
                ADVANCE(210);
            END_STATE();
        case 184:
            if(lookahead == 'I')
                ADVANCE(211);
            END_STATE();
        case 185:
            if(lookahead == 'I')
                ADVANCE(193);
            END_STATE();
        case 186:
            if(lookahead == 'L')
                ADVANCE(1026);
            END_STATE();
        case 187:
            if(lookahead == 'L')
                ADVANCE(1016);
            END_STATE();
        case 188:
            if(lookahead == 'L')
                ADVANCE(224);
            END_STATE();
        case 189:
            if(lookahead == 'L')
                ADVANCE(132);
            END_STATE();
        case 190:
            if(lookahead == 'L')
                ADVANCE(162);
            END_STATE();
        case 191:
            if(lookahead == 'L')
                ADVANCE(163);
            END_STATE();
        case 192:
            if(lookahead == 'L')
                ADVANCE(164);
            END_STATE();
        case 193:
            if(lookahead == 'L')
                ADVANCE(165);
            END_STATE();
        case 194:
            if(lookahead == 'L')
                ADVANCE(139);
            END_STATE();
        case 195:
            if(lookahead == 'L')
                ADVANCE(140);
            END_STATE();
        case 196:
            if(lookahead == 'L')
                ADVANCE(141);
            END_STATE();
        case 197:
            if(lookahead == 'N')
                ADVANCE(1065);
            END_STATE();
        case 198:
            if(lookahead == 'N')
                ADVANCE(1066);
            END_STATE();
        case 199:
            if(lookahead == 'N')
                ADVANCE(1064);
            END_STATE();
        case 200:
            if(lookahead == 'N')
                ADVANCE(1063);
            END_STATE();
        case 201:
            if(lookahead == 'N')
                ADVANCE(151);
            END_STATE();
        case 202:
            if(lookahead == 'N')
                ADVANCE(130);
            END_STATE();
        case 203:
            if(lookahead == 'N')
                ADVANCE(153);
            END_STATE();
        case 204:
            if(lookahead == 'N')
                ADVANCE(227);
            END_STATE();
        case 205:
            if(lookahead == 'N')
                ADVANCE(241);
            END_STATE();
        case 206:
            if(lookahead == 'O')
                ADVANCE(214);
            END_STATE();
        case 207:
            if(lookahead == 'O')
                ADVANCE(218);
            END_STATE();
        case 208:
            if(lookahead == 'O')
                ADVANCE(197);
            END_STATE();
        case 209:
            if(lookahead == 'O')
                ADVANCE(198);
            END_STATE();
        case 210:
            if(lookahead == 'O')
                ADVANCE(199);
            END_STATE();
        case 211:
            if(lookahead == 'O')
                ADVANCE(200);
            END_STATE();
        case 212:
            if(lookahead == 'P')
                ADVANCE(168);
            END_STATE();
        case 213:
            if(lookahead == 'Q')
                ADVANCE(234);
            END_STATE();
        case 214:
            if(lookahead == 'R')
                ADVANCE(143);
            END_STATE();
        case 215:
            if(lookahead == 'R')
                ADVANCE(233);
            END_STATE();
        case 216:
            if(lookahead == 'R')
                ADVANCE(236);
            END_STATE();
        case 217:
            if(lookahead == 'R')
                ADVANCE(134);
            END_STATE();
        case 218:
            if(lookahead == 'R')
                ADVANCE(172);
            END_STATE();
        case 219:
            if(lookahead == 'R')
                ADVANCE(135);
            END_STATE();
        case 220:
            if(lookahead == 'R')
                ADVANCE(136);
            END_STATE();
        case 221:
            if(lookahead == 'R')
                ADVANCE(137);
            END_STATE();
        case 222:
            if(lookahead == 'S')
                ADVANCE(1071);
            END_STATE();
        case 223:
            if(lookahead == 'S')
                ADVANCE(176);
            END_STATE();
        case 224:
            if(lookahead == 'S')
                ADVANCE(160);
            END_STATE();
        case 225:
            if(lookahead == 'T')
                ADVANCE(166);
            END_STATE();
        case 226:
            if(lookahead == 'T')
                ADVANCE(131);
            END_STATE();
        case 227:
            if(lookahead == 'T')
                ADVANCE(181);
            END_STATE();
        case 228:
            if(lookahead == 'T')
                ADVANCE(177);
            END_STATE();
        case 229:
            if(lookahead == 'T')
                ADVANCE(180);
            END_STATE();
        case 230:
            if(lookahead == 'T')
                ADVANCE(183);
            END_STATE();
        case 231:
            if(lookahead == 'T')
                ADVANCE(184);
            END_STATE();
        case 232:
            if(lookahead == 'U')
                ADVANCE(226);
            END_STATE();
        case 233:
            if(lookahead == 'U')
                ADVANCE(159);
            END_STATE();
        case 234:
            if(lookahead == 'U')
                ADVANCE(167);
            END_STATE();
        case 235:
            if(lookahead == '_')
                ADVANCE(152);
            END_STATE();
        case 236:
            if(lookahead == '_')
                ADVANCE(154);
            END_STATE();
        case 237:
            if(lookahead == '_')
                ADVANCE(299);
            if(lookahead == 'f')
                ADVANCE(467);
            if(lookahead == 'm')
                ADVANCE(259);
            if(lookahead == 's')
                ADVANCE(405);
            END_STATE();
        case 238:
            if(lookahead == '_')
                ADVANCE(579);
            END_STATE();
        case 239:
            if(lookahead == '_')
                ADVANCE(516);
            END_STATE();
        case 240:
            if(lookahead == '_')
                ADVANCE(765);
            END_STATE();
        case 241:
            if(lookahead == '_')
                ADVANCE(155);
            END_STATE();
        case 242:
            if(lookahead == '_')
                ADVANCE(522);
            END_STATE();
        case 243:
            if(lookahead == '_')
                ADVANCE(156);
            END_STATE();
        case 244:
            if(lookahead == 'a')
                ADVANCE(496);
            END_STATE();
        case 245:
            if(lookahead == 'a')
                ADVANCE(324);
            if(lookahead == 'i')
                ADVANCE(539);
            if(lookahead == 'l')
                ADVANCE(588);
            END_STATE();
        case 246:
            if(lookahead == 'a')
                ADVANCE(774);
            END_STATE();
        case 247:
            if(lookahead == 'a')
                ADVANCE(560);
            if(lookahead == 'i')
                ADVANCE(540);
            if(lookahead == 'o')
                ADVANCE(338);
            if(lookahead == 'u')
                ADVANCE(514);
            END_STATE();
        case 248:
            if(lookahead == 'a')
                ADVANCE(474);
            if(lookahead == 'e')
                ADVANCE(251);
            END_STATE();
        case 249:
            if(lookahead == 'a')
                ADVANCE(1060);
            END_STATE();
        case 250:
            if(lookahead == 'a')
                ADVANCE(680);
            if(lookahead == 'o')
                ADVANCE(546);
            END_STATE();
        case 251:
            if(lookahead == 'a')
                ADVANCE(345);
            END_STATE();
        case 252:
            if(lookahead == 'a')
                ADVANCE(783);
            END_STATE();
        case 253:
            if(lookahead == 'a')
                ADVANCE(490);
            if(lookahead == 'd')
                ADVANCE(395);
            END_STATE();
        case 254:
            if(lookahead == 'a')
                ADVANCE(665);
            END_STATE();
        case 255:
            if(lookahead == 'a')
                ADVANCE(719);
            END_STATE();
        case 256:
            if(lookahead == 'a')
                ADVANCE(719);
            if(lookahead == 'e')
                ADVANCE(681);
            END_STATE();
        case 257:
            if(lookahead == 'a')
                ADVANCE(631);
            END_STATE();
        case 258:
            if(lookahead == 'a')
                ADVANCE(491);
            END_STATE();
        case 259:
            if(lookahead == 'a')
                ADVANCE(667);
            END_STATE();
        case 260:
            if(lookahead == 'a')
                ADVANCE(758);
            END_STATE();
        case 261:
            if(lookahead == 'a')
                ADVANCE(632);
            END_STATE();
        case 262:
            if(lookahead == 'a')
                ADVANCE(492);
            END_STATE();
        case 263:
            if(lookahead == 'a')
                ADVANCE(493);
            END_STATE();
        case 264:
            if(lookahead == 'a')
                ADVANCE(497);
            END_STATE();
        case 265:
            if(lookahead == 'a')
                ADVANCE(494);
            END_STATE();
        case 266:
            if(lookahead == 'a')
                ADVANCE(638);
            END_STATE();
        case 267:
            if(lookahead == 'a')
                ADVANCE(542);
            END_STATE();
        case 268:
            if(lookahead == 'a')
                ADVANCE(495);
            END_STATE();
        case 269:
            if(lookahead == 'a')
                ADVANCE(696);
            END_STATE();
        case 270:
            if(lookahead == 'a')
                ADVANCE(476);
            END_STATE();
        case 271:
            if(lookahead == 'a')
                ADVANCE(559);
            END_STATE();
        case 272:
            if(lookahead == 'a')
                ADVANCE(559);
            if(lookahead == 'i')
                ADVANCE(639);
            END_STATE();
        case 273:
            if(lookahead == 'a')
                ADVANCE(752);
            END_STATE();
        case 274:
            if(lookahead == 'a')
                ADVANCE(499);
            END_STATE();
        case 275:
            if(lookahead == 'a')
                ADVANCE(499);
            if(lookahead == 'o')
                ADVANCE(450);
            END_STATE();
        case 276:
            if(lookahead == 'a')
                ADVANCE(433);
            END_STATE();
        case 277:
            if(lookahead == 'a')
                ADVANCE(766);
            END_STATE();
        case 278:
            if(lookahead == 'a')
                ADVANCE(732);
            END_STATE();
        case 279:
            if(lookahead == 'a')
                ADVANCE(533);
            END_STATE();
        case 280:
            if(lookahead == 'a')
                ADVANCE(770);
            END_STATE();
        case 281:
            if(lookahead == 'a')
                ADVANCE(318);
            END_STATE();
        case 282:
            if(lookahead == 'a')
                ADVANCE(534);
            END_STATE();
        case 283:
            if(lookahead == 'a')
                ADVANCE(729);
            END_STATE();
        case 284:
            if(lookahead == 'a')
                ADVANCE(321);
            END_STATE();
        case 285:
            if(lookahead == 'a')
                ADVANCE(564);
            END_STATE();
        case 286:
            if(lookahead == 'a')
                ADVANCE(688);
            END_STATE();
        case 287:
            if(lookahead == 'a')
                ADVANCE(515);
            if(lookahead == 'e')
                ADVANCE(635);
            if(lookahead == 'o')
                ADVANCE(450);
            END_STATE();
        case 288:
            if(lookahead == 'a')
                ADVANCE(477);
            END_STATE();
        case 289:
            if(lookahead == 'a')
                ADVANCE(305);
            END_STATE();
        case 290:
            if(lookahead == 'a')
                ADVANCE(473);
            if(lookahead == 'e')
                ADVANCE(251);
            END_STATE();
        case 291:
            if(lookahead == 'a')
                ADVANCE(306);
            END_STATE();
        case 292:
            if(lookahead == 'a')
                ADVANCE(751);
            END_STATE();
        case 293:
            if(lookahead == 'a')
                ADVANCE(308);
            END_STATE();
        case 294:
            if(lookahead == 'b')
                ADVANCE(486);
            END_STATE();
        case 295:
            if(lookahead == 'b')
                ADVANCE(689);
            END_STATE();
        case 296:
            if(lookahead == 'b')
                ADVANCE(689);
            if(lookahead == 'l')
                ADVANCE(454);
            END_STATE();
        case 297:
            if(lookahead == 'b')
                ADVANCE(689);
            if(lookahead == 'l')
                ADVANCE(454);
            if(lookahead == 'm')
                ADVANCE(441);
            if(lookahead == 'n')
                ADVANCE(781);
            if(lookahead == 'p')
                ADVANCE(616);
            if(lookahead == 't')
                ADVANCE(716);
            if(lookahead == 'u')
                ADVANCE(721);
            END_STATE();
        case 298:
            if(lookahead == 'b')
                ADVANCE(501);
            END_STATE();
        case 299:
            if(lookahead == 'b')
                ADVANCE(614);
            END_STATE();
        case 300:
            if(lookahead == 'b')
                ADVANCE(283);
            END_STATE();
        case 301:
            if(lookahead == 'b')
                ADVANCE(482);
            END_STATE();
        case 302:
            if(lookahead == 'b')
                ADVANCE(504);
            END_STATE();
        case 303:
            if(lookahead == 'b')
                ADVANCE(771);
            END_STATE();
        case 304:
            if(lookahead == 'b')
                ADVANCE(503);
            END_STATE();
        case 305:
            if(lookahead == 'b')
                ADVANCE(507);
            END_STATE();
        case 306:
            if(lookahead == 'b')
                ADVANCE(511);
            END_STATE();
        case 307:
            if(lookahead == 'b')
                ADVANCE(512);
            END_STATE();
        case 308:
            if(lookahead == 'b')
                ADVANCE(513);
            END_STATE();
        case 309:
            if(lookahead == 'c')
                ADVANCE(437);
            if(lookahead == 's')
                ADVANCE(739);
            END_STATE();
        case 310:
            if(lookahead == 'c')
                ADVANCE(1098);
            if(lookahead == 's')
                ADVANCE(436);
            END_STATE();
        case 311:
            if(lookahead == 'c')
                ADVANCE(435);
            END_STATE();
        case 312:
            if(lookahead == 'c')
                ADVANCE(736);
            END_STATE();
        case 313:
            if(lookahead == 'c')
                ADVANCE(736);
            if(lookahead == 'n')
                ADVANCE(350);
            if(lookahead == 'p')
                ADVANCE(722);
            if(lookahead == 'u')
                ADVANCE(692);
            END_STATE();
        case 314:
            if(lookahead == 'c')
                ADVANCE(382);
            END_STATE();
        case 315:
            if(lookahead == 'c')
                ADVANCE(382);
            if(lookahead == 't')
                ADVANCE(378);
            END_STATE();
        case 316:
            if(lookahead == 'c')
                ADVANCE(700);
            END_STATE();
        case 317:
            if(lookahead == 'c')
                ADVANCE(703);
            END_STATE();
        case 318:
            if(lookahead == 'c')
                ADVANCE(706);
            END_STATE();
        case 319:
            if(lookahead == 'c')
                ADVANCE(362);
            END_STATE();
        case 320:
            if(lookahead == 'c')
                ADVANCE(364);
            END_STATE();
        case 321:
            if(lookahead == 'c')
                ADVANCE(375);
            END_STATE();
        case 322:
            if(lookahead == 'c')
                ADVANCE(258);
            END_STATE();
        case 323:
            if(lookahead == 'c')
                ADVANCE(258);
            if(lookahead == 'n')
                ADVANCE(424);
            END_STATE();
        case 324:
            if(lookahead == 'c')
                ADVANCE(741);
            END_STATE();
        case 325:
            if(lookahead == 'c')
                ADVANCE(273);
            END_STATE();
        case 326:
            if(lookahead == 'c')
                ADVANCE(742);
            END_STATE();
        case 327:
            if(lookahead == 'd')
                ADVANCE(946);
            if(lookahead == 'i')
                ADVANCE(952);
            if(lookahead == '\t' ||
               lookahead == ' ')
                ADVANCE(439);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(955);
            END_STATE();
        case 328:
            if(lookahead == 'd')
                ADVANCE(1012);
            if(lookahead == 'm')
                ADVANCE(624);
            if(lookahead == 'n')
                ADVANCE(983);
            END_STATE();
        case 329:
            if(lookahead == 'd')
                ADVANCE(980);
            END_STATE();
        case 330:
            if(lookahead == 'd')
                ADVANCE(834);
            END_STATE();
        case 331:
            if(lookahead == 'd')
                ADVANCE(1014);
            END_STATE();
        case 332:
            if(lookahead == 'd')
                ADVANCE(1053);
            END_STATE();
        case 333:
            if(lookahead == 'd')
                ADVANCE(1114);
            END_STATE();
        case 334:
            if(lookahead == 'd')
                ADVANCE(998);
            END_STATE();
        case 335:
            if(lookahead == 'd')
                ADVANCE(75);
            END_STATE();
        case 336:
            if(lookahead == 'd')
                ADVANCE(1049);
            END_STATE();
        case 337:
            if(lookahead == 'd')
                ADVANCE(1037);
            END_STATE();
        case 338:
            if(lookahead == 'd')
                ADVANCE(768);
            END_STATE();
        case 339:
            if(lookahead == 'd')
                ADVANCE(615);
            if(lookahead == 'l')
                ADVANCE(599);
            END_STATE();
        case 340:
            if(lookahead == 'd')
                ADVANCE(489);
            if(lookahead == 'n')
                ADVANCE(982);
            END_STATE();
        case 341:
            if(lookahead == 'd')
                ADVANCE(377);
            if(lookahead == 'i')
                ADVANCE(333);
            if(lookahead == 'n')
                ADVANCE(279);
            if(lookahead == 'p')
                ADVANCE(654);
            END_STATE();
        case 342:
            if(lookahead == 'd')
                ADVANCE(377);
            if(lookahead == 'i')
                ADVANCE(333);
            if(lookahead == 'p')
                ADVANCE(654);
            END_STATE();
        case 343:
            if(lookahead == 'd')
                ADVANCE(393);
            END_STATE();
        case 344:
            if(lookahead == 'd')
                ADVANCE(399);
            END_STATE();
        case 345:
            if(lookahead == 'd')
                ADVANCE(595);
            END_STATE();
        case 346:
            if(lookahead == 'd')
                ADVANCE(291);
            END_STATE();
        case 347:
            if(lookahead == 'd')
                ADVANCE(415);
            END_STATE();
        case 348:
            if(lookahead == 'e')
                ADVANCE(418);
            if(lookahead == 'o')
                ADVANCE(764);
            END_STATE();
        case 349:
            if(lookahead == 'e')
                ADVANCE(629);
            if(lookahead == 'h')
                ADVANCE(591);
            if(lookahead == 't')
                ADVANCE(630);
            if(lookahead == 'u')
                ADVANCE(628);
            if(lookahead == 'w')
                ADVANCE(463);
            END_STATE();
        case 350:
            if(lookahead == 'e')
                ADVANCE(778);
            END_STATE();
        case 351:
            if(lookahead == 'e')
                ADVANCE(1112);
            END_STATE();
        case 352:
            if(lookahead == 'e')
                ADVANCE(1129);
            END_STATE();
        case 353:
            if(lookahead == 'e')
                ADVANCE(341);
            END_STATE();
        case 354:
            if(lookahead == 'e')
                ADVANCE(780);
            END_STATE();
        case 355:
            if(lookahead == 'e')
                ADVANCE(1041);
            END_STATE();
        case 356:
            if(lookahead == 'e')
                ADVANCE(1022);
            END_STATE();
        case 357:
            if(lookahead == 'e')
                ADVANCE(851);
            END_STATE();
        case 358:
            if(lookahead == 'e')
                ADVANCE(1076);
            END_STATE();
        case 359:
            if(lookahead == 'e')
                ADVANCE(1141);
            END_STATE();
        case 360:
            if(lookahead == 'e')
                ADVANCE(1033);
            END_STATE();
        case 361:
            if(lookahead == 'e')
                ADVANCE(1100);
            END_STATE();
        case 362:
            if(lookahead == 'e')
                ADVANCE(1068);
            END_STATE();
        case 363:
            if(lookahead == 'e')
                ADVANCE(1127);
            END_STATE();
        case 364:
            if(lookahead == 'e')
                ADVANCE(869);
            END_STATE();
        case 365:
            if(lookahead == 'e')
                ADVANCE(1077);
            END_STATE();
        case 366:
            if(lookahead == 'e')
                ADVANCE(1122);
            END_STATE();
        case 367:
            if(lookahead == 'e')
                ADVANCE(992);
            END_STATE();
        case 368:
            if(lookahead == 'e')
                ADVANCE(1081);
            END_STATE();
        case 369:
            if(lookahead == 'e')
                ADVANCE(1079);
            END_STATE();
        case 370:
            if(lookahead == 'e')
                ADVANCE(1031);
            END_STATE();
        case 371:
            if(lookahead == 'e')
                ADVANCE(853);
            END_STATE();
        case 372:
            if(lookahead == 'e')
                ADVANCE(1094);
            END_STATE();
        case 373:
            if(lookahead == 'e')
                ADVANCE(342);
            END_STATE();
        case 374:
            if(lookahead == 'e')
                ADVANCE(1137);
            END_STATE();
        case 375:
            if(lookahead == 'e')
                ADVANCE(975);
            END_STATE();
        case 376:
            if(lookahead == 'e')
                ADVANCE(782);
            END_STATE();
        case 377:
            if(lookahead == 'e')
                ADVANCE(417);
            END_STATE();
        case 378:
            if(lookahead == 'e')
                ADVANCE(556);
            END_STATE();
        case 379:
            if(lookahead == 'e')
                ADVANCE(664);
            END_STATE();
        case 380:
            if(lookahead == 'e')
                ADVANCE(421);
            END_STATE();
        case 381:
            if(lookahead == 'e')
                ADVANCE(144);
            END_STATE();
        case 382:
            if(lookahead == 'e')
                ADVANCE(626);
            END_STATE();
        case 383:
            if(lookahead == 'e')
                ADVANCE(330);
            END_STATE();
        case 384:
            if(lookahead == 'e')
                ADVANCE(239);
            END_STATE();
        case 385:
            if(lookahead == 'e')
                ADVANCE(552);
            END_STATE();
        case 386:
            if(lookahead == 'e')
                ADVANCE(500);
            END_STATE();
        case 387:
            if(lookahead == 'e')
                ADVANCE(332);
            END_STATE();
        case 388:
            if(lookahead == 'e')
                ADVANCE(668);
            END_STATE();
        case 389:
            if(lookahead == 'e')
                ADVANCE(786);
            END_STATE();
        case 390:
            if(lookahead == 'e')
                ADVANCE(669);
            END_STATE();
        case 391:
            if(lookahead == 'e')
                ADVANCE(670);
            END_STATE();
        case 392:
            if(lookahead == 'e')
                ADVANCE(569);
            END_STATE();
        case 393:
            if(lookahead == 'e')
                ADVANCE(671);
            END_STATE();
        case 394:
            if(lookahead == 'e')
                ADVANCE(335);
            END_STATE();
        case 395:
            if(lookahead == 'e')
                ADVANCE(633);
            END_STATE();
        case 396:
            if(lookahead == 'e')
                ADVANCE(673);
            END_STATE();
        case 397:
            if(lookahead == 'e')
                ADVANCE(674);
            END_STATE();
        case 398:
            if(lookahead == 'e')
                ADVANCE(675);
            END_STATE();
        case 399:
            if(lookahead == 'e')
                ADVANCE(656);
            END_STATE();
        case 400:
            if(lookahead == 'e')
                ADVANCE(267);
            END_STATE();
        case 401:
            if(lookahead == 'e')
                ADVANCE(676);
            END_STATE();
        case 402:
            if(lookahead == 'e')
                ADVANCE(658);
            END_STATE();
        case 403:
            if(lookahead == 'e')
                ADVANCE(698);
            END_STATE();
        case 404:
            if(lookahead == 'e')
                ADVANCE(655);
            END_STATE();
        case 405:
            if(lookahead == 'e')
                ADVANCE(701);
            END_STATE();
        case 406:
            if(lookahead == 'e')
                ADVANCE(720);
            END_STATE();
        case 407:
            if(lookahead == 'e')
                ADVANCE(316);
            END_STATE();
        case 408:
            if(lookahead == 'e')
                ADVANCE(565);
            END_STATE();
        case 409:
            if(lookahead == 'e')
                ADVANCE(566);
            END_STATE();
        case 410:
            if(lookahead == 'e')
                ADVANCE(659);
            END_STATE();
        case 411:
            if(lookahead == 'e')
                ADVANCE(660);
            END_STATE();
        case 412:
            if(lookahead == 'e')
                ADVANCE(743);
            END_STATE();
        case 413:
            if(lookahead == 'e')
                ADVANCE(422);
            END_STATE();
        case 414:
            if(lookahead == 'e')
                ADVANCE(326);
            END_STATE();
        case 415:
            if(lookahead == 'e')
                ADVANCE(423);
            END_STATE();
        case 416:
            if(lookahead == 'e')
                ADVANCE(753);
            if(lookahead == 'h')
                ADVANCE(591);
            if(lookahead == 'u')
                ADVANCE(628);
            if(lookahead == 'w')
                ADVANCE(463);
            END_STATE();
        case 417:
            if(lookahead == 'f')
                ADVANCE(1104);
            END_STATE();
        case 418:
            if(lookahead == 'f')
                ADVANCE(260);
            END_STATE();
        case 419:
            if(lookahead == 'f')
                ADVANCE(467);
            END_STATE();
        case 420:
            if(lookahead == 'f')
                ADVANCE(284);
            END_STATE();
        case 421:
            if(lookahead == 'f')
                ADVANCE(447);
            END_STATE();
        case 422:
            if(lookahead == 'f')
                ADVANCE(277);
            END_STATE();
        case 423:
            if(lookahead == 'f')
                ADVANCE(280);
            END_STATE();
        case 424:
            if(lookahead == 'g')
                ADVANCE(821);
            END_STATE();
        case 425:
            if(lookahead == 'g')
                ADVANCE(859);
            END_STATE();
        case 426:
            if(lookahead == 'g')
                ADVANCE(861);
            END_STATE();
        case 427:
            if(lookahead == 'g')
                ADVANCE(827);
            END_STATE();
        case 428:
            if(lookahead == 'g')
                ADVANCE(843);
            END_STATE();
        case 429:
            if(lookahead == 'g')
                ADVANCE(846);
            END_STATE();
        case 430:
            if(lookahead == 'g')
                ADVANCE(823);
            END_STATE();
        case 431:
            if(lookahead == 'g')
                ADVANCE(567);
            END_STATE();
        case 432:
            if(lookahead == 'g')
                ADVANCE(355);
            END_STATE();
        case 433:
            if(lookahead == 'g')
                ADVANCE(390);
            END_STATE();
        case 434:
            if(lookahead == 'g')
                ADVANCE(570);
            END_STATE();
        case 435:
            if(lookahead == 'h')
                ADVANCE(1110);
            END_STATE();
        case 436:
            if(lookahead == 'h')
                ADVANCE(397);
            END_STATE();
        case 437:
            if(lookahead == 'h')
                ADVANCE(261);
            END_STATE();
        case 438:
            if(lookahead == 'h')
                ADVANCE(610);
            END_STATE();
        case 439:
            if(lookahead == 'i')
                ADVANCE(952);
            if(lookahead == '\t' ||
               lookahead == ' ')
                ADVANCE(439);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(955);
            END_STATE();
        case 440:
            if(lookahead == 'i')
                ADVANCE(434);
            END_STATE();
        case 441:
            if(lookahead == 'i')
                ADVANCE(1074);
            END_STATE();
        case 442:
            if(lookahead == 'i')
                ADVANCE(538);
            if(lookahead == 'o')
                ADVANCE(775);
            END_STATE();
        case 443:
            if(lookahead == 'i')
                ADVANCE(590);
            if(lookahead == 's')
                ADVANCE(472);
            END_STATE();
        case 444:
            if(lookahead == 'i')
                ADVANCE(310);
            END_STATE();
        case 445:
            if(lookahead == 'i')
                ADVANCE(563);
            if(lookahead == 'n')
                ADVANCE(443);
            if(lookahead == 's')
                ADVANCE(379);
            END_STATE();
        case 446:
            if(lookahead == 'i')
                ADVANCE(563);
            if(lookahead == 'n')
                ADVANCE(678);
            if(lookahead == 's')
                ADVANCE(379);
            END_STATE();
        case 447:
            if(lookahead == 'i')
                ADVANCE(779);
            END_STATE();
        case 448:
            if(lookahead == 'i')
                ADVANCE(691);
            if(lookahead == 'o')
                ADVANCE(584);
            END_STATE();
        case 449:
            if(lookahead == 'i')
                ADVANCE(777);
            END_STATE();
        case 450:
            if(lookahead == 'i')
                ADVANCE(329);
            END_STATE();
        case 451:
            if(lookahead == 'i')
                ADVANCE(319);
            END_STATE();
        case 452:
            if(lookahead == 'i')
                ADVANCE(525);
            END_STATE();
        case 453:
            if(lookahead == 'i')
                ADVANCE(303);
            END_STATE();
        case 454:
            if(lookahead == 'i')
                ADVANCE(254);
            END_STATE();
        case 455:
            if(lookahead == 'i')
                ADVANCE(623);
            END_STATE();
        case 456:
            if(lookahead == 'i')
                ADVANCE(537);
            END_STATE();
        case 457:
            if(lookahead == 'i')
                ADVANCE(537);
            if(lookahead == 'o')
                ADVANCE(775);
            END_STATE();
        case 458:
            if(lookahead == 'i')
                ADVANCE(301);
            END_STATE();
        case 459:
            if(lookahead == 'i')
                ADVANCE(550);
            if(lookahead == 'u')
                ADVANCE(317);
            END_STATE();
        case 460:
            if(lookahead == 'i')
                ADVANCE(331);
            END_STATE();
        case 461:
            if(lookahead == 'i')
                ADVANCE(718);
            END_STATE();
        case 462:
            if(lookahead == 'i')
                ADVANCE(343);
            END_STATE();
        case 463:
            if(lookahead == 'i')
                ADVANCE(713);
            END_STATE();
        case 464:
            if(lookahead == 'i')
                ADVANCE(589);
            END_STATE();
        case 465:
            if(lookahead == 'i')
                ADVANCE(551);
            END_STATE();
        case 466:
            if(lookahead == 'i')
                ADVANCE(677);
            END_STATE();
        case 467:
            if(lookahead == 'i')
                ADVANCE(386);
            END_STATE();
        case 468:
            if(lookahead == 'i')
                ADVANCE(724);
            END_STATE();
        case 469:
            if(lookahead == 'i')
                ADVANCE(710);
            END_STATE();
        case 470:
            if(lookahead == 'i')
                ADVANCE(738);
            if(lookahead == 'o')
                ADVANCE(584);
            END_STATE();
        case 471:
            if(lookahead == 'i')
                ADVANCE(723);
            END_STATE();
        case 472:
            if(lookahead == 'i')
                ADVANCE(431);
            END_STATE();
        case 473:
            if(lookahead == 'i')
                ADVANCE(684);
            END_STATE();
        case 474:
            if(lookahead == 'i')
                ADVANCE(684);
            if(lookahead == 'n')
                ADVANCE(432);
            END_STATE();
        case 475:
            if(lookahead == 'i')
                ADVANCE(613);
            END_STATE();
        case 476:
            if(lookahead == 'i')
                ADVANCE(686);
            END_STATE();
        case 477:
            if(lookahead == 'i')
                ADVANCE(687);
            END_STATE();
        case 478:
            if(lookahead == 'i')
                ADVANCE(734);
            END_STATE();
        case 479:
            if(lookahead == 'i')
                ADVANCE(600);
            END_STATE();
        case 480:
            if(lookahead == 'i')
                ADVANCE(601);
            END_STATE();
        case 481:
            if(lookahead == 'i')
                ADVANCE(602);
            END_STATE();
        case 482:
            if(lookahead == 'i')
                ADVANCE(518);
            END_STATE();
        case 483:
            if(lookahead == 'i')
                ADVANCE(744);
            END_STATE();
        case 484:
            if(lookahead == 'i')
                ADVANCE(747);
            END_STATE();
        case 485:
            if(lookahead == 'i')
                ADVANCE(749);
            END_STATE();
        case 486:
            if(lookahead == 'j')
                ADVANCE(407);
            END_STATE();
        case 487:
            if(lookahead == 'k')
                ADVANCE(999);
            END_STATE();
        case 488:
            if(lookahead == 'k')
                ADVANCE(389);
            END_STATE();
        case 489:
            if(lookahead == 'l')
                ADVANCE(1061);
            END_STATE();
        case 490:
            if(lookahead == 'l')
                ADVANCE(1029);
            END_STATE();
        case 491:
            if(lookahead == 'l')
                ADVANCE(972);
            END_STATE();
        case 492:
            if(lookahead == 'l')
                ADVANCE(1051);
            END_STATE();
        case 493:
            if(lookahead == 'l')
                ADVANCE(1018);
            END_STATE();
        case 494:
            if(lookahead == 'l')
                ADVANCE(1039);
            END_STATE();
        case 495:
            if(lookahead == 'l')
                ADVANCE(1108);
            END_STATE();
        case 496:
            if(lookahead == 'l')
                ADVANCE(759);
            END_STATE();
        case 497:
            if(lookahead == 'l')
                ADVANCE(238);
            END_STATE();
        case 498:
            if(lookahead == 'l')
                ADVANCE(785);
            END_STATE();
        case 499:
            if(lookahead == 'l')
                ADVANCE(772);
            END_STATE();
        case 500:
            if(lookahead == 'l')
                ADVANCE(334);
            END_STATE();
        case 501:
            if(lookahead == 'l')
                ADVANCE(444);
            END_STATE();
        case 502:
            if(lookahead == 'l')
                ADVANCE(400);
            END_STATE();
        case 503:
            if(lookahead == 'l')
                ADVANCE(466);
            END_STATE();
        case 504:
            if(lookahead == 'l')
                ADVANCE(357);
            END_STATE();
        case 505:
            if(lookahead == 'l')
                ADVANCE(358);
            END_STATE();
        case 506:
            if(lookahead == 'l')
                ADVANCE(705);
            END_STATE();
        case 507:
            if(lookahead == 'l')
                ADVANCE(360);
            END_STATE();
        case 508:
            if(lookahead == 'l')
                ADVANCE(363);
            END_STATE();
        case 509:
            if(lookahead == 'l')
                ADVANCE(712);
            END_STATE();
        case 510:
            if(lookahead == 'l')
                ADVANCE(754);
            END_STATE();
        case 511:
            if(lookahead == 'l')
                ADVANCE(370);
            END_STATE();
        case 512:
            if(lookahead == 'l')
                ADVANCE(371);
            END_STATE();
        case 513:
            if(lookahead == 'l')
                ADVANCE(372);
            END_STATE();
        case 514:
            if(lookahead == 'l')
                ADVANCE(725);
            if(lookahead == 's')
                ADVANCE(714);
            if(lookahead == 't')
                ADVANCE(289);
            END_STATE();
        case 515:
            if(lookahead == 'l')
                ADVANCE(762);
            END_STATE();
        case 516:
            if(lookahead == 'l')
                ADVANCE(478);
            END_STATE();
        case 517:
            if(lookahead == 'l')
                ADVANCE(599);
            END_STATE();
        case 518:
            if(lookahead == 'l')
                ADVANCE(468);
            END_STATE();
        case 519:
            if(lookahead == 'l')
                ADVANCE(603);
            if(lookahead == 's')
                ADVANCE(438);
            END_STATE();
        case 520:
            if(lookahead == 'l')
                ADVANCE(605);
            END_STATE();
        case 521:
            if(lookahead == 'l')
                ADVANCE(484);
            END_STATE();
        case 522:
            if(lookahead == 'l')
                ADVANCE(485);
            END_STATE();
        case 523:
            if(lookahead == 'm')
                ADVANCE(1087);
            END_STATE();
        case 524:
            if(lookahead == 'm')
                ADVANCE(1092);
            END_STATE();
        case 525:
            if(lookahead == 'm')
                ADVANCE(1055);
            END_STATE();
        case 526:
            if(lookahead == 'm')
                ADVANCE(624);
            if(lookahead == 'n')
                ADVANCE(735);
            END_STATE();
        case 527:
            if(lookahead == 'm')
                ADVANCE(461);
            if(lookahead == 'n')
                ADVANCE(755);
            if(lookahead == 'v')
                ADVANCE(408);
            END_STATE();
        case 528:
            if(lookahead == 'm')
                ADVANCE(461);
            if(lookahead == 'n')
                ADVANCE(755);
            if(lookahead == 'v')
                ADVANCE(408);
            if(lookahead == 'x')
                ADVANCE(315);
            END_STATE();
        case 529:
            if(lookahead == 'm')
                ADVANCE(259);
            END_STATE();
        case 530:
            if(lookahead == 'm')
                ADVANCE(259);
            if(lookahead == 's')
                ADVANCE(405);
            END_STATE();
        case 531:
            if(lookahead == 'm')
                ADVANCE(352);
            END_STATE();
        case 532:
            if(lookahead == 'm')
                ADVANCE(391);
            END_STATE();
        case 533:
            if(lookahead == 'm')
                ADVANCE(365);
            END_STATE();
        case 534:
            if(lookahead == 'm')
                ADVANCE(401);
            END_STATE();
        case 535:
            if(lookahead == 'm')
                ADVANCE(617);
            if(lookahead == 'n')
                ADVANCE(571);
            END_STATE();
        case 536:
            if(lookahead == 'm')
                ADVANCE(617);
            if(lookahead == 'n')
                ADVANCE(572);
            END_STATE();
        case 537:
            if(lookahead == 'm')
                ADVANCE(266);
            END_STATE();
        case 538:
            if(lookahead == 'm')
                ADVANCE(266);
            if(lookahead == 'v')
                ADVANCE(278);
            END_STATE();
        case 539:
            if(lookahead == 'n')
                ADVANCE(253);
            if(lookahead == 'x')
                ADVANCE(383);
            END_STATE();
        case 540:
            if(lookahead == 'n')
                ADVANCE(1043);
            if(lookahead == 'r')
                ADVANCE(657);
            END_STATE();
        case 541:
            if(lookahead == 'n')
                ADVANCE(1085);
            END_STATE();
        case 542:
            if(lookahead == 'n')
                ADVANCE(832);
            END_STATE();
        case 543:
            if(lookahead == 'n')
                ADVANCE(1020);
            END_STATE();
        case 544:
            if(lookahead == 'n')
                ADVANCE(968);
            END_STATE();
        case 545:
            if(lookahead == 'n')
                ADVANCE(1001);
            END_STATE();
        case 546:
            if(lookahead == 'n')
                ADVANCE(682);
            END_STATE();
        case 547:
            if(lookahead == 'n')
                ADVANCE(755);
            if(lookahead == 'v')
                ADVANCE(408);
            if(lookahead == 'x')
                ADVANCE(314);
            END_STATE();
        case 548:
            if(lookahead == 'n')
                ADVANCE(554);
            END_STATE();
        case 549:
            if(lookahead == 'n')
                ADVANCE(325);
            END_STATE();
        case 550:
            if(lookahead == 'n')
                ADVANCE(425);
            END_STATE();
        case 551:
            if(lookahead == 'n')
                ADVANCE(426);
            END_STATE();
        case 552:
            if(lookahead == 'n')
                ADVANCE(346);
            END_STATE();
        case 553:
            if(lookahead == 'n')
                ADVANCE(427);
            END_STATE();
        case 554:
            if(lookahead == 'n')
                ADVANCE(604);
            END_STATE();
        case 555:
            if(lookahead == 'n')
                ADVANCE(428);
            END_STATE();
        case 556:
            if(lookahead == 'n')
                ADVANCE(683);
            if(lookahead == 'r')
                ADVANCE(575);
            END_STATE();
        case 557:
            if(lookahead == 'n')
                ADVANCE(429);
            END_STATE();
        case 558:
            if(lookahead == 'n')
                ADVANCE(498);
            END_STATE();
        case 559:
            if(lookahead == 'n')
                ADVANCE(276);
            END_STATE();
        case 560:
            if(lookahead == 'n')
                ADVANCE(276);
            if(lookahead == 'p')
                ADVANCE(871);
            if(lookahead == 'x')
                ADVANCE(1045);
            END_STATE();
        case 561:
            if(lookahead == 'n')
                ADVANCE(430);
            END_STATE();
        case 562:
            if(lookahead == 'n')
                ADVANCE(336);
            END_STATE();
        case 563:
            if(lookahead == 'n')
                ADVANCE(715);
            END_STATE();
        case 564:
            if(lookahead == 'n')
                ADVANCE(337);
            END_STATE();
        case 565:
            if(lookahead == 'n')
                ADVANCE(731);
            END_STATE();
        case 566:
            if(lookahead == 'n')
                ADVANCE(707);
            END_STATE();
        case 567:
            if(lookahead == 'n')
                ADVANCE(394);
            END_STATE();
        case 568:
            if(lookahead == 'n')
                ADVANCE(711);
            END_STATE();
        case 569:
            if(lookahead == 'n')
                ADVANCE(320);
            END_STATE();
        case 570:
            if(lookahead == 'n')
                ADVANCE(594);
            END_STATE();
        case 571:
            if(lookahead == 'n')
                ADVANCE(414);
            if(lookahead == 's')
                ADVANCE(695);
            if(lookahead == 't')
                ADVANCE(354);
            END_STATE();
        case 572:
            if(lookahead == 'n')
                ADVANCE(414);
            if(lookahead == 's')
                ADVANCE(694);
            END_STATE();
        case 573:
            if(lookahead == 'n')
                ADVANCE(464);
            END_STATE();
        case 574:
            if(lookahead == 'n')
                ADVANCE(344);
            END_STATE();
        case 575:
            if(lookahead == 'n')
                ADVANCE(262);
            END_STATE();
        case 576:
            if(lookahead == 'n')
                ADVANCE(263);
            END_STATE();
        case 577:
            if(lookahead == 'n')
                ADVANCE(735);
            END_STATE();
        case 578:
            if(lookahead == 'n')
                ADVANCE(409);
            END_STATE();
        case 579:
            if(lookahead == 'n')
                ADVANCE(282);
            END_STATE();
        case 580:
            if(lookahead == 'o')
                ADVANCE(531);
            END_STATE();
        case 581:
            if(lookahead == 'o')
                ADVANCE(323);
            END_STATE();
        case 582:
            if(lookahead == 'o')
                ADVANCE(338);
            END_STATE();
        case 583:
            if(lookahead == 'o')
                ADVANCE(643);
            if(lookahead == 'r')
                ADVANCE(442);
            if(lookahead == 'u')
                ADVANCE(298);
            END_STATE();
        case 584:
            if(lookahead == 'o')
                ADVANCE(502);
            END_STATE();
        case 585:
            if(lookahead == 'o')
                ADVANCE(536);
            if(lookahead == 'u')
                ADVANCE(679);
            END_STATE();
        case 586:
            if(lookahead == 'o')
                ADVANCE(524);
            END_STATE();
        case 587:
            if(lookahead == 'o')
                ADVANCE(322);
            END_STATE();
        case 588:
            if(lookahead == 'o')
                ADVANCE(269);
            END_STATE();
        case 589:
            if(lookahead == 'o')
                ADVANCE(541);
            END_STATE();
        case 590:
            if(lookahead == 'o')
                ADVANCE(541);
            if(lookahead == 't')
                ADVANCE(1047);
            END_STATE();
        case 591:
            if(lookahead == 'o')
                ADVANCE(647);
            END_STATE();
        case 592:
            if(lookahead == 'o')
                ADVANCE(578);
            END_STATE();
        case 593:
            if(lookahead == 'o')
                ADVANCE(460);
            END_STATE();
        case 594:
            if(lookahead == 'o')
                ADVANCE(651);
            END_STATE();
        case 595:
            if(lookahead == 'o')
                ADVANCE(558);
            END_STATE();
        case 596:
            if(lookahead == 'o')
                ADVANCE(637);
            END_STATE();
        case 597:
            if(lookahead == 'o')
                ADVANCE(663);
            END_STATE();
        case 598:
            if(lookahead == 'o')
                ADVANCE(634);
            END_STATE();
        case 599:
            if(lookahead == 'o')
                ADVANCE(553);
            END_STATE();
        case 600:
            if(lookahead == 'o')
                ADVANCE(543);
            END_STATE();
        case 601:
            if(lookahead == 'o')
                ADVANCE(544);
            END_STATE();
        case 602:
            if(lookahead == 'o')
                ADVANCE(545);
            END_STATE();
        case 603:
            if(lookahead == 'o')
                ADVANCE(555);
            END_STATE();
        case 604:
            if(lookahead == 'o')
                ADVANCE(745);
            END_STATE();
        case 605:
            if(lookahead == 'o')
                ADVANCE(557);
            END_STATE();
        case 606:
            if(lookahead == 'o')
                ADVANCE(561);
            END_STATE();
        case 607:
            if(lookahead == 'o')
                ADVANCE(649);
            END_STATE();
        case 608:
            if(lookahead == 'o')
                ADVANCE(650);
            END_STATE();
        case 609:
            if(lookahead == 'o')
                ADVANCE(652);
            END_STATE();
        case 610:
            if(lookahead == 'o')
                ADVANCE(653);
            END_STATE();
        case 611:
            if(lookahead == 'o')
                ADVANCE(662);
            END_STATE();
        case 612:
            if(lookahead == 'o')
                ADVANCE(642);
            if(lookahead == 'r')
                ADVANCE(457);
            if(lookahead == 'u')
                ADVANCE(304);
            END_STATE();
        case 613:
            if(lookahead == 'o')
                ADVANCE(576);
            END_STATE();
        case 614:
            if(lookahead == 'o')
                ADVANCE(769);
            END_STATE();
        case 615:
            if(lookahead == 'o')
                ADVANCE(773);
            END_STATE();
        case 616:
            if(lookahead == 'p')
                ADVANCE(385);
            END_STATE();
        case 617:
            if(lookahead == 'p')
                ADVANCE(592);
            END_STATE();
        case 618:
            if(lookahead == 'p')
                ADVANCE(353);
            END_STATE();
        case 619:
            if(lookahead == 'p')
                ADVANCE(368);
            END_STATE();
        case 620:
            if(lookahead == 'p')
                ADVANCE(369);
            END_STATE();
        case 621:
            if(lookahead == 'p')
                ADVANCE(373);
            END_STATE();
        case 622:
            if(lookahead == 'p')
                ADVANCE(374);
            END_STATE();
        case 623:
            if(lookahead == 'p')
                ADVANCE(508);
            END_STATE();
        case 624:
            if(lookahead == 'p')
                ADVANCE(607);
            END_STATE();
        case 625:
            if(lookahead == 'p')
                ADVANCE(608);
            END_STATE();
        case 626:
            if(lookahead == 'p')
                ADVANCE(748);
            END_STATE();
        case 627:
            if(lookahead == 'p')
                ADVANCE(609);
            END_STATE();
        case 628:
            if(lookahead == 'p')
                ADVANCE(625);
            END_STATE();
        case 629:
            if(lookahead == 'q')
                ADVANCE(761);
            if(lookahead == 'r')
                ADVANCE(776);
            if(lookahead == 't')
                ADVANCE(661);
            END_STATE();
        case 630:
            if(lookahead == 'r')
                ADVANCE(459);
            END_STATE();
        case 631:
            if(lookahead == 'r')
                ADVANCE(854);
            END_STATE();
        case 632:
            if(lookahead == 'r')
                ADVANCE(856);
            END_STATE();
        case 633:
            if(lookahead == 'r')
                ADVANCE(1135);
            END_STATE();
        case 634:
            if(lookahead == 'r')
                ADVANCE(1140);
            END_STATE();
        case 635:
            if(lookahead == 'r')
                ADVANCE(300);
            END_STATE();
        case 636:
            if(lookahead == 'r')
                ADVANCE(757);
            if(lookahead == 'y')
                ADVANCE(618);
            END_STATE();
        case 637:
            if(lookahead == 'r')
                ADVANCE(784);
            END_STATE();
        case 638:
            if(lookahead == 'r')
                ADVANCE(788);
            END_STATE();
        case 639:
            if(lookahead == 'r')
                ADVANCE(657);
            END_STATE();
        case 640:
            if(lookahead == 'r')
                ADVANCE(453);
            END_STATE();
        case 641:
            if(lookahead == 'r')
                ADVANCE(767);
            END_STATE();
        case 642:
            if(lookahead == 'r')
                ADVANCE(693);
            END_STATE();
        case 643:
            if(lookahead == 'r')
                ADVANCE(693);
            if(lookahead == 's')
                ADVANCE(483);
            END_STATE();
        case 644:
            if(lookahead == 'r')
                ADVANCE(270);
            END_STATE();
        case 645:
            if(lookahead == 'r')
                ADVANCE(281);
            END_STATE();
        case 646:
            if(lookahead == 'r')
                ADVANCE(465);
            END_STATE();
        case 647:
            if(lookahead == 'r')
                ADVANCE(699);
            END_STATE();
        case 648:
            if(lookahead == 'r')
                ADVANCE(456);
            END_STATE();
        case 649:
            if(lookahead == 'r')
                ADVANCE(702);
            END_STATE();
        case 650:
            if(lookahead == 'r')
                ADVANCE(726);
            END_STATE();
        case 651:
            if(lookahead == 'r')
                ADVANCE(384);
            END_STATE();
        case 652:
            if(lookahead == 'r')
                ADVANCE(708);
            END_STATE();
        case 653:
            if(lookahead == 'r')
                ADVANCE(709);
            END_STATE();
        case 654:
            if(lookahead == 'r')
                ADVANCE(380);
            END_STATE();
        case 655:
            if(lookahead == 'r')
                ADVANCE(420);
            END_STATE();
        case 656:
            if(lookahead == 'r')
                ADVANCE(685);
            END_STATE();
        case 657:
            if(lookahead == 'r')
                ADVANCE(597);
            END_STATE();
        case 658:
            if(lookahead == 'r')
                ADVANCE(264);
            END_STATE();
        case 659:
            if(lookahead == 'r')
                ADVANCE(265);
            END_STATE();
        case 660:
            if(lookahead == 'r')
                ADVANCE(268);
            END_STATE();
        case 661:
            if(lookahead == 'r')
                ADVANCE(288);
            END_STATE();
        case 662:
            if(lookahead == 'r')
                ADVANCE(746);
            END_STATE();
        case 663:
            if(lookahead == 'r')
                ADVANCE(627);
            END_STATE();
        case 664:
            if(lookahead == 's')
                ADVANCE(1126);
            END_STATE();
        case 665:
            if(lookahead == 's')
                ADVANCE(1091);
            END_STATE();
        case 666:
            if(lookahead == 's')
                ADVANCE(1131);
            END_STATE();
        case 667:
            if(lookahead == 's')
                ADVANCE(487);
            END_STATE();
        case 668:
            if(lookahead == 's')
                ADVANCE(989);
            END_STATE();
        case 669:
            if(lookahead == 's')
                ADVANCE(1130);
            END_STATE();
        case 670:
            if(lookahead == 's')
                ADVANCE(1133);
            END_STATE();
        case 671:
            if(lookahead == 's')
                ADVANCE(1125);
            END_STATE();
        case 672:
            if(lookahead == 's')
                ADVANCE(1096);
            END_STATE();
        case 673:
            if(lookahead == 's')
                ADVANCE(994);
            END_STATE();
        case 674:
            if(lookahead == 's')
                ADVANCE(1132);
            END_STATE();
        case 675:
            if(lookahead == 's')
                ADVANCE(995);
            END_STATE();
        case 676:
            if(lookahead == 's')
                ADVANCE(1109);
            END_STATE();
        case 677:
            if(lookahead == 's')
                ADVANCE(436);
            END_STATE();
        case 678:
            if(lookahead == 's')
                ADVANCE(472);
            END_STATE();
        case 679:
            if(lookahead == 's')
                ADVANCE(737);
            END_STATE();
        case 680:
            if(lookahead == 's')
                ADVANCE(351);
            END_STATE();
        case 681:
            if(lookahead == 's')
                ADVANCE(728);
            END_STATE();
        case 682:
            if(lookahead == 's')
                ADVANCE(763);
            if(lookahead == 't')
                ADVANCE(354);
            END_STATE();
        case 683:
            if(lookahead == 's')
                ADVANCE(458);
            END_STATE();
        case 684:
            if(lookahead == 's')
                ADVANCE(388);
            END_STATE();
        case 685:
            if(lookahead == 's')
                ADVANCE(730);
            END_STATE();
        case 686:
            if(lookahead == 's')
                ADVANCE(396);
            END_STATE();
        case 687:
            if(lookahead == 's')
                ADVANCE(398);
            END_STATE();
        case 688:
            if(lookahead == 's')
                ADVANCE(366);
            END_STATE();
        case 689:
            if(lookahead == 's')
                ADVANCE(740);
            END_STATE();
        case 690:
            if(lookahead == 't')
                ADVANCE(716);
            END_STATE();
        case 691:
            if(lookahead == 't')
                ADVANCE(237);
            END_STATE();
        case 692:
            if(lookahead == 't')
                ADVANCE(985);
            END_STATE();
        case 693:
            if(lookahead == 't')
                ADVANCE(1138);
            END_STATE();
        case 694:
            if(lookahead == 't')
                ADVANCE(1089);
            END_STATE();
        case 695:
            if(lookahead == 't')
                ADVANCE(1089);
            if(lookahead == 'u')
                ADVANCE(532);
            END_STATE();
        case 696:
            if(lookahead == 't')
                ADVANCE(849);
            END_STATE();
        case 697:
            if(lookahead == 't')
                ADVANCE(987);
            END_STATE();
        case 698:
            if(lookahead == 't')
                ADVANCE(836);
            END_STATE();
        case 699:
            if(lookahead == 't')
                ADVANCE(817);
            END_STATE();
        case 700:
            if(lookahead == 't')
                ADVANCE(1119);
            END_STATE();
        case 701:
            if(lookahead == 't')
                ADVANCE(996);
            END_STATE();
        case 702:
            if(lookahead == 't')
                ADVANCE(1117);
            END_STATE();
        case 703:
            if(lookahead == 't')
                ADVANCE(1083);
            END_STATE();
        case 704:
            if(lookahead == 't')
                ADVANCE(1121);
            END_STATE();
        case 705:
            if(lookahead == 't')
                ADVANCE(1004);
            END_STATE();
        case 706:
            if(lookahead == 't')
                ADVANCE(973);
            END_STATE();
        case 707:
            if(lookahead == 't')
                ADVANCE(1124);
            END_STATE();
        case 708:
            if(lookahead == 't')
                ADVANCE(1139);
            END_STATE();
        case 709:
            if(lookahead == 't')
                ADVANCE(840);
            END_STATE();
        case 710:
            if(lookahead == 't')
                ADVANCE(530);
            END_STATE();
        case 711:
            if(lookahead == 't')
                ADVANCE(117);
            END_STATE();
        case 712:
            if(lookahead == 't')
                ADVANCE(1002);
            END_STATE();
        case 713:
            if(lookahead == 't')
                ADVANCE(311);
            END_STATE();
        case 714:
            if(lookahead == 't')
                ADVANCE(240);
            END_STATE();
        case 715:
            if(lookahead == 't')
                ADVANCE(118);
            END_STATE();
        case 716:
            if(lookahead == 't')
                ADVANCE(640);
            END_STATE();
        case 717:
            if(lookahead == 't')
                ADVANCE(789);
            END_STATE();
        case 718:
            if(lookahead == 't')
                ADVANCE(666);
            END_STATE();
        case 719:
            if(lookahead == 't')
                ADVANCE(449);
            END_STATE();
        case 720:
            if(lookahead == 't')
                ADVANCE(644);
            END_STATE();
        case 721:
            if(lookahead == 't')
                ADVANCE(593);
            END_STATE();
        case 722:
            if(lookahead == 't')
                ADVANCE(475);
            END_STATE();
        case 723:
            if(lookahead == 't')
                ADVANCE(529);
            END_STATE();
        case 724:
            if(lookahead == 't')
                ADVANCE(787);
            END_STATE();
        case 725:
            if(lookahead == 't')
                ADVANCE(455);
            END_STATE();
        case 726:
            if(lookahead == 't')
                ADVANCE(672);
            END_STATE();
        case 727:
            if(lookahead == 't')
                ADVANCE(641);
            END_STATE();
        case 728:
            if(lookahead == 't')
                ADVANCE(387);
            END_STATE();
        case 729:
            if(lookahead == 't')
                ADVANCE(452);
            END_STATE();
        case 730:
            if(lookahead == 't')
                ADVANCE(285);
            END_STATE();
        case 731:
            if(lookahead == 't')
                ADVANCE(717);
            END_STATE();
        case 732:
            if(lookahead == 't')
                ADVANCE(361);
            END_STATE();
        case 733:
            if(lookahead == 't')
                ADVANCE(367);
            END_STATE();
        case 734:
            if(lookahead == 't')
                ADVANCE(402);
            END_STATE();
        case 735:
            if(lookahead == 't')
                ADVANCE(404);
            END_STATE();
        case 736:
            if(lookahead == 't')
                ADVANCE(403);
            END_STATE();
        case 737:
            if(lookahead == 't')
                ADVANCE(586);
            END_STATE();
        case 738:
            if(lookahead == 't')
                ADVANCE(419);
            END_STATE();
        case 739:
            if(lookahead == 't')
                ADVANCE(646);
            END_STATE();
        case 740:
            if(lookahead == 't')
                ADVANCE(645);
            END_STATE();
        case 741:
            if(lookahead == 't')
                ADVANCE(596);
            END_STATE();
        case 742:
            if(lookahead == 't')
                ADVANCE(598);
            END_STATE();
        case 743:
            if(lookahead == 't')
                ADVANCE(790);
            END_STATE();
        case 744:
            if(lookahead == 't')
                ADVANCE(479);
            END_STATE();
        case 745:
            if(lookahead == 't')
                ADVANCE(292);
            END_STATE();
        case 746:
            if(lookahead == 't')
                ADVANCE(750);
            END_STATE();
        case 747:
            if(lookahead == 't')
                ADVANCE(410);
            END_STATE();
        case 748:
            if(lookahead == 't')
                ADVANCE(480);
            END_STATE();
        case 749:
            if(lookahead == 't')
                ADVANCE(411);
            END_STATE();
        case 750:
            if(lookahead == 't')
                ADVANCE(792);
            END_STATE();
        case 751:
            if(lookahead == 't')
                ADVANCE(481);
            END_STATE();
        case 752:
            if(lookahead == 't')
                ADVANCE(293);
            END_STATE();
        case 753:
            if(lookahead == 't')
                ADVANCE(661);
            END_STATE();
        case 754:
            if(lookahead == 't')
                ADVANCE(242);
            END_STATE();
        case 755:
            if(lookahead == 'u')
                ADVANCE(523);
            END_STATE();
        case 756:
            if(lookahead == 'u')
                ADVANCE(628);
            END_STATE();
        case 757:
            if(lookahead == 'u')
                ADVANCE(549);
            END_STATE();
        case 758:
            if(lookahead == 'u')
                ADVANCE(506);
            END_STATE();
        case 759:
            if(lookahead == 'u')
                ADVANCE(381);
            END_STATE();
        case 760:
            if(lookahead == 'u')
                ADVANCE(697);
            END_STATE();
        case 761:
            if(lookahead == 'u')
                ADVANCE(392);
            END_STATE();
        case 762:
            if(lookahead == 'u')
                ADVANCE(356);
            END_STATE();
        case 763:
            if(lookahead == 'u')
                ADVANCE(532);
            END_STATE();
        case 764:
            if(lookahead == 'u')
                ADVANCE(302);
            END_STATE();
        case 765:
            if(lookahead == 'u')
                ADVANCE(574);
            END_STATE();
        case 766:
            if(lookahead == 'u')
                ADVANCE(509);
            END_STATE();
        case 767:
            if(lookahead == 'u')
                ADVANCE(317);
            END_STATE();
        case 768:
            if(lookahead == 'u')
                ADVANCE(505);
            END_STATE();
        case 769:
            if(lookahead == 'u')
                ADVANCE(562);
            END_STATE();
        case 770:
            if(lookahead == 'u')
                ADVANCE(510);
            END_STATE();
        case 771:
            if(lookahead == 'u')
                ADVANCE(733);
            END_STATE();
        case 772:
            if(lookahead == 'u')
                ADVANCE(412);
            END_STATE();
        case 773:
            if(lookahead == 'u')
                ADVANCE(307);
            END_STATE();
        case 774:
            if(lookahead == 'v')
                ADVANCE(249);
            END_STATE();
        case 775:
            if(lookahead == 'v')
                ADVANCE(462);
            END_STATE();
        case 776:
            if(lookahead == 'v')
                ADVANCE(451);
            END_STATE();
        case 777:
            if(lookahead == 'v')
                ADVANCE(359);
            END_STATE();
        case 778:
            if(lookahead == 'w')
                ADVANCE(252);
            END_STATE();
        case 779:
            if(lookahead == 'x')
                ADVANCE(1116);
            END_STATE();
        case 780:
            if(lookahead == 'x')
                ADVANCE(704);
            END_STATE();
        case 781:
            if(lookahead == 'y')
                ADVANCE(866);
            END_STATE();
        case 782:
            if(lookahead == 'y')
                ADVANCE(1035);
            END_STATE();
        case 783:
            if(lookahead == 'y')
                ADVANCE(1072);
            END_STATE();
        case 784:
            if(lookahead == 'y')
                ADVANCE(1102);
            END_STATE();
        case 785:
            if(lookahead == 'y')
                ADVANCE(990);
            END_STATE();
        case 786:
            if(lookahead == 'y')
                ADVANCE(1134);
            END_STATE();
        case 787:
            if(lookahead == 'y')
                ADVANCE(1024);
            END_STATE();
        case 788:
            if(lookahead == 'y')
                ADVANCE(488);
            END_STATE();
        case 789:
            if(lookahead == 'y')
                ADVANCE(619);
            END_STATE();
        case 790:
            if(lookahead == 'y')
                ADVANCE(620);
            END_STATE();
        case 791:
            if(lookahead == 'y')
                ADVANCE(621);
            END_STATE();
        case 792:
            if(lookahead == 'y')
                ADVANCE(622);
            END_STATE();
        case 793:
            if(('0' <= lookahead && lookahead <= '9'))
                ADVANCE(919);
            END_STATE();
        case 794:
            if(('0' <= lookahead && lookahead <= '9'))
                ADVANCE(908);
            END_STATE();
        case 795:
            if(('0' <= lookahead && lookahead <= '9'))
                ADVANCE(913);
            if(('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(926);
            END_STATE();
        case 796:
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(922);
            END_STATE();
        case 797:
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(926);
            END_STATE();
        case 798:
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(909);
            END_STATE();
        case 799:
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(889);
            END_STATE();
        case 800:
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(799);
            END_STATE();
        case 801:
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(800);
            END_STATE();
        case 802:
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(801);
            END_STATE();
        case 803:
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(802);
            END_STATE();
        case 804:
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(803);
            END_STATE();
        case 805:
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(804);
            END_STATE();
        case 806:
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(805);
            END_STATE();
        case 807:
            if(lookahead != 0 &&
               lookahead != '*')
                ADVANCE(960);
            END_STATE();
        case 808:
            if(eof)
                ADVANCE(816);
            if(lookahead == '\n')
                SKIP(0);
            END_STATE();
        case 809:
            if(eof)
                ADVANCE(816);
            if(lookahead == '\n')
                SKIP(0);
            if(lookahead == '\r')
                SKIP(808);
            END_STATE();
        case 810:
            if(eof)
                ADVANCE(816);
            if(lookahead == '\n')
                SKIP(815);
            END_STATE();
        case 811:
            if(eof)
                ADVANCE(816);
            if(lookahead == '\n')
                SKIP(815);
            if(lookahead == '\r')
                SKIP(810);
            END_STATE();
        case 812:
            if(eof)
                ADVANCE(816);
            if(lookahead == '\n')
                SKIP(814);
            END_STATE();
        case 813:
            if(eof)
                ADVANCE(816);
            if(lookahead == '\n')
                SKIP(814);
            if(lookahead == '\r')
                SKIP(812);
            END_STATE();
        case 814:
            if(eof)
                ADVANCE(816);
            ADVANCE_MAP(
                '"', 895,
                '\'', 899,
                '(', 886,
                ')', 887,
                '+', 879,
                ',', 868,
                '-', 881,
                '.', 794,
                '/', 884,
                '0', 917,
                ':', 125,
                ';', 979,
                '<', 863,
                '=', 1011,
                '>', 864,
                'F', 1154,
                'L', 894,
                'O', 1199,
                'T', 1159,
                'V', 1164,
            );
            if(lookahead == '\\')
                SKIP(813);
            if(lookahead == ']')
                ADVANCE(1107);
            if(lookahead == 'a')
                ADVANCE(1376);
            if(lookahead == 'b')
                ADVANCE(1408);
            if(lookahead == 'c')
                ADVANCE(1304);
            if(lookahead == 'd')
                ADVANCE(1404);
            if(lookahead == 'f')
                ADVANCE(1307);
            if(lookahead == 'i')
                ADVANCE(1380);
            if(lookahead == 'l')
                ADVANCE(1406);
            if(lookahead == 'm')
                ADVANCE(1169);
            if(lookahead == 'o')
                ADVANCE(1217);
            if(lookahead == 's')
                ADVANCE(1244);
            if(lookahead == 'u')
                ADVANCE(1316);
            if(lookahead == 'w')
                ADVANCE(1210);
            if(lookahead == '{')
                ADVANCE(970);
            if(lookahead == '}')
                ADVANCE(971);
            if(lookahead == '~')
                ADVANCE(888);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(814);
            if(('1' <= lookahead && lookahead <= '9'))
                ADVANCE(920);
            if(('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('e' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 815:
            if(eof)
                ADVANCE(816);
            if(lookahead == '#')
                ADVANCE(327);
            if(lookahead == '/')
                ADVANCE(91);
            if(lookahead == '@')
                ADVANCE(1007);
            if(lookahead == '\\')
                SKIP(811);
            if(lookahead == 'a')
                ADVANCE(296);
            if(lookahead == 'b')
                ADVANCE(469);
            if(lookahead == 'c')
                ADVANCE(585);
            if(lookahead == 'e')
                ADVANCE(547);
            if(lookahead == 'h')
                ADVANCE(580);
            if(lookahead == 'i')
                ADVANCE(526);
            if(lookahead == 'l')
                ADVANCE(587);
            if(lookahead == 'm')
                ADVANCE(582);
            if(lookahead == 'n')
                ADVANCE(255);
            if(lookahead == 'p')
                ADVANCE(611);
            if(lookahead == 's')
                ADVANCE(727);
            if(lookahead == 't')
                ADVANCE(791);
            if(lookahead == 'u')
                ADVANCE(573);
            if(lookahead == 'v')
                ADVANCE(274);
            if(lookahead == '}')
                ADVANCE(971);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(815);
            END_STATE();
        case 816:
            ACCEPT_TOKEN(ts_builtin_sym_end);
            END_STATE();
        case 817:
            ACCEPT_TOKEN(anon_sym_short);
            END_STATE();
        case 818:
            ACCEPT_TOKEN(anon_sym_short);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 819:
            ACCEPT_TOKEN(anon_sym_int16);
            END_STATE();
        case 820:
            ACCEPT_TOKEN(anon_sym_int16);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 821:
            ACCEPT_TOKEN(anon_sym_long);
            if(lookahead == ' ')
                ADVANCE(339);
            END_STATE();
        case 822:
            ACCEPT_TOKEN(anon_sym_long);
            if(lookahead == ' ')
                ADVANCE(339);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 823:
            ACCEPT_TOKEN(anon_sym_long);
            if(lookahead == ' ')
                ADVANCE(517);
            END_STATE();
        case 824:
            ACCEPT_TOKEN(anon_sym_long);
            if(lookahead == ' ')
                ADVANCE(517);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 825:
            ACCEPT_TOKEN(anon_sym_int32);
            END_STATE();
        case 826:
            ACCEPT_TOKEN(anon_sym_int32);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 827:
            ACCEPT_TOKEN(anon_sym_longlong);
            END_STATE();
        case 828:
            ACCEPT_TOKEN(anon_sym_int64);
            END_STATE();
        case 829:
            ACCEPT_TOKEN(anon_sym_int64);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 830:
            ACCEPT_TOKEN(sym_unsigned_tiny_int);
            END_STATE();
        case 831:
            ACCEPT_TOKEN(sym_unsigned_tiny_int);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 832:
            ACCEPT_TOKEN(sym_boolean_type);
            END_STATE();
        case 833:
            ACCEPT_TOKEN(sym_boolean_type);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 834:
            ACCEPT_TOKEN(anon_sym_fixed);
            END_STATE();
        case 835:
            ACCEPT_TOKEN(anon_sym_fixed);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 836:
            ACCEPT_TOKEN(sym_octet_type);
            END_STATE();
        case 837:
            ACCEPT_TOKEN(sym_octet_type);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 838:
            ACCEPT_TOKEN(sym_signed_tiny_int);
            END_STATE();
        case 839:
            ACCEPT_TOKEN(sym_signed_tiny_int);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 840:
            ACCEPT_TOKEN(anon_sym_unsignedshort);
            END_STATE();
        case 841:
            ACCEPT_TOKEN(anon_sym_uint16);
            END_STATE();
        case 842:
            ACCEPT_TOKEN(anon_sym_uint16);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 843:
            ACCEPT_TOKEN(anon_sym_unsignedlong);
            if(lookahead == ' ')
                ADVANCE(520);
            END_STATE();
        case 844:
            ACCEPT_TOKEN(anon_sym_uint32);
            END_STATE();
        case 845:
            ACCEPT_TOKEN(anon_sym_uint32);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 846:
            ACCEPT_TOKEN(anon_sym_unsignedlonglong);
            END_STATE();
        case 847:
            ACCEPT_TOKEN(anon_sym_uint64);
            END_STATE();
        case 848:
            ACCEPT_TOKEN(anon_sym_uint64);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 849:
            ACCEPT_TOKEN(anon_sym_float);
            END_STATE();
        case 850:
            ACCEPT_TOKEN(anon_sym_float);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 851:
            ACCEPT_TOKEN(anon_sym_double);
            END_STATE();
        case 852:
            ACCEPT_TOKEN(anon_sym_double);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 853:
            ACCEPT_TOKEN(anon_sym_longdouble);
            END_STATE();
        case 854:
            ACCEPT_TOKEN(anon_sym_char);
            END_STATE();
        case 855:
            ACCEPT_TOKEN(anon_sym_char);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 856:
            ACCEPT_TOKEN(anon_sym_wchar);
            END_STATE();
        case 857:
            ACCEPT_TOKEN(anon_sym_wchar);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 858:
            ACCEPT_TOKEN(anon_sym_COLON_COLON);
            END_STATE();
        case 859:
            ACCEPT_TOKEN(anon_sym_string);
            END_STATE();
        case 860:
            ACCEPT_TOKEN(anon_sym_string);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 861:
            ACCEPT_TOKEN(anon_sym_wstring);
            END_STATE();
        case 862:
            ACCEPT_TOKEN(anon_sym_wstring);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 863:
            ACCEPT_TOKEN(anon_sym_LT);
            END_STATE();
        case 864:
            ACCEPT_TOKEN(anon_sym_GT);
            END_STATE();
        case 865:
            ACCEPT_TOKEN(anon_sym_GT);
            if(lookahead == '>')
                ADVANCE(876);
            END_STATE();
        case 866:
            ACCEPT_TOKEN(anon_sym_any);
            END_STATE();
        case 867:
            ACCEPT_TOKEN(anon_sym_any);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 868:
            ACCEPT_TOKEN(anon_sym_COMMA);
            END_STATE();
        case 869:
            ACCEPT_TOKEN(anon_sym_sequence);
            END_STATE();
        case 870:
            ACCEPT_TOKEN(anon_sym_sequence);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 871:
            ACCEPT_TOKEN(anon_sym_map);
            END_STATE();
        case 872:
            ACCEPT_TOKEN(anon_sym_map);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 873:
            ACCEPT_TOKEN(anon_sym_PIPE);
            END_STATE();
        case 874:
            ACCEPT_TOKEN(anon_sym_CARET);
            END_STATE();
        case 875:
            ACCEPT_TOKEN(anon_sym_AMP);
            END_STATE();
        case 876:
            ACCEPT_TOKEN(anon_sym_GT_GT);
            END_STATE();
        case 877:
            ACCEPT_TOKEN(anon_sym_LT_LT);
            END_STATE();
        case 878:
            ACCEPT_TOKEN(anon_sym_PLUS);
            END_STATE();
        case 879:
            ACCEPT_TOKEN(anon_sym_PLUS);
            if(lookahead == '.')
                ADVANCE(794);
            if(lookahead == '0')
                ADVANCE(915);
            if(('1' <= lookahead && lookahead <= '9'))
                ADVANCE(919);
            END_STATE();
        case 880:
            ACCEPT_TOKEN(anon_sym_DASH);
            END_STATE();
        case 881:
            ACCEPT_TOKEN(anon_sym_DASH);
            if(lookahead == '.')
                ADVANCE(794);
            if(lookahead == '0')
                ADVANCE(915);
            if(('1' <= lookahead && lookahead <= '9'))
                ADVANCE(919);
            END_STATE();
        case 882:
            ACCEPT_TOKEN(anon_sym_STAR);
            END_STATE();
        case 883:
            ACCEPT_TOKEN(anon_sym_SLASH);
            if(lookahead == '*')
                ADVANCE(1563);
            if(lookahead == '/')
                ADVANCE(1553);
            END_STATE();
        case 884:
            ACCEPT_TOKEN(anon_sym_SLASH);
            if(lookahead == '*')
                ADVANCE(1563);
            if(lookahead == '/')
                ADVANCE(1551);
            END_STATE();
        case 885:
            ACCEPT_TOKEN(anon_sym_PERCENT);
            END_STATE();
        case 886:
            ACCEPT_TOKEN(anon_sym_LPAREN);
            END_STATE();
        case 887:
            ACCEPT_TOKEN(anon_sym_RPAREN);
            END_STATE();
        case 888:
            ACCEPT_TOKEN(anon_sym_TILDE);
            END_STATE();
        case 889:
            ACCEPT_TOKEN(sym_escape_sequence);
            END_STATE();
        case 890:
            ACCEPT_TOKEN(sym_escape_sequence);
            if(lookahead == '\\')
                ADVANCE(55);
            END_STATE();
        case 891:
            ACCEPT_TOKEN(sym_escape_sequence);
            if(('0' <= lookahead && lookahead <= '9'))
                ADVANCE(889);
            END_STATE();
        case 892:
            ACCEPT_TOKEN(sym_escape_sequence);
            if(('0' <= lookahead && lookahead <= '9'))
                ADVANCE(891);
            END_STATE();
        case 893:
            ACCEPT_TOKEN(anon_sym_L);
            END_STATE();
        case 894:
            ACCEPT_TOKEN(anon_sym_L);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 895:
            ACCEPT_TOKEN(anon_sym_DQUOTE);
            END_STATE();
        case 896:
            ACCEPT_TOKEN(aux_sym_string_literal_token1);
            if(lookahead == '*')
                ADVANCE(898);
            if(lookahead == '/')
                ADVANCE(898);
            if(lookahead != 0 &&
               lookahead != '\n' &&
               lookahead != '"' &&
               lookahead != '\\')
                ADVANCE(898);
            END_STATE();
        case 897:
            ACCEPT_TOKEN(aux_sym_string_literal_token1);
            if(lookahead == '/')
                ADVANCE(896);
            if(lookahead == '\t' ||
               (0x0b <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                ADVANCE(897);
            if(lookahead != 0 &&
               (lookahead < '\t' || '\r' < lookahead) &&
               lookahead != '"' &&
               lookahead != '\\')
                ADVANCE(898);
            END_STATE();
        case 898:
            ACCEPT_TOKEN(aux_sym_string_literal_token1);
            if(lookahead != 0 &&
               lookahead != '\n' &&
               lookahead != '"' &&
               lookahead != '\\')
                ADVANCE(898);
            END_STATE();
        case 899:
            ACCEPT_TOKEN(anon_sym_SQUOTE);
            END_STATE();
        case 900:
            ACCEPT_TOKEN(aux_sym_char_literal_token1);
            END_STATE();
        case 901:
            ACCEPT_TOKEN(aux_sym_char_literal_token1);
            if(lookahead == '\n')
                ADVANCE(890);
            if(lookahead == '\r')
                ADVANCE(889);
            if(lookahead == 'U')
                ADVANCE(806);
            if(lookahead == 'u')
                ADVANCE(802);
            if(lookahead == 'x')
                ADVANCE(800);
            if(('0' <= lookahead && lookahead <= '9'))
                ADVANCE(892);
            if(lookahead != 0)
                ADVANCE(889);
            END_STATE();
        case 902:
            ACCEPT_TOKEN(aux_sym_char_literal_token1);
            if(lookahead == '*')
                ADVANCE(1563);
            if(lookahead == '/')
                ADVANCE(1551);
            END_STATE();
        case 903:
            ACCEPT_TOKEN(aux_sym_char_literal_token1);
            if(lookahead == '\\')
                ADVANCE(55);
            END_STATE();
        case 904:
            ACCEPT_TOKEN(anon_sym_TRUE);
            END_STATE();
        case 905:
            ACCEPT_TOKEN(anon_sym_TRUE);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 906:
            ACCEPT_TOKEN(anon_sym_FALSE);
            END_STATE();
        case 907:
            ACCEPT_TOKEN(anon_sym_FALSE);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 908:
            ACCEPT_TOKEN(sym_number_literal);
            if(lookahead == '\'')
                ADVANCE(794);
            if(lookahead == 'E' ||
               lookahead == 'P' ||
               lookahead == 'e' ||
               lookahead == 'p')
                ADVANCE(931);
            if(('0' <= lookahead && lookahead <= '9'))
                ADVANCE(908);
            if(set_contains(sym_number_literal_character_set_13, 13, lookahead))
                ADVANCE(936);
            END_STATE();
        case 909:
            ACCEPT_TOKEN(sym_number_literal);
            ADVANCE_MAP(
                '\'', 798,
                'B', 909,
                'D', 909,
                'F', 909,
                'b', 909,
                'd', 909,
                'f', 909,
                'L', 936,
                'U', 936,
                'W', 936,
                'l', 936,
                'u', 936,
                'w', 936,
            );
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'E') ||
               ('a' <= lookahead && lookahead <= 'e'))
                ADVANCE(909);
            END_STATE();
        case 910:
            ACCEPT_TOKEN(sym_number_literal);
            ADVANCE_MAP(
                '\'', 798,
                'B', 910,
                'D', 910,
                'F', 910,
                'b', 910,
                'd', 910,
                'f', 910,
                'L', 937,
                'U', 937,
                'W', 937,
                'l', 937,
                'u', 937,
                'w', 937,
            );
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'E') ||
               ('a' <= lookahead && lookahead <= 'e'))
                ADVANCE(910);
            if(('G' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('g' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 911:
            ACCEPT_TOKEN(sym_number_literal);
            ADVANCE_MAP(
                '\'', 795,
                '.', 933,
                'B', 925,
                'b', 925,
                'E', 923,
                'e', 923,
                'P', 931,
                'p', 931,
                'X', 797,
                'x', 797,
                'A', 926,
                'C', 926,
                'a', 926,
                'c', 926,
                'D', 926,
                'F', 926,
                'd', 926,
                'f', 926,
                'L', 936,
                'U', 936,
                'W', 936,
                'l', 936,
                'u', 936,
                'w', 936,
            );
            if(('0' <= lookahead && lookahead <= '9'))
                ADVANCE(913);
            END_STATE();
        case 912:
            ACCEPT_TOKEN(sym_number_literal);
            ADVANCE_MAP(
                '\'', 795,
                '.', 933,
                'B', 927,
                'b', 927,
                'E', 924,
                'e', 924,
                'P', 932,
                'p', 932,
                'X', 1549,
                'x', 1549,
                'A', 928,
                'C', 928,
                'a', 928,
                'c', 928,
                'D', 928,
                'F', 928,
                'd', 928,
                'f', 928,
                'L', 937,
                'U', 937,
                'W', 937,
                'l', 937,
                'u', 937,
                'w', 937,
            );
            if(('0' <= lookahead && lookahead <= '9'))
                ADVANCE(914);
            if(('G' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('g' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 913:
            ACCEPT_TOKEN(sym_number_literal);
            ADVANCE_MAP(
                '\'', 795,
                '.', 933,
                'E', 923,
                'e', 923,
                'P', 931,
                'p', 931,
                'A', 926,
                'C', 926,
                'a', 926,
                'c', 926,
                'B', 926,
                'D', 926,
                'F', 926,
                'b', 926,
                'd', 926,
                'f', 926,
                'L', 936,
                'U', 936,
                'W', 936,
                'l', 936,
                'u', 936,
                'w', 936,
            );
            if(('0' <= lookahead && lookahead <= '9'))
                ADVANCE(913);
            END_STATE();
        case 914:
            ACCEPT_TOKEN(sym_number_literal);
            ADVANCE_MAP(
                '\'', 795,
                '.', 933,
                'E', 924,
                'e', 924,
                'P', 932,
                'p', 932,
                'A', 928,
                'C', 928,
                'a', 928,
                'c', 928,
                'B', 928,
                'D', 928,
                'F', 928,
                'b', 928,
                'd', 928,
                'f', 928,
                'L', 937,
                'U', 937,
                'W', 937,
                'l', 937,
                'u', 937,
                'w', 937,
            );
            if(('0' <= lookahead && lookahead <= '9'))
                ADVANCE(914);
            if(('G' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('g' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 915:
            ACCEPT_TOKEN(sym_number_literal);
            ADVANCE_MAP(
                '\'', 793,
                '.', 933,
                'B', 929,
                'b', 929,
                'X', 97,
                'x', 97,
                'E', 931,
                'P', 931,
                'e', 931,
                'p', 931,
                'D', 936,
                'F', 936,
                'L', 936,
                'U', 936,
                'W', 936,
                'd', 936,
                'f', 936,
                'l', 936,
                'u', 936,
                'w', 936,
            );
            if(('0' <= lookahead && lookahead <= '9'))
                ADVANCE(919);
            END_STATE();
        case 916:
            ACCEPT_TOKEN(sym_number_literal);
            ADVANCE_MAP(
                '\'', 793,
                '.', 933,
                'B', 934,
                'b', 934,
                'X', 797,
                'x', 797,
                'E', 931,
                'P', 931,
                'e', 931,
                'p', 931,
                'D', 936,
                'F', 936,
                'L', 936,
                'U', 936,
                'W', 936,
                'd', 936,
                'f', 936,
                'l', 936,
                'u', 936,
                'w', 936,
            );
            if(('0' <= lookahead && lookahead <= '9'))
                ADVANCE(919);
            END_STATE();
        case 917:
            ACCEPT_TOKEN(sym_number_literal);
            ADVANCE_MAP(
                '\'', 793,
                '.', 933,
                'B', 930,
                'b', 930,
                'X', 1144,
                'x', 1144,
                'E', 932,
                'P', 932,
                'e', 932,
                'p', 932,
                'D', 937,
                'F', 937,
                'L', 937,
                'U', 937,
                'W', 937,
                'd', 937,
                'f', 937,
                'l', 937,
                'u', 937,
                'w', 937,
            );
            if(('0' <= lookahead && lookahead <= '9'))
                ADVANCE(920);
            if(('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 918:
            ACCEPT_TOKEN(sym_number_literal);
            ADVANCE_MAP(
                '\'', 793,
                '.', 933,
                'B', 935,
                'b', 935,
                'X', 1549,
                'x', 1549,
                'E', 932,
                'P', 932,
                'e', 932,
                'p', 932,
                'D', 937,
                'F', 937,
                'L', 937,
                'U', 937,
                'W', 937,
                'd', 937,
                'f', 937,
                'l', 937,
                'u', 937,
                'w', 937,
            );
            if(('0' <= lookahead && lookahead <= '9'))
                ADVANCE(920);
            if(('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 919:
            ACCEPT_TOKEN(sym_number_literal);
            if(lookahead == '\'')
                ADVANCE(793);
            if(lookahead == '.')
                ADVANCE(933);
            if(lookahead == 'E' ||
               lookahead == 'P' ||
               lookahead == 'e' ||
               lookahead == 'p')
                ADVANCE(931);
            if(('0' <= lookahead && lookahead <= '9'))
                ADVANCE(919);
            if(set_contains(sym_number_literal_character_set_13, 13, lookahead))
                ADVANCE(936);
            END_STATE();
        case 920:
            ACCEPT_TOKEN(sym_number_literal);
            if(lookahead == '\'')
                ADVANCE(793);
            if(lookahead == '.')
                ADVANCE(933);
            if(lookahead == 'E' ||
               lookahead == 'P' ||
               lookahead == 'e' ||
               lookahead == 'p')
                ADVANCE(932);
            if(('0' <= lookahead && lookahead <= '9'))
                ADVANCE(920);
            if(set_contains(sym_number_literal_character_set_13, 13, lookahead))
                ADVANCE(937);
            if(('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 921:
            ACCEPT_TOKEN(sym_number_literal);
            ADVANCE_MAP(
                '\'', 796,
                '+', 798,
                '-', 798,
                'E', 921,
                'e', 921,
                'P', 931,
                'p', 931,
                'B', 922,
                'D', 922,
                'F', 922,
                'b', 922,
                'd', 922,
                'f', 922,
                'L', 936,
                'U', 936,
                'W', 936,
                'l', 936,
                'u', 936,
                'w', 936,
            );
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'C') ||
               ('a' <= lookahead && lookahead <= 'c'))
                ADVANCE(922);
            END_STATE();
        case 922:
            ACCEPT_TOKEN(sym_number_literal);
            ADVANCE_MAP(
                '\'', 796,
                'E', 921,
                'e', 921,
                'P', 931,
                'p', 931,
                'B', 922,
                'D', 922,
                'F', 922,
                'b', 922,
                'd', 922,
                'f', 922,
                'L', 936,
                'U', 936,
                'W', 936,
                'l', 936,
                'u', 936,
                'w', 936,
            );
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'C') ||
               ('a' <= lookahead && lookahead <= 'c'))
                ADVANCE(922);
            END_STATE();
        case 923:
            ACCEPT_TOKEN(sym_number_literal);
            ADVANCE_MAP(
                '\'', 797,
                '.', 933,
                '+', 798,
                '-', 798,
                'E', 923,
                'e', 923,
                'P', 931,
                'p', 931,
                'B', 926,
                'D', 926,
                'F', 926,
                'b', 926,
                'd', 926,
                'f', 926,
                'L', 936,
                'U', 936,
                'W', 936,
                'l', 936,
                'u', 936,
                'w', 936,
            );
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'C') ||
               ('a' <= lookahead && lookahead <= 'c'))
                ADVANCE(926);
            END_STATE();
        case 924:
            ACCEPT_TOKEN(sym_number_literal);
            ADVANCE_MAP(
                '\'', 797,
                '.', 933,
                '+', 798,
                '-', 798,
                'E', 924,
                'e', 924,
                'P', 932,
                'p', 932,
                'B', 928,
                'D', 928,
                'F', 928,
                'b', 928,
                'd', 928,
                'f', 928,
                'L', 937,
                'U', 937,
                'W', 937,
                'l', 937,
                'u', 937,
                'w', 937,
            );
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'C') ||
               ('a' <= lookahead && lookahead <= 'c'))
                ADVANCE(928);
            if(('G' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('g' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 925:
            ACCEPT_TOKEN(sym_number_literal);
            ADVANCE_MAP(
                '\'', 797,
                '.', 933,
                'E', 923,
                'e', 923,
                'P', 931,
                'p', 931,
                'A', 926,
                'C', 926,
                'a', 926,
                'c', 926,
                'B', 926,
                'D', 926,
                'F', 926,
                'b', 926,
                'd', 926,
                'f', 926,
                'L', 936,
                'U', 936,
                'W', 936,
                'l', 936,
                'u', 936,
                'w', 936,
            );
            if(('0' <= lookahead && lookahead <= '9'))
                ADVANCE(913);
            END_STATE();
        case 926:
            ACCEPT_TOKEN(sym_number_literal);
            ADVANCE_MAP(
                '\'', 797,
                '.', 933,
                'E', 923,
                'e', 923,
                'P', 931,
                'p', 931,
                'B', 926,
                'D', 926,
                'F', 926,
                'b', 926,
                'd', 926,
                'f', 926,
                'L', 936,
                'U', 936,
                'W', 936,
                'l', 936,
                'u', 936,
                'w', 936,
            );
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'C') ||
               ('a' <= lookahead && lookahead <= 'c'))
                ADVANCE(926);
            END_STATE();
        case 927:
            ACCEPT_TOKEN(sym_number_literal);
            ADVANCE_MAP(
                '\'', 797,
                '.', 933,
                'E', 924,
                'e', 924,
                'P', 932,
                'p', 932,
                'A', 928,
                'C', 928,
                'a', 928,
                'c', 928,
                'B', 928,
                'D', 928,
                'F', 928,
                'b', 928,
                'd', 928,
                'f', 928,
                'L', 937,
                'U', 937,
                'W', 937,
                'l', 937,
                'u', 937,
                'w', 937,
            );
            if(('0' <= lookahead && lookahead <= '9'))
                ADVANCE(914);
            if(('G' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('g' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 928:
            ACCEPT_TOKEN(sym_number_literal);
            ADVANCE_MAP(
                '\'', 797,
                '.', 933,
                'E', 924,
                'e', 924,
                'P', 932,
                'p', 932,
                'B', 928,
                'D', 928,
                'F', 928,
                'b', 928,
                'd', 928,
                'f', 928,
                'L', 937,
                'U', 937,
                'W', 937,
                'l', 937,
                'u', 937,
                'w', 937,
            );
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'C') ||
               ('a' <= lookahead && lookahead <= 'c'))
                ADVANCE(928);
            if(('G' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('g' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 929:
            ACCEPT_TOKEN(sym_number_literal);
            if(lookahead == '.')
                ADVANCE(794);
            if(lookahead == '0')
                ADVANCE(916);
            if(('1' <= lookahead && lookahead <= '9'))
                ADVANCE(919);
            if(set_contains(sym_number_literal_character_set_13, 13, lookahead))
                ADVANCE(936);
            END_STATE();
        case 930:
            ACCEPT_TOKEN(sym_number_literal);
            if(lookahead == '.')
                ADVANCE(794);
            if(lookahead == '0')
                ADVANCE(918);
            if(('1' <= lookahead && lookahead <= '9'))
                ADVANCE(920);
            if(set_contains(sym_number_literal_character_set_13, 13, lookahead))
                ADVANCE(937);
            if(('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 931:
            ACCEPT_TOKEN(sym_number_literal);
            ADVANCE_MAP(
                '+', 798,
                '-', 798,
                'B', 909,
                'D', 909,
                'F', 909,
                'b', 909,
                'd', 909,
                'f', 909,
                'L', 936,
                'U', 936,
                'W', 936,
                'l', 936,
                'u', 936,
                'w', 936,
            );
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'E') ||
               ('a' <= lookahead && lookahead <= 'e'))
                ADVANCE(909);
            END_STATE();
        case 932:
            ACCEPT_TOKEN(sym_number_literal);
            ADVANCE_MAP(
                '+', 798,
                '-', 798,
                'B', 910,
                'D', 910,
                'F', 910,
                'b', 910,
                'd', 910,
                'f', 910,
                'L', 937,
                'U', 937,
                'W', 937,
                'l', 937,
                'u', 937,
                'w', 937,
            );
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'E') ||
               ('a' <= lookahead && lookahead <= 'e'))
                ADVANCE(910);
            if(('G' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('g' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 933:
            ACCEPT_TOKEN(sym_number_literal);
            ADVANCE_MAP(
                'E', 921,
                'e', 921,
                'P', 931,
                'p', 931,
                'B', 922,
                'D', 922,
                'F', 922,
                'b', 922,
                'd', 922,
                'f', 922,
                'L', 936,
                'U', 936,
                'W', 936,
                'l', 936,
                'u', 936,
                'w', 936,
            );
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'C') ||
               ('a' <= lookahead && lookahead <= 'c'))
                ADVANCE(922);
            END_STATE();
        case 934:
            ACCEPT_TOKEN(sym_number_literal);
            if(('0' <= lookahead && lookahead <= '9'))
                ADVANCE(919);
            if(set_contains(sym_number_literal_character_set_13, 13, lookahead))
                ADVANCE(936);
            END_STATE();
        case 935:
            ACCEPT_TOKEN(sym_number_literal);
            if(('0' <= lookahead && lookahead <= '9'))
                ADVANCE(920);
            if(set_contains(sym_number_literal_character_set_13, 13, lookahead))
                ADVANCE(937);
            if(('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 936:
            ACCEPT_TOKEN(sym_number_literal);
            ADVANCE_MAP(
                'B', 936,
                'D', 936,
                'F', 936,
                'L', 936,
                'U', 936,
                'W', 936,
                'b', 936,
                'd', 936,
                'f', 936,
                'l', 936,
                'u', 936,
                'w', 936,
            );
            END_STATE();
        case 937:
            ACCEPT_TOKEN(sym_number_literal);
            ADVANCE_MAP(
                'B', 937,
                'D', 937,
                'F', 937,
                'L', 937,
                'U', 937,
                'W', 937,
                'b', 937,
                'd', 937,
                'f', 937,
                'l', 937,
                'u', 937,
                'w', 937,
            );
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 938:
            ACCEPT_TOKEN(anon_sym_POUNDdefine);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(955);
            END_STATE();
        case 939:
            ACCEPT_TOKEN(aux_sym_preproc_define_token1);
            if(lookahead == '\r')
                ADVANCE(942);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(942);
            END_STATE();
        case 940:
            ACCEPT_TOKEN(aux_sym_preproc_define_token1);
            if(lookahead == '*')
                ADVANCE(1567);
            if(lookahead == '/')
                ADVANCE(1556);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(942);
            END_STATE();
        case 941:
            ACCEPT_TOKEN(aux_sym_preproc_define_token1);
            if(lookahead == '/')
                ADVANCE(940);
            if(lookahead == '\\')
                ADVANCE(939);
            if(lookahead == '\t' ||
               (0x0b <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                ADVANCE(941);
            if(lookahead != 0 &&
               (lookahead < '\t' || '\r' < lookahead))
                ADVANCE(942);
            END_STATE();
        case 942:
            ACCEPT_TOKEN(aux_sym_preproc_define_token1);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(942);
            END_STATE();
        case 943:
            ACCEPT_TOKEN(aux_sym_preproc_call_token1);
            END_STATE();
        case 944:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(lookahead == 'c')
                ADVANCE(951);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(955);
            END_STATE();
        case 945:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(lookahead == 'd')
                ADVANCE(948);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(955);
            END_STATE();
        case 946:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(lookahead == 'e')
                ADVANCE(949);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(955);
            END_STATE();
        case 947:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(lookahead == 'e')
                ADVANCE(938);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(955);
            END_STATE();
        case 948:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(lookahead == 'e')
                ADVANCE(962);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(955);
            END_STATE();
        case 949:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(lookahead == 'f')
                ADVANCE(950);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(955);
            END_STATE();
        case 950:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(lookahead == 'i')
                ADVANCE(953);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(955);
            END_STATE();
        case 951:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(lookahead == 'l')
                ADVANCE(954);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(955);
            END_STATE();
        case 952:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(lookahead == 'n')
                ADVANCE(944);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(955);
            END_STATE();
        case 953:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(lookahead == 'n')
                ADVANCE(947);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(955);
            END_STATE();
        case 954:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(lookahead == 'u')
                ADVANCE(945);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(955);
            END_STATE();
        case 955:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(955);
            END_STATE();
        case 956:
            ACCEPT_TOKEN(sym_preproc_arg);
            if(lookahead == '\n')
                SKIP(103);
            if(lookahead == '\r')
                ADVANCE(957);
            if(lookahead == '/')
                ADVANCE(807);
            if(lookahead == '\\')
                ADVANCE(958);
            if(lookahead != 0)
                ADVANCE(960);
            END_STATE();
        case 957:
            ACCEPT_TOKEN(sym_preproc_arg);
            if(lookahead == '\n')
                SKIP(103);
            if(lookahead == '/')
                ADVANCE(807);
            if(lookahead == '\\')
                ADVANCE(958);
            if(lookahead != 0)
                ADVANCE(960);
            END_STATE();
        case 958:
            ACCEPT_TOKEN(sym_preproc_arg);
            if(lookahead == '\r')
                ADVANCE(961);
            if(lookahead == '/')
                ADVANCE(807);
            if(lookahead == '\\')
                ADVANCE(958);
            if(lookahead != 0)
                ADVANCE(960);
            END_STATE();
        case 959:
            ACCEPT_TOKEN(sym_preproc_arg);
            if(lookahead == '*')
                ADVANCE(1563);
            if(lookahead == '/')
                ADVANCE(1551);
            if(lookahead == '\\')
                ADVANCE(958);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(960);
            END_STATE();
        case 960:
            ACCEPT_TOKEN(sym_preproc_arg);
            if(lookahead == '/')
                ADVANCE(807);
            if(lookahead == '\\')
                ADVANCE(958);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(960);
            END_STATE();
        case 961:
            ACCEPT_TOKEN(sym_preproc_arg);
            if(lookahead == '/')
                ADVANCE(807);
            if(lookahead == '\\')
                ADVANCE(958);
            if(lookahead != 0)
                ADVANCE(960);
            END_STATE();
        case 962:
            ACCEPT_TOKEN(aux_sym_preproc_include_token1);
            END_STATE();
        case 963:
            ACCEPT_TOKEN(sym_system_lib_path);
            if(lookahead == '\r')
                ADVANCE(966);
            if(lookahead == '\\')
                ADVANCE(967);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(966);
            END_STATE();
        case 964:
            ACCEPT_TOKEN(sym_system_lib_path);
            if(lookahead == '*')
                ADVANCE(1566);
            if(lookahead == '/')
                ADVANCE(1555);
            if(lookahead == '\\')
                ADVANCE(967);
            if(lookahead != 0 &&
               lookahead != '\n' &&
               lookahead != '>')
                ADVANCE(966);
            END_STATE();
        case 965:
            ACCEPT_TOKEN(sym_system_lib_path);
            if(lookahead == '/')
                ADVANCE(964);
            if(lookahead == '\\')
                ADVANCE(963);
            if(lookahead == '\t' ||
               (0x0b <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                ADVANCE(965);
            if(lookahead != 0 &&
               (lookahead < '\t' || '\r' < lookahead) &&
               lookahead != '>')
                ADVANCE(966);
            END_STATE();
        case 966:
            ACCEPT_TOKEN(sym_system_lib_path);
            if(lookahead == '\\')
                ADVANCE(967);
            if(lookahead != 0 &&
               lookahead != '\n' &&
               lookahead != '>')
                ADVANCE(966);
            END_STATE();
        case 967:
            ACCEPT_TOKEN(sym_system_lib_path);
            if(lookahead == '\\')
                ADVANCE(967);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(966);
            END_STATE();
        case 968:
            ACCEPT_TOKEN(anon_sym_exception);
            END_STATE();
        case 969:
            ACCEPT_TOKEN(anon_sym_exception);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 970:
            ACCEPT_TOKEN(anon_sym_LBRACE);
            END_STATE();
        case 971:
            ACCEPT_TOKEN(anon_sym_RBRACE);
            END_STATE();
        case 972:
            ACCEPT_TOKEN(anon_sym_local);
            END_STATE();
        case 973:
            ACCEPT_TOKEN(anon_sym_abstract);
            END_STATE();
        case 974:
            ACCEPT_TOKEN(anon_sym_abstract);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 975:
            ACCEPT_TOKEN(anon_sym_interface);
            END_STATE();
        case 976:
            ACCEPT_TOKEN(anon_sym_interface);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 977:
            ACCEPT_TOKEN(anon_sym_COLON);
            END_STATE();
        case 978:
            ACCEPT_TOKEN(anon_sym_COLON);
            if(lookahead == ':')
                ADVANCE(858);
            END_STATE();
        case 979:
            ACCEPT_TOKEN(anon_sym_SEMI);
            END_STATE();
        case 980:
            ACCEPT_TOKEN(anon_sym_void);
            END_STATE();
        case 981:
            ACCEPT_TOKEN(anon_sym_void);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 982:
            ACCEPT_TOKEN(anon_sym_in);
            END_STATE();
        case 983:
            ACCEPT_TOKEN(anon_sym_in);
            if(lookahead == 'o')
                ADVANCE(760);
            if(lookahead == 't')
                ADVANCE(116);
            END_STATE();
        case 984:
            ACCEPT_TOKEN(anon_sym_in);
            if(lookahead == 'o')
                ADVANCE(1520);
            if(lookahead == 't')
                ADVANCE(1146);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 985:
            ACCEPT_TOKEN(anon_sym_out);
            END_STATE();
        case 986:
            ACCEPT_TOKEN(anon_sym_out);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 987:
            ACCEPT_TOKEN(anon_sym_inout);
            END_STATE();
        case 988:
            ACCEPT_TOKEN(anon_sym_inout);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 989:
            ACCEPT_TOKEN(anon_sym_raises);
            END_STATE();
        case 990:
            ACCEPT_TOKEN(anon_sym_readonly);
            END_STATE();
        case 991:
            ACCEPT_TOKEN(anon_sym_readonly);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 992:
            ACCEPT_TOKEN(anon_sym_attribute);
            END_STATE();
        case 993:
            ACCEPT_TOKEN(anon_sym_attribute);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 994:
            ACCEPT_TOKEN(anon_sym_getraises);
            END_STATE();
        case 995:
            ACCEPT_TOKEN(anon_sym_setraises);
            END_STATE();
        case 996:
            ACCEPT_TOKEN(anon_sym_bitset);
            END_STATE();
        case 997:
            ACCEPT_TOKEN(anon_sym_bitset);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 998:
            ACCEPT_TOKEN(anon_sym_bitfield);
            END_STATE();
        case 999:
            ACCEPT_TOKEN(anon_sym_bitmask);
            END_STATE();
        case 1000:
            ACCEPT_TOKEN(anon_sym_bitmask);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1001:
            ACCEPT_TOKEN(anon_sym_ATannotation);
            END_STATE();
        case 1002:
            ACCEPT_TOKEN(anon_sym_default);
            END_STATE();
        case 1003:
            ACCEPT_TOKEN(anon_sym_default);
            if(lookahead == '_')
                ADVANCE(1349);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1004:
            ACCEPT_TOKEN(anon_sym_default);
            if(lookahead == '_')
                ADVANCE(521);
            END_STATE();
        case 1005:
            ACCEPT_TOKEN(anon_sym_default);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1006:
            ACCEPT_TOKEN(anon_sym_AT);
            END_STATE();
        case 1007:
            ACCEPT_TOKEN(anon_sym_AT);
            if(lookahead == 'a')
                ADVANCE(548);
            if(lookahead == 'i')
                ADVANCE(434);
            END_STATE();
        case 1008:
            ACCEPT_TOKEN(anon_sym_AT);
            if(lookahead == 'i')
                ADVANCE(434);
            END_STATE();
        case 1009:
            ACCEPT_TOKEN(anon_sym_SLASH_SLASH_AT);
            END_STATE();
        case 1010:
            ACCEPT_TOKEN(aux_sym_extend_annotation_appl_token1);
            if(lookahead == '\n')
                ADVANCE(1010);
            if(lookahead == '\r')
                ADVANCE(49);
            if(lookahead == '/')
                ADVANCE(91);
            END_STATE();
        case 1011:
            ACCEPT_TOKEN(anon_sym_EQ);
            END_STATE();
        case 1012:
            ACCEPT_TOKEN(anon_sym_id);
            if(lookahead == 'l')
                ADVANCE(1061);
            END_STATE();
        case 1013:
            ACCEPT_TOKEN(anon_sym_id);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1014:
            ACCEPT_TOKEN(anon_sym_autoid);
            END_STATE();
        case 1015:
            ACCEPT_TOKEN(anon_sym_autoid);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1016:
            ACCEPT_TOKEN(anon_sym_SEQUENTIAL);
            END_STATE();
        case 1017:
            ACCEPT_TOKEN(anon_sym_HASH);
            END_STATE();
        case 1018:
            ACCEPT_TOKEN(anon_sym_optional);
            END_STATE();
        case 1019:
            ACCEPT_TOKEN(anon_sym_optional);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1020:
            ACCEPT_TOKEN(anon_sym_position);
            END_STATE();
        case 1021:
            ACCEPT_TOKEN(anon_sym_position);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1022:
            ACCEPT_TOKEN(anon_sym_value);
            if(lookahead == 't')
                ADVANCE(790);
            END_STATE();
        case 1023:
            ACCEPT_TOKEN(anon_sym_value);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1024:
            ACCEPT_TOKEN(anon_sym_extensibility);
            END_STATE();
        case 1025:
            ACCEPT_TOKEN(anon_sym_extensibility);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1026:
            ACCEPT_TOKEN(anon_sym_FINAL);
            END_STATE();
        case 1027:
            ACCEPT_TOKEN(anon_sym_APPENDABLE);
            END_STATE();
        case 1028:
            ACCEPT_TOKEN(anon_sym_MUTABLE);
            END_STATE();
        case 1029:
            ACCEPT_TOKEN(anon_sym_final);
            END_STATE();
        case 1030:
            ACCEPT_TOKEN(anon_sym_final);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1031:
            ACCEPT_TOKEN(anon_sym_appendable);
            END_STATE();
        case 1032:
            ACCEPT_TOKEN(anon_sym_appendable);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1033:
            ACCEPT_TOKEN(anon_sym_mutable);
            END_STATE();
        case 1034:
            ACCEPT_TOKEN(anon_sym_mutable);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1035:
            ACCEPT_TOKEN(anon_sym_key);
            END_STATE();
        case 1036:
            ACCEPT_TOKEN(anon_sym_key);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1037:
            ACCEPT_TOKEN(anon_sym_must_understand);
            END_STATE();
        case 1038:
            ACCEPT_TOKEN(anon_sym_must_understand);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1039:
            ACCEPT_TOKEN(anon_sym_default_literal);
            END_STATE();
        case 1040:
            ACCEPT_TOKEN(anon_sym_default_literal);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1041:
            ACCEPT_TOKEN(anon_sym_range);
            END_STATE();
        case 1042:
            ACCEPT_TOKEN(anon_sym_range);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1043:
            ACCEPT_TOKEN(anon_sym_min);
            END_STATE();
        case 1044:
            ACCEPT_TOKEN(anon_sym_min);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1045:
            ACCEPT_TOKEN(anon_sym_max);
            END_STATE();
        case 1046:
            ACCEPT_TOKEN(anon_sym_max);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1047:
            ACCEPT_TOKEN(anon_sym_unit);
            END_STATE();
        case 1048:
            ACCEPT_TOKEN(anon_sym_unit);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1049:
            ACCEPT_TOKEN(anon_sym_bit_bound);
            END_STATE();
        case 1050:
            ACCEPT_TOKEN(anon_sym_bit_bound);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1051:
            ACCEPT_TOKEN(anon_sym_external);
            END_STATE();
        case 1052:
            ACCEPT_TOKEN(anon_sym_external);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1053:
            ACCEPT_TOKEN(anon_sym_nested);
            END_STATE();
        case 1054:
            ACCEPT_TOKEN(anon_sym_nested);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1055:
            ACCEPT_TOKEN(anon_sym_verbatim);
            END_STATE();
        case 1056:
            ACCEPT_TOKEN(anon_sym_verbatim);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1057:
            ACCEPT_TOKEN(anon_sym_c);
            if(lookahead == '+')
                ADVANCE(96);
            END_STATE();
        case 1058:
            ACCEPT_TOKEN(anon_sym_c);
            if(lookahead == '+')
                ADVANCE(96);
            if(lookahead == 'a')
                ADVANCE(680);
            if(lookahead == 'h')
                ADVANCE(257);
            if(lookahead == 'o')
                ADVANCE(535);
            if(lookahead == 'u')
                ADVANCE(679);
            END_STATE();
        case 1059:
            ACCEPT_TOKEN(anon_sym_c_PLUS_PLUS);
            END_STATE();
        case 1060:
            ACCEPT_TOKEN(anon_sym_java);
            END_STATE();
        case 1061:
            ACCEPT_TOKEN(anon_sym_idl);
            END_STATE();
        case 1062:
            ACCEPT_TOKEN(anon_sym_BEGIN_FILE);
            END_STATE();
        case 1063:
            ACCEPT_TOKEN(anon_sym_BEFORE_DECLARATION);
            END_STATE();
        case 1064:
            ACCEPT_TOKEN(anon_sym_BEGIN_DECLARATION);
            END_STATE();
        case 1065:
            ACCEPT_TOKEN(anon_sym_END_DECLARATION);
            END_STATE();
        case 1066:
            ACCEPT_TOKEN(anon_sym_AFTER_DECLARATION);
            END_STATE();
        case 1067:
            ACCEPT_TOKEN(anon_sym_END_FILE);
            END_STATE();
        case 1068:
            ACCEPT_TOKEN(anon_sym_service);
            END_STATE();
        case 1069:
            ACCEPT_TOKEN(anon_sym_service);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1070:
            ACCEPT_TOKEN(anon_sym_CORBA);
            END_STATE();
        case 1071:
            ACCEPT_TOKEN(anon_sym_DDS);
            END_STATE();
        case 1072:
            ACCEPT_TOKEN(anon_sym_oneway);
            END_STATE();
        case 1073:
            ACCEPT_TOKEN(anon_sym_oneway);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1074:
            ACCEPT_TOKEN(anon_sym_ami);
            END_STATE();
        case 1075:
            ACCEPT_TOKEN(anon_sym_ami);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1076:
            ACCEPT_TOKEN(anon_sym_module);
            END_STATE();
        case 1077:
            ACCEPT_TOKEN(anon_sym_typename);
            END_STATE();
        case 1078:
            ACCEPT_TOKEN(anon_sym_typename);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1079:
            ACCEPT_TOKEN(anon_sym_valuetype);
            END_STATE();
        case 1080:
            ACCEPT_TOKEN(anon_sym_valuetype);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1081:
            ACCEPT_TOKEN(anon_sym_eventtype);
            END_STATE();
        case 1082:
            ACCEPT_TOKEN(anon_sym_eventtype);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1083:
            ACCEPT_TOKEN(anon_sym_struct);
            END_STATE();
        case 1084:
            ACCEPT_TOKEN(anon_sym_struct);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1085:
            ACCEPT_TOKEN(anon_sym_union);
            END_STATE();
        case 1086:
            ACCEPT_TOKEN(anon_sym_union);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1087:
            ACCEPT_TOKEN(anon_sym_enum);
            END_STATE();
        case 1088:
            ACCEPT_TOKEN(anon_sym_enum);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1089:
            ACCEPT_TOKEN(anon_sym_const);
            END_STATE();
        case 1090:
            ACCEPT_TOKEN(anon_sym_const);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1091:
            ACCEPT_TOKEN(anon_sym_alias);
            END_STATE();
        case 1092:
            ACCEPT_TOKEN(anon_sym_custom);
            END_STATE();
        case 1093:
            ACCEPT_TOKEN(anon_sym_custom);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1094:
            ACCEPT_TOKEN(anon_sym_truncatable);
            END_STATE();
        case 1095:
            ACCEPT_TOKEN(anon_sym_truncatable);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1096:
            ACCEPT_TOKEN(anon_sym_supports);
            END_STATE();
        case 1097:
            ACCEPT_TOKEN(anon_sym_supports);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1098:
            ACCEPT_TOKEN(anon_sym_public);
            END_STATE();
        case 1099:
            ACCEPT_TOKEN(anon_sym_public);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1100:
            ACCEPT_TOKEN(anon_sym_private);
            END_STATE();
        case 1101:
            ACCEPT_TOKEN(anon_sym_private);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1102:
            ACCEPT_TOKEN(anon_sym_factory);
            END_STATE();
        case 1103:
            ACCEPT_TOKEN(anon_sym_factory);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1104:
            ACCEPT_TOKEN(anon_sym_typedef);
            END_STATE();
        case 1105:
            ACCEPT_TOKEN(anon_sym_typedef);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1106:
            ACCEPT_TOKEN(anon_sym_LBRACK);
            END_STATE();
        case 1107:
            ACCEPT_TOKEN(anon_sym_RBRACK);
            END_STATE();
        case 1108:
            ACCEPT_TOKEN(anon_sym_ATdefault_literal);
            END_STATE();
        case 1109:
            ACCEPT_TOKEN(anon_sym_ATignore_literal_names);
            END_STATE();
        case 1110:
            ACCEPT_TOKEN(anon_sym_switch);
            END_STATE();
        case 1111:
            ACCEPT_TOKEN(anon_sym_switch);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1112:
            ACCEPT_TOKEN(anon_sym_case);
            END_STATE();
        case 1113:
            ACCEPT_TOKEN(anon_sym_case);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1114:
            ACCEPT_TOKEN(anon_sym_typeid);
            END_STATE();
        case 1115:
            ACCEPT_TOKEN(anon_sym_typeid);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1116:
            ACCEPT_TOKEN(anon_sym_typeprefix);
            END_STATE();
        case 1117:
            ACCEPT_TOKEN(anon_sym_import);
            END_STATE();
        case 1118:
            ACCEPT_TOKEN(anon_sym_import);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1119:
            ACCEPT_TOKEN(anon_sym_Object);
            END_STATE();
        case 1120:
            ACCEPT_TOKEN(anon_sym_Object);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1121:
            ACCEPT_TOKEN(anon_sym_context);
            END_STATE();
        case 1122:
            ACCEPT_TOKEN(sym_value_base_type);
            END_STATE();
        case 1123:
            ACCEPT_TOKEN(sym_value_base_type);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1124:
            ACCEPT_TOKEN(anon_sym_component);
            END_STATE();
        case 1125:
            ACCEPT_TOKEN(anon_sym_provides);
            END_STATE();
        case 1126:
            ACCEPT_TOKEN(anon_sym_uses);
            END_STATE();
        case 1127:
            ACCEPT_TOKEN(anon_sym_multiple);
            END_STATE();
        case 1128:
            ACCEPT_TOKEN(anon_sym_multiple);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1129:
            ACCEPT_TOKEN(anon_sym_home);
            END_STATE();
        case 1130:
            ACCEPT_TOKEN(anon_sym_manages);
            END_STATE();
        case 1131:
            ACCEPT_TOKEN(anon_sym_emits);
            END_STATE();
        case 1132:
            ACCEPT_TOKEN(anon_sym_publishes);
            END_STATE();
        case 1133:
            ACCEPT_TOKEN(anon_sym_consumes);
            END_STATE();
        case 1134:
            ACCEPT_TOKEN(anon_sym_primarykey);
            END_STATE();
        case 1135:
            ACCEPT_TOKEN(anon_sym_finder);
            END_STATE();
        case 1136:
            ACCEPT_TOKEN(anon_sym_finder);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1137:
            ACCEPT_TOKEN(anon_sym_porttype);
            END_STATE();
        case 1138:
            ACCEPT_TOKEN(anon_sym_port);
            END_STATE();
        case 1139:
            ACCEPT_TOKEN(anon_sym_mirrorport);
            END_STATE();
        case 1140:
            ACCEPT_TOKEN(anon_sym_connector);
            END_STATE();
        case 1141:
            ACCEPT_TOKEN(anon_sym_native);
            END_STATE();
        case 1142:
            ACCEPT_TOKEN(anon_sym_native);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1143:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == ' ')
                ADVANCE(519);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1144:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '.')
                ADVANCE(794);
            if(lookahead == '0')
                ADVANCE(912);
            if(('1' <= lookahead && lookahead <= '9'))
                ADVANCE(914);
            if(('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(928);
            if(('G' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('g' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1145:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '1')
                ADVANCE(1152);
            if(lookahead == '3')
                ADVANCE(1148);
            if(lookahead == '6')
                ADVANCE(1150);
            if(lookahead == '8')
                ADVANCE(839);
            if(lookahead == 'e')
                ADVANCE(1452);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1146:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '1')
                ADVANCE(1152);
            if(lookahead == '3')
                ADVANCE(1148);
            if(lookahead == '6')
                ADVANCE(1150);
            if(lookahead == '8')
                ADVANCE(839);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1147:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '1')
                ADVANCE(1153);
            if(lookahead == '3')
                ADVANCE(1149);
            if(lookahead == '6')
                ADVANCE(1151);
            if(lookahead == '8')
                ADVANCE(831);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1148:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '2')
                ADVANCE(826);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1149:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '2')
                ADVANCE(845);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1150:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '4')
                ADVANCE(829);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1151:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '4')
                ADVANCE(848);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1152:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '6')
                ADVANCE(820);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1153:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '6')
                ADVANCE(842);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1154:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'A')
                ADVANCE(1158);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('B' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1155:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'B')
                ADVANCE(1171);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1156:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'E')
                ADVANCE(905);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1157:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'E')
                ADVANCE(907);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1158:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'L')
                ADVANCE(1160);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1159:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'R')
                ADVANCE(1161);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1160:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'S')
                ADVANCE(1157);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1161:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'U')
                ADVANCE(1156);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1162:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '_')
                ADVANCE(1205);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1163:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '_')
                ADVANCE(1519);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1164:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1344);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1165:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1239);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1166:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1456);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1167:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1218);
            if(lookahead == 'i')
                ADVANCE(1536);
            if(lookahead == 'l')
                ADVANCE(1418);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1168:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1218);
            if(lookahead == 'i')
                ADVANCE(1386);
            if(lookahead == 'l')
                ADVANCE(1418);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1169:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1423);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1170:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1539);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1171:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1462);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1172:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1535);
            if(lookahead == 'i')
                ADVANCE(1373);
            if(lookahead == 'u')
                ADVANCE(1464);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1173:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1438);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1174:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1367);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1175:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1506);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1176:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1516);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1177:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1439);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1178:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1340);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1179:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1341);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1180:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1342);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1181:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1472);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1182:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1370);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1183:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1343);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1184:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1385);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1185:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1390);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1186:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1500);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1187:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1512);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1188:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1463);
            if(lookahead == 'h')
                ADVANCE(1173);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1189:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1499);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1190:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1223);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1191:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1206);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1192:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1207);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1193:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1222);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1194:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1209);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1195:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1358);
            if(lookahead == 'o')
                ADVANCE(1313);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1196:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1358);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1197:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1525);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1198:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1359);
            if(lookahead == 'e')
                ADVANCE(1442);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1199:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(1338);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1200:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(1466);
            if(lookahead == 'n')
                ADVANCE(1538);
            if(lookahead == 't')
                ADVANCE(1487);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1201:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(1347);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1202:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(1348);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1203:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(1527);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1204:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(1331);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1205:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(1420);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1206:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(1353);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1207:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(1354);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1208:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(1186);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1209:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(1356);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1210:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1306);
            if(lookahead == 's')
                ADVANCE(1507);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1211:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1306);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1212:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1099);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1213:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1301);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1214:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1270);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1215:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1493);
            if(lookahead == 'n')
                ADVANCE(1245);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1216:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1493);
            if(lookahead == 'u')
                ADVANCE(1481);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1217:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1493);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1218:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1495);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1219:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1475);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1220:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1252);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1221:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1478);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1222:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1479);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1223:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1259);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1224:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1264);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1225:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1187);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1226:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(981);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1227:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(835);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1228:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(1115);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1229:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(1143);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1230:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(1013);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1231:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(1015);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1232:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(1054);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1233:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(1050);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1234:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(1038);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1235:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(1250);
            if(lookahead == 'i')
                ADVANCE(1228);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1236:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(1250);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1237:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(1275);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1238:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(1280);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1239:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(1412);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1240:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(1192);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1241:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1435);
            if(lookahead == 'h')
                ADVANCE(1409);
            if(lookahead == 't')
                ADVANCE(1437);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1242:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1435);
            if(lookahead == 'h')
                ADVANCE(1409);
            if(lookahead == 't')
                ADVANCE(1445);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1243:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1435);
            if(lookahead == 'h')
                ADVANCE(1409);
            if(lookahead == 't')
                ADVANCE(1447);
            if(lookahead == 'u')
                ADVANCE(1434);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1244:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1435);
            if(lookahead == 'h')
                ADVANCE(1409);
            if(lookahead == 't')
                ADVANCE(1447);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1245:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1533);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1246:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1235);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1247:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1155);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1248:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(852);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1249:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1142);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1250:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1291);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1251:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1101);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1252:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(870);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1253:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1123);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1254:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(993);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1255:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1080);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1256:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1113);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1257:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1078);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1258:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1082);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1259:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(976);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1260:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1398);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1261:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1042);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1262:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1023);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1263:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1034);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1264:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1069);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1265:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1032);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1266:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1128);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1267:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1095);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1268:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1292);
            if(lookahead == 'o')
                ADVANCE(1524);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1269:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1227);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1270:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1425);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1271:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1165);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1272:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1229);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1273:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1542);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1274:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1396);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1275:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1440);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1276:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1182);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1277:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1232);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1278:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1473);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1279:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1441);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1280:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1455);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1281:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1476);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1282:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1454);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1283:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1391);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1284:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1509);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1285:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1388);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1286:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1219);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1287:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1236);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1288:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1394);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1289:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1468);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1290:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1294);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1291:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'f')
                ADVANCE(1105);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1292:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'f')
                ADVANCE(1176);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1293:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'f')
                ADVANCE(1190);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1294:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'f')
                ADVANCE(1197);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1295:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'g')
                ADVANCE(822);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1296:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'g')
                ADVANCE(860);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1297:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'g')
                ADVANCE(862);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1298:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'g')
                ADVANCE(824);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1299:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'g')
                ADVANCE(1392);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1300:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'g')
                ADVANCE(1261);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1301:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'h')
                ADVANCE(1111);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1302:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'h')
                ADVANCE(1173);
            if(lookahead == 'o')
                ADVANCE(1401);
            if(lookahead == 'u')
                ADVANCE(1459);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1303:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'h')
                ADVANCE(1173);
            if(lookahead == 'o')
                ADVANCE(1401);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1304:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'h')
                ADVANCE(1173);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1305:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'h')
                ADVANCE(1409);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1306:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'h')
                ADVANCE(1177);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1307:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1536);
            if(lookahead == 'l')
                ADVANCE(1418);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1308:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1532);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1309:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1075);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1310:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1469);
            if(lookahead == 'o')
                ADVANCE(1405);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1311:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1299);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1312:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1530);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1313:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1226);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1314:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1203);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1315:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1387);
            if(lookahead == 'n')
                ADVANCE(1330);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1316:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1387);
            if(lookahead == 'n')
                ADVANCE(1458);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1317:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1212);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1318:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1381);
            if(lookahead == 'u')
                ADVANCE(1221);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1319:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1381);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1320:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1364);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1321:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1204);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1322:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1433);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1323:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1382);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1324:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1231);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1325:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1395);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1326:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1484);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1327:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1485);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1328:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1496);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1329:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1494);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1330:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1410);
            if(lookahead == 's')
                ADVANCE(1311);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1331:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1360);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1332:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1224);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1333:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1414);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1334:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1422);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1335:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1415);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1336:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1505);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1337:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1511);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1338:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'j')
                ADVANCE(1286);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1339:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'k')
                ADVANCE(1000);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1340:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1030);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1341:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1052);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1342:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1019);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1343:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1040);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1344:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1517);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1345:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1418);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1346:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1541);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1347:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1317);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1348:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1248);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1349:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1336);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1350:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1480);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1351:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1486);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1352:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1501);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1353:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1263);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1354:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1265);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1355:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1266);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1356:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1267);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1357:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1276);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1358:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1528);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1359:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1523);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1360:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1328);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1361:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'm')
                ADVANCE(1431);
            if(lookahead == 'n')
                ADVANCE(1470);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1362:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'm')
                ADVANCE(1088);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1363:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'm')
                ADVANCE(1093);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1364:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'm')
                ADVANCE(1056);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1365:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'm')
                ADVANCE(1166);
            if(lookahead == 's')
                ADVANCE(1281);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1366:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'm')
                ADVANCE(1309);
            if(lookahead == 'p')
                ADVANCE(1430);
            if(lookahead == 'u')
                ADVANCE(1498);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1367:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'm')
                ADVANCE(1257);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1368:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1295);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1369:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1086);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1370:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(833);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1371:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(969);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1372:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(984);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1373:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1044);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1374:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1021);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1375:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1245);
            if(lookahead == 'p')
                ADVANCE(1510);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1376:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1538);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1377:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1515);
            if(lookahead == 'v')
                ADVANCE(1288);
            if(lookahead == 'x')
                ADVANCE(1214);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1378:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1515);
            if(lookahead == 'x')
                ADVANCE(1214);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1379:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1515);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1380:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1470);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1381:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1296);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1382:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1297);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1383:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1346);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1384:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1225);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1385:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1300);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1386:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1237);
            if(lookahead == 'x')
                ADVANCE(1269);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1387:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1488);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1388:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1240);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1389:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1233);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1390:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1234);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1391:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1174);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1392:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1272);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1393:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1483);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1394:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1514);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1395:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1178);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1396:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1220);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1397:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1298);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1398:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1461);
            if(lookahead == 'r')
                ADVANCE(1400);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1399:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1327);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1400:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1179);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1401:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1460);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1402:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1238);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1403:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1180);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1404:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1524);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1405:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1357);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1406:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1368);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1407:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1363);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1408:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1405);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1409:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1449);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1410:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1369);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1411:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1467);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1412:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1383);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1413:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1443);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1414:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1371);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1415:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1374);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1416:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1397);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1417:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1324);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1418:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1181);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1419:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1450);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1420:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1521);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1421:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1451);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1422:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1403);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1423:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(872);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1424:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(1246);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1425:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(1497);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1426:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(1255);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1427:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(1287);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1428:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(1283);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1429:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(1258);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1430:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(1285);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1431:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(1419);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1432:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(1421);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1433:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(1355);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1434:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(1432);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1435:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'q')
                ADVANCE(1518);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1436:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1308);
            if(lookahead == 'u')
                ADVANCE(1201);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1437:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1318);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1438:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(855);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1439:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(857);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1440:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1136);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1441:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1531);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1442:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1208);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1443:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1540);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1444:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1314);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1445:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1526);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1446:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1323);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1447:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1319);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1448:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1193);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1449:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1474);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1450:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1477);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1451:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1490);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1452:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1293);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1453:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1522);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1454:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1183);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1455:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1465);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1456:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1339);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1457:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1097);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1458:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1311);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1459:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1492);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1460:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1471);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1461:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1321);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1462:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1253);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1463:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1256);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1464:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1489);
            if(lookahead == 't')
                ADVANCE(1191);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1465:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1508);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1466:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1491);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1467:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1337);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1468:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1504);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1469:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1365);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1470:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1146);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1471:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1090);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1472:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(850);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1473:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(837);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1474:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(818);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1475:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1120);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1476:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(997);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1477:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1118);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1478:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1084);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1479:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(974);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1480:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1005);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1481:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(986);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1482:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(988);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1483:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1145);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1484:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1162);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1485:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1048);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1486:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1003);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1487:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1444);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1488:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1147);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1489:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1163);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1490:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1457);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1491:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1448);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1492:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1407);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1493:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1278);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1494:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1213);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1495:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1413);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1496:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1543);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1497:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1333);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1498:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1417);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1499:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1251);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1500:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1320);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1501:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1322);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1502:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1254);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1503:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1260);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1504:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1277);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1505:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1282);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1506:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1312);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1507:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1446);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1508:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1185);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1509:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1545);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1510:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1334);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1511:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1335);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1512:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1194);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1513:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1548);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1514:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1513);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1515:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1362);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1516:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1350);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1517:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1247);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1518:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1274);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1519:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1402);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1520:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1482);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1521:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1389);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1522:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1384);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1523:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1262);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1524:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1202);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1525:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1351);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1526:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1221);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1527:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1502);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1528:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1284);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1529:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1352);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1530:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'v')
                ADVANCE(1249);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1531:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'v')
                ADVANCE(1332);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1532:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'v')
                ADVANCE(1189);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1533:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'w')
                ADVANCE(1170);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1534:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'w')
                ADVANCE(1329);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1535:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'x')
                ADVANCE(1046);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1536:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'x')
                ADVANCE(1269);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1537:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'x')
                ADVANCE(1503);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1538:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'y')
                ADVANCE(867);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1539:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'y')
                ADVANCE(1073);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1540:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'y')
                ADVANCE(1103);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1541:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'y')
                ADVANCE(991);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1542:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'y')
                ADVANCE(1036);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1543:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'y')
                ADVANCE(1025);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1544:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'y')
                ADVANCE(1424);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1545:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'y')
                ADVANCE(1426);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1546:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'y')
                ADVANCE(1427);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1547:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'y')
                ADVANCE(1428);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1548:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'y')
                ADVANCE(1429);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1549:
            ACCEPT_TOKEN(sym_identifier);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(928);
            if(('G' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('g' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1550:
            ACCEPT_TOKEN(sym_identifier);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1550);
            END_STATE();
        case 1551:
            ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
            END_STATE();
        case 1552:
            ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
            if(lookahead == '*')
                ADVANCE(1568);
            if(lookahead != 0)
                ADVANCE(94);
            END_STATE();
        case 1553:
            ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
            if(lookahead == '@')
                ADVANCE(1009);
            END_STATE();
        case 1554:
            ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
            if(lookahead == '\\')
                ADVANCE(74);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(1561);
            END_STATE();
        case 1555:
            ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
            if(lookahead == '\\')
                ADVANCE(967);
            if(lookahead != 0 &&
               lookahead != '\n' &&
               lookahead != '>')
                ADVANCE(966);
            END_STATE();
        case 1556:
            ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(942);
            END_STATE();
        case 1557:
            ACCEPT_TOKEN(aux_sym_comment_token1);
            if(lookahead == '\n')
                ADVANCE(1560);
            if(lookahead == '\\')
                ADVANCE(74);
            if(lookahead != 0)
                ADVANCE(1561);
            END_STATE();
        case 1558:
            ACCEPT_TOKEN(aux_sym_comment_token1);
            if(lookahead == '\r')
                ADVANCE(1562);
            if(lookahead == '\\')
                ADVANCE(1558);
            if(lookahead != 0)
                ADVANCE(1561);
            END_STATE();
        case 1559:
            ACCEPT_TOKEN(aux_sym_comment_token1);
            if(lookahead == '*')
                ADVANCE(1565);
            if(lookahead == '/')
                ADVANCE(1554);
            if(lookahead == '\\')
                ADVANCE(74);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(1561);
            END_STATE();
        case 1560:
            ACCEPT_TOKEN(aux_sym_comment_token1);
            if(lookahead == '/')
                ADVANCE(1559);
            if(lookahead == '\\')
                ADVANCE(67);
            if(lookahead == '\t' ||
               (0x0b <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                ADVANCE(1560);
            if(lookahead != 0 &&
               (lookahead < '\t' || '\r' < lookahead))
                ADVANCE(1561);
            END_STATE();
        case 1561:
            ACCEPT_TOKEN(aux_sym_comment_token1);
            if(lookahead == '\\')
                ADVANCE(74);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(1561);
            END_STATE();
        case 1562:
            ACCEPT_TOKEN(aux_sym_comment_token1);
            if(lookahead == '\\')
                ADVANCE(74);
            if(lookahead != 0)
                ADVANCE(1561);
            END_STATE();
        case 1563:
            ACCEPT_TOKEN(anon_sym_SLASH_STAR);
            END_STATE();
        case 1564:
            ACCEPT_TOKEN(anon_sym_SLASH_STAR);
            if(lookahead == '*')
                ADVANCE(1568);
            if(lookahead != 0 &&
               lookahead != '/')
                ADVANCE(94);
            END_STATE();
        case 1565:
            ACCEPT_TOKEN(anon_sym_SLASH_STAR);
            if(lookahead == '\\')
                ADVANCE(74);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(1561);
            END_STATE();
        case 1566:
            ACCEPT_TOKEN(anon_sym_SLASH_STAR);
            if(lookahead == '\\')
                ADVANCE(967);
            if(lookahead != 0 &&
               lookahead != '\n' &&
               lookahead != '>')
                ADVANCE(966);
            END_STATE();
        case 1567:
            ACCEPT_TOKEN(anon_sym_SLASH_STAR);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(942);
            END_STATE();
        case 1568:
            ACCEPT_TOKEN(aux_sym_comment_token2);
            if(lookahead == '*')
                ADVANCE(1568);
            if(lookahead != 0 &&
               lookahead != '/')
                ADVANCE(94);
            END_STATE();
        default:
            return false;
    }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
    [0] = { .lex_state = 0 },
    [1] = { .lex_state = 815 },
    [2] = { .lex_state = 98 },
    [3] = { .lex_state = 98 },
    [4] = { .lex_state = 99 },
    [5] = { .lex_state = 98 },
    [6] = { .lex_state = 98 },
    [7] = { .lex_state = 98 },
    [8] = { .lex_state = 99 },
    [9] = { .lex_state = 99 },
    [10] = { .lex_state = 100 },
    [11] = { .lex_state = 100 },
    [12] = { .lex_state = 100 },
    [13] = { .lex_state = 100 },
    [14] = { .lex_state = 100 },
    [15] = { .lex_state = 100 },
    [16] = { .lex_state = 100 },
    [17] = { .lex_state = 100 },
    [18] = { .lex_state = 100 },
    [19] = { .lex_state = 100 },
    [20] = { .lex_state = 100 },
    [21] = { .lex_state = 100 },
    [22] = { .lex_state = 815 },
    [23] = { .lex_state = 815 },
    [24] = { .lex_state = 815 },
    [25] = { .lex_state = 815 },
    [26] = { .lex_state = 815 },
    [27] = { .lex_state = 815 },
    [28] = { .lex_state = 815 },
    [29] = { .lex_state = 815 },
    [30] = { .lex_state = 101 },
    [31] = { .lex_state = 814 },
    [32] = { .lex_state = 814 },
    [33] = { .lex_state = 102 },
    [34] = { .lex_state = 86 },
    [35] = { .lex_state = 86 },
    [36] = { .lex_state = 86 },
    [37] = { .lex_state = 86 },
    [38] = { .lex_state = 86 },
    [39] = { .lex_state = 86 },
    [40] = { .lex_state = 86 },
    [41] = { .lex_state = 86 },
    [42] = { .lex_state = 86 },
    [43] = { .lex_state = 86 },
    [44] = { .lex_state = 86 },
    [45] = { .lex_state = 83 },
    [46] = { .lex_state = 90 },
    [47] = { .lex_state = 90 },
    [48] = { .lex_state = 104 },
    [49] = { .lex_state = 86 },
    [50] = { .lex_state = 104 },
    [51] = { .lex_state = 104 },
    [52] = { .lex_state = 98 },
    [53] = { .lex_state = 98 },
    [54] = { .lex_state = 98 },
    [55] = { .lex_state = 98 },
    [56] = { .lex_state = 98 },
    [57] = { .lex_state = 98 },
    [58] = { .lex_state = 98 },
    [59] = { .lex_state = 105 },
    [60] = { .lex_state = 99 },
    [61] = { .lex_state = 99 },
    [62] = { .lex_state = 105 },
    [63] = { .lex_state = 99 },
    [64] = { .lex_state = 99 },
    [65] = { .lex_state = 109 },
    [66] = { .lex_state = 109 },
    [67] = { .lex_state = 106 },
    [68] = { .lex_state = 109 },
    [69] = { .lex_state = 106 },
    [70] = { .lex_state = 100 },
    [71] = { .lex_state = 106 },
    [72] = { .lex_state = 109 },
    [73] = { .lex_state = 106 },
    [74] = { .lex_state = 106 },
    [75] = { .lex_state = 109 },
    [76] = { .lex_state = 109 },
    [77] = { .lex_state = 109 },
    [78] = { .lex_state = 106 },
    [79] = { .lex_state = 106 },
    [80] = { .lex_state = 109 },
    [81] = { .lex_state = 106 },
    [82] = { .lex_state = 100 },
    [83] = { .lex_state = 106 },
    [84] = { .lex_state = 106 },
    [85] = { .lex_state = 110 },
    [86] = { .lex_state = 110 },
    [87] = { .lex_state = 101 },
    [88] = { .lex_state = 101 },
    [89] = { .lex_state = 101 },
    [90] = { .lex_state = 101 },
    [91] = { .lex_state = 86 },
    [92] = { .lex_state = 86 },
    [93] = { .lex_state = 86 },
    [94] = { .lex_state = 86 },
    [95] = { .lex_state = 86 },
    [96] = { .lex_state = 86 },
    [97] = { .lex_state = 86 },
    [98] = { .lex_state = 86 },
    [99] = { .lex_state = 86 },
    [100] = { .lex_state = 86 },
    [101] = { .lex_state = 86 },
    [102] = { .lex_state = 86 },
    [103] = { .lex_state = 86 },
    [104] = { .lex_state = 86 },
    [105] = { .lex_state = 86 },
    [106] = { .lex_state = 86 },
    [107] = { .lex_state = 86 },
    [108] = { .lex_state = 86 },
    [109] = { .lex_state = 86 },
    [110] = { .lex_state = 86 },
    [111] = { .lex_state = 86 },
    [112] = { .lex_state = 86 },
    [113] = { .lex_state = 86 },
    [114] = { .lex_state = 86 },
    [115] = { .lex_state = 86 },
    [116] = { .lex_state = 86 },
    [117] = { .lex_state = 86 },
    [118] = { .lex_state = 86 },
    [119] = { .lex_state = 86 },
    [120] = { .lex_state = 86 },
    [121] = { .lex_state = 86 },
    [122] = { .lex_state = 86 },
    [123] = { .lex_state = 86 },
    [124] = { .lex_state = 86 },
    [125] = { .lex_state = 86 },
    [126] = { .lex_state = 86 },
    [127] = { .lex_state = 86 },
    [128] = { .lex_state = 86 },
    [129] = { .lex_state = 86 },
    [130] = { .lex_state = 86 },
    [131] = { .lex_state = 104 },
    [132] = { .lex_state = 104 },
    [133] = { .lex_state = 86 },
    [134] = { .lex_state = 86 },
    [135] = { .lex_state = 86 },
    [136] = { .lex_state = 86 },
    [137] = { .lex_state = 86 },
    [138] = { .lex_state = 86 },
    [139] = { .lex_state = 104 },
    [140] = { .lex_state = 86 },
    [141] = { .lex_state = 86 },
    [142] = { .lex_state = 86 },
    [143] = { .lex_state = 86 },
    [144] = { .lex_state = 86 },
    [145] = { .lex_state = 104 },
    [146] = { .lex_state = 104 },
    [147] = { .lex_state = 86 },
    [148] = { .lex_state = 86 },
    [149] = { .lex_state = 86 },
    [150] = { .lex_state = 86 },
    [151] = { .lex_state = 815 },
    [152] = { .lex_state = 815 },
    [153] = { .lex_state = 111 },
    [154] = { .lex_state = 815 },
    [155] = { .lex_state = 815 },
    [156] = { .lex_state = 106 },
    [157] = { .lex_state = 815 },
    [158] = { .lex_state = 111 },
    [159] = { .lex_state = 815 },
    [160] = { .lex_state = 79 },
    [161] = { .lex_state = 79 },
    [162] = { .lex_state = 815 },
    [163] = { .lex_state = 815 },
    [164] = { .lex_state = 815 },
    [165] = { .lex_state = 79 },
    [166] = { .lex_state = 79 },
    [167] = { .lex_state = 79 },
    [168] = { .lex_state = 79 },
    [169] = { .lex_state = 815 },
    [170] = { .lex_state = 79 },
    [171] = { .lex_state = 79 },
    [172] = { .lex_state = 79 },
    [173] = { .lex_state = 79 },
    [174] = { .lex_state = 79 },
    [175] = { .lex_state = 79 },
    [176] = { .lex_state = 79 },
    [177] = { .lex_state = 79 },
    [178] = { .lex_state = 79 },
    [179] = { .lex_state = 79 },
    [180] = { .lex_state = 79 },
    [181] = { .lex_state = 76 },
    [182] = { .lex_state = 79 },
    [183] = { .lex_state = 79 },
    [184] = { .lex_state = 76 },
    [185] = { .lex_state = 76 },
    [186] = { .lex_state = 79 },
    [187] = { .lex_state = 79 },
    [188] = { .lex_state = 76 },
    [189] = { .lex_state = 79 },
    [190] = { .lex_state = 76 },
    [191] = { .lex_state = 76 },
    [192] = { .lex_state = 79 },
    [193] = { .lex_state = 84 },
    [194] = { .lex_state = 83 },
    [195] = { .lex_state = 77 },
    [196] = { .lex_state = 77 },
    [197] = { .lex_state = 77 },
    [198] = { .lex_state = 76 },
    [199] = { .lex_state = 77 },
    [200] = { .lex_state = 77 },
    [201] = { .lex_state = 77 },
    [202] = { .lex_state = 77 },
    [203] = { .lex_state = 77 },
    [204] = { .lex_state = 77 },
    [205] = { .lex_state = 77 },
    [206] = { .lex_state = 76 },
    [207] = { .lex_state = 77 },
    [208] = { .lex_state = 76 },
    [209] = { .lex_state = 77 },
    [210] = { .lex_state = 77 },
    [211] = { .lex_state = 77 },
    [212] = { .lex_state = 77 },
    [213] = { .lex_state = 77 },
    [214] = { .lex_state = 77 },
    [215] = { .lex_state = 76 },
    [216] = { .lex_state = 77 },
    [217] = { .lex_state = 76 },
    [218] = { .lex_state = 77 },
    [219] = { .lex_state = 76 },
    [220] = { .lex_state = 79 },
    [221] = { .lex_state = 77 },
    [222] = { .lex_state = 83 },
    [223] = { .lex_state = 77 },
    [224] = { .lex_state = 87 },
    [225] = { .lex_state = 83 },
    [226] = { .lex_state = 77 },
    [227] = { .lex_state = 77 },
    [228] = { .lex_state = 87 },
    [229] = { .lex_state = 87 },
    [230] = { .lex_state = 814 },
    [231] = { .lex_state = 76 },
    [232] = { .lex_state = 87 },
    [233] = { .lex_state = 814 },
    [234] = { .lex_state = 814 },
    [235] = { .lex_state = 76 },
    [236] = { .lex_state = 80 },
    [237] = { .lex_state = 814 },
    [238] = { .lex_state = 76 },
    [239] = { .lex_state = 87 },
    [240] = { .lex_state = 814 },
    [241] = { .lex_state = 76 },
    [242] = { .lex_state = 814 },
    [243] = { .lex_state = 814 },
    [244] = { .lex_state = 76 },
    [245] = { .lex_state = 814 },
    [246] = { .lex_state = 814 },
    [247] = { .lex_state = 814 },
    [248] = { .lex_state = 814 },
    [249] = { .lex_state = 814 },
    [250] = { .lex_state = 76 },
    [251] = { .lex_state = 76 },
    [252] = { .lex_state = 814 },
    [253] = { .lex_state = 814 },
    [254] = { .lex_state = 814 },
    [255] = { .lex_state = 814 },
    [256] = { .lex_state = 814 },
    [257] = { .lex_state = 87 },
    [258] = { .lex_state = 814 },
    [259] = { .lex_state = 79 },
    [260] = { .lex_state = 87 },
    [261] = { .lex_state = 87 },
    [262] = { .lex_state = 87 },
    [263] = { .lex_state = 87 },
    [264] = { .lex_state = 87 },
    [265] = { .lex_state = 78 },
    [266] = { .lex_state = 78 },
    [267] = { .lex_state = 87 },
    [268] = { .lex_state = 87 },
    [269] = { .lex_state = 87 },
    [270] = { .lex_state = 87 },
    [271] = { .lex_state = 87 },
    [272] = { .lex_state = 87 },
    [273] = { .lex_state = 87 },
    [274] = { .lex_state = 87 },
    [275] = { .lex_state = 89 },
    [276] = { .lex_state = 87 },
    [277] = { .lex_state = 87 },
    [278] = { .lex_state = 87 },
    [279] = { .lex_state = 87 },
    [280] = { .lex_state = 87 },
    [281] = { .lex_state = 89 },
    [282] = { .lex_state = 87 },
    [283] = { .lex_state = 87 },
    [284] = { .lex_state = 87 },
    [285] = { .lex_state = 87 },
    [286] = { .lex_state = 87 },
    [287] = { .lex_state = 87 },
    [288] = { .lex_state = 87 },
    [289] = { .lex_state = 87 },
    [290] = { .lex_state = 87 },
    [291] = { .lex_state = 87 },
    [292] = { .lex_state = 87 },
    [293] = { .lex_state = 87 },
    [294] = { .lex_state = 87 },
    [295] = { .lex_state = 88 },
    [296] = { .lex_state = 87 },
    [297] = { .lex_state = 87 },
    [298] = { .lex_state = 87 },
    [299] = { .lex_state = 76 },
    [300] = { .lex_state = 87 },
    [301] = { .lex_state = 87 },
    [302] = { .lex_state = 87 },
    [303] = { .lex_state = 87 },
    [304] = { .lex_state = 87 },
    [305] = { .lex_state = 87 },
    [306] = { .lex_state = 78 },
    [307] = { .lex_state = 78 },
    [308] = { .lex_state = 87 },
    [309] = { .lex_state = 88 },
    [310] = { .lex_state = 87 },
    [311] = { .lex_state = 87 },
    [312] = { .lex_state = 87 },
    [313] = { .lex_state = 87 },
    [314] = { .lex_state = 87 },
    [315] = { .lex_state = 76 },
    [316] = { .lex_state = 76 },
    [317] = { .lex_state = 76 },
    [318] = { .lex_state = 88 },
    [319] = { .lex_state = 76 },
    [320] = { .lex_state = 77 },
    [321] = { .lex_state = 76 },
    [322] = { .lex_state = 76 },
    [323] = { .lex_state = 81 },
    [324] = { .lex_state = 76 },
    [325] = { .lex_state = 76 },
    [326] = { .lex_state = 77 },
    [327] = { .lex_state = 76 },
    [328] = { .lex_state = 78 },
    [329] = { .lex_state = 76 },
    [330] = { .lex_state = 76 },
    [331] = { .lex_state = 76 },
    [332] = { .lex_state = 76 },
    [333] = { .lex_state = 107 },
    [334] = { .lex_state = 76 },
    [335] = { .lex_state = 49 },
    [336] = { .lex_state = 49 },
    [337] = { .lex_state = 49 },
    [338] = { .lex_state = 49 },
    [339] = { .lex_state = 49 },
    [340] = { .lex_state = 84 },
    [341] = { .lex_state = 88 },
    [342] = { .lex_state = 49 },
    [343] = { .lex_state = 84 },
    [344] = { .lex_state = 77 },
    [345] = { .lex_state = 88 },
    [346] = { .lex_state = 77 },
    [347] = { .lex_state = 49 },
    [348] = { .lex_state = 49 },
    [349] = { .lex_state = 76 },
    [350] = { .lex_state = 76 },
    [351] = { .lex_state = 49 },
    [352] = { .lex_state = 78 },
    [353] = { .lex_state = 77 },
    [354] = { .lex_state = 88 },
    [355] = { .lex_state = 77 },
    [356] = { .lex_state = 89 },
    [357] = { .lex_state = 89 },
    [358] = { .lex_state = 89 },
    [359] = { .lex_state = 89 },
    [360] = { .lex_state = 76 },
    [361] = { .lex_state = 76 },
    [362] = { .lex_state = 84 },
    [363] = { .lex_state = 112 },
    [364] = { .lex_state = 89 },
    [365] = { .lex_state = 89 },
    [366] = { .lex_state = 89 },
    [367] = { .lex_state = 49 },
    [368] = { .lex_state = 89 },
    [369] = { .lex_state = 89 },
    [370] = { .lex_state = 49 },
    [371] = { .lex_state = 89 },
    [372] = { .lex_state = 76 },
    [373] = { .lex_state = 49 },
    [374] = { .lex_state = 108 },
    [375] = { .lex_state = 49 },
    [376] = { .lex_state = 84 },
    [377] = { .lex_state = 89 },
    [378] = { .lex_state = 76 },
    [379] = { .lex_state = 84 },
    [380] = { .lex_state = 76 },
    [381] = { .lex_state = 108 },
    [382] = { .lex_state = 76 },
    [383] = { .lex_state = 88 },
    [384] = { .lex_state = 84 },
    [385] = { .lex_state = 88 },
    [386] = { .lex_state = 84 },
    [387] = { .lex_state = 88 },
    [388] = { .lex_state = 89 },
    [389] = { .lex_state = 76 },
    [390] = { .lex_state = 76 },
    [391] = { .lex_state = 89 },
    [392] = { .lex_state = 814 },
    [393] = { .lex_state = 54 },
    [394] = { .lex_state = 814 },
    [395] = { .lex_state = 54 },
    [396] = { .lex_state = 84 },
    [397] = { .lex_state = 54 },
    [398] = { .lex_state = 84 },
    [399] = { .lex_state = 76 },
    [400] = { .lex_state = 54 },
    [401] = { .lex_state = 54 },
    [402] = { .lex_state = 89 },
    [403] = { .lex_state = 84 },
    [404] = { .lex_state = 76 },
    [405] = { .lex_state = 76 },
    [406] = { .lex_state = 814 },
    [407] = { .lex_state = 76 },
    [408] = { .lex_state = 84 },
    [409] = { .lex_state = 84 },
    [410] = { .lex_state = 77 },
    [411] = { .lex_state = 76 },
    [412] = { .lex_state = 84 },
    [413] = { .lex_state = 814 },
    [414] = { .lex_state = 88 },
    [415] = { .lex_state = 76 },
    [416] = { .lex_state = 88 },
    [417] = { .lex_state = 84 },
    [418] = { .lex_state = 77 },
    [419] = { .lex_state = 814 },
    [420] = { .lex_state = 88 },
    [421] = { .lex_state = 76 },
    [422] = { .lex_state = 54 },
    [423] = { .lex_state = 88 },
    [424] = { .lex_state = 88 },
    [425] = { .lex_state = 84 },
    [426] = { .lex_state = 88 },
    [427] = { .lex_state = 88 },
    [428] = { .lex_state = 814 },
    [429] = { .lex_state = 88 },
    [430] = { .lex_state = 77 },
    [431] = { .lex_state = 76 },
    [432] = { .lex_state = 77 },
    [433] = { .lex_state = 113 },
    [434] = { .lex_state = 88 },
    [435] = { .lex_state = 84 },
    [436] = { .lex_state = 76 },
    [437] = { .lex_state = 54 },
    [438] = { .lex_state = 76 },
    [439] = { .lex_state = 54 },
    [440] = { .lex_state = 814 },
    [441] = { .lex_state = 58 },
    [442] = { .lex_state = 89 },
    [443] = { .lex_state = 58 },
    [444] = { .lex_state = 76 },
    [445] = { .lex_state = 76 },
    [446] = { .lex_state = 84 },
    [447] = { .lex_state = 814 },
    [448] = { .lex_state = 89 },
    [449] = { .lex_state = 76 },
    [450] = { .lex_state = 84 },
    [451] = { .lex_state = 76 },
    [452] = { .lex_state = 76 },
    [453] = { .lex_state = 89 },
    [454] = { .lex_state = 89 },
    [455] = { .lex_state = 89 },
    [456] = { .lex_state = 814 },
    [457] = { .lex_state = 89 },
    [458] = { .lex_state = 76 },
    [459] = { .lex_state = 89 },
    [460] = { .lex_state = 814 },
    [461] = { .lex_state = 814 },
    [462] = { .lex_state = 76 },
    [463] = { .lex_state = 84 },
    [464] = { .lex_state = 76 },
    [465] = { .lex_state = 54 },
    [466] = { .lex_state = 76 },
    [467] = { .lex_state = 84 },
    [468] = { .lex_state = 89 },
    [469] = { .lex_state = 49 },
    [470] = { .lex_state = 76 },
    [471] = { .lex_state = 814 },
    [472] = { .lex_state = 49 },
    [473] = { .lex_state = 89 },
    [474] = { .lex_state = 77 },
    [475] = { .lex_state = 76 },
    [476] = { .lex_state = 49 },
    [477] = { .lex_state = 49 },
    [478] = { .lex_state = 49 },
    [479] = { .lex_state = 76 },
    [480] = { .lex_state = 76 },
    [481] = { .lex_state = 89 },
    [482] = { .lex_state = 49 },
    [483] = { .lex_state = 49 },
    [484] = { .lex_state = 76 },
    [485] = { .lex_state = 76 },
    [486] = { .lex_state = 89 },
    [487] = { .lex_state = 76 },
    [488] = { .lex_state = 76 },
    [489] = { .lex_state = 49 },
    [490] = { .lex_state = 49 },
    [491] = { .lex_state = 58 },
    [492] = { .lex_state = 49 },
    [493] = { .lex_state = 814 },
    [494] = { .lex_state = 49 },
    [495] = { .lex_state = 49 },
    [496] = { .lex_state = 84 },
    [497] = { .lex_state = 49 },
    [498] = { .lex_state = 76 },
    [499] = { .lex_state = 84 },
    [500] = { .lex_state = 814 },
    [501] = { .lex_state = 814 },
    [502] = { .lex_state = 814 },
    [503] = { .lex_state = 76 },
    [504] = { .lex_state = 49 },
    [505] = { .lex_state = 814 },
    [506] = { .lex_state = 49 },
    [507] = { .lex_state = 814 },
    [508] = { .lex_state = 58 },
    [509] = { .lex_state = 58 },
    [510] = { .lex_state = 49 },
    [511] = { .lex_state = 49 },
    [512] = { .lex_state = 49 },
    [513] = { .lex_state = 49 },
    [514] = { .lex_state = 49 },
    [515] = { .lex_state = 49 },
    [516] = { .lex_state = 88 },
    [517] = { .lex_state = 814 },
    [518] = { .lex_state = 49 },
    [519] = { .lex_state = 49 },
    [520] = { .lex_state = 49 },
    [521] = { .lex_state = 814 },
    [522] = { .lex_state = 49 },
    [523] = { .lex_state = 84 },
    [524] = { .lex_state = 814 },
    [525] = { .lex_state = 49 },
    [526] = { .lex_state = 49 },
    [527] = { .lex_state = 49 },
    [528] = { .lex_state = 49 },
    [529] = { .lex_state = 84 },
    [530] = { .lex_state = 814 },
    [531] = { .lex_state = 76 },
    [532] = { .lex_state = 49 },
    [533] = { .lex_state = 76 },
    [534] = { .lex_state = 814 },
    [535] = { .lex_state = 814 },
    [536] = { .lex_state = 49 },
    [537] = { .lex_state = 49 },
    [538] = { .lex_state = 814 },
    [539] = { .lex_state = 814 },
    [540] = { .lex_state = 49 },
    [541] = { .lex_state = 49 },
    [542] = { .lex_state = 814 },
    [543] = { .lex_state = 49 },
    [544] = { .lex_state = 814 },
    [545] = { .lex_state = 814 },
    [546] = { .lex_state = 76 },
    [547] = { .lex_state = 49 },
    [548] = { .lex_state = 814 },
    [549] = { .lex_state = 814 },
    [550] = { .lex_state = 814 },
    [551] = { .lex_state = 49 },
    [552] = { .lex_state = 49 },
    [553] = { .lex_state = 814 },
    [554] = { .lex_state = 76 },
    [555] = { .lex_state = 814 },
    [556] = { .lex_state = 49 },
    [557] = { .lex_state = 49 },
    [558] = { .lex_state = 49 },
    [559] = { .lex_state = 49 },
    [560] = { .lex_state = 814 },
    [561] = { .lex_state = 814 },
    [562] = { .lex_state = 814 },
    [563] = { .lex_state = 49 },
    [564] = { .lex_state = 814 },
    [565] = { .lex_state = 814 },
    [566] = { .lex_state = 49 },
    [567] = { .lex_state = 814 },
    [568] = { .lex_state = 49 },
    [569] = { .lex_state = 76 },
    [570] = { .lex_state = 814 },
    [571] = { .lex_state = 814 },
    [572] = { .lex_state = 814 },
    [573] = { .lex_state = 114 },
    [574] = { .lex_state = 76 },
    [575] = { .lex_state = 814 },
    [576] = { .lex_state = 814 },
    [577] = { .lex_state = 76 },
    [578] = { .lex_state = 814 },
    [579] = { .lex_state = 814 },
    [580] = { .lex_state = 84 },
    [581] = { .lex_state = 814 },
    [582] = { .lex_state = 84 },
    [583] = { .lex_state = 58 },
    [584] = { .lex_state = 76 },
    [585] = { .lex_state = 84 },
    [586] = { .lex_state = 84 },
    [587] = { .lex_state = 814 },
    [588] = { .lex_state = 84 },
    [589] = { .lex_state = 88 },
    [590] = { .lex_state = 84 },
    [591] = { .lex_state = 77 },
    [592] = { .lex_state = 814 },
    [593] = { .lex_state = 84 },
    [594] = { .lex_state = 814 },
    [595] = { .lex_state = 814 },
    [596] = { .lex_state = 814 },
    [597] = { .lex_state = 77 },
    [598] = { .lex_state = 88 },
    [599] = { .lex_state = 814 },
    [600] = { .lex_state = 88 },
    [601] = { .lex_state = 814 },
    [602] = { .lex_state = 814 },
    [603] = { .lex_state = 814 },
    [604] = { .lex_state = 88 },
    [605] = { .lex_state = 84 },
    [606] = { .lex_state = 814 },
    [607] = { .lex_state = 88 },
    [608] = { .lex_state = 814 },
    [609] = { .lex_state = 88 },
    [610] = { .lex_state = 84 },
    [611] = { .lex_state = 814 },
    [612] = { .lex_state = 84 },
    [613] = { .lex_state = 76 },
    [614] = { .lex_state = 84 },
    [615] = { .lex_state = 814 },
    [616] = { .lex_state = 84 },
    [617] = { .lex_state = 88 },
    [618] = { .lex_state = 88 },
    [619] = { .lex_state = 54 },
    [620] = { .lex_state = 814 },
    [621] = { .lex_state = 76 },
    [622] = { .lex_state = 814 },
    [623] = { .lex_state = 814 },
    [624] = { .lex_state = 814 },
    [625] = { .lex_state = 88 },
    [626] = { .lex_state = 814 },
    [627] = { .lex_state = 814 },
    [628] = { .lex_state = 84 },
    [629] = { .lex_state = 88 },
    [630] = { .lex_state = 88 },
    [631] = { .lex_state = 88 },
    [632] = { .lex_state = 76 },
    [633] = { .lex_state = 814 },
    [634] = { .lex_state = 84 },
    [635] = { .lex_state = 84 },
    [636] = { .lex_state = 76 },
    [637] = { .lex_state = 88 },
    [638] = { .lex_state = 88 },
    [639] = { .lex_state = 814 },
    [640] = { .lex_state = 76 },
    [641] = { .lex_state = 814 },
    [642] = { .lex_state = 76 },
    [643] = { .lex_state = 88 },
    [644] = { .lex_state = 814 },
    [645] = { .lex_state = 88 },
    [646] = { .lex_state = 88 },
    [647] = { .lex_state = 88 },
    [648] = { .lex_state = 88 },
    [649] = { .lex_state = 88 },
    [650] = { .lex_state = 88 },
    [651] = { .lex_state = 84 },
    [652] = { .lex_state = 88 },
    [653] = { .lex_state = 76 },
    [654] = { .lex_state = 814 },
    [655] = { .lex_state = 814 },
    [656] = { .lex_state = 814 },
    [657] = { .lex_state = 814 },
    [658] = { .lex_state = 814 },
    [659] = { .lex_state = 814 },
    [660] = { .lex_state = 814 },
    [661] = { .lex_state = 814 },
    [662] = { .lex_state = 84 },
    [663] = { .lex_state = 84 },
    [664] = { .lex_state = 76 },
    [665] = { .lex_state = 814 },
    [666] = { .lex_state = 88 },
    [667] = { .lex_state = 814 },
    [668] = { .lex_state = 76 },
    [669] = { .lex_state = 84 },
    [670] = { .lex_state = 814 },
    [671] = { .lex_state = 84 },
    [672] = { .lex_state = 814 },
    [673] = { .lex_state = 84 },
    [674] = { .lex_state = 88 },
    [675] = { .lex_state = 88 },
    [676] = { .lex_state = 88 },
    [677] = { .lex_state = 814 },
    [678] = { .lex_state = 88 },
    [679] = { .lex_state = 84 },
    [680] = { .lex_state = 814 },
    [681] = { .lex_state = 88 },
    [682] = { .lex_state = 88 },
    [683] = { .lex_state = 84 },
    [684] = { .lex_state = 88 },
    [685] = { .lex_state = 814 },
    [686] = { .lex_state = 814 },
    [687] = { .lex_state = 88 },
    [688] = { .lex_state = 814 },
    [689] = { .lex_state = 84 },
    [690] = { .lex_state = 814 },
    [691] = { .lex_state = 84 },
    [692] = { .lex_state = 76 },
    [693] = { .lex_state = 76 },
    [694] = { .lex_state = 814 },
    [695] = { .lex_state = 88 },
    [696] = { .lex_state = 814 },
    [697] = { .lex_state = 814 },
    [698] = { .lex_state = 88 },
    [699] = { .lex_state = 814 },
    [700] = { .lex_state = 814 },
    [701] = { .lex_state = 814 },
    [702] = { .lex_state = 814 },
    [703] = { .lex_state = 814 },
    [704] = { .lex_state = 814 },
    [705] = { .lex_state = 76 },
    [706] = { .lex_state = 76 },
    [707] = { .lex_state = 814 },
    [708] = { .lex_state = 814 },
    [709] = { .lex_state = 76 },
    [710] = { .lex_state = 814 },
    [711] = { .lex_state = 814 },
    [712] = { .lex_state = 76 },
    [713] = { .lex_state = 814 },
    [714] = { .lex_state = 814 },
    [715] = { .lex_state = 76 },
    [716] = { .lex_state = 88 },
    [717] = { .lex_state = 814 },
    [718] = { .lex_state = 88 },
    [719] = { .lex_state = 814 },
    [720] = { .lex_state = 814 },
    [721] = { .lex_state = 76 },
    [722] = { .lex_state = 84 },
    [723] = { .lex_state = 109 },
    [724] = { .lex_state = 109 },
    [725] = { .lex_state = 84 },
    [726] = { .lex_state = 109 },
    [727] = { .lex_state = 61 },
    [728] = { .lex_state = 109 },
    [729] = { .lex_state = 84 },
    [730] = { .lex_state = 76 },
    [731] = { .lex_state = 84 },
    [732] = { .lex_state = 84 },
    [733] = { .lex_state = 109 },
    [734] = { .lex_state = 84 },
    [735] = { .lex_state = 84 },
    [736] = { .lex_state = 84 },
    [737] = { .lex_state = 84 },
    [738] = { .lex_state = 109 },
    [739] = { .lex_state = 77 },
    [740] = { .lex_state = 814 },
    [741] = { .lex_state = 84 },
    [742] = { .lex_state = 814 },
    [743] = { .lex_state = 814 },
    [744] = { .lex_state = 814 },
    [745] = { .lex_state = 84 },
    [746] = { .lex_state = 814 },
    [747] = { .lex_state = 814 },
    [748] = { .lex_state = 84 },
    [749] = { .lex_state = 109 },
    [750] = { .lex_state = 814 },
    [751] = { .lex_state = 814 },
    [752] = { .lex_state = 814 },
    [753] = { .lex_state = 77 },
    [754] = { .lex_state = 84 },
    [755] = { .lex_state = 814 },
    [756] = { .lex_state = 84 },
    [757] = { .lex_state = 84 },
    [758] = { .lex_state = 814 },
    [759] = { .lex_state = 814 },
    [760] = { .lex_state = 76 },
    [761] = { .lex_state = 814 },
    [762] = { .lex_state = 84 },
    [763] = { .lex_state = 84 },
    [764] = { .lex_state = 76 },
    [765] = { .lex_state = 84 },
    [766] = { .lex_state = 814 },
    [767] = { .lex_state = 814 },
    [768] = { .lex_state = 814 },
    [769] = { .lex_state = 84 },
    [770] = { .lex_state = 814 },
    [771] = { .lex_state = 76 },
    [772] = { .lex_state = 814 },
    [773] = { .lex_state = 814 },
    [774] = { .lex_state = 814 },
    [775] = { .lex_state = 814 },
    [776] = { .lex_state = 84 },
    [777] = { .lex_state = 84 },
    [778] = { .lex_state = 84 },
    [779] = { .lex_state = 84 },
    [780] = { .lex_state = 814 },
    [781] = { .lex_state = 77 },
    [782] = { .lex_state = 84 },
    [783] = { .lex_state = 84 },
    [784] = { .lex_state = 814 },
    [785] = { .lex_state = 84 },
    [786] = { .lex_state = 814 },
    [787] = { .lex_state = 77 },
    [788] = { .lex_state = 84 },
    [789] = { .lex_state = 84 },
    [790] = { .lex_state = 84 },
    [791] = { .lex_state = 84 },
    [792] = { .lex_state = 84 },
    [793] = { .lex_state = 84 },
    [794] = { .lex_state = 84 },
    [795] = { .lex_state = 814 },
    [796] = { .lex_state = 84 },
    [797] = { .lex_state = 76 },
    [798] = { .lex_state = 84 },
    [799] = { .lex_state = 84 },
    [800] = { .lex_state = 84 },
    [801] = { .lex_state = 814 },
    [802] = { .lex_state = 76 },
    [803] = { .lex_state = 84 },
    [804] = { .lex_state = 814 },
    [805] = { .lex_state = 814 },
    [806] = { .lex_state = 76 },
    [807] = { .lex_state = 84 },
    [808] = { .lex_state = 89 },
    [809] = { .lex_state = 814 },
    [810] = { .lex_state = 76 },
    [811] = { .lex_state = 814 },
    [812] = { .lex_state = 84 },
    [813] = { .lex_state = 84 },
    [814] = { .lex_state = 76 },
    [815] = { .lex_state = 76 },
    [816] = { .lex_state = 814 },
    [817] = { .lex_state = 84 },
    [818] = { .lex_state = 76 },
    [819] = { .lex_state = 77 },
    [820] = { .lex_state = 84 },
    [821] = { .lex_state = 814 },
    [822] = { .lex_state = 814 },
    [823] = { .lex_state = 814 },
    [824] = { .lex_state = 76 },
    [825] = { .lex_state = 814 },
    [826] = { .lex_state = 814 },
    [827] = { .lex_state = 814 },
    [828] = { .lex_state = 76 },
    [829] = { .lex_state = 814 },
    [830] = { .lex_state = 84 },
    [831] = { .lex_state = 814 },
    [832] = { .lex_state = 814 },
    [833] = { .lex_state = 814 },
    [834] = { .lex_state = 84 },
    [835] = { .lex_state = 814 },
    [836] = { .lex_state = 109 },
    [837] = { .lex_state = 84 },
    [838] = { .lex_state = 84 },
    [839] = { .lex_state = 814 },
    [840] = { .lex_state = 84 },
    [841] = { .lex_state = 814 },
    [842] = { .lex_state = 814 },
    [843] = { .lex_state = 814 },
    [844] = { .lex_state = 814 },
    [845] = { .lex_state = 814 },
    [846] = { .lex_state = 814 },
    [847] = { .lex_state = 77 },
    [848] = { .lex_state = 814 },
    [849] = { .lex_state = 814 },
    [850] = { .lex_state = 814 },
    [851] = { .lex_state = 77 },
    [852] = { .lex_state = 814 },
    [853] = { .lex_state = 814 },
    [854] = { .lex_state = 814 },
    [855] = { .lex_state = 814 },
    [856] = { .lex_state = 84 },
    [857] = { .lex_state = 814 },
    [858] = { .lex_state = 814 },
    [859] = { .lex_state = 84 },
    [860] = { .lex_state = 814 },
    [861] = { .lex_state = 814 },
    [862] = { .lex_state = 814 },
    [863] = { .lex_state = 814 },
    [864] = { .lex_state = 814 },
    [865] = { .lex_state = 814 },
    [866] = { .lex_state = 84 },
    [867] = { .lex_state = 814 },
    [868] = { .lex_state = 814 },
    [869] = { .lex_state = 84 },
    [870] = { .lex_state = 814 },
    [871] = { .lex_state = 84 },
    [872] = { .lex_state = 814 },
    [873] = { .lex_state = 814 },
    [874] = { .lex_state = 814 },
    [875] = { .lex_state = 814 },
    [876] = { .lex_state = 814 },
    [877] = { .lex_state = 814 },
    [878] = { .lex_state = 814 },
    [879] = { .lex_state = 814 },
    [880] = { .lex_state = 814 },
    [881] = { .lex_state = 814 },
    [882] = { .lex_state = 814 },
    [883] = { .lex_state = 814 },
    [884] = { .lex_state = 814 },
    [885] = { .lex_state = 814 },
    [886] = { .lex_state = 814 },
    [887] = { .lex_state = 62 },
    [888] = { .lex_state = 814 },
    [889] = { .lex_state = 814 },
    [890] = { .lex_state = 814 },
    [891] = { .lex_state = 814 },
    [892] = { .lex_state = 814 },
    [893] = { .lex_state = 814 },
    [894] = { .lex_state = 814 },
    [895] = { .lex_state = 814 },
    [896] = { .lex_state = 814 },
    [897] = { .lex_state = 814 },
    [898] = { .lex_state = 814 },
    [899] = { .lex_state = 814 },
    [900] = { .lex_state = 84 },
    [901] = { .lex_state = 84 },
    [902] = { .lex_state = 814 },
    [903] = { .lex_state = 84 },
    [904] = { .lex_state = 814 },
    [905] = { .lex_state = 814 },
    [906] = { .lex_state = 814 },
    [907] = { .lex_state = 814 },
    [908] = { .lex_state = 814 },
    [909] = { .lex_state = 814 },
    [910] = { .lex_state = 84 },
    [911] = { .lex_state = 814 },
    [912] = { .lex_state = 814 },
    [913] = { .lex_state = 814 },
    [914] = { .lex_state = 76 },
    [915] = { .lex_state = 814 },
    [916] = { .lex_state = 814 },
    [917] = { .lex_state = 814 },
    [918] = { .lex_state = 814 },
    [919] = { .lex_state = 814 },
    [920] = { .lex_state = 814 },
    [921] = { .lex_state = 814 },
    [922] = { .lex_state = 814 },
    [923] = { .lex_state = 814 },
    [924] = { .lex_state = 814 },
    [925] = { .lex_state = 814 },
    [926] = { .lex_state = 814 },
    [927] = { .lex_state = 814 },
    [928] = { .lex_state = 814 },
    [929] = { .lex_state = 814 },
    [930] = { .lex_state = 814 },
    [931] = { .lex_state = 814 },
    [932] = { .lex_state = 84 },
    [933] = { .lex_state = 814 },
    [934] = { .lex_state = 84 },
    [935] = { .lex_state = 814 },
    [936] = { .lex_state = 814 },
    [937] = { .lex_state = 814 },
    [938] = { .lex_state = 814 },
    [939] = { .lex_state = 814 },
    [940] = { .lex_state = 814 },
    [941] = { .lex_state = 814 },
    [942] = { .lex_state = 814 },
    [943] = { .lex_state = 814 },
    [944] = { .lex_state = 814 },
    [945] = { .lex_state = 814 },
    [946] = { .lex_state = 814 },
    [947] = { .lex_state = 814 },
    [948] = { .lex_state = 814 },
    [949] = { .lex_state = 814 },
    [950] = { .lex_state = 814 },
    [951] = { .lex_state = 814 },
    [952] = { .lex_state = 814 },
    [953] = { .lex_state = 814 },
    [954] = { .lex_state = 814 },
    [955] = { .lex_state = 814 },
    [956] = { .lex_state = 814 },
    [957] = { .lex_state = 814 },
    [958] = { .lex_state = 814 },
    [959] = { .lex_state = 814 },
    [960] = { .lex_state = 814 },
    [961] = { .lex_state = 84 },
    [962] = { .lex_state = 814 },
    [963] = { .lex_state = 814 },
    [964] = { .lex_state = 814 },
    [965] = { .lex_state = 814 },
    [966] = { .lex_state = 814 },
    [967] = { .lex_state = 814 },
    [968] = { .lex_state = 84 },
    [969] = { .lex_state = 814 },
    [970] = { .lex_state = 814 },
    [971] = { .lex_state = 814 },
    [972] = { .lex_state = 84 },
    [973] = { .lex_state = 814 },
    [974] = { .lex_state = 814 },
    [975] = { .lex_state = 814 },
    [976] = { .lex_state = 814 },
    [977] = { .lex_state = 814 },
    [978] = { .lex_state = 814 },
    [979] = { .lex_state = 814 },
    [980] = { .lex_state = 814 },
    [981] = { .lex_state = 62 },
    [982] = { .lex_state = 62 },
    [983] = { .lex_state = 76 },
    [984] = { .lex_state = 814 },
    [985] = { .lex_state = 814 },
    [986] = { .lex_state = 814 },
    [987] = { .lex_state = 814 },
    [988] = { .lex_state = 814 },
    [989] = { .lex_state = 814 },
    [990] = { .lex_state = 814 },
    [991] = { .lex_state = 84 },
    [992] = { .lex_state = 814 },
    [993] = { .lex_state = 814 },
    [994] = { .lex_state = 814 },
    [995] = { .lex_state = 814 },
    [996] = { .lex_state = 814 },
    [997] = { .lex_state = 814 },
    [998] = { .lex_state = 84 },
    [999] = { .lex_state = 814 },
    [1000] = { .lex_state = 814 },
    [1001] = { .lex_state = 814 },
    [1002] = { .lex_state = 814 },
    [1003] = { .lex_state = 814 },
    [1004] = { .lex_state = 814 },
    [1005] = { .lex_state = 814 },
    [1006] = { .lex_state = 76 },
    [1007] = { .lex_state = 76 },
    [1008] = { .lex_state = 76 },
    [1009] = { .lex_state = 84 },
    [1010] = { .lex_state = 76 },
    [1011] = { .lex_state = 814 },
    [1012] = { .lex_state = 814 },
    [1013] = { .lex_state = 814 },
    [1014] = { .lex_state = 76 },
    [1015] = { .lex_state = 814 },
    [1016] = { .lex_state = 814 },
    [1017] = { .lex_state = 814 },
    [1018] = { .lex_state = 814 },
    [1019] = { .lex_state = 814 },
    [1020] = { .lex_state = 814 },
    [1021] = { .lex_state = 814 },
    [1022] = { .lex_state = 814 },
    [1023] = { .lex_state = 814 },
    [1024] = { .lex_state = 84 },
    [1025] = { .lex_state = 814 },
    [1026] = { .lex_state = 814 },
    [1027] = { .lex_state = 814 },
    [1028] = { .lex_state = 814 },
    [1029] = { .lex_state = 62 },
    [1030] = { .lex_state = 814 },
    [1031] = { .lex_state = 814 },
    [1032] = { .lex_state = 814 },
    [1033] = { .lex_state = 84 },
    [1034] = { .lex_state = 84 },
    [1035] = { .lex_state = 84 },
    [1036] = { .lex_state = 84 },
    [1037] = { .lex_state = 84 },
    [1038] = { .lex_state = 814 },
    [1039] = { .lex_state = 84 },
    [1040] = { .lex_state = 814 },
    [1041] = { .lex_state = 814 },
    [1042] = { .lex_state = 814 },
    [1043] = { .lex_state = 814 },
    [1044] = { .lex_state = 814 },
    [1045] = { .lex_state = 84 },
    [1046] = { .lex_state = 814 },
    [1047] = { .lex_state = 814 },
    [1048] = { .lex_state = 814 },
    [1049] = { .lex_state = 84 },
    [1050] = { .lex_state = 84 },
    [1051] = { .lex_state = 814 },
    [1052] = { .lex_state = 814 },
    [1053] = { .lex_state = 814 },
    [1054] = { .lex_state = 814 },
    [1055] = { .lex_state = 814 },
    [1056] = { .lex_state = 814 },
    [1057] = { .lex_state = 814 },
    [1058] = { .lex_state = 814 },
    [1059] = { .lex_state = 814 },
    [1060] = { .lex_state = 814 },
    [1061] = { .lex_state = 814 },
    [1062] = { .lex_state = 814 },
    [1063] = { .lex_state = 814 },
    [1064] = { .lex_state = 814 },
    [1065] = { .lex_state = 814 },
    [1066] = { .lex_state = 814 },
    [1067] = { .lex_state = 814 },
    [1068] = { .lex_state = 814 },
    [1069] = { .lex_state = 814 },
    [1070] = { .lex_state = 814 },
    [1071] = { .lex_state = 84 },
    [1072] = { .lex_state = 814 },
    [1073] = { .lex_state = 814 },
    [1074] = { .lex_state = 814 },
    [1075] = { .lex_state = 814 },
    [1076] = { .lex_state = 814 },
    [1077] = { .lex_state = 814 },
    [1078] = { .lex_state = 84 },
    [1079] = { .lex_state = 84 },
    [1080] = { .lex_state = 84 },
    [1081] = { .lex_state = 814 },
    [1082] = { .lex_state = 814 },
    [1083] = { .lex_state = 84 },
    [1084] = { .lex_state = 814 },
    [1085] = { .lex_state = 814 },
    [1086] = { .lex_state = 814 },
    [1087] = { .lex_state = 814 },
    [1088] = { .lex_state = 814 },
    [1089] = { .lex_state = 814 },
    [1090] = { .lex_state = 814 },
    [1091] = { .lex_state = 814 },
    [1092] = { .lex_state = 814 },
    [1093] = { .lex_state = 814 },
    [1094] = { .lex_state = 814 },
    [1095] = { .lex_state = 814 },
    [1096] = { .lex_state = 814 },
    [1097] = { .lex_state = 814 },
    [1098] = { .lex_state = 814 },
    [1099] = { .lex_state = 814 },
    [1100] = { .lex_state = 814 },
    [1101] = { .lex_state = 814 },
    [1102] = { .lex_state = 814 },
    [1103] = { .lex_state = 814 },
    [1104] = { .lex_state = 814 },
    [1105] = { .lex_state = 814 },
    [1106] = { .lex_state = 814 },
    [1107] = { .lex_state = 814 },
    [1108] = { .lex_state = 814 },
    [1109] = { .lex_state = 814 },
    [1110] = { .lex_state = 814 },
    [1111] = { .lex_state = 1560 },
    [1112] = { .lex_state = 84 },
    [1113] = { .lex_state = 814 },
    [1114] = { .lex_state = 814 },
    [1115] = { .lex_state = 814 },
    [1116] = { .lex_state = 84 },
    [1117] = { .lex_state = 814 },
    [1118] = { .lex_state = 814 },
    [1119] = { .lex_state = 814 },
    [1120] = { .lex_state = 814 },
    [1121] = { .lex_state = 814 },
    [1122] = { .lex_state = 814 },
    [1123] = { .lex_state = 814 },
    [1124] = { .lex_state = 814 },
    [1125] = { .lex_state = 814 },
    [1126] = { .lex_state = 814 },
    [1127] = { .lex_state = 814 },
    [1128] = { .lex_state = 814 },
    [1129] = { .lex_state = 814 },
    [1130] = { .lex_state = 814 },
    [1131] = { .lex_state = 814 },
    [1132] = { .lex_state = 814 },
    [1133] = { .lex_state = 814 },
    [1134] = { .lex_state = 814 },
    [1135] = { .lex_state = 814 },
    [1136] = { .lex_state = 814 },
    [1137] = { .lex_state = 814 },
    [1138] = { .lex_state = 814 },
    [1139] = { .lex_state = 814 },
    [1140] = { .lex_state = 814 },
    [1141] = { .lex_state = 814 },
    [1142] = { .lex_state = 84 },
    [1143] = { .lex_state = 84 },
    [1144] = { .lex_state = 84 },
    [1145] = { .lex_state = 814 },
    [1146] = { .lex_state = 814 },
    [1147] = { .lex_state = 814 },
    [1148] = { .lex_state = 814 },
    [1149] = { .lex_state = 814 },
    [1150] = { .lex_state = 814 },
    [1151] = { .lex_state = 814 },
    [1152] = { .lex_state = 84 },
    [1153] = { .lex_state = 814 },
    [1154] = { .lex_state = 814 },
    [1155] = { .lex_state = 814 },
    [1156] = { .lex_state = 84 },
    [1157] = { .lex_state = 814 },
    [1158] = { .lex_state = 84 },
    [1159] = { .lex_state = 84 },
    [1160] = { .lex_state = 814 },
    [1161] = { .lex_state = 62 },
    [1162] = { .lex_state = 814 },
    [1163] = { .lex_state = 965 },
    [1164] = { .lex_state = 62 },
    [1165] = { .lex_state = 814 },
    [1166] = { .lex_state = 814 },
    [1167] = { .lex_state = 814 },
    [1168] = { .lex_state = 814 },
    [1169] = { .lex_state = 814 },
    [1170] = { .lex_state = 814 },
    [1171] = { .lex_state = 814 },
    [1172] = { .lex_state = 814 },
    [1173] = { .lex_state = 814 },
    [1174] = { .lex_state = 814 },
    [1175] = { .lex_state = 814 },
    [1176] = { .lex_state = 814 },
    [1177] = { .lex_state = 814 },
    [1178] = { .lex_state = 814 },
    [1179] = { .lex_state = 76 },
    [1180] = { .lex_state = 814 },
    [1181] = { .lex_state = 814 },
    [1182] = { .lex_state = 814 },
    [1183] = { .lex_state = 84 },
    [1184] = { .lex_state = 814 },
    [1185] = { .lex_state = 814 },
    [1186] = { .lex_state = 814 },
    [1187] = { .lex_state = 814 },
    [1188] = { .lex_state = 84 },
    [1189] = { .lex_state = 814 },
    [1190] = { .lex_state = 814 },
    [1191] = { .lex_state = 814 },
    [1192] = { .lex_state = 814 },
    [1193] = { .lex_state = 84 },
    [1194] = { .lex_state = 84 },
    [1195] = { .lex_state = 84 },
    [1196] = { .lex_state = 814 },
    [1197] = { .lex_state = 814 },
    [1198] = { .lex_state = 84 },
    [1199] = { .lex_state = 76 },
    [1200] = { .lex_state = 814 },
    [1201] = { .lex_state = 84 },
    [1202] = { .lex_state = 84 },
    [1203] = { .lex_state = 84 },
    [1204] = { .lex_state = 84 },
    [1205] = { .lex_state = 814 },
    [1206] = { .lex_state = 84 },
    [1207] = { .lex_state = 84 },
    [1208] = { .lex_state = 84 },
    [1209] = { .lex_state = 84 },
    [1210] = { .lex_state = 84 },
    [1211] = { .lex_state = 76 },
    [1212] = { .lex_state = 84 },
    [1213] = { .lex_state = 814 },
    [1214] = { .lex_state = 814 },
    [1215] = { .lex_state = 941 },
    [1216] = { .lex_state = 93 },
    [1217] = { .lex_state = 814 },
    [1218] = { .lex_state = 814 },
    [1219] = { .lex_state = 814 },
    [1220] = { .lex_state = 814 },
    [1221] = { .lex_state = 814 },
    [1222] = { .lex_state = 814 },
    [1223] = { .lex_state = 814 },
    [1224] = { .lex_state = 814 },
    [1225] = { .lex_state = 814 },
    [1226] = { .lex_state = 814 },
    [1227] = { .lex_state = 814 },
    [1228] = { .lex_state = 814 },
    [1229] = { .lex_state = 814 },
    [1230] = { .lex_state = 814 },
    [1231] = { .lex_state = 814 },
    [1232] = { .lex_state = 814 },
    [1233] = { .lex_state = 814 },
    [1234] = { .lex_state = 814 },
    [1235] = { .lex_state = 814 },
    [1236] = { .lex_state = 814 },
    [1237] = { .lex_state = 814 },
    [1238] = { .lex_state = 814 },
    [1239] = { .lex_state = 814 },
    [1240] = { .lex_state = 814 },
    [1241] = { .lex_state = 814 },
    [1242] = { .lex_state = 814 },
    [1243] = { .lex_state = 814 },
    [1244] = { .lex_state = 814 },
    [1245] = { .lex_state = 814 },
    [1246] = { .lex_state = 814 },
    [1247] = { .lex_state = 814 },
    [1248] = { .lex_state = 814 },
    [1249] = { .lex_state = 814 },
    [1250] = { .lex_state = 814 },
    [1251] = { .lex_state = 814 },
    [1252] = { .lex_state = 814 },
    [1253] = { .lex_state = 814 },
    [1254] = { .lex_state = 814 },
    [1255] = { .lex_state = 814 },
    [1256] = { .lex_state = 814 },
    [1257] = { .lex_state = 814 },
    [1258] = { .lex_state = 814 },
    [1259] = { .lex_state = 814 },
    [1260] = { .lex_state = 814 },
    [1261] = { .lex_state = 814 },
    [1262] = { .lex_state = 814 },
    [1263] = { (TSStateId)(-1) },
    [1264] = { (TSStateId)(-1) },
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
    [0] = {
        [sym_comment] = STATE(0),
        [ts_builtin_sym_end] = ACTIONS(1),
        [anon_sym_short] = ACTIONS(1),
        [anon_sym_int16] = ACTIONS(1),
        [anon_sym_long] = ACTIONS(1),
        [anon_sym_int32] = ACTIONS(1),
        [anon_sym_longlong] = ACTIONS(1),
        [anon_sym_int64] = ACTIONS(1),
        [sym_unsigned_tiny_int] = ACTIONS(1),
        [sym_boolean_type] = ACTIONS(1),
        [anon_sym_fixed] = ACTIONS(1),
        [sym_octet_type] = ACTIONS(1),
        [sym_signed_tiny_int] = ACTIONS(1),
        [anon_sym_unsignedshort] = ACTIONS(1),
        [anon_sym_uint16] = ACTIONS(1),
        [anon_sym_unsignedlong] = ACTIONS(1),
        [anon_sym_uint32] = ACTIONS(1),
        [anon_sym_unsignedlonglong] = ACTIONS(1),
        [anon_sym_uint64] = ACTIONS(1),
        [anon_sym_float] = ACTIONS(1),
        [anon_sym_double] = ACTIONS(1),
        [anon_sym_longdouble] = ACTIONS(1),
        [anon_sym_char] = ACTIONS(1),
        [anon_sym_wchar] = ACTIONS(1),
        [anon_sym_COLON_COLON] = ACTIONS(1),
        [anon_sym_string] = ACTIONS(1),
        [anon_sym_wstring] = ACTIONS(1),
        [anon_sym_LT] = ACTIONS(1),
        [anon_sym_GT] = ACTIONS(1),
        [anon_sym_any] = ACTIONS(1),
        [anon_sym_COMMA] = ACTIONS(1),
        [anon_sym_sequence] = ACTIONS(1),
        [anon_sym_map] = ACTIONS(1),
        [anon_sym_PIPE] = ACTIONS(1),
        [anon_sym_CARET] = ACTIONS(1),
        [anon_sym_AMP] = ACTIONS(1),
        [anon_sym_GT_GT] = ACTIONS(1),
        [anon_sym_PLUS] = ACTIONS(1),
        [anon_sym_DASH] = ACTIONS(1),
        [anon_sym_STAR] = ACTIONS(1),
        [anon_sym_SLASH] = ACTIONS(1),
        [anon_sym_PERCENT] = ACTIONS(1),
        [anon_sym_LPAREN] = ACTIONS(1),
        [anon_sym_RPAREN] = ACTIONS(1),
        [anon_sym_TILDE] = ACTIONS(1),
        [anon_sym_L] = ACTIONS(1),
        [anon_sym_DQUOTE] = ACTIONS(1),
        [anon_sym_SQUOTE] = ACTIONS(1),
        [anon_sym_TRUE] = ACTIONS(1),
        [anon_sym_FALSE] = ACTIONS(1),
        [sym_number_literal] = ACTIONS(1),
        [anon_sym_POUNDdefine] = ACTIONS(1),
        [sym_preproc_directive] = ACTIONS(1),
        [aux_sym_preproc_include_token1] = ACTIONS(1),
        [anon_sym_exception] = ACTIONS(1),
        [anon_sym_LBRACE] = ACTIONS(1),
        [anon_sym_RBRACE] = ACTIONS(1),
        [anon_sym_local] = ACTIONS(1),
        [anon_sym_abstract] = ACTIONS(1),
        [anon_sym_COLON] = ACTIONS(1),
        [anon_sym_SEMI] = ACTIONS(1),
        [anon_sym_void] = ACTIONS(1),
        [anon_sym_in] = ACTIONS(1),
        [anon_sym_out] = ACTIONS(1),
        [anon_sym_inout] = ACTIONS(1),
        [anon_sym_raises] = ACTIONS(1),
        [anon_sym_readonly] = ACTIONS(1),
        [anon_sym_attribute] = ACTIONS(1),
        [anon_sym_getraises] = ACTIONS(1),
        [anon_sym_setraises] = ACTIONS(1),
        [anon_sym_bitset] = ACTIONS(1),
        [anon_sym_bitfield] = ACTIONS(1),
        [anon_sym_bitmask] = ACTIONS(1),
        [anon_sym_ATannotation] = ACTIONS(1),
        [anon_sym_default] = ACTIONS(1),
        [anon_sym_AT] = ACTIONS(1),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(1),
        [anon_sym_EQ] = ACTIONS(1),
        [anon_sym_id] = ACTIONS(1),
        [anon_sym_autoid] = ACTIONS(1),
        [anon_sym_SEQUENTIAL] = ACTIONS(1),
        [anon_sym_HASH] = ACTIONS(1),
        [anon_sym_optional] = ACTIONS(1),
        [anon_sym_position] = ACTIONS(1),
        [anon_sym_value] = ACTIONS(1),
        [anon_sym_extensibility] = ACTIONS(1),
        [anon_sym_FINAL] = ACTIONS(1),
        [anon_sym_APPENDABLE] = ACTIONS(1),
        [anon_sym_MUTABLE] = ACTIONS(1),
        [anon_sym_final] = ACTIONS(1),
        [anon_sym_appendable] = ACTIONS(1),
        [anon_sym_mutable] = ACTIONS(1),
        [anon_sym_key] = ACTIONS(1),
        [anon_sym_must_understand] = ACTIONS(1),
        [anon_sym_default_literal] = ACTIONS(1),
        [anon_sym_range] = ACTIONS(1),
        [anon_sym_min] = ACTIONS(1),
        [anon_sym_max] = ACTIONS(1),
        [anon_sym_unit] = ACTIONS(1),
        [anon_sym_bit_bound] = ACTIONS(1),
        [anon_sym_external] = ACTIONS(1),
        [anon_sym_nested] = ACTIONS(1),
        [anon_sym_verbatim] = ACTIONS(1),
        [anon_sym_c] = ACTIONS(1),
        [anon_sym_c_PLUS_PLUS] = ACTIONS(1),
        [anon_sym_java] = ACTIONS(1),
        [anon_sym_idl] = ACTIONS(1),
        [anon_sym_BEGIN_FILE] = ACTIONS(1),
        [anon_sym_BEFORE_DECLARATION] = ACTIONS(1),
        [anon_sym_BEGIN_DECLARATION] = ACTIONS(1),
        [anon_sym_END_DECLARATION] = ACTIONS(1),
        [anon_sym_AFTER_DECLARATION] = ACTIONS(1),
        [anon_sym_END_FILE] = ACTIONS(1),
        [anon_sym_service] = ACTIONS(1),
        [anon_sym_CORBA] = ACTIONS(1),
        [anon_sym_DDS] = ACTIONS(1),
        [anon_sym_oneway] = ACTIONS(1),
        [anon_sym_ami] = ACTIONS(1),
        [anon_sym_module] = ACTIONS(1),
        [anon_sym_typename] = ACTIONS(1),
        [anon_sym_valuetype] = ACTIONS(1),
        [anon_sym_eventtype] = ACTIONS(1),
        [anon_sym_struct] = ACTIONS(1),
        [anon_sym_union] = ACTIONS(1),
        [anon_sym_enum] = ACTIONS(1),
        [anon_sym_const] = ACTIONS(1),
        [anon_sym_alias] = ACTIONS(1),
        [anon_sym_custom] = ACTIONS(1),
        [anon_sym_truncatable] = ACTIONS(1),
        [anon_sym_supports] = ACTIONS(1),
        [anon_sym_public] = ACTIONS(1),
        [anon_sym_private] = ACTIONS(1),
        [anon_sym_factory] = ACTIONS(1),
        [anon_sym_typedef] = ACTIONS(1),
        [anon_sym_LBRACK] = ACTIONS(1),
        [anon_sym_RBRACK] = ACTIONS(1),
        [anon_sym_ATignore_literal_names] = ACTIONS(1),
        [anon_sym_switch] = ACTIONS(1),
        [anon_sym_case] = ACTIONS(1),
        [anon_sym_typeid] = ACTIONS(1),
        [anon_sym_typeprefix] = ACTIONS(1),
        [anon_sym_import] = ACTIONS(1),
        [anon_sym_Object] = ACTIONS(1),
        [anon_sym_context] = ACTIONS(1),
        [sym_value_base_type] = ACTIONS(1),
        [anon_sym_component] = ACTIONS(1),
        [anon_sym_provides] = ACTIONS(1),
        [anon_sym_uses] = ACTIONS(1),
        [anon_sym_multiple] = ACTIONS(1),
        [anon_sym_home] = ACTIONS(1),
        [anon_sym_manages] = ACTIONS(1),
        [anon_sym_emits] = ACTIONS(1),
        [anon_sym_publishes] = ACTIONS(1),
        [anon_sym_consumes] = ACTIONS(1),
        [anon_sym_primarykey] = ACTIONS(1),
        [anon_sym_finder] = ACTIONS(1),
        [anon_sym_port] = ACTIONS(1),
        [anon_sym_mirrorport] = ACTIONS(1),
        [anon_sym_connector] = ACTIONS(1),
        [anon_sym_native] = ACTIONS(1),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [1] = {
        [sym_specification] = STATE(1191),
        [sym_preproc_define] = STATE(152),
        [sym_preproc_call] = STATE(152),
        [sym_preproc_include] = STATE(152),
        [sym_except_dcl] = STATE(1189),
        [sym_interface_dcl] = STATE(1189),
        [sym_interface_kind] = STATE(1188),
        [sym_interface_forward_dcl] = STATE(1187),
        [sym_interface_def] = STATE(1187),
        [sym_interface_header] = STATE(1186),
        [sym_bitset_dcl] = STATE(734),
        [sym_bitmask_dcl] = STATE(734),
        [sym_annotation_dcl] = STATE(1189),
        [sym_annotation_appl] = STATE(273),
        [sym_extend_annotation_appl] = STATE(274),
        [sym_template_module_dcl] = STATE(1189),
        [sym_template_module_inst] = STATE(1189),
        [sym_value_dcl] = STATE(1189),
        [sym_value_def] = STATE(1184),
        [sym_value_kind] = STATE(1183),
        [sym_value_header] = STATE(1181),
        [sym_value_forward_dcl] = STATE(1184),
        [sym_typedef_dcl] = STATE(1180),
        [sym_enum_dcl] = STATE(734),
        [sym_enum_anno] = STATE(1179),
        [sym_union_dcl] = STATE(734),
        [sym_union_forward_dcl] = STATE(735),
        [sym_union_def] = STATE(735),
        [sym_type_id_dcl] = STATE(1189),
        [sym_type_prefix_dcl] = STATE(1189),
        [sym_import_dcl] = STATE(1189),
        [sym_value_box_def] = STATE(1184),
        [sym_value_abs_def] = STATE(1184),
        [sym_component_dcl] = STATE(1189),
        [sym_component_forward_dcl] = STATE(1177),
        [sym_component_def] = STATE(1177),
        [sym_component_header] = STATE(1176),
        [sym_home_dcl] = STATE(1189),
        [sym_home_header] = STATE(1175),
        [sym_event_dcl] = STATE(1189),
        [sym_event_forward_dcl] = STATE(1172),
        [sym_event_abs_def] = STATE(1172),
        [sym_event_def] = STATE(1172),
        [sym_event_header] = STATE(1171),
        [sym_porttype_dcl] = STATE(1189),
        [sym_porttype_forward_dcl] = STATE(1170),
        [sym_porttype_def] = STATE(1170),
        [sym_connector_dcl] = STATE(1189),
        [sym_connector_header] = STATE(1169),
        [sym_definition] = STATE(152),
        [sym_type_dcl] = STATE(1189),
        [sym_constr_type_dcl] = STATE(1180),
        [sym_native_dcl] = STATE(1180),
        [sym_module_dcl] = STATE(1189),
        [sym_struct_dcl] = STATE(734),
        [sym_struct_forward_dcl] = STATE(736),
        [sym_struct_def] = STATE(736),
        [sym_const_dcl] = STATE(1189),
        [sym_comment] = STATE(1),
        [aux_sym_specification_repeat1] = STATE(23),
        [aux_sym_interface_def_repeat1] = STATE(224),
        [ts_builtin_sym_end] = ACTIONS(7),
        [anon_sym_POUNDdefine] = ACTIONS(9),
        [sym_preproc_directive] = ACTIONS(11),
        [aux_sym_preproc_include_token1] = ACTIONS(13),
        [anon_sym_exception] = ACTIONS(15),
        [anon_sym_local] = ACTIONS(17),
        [anon_sym_abstract] = ACTIONS(19),
        [anon_sym_interface] = ACTIONS(21),
        [anon_sym_bitset] = ACTIONS(23),
        [anon_sym_bitmask] = ACTIONS(25),
        [anon_sym_ATannotation] = ACTIONS(27),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_module] = ACTIONS(33),
        [anon_sym_valuetype] = ACTIONS(35),
        [anon_sym_eventtype] = ACTIONS(37),
        [anon_sym_struct] = ACTIONS(39),
        [anon_sym_union] = ACTIONS(41),
        [anon_sym_enum] = ACTIONS(43),
        [anon_sym_const] = ACTIONS(45),
        [anon_sym_custom] = ACTIONS(47),
        [anon_sym_typedef] = ACTIONS(49),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(53),
        [anon_sym_typeprefix] = ACTIONS(55),
        [anon_sym_import] = ACTIONS(57),
        [anon_sym_component] = ACTIONS(59),
        [anon_sym_home] = ACTIONS(61),
        [anon_sym_porttype] = ACTIONS(63),
        [anon_sym_connector] = ACTIONS(65),
        [anon_sym_native] = ACTIONS(67),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [2] = {
        [sym_signed_short_int] = STATE(388),
        [sym_signed_long_int] = STATE(388),
        [sym_signed_longlong_int] = STATE(388),
        [sym_unsigned_int] = STATE(371),
        [sym_integer_type] = STATE(473),
        [sym_signed_int] = STATE(371),
        [sym_unsigned_short_int] = STATE(356),
        [sym_unsigned_long_int] = STATE(356),
        [sym_unsigned_longlong_int] = STATE(356),
        [sym_floating_pt_type] = STATE(473),
        [sym_char_type] = STATE(473),
        [sym_scoped_name] = STATE(377),
        [sym_string_type] = STATE(448),
        [sym_type_spec] = STATE(1009),
        [sym_simple_type_spec] = STATE(442),
        [sym_base_type_spec] = STATE(481),
        [sym_any_type] = STATE(473),
        [sym_fixed_pt_type] = STATE(448),
        [sym_template_type_spec] = STATE(442),
        [sym_sequence_type] = STATE(448),
        [sym_map_type] = STATE(448),
        [sym_except_dcl] = STATE(1048),
        [sym_export] = STATE(58),
        [sym_op_dcl] = STATE(584),
        [sym_op_type_spec] = STATE(961),
        [sym_attr_dcl] = STATE(1048),
        [sym_readonly_attr_spec] = STATE(1002),
        [sym_attr_spec] = STATE(1002),
        [sym_bitset_dcl] = STATE(734),
        [sym_bitmask_dcl] = STATE(734),
        [sym_annotation_appl] = STATE(273),
        [sym_extend_annotation_appl] = STATE(274),
        [sym_value_dcl] = STATE(1048),
        [sym_value_def] = STATE(1184),
        [sym_value_kind] = STATE(1183),
        [sym_value_header] = STATE(1181),
        [sym_value_element] = STATE(53),
        [sym_state_member] = STATE(58),
        [sym_init_dcl] = STATE(58),
        [sym_value_forward_dcl] = STATE(1184),
        [sym_typedef_dcl] = STATE(1180),
        [sym_enum_dcl] = STATE(734),
        [sym_enum_anno] = STATE(1179),
        [sym_union_dcl] = STATE(734),
        [sym_union_forward_dcl] = STATE(735),
        [sym_union_def] = STATE(735),
        [sym_type_id_dcl] = STATE(1048),
        [sym_import_dcl] = STATE(1048),
        [sym_object_type] = STATE(473),
        [sym_op_oneway_dcl] = STATE(584),
        [sym_op_with_context] = STATE(1048),
        [sym_value_box_def] = STATE(1184),
        [sym_value_abs_def] = STATE(1184),
        [sym_type_dcl] = STATE(1048),
        [sym_constr_type_dcl] = STATE(1180),
        [sym_native_dcl] = STATE(1180),
        [sym_struct_dcl] = STATE(734),
        [sym_struct_forward_dcl] = STATE(736),
        [sym_struct_def] = STATE(736),
        [sym_const_dcl] = STATE(1048),
        [sym_comment] = STATE(2),
        [aux_sym_interface_def_repeat1] = STATE(311),
        [aux_sym_value_def_repeat1] = STATE(2),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(72),
        [anon_sym_int32] = ACTIONS(72),
        [anon_sym_longlong] = ACTIONS(75),
        [anon_sym_int64] = ACTIONS(78),
        [sym_unsigned_tiny_int] = ACTIONS(81),
        [sym_boolean_type] = ACTIONS(84),
        [anon_sym_fixed] = ACTIONS(87),
        [sym_octet_type] = ACTIONS(84),
        [sym_signed_tiny_int] = ACTIONS(90),
        [anon_sym_unsignedshort] = ACTIONS(93),
        [anon_sym_uint16] = ACTIONS(96),
        [anon_sym_unsignedlong] = ACTIONS(99),
        [anon_sym_uint32] = ACTIONS(99),
        [anon_sym_unsignedlonglong] = ACTIONS(102),
        [anon_sym_uint64] = ACTIONS(105),
        [anon_sym_float] = ACTIONS(108),
        [anon_sym_double] = ACTIONS(108),
        [anon_sym_longdouble] = ACTIONS(111),
        [anon_sym_char] = ACTIONS(114),
        [anon_sym_wchar] = ACTIONS(114),
        [anon_sym_COLON_COLON] = ACTIONS(117),
        [anon_sym_string] = ACTIONS(120),
        [anon_sym_wstring] = ACTIONS(120),
        [anon_sym_any] = ACTIONS(123),
        [anon_sym_sequence] = ACTIONS(126),
        [anon_sym_map] = ACTIONS(129),
        [anon_sym_exception] = ACTIONS(132),
        [anon_sym_RBRACE] = ACTIONS(135),
        [anon_sym_abstract] = ACTIONS(137),
        [anon_sym_void] = ACTIONS(140),
        [anon_sym_readonly] = ACTIONS(143),
        [anon_sym_attribute] = ACTIONS(146),
        [anon_sym_bitset] = ACTIONS(149),
        [anon_sym_bitmask] = ACTIONS(152),
        [anon_sym_AT] = ACTIONS(155),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(158),
        [anon_sym_oneway] = ACTIONS(161),
        [anon_sym_valuetype] = ACTIONS(164),
        [anon_sym_struct] = ACTIONS(167),
        [anon_sym_union] = ACTIONS(170),
        [anon_sym_enum] = ACTIONS(173),
        [anon_sym_const] = ACTIONS(176),
        [anon_sym_custom] = ACTIONS(179),
        [anon_sym_public] = ACTIONS(182),
        [anon_sym_private] = ACTIONS(182),
        [anon_sym_factory] = ACTIONS(185),
        [anon_sym_typedef] = ACTIONS(188),
        [anon_sym_ATignore_literal_names] = ACTIONS(191),
        [anon_sym_typeid] = ACTIONS(194),
        [anon_sym_import] = ACTIONS(197),
        [anon_sym_Object] = ACTIONS(200),
        [sym_value_base_type] = ACTIONS(84),
        [anon_sym_native] = ACTIONS(203),
        [sym_identifier] = ACTIONS(206),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [3] = {
        [sym_signed_short_int] = STATE(388),
        [sym_signed_long_int] = STATE(388),
        [sym_signed_longlong_int] = STATE(388),
        [sym_unsigned_int] = STATE(371),
        [sym_integer_type] = STATE(473),
        [sym_signed_int] = STATE(371),
        [sym_unsigned_short_int] = STATE(356),
        [sym_unsigned_long_int] = STATE(356),
        [sym_unsigned_longlong_int] = STATE(356),
        [sym_floating_pt_type] = STATE(473),
        [sym_char_type] = STATE(473),
        [sym_scoped_name] = STATE(377),
        [sym_string_type] = STATE(448),
        [sym_type_spec] = STATE(1009),
        [sym_simple_type_spec] = STATE(442),
        [sym_base_type_spec] = STATE(481),
        [sym_any_type] = STATE(473),
        [sym_fixed_pt_type] = STATE(448),
        [sym_template_type_spec] = STATE(442),
        [sym_sequence_type] = STATE(448),
        [sym_map_type] = STATE(448),
        [sym_except_dcl] = STATE(1048),
        [sym_export] = STATE(58),
        [sym_op_dcl] = STATE(584),
        [sym_op_type_spec] = STATE(961),
        [sym_attr_dcl] = STATE(1048),
        [sym_readonly_attr_spec] = STATE(1002),
        [sym_attr_spec] = STATE(1002),
        [sym_bitset_dcl] = STATE(734),
        [sym_bitmask_dcl] = STATE(734),
        [sym_annotation_appl] = STATE(273),
        [sym_extend_annotation_appl] = STATE(274),
        [sym_value_dcl] = STATE(1048),
        [sym_value_def] = STATE(1184),
        [sym_value_kind] = STATE(1183),
        [sym_value_header] = STATE(1181),
        [sym_value_element] = STATE(53),
        [sym_state_member] = STATE(58),
        [sym_init_dcl] = STATE(58),
        [sym_value_forward_dcl] = STATE(1184),
        [sym_typedef_dcl] = STATE(1180),
        [sym_enum_dcl] = STATE(734),
        [sym_enum_anno] = STATE(1179),
        [sym_union_dcl] = STATE(734),
        [sym_union_forward_dcl] = STATE(735),
        [sym_union_def] = STATE(735),
        [sym_type_id_dcl] = STATE(1048),
        [sym_import_dcl] = STATE(1048),
        [sym_object_type] = STATE(473),
        [sym_op_oneway_dcl] = STATE(584),
        [sym_op_with_context] = STATE(1048),
        [sym_value_box_def] = STATE(1184),
        [sym_value_abs_def] = STATE(1184),
        [sym_type_dcl] = STATE(1048),
        [sym_constr_type_dcl] = STATE(1180),
        [sym_native_dcl] = STATE(1180),
        [sym_struct_dcl] = STATE(734),
        [sym_struct_forward_dcl] = STATE(736),
        [sym_struct_def] = STATE(736),
        [sym_const_dcl] = STATE(1048),
        [sym_comment] = STATE(3),
        [aux_sym_interface_def_repeat1] = STATE(311),
        [aux_sym_value_def_repeat1] = STATE(2),
        [anon_sym_short] = ACTIONS(209),
        [anon_sym_int16] = ACTIONS(209),
        [anon_sym_long] = ACTIONS(211),
        [anon_sym_int32] = ACTIONS(211),
        [anon_sym_longlong] = ACTIONS(213),
        [anon_sym_int64] = ACTIONS(215),
        [sym_unsigned_tiny_int] = ACTIONS(217),
        [sym_boolean_type] = ACTIONS(219),
        [anon_sym_fixed] = ACTIONS(221),
        [sym_octet_type] = ACTIONS(219),
        [sym_signed_tiny_int] = ACTIONS(223),
        [anon_sym_unsignedshort] = ACTIONS(225),
        [anon_sym_uint16] = ACTIONS(227),
        [anon_sym_unsignedlong] = ACTIONS(229),
        [anon_sym_uint32] = ACTIONS(229),
        [anon_sym_unsignedlonglong] = ACTIONS(231),
        [anon_sym_uint64] = ACTIONS(233),
        [anon_sym_float] = ACTIONS(235),
        [anon_sym_double] = ACTIONS(235),
        [anon_sym_longdouble] = ACTIONS(237),
        [anon_sym_char] = ACTIONS(239),
        [anon_sym_wchar] = ACTIONS(239),
        [anon_sym_COLON_COLON] = ACTIONS(241),
        [anon_sym_string] = ACTIONS(243),
        [anon_sym_wstring] = ACTIONS(243),
        [anon_sym_any] = ACTIONS(245),
        [anon_sym_sequence] = ACTIONS(247),
        [anon_sym_map] = ACTIONS(249),
        [anon_sym_exception] = ACTIONS(251),
        [anon_sym_RBRACE] = ACTIONS(253),
        [anon_sym_abstract] = ACTIONS(255),
        [anon_sym_void] = ACTIONS(257),
        [anon_sym_readonly] = ACTIONS(259),
        [anon_sym_attribute] = ACTIONS(261),
        [anon_sym_bitset] = ACTIONS(263),
        [anon_sym_bitmask] = ACTIONS(265),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(267),
        [anon_sym_valuetype] = ACTIONS(269),
        [anon_sym_struct] = ACTIONS(271),
        [anon_sym_union] = ACTIONS(273),
        [anon_sym_enum] = ACTIONS(275),
        [anon_sym_const] = ACTIONS(277),
        [anon_sym_custom] = ACTIONS(279),
        [anon_sym_public] = ACTIONS(281),
        [anon_sym_private] = ACTIONS(281),
        [anon_sym_factory] = ACTIONS(283),
        [anon_sym_typedef] = ACTIONS(285),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(287),
        [anon_sym_import] = ACTIONS(289),
        [anon_sym_Object] = ACTIONS(291),
        [sym_value_base_type] = ACTIONS(219),
        [anon_sym_native] = ACTIONS(293),
        [sym_identifier] = ACTIONS(295),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [4] = {
        [sym_signed_short_int] = STATE(388),
        [sym_signed_long_int] = STATE(388),
        [sym_signed_longlong_int] = STATE(388),
        [sym_unsigned_int] = STATE(371),
        [sym_integer_type] = STATE(473),
        [sym_signed_int] = STATE(371),
        [sym_unsigned_short_int] = STATE(356),
        [sym_unsigned_long_int] = STATE(356),
        [sym_unsigned_longlong_int] = STATE(356),
        [sym_floating_pt_type] = STATE(473),
        [sym_char_type] = STATE(473),
        [sym_scoped_name] = STATE(377),
        [sym_string_type] = STATE(448),
        [sym_type_spec] = STATE(1009),
        [sym_simple_type_spec] = STATE(442),
        [sym_base_type_spec] = STATE(481),
        [sym_any_type] = STATE(473),
        [sym_fixed_pt_type] = STATE(448),
        [sym_template_type_spec] = STATE(442),
        [sym_sequence_type] = STATE(448),
        [sym_map_type] = STATE(448),
        [sym_except_dcl] = STATE(1085),
        [sym_export] = STATE(61),
        [sym_op_dcl] = STATE(569),
        [sym_op_type_spec] = STATE(961),
        [sym_attr_dcl] = STATE(1085),
        [sym_readonly_attr_spec] = STATE(1002),
        [sym_attr_spec] = STATE(1002),
        [sym_bitset_dcl] = STATE(734),
        [sym_bitmask_dcl] = STATE(734),
        [sym_annotation_appl] = STATE(273),
        [sym_extend_annotation_appl] = STATE(274),
        [sym_value_dcl] = STATE(1085),
        [sym_value_def] = STATE(1184),
        [sym_value_kind] = STATE(1183),
        [sym_value_header] = STATE(1181),
        [sym_value_forward_dcl] = STATE(1184),
        [sym_typedef_dcl] = STATE(1180),
        [sym_enum_dcl] = STATE(734),
        [sym_enum_anno] = STATE(1179),
        [sym_union_dcl] = STATE(734),
        [sym_union_forward_dcl] = STATE(735),
        [sym_union_def] = STATE(735),
        [sym_type_id_dcl] = STATE(1085),
        [sym_import_dcl] = STATE(1085),
        [sym_object_type] = STATE(473),
        [sym_op_oneway_dcl] = STATE(569),
        [sym_op_with_context] = STATE(1085),
        [sym_value_box_def] = STATE(1184),
        [sym_value_abs_def] = STATE(1184),
        [sym_home_body] = STATE(990),
        [sym_home_export] = STATE(64),
        [sym_factory_dcl] = STATE(989),
        [sym_finder_dcl] = STATE(989),
        [sym_type_dcl] = STATE(1085),
        [sym_constr_type_dcl] = STATE(1180),
        [sym_native_dcl] = STATE(1180),
        [sym_struct_dcl] = STATE(734),
        [sym_struct_forward_dcl] = STATE(736),
        [sym_struct_def] = STATE(736),
        [sym_const_dcl] = STATE(1085),
        [sym_comment] = STATE(4),
        [aux_sym_interface_def_repeat1] = STATE(311),
        [aux_sym_home_body_repeat1] = STATE(8),
        [anon_sym_short] = ACTIONS(209),
        [anon_sym_int16] = ACTIONS(209),
        [anon_sym_long] = ACTIONS(211),
        [anon_sym_int32] = ACTIONS(211),
        [anon_sym_longlong] = ACTIONS(213),
        [anon_sym_int64] = ACTIONS(215),
        [sym_unsigned_tiny_int] = ACTIONS(217),
        [sym_boolean_type] = ACTIONS(219),
        [anon_sym_fixed] = ACTIONS(221),
        [sym_octet_type] = ACTIONS(219),
        [sym_signed_tiny_int] = ACTIONS(223),
        [anon_sym_unsignedshort] = ACTIONS(225),
        [anon_sym_uint16] = ACTIONS(227),
        [anon_sym_unsignedlong] = ACTIONS(229),
        [anon_sym_uint32] = ACTIONS(229),
        [anon_sym_unsignedlonglong] = ACTIONS(231),
        [anon_sym_uint64] = ACTIONS(233),
        [anon_sym_float] = ACTIONS(235),
        [anon_sym_double] = ACTIONS(235),
        [anon_sym_longdouble] = ACTIONS(237),
        [anon_sym_char] = ACTIONS(239),
        [anon_sym_wchar] = ACTIONS(239),
        [anon_sym_COLON_COLON] = ACTIONS(241),
        [anon_sym_string] = ACTIONS(243),
        [anon_sym_wstring] = ACTIONS(243),
        [anon_sym_any] = ACTIONS(245),
        [anon_sym_sequence] = ACTIONS(247),
        [anon_sym_map] = ACTIONS(249),
        [anon_sym_exception] = ACTIONS(251),
        [anon_sym_RBRACE] = ACTIONS(297),
        [anon_sym_abstract] = ACTIONS(255),
        [anon_sym_void] = ACTIONS(257),
        [anon_sym_readonly] = ACTIONS(259),
        [anon_sym_attribute] = ACTIONS(261),
        [anon_sym_bitset] = ACTIONS(263),
        [anon_sym_bitmask] = ACTIONS(265),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(267),
        [anon_sym_valuetype] = ACTIONS(269),
        [anon_sym_struct] = ACTIONS(271),
        [anon_sym_union] = ACTIONS(273),
        [anon_sym_enum] = ACTIONS(275),
        [anon_sym_const] = ACTIONS(277),
        [anon_sym_custom] = ACTIONS(279),
        [anon_sym_factory] = ACTIONS(299),
        [anon_sym_typedef] = ACTIONS(285),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(287),
        [anon_sym_import] = ACTIONS(289),
        [anon_sym_Object] = ACTIONS(291),
        [sym_value_base_type] = ACTIONS(219),
        [anon_sym_finder] = ACTIONS(301),
        [anon_sym_native] = ACTIONS(293),
        [sym_identifier] = ACTIONS(295),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [5] = {
        [sym_signed_short_int] = STATE(388),
        [sym_signed_long_int] = STATE(388),
        [sym_signed_longlong_int] = STATE(388),
        [sym_unsigned_int] = STATE(371),
        [sym_integer_type] = STATE(473),
        [sym_signed_int] = STATE(371),
        [sym_unsigned_short_int] = STATE(356),
        [sym_unsigned_long_int] = STATE(356),
        [sym_unsigned_longlong_int] = STATE(356),
        [sym_floating_pt_type] = STATE(473),
        [sym_char_type] = STATE(473),
        [sym_scoped_name] = STATE(377),
        [sym_string_type] = STATE(448),
        [sym_type_spec] = STATE(1009),
        [sym_simple_type_spec] = STATE(442),
        [sym_base_type_spec] = STATE(481),
        [sym_any_type] = STATE(473),
        [sym_fixed_pt_type] = STATE(448),
        [sym_template_type_spec] = STATE(442),
        [sym_sequence_type] = STATE(448),
        [sym_map_type] = STATE(448),
        [sym_except_dcl] = STATE(1048),
        [sym_export] = STATE(58),
        [sym_op_dcl] = STATE(584),
        [sym_op_type_spec] = STATE(961),
        [sym_attr_dcl] = STATE(1048),
        [sym_readonly_attr_spec] = STATE(1002),
        [sym_attr_spec] = STATE(1002),
        [sym_bitset_dcl] = STATE(734),
        [sym_bitmask_dcl] = STATE(734),
        [sym_annotation_appl] = STATE(273),
        [sym_extend_annotation_appl] = STATE(274),
        [sym_value_dcl] = STATE(1048),
        [sym_value_def] = STATE(1184),
        [sym_value_kind] = STATE(1183),
        [sym_value_header] = STATE(1181),
        [sym_value_element] = STATE(53),
        [sym_state_member] = STATE(58),
        [sym_init_dcl] = STATE(58),
        [sym_value_forward_dcl] = STATE(1184),
        [sym_typedef_dcl] = STATE(1180),
        [sym_enum_dcl] = STATE(734),
        [sym_enum_anno] = STATE(1179),
        [sym_union_dcl] = STATE(734),
        [sym_union_forward_dcl] = STATE(735),
        [sym_union_def] = STATE(735),
        [sym_type_id_dcl] = STATE(1048),
        [sym_import_dcl] = STATE(1048),
        [sym_object_type] = STATE(473),
        [sym_op_oneway_dcl] = STATE(584),
        [sym_op_with_context] = STATE(1048),
        [sym_value_box_def] = STATE(1184),
        [sym_value_abs_def] = STATE(1184),
        [sym_type_dcl] = STATE(1048),
        [sym_constr_type_dcl] = STATE(1180),
        [sym_native_dcl] = STATE(1180),
        [sym_struct_dcl] = STATE(734),
        [sym_struct_forward_dcl] = STATE(736),
        [sym_struct_def] = STATE(736),
        [sym_const_dcl] = STATE(1048),
        [sym_comment] = STATE(5),
        [aux_sym_interface_def_repeat1] = STATE(311),
        [aux_sym_value_def_repeat1] = STATE(3),
        [anon_sym_short] = ACTIONS(209),
        [anon_sym_int16] = ACTIONS(209),
        [anon_sym_long] = ACTIONS(211),
        [anon_sym_int32] = ACTIONS(211),
        [anon_sym_longlong] = ACTIONS(213),
        [anon_sym_int64] = ACTIONS(215),
        [sym_unsigned_tiny_int] = ACTIONS(217),
        [sym_boolean_type] = ACTIONS(219),
        [anon_sym_fixed] = ACTIONS(221),
        [sym_octet_type] = ACTIONS(219),
        [sym_signed_tiny_int] = ACTIONS(223),
        [anon_sym_unsignedshort] = ACTIONS(225),
        [anon_sym_uint16] = ACTIONS(227),
        [anon_sym_unsignedlong] = ACTIONS(229),
        [anon_sym_uint32] = ACTIONS(229),
        [anon_sym_unsignedlonglong] = ACTIONS(231),
        [anon_sym_uint64] = ACTIONS(233),
        [anon_sym_float] = ACTIONS(235),
        [anon_sym_double] = ACTIONS(235),
        [anon_sym_longdouble] = ACTIONS(237),
        [anon_sym_char] = ACTIONS(239),
        [anon_sym_wchar] = ACTIONS(239),
        [anon_sym_COLON_COLON] = ACTIONS(241),
        [anon_sym_string] = ACTIONS(243),
        [anon_sym_wstring] = ACTIONS(243),
        [anon_sym_any] = ACTIONS(245),
        [anon_sym_sequence] = ACTIONS(247),
        [anon_sym_map] = ACTIONS(249),
        [anon_sym_exception] = ACTIONS(251),
        [anon_sym_RBRACE] = ACTIONS(303),
        [anon_sym_abstract] = ACTIONS(255),
        [anon_sym_void] = ACTIONS(257),
        [anon_sym_readonly] = ACTIONS(259),
        [anon_sym_attribute] = ACTIONS(261),
        [anon_sym_bitset] = ACTIONS(263),
        [anon_sym_bitmask] = ACTIONS(265),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(267),
        [anon_sym_valuetype] = ACTIONS(269),
        [anon_sym_struct] = ACTIONS(271),
        [anon_sym_union] = ACTIONS(273),
        [anon_sym_enum] = ACTIONS(275),
        [anon_sym_const] = ACTIONS(277),
        [anon_sym_custom] = ACTIONS(279),
        [anon_sym_public] = ACTIONS(281),
        [anon_sym_private] = ACTIONS(281),
        [anon_sym_factory] = ACTIONS(283),
        [anon_sym_typedef] = ACTIONS(285),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(287),
        [anon_sym_import] = ACTIONS(289),
        [anon_sym_Object] = ACTIONS(291),
        [sym_value_base_type] = ACTIONS(219),
        [anon_sym_native] = ACTIONS(293),
        [sym_identifier] = ACTIONS(295),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [6] = {
        [sym_signed_short_int] = STATE(388),
        [sym_signed_long_int] = STATE(388),
        [sym_signed_longlong_int] = STATE(388),
        [sym_unsigned_int] = STATE(371),
        [sym_integer_type] = STATE(473),
        [sym_signed_int] = STATE(371),
        [sym_unsigned_short_int] = STATE(356),
        [sym_unsigned_long_int] = STATE(356),
        [sym_unsigned_longlong_int] = STATE(356),
        [sym_floating_pt_type] = STATE(473),
        [sym_char_type] = STATE(473),
        [sym_scoped_name] = STATE(377),
        [sym_string_type] = STATE(448),
        [sym_type_spec] = STATE(1009),
        [sym_simple_type_spec] = STATE(442),
        [sym_base_type_spec] = STATE(481),
        [sym_any_type] = STATE(473),
        [sym_fixed_pt_type] = STATE(448),
        [sym_template_type_spec] = STATE(442),
        [sym_sequence_type] = STATE(448),
        [sym_map_type] = STATE(448),
        [sym_except_dcl] = STATE(1048),
        [sym_export] = STATE(58),
        [sym_op_dcl] = STATE(584),
        [sym_op_type_spec] = STATE(961),
        [sym_attr_dcl] = STATE(1048),
        [sym_readonly_attr_spec] = STATE(1002),
        [sym_attr_spec] = STATE(1002),
        [sym_bitset_dcl] = STATE(734),
        [sym_bitmask_dcl] = STATE(734),
        [sym_annotation_appl] = STATE(273),
        [sym_extend_annotation_appl] = STATE(274),
        [sym_value_dcl] = STATE(1048),
        [sym_value_def] = STATE(1184),
        [sym_value_kind] = STATE(1183),
        [sym_value_header] = STATE(1181),
        [sym_value_element] = STATE(53),
        [sym_state_member] = STATE(58),
        [sym_init_dcl] = STATE(58),
        [sym_value_forward_dcl] = STATE(1184),
        [sym_typedef_dcl] = STATE(1180),
        [sym_enum_dcl] = STATE(734),
        [sym_enum_anno] = STATE(1179),
        [sym_union_dcl] = STATE(734),
        [sym_union_forward_dcl] = STATE(735),
        [sym_union_def] = STATE(735),
        [sym_type_id_dcl] = STATE(1048),
        [sym_import_dcl] = STATE(1048),
        [sym_object_type] = STATE(473),
        [sym_op_oneway_dcl] = STATE(584),
        [sym_op_with_context] = STATE(1048),
        [sym_value_box_def] = STATE(1184),
        [sym_value_abs_def] = STATE(1184),
        [sym_type_dcl] = STATE(1048),
        [sym_constr_type_dcl] = STATE(1180),
        [sym_native_dcl] = STATE(1180),
        [sym_struct_dcl] = STATE(734),
        [sym_struct_forward_dcl] = STATE(736),
        [sym_struct_def] = STATE(736),
        [sym_const_dcl] = STATE(1048),
        [sym_comment] = STATE(6),
        [aux_sym_interface_def_repeat1] = STATE(311),
        [aux_sym_value_def_repeat1] = STATE(7),
        [anon_sym_short] = ACTIONS(209),
        [anon_sym_int16] = ACTIONS(209),
        [anon_sym_long] = ACTIONS(211),
        [anon_sym_int32] = ACTIONS(211),
        [anon_sym_longlong] = ACTIONS(213),
        [anon_sym_int64] = ACTIONS(215),
        [sym_unsigned_tiny_int] = ACTIONS(217),
        [sym_boolean_type] = ACTIONS(219),
        [anon_sym_fixed] = ACTIONS(221),
        [sym_octet_type] = ACTIONS(219),
        [sym_signed_tiny_int] = ACTIONS(223),
        [anon_sym_unsignedshort] = ACTIONS(225),
        [anon_sym_uint16] = ACTIONS(227),
        [anon_sym_unsignedlong] = ACTIONS(229),
        [anon_sym_uint32] = ACTIONS(229),
        [anon_sym_unsignedlonglong] = ACTIONS(231),
        [anon_sym_uint64] = ACTIONS(233),
        [anon_sym_float] = ACTIONS(235),
        [anon_sym_double] = ACTIONS(235),
        [anon_sym_longdouble] = ACTIONS(237),
        [anon_sym_char] = ACTIONS(239),
        [anon_sym_wchar] = ACTIONS(239),
        [anon_sym_COLON_COLON] = ACTIONS(241),
        [anon_sym_string] = ACTIONS(243),
        [anon_sym_wstring] = ACTIONS(243),
        [anon_sym_any] = ACTIONS(245),
        [anon_sym_sequence] = ACTIONS(247),
        [anon_sym_map] = ACTIONS(249),
        [anon_sym_exception] = ACTIONS(251),
        [anon_sym_RBRACE] = ACTIONS(305),
        [anon_sym_abstract] = ACTIONS(255),
        [anon_sym_void] = ACTIONS(257),
        [anon_sym_readonly] = ACTIONS(259),
        [anon_sym_attribute] = ACTIONS(261),
        [anon_sym_bitset] = ACTIONS(263),
        [anon_sym_bitmask] = ACTIONS(265),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(267),
        [anon_sym_valuetype] = ACTIONS(269),
        [anon_sym_struct] = ACTIONS(271),
        [anon_sym_union] = ACTIONS(273),
        [anon_sym_enum] = ACTIONS(275),
        [anon_sym_const] = ACTIONS(277),
        [anon_sym_custom] = ACTIONS(279),
        [anon_sym_public] = ACTIONS(281),
        [anon_sym_private] = ACTIONS(281),
        [anon_sym_factory] = ACTIONS(283),
        [anon_sym_typedef] = ACTIONS(285),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(287),
        [anon_sym_import] = ACTIONS(289),
        [anon_sym_Object] = ACTIONS(291),
        [sym_value_base_type] = ACTIONS(219),
        [anon_sym_native] = ACTIONS(293),
        [sym_identifier] = ACTIONS(295),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [7] = {
        [sym_signed_short_int] = STATE(388),
        [sym_signed_long_int] = STATE(388),
        [sym_signed_longlong_int] = STATE(388),
        [sym_unsigned_int] = STATE(371),
        [sym_integer_type] = STATE(473),
        [sym_signed_int] = STATE(371),
        [sym_unsigned_short_int] = STATE(356),
        [sym_unsigned_long_int] = STATE(356),
        [sym_unsigned_longlong_int] = STATE(356),
        [sym_floating_pt_type] = STATE(473),
        [sym_char_type] = STATE(473),
        [sym_scoped_name] = STATE(377),
        [sym_string_type] = STATE(448),
        [sym_type_spec] = STATE(1009),
        [sym_simple_type_spec] = STATE(442),
        [sym_base_type_spec] = STATE(481),
        [sym_any_type] = STATE(473),
        [sym_fixed_pt_type] = STATE(448),
        [sym_template_type_spec] = STATE(442),
        [sym_sequence_type] = STATE(448),
        [sym_map_type] = STATE(448),
        [sym_except_dcl] = STATE(1048),
        [sym_export] = STATE(58),
        [sym_op_dcl] = STATE(584),
        [sym_op_type_spec] = STATE(961),
        [sym_attr_dcl] = STATE(1048),
        [sym_readonly_attr_spec] = STATE(1002),
        [sym_attr_spec] = STATE(1002),
        [sym_bitset_dcl] = STATE(734),
        [sym_bitmask_dcl] = STATE(734),
        [sym_annotation_appl] = STATE(273),
        [sym_extend_annotation_appl] = STATE(274),
        [sym_value_dcl] = STATE(1048),
        [sym_value_def] = STATE(1184),
        [sym_value_kind] = STATE(1183),
        [sym_value_header] = STATE(1181),
        [sym_value_element] = STATE(53),
        [sym_state_member] = STATE(58),
        [sym_init_dcl] = STATE(58),
        [sym_value_forward_dcl] = STATE(1184),
        [sym_typedef_dcl] = STATE(1180),
        [sym_enum_dcl] = STATE(734),
        [sym_enum_anno] = STATE(1179),
        [sym_union_dcl] = STATE(734),
        [sym_union_forward_dcl] = STATE(735),
        [sym_union_def] = STATE(735),
        [sym_type_id_dcl] = STATE(1048),
        [sym_import_dcl] = STATE(1048),
        [sym_object_type] = STATE(473),
        [sym_op_oneway_dcl] = STATE(584),
        [sym_op_with_context] = STATE(1048),
        [sym_value_box_def] = STATE(1184),
        [sym_value_abs_def] = STATE(1184),
        [sym_type_dcl] = STATE(1048),
        [sym_constr_type_dcl] = STATE(1180),
        [sym_native_dcl] = STATE(1180),
        [sym_struct_dcl] = STATE(734),
        [sym_struct_forward_dcl] = STATE(736),
        [sym_struct_def] = STATE(736),
        [sym_const_dcl] = STATE(1048),
        [sym_comment] = STATE(7),
        [aux_sym_interface_def_repeat1] = STATE(311),
        [aux_sym_value_def_repeat1] = STATE(2),
        [anon_sym_short] = ACTIONS(209),
        [anon_sym_int16] = ACTIONS(209),
        [anon_sym_long] = ACTIONS(211),
        [anon_sym_int32] = ACTIONS(211),
        [anon_sym_longlong] = ACTIONS(213),
        [anon_sym_int64] = ACTIONS(215),
        [sym_unsigned_tiny_int] = ACTIONS(217),
        [sym_boolean_type] = ACTIONS(219),
        [anon_sym_fixed] = ACTIONS(221),
        [sym_octet_type] = ACTIONS(219),
        [sym_signed_tiny_int] = ACTIONS(223),
        [anon_sym_unsignedshort] = ACTIONS(225),
        [anon_sym_uint16] = ACTIONS(227),
        [anon_sym_unsignedlong] = ACTIONS(229),
        [anon_sym_uint32] = ACTIONS(229),
        [anon_sym_unsignedlonglong] = ACTIONS(231),
        [anon_sym_uint64] = ACTIONS(233),
        [anon_sym_float] = ACTIONS(235),
        [anon_sym_double] = ACTIONS(235),
        [anon_sym_longdouble] = ACTIONS(237),
        [anon_sym_char] = ACTIONS(239),
        [anon_sym_wchar] = ACTIONS(239),
        [anon_sym_COLON_COLON] = ACTIONS(241),
        [anon_sym_string] = ACTIONS(243),
        [anon_sym_wstring] = ACTIONS(243),
        [anon_sym_any] = ACTIONS(245),
        [anon_sym_sequence] = ACTIONS(247),
        [anon_sym_map] = ACTIONS(249),
        [anon_sym_exception] = ACTIONS(251),
        [anon_sym_RBRACE] = ACTIONS(307),
        [anon_sym_abstract] = ACTIONS(255),
        [anon_sym_void] = ACTIONS(257),
        [anon_sym_readonly] = ACTIONS(259),
        [anon_sym_attribute] = ACTIONS(261),
        [anon_sym_bitset] = ACTIONS(263),
        [anon_sym_bitmask] = ACTIONS(265),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(267),
        [anon_sym_valuetype] = ACTIONS(269),
        [anon_sym_struct] = ACTIONS(271),
        [anon_sym_union] = ACTIONS(273),
        [anon_sym_enum] = ACTIONS(275),
        [anon_sym_const] = ACTIONS(277),
        [anon_sym_custom] = ACTIONS(279),
        [anon_sym_public] = ACTIONS(281),
        [anon_sym_private] = ACTIONS(281),
        [anon_sym_factory] = ACTIONS(283),
        [anon_sym_typedef] = ACTIONS(285),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(287),
        [anon_sym_import] = ACTIONS(289),
        [anon_sym_Object] = ACTIONS(291),
        [sym_value_base_type] = ACTIONS(219),
        [anon_sym_native] = ACTIONS(293),
        [sym_identifier] = ACTIONS(295),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [8] = {
        [sym_signed_short_int] = STATE(388),
        [sym_signed_long_int] = STATE(388),
        [sym_signed_longlong_int] = STATE(388),
        [sym_unsigned_int] = STATE(371),
        [sym_integer_type] = STATE(473),
        [sym_signed_int] = STATE(371),
        [sym_unsigned_short_int] = STATE(356),
        [sym_unsigned_long_int] = STATE(356),
        [sym_unsigned_longlong_int] = STATE(356),
        [sym_floating_pt_type] = STATE(473),
        [sym_char_type] = STATE(473),
        [sym_scoped_name] = STATE(377),
        [sym_string_type] = STATE(448),
        [sym_type_spec] = STATE(1009),
        [sym_simple_type_spec] = STATE(442),
        [sym_base_type_spec] = STATE(481),
        [sym_any_type] = STATE(473),
        [sym_fixed_pt_type] = STATE(448),
        [sym_template_type_spec] = STATE(442),
        [sym_sequence_type] = STATE(448),
        [sym_map_type] = STATE(448),
        [sym_except_dcl] = STATE(1085),
        [sym_export] = STATE(61),
        [sym_op_dcl] = STATE(569),
        [sym_op_type_spec] = STATE(961),
        [sym_attr_dcl] = STATE(1085),
        [sym_readonly_attr_spec] = STATE(1002),
        [sym_attr_spec] = STATE(1002),
        [sym_bitset_dcl] = STATE(734),
        [sym_bitmask_dcl] = STATE(734),
        [sym_annotation_appl] = STATE(273),
        [sym_extend_annotation_appl] = STATE(274),
        [sym_value_dcl] = STATE(1085),
        [sym_value_def] = STATE(1184),
        [sym_value_kind] = STATE(1183),
        [sym_value_header] = STATE(1181),
        [sym_value_forward_dcl] = STATE(1184),
        [sym_typedef_dcl] = STATE(1180),
        [sym_enum_dcl] = STATE(734),
        [sym_enum_anno] = STATE(1179),
        [sym_union_dcl] = STATE(734),
        [sym_union_forward_dcl] = STATE(735),
        [sym_union_def] = STATE(735),
        [sym_type_id_dcl] = STATE(1085),
        [sym_import_dcl] = STATE(1085),
        [sym_object_type] = STATE(473),
        [sym_op_oneway_dcl] = STATE(569),
        [sym_op_with_context] = STATE(1085),
        [sym_value_box_def] = STATE(1184),
        [sym_value_abs_def] = STATE(1184),
        [sym_home_export] = STATE(64),
        [sym_factory_dcl] = STATE(989),
        [sym_finder_dcl] = STATE(989),
        [sym_type_dcl] = STATE(1085),
        [sym_constr_type_dcl] = STATE(1180),
        [sym_native_dcl] = STATE(1180),
        [sym_struct_dcl] = STATE(734),
        [sym_struct_forward_dcl] = STATE(736),
        [sym_struct_def] = STATE(736),
        [sym_const_dcl] = STATE(1085),
        [sym_comment] = STATE(8),
        [aux_sym_interface_def_repeat1] = STATE(311),
        [aux_sym_home_body_repeat1] = STATE(9),
        [anon_sym_short] = ACTIONS(209),
        [anon_sym_int16] = ACTIONS(209),
        [anon_sym_long] = ACTIONS(211),
        [anon_sym_int32] = ACTIONS(211),
        [anon_sym_longlong] = ACTIONS(213),
        [anon_sym_int64] = ACTIONS(215),
        [sym_unsigned_tiny_int] = ACTIONS(217),
        [sym_boolean_type] = ACTIONS(219),
        [anon_sym_fixed] = ACTIONS(221),
        [sym_octet_type] = ACTIONS(219),
        [sym_signed_tiny_int] = ACTIONS(223),
        [anon_sym_unsignedshort] = ACTIONS(225),
        [anon_sym_uint16] = ACTIONS(227),
        [anon_sym_unsignedlong] = ACTIONS(229),
        [anon_sym_uint32] = ACTIONS(229),
        [anon_sym_unsignedlonglong] = ACTIONS(231),
        [anon_sym_uint64] = ACTIONS(233),
        [anon_sym_float] = ACTIONS(235),
        [anon_sym_double] = ACTIONS(235),
        [anon_sym_longdouble] = ACTIONS(237),
        [anon_sym_char] = ACTIONS(239),
        [anon_sym_wchar] = ACTIONS(239),
        [anon_sym_COLON_COLON] = ACTIONS(241),
        [anon_sym_string] = ACTIONS(243),
        [anon_sym_wstring] = ACTIONS(243),
        [anon_sym_any] = ACTIONS(245),
        [anon_sym_sequence] = ACTIONS(247),
        [anon_sym_map] = ACTIONS(249),
        [anon_sym_exception] = ACTIONS(251),
        [anon_sym_RBRACE] = ACTIONS(309),
        [anon_sym_abstract] = ACTIONS(255),
        [anon_sym_void] = ACTIONS(257),
        [anon_sym_readonly] = ACTIONS(259),
        [anon_sym_attribute] = ACTIONS(261),
        [anon_sym_bitset] = ACTIONS(263),
        [anon_sym_bitmask] = ACTIONS(265),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(267),
        [anon_sym_valuetype] = ACTIONS(269),
        [anon_sym_struct] = ACTIONS(271),
        [anon_sym_union] = ACTIONS(273),
        [anon_sym_enum] = ACTIONS(275),
        [anon_sym_const] = ACTIONS(277),
        [anon_sym_custom] = ACTIONS(279),
        [anon_sym_factory] = ACTIONS(299),
        [anon_sym_typedef] = ACTIONS(285),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(287),
        [anon_sym_import] = ACTIONS(289),
        [anon_sym_Object] = ACTIONS(291),
        [sym_value_base_type] = ACTIONS(219),
        [anon_sym_finder] = ACTIONS(301),
        [anon_sym_native] = ACTIONS(293),
        [sym_identifier] = ACTIONS(295),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [9] = {
        [sym_signed_short_int] = STATE(388),
        [sym_signed_long_int] = STATE(388),
        [sym_signed_longlong_int] = STATE(388),
        [sym_unsigned_int] = STATE(371),
        [sym_integer_type] = STATE(473),
        [sym_signed_int] = STATE(371),
        [sym_unsigned_short_int] = STATE(356),
        [sym_unsigned_long_int] = STATE(356),
        [sym_unsigned_longlong_int] = STATE(356),
        [sym_floating_pt_type] = STATE(473),
        [sym_char_type] = STATE(473),
        [sym_scoped_name] = STATE(377),
        [sym_string_type] = STATE(448),
        [sym_type_spec] = STATE(1009),
        [sym_simple_type_spec] = STATE(442),
        [sym_base_type_spec] = STATE(481),
        [sym_any_type] = STATE(473),
        [sym_fixed_pt_type] = STATE(448),
        [sym_template_type_spec] = STATE(442),
        [sym_sequence_type] = STATE(448),
        [sym_map_type] = STATE(448),
        [sym_except_dcl] = STATE(1085),
        [sym_export] = STATE(61),
        [sym_op_dcl] = STATE(569),
        [sym_op_type_spec] = STATE(961),
        [sym_attr_dcl] = STATE(1085),
        [sym_readonly_attr_spec] = STATE(1002),
        [sym_attr_spec] = STATE(1002),
        [sym_bitset_dcl] = STATE(734),
        [sym_bitmask_dcl] = STATE(734),
        [sym_annotation_appl] = STATE(273),
        [sym_extend_annotation_appl] = STATE(274),
        [sym_value_dcl] = STATE(1085),
        [sym_value_def] = STATE(1184),
        [sym_value_kind] = STATE(1183),
        [sym_value_header] = STATE(1181),
        [sym_value_forward_dcl] = STATE(1184),
        [sym_typedef_dcl] = STATE(1180),
        [sym_enum_dcl] = STATE(734),
        [sym_enum_anno] = STATE(1179),
        [sym_union_dcl] = STATE(734),
        [sym_union_forward_dcl] = STATE(735),
        [sym_union_def] = STATE(735),
        [sym_type_id_dcl] = STATE(1085),
        [sym_import_dcl] = STATE(1085),
        [sym_object_type] = STATE(473),
        [sym_op_oneway_dcl] = STATE(569),
        [sym_op_with_context] = STATE(1085),
        [sym_value_box_def] = STATE(1184),
        [sym_value_abs_def] = STATE(1184),
        [sym_home_export] = STATE(64),
        [sym_factory_dcl] = STATE(989),
        [sym_finder_dcl] = STATE(989),
        [sym_type_dcl] = STATE(1085),
        [sym_constr_type_dcl] = STATE(1180),
        [sym_native_dcl] = STATE(1180),
        [sym_struct_dcl] = STATE(734),
        [sym_struct_forward_dcl] = STATE(736),
        [sym_struct_def] = STATE(736),
        [sym_const_dcl] = STATE(1085),
        [sym_comment] = STATE(9),
        [aux_sym_interface_def_repeat1] = STATE(311),
        [aux_sym_home_body_repeat1] = STATE(9),
        [anon_sym_short] = ACTIONS(311),
        [anon_sym_int16] = ACTIONS(311),
        [anon_sym_long] = ACTIONS(314),
        [anon_sym_int32] = ACTIONS(314),
        [anon_sym_longlong] = ACTIONS(317),
        [anon_sym_int64] = ACTIONS(320),
        [sym_unsigned_tiny_int] = ACTIONS(323),
        [sym_boolean_type] = ACTIONS(326),
        [anon_sym_fixed] = ACTIONS(329),
        [sym_octet_type] = ACTIONS(326),
        [sym_signed_tiny_int] = ACTIONS(332),
        [anon_sym_unsignedshort] = ACTIONS(335),
        [anon_sym_uint16] = ACTIONS(338),
        [anon_sym_unsignedlong] = ACTIONS(341),
        [anon_sym_uint32] = ACTIONS(341),
        [anon_sym_unsignedlonglong] = ACTIONS(344),
        [anon_sym_uint64] = ACTIONS(347),
        [anon_sym_float] = ACTIONS(350),
        [anon_sym_double] = ACTIONS(350),
        [anon_sym_longdouble] = ACTIONS(353),
        [anon_sym_char] = ACTIONS(356),
        [anon_sym_wchar] = ACTIONS(356),
        [anon_sym_COLON_COLON] = ACTIONS(359),
        [anon_sym_string] = ACTIONS(362),
        [anon_sym_wstring] = ACTIONS(362),
        [anon_sym_any] = ACTIONS(365),
        [anon_sym_sequence] = ACTIONS(368),
        [anon_sym_map] = ACTIONS(371),
        [anon_sym_exception] = ACTIONS(374),
        [anon_sym_RBRACE] = ACTIONS(377),
        [anon_sym_abstract] = ACTIONS(379),
        [anon_sym_void] = ACTIONS(382),
        [anon_sym_readonly] = ACTIONS(385),
        [anon_sym_attribute] = ACTIONS(388),
        [anon_sym_bitset] = ACTIONS(391),
        [anon_sym_bitmask] = ACTIONS(394),
        [anon_sym_AT] = ACTIONS(397),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(400),
        [anon_sym_oneway] = ACTIONS(403),
        [anon_sym_valuetype] = ACTIONS(406),
        [anon_sym_struct] = ACTIONS(409),
        [anon_sym_union] = ACTIONS(412),
        [anon_sym_enum] = ACTIONS(415),
        [anon_sym_const] = ACTIONS(418),
        [anon_sym_custom] = ACTIONS(421),
        [anon_sym_factory] = ACTIONS(424),
        [anon_sym_typedef] = ACTIONS(427),
        [anon_sym_ATignore_literal_names] = ACTIONS(430),
        [anon_sym_typeid] = ACTIONS(433),
        [anon_sym_import] = ACTIONS(436),
        [anon_sym_Object] = ACTIONS(439),
        [sym_value_base_type] = ACTIONS(326),
        [anon_sym_finder] = ACTIONS(442),
        [anon_sym_native] = ACTIONS(445),
        [sym_identifier] = ACTIONS(448),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [10] = {
        [sym_signed_short_int] = STATE(388),
        [sym_signed_long_int] = STATE(388),
        [sym_signed_longlong_int] = STATE(388),
        [sym_unsigned_int] = STATE(371),
        [sym_integer_type] = STATE(473),
        [sym_signed_int] = STATE(371),
        [sym_unsigned_short_int] = STATE(356),
        [sym_unsigned_long_int] = STATE(356),
        [sym_unsigned_longlong_int] = STATE(356),
        [sym_floating_pt_type] = STATE(473),
        [sym_char_type] = STATE(473),
        [sym_scoped_name] = STATE(377),
        [sym_string_type] = STATE(448),
        [sym_type_spec] = STATE(1009),
        [sym_simple_type_spec] = STATE(442),
        [sym_base_type_spec] = STATE(481),
        [sym_any_type] = STATE(473),
        [sym_fixed_pt_type] = STATE(448),
        [sym_template_type_spec] = STATE(442),
        [sym_sequence_type] = STATE(448),
        [sym_map_type] = STATE(448),
        [sym_except_dcl] = STATE(1005),
        [sym_interface_body] = STATE(1004),
        [sym_export] = STATE(70),
        [sym_op_dcl] = STATE(636),
        [sym_op_type_spec] = STATE(961),
        [sym_attr_dcl] = STATE(1005),
        [sym_readonly_attr_spec] = STATE(1002),
        [sym_attr_spec] = STATE(1002),
        [sym_bitset_dcl] = STATE(734),
        [sym_bitmask_dcl] = STATE(734),
        [sym_annotation_appl] = STATE(273),
        [sym_extend_annotation_appl] = STATE(274),
        [sym_value_dcl] = STATE(1005),
        [sym_value_def] = STATE(1184),
        [sym_value_kind] = STATE(1183),
        [sym_value_header] = STATE(1181),
        [sym_value_forward_dcl] = STATE(1184),
        [sym_typedef_dcl] = STATE(1180),
        [sym_enum_dcl] = STATE(734),
        [sym_enum_anno] = STATE(1179),
        [sym_union_dcl] = STATE(734),
        [sym_union_forward_dcl] = STATE(735),
        [sym_union_def] = STATE(735),
        [sym_type_id_dcl] = STATE(1005),
        [sym_import_dcl] = STATE(1005),
        [sym_object_type] = STATE(473),
        [sym_op_oneway_dcl] = STATE(636),
        [sym_op_with_context] = STATE(1005),
        [sym_value_box_def] = STATE(1184),
        [sym_value_abs_def] = STATE(1184),
        [sym_type_dcl] = STATE(1005),
        [sym_constr_type_dcl] = STATE(1180),
        [sym_native_dcl] = STATE(1180),
        [sym_struct_dcl] = STATE(734),
        [sym_struct_forward_dcl] = STATE(736),
        [sym_struct_def] = STATE(736),
        [sym_const_dcl] = STATE(1005),
        [sym_comment] = STATE(10),
        [aux_sym_interface_def_repeat1] = STATE(311),
        [aux_sym_interface_body_repeat1] = STATE(19),
        [anon_sym_short] = ACTIONS(209),
        [anon_sym_int16] = ACTIONS(209),
        [anon_sym_long] = ACTIONS(211),
        [anon_sym_int32] = ACTIONS(211),
        [anon_sym_longlong] = ACTIONS(213),
        [anon_sym_int64] = ACTIONS(215),
        [sym_unsigned_tiny_int] = ACTIONS(217),
        [sym_boolean_type] = ACTIONS(219),
        [anon_sym_fixed] = ACTIONS(221),
        [sym_octet_type] = ACTIONS(219),
        [sym_signed_tiny_int] = ACTIONS(223),
        [anon_sym_unsignedshort] = ACTIONS(225),
        [anon_sym_uint16] = ACTIONS(227),
        [anon_sym_unsignedlong] = ACTIONS(229),
        [anon_sym_uint32] = ACTIONS(229),
        [anon_sym_unsignedlonglong] = ACTIONS(231),
        [anon_sym_uint64] = ACTIONS(233),
        [anon_sym_float] = ACTIONS(235),
        [anon_sym_double] = ACTIONS(235),
        [anon_sym_longdouble] = ACTIONS(237),
        [anon_sym_char] = ACTIONS(239),
        [anon_sym_wchar] = ACTIONS(239),
        [anon_sym_COLON_COLON] = ACTIONS(241),
        [anon_sym_string] = ACTIONS(243),
        [anon_sym_wstring] = ACTIONS(243),
        [anon_sym_any] = ACTIONS(245),
        [anon_sym_sequence] = ACTIONS(247),
        [anon_sym_map] = ACTIONS(249),
        [anon_sym_exception] = ACTIONS(251),
        [anon_sym_RBRACE] = ACTIONS(451),
        [anon_sym_abstract] = ACTIONS(255),
        [anon_sym_void] = ACTIONS(257),
        [anon_sym_readonly] = ACTIONS(259),
        [anon_sym_attribute] = ACTIONS(261),
        [anon_sym_bitset] = ACTIONS(263),
        [anon_sym_bitmask] = ACTIONS(265),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(267),
        [anon_sym_valuetype] = ACTIONS(269),
        [anon_sym_struct] = ACTIONS(271),
        [anon_sym_union] = ACTIONS(273),
        [anon_sym_enum] = ACTIONS(275),
        [anon_sym_const] = ACTIONS(277),
        [anon_sym_custom] = ACTIONS(279),
        [anon_sym_typedef] = ACTIONS(285),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(287),
        [anon_sym_import] = ACTIONS(289),
        [anon_sym_Object] = ACTIONS(291),
        [sym_value_base_type] = ACTIONS(219),
        [anon_sym_native] = ACTIONS(293),
        [sym_identifier] = ACTIONS(295),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [11] = {
        [sym_signed_short_int] = STATE(388),
        [sym_signed_long_int] = STATE(388),
        [sym_signed_longlong_int] = STATE(388),
        [sym_unsigned_int] = STATE(371),
        [sym_integer_type] = STATE(473),
        [sym_signed_int] = STATE(371),
        [sym_unsigned_short_int] = STATE(356),
        [sym_unsigned_long_int] = STATE(356),
        [sym_unsigned_longlong_int] = STATE(356),
        [sym_floating_pt_type] = STATE(473),
        [sym_char_type] = STATE(473),
        [sym_scoped_name] = STATE(377),
        [sym_string_type] = STATE(448),
        [sym_type_spec] = STATE(1009),
        [sym_simple_type_spec] = STATE(442),
        [sym_base_type_spec] = STATE(481),
        [sym_any_type] = STATE(473),
        [sym_fixed_pt_type] = STATE(448),
        [sym_template_type_spec] = STATE(442),
        [sym_sequence_type] = STATE(448),
        [sym_map_type] = STATE(448),
        [sym_except_dcl] = STATE(1005),
        [sym_interface_body] = STATE(888),
        [sym_export] = STATE(70),
        [sym_op_dcl] = STATE(636),
        [sym_op_type_spec] = STATE(961),
        [sym_attr_dcl] = STATE(1005),
        [sym_readonly_attr_spec] = STATE(1002),
        [sym_attr_spec] = STATE(1002),
        [sym_bitset_dcl] = STATE(734),
        [sym_bitmask_dcl] = STATE(734),
        [sym_annotation_appl] = STATE(273),
        [sym_extend_annotation_appl] = STATE(274),
        [sym_value_dcl] = STATE(1005),
        [sym_value_def] = STATE(1184),
        [sym_value_kind] = STATE(1183),
        [sym_value_header] = STATE(1181),
        [sym_value_forward_dcl] = STATE(1184),
        [sym_typedef_dcl] = STATE(1180),
        [sym_enum_dcl] = STATE(734),
        [sym_enum_anno] = STATE(1179),
        [sym_union_dcl] = STATE(734),
        [sym_union_forward_dcl] = STATE(735),
        [sym_union_def] = STATE(735),
        [sym_type_id_dcl] = STATE(1005),
        [sym_import_dcl] = STATE(1005),
        [sym_object_type] = STATE(473),
        [sym_op_oneway_dcl] = STATE(636),
        [sym_op_with_context] = STATE(1005),
        [sym_value_box_def] = STATE(1184),
        [sym_value_abs_def] = STATE(1184),
        [sym_type_dcl] = STATE(1005),
        [sym_constr_type_dcl] = STATE(1180),
        [sym_native_dcl] = STATE(1180),
        [sym_struct_dcl] = STATE(734),
        [sym_struct_forward_dcl] = STATE(736),
        [sym_struct_def] = STATE(736),
        [sym_const_dcl] = STATE(1005),
        [sym_comment] = STATE(11),
        [aux_sym_interface_def_repeat1] = STATE(311),
        [aux_sym_interface_body_repeat1] = STATE(19),
        [anon_sym_short] = ACTIONS(209),
        [anon_sym_int16] = ACTIONS(209),
        [anon_sym_long] = ACTIONS(211),
        [anon_sym_int32] = ACTIONS(211),
        [anon_sym_longlong] = ACTIONS(213),
        [anon_sym_int64] = ACTIONS(215),
        [sym_unsigned_tiny_int] = ACTIONS(217),
        [sym_boolean_type] = ACTIONS(219),
        [anon_sym_fixed] = ACTIONS(221),
        [sym_octet_type] = ACTIONS(219),
        [sym_signed_tiny_int] = ACTIONS(223),
        [anon_sym_unsignedshort] = ACTIONS(225),
        [anon_sym_uint16] = ACTIONS(227),
        [anon_sym_unsignedlong] = ACTIONS(229),
        [anon_sym_uint32] = ACTIONS(229),
        [anon_sym_unsignedlonglong] = ACTIONS(231),
        [anon_sym_uint64] = ACTIONS(233),
        [anon_sym_float] = ACTIONS(235),
        [anon_sym_double] = ACTIONS(235),
        [anon_sym_longdouble] = ACTIONS(237),
        [anon_sym_char] = ACTIONS(239),
        [anon_sym_wchar] = ACTIONS(239),
        [anon_sym_COLON_COLON] = ACTIONS(241),
        [anon_sym_string] = ACTIONS(243),
        [anon_sym_wstring] = ACTIONS(243),
        [anon_sym_any] = ACTIONS(245),
        [anon_sym_sequence] = ACTIONS(247),
        [anon_sym_map] = ACTIONS(249),
        [anon_sym_exception] = ACTIONS(251),
        [anon_sym_RBRACE] = ACTIONS(453),
        [anon_sym_abstract] = ACTIONS(255),
        [anon_sym_void] = ACTIONS(257),
        [anon_sym_readonly] = ACTIONS(259),
        [anon_sym_attribute] = ACTIONS(261),
        [anon_sym_bitset] = ACTIONS(263),
        [anon_sym_bitmask] = ACTIONS(265),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(267),
        [anon_sym_valuetype] = ACTIONS(269),
        [anon_sym_struct] = ACTIONS(271),
        [anon_sym_union] = ACTIONS(273),
        [anon_sym_enum] = ACTIONS(275),
        [anon_sym_const] = ACTIONS(277),
        [anon_sym_custom] = ACTIONS(279),
        [anon_sym_typedef] = ACTIONS(285),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(287),
        [anon_sym_import] = ACTIONS(289),
        [anon_sym_Object] = ACTIONS(291),
        [sym_value_base_type] = ACTIONS(219),
        [anon_sym_native] = ACTIONS(293),
        [sym_identifier] = ACTIONS(295),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [12] = {
        [sym_signed_short_int] = STATE(388),
        [sym_signed_long_int] = STATE(388),
        [sym_signed_longlong_int] = STATE(388),
        [sym_unsigned_int] = STATE(371),
        [sym_integer_type] = STATE(473),
        [sym_signed_int] = STATE(371),
        [sym_unsigned_short_int] = STATE(356),
        [sym_unsigned_long_int] = STATE(356),
        [sym_unsigned_longlong_int] = STATE(356),
        [sym_floating_pt_type] = STATE(473),
        [sym_char_type] = STATE(473),
        [sym_scoped_name] = STATE(377),
        [sym_string_type] = STATE(448),
        [sym_type_spec] = STATE(1009),
        [sym_simple_type_spec] = STATE(442),
        [sym_base_type_spec] = STATE(481),
        [sym_any_type] = STATE(473),
        [sym_fixed_pt_type] = STATE(448),
        [sym_template_type_spec] = STATE(442),
        [sym_sequence_type] = STATE(448),
        [sym_map_type] = STATE(448),
        [sym_except_dcl] = STATE(1005),
        [sym_export] = STATE(70),
        [sym_op_dcl] = STATE(636),
        [sym_op_type_spec] = STATE(961),
        [sym_attr_dcl] = STATE(1005),
        [sym_readonly_attr_spec] = STATE(1002),
        [sym_attr_spec] = STATE(1002),
        [sym_bitset_dcl] = STATE(734),
        [sym_bitmask_dcl] = STATE(734),
        [sym_annotation_appl] = STATE(273),
        [sym_extend_annotation_appl] = STATE(274),
        [sym_value_dcl] = STATE(1005),
        [sym_value_def] = STATE(1184),
        [sym_value_kind] = STATE(1183),
        [sym_value_header] = STATE(1181),
        [sym_value_forward_dcl] = STATE(1184),
        [sym_typedef_dcl] = STATE(1180),
        [sym_enum_dcl] = STATE(734),
        [sym_enum_anno] = STATE(1179),
        [sym_union_dcl] = STATE(734),
        [sym_union_forward_dcl] = STATE(735),
        [sym_union_def] = STATE(735),
        [sym_type_id_dcl] = STATE(1005),
        [sym_import_dcl] = STATE(1005),
        [sym_object_type] = STATE(473),
        [sym_op_oneway_dcl] = STATE(636),
        [sym_op_with_context] = STATE(1005),
        [sym_value_box_def] = STATE(1184),
        [sym_value_abs_def] = STATE(1184),
        [sym_type_dcl] = STATE(1005),
        [sym_constr_type_dcl] = STATE(1180),
        [sym_native_dcl] = STATE(1180),
        [sym_struct_dcl] = STATE(734),
        [sym_struct_forward_dcl] = STATE(736),
        [sym_struct_def] = STATE(736),
        [sym_const_dcl] = STATE(1005),
        [sym_comment] = STATE(12),
        [aux_sym_interface_def_repeat1] = STATE(311),
        [aux_sym_interface_body_repeat1] = STATE(20),
        [anon_sym_short] = ACTIONS(209),
        [anon_sym_int16] = ACTIONS(209),
        [anon_sym_long] = ACTIONS(211),
        [anon_sym_int32] = ACTIONS(211),
        [anon_sym_longlong] = ACTIONS(213),
        [anon_sym_int64] = ACTIONS(215),
        [sym_unsigned_tiny_int] = ACTIONS(217),
        [sym_boolean_type] = ACTIONS(219),
        [anon_sym_fixed] = ACTIONS(221),
        [sym_octet_type] = ACTIONS(219),
        [sym_signed_tiny_int] = ACTIONS(223),
        [anon_sym_unsignedshort] = ACTIONS(225),
        [anon_sym_uint16] = ACTIONS(227),
        [anon_sym_unsignedlong] = ACTIONS(229),
        [anon_sym_uint32] = ACTIONS(229),
        [anon_sym_unsignedlonglong] = ACTIONS(231),
        [anon_sym_uint64] = ACTIONS(233),
        [anon_sym_float] = ACTIONS(235),
        [anon_sym_double] = ACTIONS(235),
        [anon_sym_longdouble] = ACTIONS(237),
        [anon_sym_char] = ACTIONS(239),
        [anon_sym_wchar] = ACTIONS(239),
        [anon_sym_COLON_COLON] = ACTIONS(241),
        [anon_sym_string] = ACTIONS(243),
        [anon_sym_wstring] = ACTIONS(243),
        [anon_sym_any] = ACTIONS(245),
        [anon_sym_sequence] = ACTIONS(247),
        [anon_sym_map] = ACTIONS(249),
        [anon_sym_exception] = ACTIONS(251),
        [anon_sym_RBRACE] = ACTIONS(455),
        [anon_sym_abstract] = ACTIONS(255),
        [anon_sym_void] = ACTIONS(257),
        [anon_sym_readonly] = ACTIONS(259),
        [anon_sym_attribute] = ACTIONS(261),
        [anon_sym_bitset] = ACTIONS(263),
        [anon_sym_bitmask] = ACTIONS(265),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(267),
        [anon_sym_valuetype] = ACTIONS(269),
        [anon_sym_struct] = ACTIONS(271),
        [anon_sym_union] = ACTIONS(273),
        [anon_sym_enum] = ACTIONS(275),
        [anon_sym_const] = ACTIONS(277),
        [anon_sym_custom] = ACTIONS(279),
        [anon_sym_typedef] = ACTIONS(285),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(287),
        [anon_sym_import] = ACTIONS(289),
        [anon_sym_Object] = ACTIONS(291),
        [sym_value_base_type] = ACTIONS(219),
        [anon_sym_native] = ACTIONS(293),
        [sym_identifier] = ACTIONS(295),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [13] = {
        [sym_signed_short_int] = STATE(388),
        [sym_signed_long_int] = STATE(388),
        [sym_signed_longlong_int] = STATE(388),
        [sym_unsigned_int] = STATE(371),
        [sym_integer_type] = STATE(473),
        [sym_signed_int] = STATE(371),
        [sym_unsigned_short_int] = STATE(356),
        [sym_unsigned_long_int] = STATE(356),
        [sym_unsigned_longlong_int] = STATE(356),
        [sym_floating_pt_type] = STATE(473),
        [sym_char_type] = STATE(473),
        [sym_scoped_name] = STATE(377),
        [sym_string_type] = STATE(448),
        [sym_type_spec] = STATE(1009),
        [sym_simple_type_spec] = STATE(442),
        [sym_base_type_spec] = STATE(481),
        [sym_any_type] = STATE(473),
        [sym_fixed_pt_type] = STATE(448),
        [sym_template_type_spec] = STATE(442),
        [sym_sequence_type] = STATE(448),
        [sym_map_type] = STATE(448),
        [sym_except_dcl] = STATE(1005),
        [sym_export] = STATE(70),
        [sym_op_dcl] = STATE(636),
        [sym_op_type_spec] = STATE(961),
        [sym_attr_dcl] = STATE(1005),
        [sym_readonly_attr_spec] = STATE(1002),
        [sym_attr_spec] = STATE(1002),
        [sym_bitset_dcl] = STATE(734),
        [sym_bitmask_dcl] = STATE(734),
        [sym_annotation_appl] = STATE(273),
        [sym_extend_annotation_appl] = STATE(274),
        [sym_value_dcl] = STATE(1005),
        [sym_value_def] = STATE(1184),
        [sym_value_kind] = STATE(1183),
        [sym_value_header] = STATE(1181),
        [sym_value_forward_dcl] = STATE(1184),
        [sym_typedef_dcl] = STATE(1180),
        [sym_enum_dcl] = STATE(734),
        [sym_enum_anno] = STATE(1179),
        [sym_union_dcl] = STATE(734),
        [sym_union_forward_dcl] = STATE(735),
        [sym_union_def] = STATE(735),
        [sym_type_id_dcl] = STATE(1005),
        [sym_import_dcl] = STATE(1005),
        [sym_object_type] = STATE(473),
        [sym_op_oneway_dcl] = STATE(636),
        [sym_op_with_context] = STATE(1005),
        [sym_value_box_def] = STATE(1184),
        [sym_value_abs_def] = STATE(1184),
        [sym_type_dcl] = STATE(1005),
        [sym_constr_type_dcl] = STATE(1180),
        [sym_native_dcl] = STATE(1180),
        [sym_struct_dcl] = STATE(734),
        [sym_struct_forward_dcl] = STATE(736),
        [sym_struct_def] = STATE(736),
        [sym_const_dcl] = STATE(1005),
        [sym_comment] = STATE(13),
        [aux_sym_interface_def_repeat1] = STATE(311),
        [aux_sym_interface_body_repeat1] = STATE(13),
        [anon_sym_short] = ACTIONS(457),
        [anon_sym_int16] = ACTIONS(457),
        [anon_sym_long] = ACTIONS(460),
        [anon_sym_int32] = ACTIONS(460),
        [anon_sym_longlong] = ACTIONS(463),
        [anon_sym_int64] = ACTIONS(466),
        [sym_unsigned_tiny_int] = ACTIONS(469),
        [sym_boolean_type] = ACTIONS(472),
        [anon_sym_fixed] = ACTIONS(475),
        [sym_octet_type] = ACTIONS(472),
        [sym_signed_tiny_int] = ACTIONS(478),
        [anon_sym_unsignedshort] = ACTIONS(481),
        [anon_sym_uint16] = ACTIONS(484),
        [anon_sym_unsignedlong] = ACTIONS(487),
        [anon_sym_uint32] = ACTIONS(487),
        [anon_sym_unsignedlonglong] = ACTIONS(490),
        [anon_sym_uint64] = ACTIONS(493),
        [anon_sym_float] = ACTIONS(496),
        [anon_sym_double] = ACTIONS(496),
        [anon_sym_longdouble] = ACTIONS(499),
        [anon_sym_char] = ACTIONS(502),
        [anon_sym_wchar] = ACTIONS(502),
        [anon_sym_COLON_COLON] = ACTIONS(505),
        [anon_sym_string] = ACTIONS(508),
        [anon_sym_wstring] = ACTIONS(508),
        [anon_sym_any] = ACTIONS(511),
        [anon_sym_sequence] = ACTIONS(514),
        [anon_sym_map] = ACTIONS(517),
        [anon_sym_exception] = ACTIONS(520),
        [anon_sym_RBRACE] = ACTIONS(523),
        [anon_sym_abstract] = ACTIONS(525),
        [anon_sym_void] = ACTIONS(528),
        [anon_sym_readonly] = ACTIONS(531),
        [anon_sym_attribute] = ACTIONS(534),
        [anon_sym_bitset] = ACTIONS(537),
        [anon_sym_bitmask] = ACTIONS(540),
        [anon_sym_AT] = ACTIONS(543),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(546),
        [anon_sym_oneway] = ACTIONS(549),
        [anon_sym_valuetype] = ACTIONS(552),
        [anon_sym_struct] = ACTIONS(555),
        [anon_sym_union] = ACTIONS(558),
        [anon_sym_enum] = ACTIONS(561),
        [anon_sym_const] = ACTIONS(564),
        [anon_sym_custom] = ACTIONS(567),
        [anon_sym_typedef] = ACTIONS(570),
        [anon_sym_ATignore_literal_names] = ACTIONS(573),
        [anon_sym_typeid] = ACTIONS(576),
        [anon_sym_import] = ACTIONS(579),
        [anon_sym_Object] = ACTIONS(582),
        [sym_value_base_type] = ACTIONS(472),
        [anon_sym_native] = ACTIONS(585),
        [sym_identifier] = ACTIONS(588),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [14] = {
        [sym_signed_short_int] = STATE(388),
        [sym_signed_long_int] = STATE(388),
        [sym_signed_longlong_int] = STATE(388),
        [sym_unsigned_int] = STATE(371),
        [sym_integer_type] = STATE(473),
        [sym_signed_int] = STATE(371),
        [sym_unsigned_short_int] = STATE(356),
        [sym_unsigned_long_int] = STATE(356),
        [sym_unsigned_longlong_int] = STATE(356),
        [sym_floating_pt_type] = STATE(473),
        [sym_char_type] = STATE(473),
        [sym_scoped_name] = STATE(377),
        [sym_string_type] = STATE(448),
        [sym_type_spec] = STATE(1009),
        [sym_simple_type_spec] = STATE(442),
        [sym_base_type_spec] = STATE(481),
        [sym_any_type] = STATE(473),
        [sym_fixed_pt_type] = STATE(448),
        [sym_template_type_spec] = STATE(442),
        [sym_sequence_type] = STATE(448),
        [sym_map_type] = STATE(448),
        [sym_except_dcl] = STATE(1005),
        [sym_export] = STATE(70),
        [sym_op_dcl] = STATE(636),
        [sym_op_type_spec] = STATE(961),
        [sym_attr_dcl] = STATE(1005),
        [sym_readonly_attr_spec] = STATE(1002),
        [sym_attr_spec] = STATE(1002),
        [sym_bitset_dcl] = STATE(734),
        [sym_bitmask_dcl] = STATE(734),
        [sym_annotation_appl] = STATE(273),
        [sym_extend_annotation_appl] = STATE(274),
        [sym_value_dcl] = STATE(1005),
        [sym_value_def] = STATE(1184),
        [sym_value_kind] = STATE(1183),
        [sym_value_header] = STATE(1181),
        [sym_value_forward_dcl] = STATE(1184),
        [sym_typedef_dcl] = STATE(1180),
        [sym_enum_dcl] = STATE(734),
        [sym_enum_anno] = STATE(1179),
        [sym_union_dcl] = STATE(734),
        [sym_union_forward_dcl] = STATE(735),
        [sym_union_def] = STATE(735),
        [sym_type_id_dcl] = STATE(1005),
        [sym_import_dcl] = STATE(1005),
        [sym_object_type] = STATE(473),
        [sym_op_oneway_dcl] = STATE(636),
        [sym_op_with_context] = STATE(1005),
        [sym_value_box_def] = STATE(1184),
        [sym_value_abs_def] = STATE(1184),
        [sym_type_dcl] = STATE(1005),
        [sym_constr_type_dcl] = STATE(1180),
        [sym_native_dcl] = STATE(1180),
        [sym_struct_dcl] = STATE(734),
        [sym_struct_forward_dcl] = STATE(736),
        [sym_struct_def] = STATE(736),
        [sym_const_dcl] = STATE(1005),
        [sym_comment] = STATE(14),
        [aux_sym_interface_def_repeat1] = STATE(311),
        [aux_sym_interface_body_repeat1] = STATE(13),
        [anon_sym_short] = ACTIONS(209),
        [anon_sym_int16] = ACTIONS(209),
        [anon_sym_long] = ACTIONS(211),
        [anon_sym_int32] = ACTIONS(211),
        [anon_sym_longlong] = ACTIONS(213),
        [anon_sym_int64] = ACTIONS(215),
        [sym_unsigned_tiny_int] = ACTIONS(217),
        [sym_boolean_type] = ACTIONS(219),
        [anon_sym_fixed] = ACTIONS(221),
        [sym_octet_type] = ACTIONS(219),
        [sym_signed_tiny_int] = ACTIONS(223),
        [anon_sym_unsignedshort] = ACTIONS(225),
        [anon_sym_uint16] = ACTIONS(227),
        [anon_sym_unsignedlong] = ACTIONS(229),
        [anon_sym_uint32] = ACTIONS(229),
        [anon_sym_unsignedlonglong] = ACTIONS(231),
        [anon_sym_uint64] = ACTIONS(233),
        [anon_sym_float] = ACTIONS(235),
        [anon_sym_double] = ACTIONS(235),
        [anon_sym_longdouble] = ACTIONS(237),
        [anon_sym_char] = ACTIONS(239),
        [anon_sym_wchar] = ACTIONS(239),
        [anon_sym_COLON_COLON] = ACTIONS(241),
        [anon_sym_string] = ACTIONS(243),
        [anon_sym_wstring] = ACTIONS(243),
        [anon_sym_any] = ACTIONS(245),
        [anon_sym_sequence] = ACTIONS(247),
        [anon_sym_map] = ACTIONS(249),
        [anon_sym_exception] = ACTIONS(251),
        [anon_sym_RBRACE] = ACTIONS(591),
        [anon_sym_abstract] = ACTIONS(255),
        [anon_sym_void] = ACTIONS(257),
        [anon_sym_readonly] = ACTIONS(259),
        [anon_sym_attribute] = ACTIONS(261),
        [anon_sym_bitset] = ACTIONS(263),
        [anon_sym_bitmask] = ACTIONS(265),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(267),
        [anon_sym_valuetype] = ACTIONS(269),
        [anon_sym_struct] = ACTIONS(271),
        [anon_sym_union] = ACTIONS(273),
        [anon_sym_enum] = ACTIONS(275),
        [anon_sym_const] = ACTIONS(277),
        [anon_sym_custom] = ACTIONS(279),
        [anon_sym_typedef] = ACTIONS(285),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(287),
        [anon_sym_import] = ACTIONS(289),
        [anon_sym_Object] = ACTIONS(291),
        [sym_value_base_type] = ACTIONS(219),
        [anon_sym_native] = ACTIONS(293),
        [sym_identifier] = ACTIONS(295),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [15] = {
        [sym_signed_short_int] = STATE(388),
        [sym_signed_long_int] = STATE(388),
        [sym_signed_longlong_int] = STATE(388),
        [sym_unsigned_int] = STATE(371),
        [sym_integer_type] = STATE(473),
        [sym_signed_int] = STATE(371),
        [sym_unsigned_short_int] = STATE(356),
        [sym_unsigned_long_int] = STATE(356),
        [sym_unsigned_longlong_int] = STATE(356),
        [sym_floating_pt_type] = STATE(473),
        [sym_char_type] = STATE(473),
        [sym_scoped_name] = STATE(377),
        [sym_string_type] = STATE(448),
        [sym_type_spec] = STATE(1009),
        [sym_simple_type_spec] = STATE(442),
        [sym_base_type_spec] = STATE(481),
        [sym_any_type] = STATE(473),
        [sym_fixed_pt_type] = STATE(448),
        [sym_template_type_spec] = STATE(442),
        [sym_sequence_type] = STATE(448),
        [sym_map_type] = STATE(448),
        [sym_except_dcl] = STATE(1005),
        [sym_export] = STATE(70),
        [sym_op_dcl] = STATE(636),
        [sym_op_type_spec] = STATE(961),
        [sym_attr_dcl] = STATE(1005),
        [sym_readonly_attr_spec] = STATE(1002),
        [sym_attr_spec] = STATE(1002),
        [sym_bitset_dcl] = STATE(734),
        [sym_bitmask_dcl] = STATE(734),
        [sym_annotation_appl] = STATE(273),
        [sym_extend_annotation_appl] = STATE(274),
        [sym_value_dcl] = STATE(1005),
        [sym_value_def] = STATE(1184),
        [sym_value_kind] = STATE(1183),
        [sym_value_header] = STATE(1181),
        [sym_value_forward_dcl] = STATE(1184),
        [sym_typedef_dcl] = STATE(1180),
        [sym_enum_dcl] = STATE(734),
        [sym_enum_anno] = STATE(1179),
        [sym_union_dcl] = STATE(734),
        [sym_union_forward_dcl] = STATE(735),
        [sym_union_def] = STATE(735),
        [sym_type_id_dcl] = STATE(1005),
        [sym_import_dcl] = STATE(1005),
        [sym_object_type] = STATE(473),
        [sym_op_oneway_dcl] = STATE(636),
        [sym_op_with_context] = STATE(1005),
        [sym_value_box_def] = STATE(1184),
        [sym_value_abs_def] = STATE(1184),
        [sym_type_dcl] = STATE(1005),
        [sym_constr_type_dcl] = STATE(1180),
        [sym_native_dcl] = STATE(1180),
        [sym_struct_dcl] = STATE(734),
        [sym_struct_forward_dcl] = STATE(736),
        [sym_struct_def] = STATE(736),
        [sym_const_dcl] = STATE(1005),
        [sym_comment] = STATE(15),
        [aux_sym_interface_def_repeat1] = STATE(311),
        [aux_sym_interface_body_repeat1] = STATE(13),
        [anon_sym_short] = ACTIONS(209),
        [anon_sym_int16] = ACTIONS(209),
        [anon_sym_long] = ACTIONS(211),
        [anon_sym_int32] = ACTIONS(211),
        [anon_sym_longlong] = ACTIONS(213),
        [anon_sym_int64] = ACTIONS(215),
        [sym_unsigned_tiny_int] = ACTIONS(217),
        [sym_boolean_type] = ACTIONS(219),
        [anon_sym_fixed] = ACTIONS(221),
        [sym_octet_type] = ACTIONS(219),
        [sym_signed_tiny_int] = ACTIONS(223),
        [anon_sym_unsignedshort] = ACTIONS(225),
        [anon_sym_uint16] = ACTIONS(227),
        [anon_sym_unsignedlong] = ACTIONS(229),
        [anon_sym_uint32] = ACTIONS(229),
        [anon_sym_unsignedlonglong] = ACTIONS(231),
        [anon_sym_uint64] = ACTIONS(233),
        [anon_sym_float] = ACTIONS(235),
        [anon_sym_double] = ACTIONS(235),
        [anon_sym_longdouble] = ACTIONS(237),
        [anon_sym_char] = ACTIONS(239),
        [anon_sym_wchar] = ACTIONS(239),
        [anon_sym_COLON_COLON] = ACTIONS(241),
        [anon_sym_string] = ACTIONS(243),
        [anon_sym_wstring] = ACTIONS(243),
        [anon_sym_any] = ACTIONS(245),
        [anon_sym_sequence] = ACTIONS(247),
        [anon_sym_map] = ACTIONS(249),
        [anon_sym_exception] = ACTIONS(251),
        [anon_sym_RBRACE] = ACTIONS(593),
        [anon_sym_abstract] = ACTIONS(255),
        [anon_sym_void] = ACTIONS(257),
        [anon_sym_readonly] = ACTIONS(259),
        [anon_sym_attribute] = ACTIONS(261),
        [anon_sym_bitset] = ACTIONS(263),
        [anon_sym_bitmask] = ACTIONS(265),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(267),
        [anon_sym_valuetype] = ACTIONS(269),
        [anon_sym_struct] = ACTIONS(271),
        [anon_sym_union] = ACTIONS(273),
        [anon_sym_enum] = ACTIONS(275),
        [anon_sym_const] = ACTIONS(277),
        [anon_sym_custom] = ACTIONS(279),
        [anon_sym_typedef] = ACTIONS(285),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(287),
        [anon_sym_import] = ACTIONS(289),
        [anon_sym_Object] = ACTIONS(291),
        [sym_value_base_type] = ACTIONS(219),
        [anon_sym_native] = ACTIONS(293),
        [sym_identifier] = ACTIONS(295),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [16] = {
        [sym_signed_short_int] = STATE(388),
        [sym_signed_long_int] = STATE(388),
        [sym_signed_longlong_int] = STATE(388),
        [sym_unsigned_int] = STATE(371),
        [sym_integer_type] = STATE(473),
        [sym_signed_int] = STATE(371),
        [sym_unsigned_short_int] = STATE(356),
        [sym_unsigned_long_int] = STATE(356),
        [sym_unsigned_longlong_int] = STATE(356),
        [sym_floating_pt_type] = STATE(473),
        [sym_char_type] = STATE(473),
        [sym_scoped_name] = STATE(377),
        [sym_string_type] = STATE(448),
        [sym_type_spec] = STATE(1009),
        [sym_simple_type_spec] = STATE(442),
        [sym_base_type_spec] = STATE(481),
        [sym_any_type] = STATE(473),
        [sym_fixed_pt_type] = STATE(448),
        [sym_template_type_spec] = STATE(442),
        [sym_sequence_type] = STATE(448),
        [sym_map_type] = STATE(448),
        [sym_except_dcl] = STATE(1005),
        [sym_export] = STATE(70),
        [sym_op_dcl] = STATE(636),
        [sym_op_type_spec] = STATE(961),
        [sym_attr_dcl] = STATE(1005),
        [sym_readonly_attr_spec] = STATE(1002),
        [sym_attr_spec] = STATE(1002),
        [sym_bitset_dcl] = STATE(734),
        [sym_bitmask_dcl] = STATE(734),
        [sym_annotation_appl] = STATE(273),
        [sym_extend_annotation_appl] = STATE(274),
        [sym_value_dcl] = STATE(1005),
        [sym_value_def] = STATE(1184),
        [sym_value_kind] = STATE(1183),
        [sym_value_header] = STATE(1181),
        [sym_value_forward_dcl] = STATE(1184),
        [sym_typedef_dcl] = STATE(1180),
        [sym_enum_dcl] = STATE(734),
        [sym_enum_anno] = STATE(1179),
        [sym_union_dcl] = STATE(734),
        [sym_union_forward_dcl] = STATE(735),
        [sym_union_def] = STATE(735),
        [sym_type_id_dcl] = STATE(1005),
        [sym_import_dcl] = STATE(1005),
        [sym_object_type] = STATE(473),
        [sym_op_oneway_dcl] = STATE(636),
        [sym_op_with_context] = STATE(1005),
        [sym_value_box_def] = STATE(1184),
        [sym_value_abs_def] = STATE(1184),
        [sym_type_dcl] = STATE(1005),
        [sym_constr_type_dcl] = STATE(1180),
        [sym_native_dcl] = STATE(1180),
        [sym_struct_dcl] = STATE(734),
        [sym_struct_forward_dcl] = STATE(736),
        [sym_struct_def] = STATE(736),
        [sym_const_dcl] = STATE(1005),
        [sym_comment] = STATE(16),
        [aux_sym_interface_def_repeat1] = STATE(311),
        [aux_sym_interface_body_repeat1] = STATE(13),
        [anon_sym_short] = ACTIONS(209),
        [anon_sym_int16] = ACTIONS(209),
        [anon_sym_long] = ACTIONS(211),
        [anon_sym_int32] = ACTIONS(211),
        [anon_sym_longlong] = ACTIONS(213),
        [anon_sym_int64] = ACTIONS(215),
        [sym_unsigned_tiny_int] = ACTIONS(217),
        [sym_boolean_type] = ACTIONS(219),
        [anon_sym_fixed] = ACTIONS(221),
        [sym_octet_type] = ACTIONS(219),
        [sym_signed_tiny_int] = ACTIONS(223),
        [anon_sym_unsignedshort] = ACTIONS(225),
        [anon_sym_uint16] = ACTIONS(227),
        [anon_sym_unsignedlong] = ACTIONS(229),
        [anon_sym_uint32] = ACTIONS(229),
        [anon_sym_unsignedlonglong] = ACTIONS(231),
        [anon_sym_uint64] = ACTIONS(233),
        [anon_sym_float] = ACTIONS(235),
        [anon_sym_double] = ACTIONS(235),
        [anon_sym_longdouble] = ACTIONS(237),
        [anon_sym_char] = ACTIONS(239),
        [anon_sym_wchar] = ACTIONS(239),
        [anon_sym_COLON_COLON] = ACTIONS(241),
        [anon_sym_string] = ACTIONS(243),
        [anon_sym_wstring] = ACTIONS(243),
        [anon_sym_any] = ACTIONS(245),
        [anon_sym_sequence] = ACTIONS(247),
        [anon_sym_map] = ACTIONS(249),
        [anon_sym_exception] = ACTIONS(251),
        [anon_sym_RBRACE] = ACTIONS(595),
        [anon_sym_abstract] = ACTIONS(255),
        [anon_sym_void] = ACTIONS(257),
        [anon_sym_readonly] = ACTIONS(259),
        [anon_sym_attribute] = ACTIONS(261),
        [anon_sym_bitset] = ACTIONS(263),
        [anon_sym_bitmask] = ACTIONS(265),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(267),
        [anon_sym_valuetype] = ACTIONS(269),
        [anon_sym_struct] = ACTIONS(271),
        [anon_sym_union] = ACTIONS(273),
        [anon_sym_enum] = ACTIONS(275),
        [anon_sym_const] = ACTIONS(277),
        [anon_sym_custom] = ACTIONS(279),
        [anon_sym_typedef] = ACTIONS(285),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(287),
        [anon_sym_import] = ACTIONS(289),
        [anon_sym_Object] = ACTIONS(291),
        [sym_value_base_type] = ACTIONS(219),
        [anon_sym_native] = ACTIONS(293),
        [sym_identifier] = ACTIONS(295),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [17] = {
        [sym_signed_short_int] = STATE(388),
        [sym_signed_long_int] = STATE(388),
        [sym_signed_longlong_int] = STATE(388),
        [sym_unsigned_int] = STATE(371),
        [sym_integer_type] = STATE(473),
        [sym_signed_int] = STATE(371),
        [sym_unsigned_short_int] = STATE(356),
        [sym_unsigned_long_int] = STATE(356),
        [sym_unsigned_longlong_int] = STATE(356),
        [sym_floating_pt_type] = STATE(473),
        [sym_char_type] = STATE(473),
        [sym_scoped_name] = STATE(377),
        [sym_string_type] = STATE(448),
        [sym_type_spec] = STATE(1009),
        [sym_simple_type_spec] = STATE(442),
        [sym_base_type_spec] = STATE(481),
        [sym_any_type] = STATE(473),
        [sym_fixed_pt_type] = STATE(448),
        [sym_template_type_spec] = STATE(442),
        [sym_sequence_type] = STATE(448),
        [sym_map_type] = STATE(448),
        [sym_except_dcl] = STATE(1005),
        [sym_export] = STATE(70),
        [sym_op_dcl] = STATE(636),
        [sym_op_type_spec] = STATE(961),
        [sym_attr_dcl] = STATE(1005),
        [sym_readonly_attr_spec] = STATE(1002),
        [sym_attr_spec] = STATE(1002),
        [sym_bitset_dcl] = STATE(734),
        [sym_bitmask_dcl] = STATE(734),
        [sym_annotation_appl] = STATE(273),
        [sym_extend_annotation_appl] = STATE(274),
        [sym_value_dcl] = STATE(1005),
        [sym_value_def] = STATE(1184),
        [sym_value_kind] = STATE(1183),
        [sym_value_header] = STATE(1181),
        [sym_value_forward_dcl] = STATE(1184),
        [sym_typedef_dcl] = STATE(1180),
        [sym_enum_dcl] = STATE(734),
        [sym_enum_anno] = STATE(1179),
        [sym_union_dcl] = STATE(734),
        [sym_union_forward_dcl] = STATE(735),
        [sym_union_def] = STATE(735),
        [sym_type_id_dcl] = STATE(1005),
        [sym_import_dcl] = STATE(1005),
        [sym_object_type] = STATE(473),
        [sym_op_oneway_dcl] = STATE(636),
        [sym_op_with_context] = STATE(1005),
        [sym_value_box_def] = STATE(1184),
        [sym_value_abs_def] = STATE(1184),
        [sym_type_dcl] = STATE(1005),
        [sym_constr_type_dcl] = STATE(1180),
        [sym_native_dcl] = STATE(1180),
        [sym_struct_dcl] = STATE(734),
        [sym_struct_forward_dcl] = STATE(736),
        [sym_struct_def] = STATE(736),
        [sym_const_dcl] = STATE(1005),
        [sym_comment] = STATE(17),
        [aux_sym_interface_def_repeat1] = STATE(311),
        [aux_sym_interface_body_repeat1] = STATE(16),
        [anon_sym_short] = ACTIONS(209),
        [anon_sym_int16] = ACTIONS(209),
        [anon_sym_long] = ACTIONS(211),
        [anon_sym_int32] = ACTIONS(211),
        [anon_sym_longlong] = ACTIONS(213),
        [anon_sym_int64] = ACTIONS(215),
        [sym_unsigned_tiny_int] = ACTIONS(217),
        [sym_boolean_type] = ACTIONS(219),
        [anon_sym_fixed] = ACTIONS(221),
        [sym_octet_type] = ACTIONS(219),
        [sym_signed_tiny_int] = ACTIONS(223),
        [anon_sym_unsignedshort] = ACTIONS(225),
        [anon_sym_uint16] = ACTIONS(227),
        [anon_sym_unsignedlong] = ACTIONS(229),
        [anon_sym_uint32] = ACTIONS(229),
        [anon_sym_unsignedlonglong] = ACTIONS(231),
        [anon_sym_uint64] = ACTIONS(233),
        [anon_sym_float] = ACTIONS(235),
        [anon_sym_double] = ACTIONS(235),
        [anon_sym_longdouble] = ACTIONS(237),
        [anon_sym_char] = ACTIONS(239),
        [anon_sym_wchar] = ACTIONS(239),
        [anon_sym_COLON_COLON] = ACTIONS(241),
        [anon_sym_string] = ACTIONS(243),
        [anon_sym_wstring] = ACTIONS(243),
        [anon_sym_any] = ACTIONS(245),
        [anon_sym_sequence] = ACTIONS(247),
        [anon_sym_map] = ACTIONS(249),
        [anon_sym_exception] = ACTIONS(251),
        [anon_sym_RBRACE] = ACTIONS(597),
        [anon_sym_abstract] = ACTIONS(255),
        [anon_sym_void] = ACTIONS(257),
        [anon_sym_readonly] = ACTIONS(259),
        [anon_sym_attribute] = ACTIONS(261),
        [anon_sym_bitset] = ACTIONS(263),
        [anon_sym_bitmask] = ACTIONS(265),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(267),
        [anon_sym_valuetype] = ACTIONS(269),
        [anon_sym_struct] = ACTIONS(271),
        [anon_sym_union] = ACTIONS(273),
        [anon_sym_enum] = ACTIONS(275),
        [anon_sym_const] = ACTIONS(277),
        [anon_sym_custom] = ACTIONS(279),
        [anon_sym_typedef] = ACTIONS(285),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(287),
        [anon_sym_import] = ACTIONS(289),
        [anon_sym_Object] = ACTIONS(291),
        [sym_value_base_type] = ACTIONS(219),
        [anon_sym_native] = ACTIONS(293),
        [sym_identifier] = ACTIONS(295),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [18] = {
        [sym_signed_short_int] = STATE(388),
        [sym_signed_long_int] = STATE(388),
        [sym_signed_longlong_int] = STATE(388),
        [sym_unsigned_int] = STATE(371),
        [sym_integer_type] = STATE(473),
        [sym_signed_int] = STATE(371),
        [sym_unsigned_short_int] = STATE(356),
        [sym_unsigned_long_int] = STATE(356),
        [sym_unsigned_longlong_int] = STATE(356),
        [sym_floating_pt_type] = STATE(473),
        [sym_char_type] = STATE(473),
        [sym_scoped_name] = STATE(377),
        [sym_string_type] = STATE(448),
        [sym_type_spec] = STATE(1009),
        [sym_simple_type_spec] = STATE(442),
        [sym_base_type_spec] = STATE(481),
        [sym_any_type] = STATE(473),
        [sym_fixed_pt_type] = STATE(448),
        [sym_template_type_spec] = STATE(442),
        [sym_sequence_type] = STATE(448),
        [sym_map_type] = STATE(448),
        [sym_except_dcl] = STATE(1005),
        [sym_export] = STATE(70),
        [sym_op_dcl] = STATE(636),
        [sym_op_type_spec] = STATE(961),
        [sym_attr_dcl] = STATE(1005),
        [sym_readonly_attr_spec] = STATE(1002),
        [sym_attr_spec] = STATE(1002),
        [sym_bitset_dcl] = STATE(734),
        [sym_bitmask_dcl] = STATE(734),
        [sym_annotation_appl] = STATE(273),
        [sym_extend_annotation_appl] = STATE(274),
        [sym_value_dcl] = STATE(1005),
        [sym_value_def] = STATE(1184),
        [sym_value_kind] = STATE(1183),
        [sym_value_header] = STATE(1181),
        [sym_value_forward_dcl] = STATE(1184),
        [sym_typedef_dcl] = STATE(1180),
        [sym_enum_dcl] = STATE(734),
        [sym_enum_anno] = STATE(1179),
        [sym_union_dcl] = STATE(734),
        [sym_union_forward_dcl] = STATE(735),
        [sym_union_def] = STATE(735),
        [sym_type_id_dcl] = STATE(1005),
        [sym_import_dcl] = STATE(1005),
        [sym_object_type] = STATE(473),
        [sym_op_oneway_dcl] = STATE(636),
        [sym_op_with_context] = STATE(1005),
        [sym_value_box_def] = STATE(1184),
        [sym_value_abs_def] = STATE(1184),
        [sym_type_dcl] = STATE(1005),
        [sym_constr_type_dcl] = STATE(1180),
        [sym_native_dcl] = STATE(1180),
        [sym_struct_dcl] = STATE(734),
        [sym_struct_forward_dcl] = STATE(736),
        [sym_struct_def] = STATE(736),
        [sym_const_dcl] = STATE(1005),
        [sym_comment] = STATE(18),
        [aux_sym_interface_def_repeat1] = STATE(311),
        [aux_sym_interface_body_repeat1] = STATE(14),
        [anon_sym_short] = ACTIONS(209),
        [anon_sym_int16] = ACTIONS(209),
        [anon_sym_long] = ACTIONS(211),
        [anon_sym_int32] = ACTIONS(211),
        [anon_sym_longlong] = ACTIONS(213),
        [anon_sym_int64] = ACTIONS(215),
        [sym_unsigned_tiny_int] = ACTIONS(217),
        [sym_boolean_type] = ACTIONS(219),
        [anon_sym_fixed] = ACTIONS(221),
        [sym_octet_type] = ACTIONS(219),
        [sym_signed_tiny_int] = ACTIONS(223),
        [anon_sym_unsignedshort] = ACTIONS(225),
        [anon_sym_uint16] = ACTIONS(227),
        [anon_sym_unsignedlong] = ACTIONS(229),
        [anon_sym_uint32] = ACTIONS(229),
        [anon_sym_unsignedlonglong] = ACTIONS(231),
        [anon_sym_uint64] = ACTIONS(233),
        [anon_sym_float] = ACTIONS(235),
        [anon_sym_double] = ACTIONS(235),
        [anon_sym_longdouble] = ACTIONS(237),
        [anon_sym_char] = ACTIONS(239),
        [anon_sym_wchar] = ACTIONS(239),
        [anon_sym_COLON_COLON] = ACTIONS(241),
        [anon_sym_string] = ACTIONS(243),
        [anon_sym_wstring] = ACTIONS(243),
        [anon_sym_any] = ACTIONS(245),
        [anon_sym_sequence] = ACTIONS(247),
        [anon_sym_map] = ACTIONS(249),
        [anon_sym_exception] = ACTIONS(251),
        [anon_sym_RBRACE] = ACTIONS(595),
        [anon_sym_abstract] = ACTIONS(255),
        [anon_sym_void] = ACTIONS(257),
        [anon_sym_readonly] = ACTIONS(259),
        [anon_sym_attribute] = ACTIONS(261),
        [anon_sym_bitset] = ACTIONS(263),
        [anon_sym_bitmask] = ACTIONS(265),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(267),
        [anon_sym_valuetype] = ACTIONS(269),
        [anon_sym_struct] = ACTIONS(271),
        [anon_sym_union] = ACTIONS(273),
        [anon_sym_enum] = ACTIONS(275),
        [anon_sym_const] = ACTIONS(277),
        [anon_sym_custom] = ACTIONS(279),
        [anon_sym_typedef] = ACTIONS(285),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(287),
        [anon_sym_import] = ACTIONS(289),
        [anon_sym_Object] = ACTIONS(291),
        [sym_value_base_type] = ACTIONS(219),
        [anon_sym_native] = ACTIONS(293),
        [sym_identifier] = ACTIONS(295),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [19] = {
        [sym_signed_short_int] = STATE(388),
        [sym_signed_long_int] = STATE(388),
        [sym_signed_longlong_int] = STATE(388),
        [sym_unsigned_int] = STATE(371),
        [sym_integer_type] = STATE(473),
        [sym_signed_int] = STATE(371),
        [sym_unsigned_short_int] = STATE(356),
        [sym_unsigned_long_int] = STATE(356),
        [sym_unsigned_longlong_int] = STATE(356),
        [sym_floating_pt_type] = STATE(473),
        [sym_char_type] = STATE(473),
        [sym_scoped_name] = STATE(377),
        [sym_string_type] = STATE(448),
        [sym_type_spec] = STATE(1009),
        [sym_simple_type_spec] = STATE(442),
        [sym_base_type_spec] = STATE(481),
        [sym_any_type] = STATE(473),
        [sym_fixed_pt_type] = STATE(448),
        [sym_template_type_spec] = STATE(442),
        [sym_sequence_type] = STATE(448),
        [sym_map_type] = STATE(448),
        [sym_except_dcl] = STATE(1005),
        [sym_export] = STATE(70),
        [sym_op_dcl] = STATE(636),
        [sym_op_type_spec] = STATE(961),
        [sym_attr_dcl] = STATE(1005),
        [sym_readonly_attr_spec] = STATE(1002),
        [sym_attr_spec] = STATE(1002),
        [sym_bitset_dcl] = STATE(734),
        [sym_bitmask_dcl] = STATE(734),
        [sym_annotation_appl] = STATE(273),
        [sym_extend_annotation_appl] = STATE(274),
        [sym_value_dcl] = STATE(1005),
        [sym_value_def] = STATE(1184),
        [sym_value_kind] = STATE(1183),
        [sym_value_header] = STATE(1181),
        [sym_value_forward_dcl] = STATE(1184),
        [sym_typedef_dcl] = STATE(1180),
        [sym_enum_dcl] = STATE(734),
        [sym_enum_anno] = STATE(1179),
        [sym_union_dcl] = STATE(734),
        [sym_union_forward_dcl] = STATE(735),
        [sym_union_def] = STATE(735),
        [sym_type_id_dcl] = STATE(1005),
        [sym_import_dcl] = STATE(1005),
        [sym_object_type] = STATE(473),
        [sym_op_oneway_dcl] = STATE(636),
        [sym_op_with_context] = STATE(1005),
        [sym_value_box_def] = STATE(1184),
        [sym_value_abs_def] = STATE(1184),
        [sym_type_dcl] = STATE(1005),
        [sym_constr_type_dcl] = STATE(1180),
        [sym_native_dcl] = STATE(1180),
        [sym_struct_dcl] = STATE(734),
        [sym_struct_forward_dcl] = STATE(736),
        [sym_struct_def] = STATE(736),
        [sym_const_dcl] = STATE(1005),
        [sym_comment] = STATE(19),
        [aux_sym_interface_def_repeat1] = STATE(311),
        [aux_sym_interface_body_repeat1] = STATE(13),
        [anon_sym_short] = ACTIONS(209),
        [anon_sym_int16] = ACTIONS(209),
        [anon_sym_long] = ACTIONS(211),
        [anon_sym_int32] = ACTIONS(211),
        [anon_sym_longlong] = ACTIONS(213),
        [anon_sym_int64] = ACTIONS(215),
        [sym_unsigned_tiny_int] = ACTIONS(217),
        [sym_boolean_type] = ACTIONS(219),
        [anon_sym_fixed] = ACTIONS(221),
        [sym_octet_type] = ACTIONS(219),
        [sym_signed_tiny_int] = ACTIONS(223),
        [anon_sym_unsignedshort] = ACTIONS(225),
        [anon_sym_uint16] = ACTIONS(227),
        [anon_sym_unsignedlong] = ACTIONS(229),
        [anon_sym_uint32] = ACTIONS(229),
        [anon_sym_unsignedlonglong] = ACTIONS(231),
        [anon_sym_uint64] = ACTIONS(233),
        [anon_sym_float] = ACTIONS(235),
        [anon_sym_double] = ACTIONS(235),
        [anon_sym_longdouble] = ACTIONS(237),
        [anon_sym_char] = ACTIONS(239),
        [anon_sym_wchar] = ACTIONS(239),
        [anon_sym_COLON_COLON] = ACTIONS(241),
        [anon_sym_string] = ACTIONS(243),
        [anon_sym_wstring] = ACTIONS(243),
        [anon_sym_any] = ACTIONS(245),
        [anon_sym_sequence] = ACTIONS(247),
        [anon_sym_map] = ACTIONS(249),
        [anon_sym_exception] = ACTIONS(251),
        [anon_sym_RBRACE] = ACTIONS(599),
        [anon_sym_abstract] = ACTIONS(255),
        [anon_sym_void] = ACTIONS(257),
        [anon_sym_readonly] = ACTIONS(259),
        [anon_sym_attribute] = ACTIONS(261),
        [anon_sym_bitset] = ACTIONS(263),
        [anon_sym_bitmask] = ACTIONS(265),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(267),
        [anon_sym_valuetype] = ACTIONS(269),
        [anon_sym_struct] = ACTIONS(271),
        [anon_sym_union] = ACTIONS(273),
        [anon_sym_enum] = ACTIONS(275),
        [anon_sym_const] = ACTIONS(277),
        [anon_sym_custom] = ACTIONS(279),
        [anon_sym_typedef] = ACTIONS(285),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(287),
        [anon_sym_import] = ACTIONS(289),
        [anon_sym_Object] = ACTIONS(291),
        [sym_value_base_type] = ACTIONS(219),
        [anon_sym_native] = ACTIONS(293),
        [sym_identifier] = ACTIONS(295),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [20] = {
        [sym_signed_short_int] = STATE(388),
        [sym_signed_long_int] = STATE(388),
        [sym_signed_longlong_int] = STATE(388),
        [sym_unsigned_int] = STATE(371),
        [sym_integer_type] = STATE(473),
        [sym_signed_int] = STATE(371),
        [sym_unsigned_short_int] = STATE(356),
        [sym_unsigned_long_int] = STATE(356),
        [sym_unsigned_longlong_int] = STATE(356),
        [sym_floating_pt_type] = STATE(473),
        [sym_char_type] = STATE(473),
        [sym_scoped_name] = STATE(377),
        [sym_string_type] = STATE(448),
        [sym_type_spec] = STATE(1009),
        [sym_simple_type_spec] = STATE(442),
        [sym_base_type_spec] = STATE(481),
        [sym_any_type] = STATE(473),
        [sym_fixed_pt_type] = STATE(448),
        [sym_template_type_spec] = STATE(442),
        [sym_sequence_type] = STATE(448),
        [sym_map_type] = STATE(448),
        [sym_except_dcl] = STATE(1005),
        [sym_export] = STATE(70),
        [sym_op_dcl] = STATE(636),
        [sym_op_type_spec] = STATE(961),
        [sym_attr_dcl] = STATE(1005),
        [sym_readonly_attr_spec] = STATE(1002),
        [sym_attr_spec] = STATE(1002),
        [sym_bitset_dcl] = STATE(734),
        [sym_bitmask_dcl] = STATE(734),
        [sym_annotation_appl] = STATE(273),
        [sym_extend_annotation_appl] = STATE(274),
        [sym_value_dcl] = STATE(1005),
        [sym_value_def] = STATE(1184),
        [sym_value_kind] = STATE(1183),
        [sym_value_header] = STATE(1181),
        [sym_value_forward_dcl] = STATE(1184),
        [sym_typedef_dcl] = STATE(1180),
        [sym_enum_dcl] = STATE(734),
        [sym_enum_anno] = STATE(1179),
        [sym_union_dcl] = STATE(734),
        [sym_union_forward_dcl] = STATE(735),
        [sym_union_def] = STATE(735),
        [sym_type_id_dcl] = STATE(1005),
        [sym_import_dcl] = STATE(1005),
        [sym_object_type] = STATE(473),
        [sym_op_oneway_dcl] = STATE(636),
        [sym_op_with_context] = STATE(1005),
        [sym_value_box_def] = STATE(1184),
        [sym_value_abs_def] = STATE(1184),
        [sym_type_dcl] = STATE(1005),
        [sym_constr_type_dcl] = STATE(1180),
        [sym_native_dcl] = STATE(1180),
        [sym_struct_dcl] = STATE(734),
        [sym_struct_forward_dcl] = STATE(736),
        [sym_struct_def] = STATE(736),
        [sym_const_dcl] = STATE(1005),
        [sym_comment] = STATE(20),
        [aux_sym_interface_def_repeat1] = STATE(311),
        [aux_sym_interface_body_repeat1] = STATE(13),
        [anon_sym_short] = ACTIONS(209),
        [anon_sym_int16] = ACTIONS(209),
        [anon_sym_long] = ACTIONS(211),
        [anon_sym_int32] = ACTIONS(211),
        [anon_sym_longlong] = ACTIONS(213),
        [anon_sym_int64] = ACTIONS(215),
        [sym_unsigned_tiny_int] = ACTIONS(217),
        [sym_boolean_type] = ACTIONS(219),
        [anon_sym_fixed] = ACTIONS(221),
        [sym_octet_type] = ACTIONS(219),
        [sym_signed_tiny_int] = ACTIONS(223),
        [anon_sym_unsignedshort] = ACTIONS(225),
        [anon_sym_uint16] = ACTIONS(227),
        [anon_sym_unsignedlong] = ACTIONS(229),
        [anon_sym_uint32] = ACTIONS(229),
        [anon_sym_unsignedlonglong] = ACTIONS(231),
        [anon_sym_uint64] = ACTIONS(233),
        [anon_sym_float] = ACTIONS(235),
        [anon_sym_double] = ACTIONS(235),
        [anon_sym_longdouble] = ACTIONS(237),
        [anon_sym_char] = ACTIONS(239),
        [anon_sym_wchar] = ACTIONS(239),
        [anon_sym_COLON_COLON] = ACTIONS(241),
        [anon_sym_string] = ACTIONS(243),
        [anon_sym_wstring] = ACTIONS(243),
        [anon_sym_any] = ACTIONS(245),
        [anon_sym_sequence] = ACTIONS(247),
        [anon_sym_map] = ACTIONS(249),
        [anon_sym_exception] = ACTIONS(251),
        [anon_sym_RBRACE] = ACTIONS(601),
        [anon_sym_abstract] = ACTIONS(255),
        [anon_sym_void] = ACTIONS(257),
        [anon_sym_readonly] = ACTIONS(259),
        [anon_sym_attribute] = ACTIONS(261),
        [anon_sym_bitset] = ACTIONS(263),
        [anon_sym_bitmask] = ACTIONS(265),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(267),
        [anon_sym_valuetype] = ACTIONS(269),
        [anon_sym_struct] = ACTIONS(271),
        [anon_sym_union] = ACTIONS(273),
        [anon_sym_enum] = ACTIONS(275),
        [anon_sym_const] = ACTIONS(277),
        [anon_sym_custom] = ACTIONS(279),
        [anon_sym_typedef] = ACTIONS(285),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(287),
        [anon_sym_import] = ACTIONS(289),
        [anon_sym_Object] = ACTIONS(291),
        [sym_value_base_type] = ACTIONS(219),
        [anon_sym_native] = ACTIONS(293),
        [sym_identifier] = ACTIONS(295),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [21] = {
        [sym_signed_short_int] = STATE(388),
        [sym_signed_long_int] = STATE(388),
        [sym_signed_longlong_int] = STATE(388),
        [sym_unsigned_int] = STATE(371),
        [sym_integer_type] = STATE(473),
        [sym_signed_int] = STATE(371),
        [sym_unsigned_short_int] = STATE(356),
        [sym_unsigned_long_int] = STATE(356),
        [sym_unsigned_longlong_int] = STATE(356),
        [sym_floating_pt_type] = STATE(473),
        [sym_char_type] = STATE(473),
        [sym_scoped_name] = STATE(377),
        [sym_string_type] = STATE(448),
        [sym_type_spec] = STATE(1009),
        [sym_simple_type_spec] = STATE(442),
        [sym_base_type_spec] = STATE(481),
        [sym_any_type] = STATE(473),
        [sym_fixed_pt_type] = STATE(448),
        [sym_template_type_spec] = STATE(442),
        [sym_sequence_type] = STATE(448),
        [sym_map_type] = STATE(448),
        [sym_except_dcl] = STATE(1005),
        [sym_export] = STATE(70),
        [sym_op_dcl] = STATE(636),
        [sym_op_type_spec] = STATE(961),
        [sym_attr_dcl] = STATE(1005),
        [sym_readonly_attr_spec] = STATE(1002),
        [sym_attr_spec] = STATE(1002),
        [sym_bitset_dcl] = STATE(734),
        [sym_bitmask_dcl] = STATE(734),
        [sym_annotation_appl] = STATE(273),
        [sym_extend_annotation_appl] = STATE(274),
        [sym_value_dcl] = STATE(1005),
        [sym_value_def] = STATE(1184),
        [sym_value_kind] = STATE(1183),
        [sym_value_header] = STATE(1181),
        [sym_value_forward_dcl] = STATE(1184),
        [sym_typedef_dcl] = STATE(1180),
        [sym_enum_dcl] = STATE(734),
        [sym_enum_anno] = STATE(1179),
        [sym_union_dcl] = STATE(734),
        [sym_union_forward_dcl] = STATE(735),
        [sym_union_def] = STATE(735),
        [sym_type_id_dcl] = STATE(1005),
        [sym_import_dcl] = STATE(1005),
        [sym_object_type] = STATE(473),
        [sym_op_oneway_dcl] = STATE(636),
        [sym_op_with_context] = STATE(1005),
        [sym_value_box_def] = STATE(1184),
        [sym_value_abs_def] = STATE(1184),
        [sym_type_dcl] = STATE(1005),
        [sym_constr_type_dcl] = STATE(1180),
        [sym_native_dcl] = STATE(1180),
        [sym_struct_dcl] = STATE(734),
        [sym_struct_forward_dcl] = STATE(736),
        [sym_struct_def] = STATE(736),
        [sym_const_dcl] = STATE(1005),
        [sym_comment] = STATE(21),
        [aux_sym_interface_def_repeat1] = STATE(311),
        [aux_sym_interface_body_repeat1] = STATE(15),
        [anon_sym_short] = ACTIONS(209),
        [anon_sym_int16] = ACTIONS(209),
        [anon_sym_long] = ACTIONS(211),
        [anon_sym_int32] = ACTIONS(211),
        [anon_sym_longlong] = ACTIONS(213),
        [anon_sym_int64] = ACTIONS(215),
        [sym_unsigned_tiny_int] = ACTIONS(217),
        [sym_boolean_type] = ACTIONS(219),
        [anon_sym_fixed] = ACTIONS(221),
        [sym_octet_type] = ACTIONS(219),
        [sym_signed_tiny_int] = ACTIONS(223),
        [anon_sym_unsignedshort] = ACTIONS(225),
        [anon_sym_uint16] = ACTIONS(227),
        [anon_sym_unsignedlong] = ACTIONS(229),
        [anon_sym_uint32] = ACTIONS(229),
        [anon_sym_unsignedlonglong] = ACTIONS(231),
        [anon_sym_uint64] = ACTIONS(233),
        [anon_sym_float] = ACTIONS(235),
        [anon_sym_double] = ACTIONS(235),
        [anon_sym_longdouble] = ACTIONS(237),
        [anon_sym_char] = ACTIONS(239),
        [anon_sym_wchar] = ACTIONS(239),
        [anon_sym_COLON_COLON] = ACTIONS(241),
        [anon_sym_string] = ACTIONS(243),
        [anon_sym_wstring] = ACTIONS(243),
        [anon_sym_any] = ACTIONS(245),
        [anon_sym_sequence] = ACTIONS(247),
        [anon_sym_map] = ACTIONS(249),
        [anon_sym_exception] = ACTIONS(251),
        [anon_sym_RBRACE] = ACTIONS(601),
        [anon_sym_abstract] = ACTIONS(255),
        [anon_sym_void] = ACTIONS(257),
        [anon_sym_readonly] = ACTIONS(259),
        [anon_sym_attribute] = ACTIONS(261),
        [anon_sym_bitset] = ACTIONS(263),
        [anon_sym_bitmask] = ACTIONS(265),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(267),
        [anon_sym_valuetype] = ACTIONS(269),
        [anon_sym_struct] = ACTIONS(271),
        [anon_sym_union] = ACTIONS(273),
        [anon_sym_enum] = ACTIONS(275),
        [anon_sym_const] = ACTIONS(277),
        [anon_sym_custom] = ACTIONS(279),
        [anon_sym_typedef] = ACTIONS(285),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(287),
        [anon_sym_import] = ACTIONS(289),
        [anon_sym_Object] = ACTIONS(291),
        [sym_value_base_type] = ACTIONS(219),
        [anon_sym_native] = ACTIONS(293),
        [sym_identifier] = ACTIONS(295),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [22] = {
        [sym_preproc_define] = STATE(152),
        [sym_preproc_call] = STATE(152),
        [sym_preproc_include] = STATE(152),
        [sym_except_dcl] = STATE(1189),
        [sym_interface_dcl] = STATE(1189),
        [sym_interface_kind] = STATE(1188),
        [sym_interface_forward_dcl] = STATE(1187),
        [sym_interface_def] = STATE(1187),
        [sym_interface_header] = STATE(1186),
        [sym_bitset_dcl] = STATE(734),
        [sym_bitmask_dcl] = STATE(734),
        [sym_annotation_dcl] = STATE(1189),
        [sym_annotation_appl] = STATE(273),
        [sym_extend_annotation_appl] = STATE(274),
        [sym_template_module_dcl] = STATE(1189),
        [sym_template_module_inst] = STATE(1189),
        [sym_value_dcl] = STATE(1189),
        [sym_value_def] = STATE(1184),
        [sym_value_kind] = STATE(1183),
        [sym_value_header] = STATE(1181),
        [sym_value_forward_dcl] = STATE(1184),
        [sym_typedef_dcl] = STATE(1180),
        [sym_enum_dcl] = STATE(734),
        [sym_enum_anno] = STATE(1179),
        [sym_union_dcl] = STATE(734),
        [sym_union_forward_dcl] = STATE(735),
        [sym_union_def] = STATE(735),
        [sym_type_id_dcl] = STATE(1189),
        [sym_type_prefix_dcl] = STATE(1189),
        [sym_import_dcl] = STATE(1189),
        [sym_value_box_def] = STATE(1184),
        [sym_value_abs_def] = STATE(1184),
        [sym_component_dcl] = STATE(1189),
        [sym_component_forward_dcl] = STATE(1177),
        [sym_component_def] = STATE(1177),
        [sym_component_header] = STATE(1176),
        [sym_home_dcl] = STATE(1189),
        [sym_home_header] = STATE(1175),
        [sym_event_dcl] = STATE(1189),
        [sym_event_forward_dcl] = STATE(1172),
        [sym_event_abs_def] = STATE(1172),
        [sym_event_def] = STATE(1172),
        [sym_event_header] = STATE(1171),
        [sym_porttype_dcl] = STATE(1189),
        [sym_porttype_forward_dcl] = STATE(1170),
        [sym_porttype_def] = STATE(1170),
        [sym_connector_dcl] = STATE(1189),
        [sym_connector_header] = STATE(1169),
        [sym_definition] = STATE(152),
        [sym_type_dcl] = STATE(1189),
        [sym_constr_type_dcl] = STATE(1180),
        [sym_native_dcl] = STATE(1180),
        [sym_module_dcl] = STATE(1189),
        [sym_struct_dcl] = STATE(734),
        [sym_struct_forward_dcl] = STATE(736),
        [sym_struct_def] = STATE(736),
        [sym_const_dcl] = STATE(1189),
        [sym_comment] = STATE(22),
        [aux_sym_specification_repeat1] = STATE(22),
        [aux_sym_interface_def_repeat1] = STATE(224),
        [ts_builtin_sym_end] = ACTIONS(603),
        [anon_sym_POUNDdefine] = ACTIONS(605),
        [sym_preproc_directive] = ACTIONS(608),
        [aux_sym_preproc_include_token1] = ACTIONS(611),
        [anon_sym_exception] = ACTIONS(614),
        [anon_sym_local] = ACTIONS(617),
        [anon_sym_abstract] = ACTIONS(620),
        [anon_sym_interface] = ACTIONS(623),
        [anon_sym_bitset] = ACTIONS(626),
        [anon_sym_bitmask] = ACTIONS(629),
        [anon_sym_ATannotation] = ACTIONS(632),
        [anon_sym_AT] = ACTIONS(635),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(638),
        [anon_sym_module] = ACTIONS(641),
        [anon_sym_valuetype] = ACTIONS(644),
        [anon_sym_eventtype] = ACTIONS(647),
        [anon_sym_struct] = ACTIONS(650),
        [anon_sym_union] = ACTIONS(653),
        [anon_sym_enum] = ACTIONS(656),
        [anon_sym_const] = ACTIONS(659),
        [anon_sym_custom] = ACTIONS(662),
        [anon_sym_typedef] = ACTIONS(665),
        [anon_sym_ATignore_literal_names] = ACTIONS(668),
        [anon_sym_typeid] = ACTIONS(671),
        [anon_sym_typeprefix] = ACTIONS(674),
        [anon_sym_import] = ACTIONS(677),
        [anon_sym_component] = ACTIONS(680),
        [anon_sym_home] = ACTIONS(683),
        [anon_sym_porttype] = ACTIONS(686),
        [anon_sym_connector] = ACTIONS(689),
        [anon_sym_native] = ACTIONS(692),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [23] = {
        [sym_preproc_define] = STATE(152),
        [sym_preproc_call] = STATE(152),
        [sym_preproc_include] = STATE(152),
        [sym_except_dcl] = STATE(1189),
        [sym_interface_dcl] = STATE(1189),
        [sym_interface_kind] = STATE(1188),
        [sym_interface_forward_dcl] = STATE(1187),
        [sym_interface_def] = STATE(1187),
        [sym_interface_header] = STATE(1186),
        [sym_bitset_dcl] = STATE(734),
        [sym_bitmask_dcl] = STATE(734),
        [sym_annotation_dcl] = STATE(1189),
        [sym_annotation_appl] = STATE(273),
        [sym_extend_annotation_appl] = STATE(274),
        [sym_template_module_dcl] = STATE(1189),
        [sym_template_module_inst] = STATE(1189),
        [sym_value_dcl] = STATE(1189),
        [sym_value_def] = STATE(1184),
        [sym_value_kind] = STATE(1183),
        [sym_value_header] = STATE(1181),
        [sym_value_forward_dcl] = STATE(1184),
        [sym_typedef_dcl] = STATE(1180),
        [sym_enum_dcl] = STATE(734),
        [sym_enum_anno] = STATE(1179),
        [sym_union_dcl] = STATE(734),
        [sym_union_forward_dcl] = STATE(735),
        [sym_union_def] = STATE(735),
        [sym_type_id_dcl] = STATE(1189),
        [sym_type_prefix_dcl] = STATE(1189),
        [sym_import_dcl] = STATE(1189),
        [sym_value_box_def] = STATE(1184),
        [sym_value_abs_def] = STATE(1184),
        [sym_component_dcl] = STATE(1189),
        [sym_component_forward_dcl] = STATE(1177),
        [sym_component_def] = STATE(1177),
        [sym_component_header] = STATE(1176),
        [sym_home_dcl] = STATE(1189),
        [sym_home_header] = STATE(1175),
        [sym_event_dcl] = STATE(1189),
        [sym_event_forward_dcl] = STATE(1172),
        [sym_event_abs_def] = STATE(1172),
        [sym_event_def] = STATE(1172),
        [sym_event_header] = STATE(1171),
        [sym_porttype_dcl] = STATE(1189),
        [sym_porttype_forward_dcl] = STATE(1170),
        [sym_porttype_def] = STATE(1170),
        [sym_connector_dcl] = STATE(1189),
        [sym_connector_header] = STATE(1169),
        [sym_definition] = STATE(152),
        [sym_type_dcl] = STATE(1189),
        [sym_constr_type_dcl] = STATE(1180),
        [sym_native_dcl] = STATE(1180),
        [sym_module_dcl] = STATE(1189),
        [sym_struct_dcl] = STATE(734),
        [sym_struct_forward_dcl] = STATE(736),
        [sym_struct_def] = STATE(736),
        [sym_const_dcl] = STATE(1189),
        [sym_comment] = STATE(23),
        [aux_sym_specification_repeat1] = STATE(22),
        [aux_sym_interface_def_repeat1] = STATE(224),
        [ts_builtin_sym_end] = ACTIONS(695),
        [anon_sym_POUNDdefine] = ACTIONS(9),
        [sym_preproc_directive] = ACTIONS(11),
        [aux_sym_preproc_include_token1] = ACTIONS(13),
        [anon_sym_exception] = ACTIONS(15),
        [anon_sym_local] = ACTIONS(17),
        [anon_sym_abstract] = ACTIONS(19),
        [anon_sym_interface] = ACTIONS(21),
        [anon_sym_bitset] = ACTIONS(23),
        [anon_sym_bitmask] = ACTIONS(25),
        [anon_sym_ATannotation] = ACTIONS(27),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_module] = ACTIONS(33),
        [anon_sym_valuetype] = ACTIONS(35),
        [anon_sym_eventtype] = ACTIONS(37),
        [anon_sym_struct] = ACTIONS(39),
        [anon_sym_union] = ACTIONS(41),
        [anon_sym_enum] = ACTIONS(43),
        [anon_sym_const] = ACTIONS(45),
        [anon_sym_custom] = ACTIONS(47),
        [anon_sym_typedef] = ACTIONS(49),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(53),
        [anon_sym_typeprefix] = ACTIONS(55),
        [anon_sym_import] = ACTIONS(57),
        [anon_sym_component] = ACTIONS(59),
        [anon_sym_home] = ACTIONS(61),
        [anon_sym_porttype] = ACTIONS(63),
        [anon_sym_connector] = ACTIONS(65),
        [anon_sym_native] = ACTIONS(67),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [24] = {
        [sym_except_dcl] = STATE(1189),
        [sym_interface_dcl] = STATE(1189),
        [sym_interface_kind] = STATE(1188),
        [sym_interface_forward_dcl] = STATE(1187),
        [sym_interface_def] = STATE(1187),
        [sym_interface_header] = STATE(1186),
        [sym_bitset_dcl] = STATE(734),
        [sym_bitmask_dcl] = STATE(734),
        [sym_annotation_dcl] = STATE(1189),
        [sym_annotation_appl] = STATE(273),
        [sym_extend_annotation_appl] = STATE(274),
        [sym_template_module_dcl] = STATE(1189),
        [sym_tpl_definition] = STATE(162),
        [sym_template_module_inst] = STATE(1189),
        [sym_template_module_ref] = STATE(1072),
        [sym_value_dcl] = STATE(1189),
        [sym_value_def] = STATE(1184),
        [sym_value_kind] = STATE(1183),
        [sym_value_header] = STATE(1181),
        [sym_value_forward_dcl] = STATE(1184),
        [sym_typedef_dcl] = STATE(1180),
        [sym_enum_dcl] = STATE(734),
        [sym_enum_anno] = STATE(1179),
        [sym_union_dcl] = STATE(734),
        [sym_union_forward_dcl] = STATE(735),
        [sym_union_def] = STATE(735),
        [sym_type_id_dcl] = STATE(1189),
        [sym_type_prefix_dcl] = STATE(1189),
        [sym_import_dcl] = STATE(1189),
        [sym_value_box_def] = STATE(1184),
        [sym_value_abs_def] = STATE(1184),
        [sym_component_dcl] = STATE(1189),
        [sym_component_forward_dcl] = STATE(1177),
        [sym_component_def] = STATE(1177),
        [sym_component_header] = STATE(1176),
        [sym_home_dcl] = STATE(1189),
        [sym_home_header] = STATE(1175),
        [sym_event_dcl] = STATE(1189),
        [sym_event_forward_dcl] = STATE(1172),
        [sym_event_abs_def] = STATE(1172),
        [sym_event_def] = STATE(1172),
        [sym_event_header] = STATE(1171),
        [sym_porttype_dcl] = STATE(1189),
        [sym_porttype_forward_dcl] = STATE(1170),
        [sym_porttype_def] = STATE(1170),
        [sym_connector_dcl] = STATE(1189),
        [sym_connector_header] = STATE(1169),
        [sym_definition] = STATE(163),
        [sym_type_dcl] = STATE(1189),
        [sym_constr_type_dcl] = STATE(1180),
        [sym_native_dcl] = STATE(1180),
        [sym_module_dcl] = STATE(1189),
        [sym_struct_dcl] = STATE(734),
        [sym_struct_forward_dcl] = STATE(736),
        [sym_struct_def] = STATE(736),
        [sym_const_dcl] = STATE(1189),
        [sym_comment] = STATE(24),
        [aux_sym_interface_def_repeat1] = STATE(224),
        [aux_sym_template_module_dcl_repeat1] = STATE(26),
        [anon_sym_exception] = ACTIONS(15),
        [anon_sym_RBRACE] = ACTIONS(697),
        [anon_sym_local] = ACTIONS(17),
        [anon_sym_abstract] = ACTIONS(19),
        [anon_sym_interface] = ACTIONS(21),
        [anon_sym_bitset] = ACTIONS(23),
        [anon_sym_bitmask] = ACTIONS(25),
        [anon_sym_ATannotation] = ACTIONS(27),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_module] = ACTIONS(33),
        [anon_sym_valuetype] = ACTIONS(35),
        [anon_sym_eventtype] = ACTIONS(37),
        [anon_sym_struct] = ACTIONS(39),
        [anon_sym_union] = ACTIONS(41),
        [anon_sym_enum] = ACTIONS(43),
        [anon_sym_const] = ACTIONS(45),
        [anon_sym_alias] = ACTIONS(699),
        [anon_sym_custom] = ACTIONS(47),
        [anon_sym_typedef] = ACTIONS(49),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(53),
        [anon_sym_typeprefix] = ACTIONS(55),
        [anon_sym_import] = ACTIONS(57),
        [anon_sym_component] = ACTIONS(59),
        [anon_sym_home] = ACTIONS(61),
        [anon_sym_porttype] = ACTIONS(63),
        [anon_sym_connector] = ACTIONS(65),
        [anon_sym_native] = ACTIONS(67),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [25] = {
        [sym_except_dcl] = STATE(1189),
        [sym_interface_dcl] = STATE(1189),
        [sym_interface_kind] = STATE(1188),
        [sym_interface_forward_dcl] = STATE(1187),
        [sym_interface_def] = STATE(1187),
        [sym_interface_header] = STATE(1186),
        [sym_bitset_dcl] = STATE(734),
        [sym_bitmask_dcl] = STATE(734),
        [sym_annotation_dcl] = STATE(1189),
        [sym_annotation_appl] = STATE(273),
        [sym_extend_annotation_appl] = STATE(274),
        [sym_template_module_dcl] = STATE(1189),
        [sym_tpl_definition] = STATE(162),
        [sym_template_module_inst] = STATE(1189),
        [sym_template_module_ref] = STATE(1072),
        [sym_value_dcl] = STATE(1189),
        [sym_value_def] = STATE(1184),
        [sym_value_kind] = STATE(1183),
        [sym_value_header] = STATE(1181),
        [sym_value_forward_dcl] = STATE(1184),
        [sym_typedef_dcl] = STATE(1180),
        [sym_enum_dcl] = STATE(734),
        [sym_enum_anno] = STATE(1179),
        [sym_union_dcl] = STATE(734),
        [sym_union_forward_dcl] = STATE(735),
        [sym_union_def] = STATE(735),
        [sym_type_id_dcl] = STATE(1189),
        [sym_type_prefix_dcl] = STATE(1189),
        [sym_import_dcl] = STATE(1189),
        [sym_value_box_def] = STATE(1184),
        [sym_value_abs_def] = STATE(1184),
        [sym_component_dcl] = STATE(1189),
        [sym_component_forward_dcl] = STATE(1177),
        [sym_component_def] = STATE(1177),
        [sym_component_header] = STATE(1176),
        [sym_home_dcl] = STATE(1189),
        [sym_home_header] = STATE(1175),
        [sym_event_dcl] = STATE(1189),
        [sym_event_forward_dcl] = STATE(1172),
        [sym_event_abs_def] = STATE(1172),
        [sym_event_def] = STATE(1172),
        [sym_event_header] = STATE(1171),
        [sym_porttype_dcl] = STATE(1189),
        [sym_porttype_forward_dcl] = STATE(1170),
        [sym_porttype_def] = STATE(1170),
        [sym_connector_dcl] = STATE(1189),
        [sym_connector_header] = STATE(1169),
        [sym_definition] = STATE(163),
        [sym_type_dcl] = STATE(1189),
        [sym_constr_type_dcl] = STATE(1180),
        [sym_native_dcl] = STATE(1180),
        [sym_module_dcl] = STATE(1189),
        [sym_struct_dcl] = STATE(734),
        [sym_struct_forward_dcl] = STATE(736),
        [sym_struct_def] = STATE(736),
        [sym_const_dcl] = STATE(1189),
        [sym_comment] = STATE(25),
        [aux_sym_interface_def_repeat1] = STATE(224),
        [aux_sym_template_module_dcl_repeat1] = STATE(25),
        [anon_sym_exception] = ACTIONS(701),
        [anon_sym_RBRACE] = ACTIONS(704),
        [anon_sym_local] = ACTIONS(706),
        [anon_sym_abstract] = ACTIONS(709),
        [anon_sym_interface] = ACTIONS(712),
        [anon_sym_bitset] = ACTIONS(715),
        [anon_sym_bitmask] = ACTIONS(718),
        [anon_sym_ATannotation] = ACTIONS(721),
        [anon_sym_AT] = ACTIONS(724),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(727),
        [anon_sym_module] = ACTIONS(730),
        [anon_sym_valuetype] = ACTIONS(733),
        [anon_sym_eventtype] = ACTIONS(736),
        [anon_sym_struct] = ACTIONS(739),
        [anon_sym_union] = ACTIONS(742),
        [anon_sym_enum] = ACTIONS(745),
        [anon_sym_const] = ACTIONS(748),
        [anon_sym_alias] = ACTIONS(751),
        [anon_sym_custom] = ACTIONS(754),
        [anon_sym_typedef] = ACTIONS(757),
        [anon_sym_ATignore_literal_names] = ACTIONS(760),
        [anon_sym_typeid] = ACTIONS(763),
        [anon_sym_typeprefix] = ACTIONS(766),
        [anon_sym_import] = ACTIONS(769),
        [anon_sym_component] = ACTIONS(772),
        [anon_sym_home] = ACTIONS(775),
        [anon_sym_porttype] = ACTIONS(778),
        [anon_sym_connector] = ACTIONS(781),
        [anon_sym_native] = ACTIONS(784),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [26] = {
        [sym_except_dcl] = STATE(1189),
        [sym_interface_dcl] = STATE(1189),
        [sym_interface_kind] = STATE(1188),
        [sym_interface_forward_dcl] = STATE(1187),
        [sym_interface_def] = STATE(1187),
        [sym_interface_header] = STATE(1186),
        [sym_bitset_dcl] = STATE(734),
        [sym_bitmask_dcl] = STATE(734),
        [sym_annotation_dcl] = STATE(1189),
        [sym_annotation_appl] = STATE(273),
        [sym_extend_annotation_appl] = STATE(274),
        [sym_template_module_dcl] = STATE(1189),
        [sym_tpl_definition] = STATE(162),
        [sym_template_module_inst] = STATE(1189),
        [sym_template_module_ref] = STATE(1072),
        [sym_value_dcl] = STATE(1189),
        [sym_value_def] = STATE(1184),
        [sym_value_kind] = STATE(1183),
        [sym_value_header] = STATE(1181),
        [sym_value_forward_dcl] = STATE(1184),
        [sym_typedef_dcl] = STATE(1180),
        [sym_enum_dcl] = STATE(734),
        [sym_enum_anno] = STATE(1179),
        [sym_union_dcl] = STATE(734),
        [sym_union_forward_dcl] = STATE(735),
        [sym_union_def] = STATE(735),
        [sym_type_id_dcl] = STATE(1189),
        [sym_type_prefix_dcl] = STATE(1189),
        [sym_import_dcl] = STATE(1189),
        [sym_value_box_def] = STATE(1184),
        [sym_value_abs_def] = STATE(1184),
        [sym_component_dcl] = STATE(1189),
        [sym_component_forward_dcl] = STATE(1177),
        [sym_component_def] = STATE(1177),
        [sym_component_header] = STATE(1176),
        [sym_home_dcl] = STATE(1189),
        [sym_home_header] = STATE(1175),
        [sym_event_dcl] = STATE(1189),
        [sym_event_forward_dcl] = STATE(1172),
        [sym_event_abs_def] = STATE(1172),
        [sym_event_def] = STATE(1172),
        [sym_event_header] = STATE(1171),
        [sym_porttype_dcl] = STATE(1189),
        [sym_porttype_forward_dcl] = STATE(1170),
        [sym_porttype_def] = STATE(1170),
        [sym_connector_dcl] = STATE(1189),
        [sym_connector_header] = STATE(1169),
        [sym_definition] = STATE(163),
        [sym_type_dcl] = STATE(1189),
        [sym_constr_type_dcl] = STATE(1180),
        [sym_native_dcl] = STATE(1180),
        [sym_module_dcl] = STATE(1189),
        [sym_struct_dcl] = STATE(734),
        [sym_struct_forward_dcl] = STATE(736),
        [sym_struct_def] = STATE(736),
        [sym_const_dcl] = STATE(1189),
        [sym_comment] = STATE(26),
        [aux_sym_interface_def_repeat1] = STATE(224),
        [aux_sym_template_module_dcl_repeat1] = STATE(25),
        [anon_sym_exception] = ACTIONS(15),
        [anon_sym_RBRACE] = ACTIONS(787),
        [anon_sym_local] = ACTIONS(17),
        [anon_sym_abstract] = ACTIONS(19),
        [anon_sym_interface] = ACTIONS(21),
        [anon_sym_bitset] = ACTIONS(23),
        [anon_sym_bitmask] = ACTIONS(25),
        [anon_sym_ATannotation] = ACTIONS(27),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_module] = ACTIONS(33),
        [anon_sym_valuetype] = ACTIONS(35),
        [anon_sym_eventtype] = ACTIONS(37),
        [anon_sym_struct] = ACTIONS(39),
        [anon_sym_union] = ACTIONS(41),
        [anon_sym_enum] = ACTIONS(43),
        [anon_sym_const] = ACTIONS(45),
        [anon_sym_alias] = ACTIONS(699),
        [anon_sym_custom] = ACTIONS(47),
        [anon_sym_typedef] = ACTIONS(49),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(53),
        [anon_sym_typeprefix] = ACTIONS(55),
        [anon_sym_import] = ACTIONS(57),
        [anon_sym_component] = ACTIONS(59),
        [anon_sym_home] = ACTIONS(61),
        [anon_sym_porttype] = ACTIONS(63),
        [anon_sym_connector] = ACTIONS(65),
        [anon_sym_native] = ACTIONS(67),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [27] = {
        [sym_except_dcl] = STATE(1189),
        [sym_interface_dcl] = STATE(1189),
        [sym_interface_kind] = STATE(1188),
        [sym_interface_forward_dcl] = STATE(1187),
        [sym_interface_def] = STATE(1187),
        [sym_interface_header] = STATE(1186),
        [sym_bitset_dcl] = STATE(734),
        [sym_bitmask_dcl] = STATE(734),
        [sym_annotation_dcl] = STATE(1189),
        [sym_annotation_appl] = STATE(273),
        [sym_extend_annotation_appl] = STATE(274),
        [sym_template_module_dcl] = STATE(1189),
        [sym_template_module_inst] = STATE(1189),
        [sym_value_dcl] = STATE(1189),
        [sym_value_def] = STATE(1184),
        [sym_value_kind] = STATE(1183),
        [sym_value_header] = STATE(1181),
        [sym_value_forward_dcl] = STATE(1184),
        [sym_typedef_dcl] = STATE(1180),
        [sym_enum_dcl] = STATE(734),
        [sym_enum_anno] = STATE(1179),
        [sym_union_dcl] = STATE(734),
        [sym_union_forward_dcl] = STATE(735),
        [sym_union_def] = STATE(735),
        [sym_type_id_dcl] = STATE(1189),
        [sym_type_prefix_dcl] = STATE(1189),
        [sym_import_dcl] = STATE(1189),
        [sym_value_box_def] = STATE(1184),
        [sym_value_abs_def] = STATE(1184),
        [sym_component_dcl] = STATE(1189),
        [sym_component_forward_dcl] = STATE(1177),
        [sym_component_def] = STATE(1177),
        [sym_component_header] = STATE(1176),
        [sym_home_dcl] = STATE(1189),
        [sym_home_header] = STATE(1175),
        [sym_event_dcl] = STATE(1189),
        [sym_event_forward_dcl] = STATE(1172),
        [sym_event_abs_def] = STATE(1172),
        [sym_event_def] = STATE(1172),
        [sym_event_header] = STATE(1171),
        [sym_porttype_dcl] = STATE(1189),
        [sym_porttype_forward_dcl] = STATE(1170),
        [sym_porttype_def] = STATE(1170),
        [sym_connector_dcl] = STATE(1189),
        [sym_connector_header] = STATE(1169),
        [sym_definition] = STATE(169),
        [sym_type_dcl] = STATE(1189),
        [sym_constr_type_dcl] = STATE(1180),
        [sym_native_dcl] = STATE(1180),
        [sym_module_dcl] = STATE(1189),
        [sym_struct_dcl] = STATE(734),
        [sym_struct_forward_dcl] = STATE(736),
        [sym_struct_def] = STATE(736),
        [sym_const_dcl] = STATE(1189),
        [sym_comment] = STATE(27),
        [aux_sym_interface_def_repeat1] = STATE(224),
        [aux_sym_module_dcl_repeat1] = STATE(28),
        [anon_sym_exception] = ACTIONS(15),
        [anon_sym_RBRACE] = ACTIONS(789),
        [anon_sym_local] = ACTIONS(17),
        [anon_sym_abstract] = ACTIONS(19),
        [anon_sym_interface] = ACTIONS(21),
        [anon_sym_bitset] = ACTIONS(23),
        [anon_sym_bitmask] = ACTIONS(25),
        [anon_sym_ATannotation] = ACTIONS(27),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_module] = ACTIONS(33),
        [anon_sym_valuetype] = ACTIONS(35),
        [anon_sym_eventtype] = ACTIONS(37),
        [anon_sym_struct] = ACTIONS(39),
        [anon_sym_union] = ACTIONS(41),
        [anon_sym_enum] = ACTIONS(43),
        [anon_sym_const] = ACTIONS(45),
        [anon_sym_custom] = ACTIONS(47),
        [anon_sym_typedef] = ACTIONS(49),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(53),
        [anon_sym_typeprefix] = ACTIONS(55),
        [anon_sym_import] = ACTIONS(57),
        [anon_sym_component] = ACTIONS(59),
        [anon_sym_home] = ACTIONS(61),
        [anon_sym_porttype] = ACTIONS(63),
        [anon_sym_connector] = ACTIONS(65),
        [anon_sym_native] = ACTIONS(67),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [28] = {
        [sym_except_dcl] = STATE(1189),
        [sym_interface_dcl] = STATE(1189),
        [sym_interface_kind] = STATE(1188),
        [sym_interface_forward_dcl] = STATE(1187),
        [sym_interface_def] = STATE(1187),
        [sym_interface_header] = STATE(1186),
        [sym_bitset_dcl] = STATE(734),
        [sym_bitmask_dcl] = STATE(734),
        [sym_annotation_dcl] = STATE(1189),
        [sym_annotation_appl] = STATE(273),
        [sym_extend_annotation_appl] = STATE(274),
        [sym_template_module_dcl] = STATE(1189),
        [sym_template_module_inst] = STATE(1189),
        [sym_value_dcl] = STATE(1189),
        [sym_value_def] = STATE(1184),
        [sym_value_kind] = STATE(1183),
        [sym_value_header] = STATE(1181),
        [sym_value_forward_dcl] = STATE(1184),
        [sym_typedef_dcl] = STATE(1180),
        [sym_enum_dcl] = STATE(734),
        [sym_enum_anno] = STATE(1179),
        [sym_union_dcl] = STATE(734),
        [sym_union_forward_dcl] = STATE(735),
        [sym_union_def] = STATE(735),
        [sym_type_id_dcl] = STATE(1189),
        [sym_type_prefix_dcl] = STATE(1189),
        [sym_import_dcl] = STATE(1189),
        [sym_value_box_def] = STATE(1184),
        [sym_value_abs_def] = STATE(1184),
        [sym_component_dcl] = STATE(1189),
        [sym_component_forward_dcl] = STATE(1177),
        [sym_component_def] = STATE(1177),
        [sym_component_header] = STATE(1176),
        [sym_home_dcl] = STATE(1189),
        [sym_home_header] = STATE(1175),
        [sym_event_dcl] = STATE(1189),
        [sym_event_forward_dcl] = STATE(1172),
        [sym_event_abs_def] = STATE(1172),
        [sym_event_def] = STATE(1172),
        [sym_event_header] = STATE(1171),
        [sym_porttype_dcl] = STATE(1189),
        [sym_porttype_forward_dcl] = STATE(1170),
        [sym_porttype_def] = STATE(1170),
        [sym_connector_dcl] = STATE(1189),
        [sym_connector_header] = STATE(1169),
        [sym_definition] = STATE(169),
        [sym_type_dcl] = STATE(1189),
        [sym_constr_type_dcl] = STATE(1180),
        [sym_native_dcl] = STATE(1180),
        [sym_module_dcl] = STATE(1189),
        [sym_struct_dcl] = STATE(734),
        [sym_struct_forward_dcl] = STATE(736),
        [sym_struct_def] = STATE(736),
        [sym_const_dcl] = STATE(1189),
        [sym_comment] = STATE(28),
        [aux_sym_interface_def_repeat1] = STATE(224),
        [aux_sym_module_dcl_repeat1] = STATE(28),
        [anon_sym_exception] = ACTIONS(791),
        [anon_sym_RBRACE] = ACTIONS(794),
        [anon_sym_local] = ACTIONS(796),
        [anon_sym_abstract] = ACTIONS(799),
        [anon_sym_interface] = ACTIONS(802),
        [anon_sym_bitset] = ACTIONS(805),
        [anon_sym_bitmask] = ACTIONS(808),
        [anon_sym_ATannotation] = ACTIONS(811),
        [anon_sym_AT] = ACTIONS(814),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(817),
        [anon_sym_module] = ACTIONS(820),
        [anon_sym_valuetype] = ACTIONS(823),
        [anon_sym_eventtype] = ACTIONS(826),
        [anon_sym_struct] = ACTIONS(829),
        [anon_sym_union] = ACTIONS(832),
        [anon_sym_enum] = ACTIONS(835),
        [anon_sym_const] = ACTIONS(838),
        [anon_sym_custom] = ACTIONS(841),
        [anon_sym_typedef] = ACTIONS(844),
        [anon_sym_ATignore_literal_names] = ACTIONS(847),
        [anon_sym_typeid] = ACTIONS(850),
        [anon_sym_typeprefix] = ACTIONS(853),
        [anon_sym_import] = ACTIONS(856),
        [anon_sym_component] = ACTIONS(859),
        [anon_sym_home] = ACTIONS(862),
        [anon_sym_porttype] = ACTIONS(865),
        [anon_sym_connector] = ACTIONS(868),
        [anon_sym_native] = ACTIONS(871),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [29] = {
        [sym_except_dcl] = STATE(1189),
        [sym_interface_dcl] = STATE(1189),
        [sym_interface_kind] = STATE(1188),
        [sym_interface_forward_dcl] = STATE(1187),
        [sym_interface_def] = STATE(1187),
        [sym_interface_header] = STATE(1186),
        [sym_bitset_dcl] = STATE(734),
        [sym_bitmask_dcl] = STATE(734),
        [sym_annotation_dcl] = STATE(1189),
        [sym_annotation_appl] = STATE(273),
        [sym_extend_annotation_appl] = STATE(274),
        [sym_template_module_dcl] = STATE(1189),
        [sym_template_module_inst] = STATE(1189),
        [sym_value_dcl] = STATE(1189),
        [sym_value_def] = STATE(1184),
        [sym_value_kind] = STATE(1183),
        [sym_value_header] = STATE(1181),
        [sym_value_forward_dcl] = STATE(1184),
        [sym_typedef_dcl] = STATE(1180),
        [sym_enum_dcl] = STATE(734),
        [sym_enum_anno] = STATE(1179),
        [sym_union_dcl] = STATE(734),
        [sym_union_forward_dcl] = STATE(735),
        [sym_union_def] = STATE(735),
        [sym_type_id_dcl] = STATE(1189),
        [sym_type_prefix_dcl] = STATE(1189),
        [sym_import_dcl] = STATE(1189),
        [sym_value_box_def] = STATE(1184),
        [sym_value_abs_def] = STATE(1184),
        [sym_component_dcl] = STATE(1189),
        [sym_component_forward_dcl] = STATE(1177),
        [sym_component_def] = STATE(1177),
        [sym_component_header] = STATE(1176),
        [sym_home_dcl] = STATE(1189),
        [sym_home_header] = STATE(1175),
        [sym_event_dcl] = STATE(1189),
        [sym_event_forward_dcl] = STATE(1172),
        [sym_event_abs_def] = STATE(1172),
        [sym_event_def] = STATE(1172),
        [sym_event_header] = STATE(1171),
        [sym_porttype_dcl] = STATE(1189),
        [sym_porttype_forward_dcl] = STATE(1170),
        [sym_porttype_def] = STATE(1170),
        [sym_connector_dcl] = STATE(1189),
        [sym_connector_header] = STATE(1169),
        [sym_definition] = STATE(169),
        [sym_type_dcl] = STATE(1189),
        [sym_constr_type_dcl] = STATE(1180),
        [sym_native_dcl] = STATE(1180),
        [sym_module_dcl] = STATE(1189),
        [sym_struct_dcl] = STATE(734),
        [sym_struct_forward_dcl] = STATE(736),
        [sym_struct_def] = STATE(736),
        [sym_const_dcl] = STATE(1189),
        [sym_comment] = STATE(29),
        [aux_sym_interface_def_repeat1] = STATE(224),
        [aux_sym_module_dcl_repeat1] = STATE(27),
        [anon_sym_exception] = ACTIONS(15),
        [anon_sym_RBRACE] = ACTIONS(874),
        [anon_sym_local] = ACTIONS(17),
        [anon_sym_abstract] = ACTIONS(19),
        [anon_sym_interface] = ACTIONS(21),
        [anon_sym_bitset] = ACTIONS(23),
        [anon_sym_bitmask] = ACTIONS(25),
        [anon_sym_ATannotation] = ACTIONS(27),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_module] = ACTIONS(33),
        [anon_sym_valuetype] = ACTIONS(35),
        [anon_sym_eventtype] = ACTIONS(37),
        [anon_sym_struct] = ACTIONS(39),
        [anon_sym_union] = ACTIONS(41),
        [anon_sym_enum] = ACTIONS(43),
        [anon_sym_const] = ACTIONS(45),
        [anon_sym_custom] = ACTIONS(47),
        [anon_sym_typedef] = ACTIONS(49),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(53),
        [anon_sym_typeprefix] = ACTIONS(55),
        [anon_sym_import] = ACTIONS(57),
        [anon_sym_component] = ACTIONS(59),
        [anon_sym_home] = ACTIONS(61),
        [anon_sym_porttype] = ACTIONS(63),
        [anon_sym_connector] = ACTIONS(65),
        [anon_sym_native] = ACTIONS(67),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [30] = {
        [sym_signed_short_int] = STATE(388),
        [sym_signed_long_int] = STATE(388),
        [sym_signed_longlong_int] = STATE(388),
        [sym_unsigned_int] = STATE(371),
        [sym_integer_type] = STATE(473),
        [sym_signed_int] = STATE(371),
        [sym_unsigned_short_int] = STATE(356),
        [sym_unsigned_long_int] = STATE(356),
        [sym_unsigned_longlong_int] = STATE(356),
        [sym_floating_pt_type] = STATE(473),
        [sym_char_type] = STATE(473),
        [sym_scoped_name] = STATE(377),
        [sym_string_type] = STATE(448),
        [sym_type_spec] = STATE(398),
        [sym_simple_type_spec] = STATE(442),
        [sym_base_type_spec] = STATE(481),
        [sym_any_type] = STATE(473),
        [sym_fixed_pt_type] = STATE(448),
        [sym_template_type_spec] = STATE(442),
        [sym_sequence_type] = STATE(448),
        [sym_map_type] = STATE(448),
        [sym_bitset_dcl] = STATE(734),
        [sym_bitmask_dcl] = STATE(734),
        [sym_annotation_appl] = STATE(273),
        [sym_extend_annotation_appl] = STATE(274),
        [sym_enum_dcl] = STATE(734),
        [sym_enum_anno] = STATE(1179),
        [sym_union_dcl] = STATE(734),
        [sym_union_forward_dcl] = STATE(735),
        [sym_union_def] = STATE(735),
        [sym_case_label] = STATE(89),
        [sym_element_spec] = STATE(850),
        [sym_object_type] = STATE(473),
        [sym_constr_type_dcl] = STATE(398),
        [sym_struct_dcl] = STATE(734),
        [sym_struct_forward_dcl] = STATE(736),
        [sym_struct_def] = STATE(736),
        [sym_comment] = STATE(30),
        [aux_sym_interface_def_repeat1] = STATE(311),
        [aux_sym_case_repeat1] = STATE(87),
        [anon_sym_short] = ACTIONS(209),
        [anon_sym_int16] = ACTIONS(209),
        [anon_sym_long] = ACTIONS(211),
        [anon_sym_int32] = ACTIONS(211),
        [anon_sym_longlong] = ACTIONS(213),
        [anon_sym_int64] = ACTIONS(215),
        [sym_unsigned_tiny_int] = ACTIONS(217),
        [sym_boolean_type] = ACTIONS(219),
        [anon_sym_fixed] = ACTIONS(221),
        [sym_octet_type] = ACTIONS(219),
        [sym_signed_tiny_int] = ACTIONS(223),
        [anon_sym_unsignedshort] = ACTIONS(225),
        [anon_sym_uint16] = ACTIONS(227),
        [anon_sym_unsignedlong] = ACTIONS(229),
        [anon_sym_uint32] = ACTIONS(229),
        [anon_sym_unsignedlonglong] = ACTIONS(231),
        [anon_sym_uint64] = ACTIONS(233),
        [anon_sym_float] = ACTIONS(235),
        [anon_sym_double] = ACTIONS(235),
        [anon_sym_longdouble] = ACTIONS(237),
        [anon_sym_char] = ACTIONS(239),
        [anon_sym_wchar] = ACTIONS(239),
        [anon_sym_COLON_COLON] = ACTIONS(241),
        [anon_sym_string] = ACTIONS(243),
        [anon_sym_wstring] = ACTIONS(243),
        [anon_sym_any] = ACTIONS(245),
        [anon_sym_sequence] = ACTIONS(247),
        [anon_sym_map] = ACTIONS(249),
        [anon_sym_bitset] = ACTIONS(263),
        [anon_sym_bitmask] = ACTIONS(265),
        [anon_sym_default] = ACTIONS(876),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_struct] = ACTIONS(271),
        [anon_sym_union] = ACTIONS(273),
        [anon_sym_enum] = ACTIONS(275),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_case] = ACTIONS(878),
        [anon_sym_Object] = ACTIONS(291),
        [sym_value_base_type] = ACTIONS(219),
        [sym_identifier] = ACTIONS(295),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [31] = {
        [sym_signed_short_int] = STATE(388),
        [sym_signed_long_int] = STATE(388),
        [sym_signed_longlong_int] = STATE(388),
        [sym_unsigned_int] = STATE(371),
        [sym_integer_type] = STATE(473),
        [sym_signed_int] = STATE(371),
        [sym_unsigned_short_int] = STATE(356),
        [sym_unsigned_long_int] = STATE(356),
        [sym_unsigned_longlong_int] = STATE(356),
        [sym_floating_pt_type] = STATE(473),
        [sym_char_type] = STATE(473),
        [sym_scoped_name] = STATE(222),
        [sym_string_type] = STATE(448),
        [sym_type_spec] = STATE(768),
        [sym_simple_type_spec] = STATE(442),
        [sym_base_type_spec] = STATE(481),
        [sym_any_type] = STATE(473),
        [sym_fixed_pt_type] = STATE(448),
        [sym_template_type_spec] = STATE(442),
        [sym_sequence_type] = STATE(448),
        [sym_map_type] = STATE(448),
        [sym_const_expr] = STATE(768),
        [sym_or_expr] = STATE(328),
        [sym_xor_expr] = STATE(306),
        [sym_and_expr] = STATE(266),
        [sym_shift_expr] = STATE(226),
        [sym_add_expr] = STATE(221),
        [sym_mult_expr] = STATE(212),
        [sym_unary_expr] = STATE(210),
        [sym_primary_expr] = STATE(209),
        [sym_unary_operator] = STATE(220),
        [sym_literal] = STATE(197),
        [sym_string_literal] = STATE(211),
        [sym_char_literal] = STATE(211),
        [sym_boolean_literal] = STATE(211),
        [sym_actual_parameters] = STATE(929),
        [sym_actual_parameter] = STATE(565),
        [sym_object_type] = STATE(473),
        [sym_comment] = STATE(31),
        [anon_sym_short] = ACTIONS(209),
        [anon_sym_int16] = ACTIONS(209),
        [anon_sym_long] = ACTIONS(211),
        [anon_sym_int32] = ACTIONS(211),
        [anon_sym_longlong] = ACTIONS(213),
        [anon_sym_int64] = ACTIONS(215),
        [sym_unsigned_tiny_int] = ACTIONS(217),
        [sym_boolean_type] = ACTIONS(219),
        [anon_sym_fixed] = ACTIONS(221),
        [sym_octet_type] = ACTIONS(219),
        [sym_signed_tiny_int] = ACTIONS(223),
        [anon_sym_unsignedshort] = ACTIONS(225),
        [anon_sym_uint16] = ACTIONS(227),
        [anon_sym_unsignedlong] = ACTIONS(229),
        [anon_sym_uint32] = ACTIONS(229),
        [anon_sym_unsignedlonglong] = ACTIONS(231),
        [anon_sym_uint64] = ACTIONS(233),
        [anon_sym_float] = ACTIONS(235),
        [anon_sym_double] = ACTIONS(235),
        [anon_sym_longdouble] = ACTIONS(237),
        [anon_sym_char] = ACTIONS(239),
        [anon_sym_wchar] = ACTIONS(239),
        [anon_sym_COLON_COLON] = ACTIONS(880),
        [anon_sym_string] = ACTIONS(243),
        [anon_sym_wstring] = ACTIONS(243),
        [anon_sym_any] = ACTIONS(245),
        [anon_sym_sequence] = ACTIONS(247),
        [anon_sym_map] = ACTIONS(249),
        [anon_sym_PLUS] = ACTIONS(882),
        [anon_sym_DASH] = ACTIONS(882),
        [anon_sym_LPAREN] = ACTIONS(884),
        [anon_sym_TILDE] = ACTIONS(886),
        [anon_sym_L] = ACTIONS(888),
        [anon_sym_DQUOTE] = ACTIONS(890),
        [anon_sym_SQUOTE] = ACTIONS(892),
        [anon_sym_TRUE] = ACTIONS(894),
        [anon_sym_FALSE] = ACTIONS(894),
        [sym_number_literal] = ACTIONS(896),
        [anon_sym_Object] = ACTIONS(291),
        [sym_value_base_type] = ACTIONS(219),
        [sym_identifier] = ACTIONS(295),
        [anon_sym_SLASH_SLASH] = ACTIONS(898),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [32] = {
        [sym_signed_short_int] = STATE(388),
        [sym_signed_long_int] = STATE(388),
        [sym_signed_longlong_int] = STATE(388),
        [sym_unsigned_int] = STATE(371),
        [sym_integer_type] = STATE(473),
        [sym_signed_int] = STATE(371),
        [sym_unsigned_short_int] = STATE(356),
        [sym_unsigned_long_int] = STATE(356),
        [sym_unsigned_longlong_int] = STATE(356),
        [sym_floating_pt_type] = STATE(473),
        [sym_char_type] = STATE(473),
        [sym_scoped_name] = STATE(222),
        [sym_string_type] = STATE(448),
        [sym_type_spec] = STATE(768),
        [sym_simple_type_spec] = STATE(442),
        [sym_base_type_spec] = STATE(481),
        [sym_any_type] = STATE(473),
        [sym_fixed_pt_type] = STATE(448),
        [sym_template_type_spec] = STATE(442),
        [sym_sequence_type] = STATE(448),
        [sym_map_type] = STATE(448),
        [sym_const_expr] = STATE(768),
        [sym_or_expr] = STATE(328),
        [sym_xor_expr] = STATE(306),
        [sym_and_expr] = STATE(266),
        [sym_shift_expr] = STATE(226),
        [sym_add_expr] = STATE(221),
        [sym_mult_expr] = STATE(212),
        [sym_unary_expr] = STATE(210),
        [sym_primary_expr] = STATE(209),
        [sym_unary_operator] = STATE(220),
        [sym_literal] = STATE(197),
        [sym_string_literal] = STATE(211),
        [sym_char_literal] = STATE(211),
        [sym_boolean_literal] = STATE(211),
        [sym_actual_parameter] = STATE(767),
        [sym_object_type] = STATE(473),
        [sym_comment] = STATE(32),
        [anon_sym_short] = ACTIONS(209),
        [anon_sym_int16] = ACTIONS(209),
        [anon_sym_long] = ACTIONS(211),
        [anon_sym_int32] = ACTIONS(211),
        [anon_sym_longlong] = ACTIONS(213),
        [anon_sym_int64] = ACTIONS(215),
        [sym_unsigned_tiny_int] = ACTIONS(217),
        [sym_boolean_type] = ACTIONS(219),
        [anon_sym_fixed] = ACTIONS(221),
        [sym_octet_type] = ACTIONS(219),
        [sym_signed_tiny_int] = ACTIONS(223),
        [anon_sym_unsignedshort] = ACTIONS(225),
        [anon_sym_uint16] = ACTIONS(227),
        [anon_sym_unsignedlong] = ACTIONS(229),
        [anon_sym_uint32] = ACTIONS(229),
        [anon_sym_unsignedlonglong] = ACTIONS(231),
        [anon_sym_uint64] = ACTIONS(233),
        [anon_sym_float] = ACTIONS(235),
        [anon_sym_double] = ACTIONS(235),
        [anon_sym_longdouble] = ACTIONS(237),
        [anon_sym_char] = ACTIONS(239),
        [anon_sym_wchar] = ACTIONS(239),
        [anon_sym_COLON_COLON] = ACTIONS(880),
        [anon_sym_string] = ACTIONS(243),
        [anon_sym_wstring] = ACTIONS(243),
        [anon_sym_any] = ACTIONS(245),
        [anon_sym_sequence] = ACTIONS(247),
        [anon_sym_map] = ACTIONS(249),
        [anon_sym_PLUS] = ACTIONS(882),
        [anon_sym_DASH] = ACTIONS(882),
        [anon_sym_LPAREN] = ACTIONS(884),
        [anon_sym_TILDE] = ACTIONS(886),
        [anon_sym_L] = ACTIONS(888),
        [anon_sym_DQUOTE] = ACTIONS(890),
        [anon_sym_SQUOTE] = ACTIONS(892),
        [anon_sym_TRUE] = ACTIONS(894),
        [anon_sym_FALSE] = ACTIONS(894),
        [sym_number_literal] = ACTIONS(896),
        [anon_sym_Object] = ACTIONS(291),
        [sym_value_base_type] = ACTIONS(219),
        [sym_identifier] = ACTIONS(295),
        [anon_sym_SLASH_SLASH] = ACTIONS(898),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [33] = {
        [sym_signed_short_int] = STATE(388),
        [sym_signed_long_int] = STATE(388),
        [sym_signed_longlong_int] = STATE(388),
        [sym_unsigned_int] = STATE(371),
        [sym_integer_type] = STATE(473),
        [sym_signed_int] = STATE(371),
        [sym_unsigned_short_int] = STATE(356),
        [sym_unsigned_long_int] = STATE(356),
        [sym_unsigned_longlong_int] = STATE(356),
        [sym_floating_pt_type] = STATE(473),
        [sym_char_type] = STATE(473),
        [sym_scoped_name] = STATE(377),
        [sym_string_type] = STATE(448),
        [sym_simple_type_spec] = STATE(379),
        [sym_base_type_spec] = STATE(481),
        [sym_any_type] = STATE(473),
        [sym_fixed_pt_type] = STATE(448),
        [sym_template_type_spec] = STATE(379),
        [sym_sequence_type] = STATE(448),
        [sym_map_type] = STATE(448),
        [sym_bitset_dcl] = STATE(734),
        [sym_bitmask_dcl] = STATE(734),
        [sym_annotation_appl] = STATE(273),
        [sym_extend_annotation_appl] = STATE(274),
        [sym_type_declarator] = STATE(1044),
        [sym_enum_dcl] = STATE(734),
        [sym_enum_anno] = STATE(1179),
        [sym_union_dcl] = STATE(734),
        [sym_union_forward_dcl] = STATE(735),
        [sym_union_def] = STATE(735),
        [sym_object_type] = STATE(473),
        [sym_constr_type_dcl] = STATE(379),
        [sym_struct_dcl] = STATE(734),
        [sym_struct_forward_dcl] = STATE(736),
        [sym_struct_def] = STATE(736),
        [sym_comment] = STATE(33),
        [aux_sym_interface_def_repeat1] = STATE(311),
        [anon_sym_short] = ACTIONS(209),
        [anon_sym_int16] = ACTIONS(209),
        [anon_sym_long] = ACTIONS(211),
        [anon_sym_int32] = ACTIONS(211),
        [anon_sym_longlong] = ACTIONS(213),
        [anon_sym_int64] = ACTIONS(215),
        [sym_unsigned_tiny_int] = ACTIONS(217),
        [sym_boolean_type] = ACTIONS(219),
        [anon_sym_fixed] = ACTIONS(221),
        [sym_octet_type] = ACTIONS(219),
        [sym_signed_tiny_int] = ACTIONS(223),
        [anon_sym_unsignedshort] = ACTIONS(225),
        [anon_sym_uint16] = ACTIONS(227),
        [anon_sym_unsignedlong] = ACTIONS(229),
        [anon_sym_uint32] = ACTIONS(229),
        [anon_sym_unsignedlonglong] = ACTIONS(231),
        [anon_sym_uint64] = ACTIONS(233),
        [anon_sym_float] = ACTIONS(235),
        [anon_sym_double] = ACTIONS(235),
        [anon_sym_longdouble] = ACTIONS(237),
        [anon_sym_char] = ACTIONS(239),
        [anon_sym_wchar] = ACTIONS(239),
        [anon_sym_COLON_COLON] = ACTIONS(241),
        [anon_sym_string] = ACTIONS(243),
        [anon_sym_wstring] = ACTIONS(243),
        [anon_sym_any] = ACTIONS(245),
        [anon_sym_sequence] = ACTIONS(247),
        [anon_sym_map] = ACTIONS(249),
        [anon_sym_bitset] = ACTIONS(263),
        [anon_sym_bitmask] = ACTIONS(265),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_struct] = ACTIONS(271),
        [anon_sym_union] = ACTIONS(273),
        [anon_sym_enum] = ACTIONS(275),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_Object] = ACTIONS(291),
        [sym_value_base_type] = ACTIONS(219),
        [sym_identifier] = ACTIONS(295),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
};

static const uint16_t ts_small_parse_table[] = {
    [0] = 43,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(213),
    1,
    anon_sym_longlong,
    ACTIONS(215),
    1,
    anon_sym_int64,
    ACTIONS(217),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(221),
    1,
    anon_sym_fixed,
    ACTIONS(223),
    1,
    sym_signed_tiny_int,
    ACTIONS(225),
    1,
    anon_sym_unsignedshort,
    ACTIONS(227),
    1,
    anon_sym_uint16,
    ACTIONS(231),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(233),
    1,
    anon_sym_uint64,
    ACTIONS(237),
    1,
    anon_sym_longdouble,
    ACTIONS(241),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(245),
    1,
    anon_sym_any,
    ACTIONS(247),
    1,
    anon_sym_sequence,
    ACTIONS(249),
    1,
    anon_sym_map,
    ACTIONS(291),
    1,
    anon_sym_Object,
    ACTIONS(295),
    1,
    sym_identifier,
    ACTIONS(900),
    1,
    anon_sym_RBRACE,
    ACTIONS(902),
    1,
    anon_sym_AT,
    ACTIONS(904),
    1,
    anon_sym_SLASH_SLASH_AT,
    STATE(34),
    1,
    sym_comment,
    STATE(35),
    1,
    aux_sym_except_dcl_repeat1,
    STATE(49),
    1,
    aux_sym_interface_def_repeat1,
    STATE(93),
    1,
    sym_member,
    STATE(115),
    1,
    sym_annotation_appl,
    STATE(118),
    1,
    sym_extend_annotation_appl,
    STATE(377),
    1,
    sym_scoped_name,
    STATE(386),
    1,
    sym_type_spec,
    STATE(481),
    1,
    sym_base_type_spec,
    ACTIONS(209),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(211),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(229),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(235),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(239),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(243),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(371),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(442),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(219),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(356),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(388),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(448),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(473),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [151] = 43,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(213),
    1,
    anon_sym_longlong,
    ACTIONS(215),
    1,
    anon_sym_int64,
    ACTIONS(217),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(221),
    1,
    anon_sym_fixed,
    ACTIONS(223),
    1,
    sym_signed_tiny_int,
    ACTIONS(225),
    1,
    anon_sym_unsignedshort,
    ACTIONS(227),
    1,
    anon_sym_uint16,
    ACTIONS(231),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(233),
    1,
    anon_sym_uint64,
    ACTIONS(237),
    1,
    anon_sym_longdouble,
    ACTIONS(241),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(245),
    1,
    anon_sym_any,
    ACTIONS(247),
    1,
    anon_sym_sequence,
    ACTIONS(249),
    1,
    anon_sym_map,
    ACTIONS(291),
    1,
    anon_sym_Object,
    ACTIONS(295),
    1,
    sym_identifier,
    ACTIONS(902),
    1,
    anon_sym_AT,
    ACTIONS(904),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(906),
    1,
    anon_sym_RBRACE,
    STATE(35),
    1,
    sym_comment,
    STATE(39),
    1,
    aux_sym_except_dcl_repeat1,
    STATE(49),
    1,
    aux_sym_interface_def_repeat1,
    STATE(93),
    1,
    sym_member,
    STATE(115),
    1,
    sym_annotation_appl,
    STATE(118),
    1,
    sym_extend_annotation_appl,
    STATE(377),
    1,
    sym_scoped_name,
    STATE(386),
    1,
    sym_type_spec,
    STATE(481),
    1,
    sym_base_type_spec,
    ACTIONS(209),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(211),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(229),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(235),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(239),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(243),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(371),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(442),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(219),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(356),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(388),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(448),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(473),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [302] = 43,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(213),
    1,
    anon_sym_longlong,
    ACTIONS(215),
    1,
    anon_sym_int64,
    ACTIONS(217),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(221),
    1,
    anon_sym_fixed,
    ACTIONS(223),
    1,
    sym_signed_tiny_int,
    ACTIONS(225),
    1,
    anon_sym_unsignedshort,
    ACTIONS(227),
    1,
    anon_sym_uint16,
    ACTIONS(231),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(233),
    1,
    anon_sym_uint64,
    ACTIONS(237),
    1,
    anon_sym_longdouble,
    ACTIONS(241),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(245),
    1,
    anon_sym_any,
    ACTIONS(247),
    1,
    anon_sym_sequence,
    ACTIONS(249),
    1,
    anon_sym_map,
    ACTIONS(291),
    1,
    anon_sym_Object,
    ACTIONS(295),
    1,
    sym_identifier,
    ACTIONS(902),
    1,
    anon_sym_AT,
    ACTIONS(904),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(908),
    1,
    anon_sym_RBRACE,
    STATE(36),
    1,
    sym_comment,
    STATE(39),
    1,
    aux_sym_except_dcl_repeat1,
    STATE(49),
    1,
    aux_sym_interface_def_repeat1,
    STATE(93),
    1,
    sym_member,
    STATE(115),
    1,
    sym_annotation_appl,
    STATE(118),
    1,
    sym_extend_annotation_appl,
    STATE(377),
    1,
    sym_scoped_name,
    STATE(386),
    1,
    sym_type_spec,
    STATE(481),
    1,
    sym_base_type_spec,
    ACTIONS(209),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(211),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(229),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(235),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(239),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(243),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(371),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(442),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(219),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(356),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(388),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(448),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(473),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [453] = 43,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(213),
    1,
    anon_sym_longlong,
    ACTIONS(215),
    1,
    anon_sym_int64,
    ACTIONS(217),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(221),
    1,
    anon_sym_fixed,
    ACTIONS(223),
    1,
    sym_signed_tiny_int,
    ACTIONS(225),
    1,
    anon_sym_unsignedshort,
    ACTIONS(227),
    1,
    anon_sym_uint16,
    ACTIONS(231),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(233),
    1,
    anon_sym_uint64,
    ACTIONS(237),
    1,
    anon_sym_longdouble,
    ACTIONS(241),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(245),
    1,
    anon_sym_any,
    ACTIONS(247),
    1,
    anon_sym_sequence,
    ACTIONS(249),
    1,
    anon_sym_map,
    ACTIONS(291),
    1,
    anon_sym_Object,
    ACTIONS(295),
    1,
    sym_identifier,
    ACTIONS(902),
    1,
    anon_sym_AT,
    ACTIONS(904),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(910),
    1,
    anon_sym_RBRACE,
    STATE(36),
    1,
    aux_sym_except_dcl_repeat1,
    STATE(37),
    1,
    sym_comment,
    STATE(49),
    1,
    aux_sym_interface_def_repeat1,
    STATE(93),
    1,
    sym_member,
    STATE(115),
    1,
    sym_annotation_appl,
    STATE(118),
    1,
    sym_extend_annotation_appl,
    STATE(377),
    1,
    sym_scoped_name,
    STATE(386),
    1,
    sym_type_spec,
    STATE(481),
    1,
    sym_base_type_spec,
    ACTIONS(209),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(211),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(229),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(235),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(239),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(243),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(371),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(442),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(219),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(356),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(388),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(448),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(473),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [604] = 43,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(213),
    1,
    anon_sym_longlong,
    ACTIONS(215),
    1,
    anon_sym_int64,
    ACTIONS(217),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(221),
    1,
    anon_sym_fixed,
    ACTIONS(223),
    1,
    sym_signed_tiny_int,
    ACTIONS(225),
    1,
    anon_sym_unsignedshort,
    ACTIONS(227),
    1,
    anon_sym_uint16,
    ACTIONS(231),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(233),
    1,
    anon_sym_uint64,
    ACTIONS(237),
    1,
    anon_sym_longdouble,
    ACTIONS(241),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(245),
    1,
    anon_sym_any,
    ACTIONS(247),
    1,
    anon_sym_sequence,
    ACTIONS(249),
    1,
    anon_sym_map,
    ACTIONS(291),
    1,
    anon_sym_Object,
    ACTIONS(295),
    1,
    sym_identifier,
    ACTIONS(902),
    1,
    anon_sym_AT,
    ACTIONS(904),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(912),
    1,
    anon_sym_RBRACE,
    STATE(38),
    1,
    sym_comment,
    STATE(39),
    1,
    aux_sym_except_dcl_repeat1,
    STATE(49),
    1,
    aux_sym_interface_def_repeat1,
    STATE(93),
    1,
    sym_member,
    STATE(115),
    1,
    sym_annotation_appl,
    STATE(118),
    1,
    sym_extend_annotation_appl,
    STATE(377),
    1,
    sym_scoped_name,
    STATE(386),
    1,
    sym_type_spec,
    STATE(481),
    1,
    sym_base_type_spec,
    ACTIONS(209),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(211),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(229),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(235),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(239),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(243),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(371),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(442),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(219),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(356),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(388),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(448),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(473),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [755] = 42,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(920),
    1,
    anon_sym_longlong,
    ACTIONS(923),
    1,
    anon_sym_int64,
    ACTIONS(926),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(932),
    1,
    anon_sym_fixed,
    ACTIONS(935),
    1,
    sym_signed_tiny_int,
    ACTIONS(938),
    1,
    anon_sym_unsignedshort,
    ACTIONS(941),
    1,
    anon_sym_uint16,
    ACTIONS(947),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(950),
    1,
    anon_sym_uint64,
    ACTIONS(956),
    1,
    anon_sym_longdouble,
    ACTIONS(962),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(968),
    1,
    anon_sym_any,
    ACTIONS(971),
    1,
    anon_sym_sequence,
    ACTIONS(974),
    1,
    anon_sym_map,
    ACTIONS(977),
    1,
    anon_sym_RBRACE,
    ACTIONS(979),
    1,
    anon_sym_AT,
    ACTIONS(982),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(985),
    1,
    anon_sym_Object,
    ACTIONS(988),
    1,
    sym_identifier,
    STATE(49),
    1,
    aux_sym_interface_def_repeat1,
    STATE(93),
    1,
    sym_member,
    STATE(115),
    1,
    sym_annotation_appl,
    STATE(118),
    1,
    sym_extend_annotation_appl,
    STATE(377),
    1,
    sym_scoped_name,
    STATE(386),
    1,
    sym_type_spec,
    STATE(481),
    1,
    sym_base_type_spec,
    ACTIONS(914),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(917),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(944),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(953),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(959),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(965),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(39),
    2,
    sym_comment,
    aux_sym_except_dcl_repeat1,
    STATE(371),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(442),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(929),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(356),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(388),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(448),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(473),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [904] = 43,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(213),
    1,
    anon_sym_longlong,
    ACTIONS(215),
    1,
    anon_sym_int64,
    ACTIONS(217),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(221),
    1,
    anon_sym_fixed,
    ACTIONS(223),
    1,
    sym_signed_tiny_int,
    ACTIONS(225),
    1,
    anon_sym_unsignedshort,
    ACTIONS(227),
    1,
    anon_sym_uint16,
    ACTIONS(231),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(233),
    1,
    anon_sym_uint64,
    ACTIONS(237),
    1,
    anon_sym_longdouble,
    ACTIONS(241),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(245),
    1,
    anon_sym_any,
    ACTIONS(247),
    1,
    anon_sym_sequence,
    ACTIONS(249),
    1,
    anon_sym_map,
    ACTIONS(291),
    1,
    anon_sym_Object,
    ACTIONS(295),
    1,
    sym_identifier,
    ACTIONS(902),
    1,
    anon_sym_AT,
    ACTIONS(904),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(991),
    1,
    anon_sym_RBRACE,
    STATE(39),
    1,
    aux_sym_except_dcl_repeat1,
    STATE(40),
    1,
    sym_comment,
    STATE(49),
    1,
    aux_sym_interface_def_repeat1,
    STATE(93),
    1,
    sym_member,
    STATE(115),
    1,
    sym_annotation_appl,
    STATE(118),
    1,
    sym_extend_annotation_appl,
    STATE(377),
    1,
    sym_scoped_name,
    STATE(386),
    1,
    sym_type_spec,
    STATE(481),
    1,
    sym_base_type_spec,
    ACTIONS(209),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(211),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(229),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(235),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(239),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(243),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(371),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(442),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(219),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(356),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(388),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(448),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(473),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [1055] = 43,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(213),
    1,
    anon_sym_longlong,
    ACTIONS(215),
    1,
    anon_sym_int64,
    ACTIONS(217),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(221),
    1,
    anon_sym_fixed,
    ACTIONS(223),
    1,
    sym_signed_tiny_int,
    ACTIONS(225),
    1,
    anon_sym_unsignedshort,
    ACTIONS(227),
    1,
    anon_sym_uint16,
    ACTIONS(231),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(233),
    1,
    anon_sym_uint64,
    ACTIONS(237),
    1,
    anon_sym_longdouble,
    ACTIONS(241),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(245),
    1,
    anon_sym_any,
    ACTIONS(247),
    1,
    anon_sym_sequence,
    ACTIONS(249),
    1,
    anon_sym_map,
    ACTIONS(291),
    1,
    anon_sym_Object,
    ACTIONS(295),
    1,
    sym_identifier,
    ACTIONS(902),
    1,
    anon_sym_AT,
    ACTIONS(904),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(991),
    1,
    anon_sym_RBRACE,
    STATE(41),
    1,
    sym_comment,
    STATE(43),
    1,
    aux_sym_except_dcl_repeat1,
    STATE(49),
    1,
    aux_sym_interface_def_repeat1,
    STATE(93),
    1,
    sym_member,
    STATE(115),
    1,
    sym_annotation_appl,
    STATE(118),
    1,
    sym_extend_annotation_appl,
    STATE(377),
    1,
    sym_scoped_name,
    STATE(386),
    1,
    sym_type_spec,
    STATE(481),
    1,
    sym_base_type_spec,
    ACTIONS(209),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(211),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(229),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(235),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(239),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(243),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(371),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(442),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(219),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(356),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(388),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(448),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(473),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [1206] = 43,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(213),
    1,
    anon_sym_longlong,
    ACTIONS(215),
    1,
    anon_sym_int64,
    ACTIONS(217),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(221),
    1,
    anon_sym_fixed,
    ACTIONS(223),
    1,
    sym_signed_tiny_int,
    ACTIONS(225),
    1,
    anon_sym_unsignedshort,
    ACTIONS(227),
    1,
    anon_sym_uint16,
    ACTIONS(231),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(233),
    1,
    anon_sym_uint64,
    ACTIONS(237),
    1,
    anon_sym_longdouble,
    ACTIONS(241),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(245),
    1,
    anon_sym_any,
    ACTIONS(247),
    1,
    anon_sym_sequence,
    ACTIONS(249),
    1,
    anon_sym_map,
    ACTIONS(291),
    1,
    anon_sym_Object,
    ACTIONS(295),
    1,
    sym_identifier,
    ACTIONS(902),
    1,
    anon_sym_AT,
    ACTIONS(904),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(993),
    1,
    anon_sym_RBRACE,
    STATE(38),
    1,
    aux_sym_except_dcl_repeat1,
    STATE(42),
    1,
    sym_comment,
    STATE(49),
    1,
    aux_sym_interface_def_repeat1,
    STATE(93),
    1,
    sym_member,
    STATE(115),
    1,
    sym_annotation_appl,
    STATE(118),
    1,
    sym_extend_annotation_appl,
    STATE(377),
    1,
    sym_scoped_name,
    STATE(386),
    1,
    sym_type_spec,
    STATE(481),
    1,
    sym_base_type_spec,
    ACTIONS(209),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(211),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(229),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(235),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(239),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(243),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(371),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(442),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(219),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(356),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(388),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(448),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(473),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [1357] = 43,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(213),
    1,
    anon_sym_longlong,
    ACTIONS(215),
    1,
    anon_sym_int64,
    ACTIONS(217),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(221),
    1,
    anon_sym_fixed,
    ACTIONS(223),
    1,
    sym_signed_tiny_int,
    ACTIONS(225),
    1,
    anon_sym_unsignedshort,
    ACTIONS(227),
    1,
    anon_sym_uint16,
    ACTIONS(231),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(233),
    1,
    anon_sym_uint64,
    ACTIONS(237),
    1,
    anon_sym_longdouble,
    ACTIONS(241),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(245),
    1,
    anon_sym_any,
    ACTIONS(247),
    1,
    anon_sym_sequence,
    ACTIONS(249),
    1,
    anon_sym_map,
    ACTIONS(291),
    1,
    anon_sym_Object,
    ACTIONS(295),
    1,
    sym_identifier,
    ACTIONS(902),
    1,
    anon_sym_AT,
    ACTIONS(904),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(995),
    1,
    anon_sym_RBRACE,
    STATE(39),
    1,
    aux_sym_except_dcl_repeat1,
    STATE(43),
    1,
    sym_comment,
    STATE(49),
    1,
    aux_sym_interface_def_repeat1,
    STATE(93),
    1,
    sym_member,
    STATE(115),
    1,
    sym_annotation_appl,
    STATE(118),
    1,
    sym_extend_annotation_appl,
    STATE(377),
    1,
    sym_scoped_name,
    STATE(386),
    1,
    sym_type_spec,
    STATE(481),
    1,
    sym_base_type_spec,
    ACTIONS(209),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(211),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(229),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(235),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(239),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(243),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(371),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(442),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(219),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(356),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(388),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(448),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(473),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [1508] = 43,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(213),
    1,
    anon_sym_longlong,
    ACTIONS(215),
    1,
    anon_sym_int64,
    ACTIONS(217),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(221),
    1,
    anon_sym_fixed,
    ACTIONS(223),
    1,
    sym_signed_tiny_int,
    ACTIONS(225),
    1,
    anon_sym_unsignedshort,
    ACTIONS(227),
    1,
    anon_sym_uint16,
    ACTIONS(231),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(233),
    1,
    anon_sym_uint64,
    ACTIONS(237),
    1,
    anon_sym_longdouble,
    ACTIONS(241),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(245),
    1,
    anon_sym_any,
    ACTIONS(247),
    1,
    anon_sym_sequence,
    ACTIONS(249),
    1,
    anon_sym_map,
    ACTIONS(291),
    1,
    anon_sym_Object,
    ACTIONS(295),
    1,
    sym_identifier,
    ACTIONS(902),
    1,
    anon_sym_AT,
    ACTIONS(904),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(997),
    1,
    anon_sym_RBRACE,
    STATE(40),
    1,
    aux_sym_except_dcl_repeat1,
    STATE(44),
    1,
    sym_comment,
    STATE(49),
    1,
    aux_sym_interface_def_repeat1,
    STATE(93),
    1,
    sym_member,
    STATE(115),
    1,
    sym_annotation_appl,
    STATE(118),
    1,
    sym_extend_annotation_appl,
    STATE(377),
    1,
    sym_scoped_name,
    STATE(386),
    1,
    sym_type_spec,
    STATE(481),
    1,
    sym_base_type_spec,
    ACTIONS(209),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(211),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(229),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(235),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(239),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(243),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(371),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(442),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(219),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(356),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(388),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(448),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(473),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [1659] = 42,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(213),
    1,
    anon_sym_longlong,
    ACTIONS(215),
    1,
    anon_sym_int64,
    ACTIONS(217),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(221),
    1,
    anon_sym_fixed,
    ACTIONS(223),
    1,
    sym_signed_tiny_int,
    ACTIONS(225),
    1,
    anon_sym_unsignedshort,
    ACTIONS(227),
    1,
    anon_sym_uint16,
    ACTIONS(231),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(233),
    1,
    anon_sym_uint64,
    ACTIONS(237),
    1,
    anon_sym_longdouble,
    ACTIONS(241),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(245),
    1,
    anon_sym_any,
    ACTIONS(247),
    1,
    anon_sym_sequence,
    ACTIONS(249),
    1,
    anon_sym_map,
    ACTIONS(291),
    1,
    anon_sym_Object,
    ACTIONS(295),
    1,
    sym_identifier,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(999),
    1,
    anon_sym_LBRACE,
    ACTIONS(1001),
    1,
    anon_sym_COLON,
    ACTIONS(1003),
    1,
    anon_sym_SEMI,
    ACTIONS(1005),
    1,
    anon_sym_supports,
    STATE(45),
    1,
    sym_comment,
    STATE(377),
    1,
    sym_scoped_name,
    STATE(481),
    1,
    sym_base_type_spec,
    STATE(693),
    1,
    sym_value_inheritance,
    STATE(1000),
    1,
    sym_value_inheritance_spec,
    STATE(1001),
    1,
    sym_type_spec,
    STATE(1022),
    1,
    sym_value_supports,
    ACTIONS(209),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(211),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(229),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(235),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(239),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(243),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(371),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(442),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(219),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(356),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(388),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(448),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(473),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [1807] = 40,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(213),
    1,
    anon_sym_longlong,
    ACTIONS(215),
    1,
    anon_sym_int64,
    ACTIONS(217),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(221),
    1,
    anon_sym_fixed,
    ACTIONS(223),
    1,
    sym_signed_tiny_int,
    ACTIONS(225),
    1,
    anon_sym_unsignedshort,
    ACTIONS(227),
    1,
    anon_sym_uint16,
    ACTIONS(231),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(233),
    1,
    anon_sym_uint64,
    ACTIONS(237),
    1,
    anon_sym_longdouble,
    ACTIONS(241),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(245),
    1,
    anon_sym_any,
    ACTIONS(247),
    1,
    anon_sym_sequence,
    ACTIONS(249),
    1,
    anon_sym_map,
    ACTIONS(291),
    1,
    anon_sym_Object,
    ACTIONS(295),
    1,
    sym_identifier,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1007),
    1,
    anon_sym_RPAREN,
    STATE(46),
    1,
    sym_comment,
    STATE(84),
    1,
    sym_param_attribute,
    STATE(377),
    1,
    sym_scoped_name,
    STATE(481),
    1,
    sym_base_type_spec,
    STATE(702),
    1,
    sym_param_dcl,
    STATE(737),
    1,
    sym_type_spec,
    STATE(1178),
    1,
    sym_parameter_dcls,
    ACTIONS(209),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(211),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(229),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(235),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(239),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(243),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(371),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(442),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(219),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    ACTIONS(1009),
    3,
    anon_sym_in,
    anon_sym_out,
    anon_sym_inout,
    STATE(356),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(388),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(448),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(473),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [1951] = 38,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(213),
    1,
    anon_sym_longlong,
    ACTIONS(215),
    1,
    anon_sym_int64,
    ACTIONS(217),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(221),
    1,
    anon_sym_fixed,
    ACTIONS(223),
    1,
    sym_signed_tiny_int,
    ACTIONS(225),
    1,
    anon_sym_unsignedshort,
    ACTIONS(227),
    1,
    anon_sym_uint16,
    ACTIONS(231),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(233),
    1,
    anon_sym_uint64,
    ACTIONS(237),
    1,
    anon_sym_longdouble,
    ACTIONS(241),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(245),
    1,
    anon_sym_any,
    ACTIONS(247),
    1,
    anon_sym_sequence,
    ACTIONS(249),
    1,
    anon_sym_map,
    ACTIONS(291),
    1,
    anon_sym_Object,
    ACTIONS(295),
    1,
    sym_identifier,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(47),
    1,
    sym_comment,
    STATE(84),
    1,
    sym_param_attribute,
    STATE(377),
    1,
    sym_scoped_name,
    STATE(481),
    1,
    sym_base_type_spec,
    STATE(737),
    1,
    sym_type_spec,
    STATE(825),
    1,
    sym_param_dcl,
    ACTIONS(209),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(211),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(229),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(235),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(239),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(243),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(371),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(442),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(219),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    ACTIONS(1009),
    3,
    anon_sym_in,
    anon_sym_out,
    anon_sym_inout,
    STATE(356),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(388),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(448),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(473),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [2089] = 41,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(51),
    1,
    anon_sym_ATignore_literal_names,
    ACTIONS(213),
    1,
    anon_sym_longlong,
    ACTIONS(215),
    1,
    anon_sym_int64,
    ACTIONS(217),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(223),
    1,
    sym_signed_tiny_int,
    ACTIONS(225),
    1,
    anon_sym_unsignedshort,
    ACTIONS(227),
    1,
    anon_sym_uint16,
    ACTIONS(231),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(233),
    1,
    anon_sym_uint64,
    ACTIONS(237),
    1,
    anon_sym_longdouble,
    ACTIONS(241),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(247),
    1,
    anon_sym_sequence,
    ACTIONS(275),
    1,
    anon_sym_enum,
    ACTIONS(277),
    1,
    anon_sym_const,
    ACTIONS(285),
    1,
    anon_sym_typedef,
    ACTIONS(295),
    1,
    sym_identifier,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1013),
    1,
    anon_sym_fixed,
    ACTIONS(1015),
    1,
    anon_sym_any,
    ACTIONS(1017),
    1,
    anon_sym_RBRACE,
    STATE(48),
    1,
    sym_comment,
    STATE(51),
    1,
    aux_sym_annotation_dcl_repeat1,
    STATE(131),
    1,
    sym_annotation_member,
    STATE(132),
    1,
    sym_annotation_body,
    STATE(762),
    1,
    sym_scoped_name,
    STATE(763),
    1,
    sym_annotation_member_type,
    STATE(1179),
    1,
    sym_enum_anno,
    ACTIONS(209),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(211),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(229),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(235),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(239),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(243),
    2,
    anon_sym_string,
    anon_sym_wstring,
    ACTIONS(1011),
    2,
    sym_boolean_type,
    sym_octet_type,
    STATE(371),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(968),
    2,
    sym_any_const_type,
    sym_const_type,
    STATE(356),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(388),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(967),
    3,
    sym_typedef_dcl,
    sym_enum_dcl,
    sym_const_dcl,
    STATE(1080),
    6,
    sym_fixed_pt_const_type,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_string_type,
    sym_sequence_type,
    [2233] = 40,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(213),
    1,
    anon_sym_longlong,
    ACTIONS(215),
    1,
    anon_sym_int64,
    ACTIONS(217),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(221),
    1,
    anon_sym_fixed,
    ACTIONS(223),
    1,
    sym_signed_tiny_int,
    ACTIONS(225),
    1,
    anon_sym_unsignedshort,
    ACTIONS(227),
    1,
    anon_sym_uint16,
    ACTIONS(231),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(233),
    1,
    anon_sym_uint64,
    ACTIONS(237),
    1,
    anon_sym_longdouble,
    ACTIONS(241),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(245),
    1,
    anon_sym_any,
    ACTIONS(247),
    1,
    anon_sym_sequence,
    ACTIONS(249),
    1,
    anon_sym_map,
    ACTIONS(291),
    1,
    anon_sym_Object,
    ACTIONS(295),
    1,
    sym_identifier,
    ACTIONS(902),
    1,
    anon_sym_AT,
    ACTIONS(904),
    1,
    anon_sym_SLASH_SLASH_AT,
    STATE(49),
    1,
    sym_comment,
    STATE(91),
    1,
    aux_sym_interface_def_repeat1,
    STATE(115),
    1,
    sym_annotation_appl,
    STATE(118),
    1,
    sym_extend_annotation_appl,
    STATE(362),
    1,
    sym_type_spec,
    STATE(377),
    1,
    sym_scoped_name,
    STATE(481),
    1,
    sym_base_type_spec,
    ACTIONS(209),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(211),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(229),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(235),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(239),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(243),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(371),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(442),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(219),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(356),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(388),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(448),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(473),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [2375] = 40,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1025),
    1,
    anon_sym_longlong,
    ACTIONS(1028),
    1,
    anon_sym_int64,
    ACTIONS(1031),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(1037),
    1,
    anon_sym_fixed,
    ACTIONS(1040),
    1,
    sym_signed_tiny_int,
    ACTIONS(1043),
    1,
    anon_sym_unsignedshort,
    ACTIONS(1046),
    1,
    anon_sym_uint16,
    ACTIONS(1052),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(1055),
    1,
    anon_sym_uint64,
    ACTIONS(1061),
    1,
    anon_sym_longdouble,
    ACTIONS(1067),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(1073),
    1,
    anon_sym_any,
    ACTIONS(1076),
    1,
    anon_sym_sequence,
    ACTIONS(1079),
    1,
    anon_sym_RBRACE,
    ACTIONS(1081),
    1,
    anon_sym_enum,
    ACTIONS(1084),
    1,
    anon_sym_const,
    ACTIONS(1087),
    1,
    anon_sym_typedef,
    ACTIONS(1090),
    1,
    anon_sym_ATignore_literal_names,
    ACTIONS(1093),
    1,
    sym_identifier,
    STATE(131),
    1,
    sym_annotation_member,
    STATE(132),
    1,
    sym_annotation_body,
    STATE(762),
    1,
    sym_scoped_name,
    STATE(763),
    1,
    sym_annotation_member_type,
    STATE(1179),
    1,
    sym_enum_anno,
    ACTIONS(1019),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(1022),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(1034),
    2,
    sym_boolean_type,
    sym_octet_type,
    ACTIONS(1049),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(1058),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(1064),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(1070),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(50),
    2,
    sym_comment,
    aux_sym_annotation_dcl_repeat1,
    STATE(371),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(968),
    2,
    sym_any_const_type,
    sym_const_type,
    STATE(356),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(388),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(967),
    3,
    sym_typedef_dcl,
    sym_enum_dcl,
    sym_const_dcl,
    STATE(1080),
    6,
    sym_fixed_pt_const_type,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_string_type,
    sym_sequence_type,
    [2517] = 41,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(51),
    1,
    anon_sym_ATignore_literal_names,
    ACTIONS(213),
    1,
    anon_sym_longlong,
    ACTIONS(215),
    1,
    anon_sym_int64,
    ACTIONS(217),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(223),
    1,
    sym_signed_tiny_int,
    ACTIONS(225),
    1,
    anon_sym_unsignedshort,
    ACTIONS(227),
    1,
    anon_sym_uint16,
    ACTIONS(231),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(233),
    1,
    anon_sym_uint64,
    ACTIONS(237),
    1,
    anon_sym_longdouble,
    ACTIONS(241),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(247),
    1,
    anon_sym_sequence,
    ACTIONS(275),
    1,
    anon_sym_enum,
    ACTIONS(277),
    1,
    anon_sym_const,
    ACTIONS(285),
    1,
    anon_sym_typedef,
    ACTIONS(295),
    1,
    sym_identifier,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1013),
    1,
    anon_sym_fixed,
    ACTIONS(1015),
    1,
    anon_sym_any,
    ACTIONS(1096),
    1,
    anon_sym_RBRACE,
    STATE(50),
    1,
    aux_sym_annotation_dcl_repeat1,
    STATE(51),
    1,
    sym_comment,
    STATE(131),
    1,
    sym_annotation_member,
    STATE(132),
    1,
    sym_annotation_body,
    STATE(762),
    1,
    sym_scoped_name,
    STATE(763),
    1,
    sym_annotation_member_type,
    STATE(1179),
    1,
    sym_enum_anno,
    ACTIONS(209),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(211),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(229),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(235),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(239),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(243),
    2,
    anon_sym_string,
    anon_sym_wstring,
    ACTIONS(1011),
    2,
    sym_boolean_type,
    sym_octet_type,
    STATE(371),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(968),
    2,
    sym_any_const_type,
    sym_const_type,
    STATE(356),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(388),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(967),
    3,
    sym_typedef_dcl,
    sym_enum_dcl,
    sym_const_dcl,
    STATE(1080),
    6,
    sym_fixed_pt_const_type,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_string_type,
    sym_sequence_type,
    [2661] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(52),
    1,
    sym_comment,
    ACTIONS(1100),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1098),
    48,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_oneway,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_public,
    anon_sym_private,
    anon_sym_factory,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    sym_value_base_type,
    anon_sym_native,
    sym_identifier,
    [2731] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(53),
    1,
    sym_comment,
    ACTIONS(1104),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1102),
    48,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_oneway,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_public,
    anon_sym_private,
    anon_sym_factory,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    sym_value_base_type,
    anon_sym_native,
    sym_identifier,
    [2801] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(54),
    1,
    sym_comment,
    ACTIONS(1108),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1106),
    48,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_oneway,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_public,
    anon_sym_private,
    anon_sym_factory,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    sym_value_base_type,
    anon_sym_native,
    sym_identifier,
    [2871] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(55),
    1,
    sym_comment,
    ACTIONS(1112),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1110),
    48,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_oneway,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_public,
    anon_sym_private,
    anon_sym_factory,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    sym_value_base_type,
    anon_sym_native,
    sym_identifier,
    [2941] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(56),
    1,
    sym_comment,
    ACTIONS(1116),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1114),
    48,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_oneway,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_public,
    anon_sym_private,
    anon_sym_factory,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    sym_value_base_type,
    anon_sym_native,
    sym_identifier,
    [3011] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(57),
    1,
    sym_comment,
    ACTIONS(1120),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1118),
    48,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_oneway,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_public,
    anon_sym_private,
    anon_sym_factory,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    sym_value_base_type,
    anon_sym_native,
    sym_identifier,
    [3081] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(58),
    1,
    sym_comment,
    ACTIONS(1124),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1122),
    48,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_oneway,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_public,
    anon_sym_private,
    anon_sym_factory,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    sym_value_base_type,
    anon_sym_native,
    sym_identifier,
    [3151] = 35,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(213),
    1,
    anon_sym_longlong,
    ACTIONS(215),
    1,
    anon_sym_int64,
    ACTIONS(217),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(223),
    1,
    sym_signed_tiny_int,
    ACTIONS(225),
    1,
    anon_sym_unsignedshort,
    ACTIONS(227),
    1,
    anon_sym_uint16,
    ACTIONS(231),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(233),
    1,
    anon_sym_uint64,
    ACTIONS(237),
    1,
    anon_sym_longdouble,
    ACTIONS(241),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(245),
    1,
    anon_sym_any,
    ACTIONS(291),
    1,
    anon_sym_Object,
    ACTIONS(295),
    1,
    sym_identifier,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1126),
    1,
    anon_sym_sequence,
    ACTIONS(1130),
    1,
    anon_sym_const,
    STATE(59),
    1,
    sym_comment,
    STATE(377),
    1,
    sym_scoped_name,
    STATE(481),
    1,
    sym_base_type_spec,
    STATE(570),
    1,
    sym_formal_parameter,
    STATE(932),
    1,
    sym_formal_parameter_type,
    STATE(933),
    1,
    sym_formal_parameters,
    ACTIONS(209),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(211),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(229),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(235),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(239),
    2,
    anon_sym_char,
    anon_sym_wchar,
    STATE(371),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(934),
    2,
    sym_simple_type_spec,
    sym_sequence_type,
    ACTIONS(219),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(356),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(388),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(473),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(1128),
    8,
    anon_sym_exception,
    anon_sym_interface,
    anon_sym_typename,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    [3281] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(60),
    1,
    sym_comment,
    ACTIONS(1134),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1132),
    47,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_oneway,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_factory,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    sym_value_base_type,
    anon_sym_finder,
    anon_sym_native,
    sym_identifier,
    [3350] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(61),
    1,
    sym_comment,
    ACTIONS(1138),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1136),
    47,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_oneway,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_factory,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    sym_value_base_type,
    anon_sym_finder,
    anon_sym_native,
    sym_identifier,
    [3419] = 34,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(213),
    1,
    anon_sym_longlong,
    ACTIONS(215),
    1,
    anon_sym_int64,
    ACTIONS(217),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(223),
    1,
    sym_signed_tiny_int,
    ACTIONS(225),
    1,
    anon_sym_unsignedshort,
    ACTIONS(227),
    1,
    anon_sym_uint16,
    ACTIONS(231),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(233),
    1,
    anon_sym_uint64,
    ACTIONS(237),
    1,
    anon_sym_longdouble,
    ACTIONS(241),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(245),
    1,
    anon_sym_any,
    ACTIONS(291),
    1,
    anon_sym_Object,
    ACTIONS(295),
    1,
    sym_identifier,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1126),
    1,
    anon_sym_sequence,
    ACTIONS(1130),
    1,
    anon_sym_const,
    STATE(62),
    1,
    sym_comment,
    STATE(377),
    1,
    sym_scoped_name,
    STATE(481),
    1,
    sym_base_type_spec,
    STATE(770),
    1,
    sym_formal_parameter,
    STATE(932),
    1,
    sym_formal_parameter_type,
    ACTIONS(209),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(211),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(229),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(235),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(239),
    2,
    anon_sym_char,
    anon_sym_wchar,
    STATE(371),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(934),
    2,
    sym_simple_type_spec,
    sym_sequence_type,
    ACTIONS(219),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(356),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(388),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(473),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(1128),
    8,
    anon_sym_exception,
    anon_sym_interface,
    anon_sym_typename,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    [3546] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(63),
    1,
    sym_comment,
    ACTIONS(1112),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1110),
    47,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_oneway,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_factory,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    sym_value_base_type,
    anon_sym_finder,
    anon_sym_native,
    sym_identifier,
    [3615] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(64),
    1,
    sym_comment,
    ACTIONS(1142),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1140),
    47,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_oneway,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_factory,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    sym_value_base_type,
    anon_sym_finder,
    anon_sym_native,
    sym_identifier,
    [3684] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1144),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(1146),
    1,
    anon_sym_default,
    ACTIONS(1148),
    1,
    anon_sym_id,
    ACTIONS(1150),
    1,
    anon_sym_autoid,
    ACTIONS(1152),
    1,
    anon_sym_optional,
    ACTIONS(1154),
    1,
    anon_sym_position,
    ACTIONS(1156),
    1,
    anon_sym_value,
    ACTIONS(1158),
    1,
    anon_sym_extensibility,
    ACTIONS(1160),
    1,
    anon_sym_final,
    ACTIONS(1162),
    1,
    anon_sym_appendable,
    ACTIONS(1164),
    1,
    anon_sym_mutable,
    ACTIONS(1166),
    1,
    anon_sym_key,
    ACTIONS(1168),
    1,
    anon_sym_must_understand,
    ACTIONS(1170),
    1,
    anon_sym_default_literal,
    ACTIONS(1172),
    1,
    anon_sym_range,
    ACTIONS(1174),
    1,
    anon_sym_min,
    ACTIONS(1176),
    1,
    anon_sym_max,
    ACTIONS(1178),
    1,
    anon_sym_unit,
    ACTIONS(1180),
    1,
    anon_sym_bit_bound,
    ACTIONS(1182),
    1,
    anon_sym_external,
    ACTIONS(1184),
    1,
    anon_sym_nested,
    ACTIONS(1186),
    1,
    anon_sym_verbatim,
    ACTIONS(1188),
    1,
    anon_sym_service,
    ACTIONS(1190),
    1,
    anon_sym_oneway,
    ACTIONS(1192),
    1,
    anon_sym_ami,
    ACTIONS(1194),
    1,
    sym_identifier,
    STATE(65),
    1,
    sym_comment,
    STATE(354),
    1,
    sym_scoped_name,
    STATE(625),
    2,
    sym_annotation_appl_custom_body,
    sym_annotation_appl_builtin_body,
    STATE(629),
    24,
    sym_annotation_appl_id,
    sym_annotation_appl_autoid,
    sym_annotation_appl_optional,
    sym_annotation_appl_position,
    sym_annotation_appl_value,
    sym_annotation_appl_extensibility,
    sym_annotation_appl_final,
    sym_annotation_appl_appendable,
    sym_annotation_appl_mutable,
    sym_annotation_appl_key,
    sym_annotation_appl_must_understand,
    sym_annotation_appl_default_literal,
    sym_annotation_appl_default,
    sym_annotation_appl_range,
    sym_annotation_appl_min,
    sym_annotation_appl_max,
    sym_annotation_appl_unit,
    sym_annotation_appl_bit_bound,
    sym_annotation_appl_external,
    sym_annotation_appl_nested,
    sym_annotation_appl_verbatim,
    sym_annotation_appl_service,
    sym_annotation_appl_oneway,
    sym_annotation_appl_ami,
    [3805] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1196),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(1198),
    1,
    anon_sym_default,
    ACTIONS(1200),
    1,
    anon_sym_id,
    ACTIONS(1202),
    1,
    anon_sym_autoid,
    ACTIONS(1204),
    1,
    anon_sym_optional,
    ACTIONS(1206),
    1,
    anon_sym_position,
    ACTIONS(1208),
    1,
    anon_sym_value,
    ACTIONS(1210),
    1,
    anon_sym_extensibility,
    ACTIONS(1212),
    1,
    anon_sym_final,
    ACTIONS(1214),
    1,
    anon_sym_appendable,
    ACTIONS(1216),
    1,
    anon_sym_mutable,
    ACTIONS(1218),
    1,
    anon_sym_key,
    ACTIONS(1220),
    1,
    anon_sym_must_understand,
    ACTIONS(1222),
    1,
    anon_sym_default_literal,
    ACTIONS(1224),
    1,
    anon_sym_range,
    ACTIONS(1226),
    1,
    anon_sym_min,
    ACTIONS(1228),
    1,
    anon_sym_max,
    ACTIONS(1230),
    1,
    anon_sym_unit,
    ACTIONS(1232),
    1,
    anon_sym_bit_bound,
    ACTIONS(1234),
    1,
    anon_sym_external,
    ACTIONS(1236),
    1,
    anon_sym_nested,
    ACTIONS(1238),
    1,
    anon_sym_verbatim,
    ACTIONS(1240),
    1,
    anon_sym_service,
    ACTIONS(1242),
    1,
    anon_sym_oneway,
    ACTIONS(1244),
    1,
    anon_sym_ami,
    ACTIONS(1246),
    1,
    sym_identifier,
    STATE(66),
    1,
    sym_comment,
    STATE(370),
    1,
    sym_scoped_name,
    STATE(511),
    2,
    sym_annotation_appl_custom_body,
    sym_annotation_appl_builtin_body,
    STATE(513),
    24,
    sym_annotation_appl_id,
    sym_annotation_appl_autoid,
    sym_annotation_appl_optional,
    sym_annotation_appl_position,
    sym_annotation_appl_value,
    sym_annotation_appl_extensibility,
    sym_annotation_appl_final,
    sym_annotation_appl_appendable,
    sym_annotation_appl_mutable,
    sym_annotation_appl_key,
    sym_annotation_appl_must_understand,
    sym_annotation_appl_default_literal,
    sym_annotation_appl_default,
    sym_annotation_appl_range,
    sym_annotation_appl_min,
    sym_annotation_appl_max,
    sym_annotation_appl_unit,
    sym_annotation_appl_bit_bound,
    sym_annotation_appl_external,
    sym_annotation_appl_nested,
    sym_annotation_appl_verbatim,
    sym_annotation_appl_service,
    sym_annotation_appl_oneway,
    sym_annotation_appl_ami,
    [3926] = 35,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(213),
    1,
    anon_sym_longlong,
    ACTIONS(215),
    1,
    anon_sym_int64,
    ACTIONS(217),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(221),
    1,
    anon_sym_fixed,
    ACTIONS(223),
    1,
    sym_signed_tiny_int,
    ACTIONS(225),
    1,
    anon_sym_unsignedshort,
    ACTIONS(227),
    1,
    anon_sym_uint16,
    ACTIONS(231),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(233),
    1,
    anon_sym_uint64,
    ACTIONS(237),
    1,
    anon_sym_longdouble,
    ACTIONS(241),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(245),
    1,
    anon_sym_any,
    ACTIONS(247),
    1,
    anon_sym_sequence,
    ACTIONS(249),
    1,
    anon_sym_map,
    ACTIONS(291),
    1,
    anon_sym_Object,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1248),
    1,
    sym_identifier,
    STATE(67),
    1,
    sym_comment,
    STATE(377),
    1,
    sym_scoped_name,
    STATE(481),
    1,
    sym_base_type_spec,
    STATE(751),
    1,
    sym_type_spec,
    ACTIONS(209),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(211),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(229),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(235),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(239),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(243),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(371),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(442),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(219),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(356),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(388),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(448),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(473),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [4053] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1196),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(1198),
    1,
    anon_sym_default,
    ACTIONS(1200),
    1,
    anon_sym_id,
    ACTIONS(1202),
    1,
    anon_sym_autoid,
    ACTIONS(1204),
    1,
    anon_sym_optional,
    ACTIONS(1206),
    1,
    anon_sym_position,
    ACTIONS(1208),
    1,
    anon_sym_value,
    ACTIONS(1210),
    1,
    anon_sym_extensibility,
    ACTIONS(1212),
    1,
    anon_sym_final,
    ACTIONS(1214),
    1,
    anon_sym_appendable,
    ACTIONS(1216),
    1,
    anon_sym_mutable,
    ACTIONS(1218),
    1,
    anon_sym_key,
    ACTIONS(1220),
    1,
    anon_sym_must_understand,
    ACTIONS(1222),
    1,
    anon_sym_default_literal,
    ACTIONS(1224),
    1,
    anon_sym_range,
    ACTIONS(1226),
    1,
    anon_sym_min,
    ACTIONS(1228),
    1,
    anon_sym_max,
    ACTIONS(1230),
    1,
    anon_sym_unit,
    ACTIONS(1232),
    1,
    anon_sym_bit_bound,
    ACTIONS(1234),
    1,
    anon_sym_external,
    ACTIONS(1236),
    1,
    anon_sym_nested,
    ACTIONS(1238),
    1,
    anon_sym_verbatim,
    ACTIONS(1240),
    1,
    anon_sym_service,
    ACTIONS(1242),
    1,
    anon_sym_oneway,
    ACTIONS(1244),
    1,
    anon_sym_ami,
    ACTIONS(1246),
    1,
    sym_identifier,
    STATE(68),
    1,
    sym_comment,
    STATE(370),
    1,
    sym_scoped_name,
    STATE(338),
    2,
    sym_annotation_appl_custom_body,
    sym_annotation_appl_builtin_body,
    STATE(513),
    24,
    sym_annotation_appl_id,
    sym_annotation_appl_autoid,
    sym_annotation_appl_optional,
    sym_annotation_appl_position,
    sym_annotation_appl_value,
    sym_annotation_appl_extensibility,
    sym_annotation_appl_final,
    sym_annotation_appl_appendable,
    sym_annotation_appl_mutable,
    sym_annotation_appl_key,
    sym_annotation_appl_must_understand,
    sym_annotation_appl_default_literal,
    sym_annotation_appl_default,
    sym_annotation_appl_range,
    sym_annotation_appl_min,
    sym_annotation_appl_max,
    sym_annotation_appl_unit,
    sym_annotation_appl_bit_bound,
    sym_annotation_appl_external,
    sym_annotation_appl_nested,
    sym_annotation_appl_verbatim,
    sym_annotation_appl_service,
    sym_annotation_appl_oneway,
    sym_annotation_appl_ami,
    [4174] = 35,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(213),
    1,
    anon_sym_longlong,
    ACTIONS(215),
    1,
    anon_sym_int64,
    ACTIONS(217),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(221),
    1,
    anon_sym_fixed,
    ACTIONS(223),
    1,
    sym_signed_tiny_int,
    ACTIONS(225),
    1,
    anon_sym_unsignedshort,
    ACTIONS(227),
    1,
    anon_sym_uint16,
    ACTIONS(231),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(233),
    1,
    anon_sym_uint64,
    ACTIONS(237),
    1,
    anon_sym_longdouble,
    ACTIONS(241),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(245),
    1,
    anon_sym_any,
    ACTIONS(247),
    1,
    anon_sym_sequence,
    ACTIONS(249),
    1,
    anon_sym_map,
    ACTIONS(291),
    1,
    anon_sym_Object,
    ACTIONS(295),
    1,
    sym_identifier,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(69),
    1,
    sym_comment,
    STATE(376),
    1,
    sym_type_spec,
    STATE(377),
    1,
    sym_scoped_name,
    STATE(481),
    1,
    sym_base_type_spec,
    ACTIONS(209),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(211),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(229),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(235),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(239),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(243),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(371),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(442),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(219),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(356),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(388),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(448),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(473),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [4301] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(70),
    1,
    sym_comment,
    ACTIONS(1252),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1250),
    45,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_oneway,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    sym_value_base_type,
    anon_sym_native,
    sym_identifier,
    [4368] = 35,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(213),
    1,
    anon_sym_longlong,
    ACTIONS(215),
    1,
    anon_sym_int64,
    ACTIONS(217),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(221),
    1,
    anon_sym_fixed,
    ACTIONS(223),
    1,
    sym_signed_tiny_int,
    ACTIONS(225),
    1,
    anon_sym_unsignedshort,
    ACTIONS(227),
    1,
    anon_sym_uint16,
    ACTIONS(231),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(233),
    1,
    anon_sym_uint64,
    ACTIONS(237),
    1,
    anon_sym_longdouble,
    ACTIONS(241),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(245),
    1,
    anon_sym_any,
    ACTIONS(247),
    1,
    anon_sym_sequence,
    ACTIONS(249),
    1,
    anon_sym_map,
    ACTIONS(291),
    1,
    anon_sym_Object,
    ACTIONS(295),
    1,
    sym_identifier,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(71),
    1,
    sym_comment,
    STATE(377),
    1,
    sym_scoped_name,
    STATE(481),
    1,
    sym_base_type_spec,
    STATE(785),
    1,
    sym_type_spec,
    ACTIONS(209),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(211),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(229),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(235),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(239),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(243),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(371),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(442),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(219),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(356),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(388),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(448),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(473),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [4495] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1196),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(1198),
    1,
    anon_sym_default,
    ACTIONS(1200),
    1,
    anon_sym_id,
    ACTIONS(1202),
    1,
    anon_sym_autoid,
    ACTIONS(1204),
    1,
    anon_sym_optional,
    ACTIONS(1206),
    1,
    anon_sym_position,
    ACTIONS(1208),
    1,
    anon_sym_value,
    ACTIONS(1210),
    1,
    anon_sym_extensibility,
    ACTIONS(1212),
    1,
    anon_sym_final,
    ACTIONS(1214),
    1,
    anon_sym_appendable,
    ACTIONS(1216),
    1,
    anon_sym_mutable,
    ACTIONS(1218),
    1,
    anon_sym_key,
    ACTIONS(1220),
    1,
    anon_sym_must_understand,
    ACTIONS(1222),
    1,
    anon_sym_default_literal,
    ACTIONS(1224),
    1,
    anon_sym_range,
    ACTIONS(1226),
    1,
    anon_sym_min,
    ACTIONS(1228),
    1,
    anon_sym_max,
    ACTIONS(1230),
    1,
    anon_sym_unit,
    ACTIONS(1232),
    1,
    anon_sym_bit_bound,
    ACTIONS(1234),
    1,
    anon_sym_external,
    ACTIONS(1236),
    1,
    anon_sym_nested,
    ACTIONS(1238),
    1,
    anon_sym_verbatim,
    ACTIONS(1240),
    1,
    anon_sym_service,
    ACTIONS(1242),
    1,
    anon_sym_oneway,
    ACTIONS(1244),
    1,
    anon_sym_ami,
    ACTIONS(1246),
    1,
    sym_identifier,
    STATE(72),
    1,
    sym_comment,
    STATE(370),
    1,
    sym_scoped_name,
    STATE(351),
    2,
    sym_annotation_appl_custom_body,
    sym_annotation_appl_builtin_body,
    STATE(513),
    24,
    sym_annotation_appl_id,
    sym_annotation_appl_autoid,
    sym_annotation_appl_optional,
    sym_annotation_appl_position,
    sym_annotation_appl_value,
    sym_annotation_appl_extensibility,
    sym_annotation_appl_final,
    sym_annotation_appl_appendable,
    sym_annotation_appl_mutable,
    sym_annotation_appl_key,
    sym_annotation_appl_must_understand,
    sym_annotation_appl_default_literal,
    sym_annotation_appl_default,
    sym_annotation_appl_range,
    sym_annotation_appl_min,
    sym_annotation_appl_max,
    sym_annotation_appl_unit,
    sym_annotation_appl_bit_bound,
    sym_annotation_appl_external,
    sym_annotation_appl_nested,
    sym_annotation_appl_verbatim,
    sym_annotation_appl_service,
    sym_annotation_appl_oneway,
    sym_annotation_appl_ami,
    [4616] = 35,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(213),
    1,
    anon_sym_longlong,
    ACTIONS(215),
    1,
    anon_sym_int64,
    ACTIONS(217),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(221),
    1,
    anon_sym_fixed,
    ACTIONS(223),
    1,
    sym_signed_tiny_int,
    ACTIONS(225),
    1,
    anon_sym_unsignedshort,
    ACTIONS(227),
    1,
    anon_sym_uint16,
    ACTIONS(231),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(233),
    1,
    anon_sym_uint64,
    ACTIONS(237),
    1,
    anon_sym_longdouble,
    ACTIONS(241),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(245),
    1,
    anon_sym_any,
    ACTIONS(247),
    1,
    anon_sym_sequence,
    ACTIONS(249),
    1,
    anon_sym_map,
    ACTIONS(291),
    1,
    anon_sym_Object,
    ACTIONS(295),
    1,
    sym_identifier,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(73),
    1,
    sym_comment,
    STATE(377),
    1,
    sym_scoped_name,
    STATE(481),
    1,
    sym_base_type_spec,
    STATE(817),
    1,
    sym_type_spec,
    ACTIONS(209),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(211),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(229),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(235),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(239),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(243),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(371),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(442),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(219),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(356),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(388),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(448),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(473),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [4743] = 35,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(213),
    1,
    anon_sym_longlong,
    ACTIONS(215),
    1,
    anon_sym_int64,
    ACTIONS(217),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(221),
    1,
    anon_sym_fixed,
    ACTIONS(223),
    1,
    sym_signed_tiny_int,
    ACTIONS(225),
    1,
    anon_sym_unsignedshort,
    ACTIONS(227),
    1,
    anon_sym_uint16,
    ACTIONS(231),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(233),
    1,
    anon_sym_uint64,
    ACTIONS(237),
    1,
    anon_sym_longdouble,
    ACTIONS(241),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(245),
    1,
    anon_sym_any,
    ACTIONS(247),
    1,
    anon_sym_sequence,
    ACTIONS(249),
    1,
    anon_sym_map,
    ACTIONS(291),
    1,
    anon_sym_Object,
    ACTIONS(295),
    1,
    sym_identifier,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(74),
    1,
    sym_comment,
    STATE(377),
    1,
    sym_scoped_name,
    STATE(481),
    1,
    sym_base_type_spec,
    STATE(523),
    1,
    sym_type_spec,
    ACTIONS(209),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(211),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(229),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(235),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(239),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(243),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(371),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(442),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(219),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(356),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(388),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(448),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(473),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [4870] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1196),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(1198),
    1,
    anon_sym_default,
    ACTIONS(1200),
    1,
    anon_sym_id,
    ACTIONS(1202),
    1,
    anon_sym_autoid,
    ACTIONS(1204),
    1,
    anon_sym_optional,
    ACTIONS(1206),
    1,
    anon_sym_position,
    ACTIONS(1208),
    1,
    anon_sym_value,
    ACTIONS(1210),
    1,
    anon_sym_extensibility,
    ACTIONS(1212),
    1,
    anon_sym_final,
    ACTIONS(1214),
    1,
    anon_sym_appendable,
    ACTIONS(1216),
    1,
    anon_sym_mutable,
    ACTIONS(1218),
    1,
    anon_sym_key,
    ACTIONS(1220),
    1,
    anon_sym_must_understand,
    ACTIONS(1222),
    1,
    anon_sym_default_literal,
    ACTIONS(1224),
    1,
    anon_sym_range,
    ACTIONS(1226),
    1,
    anon_sym_min,
    ACTIONS(1228),
    1,
    anon_sym_max,
    ACTIONS(1230),
    1,
    anon_sym_unit,
    ACTIONS(1232),
    1,
    anon_sym_bit_bound,
    ACTIONS(1234),
    1,
    anon_sym_external,
    ACTIONS(1236),
    1,
    anon_sym_nested,
    ACTIONS(1238),
    1,
    anon_sym_verbatim,
    ACTIONS(1240),
    1,
    anon_sym_service,
    ACTIONS(1242),
    1,
    anon_sym_oneway,
    ACTIONS(1244),
    1,
    anon_sym_ami,
    ACTIONS(1246),
    1,
    sym_identifier,
    STATE(75),
    1,
    sym_comment,
    STATE(370),
    1,
    sym_scoped_name,
    STATE(347),
    2,
    sym_annotation_appl_custom_body,
    sym_annotation_appl_builtin_body,
    STATE(513),
    24,
    sym_annotation_appl_id,
    sym_annotation_appl_autoid,
    sym_annotation_appl_optional,
    sym_annotation_appl_position,
    sym_annotation_appl_value,
    sym_annotation_appl_extensibility,
    sym_annotation_appl_final,
    sym_annotation_appl_appendable,
    sym_annotation_appl_mutable,
    sym_annotation_appl_key,
    sym_annotation_appl_must_understand,
    sym_annotation_appl_default_literal,
    sym_annotation_appl_default,
    sym_annotation_appl_range,
    sym_annotation_appl_min,
    sym_annotation_appl_max,
    sym_annotation_appl_unit,
    sym_annotation_appl_bit_bound,
    sym_annotation_appl_external,
    sym_annotation_appl_nested,
    sym_annotation_appl_verbatim,
    sym_annotation_appl_service,
    sym_annotation_appl_oneway,
    sym_annotation_appl_ami,
    [4991] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1254),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(1256),
    1,
    anon_sym_default,
    ACTIONS(1258),
    1,
    anon_sym_id,
    ACTIONS(1260),
    1,
    anon_sym_autoid,
    ACTIONS(1262),
    1,
    anon_sym_optional,
    ACTIONS(1264),
    1,
    anon_sym_position,
    ACTIONS(1266),
    1,
    anon_sym_value,
    ACTIONS(1268),
    1,
    anon_sym_extensibility,
    ACTIONS(1270),
    1,
    anon_sym_final,
    ACTIONS(1272),
    1,
    anon_sym_appendable,
    ACTIONS(1274),
    1,
    anon_sym_mutable,
    ACTIONS(1276),
    1,
    anon_sym_key,
    ACTIONS(1278),
    1,
    anon_sym_must_understand,
    ACTIONS(1280),
    1,
    anon_sym_default_literal,
    ACTIONS(1282),
    1,
    anon_sym_range,
    ACTIONS(1284),
    1,
    anon_sym_min,
    ACTIONS(1286),
    1,
    anon_sym_max,
    ACTIONS(1288),
    1,
    anon_sym_unit,
    ACTIONS(1290),
    1,
    anon_sym_bit_bound,
    ACTIONS(1292),
    1,
    anon_sym_external,
    ACTIONS(1294),
    1,
    anon_sym_nested,
    ACTIONS(1296),
    1,
    anon_sym_verbatim,
    ACTIONS(1298),
    1,
    anon_sym_service,
    ACTIONS(1300),
    1,
    anon_sym_oneway,
    ACTIONS(1302),
    1,
    anon_sym_ami,
    ACTIONS(1304),
    1,
    sym_identifier,
    STATE(76),
    1,
    sym_comment,
    STATE(232),
    1,
    sym_scoped_name,
    STATE(288),
    2,
    sym_annotation_appl_custom_body,
    sym_annotation_appl_builtin_body,
    STATE(283),
    24,
    sym_annotation_appl_id,
    sym_annotation_appl_autoid,
    sym_annotation_appl_optional,
    sym_annotation_appl_position,
    sym_annotation_appl_value,
    sym_annotation_appl_extensibility,
    sym_annotation_appl_final,
    sym_annotation_appl_appendable,
    sym_annotation_appl_mutable,
    sym_annotation_appl_key,
    sym_annotation_appl_must_understand,
    sym_annotation_appl_default_literal,
    sym_annotation_appl_default,
    sym_annotation_appl_range,
    sym_annotation_appl_min,
    sym_annotation_appl_max,
    sym_annotation_appl_unit,
    sym_annotation_appl_bit_bound,
    sym_annotation_appl_external,
    sym_annotation_appl_nested,
    sym_annotation_appl_verbatim,
    sym_annotation_appl_service,
    sym_annotation_appl_oneway,
    sym_annotation_appl_ami,
    [5112] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1306),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(1308),
    1,
    anon_sym_default,
    ACTIONS(1310),
    1,
    anon_sym_id,
    ACTIONS(1312),
    1,
    anon_sym_autoid,
    ACTIONS(1314),
    1,
    anon_sym_optional,
    ACTIONS(1316),
    1,
    anon_sym_position,
    ACTIONS(1318),
    1,
    anon_sym_value,
    ACTIONS(1320),
    1,
    anon_sym_extensibility,
    ACTIONS(1322),
    1,
    anon_sym_final,
    ACTIONS(1324),
    1,
    anon_sym_appendable,
    ACTIONS(1326),
    1,
    anon_sym_mutable,
    ACTIONS(1328),
    1,
    anon_sym_key,
    ACTIONS(1330),
    1,
    anon_sym_must_understand,
    ACTIONS(1332),
    1,
    anon_sym_default_literal,
    ACTIONS(1334),
    1,
    anon_sym_range,
    ACTIONS(1336),
    1,
    anon_sym_min,
    ACTIONS(1338),
    1,
    anon_sym_max,
    ACTIONS(1340),
    1,
    anon_sym_unit,
    ACTIONS(1342),
    1,
    anon_sym_bit_bound,
    ACTIONS(1344),
    1,
    anon_sym_external,
    ACTIONS(1346),
    1,
    anon_sym_nested,
    ACTIONS(1348),
    1,
    anon_sym_verbatim,
    ACTIONS(1350),
    1,
    anon_sym_service,
    ACTIONS(1352),
    1,
    anon_sym_oneway,
    ACTIONS(1354),
    1,
    anon_sym_ami,
    ACTIONS(1356),
    1,
    sym_identifier,
    STATE(77),
    1,
    sym_comment,
    STATE(108),
    1,
    sym_scoped_name,
    STATE(148),
    2,
    sym_annotation_appl_custom_body,
    sym_annotation_appl_builtin_body,
    STATE(150),
    24,
    sym_annotation_appl_id,
    sym_annotation_appl_autoid,
    sym_annotation_appl_optional,
    sym_annotation_appl_position,
    sym_annotation_appl_value,
    sym_annotation_appl_extensibility,
    sym_annotation_appl_final,
    sym_annotation_appl_appendable,
    sym_annotation_appl_mutable,
    sym_annotation_appl_key,
    sym_annotation_appl_must_understand,
    sym_annotation_appl_default_literal,
    sym_annotation_appl_default,
    sym_annotation_appl_range,
    sym_annotation_appl_min,
    sym_annotation_appl_max,
    sym_annotation_appl_unit,
    sym_annotation_appl_bit_bound,
    sym_annotation_appl_external,
    sym_annotation_appl_nested,
    sym_annotation_appl_verbatim,
    sym_annotation_appl_service,
    sym_annotation_appl_oneway,
    sym_annotation_appl_ami,
    [5233] = 35,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(213),
    1,
    anon_sym_longlong,
    ACTIONS(215),
    1,
    anon_sym_int64,
    ACTIONS(217),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(221),
    1,
    anon_sym_fixed,
    ACTIONS(223),
    1,
    sym_signed_tiny_int,
    ACTIONS(225),
    1,
    anon_sym_unsignedshort,
    ACTIONS(227),
    1,
    anon_sym_uint16,
    ACTIONS(231),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(233),
    1,
    anon_sym_uint64,
    ACTIONS(237),
    1,
    anon_sym_longdouble,
    ACTIONS(241),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(245),
    1,
    anon_sym_any,
    ACTIONS(247),
    1,
    anon_sym_sequence,
    ACTIONS(249),
    1,
    anon_sym_map,
    ACTIONS(291),
    1,
    anon_sym_Object,
    ACTIONS(295),
    1,
    sym_identifier,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(78),
    1,
    sym_comment,
    STATE(377),
    1,
    sym_scoped_name,
    STATE(481),
    1,
    sym_base_type_spec,
    STATE(916),
    1,
    sym_type_spec,
    ACTIONS(209),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(211),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(229),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(235),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(239),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(243),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(371),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(442),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(219),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(356),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(388),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(448),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(473),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [5360] = 35,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(213),
    1,
    anon_sym_longlong,
    ACTIONS(215),
    1,
    anon_sym_int64,
    ACTIONS(217),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(221),
    1,
    anon_sym_fixed,
    ACTIONS(223),
    1,
    sym_signed_tiny_int,
    ACTIONS(225),
    1,
    anon_sym_unsignedshort,
    ACTIONS(227),
    1,
    anon_sym_uint16,
    ACTIONS(231),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(233),
    1,
    anon_sym_uint64,
    ACTIONS(237),
    1,
    anon_sym_longdouble,
    ACTIONS(241),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(245),
    1,
    anon_sym_any,
    ACTIONS(247),
    1,
    anon_sym_sequence,
    ACTIONS(249),
    1,
    anon_sym_map,
    ACTIONS(291),
    1,
    anon_sym_Object,
    ACTIONS(295),
    1,
    sym_identifier,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(79),
    1,
    sym_comment,
    STATE(377),
    1,
    sym_scoped_name,
    STATE(481),
    1,
    sym_base_type_spec,
    STATE(779),
    1,
    sym_type_spec,
    ACTIONS(209),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(211),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(229),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(235),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(239),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(243),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(371),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(442),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(219),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(356),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(388),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(448),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(473),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [5487] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1196),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(1198),
    1,
    anon_sym_default,
    ACTIONS(1200),
    1,
    anon_sym_id,
    ACTIONS(1202),
    1,
    anon_sym_autoid,
    ACTIONS(1204),
    1,
    anon_sym_optional,
    ACTIONS(1206),
    1,
    anon_sym_position,
    ACTIONS(1208),
    1,
    anon_sym_value,
    ACTIONS(1210),
    1,
    anon_sym_extensibility,
    ACTIONS(1212),
    1,
    anon_sym_final,
    ACTIONS(1214),
    1,
    anon_sym_appendable,
    ACTIONS(1216),
    1,
    anon_sym_mutable,
    ACTIONS(1218),
    1,
    anon_sym_key,
    ACTIONS(1220),
    1,
    anon_sym_must_understand,
    ACTIONS(1222),
    1,
    anon_sym_default_literal,
    ACTIONS(1224),
    1,
    anon_sym_range,
    ACTIONS(1226),
    1,
    anon_sym_min,
    ACTIONS(1228),
    1,
    anon_sym_max,
    ACTIONS(1230),
    1,
    anon_sym_unit,
    ACTIONS(1232),
    1,
    anon_sym_bit_bound,
    ACTIONS(1234),
    1,
    anon_sym_external,
    ACTIONS(1236),
    1,
    anon_sym_nested,
    ACTIONS(1238),
    1,
    anon_sym_verbatim,
    ACTIONS(1240),
    1,
    anon_sym_service,
    ACTIONS(1242),
    1,
    anon_sym_oneway,
    ACTIONS(1244),
    1,
    anon_sym_ami,
    ACTIONS(1246),
    1,
    sym_identifier,
    STATE(80),
    1,
    sym_comment,
    STATE(370),
    1,
    sym_scoped_name,
    STATE(342),
    2,
    sym_annotation_appl_custom_body,
    sym_annotation_appl_builtin_body,
    STATE(513),
    24,
    sym_annotation_appl_id,
    sym_annotation_appl_autoid,
    sym_annotation_appl_optional,
    sym_annotation_appl_position,
    sym_annotation_appl_value,
    sym_annotation_appl_extensibility,
    sym_annotation_appl_final,
    sym_annotation_appl_appendable,
    sym_annotation_appl_mutable,
    sym_annotation_appl_key,
    sym_annotation_appl_must_understand,
    sym_annotation_appl_default_literal,
    sym_annotation_appl_default,
    sym_annotation_appl_range,
    sym_annotation_appl_min,
    sym_annotation_appl_max,
    sym_annotation_appl_unit,
    sym_annotation_appl_bit_bound,
    sym_annotation_appl_external,
    sym_annotation_appl_nested,
    sym_annotation_appl_verbatim,
    sym_annotation_appl_service,
    sym_annotation_appl_oneway,
    sym_annotation_appl_ami,
    [5608] = 35,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(213),
    1,
    anon_sym_longlong,
    ACTIONS(215),
    1,
    anon_sym_int64,
    ACTIONS(217),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(221),
    1,
    anon_sym_fixed,
    ACTIONS(223),
    1,
    sym_signed_tiny_int,
    ACTIONS(225),
    1,
    anon_sym_unsignedshort,
    ACTIONS(227),
    1,
    anon_sym_uint16,
    ACTIONS(231),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(233),
    1,
    anon_sym_uint64,
    ACTIONS(237),
    1,
    anon_sym_longdouble,
    ACTIONS(241),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(245),
    1,
    anon_sym_any,
    ACTIONS(247),
    1,
    anon_sym_sequence,
    ACTIONS(249),
    1,
    anon_sym_map,
    ACTIONS(291),
    1,
    anon_sym_Object,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1248),
    1,
    sym_identifier,
    STATE(81),
    1,
    sym_comment,
    STATE(377),
    1,
    sym_scoped_name,
    STATE(481),
    1,
    sym_base_type_spec,
    STATE(784),
    1,
    sym_type_spec,
    ACTIONS(209),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(211),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(229),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(235),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(239),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(243),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(371),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(442),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(219),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(356),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(388),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(448),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(473),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [5735] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(82),
    1,
    sym_comment,
    ACTIONS(1112),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1110),
    45,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_oneway,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    sym_value_base_type,
    anon_sym_native,
    sym_identifier,
    [5802] = 35,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(213),
    1,
    anon_sym_longlong,
    ACTIONS(215),
    1,
    anon_sym_int64,
    ACTIONS(217),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(221),
    1,
    anon_sym_fixed,
    ACTIONS(223),
    1,
    sym_signed_tiny_int,
    ACTIONS(225),
    1,
    anon_sym_unsignedshort,
    ACTIONS(227),
    1,
    anon_sym_uint16,
    ACTIONS(231),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(233),
    1,
    anon_sym_uint64,
    ACTIONS(237),
    1,
    anon_sym_longdouble,
    ACTIONS(241),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(245),
    1,
    anon_sym_any,
    ACTIONS(247),
    1,
    anon_sym_sequence,
    ACTIONS(249),
    1,
    anon_sym_map,
    ACTIONS(291),
    1,
    anon_sym_Object,
    ACTIONS(295),
    1,
    sym_identifier,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(83),
    1,
    sym_comment,
    STATE(377),
    1,
    sym_scoped_name,
    STATE(481),
    1,
    sym_base_type_spec,
    STATE(593),
    1,
    sym_type_spec,
    ACTIONS(209),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(211),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(229),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(235),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(239),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(243),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(371),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(442),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(219),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(356),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(388),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(448),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(473),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [5929] = 35,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(213),
    1,
    anon_sym_longlong,
    ACTIONS(215),
    1,
    anon_sym_int64,
    ACTIONS(217),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(221),
    1,
    anon_sym_fixed,
    ACTIONS(223),
    1,
    sym_signed_tiny_int,
    ACTIONS(225),
    1,
    anon_sym_unsignedshort,
    ACTIONS(227),
    1,
    anon_sym_uint16,
    ACTIONS(231),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(233),
    1,
    anon_sym_uint64,
    ACTIONS(237),
    1,
    anon_sym_longdouble,
    ACTIONS(241),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(245),
    1,
    anon_sym_any,
    ACTIONS(247),
    1,
    anon_sym_sequence,
    ACTIONS(249),
    1,
    anon_sym_map,
    ACTIONS(291),
    1,
    anon_sym_Object,
    ACTIONS(295),
    1,
    sym_identifier,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(84),
    1,
    sym_comment,
    STATE(377),
    1,
    sym_scoped_name,
    STATE(481),
    1,
    sym_base_type_spec,
    STATE(776),
    1,
    sym_type_spec,
    ACTIONS(209),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(211),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(229),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(235),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(239),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(243),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(371),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(442),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(219),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(356),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(388),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(448),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(473),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [6056] = 29,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(213),
    1,
    anon_sym_longlong,
    ACTIONS(215),
    1,
    anon_sym_int64,
    ACTIONS(217),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(223),
    1,
    sym_signed_tiny_int,
    ACTIONS(225),
    1,
    anon_sym_unsignedshort,
    ACTIONS(227),
    1,
    anon_sym_uint16,
    ACTIONS(231),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(233),
    1,
    anon_sym_uint64,
    ACTIONS(237),
    1,
    anon_sym_longdouble,
    ACTIONS(241),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(247),
    1,
    anon_sym_sequence,
    ACTIONS(295),
    1,
    sym_identifier,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1013),
    1,
    anon_sym_fixed,
    STATE(85),
    1,
    sym_comment,
    STATE(741),
    1,
    sym_scoped_name,
    STATE(866),
    1,
    sym_const_type,
    ACTIONS(209),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(211),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(229),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(235),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(239),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(243),
    2,
    anon_sym_string,
    anon_sym_wstring,
    ACTIONS(1011),
    2,
    sym_boolean_type,
    sym_octet_type,
    STATE(371),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(356),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(388),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(1080),
    6,
    sym_fixed_pt_const_type,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_string_type,
    sym_sequence_type,
    [6161] = 29,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(213),
    1,
    anon_sym_longlong,
    ACTIONS(215),
    1,
    anon_sym_int64,
    ACTIONS(217),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(223),
    1,
    sym_signed_tiny_int,
    ACTIONS(225),
    1,
    anon_sym_unsignedshort,
    ACTIONS(227),
    1,
    anon_sym_uint16,
    ACTIONS(231),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(233),
    1,
    anon_sym_uint64,
    ACTIONS(237),
    1,
    anon_sym_longdouble,
    ACTIONS(241),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(247),
    1,
    anon_sym_sequence,
    ACTIONS(295),
    1,
    sym_identifier,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1013),
    1,
    anon_sym_fixed,
    STATE(86),
    1,
    sym_comment,
    STATE(741),
    1,
    sym_scoped_name,
    STATE(1071),
    1,
    sym_const_type,
    ACTIONS(209),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(211),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(229),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(235),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(239),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(243),
    2,
    anon_sym_string,
    anon_sym_wstring,
    ACTIONS(1011),
    2,
    sym_boolean_type,
    sym_octet_type,
    STATE(371),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(356),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(388),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(1080),
    6,
    sym_fixed_pt_const_type,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_string_type,
    sym_sequence_type,
    [6266] = 8,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1362),
    1,
    anon_sym_default,
    ACTIONS(1365),
    1,
    anon_sym_case,
    STATE(89),
    1,
    sym_case_label,
    STATE(87),
    2,
    sym_comment,
    aux_sym_case_repeat1,
    ACTIONS(1360),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1358),
    32,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [6329] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(88),
    1,
    sym_comment,
    ACTIONS(1370),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1368),
    34,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_default,
    anon_sym_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_case,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [6384] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(89),
    1,
    sym_comment,
    ACTIONS(1374),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1372),
    34,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_default,
    anon_sym_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_case,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [6439] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(90),
    1,
    sym_comment,
    ACTIONS(1378),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1376),
    34,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_default,
    anon_sym_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_case,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [6494] = 9,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1384),
    1,
    anon_sym_AT,
    ACTIONS(1387),
    1,
    anon_sym_SLASH_SLASH_AT,
    STATE(115),
    1,
    sym_annotation_appl,
    STATE(118),
    1,
    sym_extend_annotation_appl,
    STATE(91),
    2,
    sym_comment,
    aux_sym_interface_def_repeat1,
    ACTIONS(1382),
    5,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    ACTIONS(1380),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [6552] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1394),
    1,
    anon_sym_LPAREN,
    STATE(92),
    1,
    sym_comment,
    ACTIONS(1392),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1390),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [6602] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(93),
    1,
    sym_comment,
    ACTIONS(1398),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1396),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [6650] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(94),
    1,
    sym_comment,
    ACTIONS(1402),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1400),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [6698] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1408),
    1,
    anon_sym_LPAREN,
    STATE(95),
    1,
    sym_comment,
    ACTIONS(1406),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1404),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [6748] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(96),
    1,
    sym_comment,
    ACTIONS(1412),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1410),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [6796] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(97),
    1,
    sym_comment,
    ACTIONS(1416),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1414),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [6844] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(98),
    1,
    sym_comment,
    ACTIONS(1420),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1418),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [6892] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(99),
    1,
    sym_comment,
    ACTIONS(1424),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1422),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [6940] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1430),
    1,
    anon_sym_LPAREN,
    STATE(100),
    1,
    sym_comment,
    ACTIONS(1428),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1426),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [6990] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1436),
    1,
    anon_sym_LPAREN,
    STATE(101),
    1,
    sym_comment,
    ACTIONS(1434),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1432),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [7040] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(102),
    1,
    sym_comment,
    ACTIONS(1440),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1438),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [7088] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1446),
    1,
    anon_sym_LPAREN,
    STATE(103),
    1,
    sym_comment,
    ACTIONS(1444),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1442),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [7138] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1452),
    1,
    anon_sym_LPAREN,
    STATE(104),
    1,
    sym_comment,
    ACTIONS(1450),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1448),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [7188] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1458),
    1,
    anon_sym_LPAREN,
    STATE(105),
    1,
    sym_comment,
    ACTIONS(1456),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1454),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [7238] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1464),
    1,
    anon_sym_LPAREN,
    STATE(106),
    1,
    sym_comment,
    ACTIONS(1462),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1460),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [7288] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1470),
    1,
    anon_sym_LPAREN,
    STATE(107),
    1,
    sym_comment,
    ACTIONS(1468),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1466),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [7338] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1476),
    1,
    anon_sym_LPAREN,
    STATE(108),
    1,
    sym_comment,
    ACTIONS(1474),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1472),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [7388] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(109),
    1,
    sym_comment,
    ACTIONS(1480),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1478),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [7436] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(110),
    1,
    sym_comment,
    ACTIONS(1484),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1482),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [7483] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(111),
    1,
    sym_comment,
    ACTIONS(1488),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1486),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [7530] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(112),
    1,
    sym_comment,
    ACTIONS(1492),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1490),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [7577] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(113),
    1,
    sym_comment,
    ACTIONS(1496),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1494),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [7624] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(114),
    1,
    sym_comment,
    ACTIONS(1500),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1498),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [7671] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(115),
    1,
    sym_comment,
    ACTIONS(1504),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1502),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [7718] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(116),
    1,
    sym_comment,
    ACTIONS(1508),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1506),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [7765] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(117),
    1,
    sym_comment,
    ACTIONS(1512),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1510),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [7812] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(118),
    1,
    sym_comment,
    ACTIONS(1516),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1514),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [7859] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(119),
    1,
    sym_comment,
    ACTIONS(1520),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1518),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [7906] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(120),
    1,
    sym_comment,
    ACTIONS(1524),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1522),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [7953] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(121),
    1,
    sym_comment,
    ACTIONS(1528),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1526),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8000] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(122),
    1,
    sym_comment,
    ACTIONS(1532),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1530),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8047] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(123),
    1,
    sym_comment,
    ACTIONS(1536),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1534),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8094] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(124),
    1,
    sym_comment,
    ACTIONS(1540),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1538),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8141] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(125),
    1,
    sym_comment,
    ACTIONS(1544),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1542),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8188] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(126),
    1,
    sym_comment,
    ACTIONS(1548),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1546),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8235] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(127),
    1,
    sym_comment,
    ACTIONS(1552),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1550),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8282] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(128),
    1,
    sym_comment,
    ACTIONS(1556),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1554),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8329] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(129),
    1,
    sym_comment,
    ACTIONS(1560),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1558),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8376] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(130),
    1,
    sym_comment,
    ACTIONS(1564),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1562),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8423] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(131),
    1,
    sym_comment,
    ACTIONS(1568),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_ATignore_literal_names,
    ACTIONS(1566),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_typedef,
    sym_identifier,
    [8470] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(132),
    1,
    sym_comment,
    ACTIONS(1572),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_ATignore_literal_names,
    ACTIONS(1570),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_typedef,
    sym_identifier,
    [8517] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(133),
    1,
    sym_comment,
    ACTIONS(1576),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1574),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8564] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(134),
    1,
    sym_comment,
    ACTIONS(1580),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1578),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8611] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(135),
    1,
    sym_comment,
    ACTIONS(1584),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1582),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8658] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(136),
    1,
    sym_comment,
    ACTIONS(1588),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1586),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8705] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(137),
    1,
    sym_comment,
    ACTIONS(1592),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1590),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8752] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(138),
    1,
    sym_comment,
    ACTIONS(1596),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1594),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8799] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(139),
    1,
    sym_comment,
    ACTIONS(1600),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_ATignore_literal_names,
    ACTIONS(1598),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_typedef,
    sym_identifier,
    [8846] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(140),
    1,
    sym_comment,
    ACTIONS(1604),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1602),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8893] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(141),
    1,
    sym_comment,
    ACTIONS(1608),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1606),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8940] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(142),
    1,
    sym_comment,
    ACTIONS(1612),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1610),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8987] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(143),
    1,
    sym_comment,
    ACTIONS(1616),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1614),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9034] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(144),
    1,
    sym_comment,
    ACTIONS(1620),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1618),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9081] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(145),
    1,
    sym_comment,
    ACTIONS(1624),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_ATignore_literal_names,
    ACTIONS(1622),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_typedef,
    sym_identifier,
    [9128] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(146),
    1,
    sym_comment,
    ACTIONS(1628),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_ATignore_literal_names,
    ACTIONS(1626),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_typedef,
    sym_identifier,
    [9175] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(147),
    1,
    sym_comment,
    ACTIONS(1632),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1630),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9222] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(148),
    1,
    sym_comment,
    ACTIONS(1636),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1634),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9269] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(149),
    1,
    sym_comment,
    ACTIONS(1640),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1638),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9316] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(150),
    1,
    sym_comment,
    ACTIONS(1644),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1642),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9363] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(151),
    1,
    sym_comment,
    ACTIONS(1648),
    3,
    anon_sym_POUNDdefine,
    sym_preproc_directive,
    anon_sym_AT,
    ACTIONS(1646),
    30,
    ts_builtin_sym_end,
    aux_sym_preproc_include_token1,
    anon_sym_exception,
    anon_sym_RBRACE,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_ATannotation,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_module,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_alias,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_typeid,
    anon_sym_typeprefix,
    anon_sym_import,
    anon_sym_component,
    anon_sym_home,
    anon_sym_porttype,
    anon_sym_connector,
    anon_sym_native,
    [9410] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(152),
    1,
    sym_comment,
    ACTIONS(1652),
    3,
    anon_sym_POUNDdefine,
    sym_preproc_directive,
    anon_sym_AT,
    ACTIONS(1650),
    28,
    ts_builtin_sym_end,
    aux_sym_preproc_include_token1,
    anon_sym_exception,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_ATannotation,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_module,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_typeid,
    anon_sym_typeprefix,
    anon_sym_import,
    anon_sym_component,
    anon_sym_home,
    anon_sym_porttype,
    anon_sym_connector,
    anon_sym_native,
    [9455] = 24,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(213),
    1,
    anon_sym_longlong,
    ACTIONS(215),
    1,
    anon_sym_int64,
    ACTIONS(217),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(223),
    1,
    sym_signed_tiny_int,
    ACTIONS(225),
    1,
    anon_sym_unsignedshort,
    ACTIONS(227),
    1,
    anon_sym_uint16,
    ACTIONS(231),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(233),
    1,
    anon_sym_uint64,
    ACTIONS(241),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(295),
    1,
    sym_identifier,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1654),
    1,
    sym_boolean_type,
    STATE(153),
    1,
    sym_comment,
    STATE(826),
    1,
    sym_scoped_name,
    STATE(852),
    1,
    sym_switch_type_spec,
    ACTIONS(209),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(211),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(229),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(239),
    2,
    anon_sym_char,
    anon_sym_wchar,
    STATE(371),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(857),
    2,
    sym_integer_type,
    sym_char_type,
    STATE(356),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(388),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    [9538] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(154),
    1,
    sym_comment,
    ACTIONS(1658),
    3,
    anon_sym_POUNDdefine,
    sym_preproc_directive,
    anon_sym_AT,
    ACTIONS(1656),
    28,
    ts_builtin_sym_end,
    aux_sym_preproc_include_token1,
    anon_sym_exception,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_ATannotation,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_module,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_typeid,
    anon_sym_typeprefix,
    anon_sym_import,
    anon_sym_component,
    anon_sym_home,
    anon_sym_porttype,
    anon_sym_connector,
    anon_sym_native,
    [9583] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(155),
    1,
    sym_comment,
    ACTIONS(1662),
    3,
    anon_sym_POUNDdefine,
    sym_preproc_directive,
    anon_sym_AT,
    ACTIONS(1660),
    28,
    ts_builtin_sym_end,
    aux_sym_preproc_include_token1,
    anon_sym_exception,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_ATannotation,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_module,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_typeid,
    anon_sym_typeprefix,
    anon_sym_import,
    anon_sym_component,
    anon_sym_home,
    anon_sym_porttype,
    anon_sym_connector,
    anon_sym_native,
    [9628] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(156),
    1,
    sym_comment,
    ACTIONS(1666),
    5,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    ACTIONS(1664),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9673] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(157),
    1,
    sym_comment,
    ACTIONS(1670),
    3,
    anon_sym_POUNDdefine,
    sym_preproc_directive,
    anon_sym_AT,
    ACTIONS(1668),
    28,
    ts_builtin_sym_end,
    aux_sym_preproc_include_token1,
    anon_sym_exception,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_ATannotation,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_module,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_typeid,
    anon_sym_typeprefix,
    anon_sym_import,
    anon_sym_component,
    anon_sym_home,
    anon_sym_porttype,
    anon_sym_connector,
    anon_sym_native,
    [9718] = 24,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(213),
    1,
    anon_sym_longlong,
    ACTIONS(215),
    1,
    anon_sym_int64,
    ACTIONS(217),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(223),
    1,
    sym_signed_tiny_int,
    ACTIONS(225),
    1,
    anon_sym_unsignedshort,
    ACTIONS(227),
    1,
    anon_sym_uint16,
    ACTIONS(231),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(233),
    1,
    anon_sym_uint64,
    ACTIONS(241),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(295),
    1,
    sym_identifier,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1654),
    1,
    sym_boolean_type,
    STATE(158),
    1,
    sym_comment,
    STATE(826),
    1,
    sym_scoped_name,
    STATE(1192),
    1,
    sym_switch_type_spec,
    ACTIONS(209),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(211),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(229),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(239),
    2,
    anon_sym_char,
    anon_sym_wchar,
    STATE(371),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(857),
    2,
    sym_integer_type,
    sym_char_type,
    STATE(356),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(388),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    [9801] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(159),
    1,
    sym_comment,
    ACTIONS(1674),
    3,
    anon_sym_POUNDdefine,
    sym_preproc_directive,
    anon_sym_AT,
    ACTIONS(1672),
    28,
    ts_builtin_sym_end,
    aux_sym_preproc_include_token1,
    anon_sym_exception,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_ATannotation,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_module,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_typeid,
    anon_sym_typeprefix,
    anon_sym_import,
    anon_sym_component,
    anon_sym_home,
    anon_sym_porttype,
    anon_sym_connector,
    anon_sym_native,
    [9846] = 28,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(880),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(884),
    1,
    anon_sym_LPAREN,
    ACTIONS(886),
    1,
    anon_sym_TILDE,
    ACTIONS(888),
    1,
    anon_sym_L,
    ACTIONS(890),
    1,
    anon_sym_DQUOTE,
    ACTIONS(892),
    1,
    anon_sym_SQUOTE,
    ACTIONS(896),
    1,
    sym_number_literal,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1676),
    1,
    sym_identifier,
    STATE(160),
    1,
    sym_comment,
    STATE(194),
    1,
    sym_scoped_name,
    STATE(197),
    1,
    sym_literal,
    STATE(209),
    1,
    sym_primary_expr,
    STATE(210),
    1,
    sym_unary_expr,
    STATE(212),
    1,
    sym_mult_expr,
    STATE(220),
    1,
    sym_unary_operator,
    STATE(221),
    1,
    sym_add_expr,
    STATE(226),
    1,
    sym_shift_expr,
    STATE(266),
    1,
    sym_and_expr,
    STATE(306),
    1,
    sym_xor_expr,
    STATE(328),
    1,
    sym_or_expr,
    STATE(571),
    1,
    sym_annotation_appl_param,
    STATE(937),
    1,
    sym_const_expr,
    STATE(1137),
    1,
    sym_annotation_appl_params,
    ACTIONS(882),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(894),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(211),
    3,
    sym_string_literal,
    sym_char_literal,
    sym_boolean_literal,
    [9935] = 28,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(880),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(884),
    1,
    anon_sym_LPAREN,
    ACTIONS(886),
    1,
    anon_sym_TILDE,
    ACTIONS(888),
    1,
    anon_sym_L,
    ACTIONS(890),
    1,
    anon_sym_DQUOTE,
    ACTIONS(892),
    1,
    anon_sym_SQUOTE,
    ACTIONS(896),
    1,
    sym_number_literal,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1676),
    1,
    sym_identifier,
    STATE(161),
    1,
    sym_comment,
    STATE(194),
    1,
    sym_scoped_name,
    STATE(197),
    1,
    sym_literal,
    STATE(209),
    1,
    sym_primary_expr,
    STATE(210),
    1,
    sym_unary_expr,
    STATE(212),
    1,
    sym_mult_expr,
    STATE(220),
    1,
    sym_unary_operator,
    STATE(221),
    1,
    sym_add_expr,
    STATE(226),
    1,
    sym_shift_expr,
    STATE(266),
    1,
    sym_and_expr,
    STATE(306),
    1,
    sym_xor_expr,
    STATE(328),
    1,
    sym_or_expr,
    STATE(571),
    1,
    sym_annotation_appl_param,
    STATE(937),
    1,
    sym_const_expr,
    STATE(1070),
    1,
    sym_annotation_appl_params,
    ACTIONS(882),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(894),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(211),
    3,
    sym_string_literal,
    sym_char_literal,
    sym_boolean_literal,
    [10024] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1680),
    1,
    anon_sym_AT,
    STATE(162),
    1,
    sym_comment,
    ACTIONS(1678),
    28,
    anon_sym_exception,
    anon_sym_RBRACE,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_ATannotation,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_module,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_alias,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_typeid,
    anon_sym_typeprefix,
    anon_sym_import,
    anon_sym_component,
    anon_sym_home,
    anon_sym_porttype,
    anon_sym_connector,
    anon_sym_native,
    [10067] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1684),
    1,
    anon_sym_AT,
    STATE(163),
    1,
    sym_comment,
    ACTIONS(1682),
    28,
    anon_sym_exception,
    anon_sym_RBRACE,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_ATannotation,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_module,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_alias,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_typeid,
    anon_sym_typeprefix,
    anon_sym_import,
    anon_sym_component,
    anon_sym_home,
    anon_sym_porttype,
    anon_sym_connector,
    anon_sym_native,
    [10110] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1688),
    1,
    anon_sym_AT,
    STATE(164),
    1,
    sym_comment,
    ACTIONS(1686),
    28,
    anon_sym_exception,
    anon_sym_RBRACE,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_ATannotation,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_module,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_alias,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_typeid,
    anon_sym_typeprefix,
    anon_sym_import,
    anon_sym_component,
    anon_sym_home,
    anon_sym_porttype,
    anon_sym_connector,
    anon_sym_native,
    [10153] = 28,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(880),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(884),
    1,
    anon_sym_LPAREN,
    ACTIONS(886),
    1,
    anon_sym_TILDE,
    ACTIONS(888),
    1,
    anon_sym_L,
    ACTIONS(890),
    1,
    anon_sym_DQUOTE,
    ACTIONS(892),
    1,
    anon_sym_SQUOTE,
    ACTIONS(896),
    1,
    sym_number_literal,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1676),
    1,
    sym_identifier,
    STATE(165),
    1,
    sym_comment,
    STATE(194),
    1,
    sym_scoped_name,
    STATE(197),
    1,
    sym_literal,
    STATE(209),
    1,
    sym_primary_expr,
    STATE(210),
    1,
    sym_unary_expr,
    STATE(212),
    1,
    sym_mult_expr,
    STATE(220),
    1,
    sym_unary_operator,
    STATE(221),
    1,
    sym_add_expr,
    STATE(226),
    1,
    sym_shift_expr,
    STATE(266),
    1,
    sym_and_expr,
    STATE(306),
    1,
    sym_xor_expr,
    STATE(328),
    1,
    sym_or_expr,
    STATE(571),
    1,
    sym_annotation_appl_param,
    STATE(937),
    1,
    sym_const_expr,
    STATE(1106),
    1,
    sym_annotation_appl_params,
    ACTIONS(882),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(894),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(211),
    3,
    sym_string_literal,
    sym_char_literal,
    sym_boolean_literal,
    [10242] = 28,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(880),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(884),
    1,
    anon_sym_LPAREN,
    ACTIONS(886),
    1,
    anon_sym_TILDE,
    ACTIONS(888),
    1,
    anon_sym_L,
    ACTIONS(890),
    1,
    anon_sym_DQUOTE,
    ACTIONS(892),
    1,
    anon_sym_SQUOTE,
    ACTIONS(896),
    1,
    sym_number_literal,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1676),
    1,
    sym_identifier,
    STATE(166),
    1,
    sym_comment,
    STATE(194),
    1,
    sym_scoped_name,
    STATE(197),
    1,
    sym_literal,
    STATE(209),
    1,
    sym_primary_expr,
    STATE(210),
    1,
    sym_unary_expr,
    STATE(212),
    1,
    sym_mult_expr,
    STATE(220),
    1,
    sym_unary_operator,
    STATE(221),
    1,
    sym_add_expr,
    STATE(226),
    1,
    sym_shift_expr,
    STATE(266),
    1,
    sym_and_expr,
    STATE(306),
    1,
    sym_xor_expr,
    STATE(328),
    1,
    sym_or_expr,
    STATE(571),
    1,
    sym_annotation_appl_param,
    STATE(936),
    1,
    sym_annotation_appl_params,
    STATE(937),
    1,
    sym_const_expr,
    ACTIONS(882),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(894),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(211),
    3,
    sym_string_literal,
    sym_char_literal,
    sym_boolean_literal,
    [10331] = 27,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(295),
    1,
    sym_identifier,
    ACTIONS(880),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(884),
    1,
    anon_sym_LPAREN,
    ACTIONS(886),
    1,
    anon_sym_TILDE,
    ACTIONS(888),
    1,
    anon_sym_L,
    ACTIONS(890),
    1,
    anon_sym_DQUOTE,
    ACTIONS(892),
    1,
    anon_sym_SQUOTE,
    ACTIONS(896),
    1,
    sym_number_literal,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(167),
    1,
    sym_comment,
    STATE(194),
    1,
    sym_scoped_name,
    STATE(197),
    1,
    sym_literal,
    STATE(209),
    1,
    sym_primary_expr,
    STATE(210),
    1,
    sym_unary_expr,
    STATE(212),
    1,
    sym_mult_expr,
    STATE(220),
    1,
    sym_unary_operator,
    STATE(221),
    1,
    sym_add_expr,
    STATE(226),
    1,
    sym_shift_expr,
    STATE(266),
    1,
    sym_and_expr,
    STATE(306),
    1,
    sym_xor_expr,
    STATE(328),
    1,
    sym_or_expr,
    STATE(542),
    1,
    sym_const_expr,
    STATE(1026),
    1,
    sym_positive_int_const,
    ACTIONS(882),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(894),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(211),
    3,
    sym_string_literal,
    sym_char_literal,
    sym_boolean_literal,
    [10417] = 27,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(295),
    1,
    sym_identifier,
    ACTIONS(880),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(884),
    1,
    anon_sym_LPAREN,
    ACTIONS(886),
    1,
    anon_sym_TILDE,
    ACTIONS(888),
    1,
    anon_sym_L,
    ACTIONS(890),
    1,
    anon_sym_DQUOTE,
    ACTIONS(892),
    1,
    anon_sym_SQUOTE,
    ACTIONS(896),
    1,
    sym_number_literal,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(168),
    1,
    sym_comment,
    STATE(194),
    1,
    sym_scoped_name,
    STATE(197),
    1,
    sym_literal,
    STATE(209),
    1,
    sym_primary_expr,
    STATE(210),
    1,
    sym_unary_expr,
    STATE(212),
    1,
    sym_mult_expr,
    STATE(220),
    1,
    sym_unary_operator,
    STATE(221),
    1,
    sym_add_expr,
    STATE(226),
    1,
    sym_shift_expr,
    STATE(266),
    1,
    sym_and_expr,
    STATE(306),
    1,
    sym_xor_expr,
    STATE(328),
    1,
    sym_or_expr,
    STATE(542),
    1,
    sym_const_expr,
    STATE(878),
    1,
    sym_positive_int_const,
    ACTIONS(882),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(894),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(211),
    3,
    sym_string_literal,
    sym_char_literal,
    sym_boolean_literal,
    [10503] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1692),
    1,
    anon_sym_AT,
    STATE(169),
    1,
    sym_comment,
    ACTIONS(1690),
    27,
    anon_sym_exception,
    anon_sym_RBRACE,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_ATannotation,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_module,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_typeid,
    anon_sym_typeprefix,
    anon_sym_import,
    anon_sym_component,
    anon_sym_home,
    anon_sym_porttype,
    anon_sym_connector,
    anon_sym_native,
    [10545] = 27,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(295),
    1,
    sym_identifier,
    ACTIONS(880),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(884),
    1,
    anon_sym_LPAREN,
    ACTIONS(886),
    1,
    anon_sym_TILDE,
    ACTIONS(888),
    1,
    anon_sym_L,
    ACTIONS(890),
    1,
    anon_sym_DQUOTE,
    ACTIONS(892),
    1,
    anon_sym_SQUOTE,
    ACTIONS(896),
    1,
    sym_number_literal,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(170),
    1,
    sym_comment,
    STATE(194),
    1,
    sym_scoped_name,
    STATE(197),
    1,
    sym_literal,
    STATE(209),
    1,
    sym_primary_expr,
    STATE(210),
    1,
    sym_unary_expr,
    STATE(212),
    1,
    sym_mult_expr,
    STATE(220),
    1,
    sym_unary_operator,
    STATE(221),
    1,
    sym_add_expr,
    STATE(226),
    1,
    sym_shift_expr,
    STATE(266),
    1,
    sym_and_expr,
    STATE(306),
    1,
    sym_xor_expr,
    STATE(328),
    1,
    sym_or_expr,
    STATE(542),
    1,
    sym_const_expr,
    STATE(920),
    1,
    sym_positive_int_const,
    ACTIONS(882),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(894),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(211),
    3,
    sym_string_literal,
    sym_char_literal,
    sym_boolean_literal,
    [10631] = 27,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(295),
    1,
    sym_identifier,
    ACTIONS(880),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(884),
    1,
    anon_sym_LPAREN,
    ACTIONS(886),
    1,
    anon_sym_TILDE,
    ACTIONS(888),
    1,
    anon_sym_L,
    ACTIONS(890),
    1,
    anon_sym_DQUOTE,
    ACTIONS(892),
    1,
    anon_sym_SQUOTE,
    ACTIONS(896),
    1,
    sym_number_literal,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(171),
    1,
    sym_comment,
    STATE(194),
    1,
    sym_scoped_name,
    STATE(197),
    1,
    sym_literal,
    STATE(209),
    1,
    sym_primary_expr,
    STATE(210),
    1,
    sym_unary_expr,
    STATE(212),
    1,
    sym_mult_expr,
    STATE(220),
    1,
    sym_unary_operator,
    STATE(221),
    1,
    sym_add_expr,
    STATE(226),
    1,
    sym_shift_expr,
    STATE(266),
    1,
    sym_and_expr,
    STATE(306),
    1,
    sym_xor_expr,
    STATE(328),
    1,
    sym_or_expr,
    STATE(542),
    1,
    sym_const_expr,
    STATE(917),
    1,
    sym_positive_int_const,
    ACTIONS(882),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(894),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(211),
    3,
    sym_string_literal,
    sym_char_literal,
    sym_boolean_literal,
    [10717] = 27,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(295),
    1,
    sym_identifier,
    ACTIONS(880),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(884),
    1,
    anon_sym_LPAREN,
    ACTIONS(886),
    1,
    anon_sym_TILDE,
    ACTIONS(888),
    1,
    anon_sym_L,
    ACTIONS(890),
    1,
    anon_sym_DQUOTE,
    ACTIONS(892),
    1,
    anon_sym_SQUOTE,
    ACTIONS(896),
    1,
    sym_number_literal,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(172),
    1,
    sym_comment,
    STATE(194),
    1,
    sym_scoped_name,
    STATE(197),
    1,
    sym_literal,
    STATE(209),
    1,
    sym_primary_expr,
    STATE(210),
    1,
    sym_unary_expr,
    STATE(212),
    1,
    sym_mult_expr,
    STATE(220),
    1,
    sym_unary_operator,
    STATE(221),
    1,
    sym_add_expr,
    STATE(226),
    1,
    sym_shift_expr,
    STATE(266),
    1,
    sym_and_expr,
    STATE(306),
    1,
    sym_xor_expr,
    STATE(328),
    1,
    sym_or_expr,
    STATE(542),
    1,
    sym_const_expr,
    STATE(868),
    1,
    sym_positive_int_const,
    ACTIONS(882),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(894),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(211),
    3,
    sym_string_literal,
    sym_char_literal,
    sym_boolean_literal,
    [10803] = 27,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(295),
    1,
    sym_identifier,
    ACTIONS(880),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(884),
    1,
    anon_sym_LPAREN,
    ACTIONS(886),
    1,
    anon_sym_TILDE,
    ACTIONS(888),
    1,
    anon_sym_L,
    ACTIONS(890),
    1,
    anon_sym_DQUOTE,
    ACTIONS(892),
    1,
    anon_sym_SQUOTE,
    ACTIONS(896),
    1,
    sym_number_literal,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(173),
    1,
    sym_comment,
    STATE(194),
    1,
    sym_scoped_name,
    STATE(197),
    1,
    sym_literal,
    STATE(209),
    1,
    sym_primary_expr,
    STATE(210),
    1,
    sym_unary_expr,
    STATE(212),
    1,
    sym_mult_expr,
    STATE(220),
    1,
    sym_unary_operator,
    STATE(221),
    1,
    sym_add_expr,
    STATE(226),
    1,
    sym_shift_expr,
    STATE(266),
    1,
    sym_and_expr,
    STATE(306),
    1,
    sym_xor_expr,
    STATE(328),
    1,
    sym_or_expr,
    STATE(542),
    1,
    sym_const_expr,
    STATE(804),
    1,
    sym_positive_int_const,
    ACTIONS(882),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(894),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(211),
    3,
    sym_string_literal,
    sym_char_literal,
    sym_boolean_literal,
    [10889] = 27,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(295),
    1,
    sym_identifier,
    ACTIONS(880),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(884),
    1,
    anon_sym_LPAREN,
    ACTIONS(886),
    1,
    anon_sym_TILDE,
    ACTIONS(888),
    1,
    anon_sym_L,
    ACTIONS(890),
    1,
    anon_sym_DQUOTE,
    ACTIONS(892),
    1,
    anon_sym_SQUOTE,
    ACTIONS(896),
    1,
    sym_number_literal,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(174),
    1,
    sym_comment,
    STATE(194),
    1,
    sym_scoped_name,
    STATE(197),
    1,
    sym_literal,
    STATE(209),
    1,
    sym_primary_expr,
    STATE(210),
    1,
    sym_unary_expr,
    STATE(212),
    1,
    sym_mult_expr,
    STATE(220),
    1,
    sym_unary_operator,
    STATE(221),
    1,
    sym_add_expr,
    STATE(226),
    1,
    sym_shift_expr,
    STATE(266),
    1,
    sym_and_expr,
    STATE(306),
    1,
    sym_xor_expr,
    STATE(328),
    1,
    sym_or_expr,
    STATE(542),
    1,
    sym_const_expr,
    STATE(848),
    1,
    sym_positive_int_const,
    ACTIONS(882),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(894),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(211),
    3,
    sym_string_literal,
    sym_char_literal,
    sym_boolean_literal,
    [10975] = 26,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(295),
    1,
    sym_identifier,
    ACTIONS(880),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(884),
    1,
    anon_sym_LPAREN,
    ACTIONS(886),
    1,
    anon_sym_TILDE,
    ACTIONS(888),
    1,
    anon_sym_L,
    ACTIONS(890),
    1,
    anon_sym_DQUOTE,
    ACTIONS(892),
    1,
    anon_sym_SQUOTE,
    ACTIONS(896),
    1,
    sym_number_literal,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(175),
    1,
    sym_comment,
    STATE(194),
    1,
    sym_scoped_name,
    STATE(197),
    1,
    sym_literal,
    STATE(209),
    1,
    sym_primary_expr,
    STATE(210),
    1,
    sym_unary_expr,
    STATE(212),
    1,
    sym_mult_expr,
    STATE(220),
    1,
    sym_unary_operator,
    STATE(221),
    1,
    sym_add_expr,
    STATE(226),
    1,
    sym_shift_expr,
    STATE(266),
    1,
    sym_and_expr,
    STATE(306),
    1,
    sym_xor_expr,
    STATE(328),
    1,
    sym_or_expr,
    STATE(847),
    1,
    sym_const_expr,
    ACTIONS(882),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(894),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(211),
    3,
    sym_string_literal,
    sym_char_literal,
    sym_boolean_literal,
    [11058] = 26,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(295),
    1,
    sym_identifier,
    ACTIONS(880),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(884),
    1,
    anon_sym_LPAREN,
    ACTIONS(886),
    1,
    anon_sym_TILDE,
    ACTIONS(888),
    1,
    anon_sym_L,
    ACTIONS(890),
    1,
    anon_sym_DQUOTE,
    ACTIONS(892),
    1,
    anon_sym_SQUOTE,
    ACTIONS(896),
    1,
    sym_number_literal,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(176),
    1,
    sym_comment,
    STATE(194),
    1,
    sym_scoped_name,
    STATE(197),
    1,
    sym_literal,
    STATE(209),
    1,
    sym_primary_expr,
    STATE(210),
    1,
    sym_unary_expr,
    STATE(212),
    1,
    sym_mult_expr,
    STATE(220),
    1,
    sym_unary_operator,
    STATE(221),
    1,
    sym_add_expr,
    STATE(226),
    1,
    sym_shift_expr,
    STATE(266),
    1,
    sym_and_expr,
    STATE(306),
    1,
    sym_xor_expr,
    STATE(328),
    1,
    sym_or_expr,
    STATE(849),
    1,
    sym_const_expr,
    ACTIONS(882),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(894),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(211),
    3,
    sym_string_literal,
    sym_char_literal,
    sym_boolean_literal,
    [11141] = 26,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(295),
    1,
    sym_identifier,
    ACTIONS(880),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(884),
    1,
    anon_sym_LPAREN,
    ACTIONS(886),
    1,
    anon_sym_TILDE,
    ACTIONS(888),
    1,
    anon_sym_L,
    ACTIONS(890),
    1,
    anon_sym_DQUOTE,
    ACTIONS(892),
    1,
    anon_sym_SQUOTE,
    ACTIONS(896),
    1,
    sym_number_literal,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(177),
    1,
    sym_comment,
    STATE(194),
    1,
    sym_scoped_name,
    STATE(197),
    1,
    sym_literal,
    STATE(209),
    1,
    sym_primary_expr,
    STATE(210),
    1,
    sym_unary_expr,
    STATE(212),
    1,
    sym_mult_expr,
    STATE(220),
    1,
    sym_unary_operator,
    STATE(221),
    1,
    sym_add_expr,
    STATE(226),
    1,
    sym_shift_expr,
    STATE(266),
    1,
    sym_and_expr,
    STATE(306),
    1,
    sym_xor_expr,
    STATE(328),
    1,
    sym_or_expr,
    STATE(1200),
    1,
    sym_const_expr,
    ACTIONS(882),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(894),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(211),
    3,
    sym_string_literal,
    sym_char_literal,
    sym_boolean_literal,
    [11224] = 26,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(295),
    1,
    sym_identifier,
    ACTIONS(880),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(884),
    1,
    anon_sym_LPAREN,
    ACTIONS(886),
    1,
    anon_sym_TILDE,
    ACTIONS(888),
    1,
    anon_sym_L,
    ACTIONS(890),
    1,
    anon_sym_DQUOTE,
    ACTIONS(892),
    1,
    anon_sym_SQUOTE,
    ACTIONS(896),
    1,
    sym_number_literal,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(178),
    1,
    sym_comment,
    STATE(194),
    1,
    sym_scoped_name,
    STATE(197),
    1,
    sym_literal,
    STATE(209),
    1,
    sym_primary_expr,
    STATE(210),
    1,
    sym_unary_expr,
    STATE(212),
    1,
    sym_mult_expr,
    STATE(220),
    1,
    sym_unary_operator,
    STATE(221),
    1,
    sym_add_expr,
    STATE(226),
    1,
    sym_shift_expr,
    STATE(266),
    1,
    sym_and_expr,
    STATE(306),
    1,
    sym_xor_expr,
    STATE(328),
    1,
    sym_or_expr,
    STATE(775),
    1,
    sym_const_expr,
    ACTIONS(882),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(894),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(211),
    3,
    sym_string_literal,
    sym_char_literal,
    sym_boolean_literal,
    [11307] = 26,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(295),
    1,
    sym_identifier,
    ACTIONS(880),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(884),
    1,
    anon_sym_LPAREN,
    ACTIONS(886),
    1,
    anon_sym_TILDE,
    ACTIONS(888),
    1,
    anon_sym_L,
    ACTIONS(890),
    1,
    anon_sym_DQUOTE,
    ACTIONS(892),
    1,
    anon_sym_SQUOTE,
    ACTIONS(896),
    1,
    sym_number_literal,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(179),
    1,
    sym_comment,
    STATE(194),
    1,
    sym_scoped_name,
    STATE(197),
    1,
    sym_literal,
    STATE(209),
    1,
    sym_primary_expr,
    STATE(210),
    1,
    sym_unary_expr,
    STATE(212),
    1,
    sym_mult_expr,
    STATE(220),
    1,
    sym_unary_operator,
    STATE(221),
    1,
    sym_add_expr,
    STATE(226),
    1,
    sym_shift_expr,
    STATE(266),
    1,
    sym_and_expr,
    STATE(306),
    1,
    sym_xor_expr,
    STATE(328),
    1,
    sym_or_expr,
    STATE(874),
    1,
    sym_const_expr,
    ACTIONS(882),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(894),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(211),
    3,
    sym_string_literal,
    sym_char_literal,
    sym_boolean_literal,
    [11390] = 26,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(295),
    1,
    sym_identifier,
    ACTIONS(880),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(884),
    1,
    anon_sym_LPAREN,
    ACTIONS(886),
    1,
    anon_sym_TILDE,
    ACTIONS(888),
    1,
    anon_sym_L,
    ACTIONS(890),
    1,
    anon_sym_DQUOTE,
    ACTIONS(892),
    1,
    anon_sym_SQUOTE,
    ACTIONS(896),
    1,
    sym_number_literal,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(180),
    1,
    sym_comment,
    STATE(194),
    1,
    sym_scoped_name,
    STATE(197),
    1,
    sym_literal,
    STATE(209),
    1,
    sym_primary_expr,
    STATE(210),
    1,
    sym_unary_expr,
    STATE(212),
    1,
    sym_mult_expr,
    STATE(220),
    1,
    sym_unary_operator,
    STATE(221),
    1,
    sym_add_expr,
    STATE(226),
    1,
    sym_shift_expr,
    STATE(266),
    1,
    sym_and_expr,
    STATE(306),
    1,
    sym_xor_expr,
    STATE(328),
    1,
    sym_or_expr,
    STATE(1155),
    1,
    sym_const_expr,
    ACTIONS(882),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(894),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(211),
    3,
    sym_string_literal,
    sym_char_literal,
    sym_boolean_literal,
    [11473] = 19,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(211),
    1,
    anon_sym_long,
    ACTIONS(229),
    1,
    anon_sym_unsignedlong,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1696),
    1,
    anon_sym_int32,
    ACTIONS(1698),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(1702),
    1,
    sym_signed_tiny_int,
    ACTIONS(1704),
    1,
    anon_sym_uint32,
    STATE(181),
    1,
    sym_comment,
    STATE(896),
    1,
    sym_destination_type,
    STATE(897),
    1,
    sym_integer_type,
    ACTIONS(213),
    2,
    anon_sym_longlong,
    anon_sym_int64,
    ACTIONS(225),
    2,
    anon_sym_unsignedshort,
    anon_sym_uint16,
    ACTIONS(231),
    2,
    anon_sym_unsignedlonglong,
    anon_sym_uint64,
    ACTIONS(1694),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(1700),
    2,
    sym_boolean_type,
    sym_octet_type,
    STATE(371),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(356),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(388),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    [11541] = 24,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(295),
    1,
    sym_identifier,
    ACTIONS(880),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(884),
    1,
    anon_sym_LPAREN,
    ACTIONS(886),
    1,
    anon_sym_TILDE,
    ACTIONS(888),
    1,
    anon_sym_L,
    ACTIONS(890),
    1,
    anon_sym_DQUOTE,
    ACTIONS(892),
    1,
    anon_sym_SQUOTE,
    ACTIONS(896),
    1,
    sym_number_literal,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(182),
    1,
    sym_comment,
    STATE(194),
    1,
    sym_scoped_name,
    STATE(197),
    1,
    sym_literal,
    STATE(209),
    1,
    sym_primary_expr,
    STATE(210),
    1,
    sym_unary_expr,
    STATE(212),
    1,
    sym_mult_expr,
    STATE(220),
    1,
    sym_unary_operator,
    STATE(221),
    1,
    sym_add_expr,
    STATE(226),
    1,
    sym_shift_expr,
    STATE(266),
    1,
    sym_and_expr,
    STATE(307),
    1,
    sym_xor_expr,
    ACTIONS(882),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(894),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(211),
    3,
    sym_string_literal,
    sym_char_literal,
    sym_boolean_literal,
    [11618] = 23,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(295),
    1,
    sym_identifier,
    ACTIONS(880),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(884),
    1,
    anon_sym_LPAREN,
    ACTIONS(886),
    1,
    anon_sym_TILDE,
    ACTIONS(888),
    1,
    anon_sym_L,
    ACTIONS(890),
    1,
    anon_sym_DQUOTE,
    ACTIONS(892),
    1,
    anon_sym_SQUOTE,
    ACTIONS(896),
    1,
    sym_number_literal,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(183),
    1,
    sym_comment,
    STATE(194),
    1,
    sym_scoped_name,
    STATE(197),
    1,
    sym_literal,
    STATE(209),
    1,
    sym_primary_expr,
    STATE(210),
    1,
    sym_unary_expr,
    STATE(212),
    1,
    sym_mult_expr,
    STATE(220),
    1,
    sym_unary_operator,
    STATE(221),
    1,
    sym_add_expr,
    STATE(226),
    1,
    sym_shift_expr,
    STATE(265),
    1,
    sym_and_expr,
    ACTIONS(882),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(894),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(211),
    3,
    sym_string_literal,
    sym_char_literal,
    sym_boolean_literal,
    [11692] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(184),
    1,
    sym_comment,
    ACTIONS(1422),
    3,
    anon_sym_GT,
    anon_sym_SLASH,
    anon_sym_COLON,
    ACTIONS(1424),
    20,
    anon_sym_COLON_COLON,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_L,
    anon_sym_DQUOTE,
    anon_sym_LBRACE,
    anon_sym_SEMI,
    anon_sym_supports,
    anon_sym_RBRACK,
    anon_sym_manages,
    anon_sym_primarykey,
    [11729] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(185),
    1,
    sym_comment,
    ACTIONS(1438),
    3,
    anon_sym_GT,
    anon_sym_SLASH,
    anon_sym_COLON,
    ACTIONS(1440),
    20,
    anon_sym_COLON_COLON,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_L,
    anon_sym_DQUOTE,
    anon_sym_LBRACE,
    anon_sym_SEMI,
    anon_sym_supports,
    anon_sym_RBRACK,
    anon_sym_manages,
    anon_sym_primarykey,
    [11766] = 22,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(295),
    1,
    sym_identifier,
    ACTIONS(880),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(884),
    1,
    anon_sym_LPAREN,
    ACTIONS(886),
    1,
    anon_sym_TILDE,
    ACTIONS(888),
    1,
    anon_sym_L,
    ACTIONS(890),
    1,
    anon_sym_DQUOTE,
    ACTIONS(892),
    1,
    anon_sym_SQUOTE,
    ACTIONS(896),
    1,
    sym_number_literal,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(186),
    1,
    sym_comment,
    STATE(194),
    1,
    sym_scoped_name,
    STATE(197),
    1,
    sym_literal,
    STATE(209),
    1,
    sym_primary_expr,
    STATE(210),
    1,
    sym_unary_expr,
    STATE(212),
    1,
    sym_mult_expr,
    STATE(220),
    1,
    sym_unary_operator,
    STATE(221),
    1,
    sym_add_expr,
    STATE(227),
    1,
    sym_shift_expr,
    ACTIONS(882),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(894),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(211),
    3,
    sym_string_literal,
    sym_char_literal,
    sym_boolean_literal,
    [11837] = 21,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(295),
    1,
    sym_identifier,
    ACTIONS(880),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(884),
    1,
    anon_sym_LPAREN,
    ACTIONS(886),
    1,
    anon_sym_TILDE,
    ACTIONS(888),
    1,
    anon_sym_L,
    ACTIONS(890),
    1,
    anon_sym_DQUOTE,
    ACTIONS(892),
    1,
    anon_sym_SQUOTE,
    ACTIONS(896),
    1,
    sym_number_literal,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(187),
    1,
    sym_comment,
    STATE(194),
    1,
    sym_scoped_name,
    STATE(197),
    1,
    sym_literal,
    STATE(209),
    1,
    sym_primary_expr,
    STATE(210),
    1,
    sym_unary_expr,
    STATE(212),
    1,
    sym_mult_expr,
    STATE(220),
    1,
    sym_unary_operator,
    STATE(223),
    1,
    sym_add_expr,
    ACTIONS(882),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(894),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(211),
    3,
    sym_string_literal,
    sym_char_literal,
    sym_boolean_literal,
    [11905] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1706),
    1,
    anon_sym_RBRACE,
    ACTIONS(1708),
    1,
    anon_sym_readonly,
    ACTIONS(1710),
    1,
    anon_sym_attribute,
    ACTIONS(1712),
    1,
    anon_sym_provides,
    ACTIONS(1714),
    1,
    anon_sym_uses,
    ACTIONS(1716),
    1,
    anon_sym_emits,
    ACTIONS(1718),
    1,
    anon_sym_publishes,
    ACTIONS(1720),
    1,
    anon_sym_consumes,
    STATE(188),
    1,
    sym_comment,
    STATE(191),
    1,
    aux_sym_component_body_repeat1,
    STATE(235),
    1,
    sym_component_export,
    STATE(994),
    1,
    sym_component_body,
    ACTIONS(1722),
    2,
    anon_sym_port,
    anon_sym_mirrorport,
    STATE(1002),
    2,
    sym_readonly_attr_spec,
    sym_attr_spec,
    STATE(995),
    7,
    sym_attr_dcl,
    sym_provides_dcl,
    sym_uses_dcl,
    sym_emits_dcl,
    sym_publishes_dcl,
    sym_consumes_dcl,
    sym_port_dcl,
    [11965] = 20,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(295),
    1,
    sym_identifier,
    ACTIONS(880),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(884),
    1,
    anon_sym_LPAREN,
    ACTIONS(886),
    1,
    anon_sym_TILDE,
    ACTIONS(888),
    1,
    anon_sym_L,
    ACTIONS(890),
    1,
    anon_sym_DQUOTE,
    ACTIONS(892),
    1,
    anon_sym_SQUOTE,
    ACTIONS(896),
    1,
    sym_number_literal,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(189),
    1,
    sym_comment,
    STATE(194),
    1,
    sym_scoped_name,
    STATE(197),
    1,
    sym_literal,
    STATE(209),
    1,
    sym_primary_expr,
    STATE(210),
    1,
    sym_unary_expr,
    STATE(218),
    1,
    sym_mult_expr,
    STATE(220),
    1,
    sym_unary_operator,
    ACTIONS(882),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(894),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(211),
    3,
    sym_string_literal,
    sym_char_literal,
    sym_boolean_literal,
    [12030] = 15,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1724),
    1,
    anon_sym_RBRACE,
    ACTIONS(1726),
    1,
    anon_sym_readonly,
    ACTIONS(1729),
    1,
    anon_sym_attribute,
    ACTIONS(1732),
    1,
    anon_sym_provides,
    ACTIONS(1735),
    1,
    anon_sym_uses,
    ACTIONS(1738),
    1,
    anon_sym_emits,
    ACTIONS(1741),
    1,
    anon_sym_publishes,
    ACTIONS(1744),
    1,
    anon_sym_consumes,
    STATE(235),
    1,
    sym_component_export,
    ACTIONS(1747),
    2,
    anon_sym_port,
    anon_sym_mirrorport,
    STATE(190),
    2,
    sym_comment,
    aux_sym_component_body_repeat1,
    STATE(1002),
    2,
    sym_readonly_attr_spec,
    sym_attr_spec,
    STATE(995),
    7,
    sym_attr_dcl,
    sym_provides_dcl,
    sym_uses_dcl,
    sym_emits_dcl,
    sym_publishes_dcl,
    sym_consumes_dcl,
    sym_port_dcl,
    [12085] = 16,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1708),
    1,
    anon_sym_readonly,
    ACTIONS(1710),
    1,
    anon_sym_attribute,
    ACTIONS(1712),
    1,
    anon_sym_provides,
    ACTIONS(1714),
    1,
    anon_sym_uses,
    ACTIONS(1716),
    1,
    anon_sym_emits,
    ACTIONS(1718),
    1,
    anon_sym_publishes,
    ACTIONS(1720),
    1,
    anon_sym_consumes,
    ACTIONS(1750),
    1,
    anon_sym_RBRACE,
    STATE(190),
    1,
    aux_sym_component_body_repeat1,
    STATE(191),
    1,
    sym_comment,
    STATE(235),
    1,
    sym_component_export,
    ACTIONS(1722),
    2,
    anon_sym_port,
    anon_sym_mirrorport,
    STATE(1002),
    2,
    sym_readonly_attr_spec,
    sym_attr_spec,
    STATE(995),
    7,
    sym_attr_dcl,
    sym_provides_dcl,
    sym_uses_dcl,
    sym_emits_dcl,
    sym_publishes_dcl,
    sym_consumes_dcl,
    sym_port_dcl,
    [12142] = 19,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(295),
    1,
    sym_identifier,
    ACTIONS(880),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(884),
    1,
    anon_sym_LPAREN,
    ACTIONS(886),
    1,
    anon_sym_TILDE,
    ACTIONS(888),
    1,
    anon_sym_L,
    ACTIONS(890),
    1,
    anon_sym_DQUOTE,
    ACTIONS(892),
    1,
    anon_sym_SQUOTE,
    ACTIONS(896),
    1,
    sym_number_literal,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(192),
    1,
    sym_comment,
    STATE(194),
    1,
    sym_scoped_name,
    STATE(197),
    1,
    sym_literal,
    STATE(209),
    1,
    sym_primary_expr,
    STATE(216),
    1,
    sym_unary_expr,
    STATE(220),
    1,
    sym_unary_operator,
    ACTIONS(882),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(894),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(211),
    3,
    sym_string_literal,
    sym_char_literal,
    sym_boolean_literal,
    [12204] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(193),
    1,
    sym_comment,
    ACTIONS(1418),
    3,
    anon_sym_GT,
    anon_sym_SLASH,
    anon_sym_COLON,
    ACTIONS(1420),
    16,
    anon_sym_COLON_COLON,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_LBRACE,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    sym_identifier,
    [12237] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1752),
    1,
    anon_sym_COLON_COLON,
    STATE(194),
    1,
    sym_comment,
    ACTIONS(1754),
    3,
    anon_sym_GT,
    anon_sym_SLASH,
    anon_sym_COLON,
    ACTIONS(1756),
    13,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [12270] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(195),
    1,
    sym_comment,
    ACTIONS(1758),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1760),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [12300] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(196),
    1,
    sym_comment,
    ACTIONS(1762),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1764),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [12330] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(197),
    1,
    sym_comment,
    ACTIONS(1754),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1756),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [12360] = 15,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1708),
    1,
    anon_sym_readonly,
    ACTIONS(1710),
    1,
    anon_sym_attribute,
    ACTIONS(1712),
    1,
    anon_sym_provides,
    ACTIONS(1714),
    1,
    anon_sym_uses,
    ACTIONS(1766),
    1,
    anon_sym_RBRACE,
    STATE(198),
    1,
    sym_comment,
    STATE(215),
    1,
    aux_sym_port_body_repeat1,
    STATE(317),
    1,
    sym_port_export,
    STATE(322),
    1,
    sym_port_ref,
    STATE(844),
    1,
    sym_attr_dcl,
    ACTIONS(1722),
    2,
    anon_sym_port,
    anon_sym_mirrorport,
    STATE(1002),
    2,
    sym_readonly_attr_spec,
    sym_attr_spec,
    STATE(986),
    3,
    sym_provides_dcl,
    sym_uses_dcl,
    sym_port_dcl,
    [12410] = 11,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(890),
    1,
    anon_sym_DQUOTE,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1770),
    1,
    anon_sym_L,
    ACTIONS(1772),
    1,
    anon_sym_c,
    STATE(199),
    1,
    sym_comment,
    STATE(1066),
    1,
    sym_string_literal,
    STATE(1228),
    1,
    sym_verbatim_language,
    STATE(1229),
    1,
    sym_placement_kind,
    ACTIONS(1768),
    4,
    anon_sym_STAR,
    anon_sym_c_PLUS_PLUS,
    anon_sym_java,
    anon_sym_idl,
    ACTIONS(1774),
    6,
    anon_sym_BEGIN_FILE,
    anon_sym_BEFORE_DECLARATION,
    anon_sym_BEGIN_DECLARATION,
    anon_sym_END_DECLARATION,
    anon_sym_AFTER_DECLARATION,
    anon_sym_END_FILE,
    [12452] = 11,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(890),
    1,
    anon_sym_DQUOTE,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1770),
    1,
    anon_sym_L,
    ACTIONS(1772),
    1,
    anon_sym_c,
    STATE(200),
    1,
    sym_comment,
    STATE(1102),
    1,
    sym_string_literal,
    STATE(1242),
    1,
    sym_verbatim_language,
    STATE(1243),
    1,
    sym_placement_kind,
    ACTIONS(1768),
    4,
    anon_sym_STAR,
    anon_sym_c_PLUS_PLUS,
    anon_sym_java,
    anon_sym_idl,
    ACTIONS(1774),
    6,
    anon_sym_BEGIN_FILE,
    anon_sym_BEFORE_DECLARATION,
    anon_sym_BEGIN_DECLARATION,
    anon_sym_END_DECLARATION,
    anon_sym_AFTER_DECLARATION,
    anon_sym_END_FILE,
    [12494] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(201),
    1,
    sym_comment,
    ACTIONS(1776),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1778),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [12524] = 11,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(890),
    1,
    anon_sym_DQUOTE,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1770),
    1,
    anon_sym_L,
    ACTIONS(1772),
    1,
    anon_sym_c,
    STATE(202),
    1,
    sym_comment,
    STATE(1133),
    1,
    sym_string_literal,
    STATE(1256),
    1,
    sym_verbatim_language,
    STATE(1257),
    1,
    sym_placement_kind,
    ACTIONS(1768),
    4,
    anon_sym_STAR,
    anon_sym_c_PLUS_PLUS,
    anon_sym_java,
    anon_sym_idl,
    ACTIONS(1774),
    6,
    anon_sym_BEGIN_FILE,
    anon_sym_BEFORE_DECLARATION,
    anon_sym_BEGIN_DECLARATION,
    anon_sym_END_DECLARATION,
    anon_sym_AFTER_DECLARATION,
    anon_sym_END_FILE,
    [12566] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(203),
    1,
    sym_comment,
    ACTIONS(1780),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1782),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [12596] = 11,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(890),
    1,
    anon_sym_DQUOTE,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1770),
    1,
    anon_sym_L,
    ACTIONS(1772),
    1,
    anon_sym_c,
    STATE(204),
    1,
    sym_comment,
    STATE(942),
    1,
    sym_placement_kind,
    STATE(943),
    1,
    sym_verbatim_language,
    STATE(944),
    1,
    sym_string_literal,
    ACTIONS(1768),
    4,
    anon_sym_STAR,
    anon_sym_c_PLUS_PLUS,
    anon_sym_java,
    anon_sym_idl,
    ACTIONS(1774),
    6,
    anon_sym_BEGIN_FILE,
    anon_sym_BEFORE_DECLARATION,
    anon_sym_BEGIN_DECLARATION,
    anon_sym_END_DECLARATION,
    anon_sym_AFTER_DECLARATION,
    anon_sym_END_FILE,
    [12638] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(205),
    1,
    sym_comment,
    ACTIONS(1784),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1786),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [12668] = 15,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1708),
    1,
    anon_sym_readonly,
    ACTIONS(1710),
    1,
    anon_sym_attribute,
    ACTIONS(1712),
    1,
    anon_sym_provides,
    ACTIONS(1714),
    1,
    anon_sym_uses,
    ACTIONS(1788),
    1,
    anon_sym_RBRACE,
    STATE(206),
    1,
    sym_comment,
    STATE(208),
    1,
    aux_sym_connector_dcl_repeat1,
    STATE(315),
    1,
    sym_connector_export,
    STATE(316),
    1,
    sym_port_ref,
    STATE(987),
    1,
    sym_attr_dcl,
    ACTIONS(1722),
    2,
    anon_sym_port,
    anon_sym_mirrorport,
    STATE(1002),
    2,
    sym_readonly_attr_spec,
    sym_attr_spec,
    STATE(986),
    3,
    sym_provides_dcl,
    sym_uses_dcl,
    sym_port_dcl,
    [12718] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(207),
    1,
    sym_comment,
    ACTIONS(1790),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1792),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [12748] = 14,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1794),
    1,
    anon_sym_RBRACE,
    ACTIONS(1796),
    1,
    anon_sym_readonly,
    ACTIONS(1799),
    1,
    anon_sym_attribute,
    ACTIONS(1802),
    1,
    anon_sym_provides,
    ACTIONS(1805),
    1,
    anon_sym_uses,
    STATE(315),
    1,
    sym_connector_export,
    STATE(316),
    1,
    sym_port_ref,
    STATE(987),
    1,
    sym_attr_dcl,
    ACTIONS(1808),
    2,
    anon_sym_port,
    anon_sym_mirrorport,
    STATE(208),
    2,
    sym_comment,
    aux_sym_connector_dcl_repeat1,
    STATE(1002),
    2,
    sym_readonly_attr_spec,
    sym_attr_spec,
    STATE(986),
    3,
    sym_provides_dcl,
    sym_uses_dcl,
    sym_port_dcl,
    [12796] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(209),
    1,
    sym_comment,
    ACTIONS(1811),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1813),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [12826] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(210),
    1,
    sym_comment,
    ACTIONS(1815),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1817),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [12856] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(211),
    1,
    sym_comment,
    ACTIONS(1819),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1821),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [12886] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1823),
    1,
    anon_sym_GT,
    ACTIONS(1829),
    1,
    anon_sym_SLASH,
    STATE(212),
    1,
    sym_comment,
    ACTIONS(1827),
    2,
    anon_sym_STAR,
    anon_sym_PERCENT,
    ACTIONS(1825),
    12,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [12920] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(213),
    1,
    sym_comment,
    ACTIONS(1831),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1833),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [12950] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(214),
    1,
    sym_comment,
    ACTIONS(1835),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1837),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [12980] = 15,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1708),
    1,
    anon_sym_readonly,
    ACTIONS(1710),
    1,
    anon_sym_attribute,
    ACTIONS(1712),
    1,
    anon_sym_provides,
    ACTIONS(1714),
    1,
    anon_sym_uses,
    ACTIONS(1839),
    1,
    anon_sym_RBRACE,
    STATE(215),
    1,
    sym_comment,
    STATE(217),
    1,
    aux_sym_port_body_repeat1,
    STATE(317),
    1,
    sym_port_export,
    STATE(322),
    1,
    sym_port_ref,
    STATE(844),
    1,
    sym_attr_dcl,
    ACTIONS(1722),
    2,
    anon_sym_port,
    anon_sym_mirrorport,
    STATE(1002),
    2,
    sym_readonly_attr_spec,
    sym_attr_spec,
    STATE(986),
    3,
    sym_provides_dcl,
    sym_uses_dcl,
    sym_port_dcl,
    [13030] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(216),
    1,
    sym_comment,
    ACTIONS(1841),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1843),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [13060] = 14,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1845),
    1,
    anon_sym_RBRACE,
    ACTIONS(1847),
    1,
    anon_sym_readonly,
    ACTIONS(1850),
    1,
    anon_sym_attribute,
    ACTIONS(1853),
    1,
    anon_sym_provides,
    ACTIONS(1856),
    1,
    anon_sym_uses,
    STATE(317),
    1,
    sym_port_export,
    STATE(322),
    1,
    sym_port_ref,
    STATE(844),
    1,
    sym_attr_dcl,
    ACTIONS(1859),
    2,
    anon_sym_port,
    anon_sym_mirrorport,
    STATE(217),
    2,
    sym_comment,
    aux_sym_port_body_repeat1,
    STATE(1002),
    2,
    sym_readonly_attr_spec,
    sym_attr_spec,
    STATE(986),
    3,
    sym_provides_dcl,
    sym_uses_dcl,
    sym_port_dcl,
    [13108] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1829),
    1,
    anon_sym_SLASH,
    ACTIONS(1862),
    1,
    anon_sym_GT,
    STATE(218),
    1,
    sym_comment,
    ACTIONS(1827),
    2,
    anon_sym_STAR,
    anon_sym_PERCENT,
    ACTIONS(1864),
    12,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [13142] = 14,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1708),
    1,
    anon_sym_readonly,
    ACTIONS(1710),
    1,
    anon_sym_attribute,
    ACTIONS(1712),
    1,
    anon_sym_provides,
    ACTIONS(1714),
    1,
    anon_sym_uses,
    STATE(206),
    1,
    aux_sym_connector_dcl_repeat1,
    STATE(219),
    1,
    sym_comment,
    STATE(315),
    1,
    sym_connector_export,
    STATE(316),
    1,
    sym_port_ref,
    STATE(987),
    1,
    sym_attr_dcl,
    ACTIONS(1722),
    2,
    anon_sym_port,
    anon_sym_mirrorport,
    STATE(1002),
    2,
    sym_readonly_attr_spec,
    sym_attr_spec,
    STATE(986),
    3,
    sym_provides_dcl,
    sym_uses_dcl,
    sym_port_dcl,
    [13189] = 15,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(295),
    1,
    sym_identifier,
    ACTIONS(880),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(884),
    1,
    anon_sym_LPAREN,
    ACTIONS(888),
    1,
    anon_sym_L,
    ACTIONS(890),
    1,
    anon_sym_DQUOTE,
    ACTIONS(892),
    1,
    anon_sym_SQUOTE,
    ACTIONS(896),
    1,
    sym_number_literal,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(194),
    1,
    sym_scoped_name,
    STATE(197),
    1,
    sym_literal,
    STATE(203),
    1,
    sym_primary_expr,
    STATE(220),
    1,
    sym_comment,
    ACTIONS(894),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(211),
    3,
    sym_string_literal,
    sym_char_literal,
    sym_boolean_literal,
    [13238] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1866),
    1,
    anon_sym_GT,
    STATE(221),
    1,
    sym_comment,
    ACTIONS(1870),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1868),
    10,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [13267] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1752),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(1754),
    1,
    anon_sym_SLASH,
    ACTIONS(1872),
    1,
    anon_sym_GT,
    ACTIONS(1874),
    1,
    anon_sym_COMMA,
    STATE(222),
    1,
    sym_comment,
    ACTIONS(1756),
    9,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    [13300] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1876),
    1,
    anon_sym_GT,
    STATE(223),
    1,
    sym_comment,
    ACTIONS(1870),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1878),
    10,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [13329] = 15,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(21),
    1,
    anon_sym_interface,
    ACTIONS(31),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1880),
    1,
    anon_sym_bitmask,
    ACTIONS(1882),
    1,
    anon_sym_AT,
    ACTIONS(1884),
    1,
    anon_sym_struct,
    ACTIONS(1886),
    1,
    anon_sym_union,
    STATE(224),
    1,
    sym_comment,
    STATE(228),
    1,
    aux_sym_interface_def_repeat1,
    STATE(273),
    1,
    sym_annotation_appl,
    STATE(274),
    1,
    sym_extend_annotation_appl,
    STATE(1032),
    1,
    sym_interface_header,
    STATE(1033),
    1,
    sym_interface_kind,
    ACTIONS(17),
    2,
    anon_sym_local,
    anon_sym_abstract,
    [13376] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1418),
    1,
    anon_sym_SLASH,
    ACTIONS(1888),
    1,
    anon_sym_EQ,
    STATE(225),
    1,
    sym_comment,
    ACTIONS(1420),
    11,
    anon_sym_COLON_COLON,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    [13405] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1890),
    1,
    anon_sym_GT,
    STATE(226),
    1,
    sym_comment,
    ACTIONS(1894),
    2,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    ACTIONS(1892),
    8,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [13432] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1896),
    1,
    anon_sym_GT,
    STATE(227),
    1,
    sym_comment,
    ACTIONS(1894),
    2,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    ACTIONS(1898),
    8,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [13459] = 8,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1900),
    1,
    anon_sym_AT,
    ACTIONS(1903),
    1,
    anon_sym_SLASH_SLASH_AT,
    STATE(273),
    1,
    sym_annotation_appl,
    STATE(274),
    1,
    sym_extend_annotation_appl,
    STATE(228),
    2,
    sym_comment,
    aux_sym_interface_def_repeat1,
    ACTIONS(1382),
    6,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_struct,
    anon_sym_union,
    [13490] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(229),
    1,
    sym_comment,
    ACTIONS(1420),
    10,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [13512] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(890),
    1,
    anon_sym_DQUOTE,
    ACTIONS(892),
    1,
    anon_sym_SQUOTE,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1906),
    1,
    anon_sym_L,
    ACTIONS(1910),
    1,
    sym_number_literal,
    STATE(230),
    1,
    sym_comment,
    STATE(1118),
    1,
    sym_literal,
    ACTIONS(1908),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(211),
    3,
    sym_string_literal,
    sym_char_literal,
    sym_boolean_literal,
    [13546] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(890),
    1,
    anon_sym_DQUOTE,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1770),
    1,
    anon_sym_L,
    STATE(231),
    1,
    sym_comment,
    STATE(1139),
    1,
    sym_string_literal,
    STATE(1258),
    1,
    sym_placement_kind,
    ACTIONS(1774),
    6,
    anon_sym_BEGIN_FILE,
    anon_sym_BEFORE_DECLARATION,
    anon_sym_BEGIN_DECLARATION,
    anon_sym_END_DECLARATION,
    anon_sym_AFTER_DECLARATION,
    anon_sym_END_FILE,
    [13576] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1912),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(1914),
    1,
    anon_sym_LPAREN,
    STATE(232),
    1,
    sym_comment,
    ACTIONS(1474),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [13602] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(890),
    1,
    anon_sym_DQUOTE,
    ACTIONS(892),
    1,
    anon_sym_SQUOTE,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1906),
    1,
    anon_sym_L,
    ACTIONS(1910),
    1,
    sym_number_literal,
    STATE(233),
    1,
    sym_comment,
    STATE(1087),
    1,
    sym_literal,
    ACTIONS(1908),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(211),
    3,
    sym_string_literal,
    sym_char_literal,
    sym_boolean_literal,
    [13636] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(890),
    1,
    anon_sym_DQUOTE,
    ACTIONS(892),
    1,
    anon_sym_SQUOTE,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1906),
    1,
    anon_sym_L,
    ACTIONS(1910),
    1,
    sym_number_literal,
    STATE(234),
    1,
    sym_comment,
    STATE(1127),
    1,
    sym_literal,
    ACTIONS(1908),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(211),
    3,
    sym_string_literal,
    sym_char_literal,
    sym_boolean_literal,
    [13670] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(235),
    1,
    sym_comment,
    ACTIONS(1916),
    10,
    anon_sym_RBRACE,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_provides,
    anon_sym_uses,
    anon_sym_emits,
    anon_sym_publishes,
    anon_sym_consumes,
    anon_sym_port,
    anon_sym_mirrorport,
    [13692] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(236),
    1,
    sym_comment,
    ACTIONS(1420),
    10,
    anon_sym_COLON_COLON,
    anon_sym_LT,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_L,
    anon_sym_DQUOTE,
    anon_sym_LBRACE,
    anon_sym_supports,
    anon_sym_manages,
    anon_sym_primarykey,
    [13714] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(890),
    1,
    anon_sym_DQUOTE,
    ACTIONS(892),
    1,
    anon_sym_SQUOTE,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1906),
    1,
    anon_sym_L,
    ACTIONS(1910),
    1,
    sym_number_literal,
    STATE(237),
    1,
    sym_comment,
    STATE(1092),
    1,
    sym_literal,
    ACTIONS(1908),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(211),
    3,
    sym_string_literal,
    sym_char_literal,
    sym_boolean_literal,
    [13748] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(890),
    1,
    anon_sym_DQUOTE,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1770),
    1,
    anon_sym_L,
    STATE(238),
    1,
    sym_comment,
    STATE(923),
    1,
    sym_placement_kind,
    STATE(1185),
    1,
    sym_string_literal,
    ACTIONS(1774),
    6,
    anon_sym_BEGIN_FILE,
    anon_sym_BEFORE_DECLARATION,
    anon_sym_BEGIN_DECLARATION,
    anon_sym_END_DECLARATION,
    anon_sym_AFTER_DECLARATION,
    anon_sym_END_FILE,
    [13778] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(239),
    1,
    sym_comment,
    ACTIONS(1424),
    10,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [13800] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(890),
    1,
    anon_sym_DQUOTE,
    ACTIONS(892),
    1,
    anon_sym_SQUOTE,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1906),
    1,
    anon_sym_L,
    ACTIONS(1910),
    1,
    sym_number_literal,
    STATE(240),
    1,
    sym_comment,
    STATE(965),
    1,
    sym_literal,
    ACTIONS(1908),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(211),
    3,
    sym_string_literal,
    sym_char_literal,
    sym_boolean_literal,
    [13834] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1712),
    1,
    anon_sym_provides,
    ACTIONS(1714),
    1,
    anon_sym_uses,
    ACTIONS(1918),
    1,
    anon_sym_RBRACE,
    STATE(198),
    1,
    sym_port_ref,
    STATE(241),
    1,
    sym_comment,
    STATE(912),
    1,
    sym_port_body,
    ACTIONS(1722),
    2,
    anon_sym_port,
    anon_sym_mirrorport,
    STATE(986),
    3,
    sym_provides_dcl,
    sym_uses_dcl,
    sym_port_dcl,
    [13868] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(890),
    1,
    anon_sym_DQUOTE,
    ACTIONS(892),
    1,
    anon_sym_SQUOTE,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1906),
    1,
    anon_sym_L,
    ACTIONS(1910),
    1,
    sym_number_literal,
    STATE(242),
    1,
    sym_comment,
    STATE(952),
    1,
    sym_literal,
    ACTIONS(1908),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(211),
    3,
    sym_string_literal,
    sym_char_literal,
    sym_boolean_literal,
    [13902] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(890),
    1,
    anon_sym_DQUOTE,
    ACTIONS(892),
    1,
    anon_sym_SQUOTE,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1906),
    1,
    anon_sym_L,
    ACTIONS(1910),
    1,
    sym_number_literal,
    STATE(243),
    1,
    sym_comment,
    STATE(951),
    1,
    sym_literal,
    ACTIONS(1908),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(211),
    3,
    sym_string_literal,
    sym_char_literal,
    sym_boolean_literal,
    [13936] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(244),
    1,
    sym_comment,
    ACTIONS(1920),
    10,
    anon_sym_RBRACE,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_provides,
    anon_sym_uses,
    anon_sym_emits,
    anon_sym_publishes,
    anon_sym_consumes,
    anon_sym_port,
    anon_sym_mirrorport,
    [13958] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(890),
    1,
    anon_sym_DQUOTE,
    ACTIONS(892),
    1,
    anon_sym_SQUOTE,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1906),
    1,
    anon_sym_L,
    ACTIONS(1910),
    1,
    sym_number_literal,
    STATE(245),
    1,
    sym_comment,
    STATE(1061),
    1,
    sym_literal,
    ACTIONS(1908),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(211),
    3,
    sym_string_literal,
    sym_char_literal,
    sym_boolean_literal,
    [13992] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(890),
    1,
    anon_sym_DQUOTE,
    ACTIONS(892),
    1,
    anon_sym_SQUOTE,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1906),
    1,
    anon_sym_L,
    ACTIONS(1910),
    1,
    sym_number_literal,
    STATE(246),
    1,
    sym_comment,
    STATE(1060),
    1,
    sym_literal,
    ACTIONS(1908),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(211),
    3,
    sym_string_literal,
    sym_char_literal,
    sym_boolean_literal,
    [14026] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(890),
    1,
    anon_sym_DQUOTE,
    ACTIONS(892),
    1,
    anon_sym_SQUOTE,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1906),
    1,
    anon_sym_L,
    ACTIONS(1910),
    1,
    sym_number_literal,
    STATE(247),
    1,
    sym_comment,
    STATE(1128),
    1,
    sym_literal,
    ACTIONS(1908),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(211),
    3,
    sym_string_literal,
    sym_char_literal,
    sym_boolean_literal,
    [14060] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(890),
    1,
    anon_sym_DQUOTE,
    ACTIONS(892),
    1,
    anon_sym_SQUOTE,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1906),
    1,
    anon_sym_L,
    ACTIONS(1910),
    1,
    sym_number_literal,
    STATE(248),
    1,
    sym_comment,
    STATE(1096),
    1,
    sym_literal,
    ACTIONS(1908),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(211),
    3,
    sym_string_literal,
    sym_char_literal,
    sym_boolean_literal,
    [14094] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(890),
    1,
    anon_sym_DQUOTE,
    ACTIONS(892),
    1,
    anon_sym_SQUOTE,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1906),
    1,
    anon_sym_L,
    ACTIONS(1910),
    1,
    sym_number_literal,
    STATE(249),
    1,
    sym_comment,
    STATE(1123),
    1,
    sym_literal,
    ACTIONS(1908),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(211),
    3,
    sym_string_literal,
    sym_char_literal,
    sym_boolean_literal,
    [14128] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(890),
    1,
    anon_sym_DQUOTE,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1770),
    1,
    anon_sym_L,
    STATE(250),
    1,
    sym_comment,
    STATE(1108),
    1,
    sym_string_literal,
    STATE(1244),
    1,
    sym_placement_kind,
    ACTIONS(1774),
    6,
    anon_sym_BEGIN_FILE,
    anon_sym_BEFORE_DECLARATION,
    anon_sym_BEGIN_DECLARATION,
    anon_sym_END_DECLARATION,
    anon_sym_AFTER_DECLARATION,
    anon_sym_END_FILE,
    [14158] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(890),
    1,
    anon_sym_DQUOTE,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1770),
    1,
    anon_sym_L,
    STATE(251),
    1,
    sym_comment,
    STATE(1074),
    1,
    sym_string_literal,
    STATE(1230),
    1,
    sym_placement_kind,
    ACTIONS(1774),
    6,
    anon_sym_BEGIN_FILE,
    anon_sym_BEFORE_DECLARATION,
    anon_sym_BEGIN_DECLARATION,
    anon_sym_END_DECLARATION,
    anon_sym_AFTER_DECLARATION,
    anon_sym_END_FILE,
    [14188] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(890),
    1,
    anon_sym_DQUOTE,
    ACTIONS(892),
    1,
    anon_sym_SQUOTE,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1906),
    1,
    anon_sym_L,
    ACTIONS(1910),
    1,
    sym_number_literal,
    STATE(252),
    1,
    sym_comment,
    STATE(1051),
    1,
    sym_literal,
    ACTIONS(1908),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(211),
    3,
    sym_string_literal,
    sym_char_literal,
    sym_boolean_literal,
    [14222] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(890),
    1,
    anon_sym_DQUOTE,
    ACTIONS(892),
    1,
    anon_sym_SQUOTE,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1906),
    1,
    anon_sym_L,
    ACTIONS(1910),
    1,
    sym_number_literal,
    STATE(253),
    1,
    sym_comment,
    STATE(899),
    1,
    sym_literal,
    ACTIONS(1908),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(211),
    3,
    sym_string_literal,
    sym_char_literal,
    sym_boolean_literal,
    [14256] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(890),
    1,
    anon_sym_DQUOTE,
    ACTIONS(892),
    1,
    anon_sym_SQUOTE,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1906),
    1,
    anon_sym_L,
    ACTIONS(1910),
    1,
    sym_number_literal,
    STATE(254),
    1,
    sym_comment,
    STATE(883),
    1,
    sym_literal,
    ACTIONS(1908),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(211),
    3,
    sym_string_literal,
    sym_char_literal,
    sym_boolean_literal,
    [14290] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(890),
    1,
    anon_sym_DQUOTE,
    ACTIONS(892),
    1,
    anon_sym_SQUOTE,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1906),
    1,
    anon_sym_L,
    ACTIONS(1910),
    1,
    sym_number_literal,
    STATE(255),
    1,
    sym_comment,
    STATE(959),
    1,
    sym_literal,
    ACTIONS(1908),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(211),
    3,
    sym_string_literal,
    sym_char_literal,
    sym_boolean_literal,
    [14324] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(890),
    1,
    anon_sym_DQUOTE,
    ACTIONS(892),
    1,
    anon_sym_SQUOTE,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1906),
    1,
    anon_sym_L,
    ACTIONS(1910),
    1,
    sym_number_literal,
    STATE(256),
    1,
    sym_comment,
    STATE(1097),
    1,
    sym_literal,
    ACTIONS(1908),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(211),
    3,
    sym_string_literal,
    sym_char_literal,
    sym_boolean_literal,
    [14358] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(257),
    1,
    sym_comment,
    ACTIONS(1440),
    10,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [14380] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(890),
    1,
    anon_sym_DQUOTE,
    ACTIONS(892),
    1,
    anon_sym_SQUOTE,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1906),
    1,
    anon_sym_L,
    ACTIONS(1910),
    1,
    sym_number_literal,
    STATE(258),
    1,
    sym_comment,
    STATE(1056),
    1,
    sym_literal,
    ACTIONS(1908),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(211),
    3,
    sym_string_literal,
    sym_char_literal,
    sym_boolean_literal,
    [14414] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(259),
    1,
    sym_comment,
    ACTIONS(1922),
    4,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_DQUOTE,
    anon_sym_SQUOTE,
    ACTIONS(1924),
    5,
    anon_sym_L,
    anon_sym_TRUE,
    anon_sym_FALSE,
    sym_number_literal,
    sym_identifier,
    [14437] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1926),
    1,
    anon_sym_LPAREN,
    STATE(260),
    1,
    sym_comment,
    ACTIONS(1462),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [14460] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1928),
    1,
    anon_sym_LPAREN,
    STATE(261),
    1,
    sym_comment,
    ACTIONS(1392),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [14483] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1930),
    1,
    anon_sym_LPAREN,
    STATE(262),
    1,
    sym_comment,
    ACTIONS(1434),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [14506] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1932),
    1,
    anon_sym_LPAREN,
    STATE(263),
    1,
    sym_comment,
    ACTIONS(1428),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [14529] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1934),
    1,
    anon_sym_LPAREN,
    STATE(264),
    1,
    sym_comment,
    ACTIONS(1468),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [14552] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1938),
    1,
    anon_sym_AMP,
    STATE(265),
    1,
    sym_comment,
    ACTIONS(1936),
    8,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14575] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1938),
    1,
    anon_sym_AMP,
    STATE(266),
    1,
    sym_comment,
    ACTIONS(1940),
    8,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14598] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1942),
    1,
    anon_sym_LPAREN,
    STATE(267),
    1,
    sym_comment,
    ACTIONS(1456),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [14621] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1944),
    1,
    anon_sym_LPAREN,
    STATE(268),
    1,
    sym_comment,
    ACTIONS(1444),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [14644] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1946),
    1,
    anon_sym_LPAREN,
    STATE(269),
    1,
    sym_comment,
    ACTIONS(1450),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [14667] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1948),
    1,
    anon_sym_LPAREN,
    STATE(270),
    1,
    sym_comment,
    ACTIONS(1406),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [14690] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(271),
    1,
    sym_comment,
    ACTIONS(1532),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [14710] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(272),
    1,
    sym_comment,
    ACTIONS(1520),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [14730] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(273),
    1,
    sym_comment,
    ACTIONS(1504),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [14750] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(274),
    1,
    sym_comment,
    ACTIONS(1516),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [14770] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(275),
    1,
    sym_comment,
    ACTIONS(1424),
    8,
    anon_sym_COLON_COLON,
    anon_sym_LT,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_LBRACE,
    anon_sym_SEMI,
    sym_identifier,
    [14790] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(276),
    1,
    sym_comment,
    ACTIONS(1592),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [14810] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(277),
    1,
    sym_comment,
    ACTIONS(1596),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [14830] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(278),
    1,
    sym_comment,
    ACTIONS(1604),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [14850] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(279),
    1,
    sym_comment,
    ACTIONS(1588),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [14870] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(280),
    1,
    sym_comment,
    ACTIONS(1584),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [14890] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(281),
    1,
    sym_comment,
    ACTIONS(1440),
    8,
    anon_sym_COLON_COLON,
    anon_sym_LT,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_LBRACE,
    anon_sym_SEMI,
    sym_identifier,
    [14910] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(282),
    1,
    sym_comment,
    ACTIONS(1616),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [14930] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(283),
    1,
    sym_comment,
    ACTIONS(1644),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [14950] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(284),
    1,
    sym_comment,
    ACTIONS(1580),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [14970] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(285),
    1,
    sym_comment,
    ACTIONS(1576),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [14990] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(286),
    1,
    sym_comment,
    ACTIONS(1484),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [15010] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(287),
    1,
    sym_comment,
    ACTIONS(1564),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [15030] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(288),
    1,
    sym_comment,
    ACTIONS(1636),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [15050] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(289),
    1,
    sym_comment,
    ACTIONS(1560),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [15070] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(290),
    1,
    sym_comment,
    ACTIONS(1552),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [15090] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(291),
    1,
    sym_comment,
    ACTIONS(1608),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [15110] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(292),
    1,
    sym_comment,
    ACTIONS(1612),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [15130] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(293),
    1,
    sym_comment,
    ACTIONS(1620),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [15150] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(294),
    1,
    sym_comment,
    ACTIONS(1500),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [15170] = 11,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1950),
    1,
    anon_sym_RBRACE,
    ACTIONS(1952),
    1,
    anon_sym_AT,
    ACTIONS(1954),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1956),
    1,
    sym_identifier,
    STATE(295),
    1,
    sym_comment,
    STATE(341),
    1,
    aux_sym_interface_def_repeat1,
    STATE(589),
    1,
    sym_annotation_appl,
    STATE(598),
    1,
    sym_extend_annotation_appl,
    STATE(611),
    1,
    sym_bit_value,
    [15204] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(296),
    1,
    sym_comment,
    ACTIONS(1556),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [15224] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(297),
    1,
    sym_comment,
    ACTIONS(1492),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [15244] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(298),
    1,
    sym_comment,
    ACTIONS(1496),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [15264] = 11,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1958),
    1,
    anon_sym_COMMA,
    ACTIONS(1960),
    1,
    anon_sym_SEMI,
    ACTIONS(1962),
    1,
    anon_sym_getraises,
    ACTIONS(1964),
    1,
    anon_sym_setraises,
    STATE(299),
    1,
    sym_comment,
    STATE(692),
    1,
    sym_get_excep_expr,
    STATE(694),
    1,
    aux_sym_readonly_attr_declarator_repeat1,
    STATE(1018),
    1,
    sym_set_excep_expr,
    STATE(1082),
    1,
    sym_attr_raises_expr,
    [15298] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(300),
    1,
    sym_comment,
    ACTIONS(1512),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [15318] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(301),
    1,
    sym_comment,
    ACTIONS(1632),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [15338] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(302),
    1,
    sym_comment,
    ACTIONS(1548),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [15358] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(303),
    1,
    sym_comment,
    ACTIONS(1544),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [15378] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(304),
    1,
    sym_comment,
    ACTIONS(1640),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [15398] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(305),
    1,
    sym_comment,
    ACTIONS(1488),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [15418] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1968),
    1,
    anon_sym_CARET,
    STATE(306),
    1,
    sym_comment,
    ACTIONS(1966),
    7,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [15440] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1968),
    1,
    anon_sym_CARET,
    STATE(307),
    1,
    sym_comment,
    ACTIONS(1970),
    7,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [15462] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(308),
    1,
    sym_comment,
    ACTIONS(1540),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [15482] = 11,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1952),
    1,
    anon_sym_AT,
    ACTIONS(1954),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1956),
    1,
    sym_identifier,
    ACTIONS(1972),
    1,
    anon_sym_RBRACE,
    STATE(309),
    1,
    sym_comment,
    STATE(341),
    1,
    aux_sym_interface_def_repeat1,
    STATE(517),
    1,
    sym_bit_value,
    STATE(589),
    1,
    sym_annotation_appl,
    STATE(598),
    1,
    sym_extend_annotation_appl,
    [15516] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(310),
    1,
    sym_comment,
    ACTIONS(1524),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [15536] = 11,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(31),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1880),
    1,
    anon_sym_bitmask,
    ACTIONS(1882),
    1,
    anon_sym_AT,
    ACTIONS(1884),
    1,
    anon_sym_struct,
    ACTIONS(1886),
    1,
    anon_sym_union,
    STATE(228),
    1,
    aux_sym_interface_def_repeat1,
    STATE(273),
    1,
    sym_annotation_appl,
    STATE(274),
    1,
    sym_extend_annotation_appl,
    STATE(311),
    1,
    sym_comment,
    [15570] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(312),
    1,
    sym_comment,
    ACTIONS(1536),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [15590] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(313),
    1,
    sym_comment,
    ACTIONS(1508),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [15610] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(314),
    1,
    sym_comment,
    ACTIONS(1528),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [15630] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(315),
    1,
    sym_comment,
    ACTIONS(1974),
    7,
    anon_sym_RBRACE,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_provides,
    anon_sym_uses,
    anon_sym_port,
    anon_sym_mirrorport,
    [15649] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(316),
    1,
    sym_comment,
    ACTIONS(1976),
    7,
    anon_sym_RBRACE,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_provides,
    anon_sym_uses,
    anon_sym_port,
    anon_sym_mirrorport,
    [15668] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(317),
    1,
    sym_comment,
    ACTIONS(1978),
    7,
    anon_sym_RBRACE,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_provides,
    anon_sym_uses,
    anon_sym_port,
    anon_sym_mirrorport,
    [15687] = 10,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1952),
    1,
    anon_sym_AT,
    ACTIONS(1954),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1956),
    1,
    sym_identifier,
    STATE(318),
    1,
    sym_comment,
    STATE(341),
    1,
    aux_sym_interface_def_repeat1,
    STATE(589),
    1,
    sym_annotation_appl,
    STATE(598),
    1,
    sym_extend_annotation_appl,
    STATE(795),
    1,
    sym_bit_value,
    [15718] = 9,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1980),
    1,
    anon_sym_RBRACE,
    ACTIONS(1982),
    1,
    anon_sym_default,
    ACTIONS(1985),
    1,
    anon_sym_case,
    STATE(30),
    1,
    aux_sym_case_repeat1,
    STATE(89),
    1,
    sym_case_label,
    STATE(613),
    1,
    sym_case,
    STATE(319),
    2,
    sym_comment,
    aux_sym_union_def_repeat1,
    [15747] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1988),
    1,
    anon_sym_LBRACE,
    ACTIONS(1990),
    1,
    anon_sym_COLON,
    ACTIONS(1992),
    1,
    anon_sym_SEMI,
    ACTIONS(1994),
    1,
    anon_sym_supports,
    STATE(320),
    1,
    sym_comment,
    STATE(693),
    1,
    sym_value_inheritance,
    STATE(1022),
    1,
    sym_value_supports,
    STATE(1023),
    1,
    sym_value_inheritance_spec,
    [15778] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1996),
    1,
    anon_sym_RBRACE,
    ACTIONS(1998),
    1,
    anon_sym_default,
    ACTIONS(2000),
    1,
    anon_sym_case,
    STATE(30),
    1,
    aux_sym_case_repeat1,
    STATE(89),
    1,
    sym_case_label,
    STATE(319),
    1,
    aux_sym_union_def_repeat1,
    STATE(321),
    1,
    sym_comment,
    STATE(613),
    1,
    sym_case,
    [15809] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(322),
    1,
    sym_comment,
    ACTIONS(2002),
    7,
    anon_sym_RBRACE,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_provides,
    anon_sym_uses,
    anon_sym_port,
    anon_sym_mirrorport,
    [15828] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(241),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(295),
    1,
    sym_identifier,
    ACTIONS(890),
    1,
    anon_sym_DQUOTE,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2004),
    1,
    anon_sym_L,
    STATE(323),
    1,
    sym_comment,
    STATE(742),
    1,
    sym_scoped_name,
    STATE(1041),
    1,
    sym_imported_scope,
    STATE(1042),
    1,
    sym_string_literal,
    [15859] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1998),
    1,
    anon_sym_default,
    ACTIONS(2000),
    1,
    anon_sym_case,
    ACTIONS(2006),
    1,
    anon_sym_RBRACE,
    STATE(30),
    1,
    aux_sym_case_repeat1,
    STATE(89),
    1,
    sym_case_label,
    STATE(321),
    1,
    aux_sym_union_def_repeat1,
    STATE(324),
    1,
    sym_comment,
    STATE(613),
    1,
    sym_case,
    [15890] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1998),
    1,
    anon_sym_default,
    ACTIONS(2000),
    1,
    anon_sym_case,
    ACTIONS(2008),
    1,
    anon_sym_RBRACE,
    STATE(30),
    1,
    aux_sym_case_repeat1,
    STATE(89),
    1,
    sym_case_label,
    STATE(319),
    1,
    aux_sym_union_def_repeat1,
    STATE(325),
    1,
    sym_comment,
    STATE(613),
    1,
    sym_case,
    [15921] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1990),
    1,
    anon_sym_COLON,
    ACTIONS(1994),
    1,
    anon_sym_supports,
    ACTIONS(2010),
    1,
    anon_sym_LBRACE,
    ACTIONS(2012),
    1,
    anon_sym_SEMI,
    STATE(326),
    1,
    sym_comment,
    STATE(693),
    1,
    sym_value_inheritance,
    STATE(978),
    1,
    sym_value_inheritance_spec,
    STATE(1022),
    1,
    sym_value_supports,
    [15952] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(327),
    1,
    sym_comment,
    ACTIONS(2014),
    7,
    anon_sym_RBRACE,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_provides,
    anon_sym_uses,
    anon_sym_port,
    anon_sym_mirrorport,
    [15971] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2018),
    1,
    anon_sym_PIPE,
    STATE(328),
    1,
    sym_comment,
    ACTIONS(2016),
    6,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [15992] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(329),
    1,
    sym_comment,
    ACTIONS(2020),
    7,
    anon_sym_RBRACE,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_provides,
    anon_sym_uses,
    anon_sym_port,
    anon_sym_mirrorport,
    [16011] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1996),
    1,
    anon_sym_RBRACE,
    ACTIONS(1998),
    1,
    anon_sym_default,
    ACTIONS(2000),
    1,
    anon_sym_case,
    STATE(30),
    1,
    aux_sym_case_repeat1,
    STATE(89),
    1,
    sym_case_label,
    STATE(325),
    1,
    aux_sym_union_def_repeat1,
    STATE(330),
    1,
    sym_comment,
    STATE(613),
    1,
    sym_case,
    [16042] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(331),
    1,
    sym_comment,
    ACTIONS(2022),
    7,
    anon_sym_RBRACE,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_provides,
    anon_sym_uses,
    anon_sym_port,
    anon_sym_mirrorport,
    [16061] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(332),
    1,
    sym_comment,
    ACTIONS(2024),
    7,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    anon_sym_raises,
    anon_sym_getraises,
    anon_sym_setraises,
    anon_sym_default,
    [16080] = 9,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(241),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(295),
    1,
    sym_identifier,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2026),
    1,
    anon_sym_Object,
    ACTIONS(2028),
    1,
    anon_sym_multiple,
    STATE(333),
    1,
    sym_comment,
    STATE(788),
    1,
    sym_scoped_name,
    STATE(900),
    1,
    sym_interface_type,
    [16108] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2032),
    1,
    anon_sym_LBRACK,
    STATE(389),
    1,
    sym_fixed_array_size,
    STATE(334),
    2,
    sym_comment,
    aux_sym_array_declarator_repeat1,
    ACTIONS(2030),
    3,
    anon_sym_COMMA,
    anon_sym_SEMI,
    anon_sym_default,
    [16130] = 9,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2035),
    1,
    anon_sym_AT,
    ACTIONS(2037),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2039),
    1,
    aux_sym_extend_annotation_appl_token1,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    STATE(335),
    1,
    sym_comment,
    STATE(339),
    1,
    aux_sym_interface_def_repeat1,
    STATE(504),
    1,
    sym_extend_annotation_appl,
    STATE(506),
    1,
    sym_annotation_appl,
    [16158] = 9,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2035),
    1,
    anon_sym_AT,
    ACTIONS(2037),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2043),
    1,
    aux_sym_extend_annotation_appl_token1,
    STATE(336),
    1,
    sym_comment,
    STATE(339),
    1,
    aux_sym_interface_def_repeat1,
    STATE(504),
    1,
    sym_extend_annotation_appl,
    STATE(506),
    1,
    sym_annotation_appl,
    [16186] = 9,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2035),
    1,
    anon_sym_AT,
    ACTIONS(2037),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2045),
    1,
    aux_sym_extend_annotation_appl_token1,
    STATE(337),
    1,
    sym_comment,
    STATE(339),
    1,
    aux_sym_interface_def_repeat1,
    STATE(504),
    1,
    sym_extend_annotation_appl,
    STATE(506),
    1,
    sym_annotation_appl,
    [16214] = 9,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2035),
    1,
    anon_sym_AT,
    ACTIONS(2037),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2047),
    1,
    aux_sym_extend_annotation_appl_token1,
    STATE(338),
    1,
    sym_comment,
    STATE(348),
    1,
    aux_sym_interface_def_repeat1,
    STATE(504),
    1,
    sym_extend_annotation_appl,
    STATE(506),
    1,
    sym_annotation_appl,
    [16242] = 8,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1380),
    1,
    aux_sym_extend_annotation_appl_token1,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2049),
    1,
    anon_sym_AT,
    ACTIONS(2052),
    1,
    anon_sym_SLASH_SLASH_AT,
    STATE(504),
    1,
    sym_extend_annotation_appl,
    STATE(506),
    1,
    sym_annotation_appl,
    STATE(339),
    2,
    sym_comment,
    aux_sym_interface_def_repeat1,
    [16268] = 9,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2055),
    1,
    anon_sym_RBRACE,
    ACTIONS(2057),
    1,
    anon_sym_ATdefault_literal,
    ACTIONS(2059),
    1,
    sym_identifier,
    STATE(340),
    1,
    sym_comment,
    STATE(417),
    1,
    aux_sym_enumerator_repeat1,
    STATE(548),
    1,
    sym_enumerator,
    STATE(782),
    1,
    sym_enum_modifier,
    [16296] = 9,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1952),
    1,
    anon_sym_AT,
    ACTIONS(1954),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2061),
    1,
    sym_identifier,
    STATE(341),
    1,
    sym_comment,
    STATE(345),
    1,
    aux_sym_interface_def_repeat1,
    STATE(589),
    1,
    sym_annotation_appl,
    STATE(598),
    1,
    sym_extend_annotation_appl,
    [16324] = 9,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2035),
    1,
    anon_sym_AT,
    ACTIONS(2037),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2063),
    1,
    aux_sym_extend_annotation_appl_token1,
    STATE(336),
    1,
    aux_sym_interface_def_repeat1,
    STATE(342),
    1,
    sym_comment,
    STATE(504),
    1,
    sym_extend_annotation_appl,
    STATE(506),
    1,
    sym_annotation_appl,
    [16352] = 9,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2057),
    1,
    anon_sym_ATdefault_literal,
    ACTIONS(2059),
    1,
    sym_identifier,
    ACTIONS(2065),
    1,
    anon_sym_RBRACE,
    STATE(343),
    1,
    sym_comment,
    STATE(417),
    1,
    aux_sym_enumerator_repeat1,
    STATE(601),
    1,
    sym_enumerator,
    STATE(782),
    1,
    sym_enum_modifier,
    [16380] = 9,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1990),
    1,
    anon_sym_COLON,
    ACTIONS(1994),
    1,
    anon_sym_supports,
    ACTIONS(2067),
    1,
    anon_sym_LBRACE,
    STATE(344),
    1,
    sym_comment,
    STATE(693),
    1,
    sym_value_inheritance,
    STATE(979),
    1,
    sym_value_inheritance_spec,
    STATE(1022),
    1,
    sym_value_supports,
    [16408] = 8,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1382),
    1,
    sym_identifier,
    ACTIONS(2069),
    1,
    anon_sym_AT,
    ACTIONS(2072),
    1,
    anon_sym_SLASH_SLASH_AT,
    STATE(589),
    1,
    sym_annotation_appl,
    STATE(598),
    1,
    sym_extend_annotation_appl,
    STATE(345),
    2,
    sym_comment,
    aux_sym_interface_def_repeat1,
    [16434] = 9,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1990),
    1,
    anon_sym_COLON,
    ACTIONS(1994),
    1,
    anon_sym_supports,
    ACTIONS(2075),
    1,
    anon_sym_LBRACE,
    STATE(346),
    1,
    sym_comment,
    STATE(693),
    1,
    sym_value_inheritance,
    STATE(918),
    1,
    sym_value_inheritance_spec,
    STATE(1022),
    1,
    sym_value_supports,
    [16462] = 9,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2035),
    1,
    anon_sym_AT,
    ACTIONS(2037),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2077),
    1,
    aux_sym_extend_annotation_appl_token1,
    STATE(335),
    1,
    aux_sym_interface_def_repeat1,
    STATE(347),
    1,
    sym_comment,
    STATE(504),
    1,
    sym_extend_annotation_appl,
    STATE(506),
    1,
    sym_annotation_appl,
    [16490] = 9,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2035),
    1,
    anon_sym_AT,
    ACTIONS(2037),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2079),
    1,
    aux_sym_extend_annotation_appl_token1,
    STATE(339),
    1,
    aux_sym_interface_def_repeat1,
    STATE(348),
    1,
    sym_comment,
    STATE(504),
    1,
    sym_extend_annotation_appl,
    STATE(506),
    1,
    sym_annotation_appl,
    [16518] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2083),
    1,
    anon_sym_LBRACK,
    STATE(334),
    1,
    aux_sym_array_declarator_repeat1,
    STATE(349),
    1,
    sym_comment,
    STATE(389),
    1,
    sym_fixed_array_size,
    ACTIONS(2081),
    3,
    anon_sym_COMMA,
    anon_sym_SEMI,
    anon_sym_default,
    [16542] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2083),
    1,
    anon_sym_LBRACK,
    STATE(349),
    1,
    aux_sym_array_declarator_repeat1,
    STATE(350),
    1,
    sym_comment,
    STATE(389),
    1,
    sym_fixed_array_size,
    ACTIONS(2024),
    3,
    anon_sym_COMMA,
    anon_sym_SEMI,
    anon_sym_default,
    [16566] = 9,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2035),
    1,
    anon_sym_AT,
    ACTIONS(2037),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2085),
    1,
    aux_sym_extend_annotation_appl_token1,
    STATE(337),
    1,
    aux_sym_interface_def_repeat1,
    STATE(351),
    1,
    sym_comment,
    STATE(504),
    1,
    sym_extend_annotation_appl,
    STATE(506),
    1,
    sym_annotation_appl,
    [16594] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2087),
    1,
    anon_sym_LT,
    ACTIONS(2089),
    1,
    anon_sym_L,
    ACTIONS(2091),
    1,
    anon_sym_DQUOTE,
    ACTIONS(2093),
    1,
    sym_identifier,
    STATE(352),
    1,
    sym_comment,
    STATE(1161),
    2,
    sym_string_literal,
    sym_system_lib_string,
    [16620] = 9,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2095),
    1,
    anon_sym_LBRACE,
    ACTIONS(2097),
    1,
    anon_sym_COLON,
    ACTIONS(2099),
    1,
    anon_sym_SEMI,
    ACTIONS(2101),
    1,
    anon_sym_supports,
    STATE(353),
    1,
    sym_comment,
    STATE(668),
    1,
    sym_component_inheritance_spec,
    STATE(1015),
    1,
    sym_supported_interface_spec,
    [16648] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2103),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2105),
    1,
    anon_sym_LPAREN,
    STATE(354),
    1,
    sym_comment,
    ACTIONS(1474),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [16669] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2107),
    1,
    anon_sym_COLON,
    ACTIONS(2109),
    1,
    anon_sym_supports,
    ACTIONS(2111),
    1,
    anon_sym_manages,
    STATE(355),
    1,
    sym_comment,
    STATE(653),
    1,
    sym_home_inheritance_spec,
    STATE(1014),
    1,
    sym_supported_interface_spec,
    [16694] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(356),
    1,
    sym_comment,
    ACTIONS(2113),
    5,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    sym_identifier,
    [16711] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(357),
    1,
    sym_comment,
    ACTIONS(2115),
    5,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    sym_identifier,
    [16728] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(358),
    1,
    sym_comment,
    ACTIONS(2117),
    5,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    sym_identifier,
    [16745] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(359),
    1,
    sym_comment,
    ACTIONS(2119),
    5,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    sym_identifier,
    [16762] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2121),
    1,
    anon_sym_RBRACE,
    ACTIONS(2123),
    1,
    anon_sym_bitfield,
    STATE(360),
    1,
    sym_comment,
    STATE(380),
    1,
    aux_sym_bitset_dcl_repeat1,
    STATE(590),
    1,
    sym_bitfield_spec,
    STATE(721),
    1,
    sym_bitfield,
    [16787] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2125),
    1,
    anon_sym_RBRACE,
    ACTIONS(2127),
    1,
    anon_sym_bitfield,
    STATE(590),
    1,
    sym_bitfield_spec,
    STATE(721),
    1,
    sym_bitfield,
    STATE(361),
    2,
    sym_comment,
    aux_sym_bitset_dcl_repeat1,
    [16810] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2130),
    1,
    sym_identifier,
    STATE(362),
    1,
    sym_comment,
    STATE(479),
    1,
    sym_declarator,
    STATE(621),
    1,
    sym_declarators,
    STATE(498),
    2,
    sym_simple_declarator,
    sym_array_declarator,
    [16833] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(880),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1248),
    1,
    sym_identifier,
    ACTIONS(2132),
    1,
    anon_sym_truncatable,
    STATE(363),
    1,
    sym_comment,
    STATE(404),
    1,
    sym_scoped_name,
    STATE(405),
    1,
    sym_value_name,
    [16858] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(364),
    1,
    sym_comment,
    ACTIONS(2134),
    5,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    sym_identifier,
    [16875] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(365),
    1,
    sym_comment,
    ACTIONS(2136),
    5,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    sym_identifier,
    [16892] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(366),
    1,
    sym_comment,
    ACTIONS(2138),
    5,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    sym_identifier,
    [16909] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    STATE(367),
    1,
    sym_comment,
    ACTIONS(1418),
    5,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [16926] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(368),
    1,
    sym_comment,
    ACTIONS(2140),
    5,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    sym_identifier,
    [16943] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2142),
    1,
    anon_sym_LT,
    STATE(369),
    1,
    sym_comment,
    ACTIONS(2144),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [16962] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2146),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2148),
    1,
    anon_sym_LPAREN,
    STATE(370),
    1,
    sym_comment,
    ACTIONS(1472),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [16983] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(371),
    1,
    sym_comment,
    ACTIONS(2150),
    5,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    sym_identifier,
    [17000] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1958),
    1,
    anon_sym_COMMA,
    ACTIONS(2152),
    1,
    anon_sym_SEMI,
    ACTIONS(2154),
    1,
    anon_sym_raises,
    STATE(372),
    1,
    sym_comment,
    STATE(670),
    1,
    aux_sym_readonly_attr_declarator_repeat1,
    STATE(975),
    1,
    sym_raises_expr,
    [17025] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    STATE(373),
    1,
    sym_comment,
    ACTIONS(1422),
    5,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [17042] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(241),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(295),
    1,
    sym_identifier,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2026),
    1,
    anon_sym_Object,
    STATE(374),
    1,
    sym_comment,
    STATE(788),
    1,
    sym_scoped_name,
    STATE(856),
    1,
    sym_interface_type,
    [17067] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    STATE(375),
    1,
    sym_comment,
    ACTIONS(1438),
    5,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [17084] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2130),
    1,
    sym_identifier,
    STATE(376),
    1,
    sym_comment,
    STATE(479),
    1,
    sym_declarator,
    STATE(854),
    1,
    sym_declarators,
    STATE(498),
    2,
    sym_simple_declarator,
    sym_array_declarator,
    [17107] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2156),
    1,
    anon_sym_COLON_COLON,
    STATE(377),
    1,
    sym_comment,
    ACTIONS(1874),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [17126] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2123),
    1,
    anon_sym_bitfield,
    ACTIONS(2158),
    1,
    anon_sym_RBRACE,
    STATE(378),
    1,
    sym_comment,
    STATE(382),
    1,
    aux_sym_bitset_dcl_repeat1,
    STATE(590),
    1,
    sym_bitfield_spec,
    STATE(721),
    1,
    sym_bitfield,
    [17151] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2130),
    1,
    sym_identifier,
    STATE(379),
    1,
    sym_comment,
    STATE(677),
    1,
    sym_any_declarator,
    STATE(1019),
    1,
    sym_any_declarators,
    STATE(752),
    2,
    sym_simple_declarator,
    sym_array_declarator,
    [17174] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2123),
    1,
    anon_sym_bitfield,
    ACTIONS(2160),
    1,
    anon_sym_RBRACE,
    STATE(361),
    1,
    aux_sym_bitset_dcl_repeat1,
    STATE(380),
    1,
    sym_comment,
    STATE(590),
    1,
    sym_bitfield_spec,
    STATE(721),
    1,
    sym_bitfield,
    [17199] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(241),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(295),
    1,
    sym_identifier,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2026),
    1,
    anon_sym_Object,
    STATE(381),
    1,
    sym_comment,
    STATE(788),
    1,
    sym_scoped_name,
    STATE(901),
    1,
    sym_interface_type,
    [17224] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2123),
    1,
    anon_sym_bitfield,
    ACTIONS(2162),
    1,
    anon_sym_RBRACE,
    STATE(361),
    1,
    aux_sym_bitset_dcl_repeat1,
    STATE(382),
    1,
    sym_comment,
    STATE(590),
    1,
    sym_bitfield_spec,
    STATE(721),
    1,
    sym_bitfield,
    [17249] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(383),
    1,
    sym_comment,
    ACTIONS(1440),
    5,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [17266] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2057),
    1,
    anon_sym_ATdefault_literal,
    ACTIONS(2059),
    1,
    sym_identifier,
    STATE(384),
    1,
    sym_comment,
    STATE(417),
    1,
    aux_sym_enumerator_repeat1,
    STATE(759),
    1,
    sym_enumerator,
    STATE(782),
    1,
    sym_enum_modifier,
    [17291] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(385),
    1,
    sym_comment,
    ACTIONS(1420),
    5,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [17308] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2130),
    1,
    sym_identifier,
    STATE(386),
    1,
    sym_comment,
    STATE(479),
    1,
    sym_declarator,
    STATE(503),
    1,
    sym_declarators,
    STATE(498),
    2,
    sym_simple_declarator,
    sym_array_declarator,
    [17331] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(387),
    1,
    sym_comment,
    ACTIONS(1424),
    5,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [17348] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(388),
    1,
    sym_comment,
    ACTIONS(2164),
    5,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    sym_identifier,
    [17365] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(389),
    1,
    sym_comment,
    ACTIONS(2166),
    4,
    anon_sym_COMMA,
    anon_sym_SEMI,
    anon_sym_default,
    anon_sym_LBRACK,
    [17381] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2168),
    1,
    anon_sym_RPAREN,
    STATE(390),
    1,
    sym_comment,
    STATE(841),
    1,
    sym_autoid_kind,
    ACTIONS(2170),
    2,
    anon_sym_SEQUENTIAL,
    anon_sym_HASH,
    [17401] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(391),
    1,
    sym_comment,
    ACTIONS(2172),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [17417] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(890),
    1,
    anon_sym_DQUOTE,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1752),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(1770),
    1,
    anon_sym_L,
    STATE(392),
    1,
    sym_comment,
    STATE(1016),
    1,
    sym_string_literal,
    [17439] = 7,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2174),
    1,
    sym_escape_sequence,
    ACTIONS(2176),
    1,
    anon_sym_DQUOTE,
    ACTIONS(2178),
    1,
    aux_sym_string_literal_token1,
    STATE(393),
    1,
    sym_comment,
    STATE(400),
    1,
    aux_sym_string_literal_repeat1,
    [17461] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2180),
    1,
    anon_sym_RPAREN,
    STATE(394),
    1,
    sym_comment,
    STATE(1090),
    1,
    sym_boolean_literal,
    ACTIONS(1908),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [17481] = 7,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2174),
    1,
    sym_escape_sequence,
    ACTIONS(2176),
    1,
    anon_sym_DQUOTE,
    ACTIONS(2178),
    1,
    aux_sym_string_literal_token1,
    STATE(395),
    1,
    sym_comment,
    STATE(465),
    1,
    aux_sym_string_literal_repeat1,
    [17503] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2182),
    1,
    anon_sym_ATdefault_literal,
    ACTIONS(2185),
    1,
    sym_identifier,
    STATE(782),
    1,
    sym_enum_modifier,
    STATE(396),
    2,
    sym_comment,
    aux_sym_enumerator_repeat1,
    [17523] = 7,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2174),
    1,
    sym_escape_sequence,
    ACTIONS(2178),
    1,
    aux_sym_string_literal_token1,
    ACTIONS(2187),
    1,
    anon_sym_DQUOTE,
    STATE(393),
    1,
    aux_sym_string_literal_repeat1,
    STATE(397),
    1,
    sym_comment,
    [17545] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2130),
    1,
    sym_identifier,
    STATE(398),
    1,
    sym_comment,
    STATE(863),
    1,
    sym_declarator,
    STATE(498),
    2,
    sym_simple_declarator,
    sym_array_declarator,
    [17565] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2189),
    1,
    anon_sym_RPAREN,
    STATE(399),
    1,
    sym_comment,
    STATE(1120),
    1,
    sym_autoid_kind,
    ACTIONS(2170),
    2,
    anon_sym_SEQUENTIAL,
    anon_sym_HASH,
    [17585] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2191),
    1,
    sym_escape_sequence,
    ACTIONS(2194),
    1,
    anon_sym_DQUOTE,
    ACTIONS(2196),
    1,
    aux_sym_string_literal_token1,
    STATE(400),
    2,
    sym_comment,
    aux_sym_string_literal_repeat1,
    [17605] = 7,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2174),
    1,
    sym_escape_sequence,
    ACTIONS(2178),
    1,
    aux_sym_string_literal_token1,
    ACTIONS(2199),
    1,
    anon_sym_DQUOTE,
    STATE(400),
    1,
    aux_sym_string_literal_repeat1,
    STATE(401),
    1,
    sym_comment,
    [17627] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(402),
    1,
    sym_comment,
    ACTIONS(2201),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [17643] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(880),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2203),
    1,
    sym_identifier,
    STATE(403),
    1,
    sym_comment,
    STATE(404),
    1,
    sym_scoped_name,
    STATE(411),
    1,
    sym_value_name,
    [17665] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1752),
    1,
    anon_sym_COLON_COLON,
    STATE(404),
    1,
    sym_comment,
    ACTIONS(2205),
    3,
    anon_sym_COMMA,
    anon_sym_LBRACE,
    anon_sym_supports,
    [17683] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2207),
    1,
    anon_sym_COMMA,
    ACTIONS(2209),
    1,
    anon_sym_LBRACE,
    ACTIONS(2211),
    1,
    anon_sym_supports,
    STATE(405),
    1,
    sym_comment,
    STATE(407),
    1,
    aux_sym_value_inheritance_spec_repeat1,
    [17705] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2156),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2213),
    1,
    anon_sym_COMMA,
    ACTIONS(2215),
    1,
    anon_sym_RPAREN,
    STATE(406),
    1,
    sym_comment,
    STATE(544),
    1,
    aux_sym_raises_expr_repeat1,
    [17727] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2207),
    1,
    anon_sym_COMMA,
    ACTIONS(2217),
    1,
    anon_sym_LBRACE,
    ACTIONS(2219),
    1,
    anon_sym_supports,
    STATE(407),
    1,
    sym_comment,
    STATE(452),
    1,
    aux_sym_value_inheritance_spec_repeat1,
    [17749] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(241),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2221),
    1,
    sym_identifier,
    STATE(408),
    1,
    sym_comment,
    STATE(564),
    1,
    sym_scoped_name,
    STATE(665),
    1,
    sym_interface_name,
    [17771] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(880),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2203),
    1,
    sym_identifier,
    STATE(404),
    1,
    sym_scoped_name,
    STATE(409),
    1,
    sym_comment,
    STATE(664),
    1,
    sym_value_name,
    [17793] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2223),
    1,
    anon_sym_LBRACE,
    ACTIONS(2225),
    1,
    anon_sym_COLON,
    ACTIONS(2227),
    1,
    anon_sym_SEMI,
    STATE(410),
    1,
    sym_comment,
    STATE(1012),
    1,
    sym_interface_inheritance_spec,
    [17815] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2207),
    1,
    anon_sym_COMMA,
    ACTIONS(2217),
    1,
    anon_sym_LBRACE,
    ACTIONS(2219),
    1,
    anon_sym_supports,
    STATE(411),
    1,
    sym_comment,
    STATE(451),
    1,
    aux_sym_value_inheritance_spec_repeat1,
    [17837] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(241),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2221),
    1,
    sym_identifier,
    STATE(412),
    1,
    sym_comment,
    STATE(564),
    1,
    sym_scoped_name,
    STATE(747),
    1,
    sym_interface_name,
    [17859] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(890),
    1,
    anon_sym_DQUOTE,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1770),
    1,
    anon_sym_L,
    ACTIONS(2229),
    1,
    anon_sym_RPAREN,
    STATE(413),
    1,
    sym_comment,
    STATE(697),
    1,
    sym_string_literal,
    [17881] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2231),
    1,
    anon_sym_LPAREN,
    STATE(414),
    1,
    sym_comment,
    ACTIONS(1392),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [17899] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1752),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2233),
    1,
    anon_sym_COMMA,
    ACTIONS(2235),
    1,
    anon_sym_manages,
    STATE(415),
    1,
    sym_comment,
    STATE(577),
    1,
    aux_sym_raises_expr_repeat1,
    [17921] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2237),
    1,
    anon_sym_LPAREN,
    STATE(416),
    1,
    sym_comment,
    ACTIONS(1406),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [17939] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2057),
    1,
    anon_sym_ATdefault_literal,
    ACTIONS(2239),
    1,
    sym_identifier,
    STATE(396),
    1,
    aux_sym_enumerator_repeat1,
    STATE(417),
    1,
    sym_comment,
    STATE(782),
    1,
    sym_enum_modifier,
    [17961] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2241),
    1,
    anon_sym_RPAREN,
    ACTIONS(2243),
    1,
    anon_sym_in,
    STATE(418),
    1,
    sym_comment,
    STATE(707),
    1,
    sym_init_param_dcl,
    STATE(1213),
    1,
    sym_init_param_dcls,
    [17983] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2156),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2213),
    1,
    anon_sym_COMMA,
    ACTIONS(2245),
    1,
    anon_sym_RPAREN,
    STATE(419),
    1,
    sym_comment,
    STATE(562),
    1,
    aux_sym_raises_expr_repeat1,
    [18005] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2247),
    1,
    anon_sym_LPAREN,
    STATE(420),
    1,
    sym_comment,
    ACTIONS(1428),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [18023] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(421),
    1,
    sym_comment,
    STATE(1067),
    1,
    sym_service_platform,
    ACTIONS(2249),
    3,
    anon_sym_STAR,
    anon_sym_CORBA,
    anon_sym_DDS,
    [18041] = 7,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2174),
    1,
    sym_escape_sequence,
    ACTIONS(2178),
    1,
    aux_sym_string_literal_token1,
    ACTIONS(2251),
    1,
    anon_sym_DQUOTE,
    STATE(422),
    1,
    sym_comment,
    STATE(439),
    1,
    aux_sym_string_literal_repeat1,
    [18063] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2253),
    1,
    anon_sym_LPAREN,
    STATE(423),
    1,
    sym_comment,
    ACTIONS(1434),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [18081] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2255),
    1,
    anon_sym_LPAREN,
    STATE(424),
    1,
    sym_comment,
    ACTIONS(1444),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [18099] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2130),
    1,
    sym_identifier,
    STATE(425),
    1,
    sym_comment,
    STATE(839),
    1,
    sym_any_declarator,
    STATE(752),
    2,
    sym_simple_declarator,
    sym_array_declarator,
    [18119] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2257),
    1,
    anon_sym_LPAREN,
    STATE(426),
    1,
    sym_comment,
    ACTIONS(1450),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [18137] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2259),
    1,
    anon_sym_LPAREN,
    STATE(427),
    1,
    sym_comment,
    ACTIONS(1456),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [18155] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2156),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2213),
    1,
    anon_sym_COMMA,
    ACTIONS(2235),
    1,
    anon_sym_LBRACE,
    STATE(428),
    1,
    sym_comment,
    STATE(581),
    1,
    aux_sym_raises_expr_repeat1,
    [18177] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2261),
    1,
    anon_sym_LPAREN,
    STATE(429),
    1,
    sym_comment,
    ACTIONS(1462),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [18195] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2263),
    1,
    anon_sym_RPAREN,
    ACTIONS(2265),
    1,
    anon_sym_in,
    STATE(430),
    1,
    sym_comment,
    STATE(711),
    1,
    sym_factory_param_dcl,
    STATE(1261),
    1,
    sym_factory_param_dcls,
    [18217] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1752),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2267),
    1,
    anon_sym_LBRACE,
    ACTIONS(2269),
    1,
    anon_sym_primarykey,
    STATE(431),
    1,
    sym_comment,
    STATE(846),
    1,
    sym_primary_key_spec,
    [18239] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_in,
    ACTIONS(2271),
    1,
    anon_sym_RPAREN,
    STATE(432),
    1,
    sym_comment,
    STATE(707),
    1,
    sym_init_param_dcl,
    STATE(992),
    1,
    sym_init_param_dcls,
    [18261] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2273),
    1,
    anon_sym_LBRACE,
    ACTIONS(2275),
    1,
    anon_sym_COLON,
    STATE(433),
    1,
    sym_comment,
    ACTIONS(2277),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [18281] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2279),
    1,
    anon_sym_LPAREN,
    STATE(434),
    1,
    sym_comment,
    ACTIONS(1468),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [18299] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2130),
    1,
    sym_identifier,
    STATE(435),
    1,
    sym_comment,
    STATE(715),
    1,
    sym_declarator,
    STATE(498),
    2,
    sym_simple_declarator,
    sym_array_declarator,
    [18319] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2281),
    1,
    anon_sym_COMMA,
    STATE(436),
    1,
    sym_comment,
    STATE(488),
    1,
    aux_sym_declarators_repeat1,
    ACTIONS(2283),
    2,
    anon_sym_SEMI,
    anon_sym_default,
    [18339] = 7,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2174),
    1,
    sym_escape_sequence,
    ACTIONS(2178),
    1,
    aux_sym_string_literal_token1,
    ACTIONS(2285),
    1,
    anon_sym_DQUOTE,
    STATE(401),
    1,
    aux_sym_string_literal_repeat1,
    STATE(437),
    1,
    sym_comment,
    [18361] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(438),
    1,
    sym_comment,
    STATE(1103),
    1,
    sym_service_platform,
    ACTIONS(2249),
    3,
    anon_sym_STAR,
    anon_sym_CORBA,
    anon_sym_DDS,
    [18379] = 7,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2174),
    1,
    sym_escape_sequence,
    ACTIONS(2178),
    1,
    aux_sym_string_literal_token1,
    ACTIONS(2285),
    1,
    anon_sym_DQUOTE,
    STATE(400),
    1,
    aux_sym_string_literal_repeat1,
    STATE(439),
    1,
    sym_comment,
    [18401] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(890),
    1,
    anon_sym_DQUOTE,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1752),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(1770),
    1,
    anon_sym_L,
    STATE(440),
    1,
    sym_comment,
    STATE(1017),
    1,
    sym_string_literal,
    [18423] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2289),
    1,
    anon_sym_SQUOTE,
    STATE(441),
    1,
    sym_comment,
    STATE(443),
    1,
    aux_sym_char_literal_repeat1,
    ACTIONS(2287),
    2,
    sym_escape_sequence,
    aux_sym_char_literal_token1,
    [18443] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(442),
    1,
    sym_comment,
    ACTIONS(2291),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [18459] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2296),
    1,
    anon_sym_SQUOTE,
    ACTIONS(2293),
    2,
    sym_escape_sequence,
    aux_sym_char_literal_token1,
    STATE(443),
    2,
    sym_comment,
    aux_sym_char_literal_repeat1,
    [18477] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(444),
    1,
    sym_comment,
    STATE(957),
    1,
    sym_extensibility_kind,
    ACTIONS(2298),
    3,
    anon_sym_FINAL,
    anon_sym_APPENDABLE,
    anon_sym_MUTABLE,
    [18495] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(445),
    1,
    sym_comment,
    STATE(1124),
    1,
    sym_extensibility_kind,
    ACTIONS(2298),
    3,
    anon_sym_FINAL,
    anon_sym_APPENDABLE,
    anon_sym_MUTABLE,
    [18513] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(241),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2221),
    1,
    sym_identifier,
    STATE(446),
    1,
    sym_comment,
    STATE(524),
    1,
    sym_interface_name,
    STATE(564),
    1,
    sym_scoped_name,
    [18535] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2300),
    1,
    anon_sym_RPAREN,
    STATE(447),
    1,
    sym_comment,
    STATE(1121),
    1,
    sym_boolean_literal,
    ACTIONS(1908),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [18555] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(448),
    1,
    sym_comment,
    ACTIONS(2302),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [18571] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2154),
    1,
    anon_sym_raises,
    STATE(449),
    1,
    sym_comment,
    STATE(824),
    1,
    sym_raises_expr,
    ACTIONS(2304),
    2,
    anon_sym_SEMI,
    anon_sym_context,
    [18591] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(241),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2221),
    1,
    sym_identifier,
    STATE(450),
    1,
    sym_comment,
    STATE(564),
    1,
    sym_scoped_name,
    STATE(686),
    1,
    sym_interface_name,
    [18613] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2207),
    1,
    anon_sym_COMMA,
    ACTIONS(2306),
    1,
    anon_sym_LBRACE,
    ACTIONS(2308),
    1,
    anon_sym_supports,
    STATE(451),
    1,
    sym_comment,
    STATE(452),
    1,
    aux_sym_value_inheritance_spec_repeat1,
    [18635] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2310),
    1,
    anon_sym_COMMA,
    ACTIONS(2313),
    2,
    anon_sym_LBRACE,
    anon_sym_supports,
    STATE(452),
    2,
    sym_comment,
    aux_sym_value_inheritance_spec_repeat1,
    [18653] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(453),
    1,
    sym_comment,
    ACTIONS(2315),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [18669] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(454),
    1,
    sym_comment,
    ACTIONS(2317),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [18685] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(455),
    1,
    sym_comment,
    ACTIONS(2319),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [18701] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2321),
    1,
    anon_sym_RPAREN,
    STATE(456),
    1,
    sym_comment,
    STATE(1054),
    1,
    sym_boolean_literal,
    ACTIONS(1908),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [18721] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(457),
    1,
    sym_comment,
    ACTIONS(2323),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [18737] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(458),
    1,
    sym_comment,
    ACTIONS(2325),
    4,
    anon_sym_COMMA,
    anon_sym_SEMI,
    anon_sym_default,
    anon_sym_LBRACK,
    [18753] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(459),
    1,
    sym_comment,
    ACTIONS(2327),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [18769] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2156),
    1,
    anon_sym_COLON_COLON,
    STATE(460),
    1,
    sym_comment,
    ACTIONS(2329),
    3,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_LBRACE,
    [18787] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2331),
    1,
    anon_sym_COMMA,
    ACTIONS(2329),
    2,
    anon_sym_RPAREN,
    anon_sym_LBRACE,
    STATE(461),
    2,
    sym_comment,
    aux_sym_raises_expr_repeat1,
    [18805] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1752),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2269),
    1,
    anon_sym_primarykey,
    ACTIONS(2334),
    1,
    anon_sym_LBRACE,
    STATE(462),
    1,
    sym_comment,
    STATE(984),
    1,
    sym_primary_key_spec,
    [18827] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(241),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2221),
    1,
    sym_identifier,
    STATE(463),
    1,
    sym_comment,
    STATE(564),
    1,
    sym_scoped_name,
    STATE(620),
    1,
    sym_interface_name,
    [18849] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1752),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2269),
    1,
    anon_sym_primarykey,
    ACTIONS(2336),
    1,
    anon_sym_LBRACE,
    STATE(464),
    1,
    sym_comment,
    STATE(1040),
    1,
    sym_primary_key_spec,
    [18871] = 7,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2174),
    1,
    sym_escape_sequence,
    ACTIONS(2178),
    1,
    aux_sym_string_literal_token1,
    ACTIONS(2338),
    1,
    anon_sym_DQUOTE,
    STATE(400),
    1,
    aux_sym_string_literal_repeat1,
    STATE(465),
    1,
    sym_comment,
    [18893] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(466),
    1,
    sym_comment,
    STATE(1093),
    1,
    sym_extensibility_kind,
    ACTIONS(2298),
    3,
    anon_sym_FINAL,
    anon_sym_APPENDABLE,
    anon_sym_MUTABLE,
    [18911] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(241),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2221),
    1,
    sym_identifier,
    STATE(467),
    1,
    sym_comment,
    STATE(564),
    1,
    sym_scoped_name,
    STATE(928),
    1,
    sym_interface_name,
    [18933] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(468),
    1,
    sym_comment,
    ACTIONS(2340),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [18949] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2342),
    1,
    anon_sym_LPAREN,
    STATE(469),
    1,
    sym_comment,
    ACTIONS(1466),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [18967] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2344),
    1,
    anon_sym_RPAREN,
    STATE(470),
    1,
    sym_comment,
    STATE(962),
    1,
    sym_autoid_kind,
    ACTIONS(2170),
    2,
    anon_sym_SEQUENTIAL,
    anon_sym_HASH,
    [18987] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2346),
    1,
    anon_sym_RPAREN,
    STATE(471),
    1,
    sym_comment,
    STATE(935),
    1,
    sym_boolean_literal,
    ACTIONS(1908),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [19007] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2348),
    1,
    anon_sym_LPAREN,
    STATE(472),
    1,
    sym_comment,
    ACTIONS(1460),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [19025] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(473),
    1,
    sym_comment,
    ACTIONS(2350),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [19041] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2352),
    1,
    anon_sym_RPAREN,
    ACTIONS(2354),
    1,
    anon_sym_in,
    STATE(474),
    1,
    sym_comment,
    STATE(659),
    1,
    sym_in_param_dcl,
    STATE(969),
    1,
    sym_in_parameter_dcls,
    [19063] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2154),
    1,
    anon_sym_raises,
    STATE(475),
    1,
    sym_comment,
    STATE(771),
    1,
    sym_raises_expr,
    ACTIONS(2356),
    2,
    anon_sym_SEMI,
    anon_sym_context,
    [19083] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2358),
    1,
    anon_sym_LPAREN,
    STATE(476),
    1,
    sym_comment,
    ACTIONS(1454),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [19101] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2360),
    1,
    anon_sym_LPAREN,
    STATE(477),
    1,
    sym_comment,
    ACTIONS(1448),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [19119] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2362),
    1,
    anon_sym_LPAREN,
    STATE(478),
    1,
    sym_comment,
    ACTIONS(1442),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [19137] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2281),
    1,
    anon_sym_COMMA,
    STATE(436),
    1,
    aux_sym_declarators_repeat1,
    STATE(479),
    1,
    sym_comment,
    ACTIONS(2364),
    2,
    anon_sym_SEMI,
    anon_sym_default,
    [19157] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(480),
    1,
    sym_comment,
    STATE(1057),
    1,
    sym_extensibility_kind,
    ACTIONS(2298),
    3,
    anon_sym_FINAL,
    anon_sym_APPENDABLE,
    anon_sym_MUTABLE,
    [19175] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(481),
    1,
    sym_comment,
    ACTIONS(1874),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [19191] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2366),
    1,
    anon_sym_LPAREN,
    STATE(482),
    1,
    sym_comment,
    ACTIONS(1432),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [19209] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2368),
    1,
    anon_sym_LPAREN,
    STATE(483),
    1,
    sym_comment,
    ACTIONS(1426),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [19227] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(484),
    1,
    sym_comment,
    STATE(940),
    1,
    sym_service_platform,
    ACTIONS(2249),
    3,
    anon_sym_STAR,
    anon_sym_CORBA,
    anon_sym_DDS,
    [19245] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(485),
    1,
    sym_comment,
    STATE(1134),
    1,
    sym_service_platform,
    ACTIONS(2249),
    3,
    anon_sym_STAR,
    anon_sym_CORBA,
    anon_sym_DDS,
    [19263] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(486),
    1,
    sym_comment,
    ACTIONS(2370),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [19279] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2372),
    1,
    anon_sym_RPAREN,
    STATE(487),
    1,
    sym_comment,
    STATE(1089),
    1,
    sym_autoid_kind,
    ACTIONS(2170),
    2,
    anon_sym_SEQUENTIAL,
    anon_sym_HASH,
    [19299] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2374),
    1,
    anon_sym_COMMA,
    ACTIONS(2377),
    2,
    anon_sym_SEMI,
    anon_sym_default,
    STATE(488),
    2,
    sym_comment,
    aux_sym_declarators_repeat1,
    [19317] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2379),
    1,
    anon_sym_LPAREN,
    STATE(489),
    1,
    sym_comment,
    ACTIONS(1404),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [19335] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2381),
    1,
    anon_sym_LPAREN,
    STATE(490),
    1,
    sym_comment,
    ACTIONS(1390),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [19353] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2383),
    1,
    anon_sym_SQUOTE,
    STATE(443),
    1,
    aux_sym_char_literal_repeat1,
    STATE(491),
    1,
    sym_comment,
    ACTIONS(2287),
    2,
    sym_escape_sequence,
    aux_sym_char_literal_token1,
    [19373] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    STATE(492),
    1,
    sym_comment,
    ACTIONS(1498),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [19388] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(890),
    1,
    anon_sym_DQUOTE,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1770),
    1,
    anon_sym_L,
    STATE(493),
    1,
    sym_comment,
    STATE(1062),
    1,
    sym_string_literal,
    [19407] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    STATE(494),
    1,
    sym_comment,
    ACTIONS(1614),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [19422] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    STATE(495),
    1,
    sym_comment,
    ACTIONS(1550),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [19437] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2385),
    1,
    anon_sym_SEMI,
    ACTIONS(2387),
    1,
    sym_identifier,
    STATE(496),
    1,
    sym_comment,
    STATE(628),
    1,
    aux_sym_bitfield_repeat1,
    [19456] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    STATE(497),
    1,
    sym_comment,
    ACTIONS(1510),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [19471] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(498),
    1,
    sym_comment,
    ACTIONS(2389),
    3,
    anon_sym_COMMA,
    anon_sym_SEMI,
    anon_sym_default,
    [19486] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(241),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2221),
    1,
    sym_identifier,
    STATE(499),
    1,
    sym_comment,
    STATE(811),
    1,
    sym_scoped_name,
    [19505] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(500),
    1,
    sym_comment,
    STATE(1058),
    1,
    sym_boolean_literal,
    ACTIONS(1908),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [19522] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(501),
    1,
    sym_comment,
    STATE(1059),
    1,
    sym_boolean_literal,
    ACTIONS(1908),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [19539] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2391),
    1,
    anon_sym_COMMA,
    ACTIONS(2393),
    1,
    anon_sym_RBRACE,
    STATE(502),
    1,
    sym_comment,
    STATE(633),
    1,
    aux_sym_bitmask_dcl_repeat1,
    [19558] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2395),
    1,
    anon_sym_SEMI,
    ACTIONS(2397),
    1,
    anon_sym_default,
    STATE(503),
    1,
    sym_comment,
    STATE(876),
    1,
    sym_default,
    [19577] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    STATE(504),
    1,
    sym_comment,
    ACTIONS(1514),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [19592] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(505),
    1,
    sym_comment,
    STATE(1064),
    1,
    sym_boolean_literal,
    ACTIONS(1908),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [19609] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    STATE(506),
    1,
    sym_comment,
    ACTIONS(1502),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [19624] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(507),
    1,
    sym_comment,
    STATE(1065),
    1,
    sym_boolean_literal,
    ACTIONS(1908),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [19641] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    STATE(441),
    1,
    aux_sym_char_literal_repeat1,
    STATE(508),
    1,
    sym_comment,
    ACTIONS(2287),
    2,
    sym_escape_sequence,
    aux_sym_char_literal_token1,
    [19658] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    STATE(509),
    1,
    sym_comment,
    ACTIONS(2399),
    3,
    sym_escape_sequence,
    anon_sym_SQUOTE,
    aux_sym_char_literal_token1,
    [19673] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    STATE(510),
    1,
    sym_comment,
    ACTIONS(1630),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [19688] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    STATE(511),
    1,
    sym_comment,
    ACTIONS(1634),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [19703] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    STATE(512),
    1,
    sym_comment,
    ACTIONS(1506),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [19718] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    STATE(513),
    1,
    sym_comment,
    ACTIONS(1642),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [19733] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    STATE(514),
    1,
    sym_comment,
    ACTIONS(1490),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [19748] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    STATE(515),
    1,
    sym_comment,
    ACTIONS(1494),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [19763] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(516),
    1,
    sym_comment,
    ACTIONS(1608),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [19778] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1950),
    1,
    anon_sym_RBRACE,
    ACTIONS(2391),
    1,
    anon_sym_COMMA,
    STATE(502),
    1,
    aux_sym_bitmask_dcl_repeat1,
    STATE(517),
    1,
    sym_comment,
    [19797] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    STATE(518),
    1,
    sym_comment,
    ACTIONS(1482),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [19812] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    STATE(519),
    1,
    sym_comment,
    ACTIONS(1518),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [19827] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    STATE(520),
    1,
    sym_comment,
    ACTIONS(1522),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [19842] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2401),
    1,
    anon_sym_GT,
    ACTIONS(2403),
    1,
    anon_sym_COMMA,
    STATE(521),
    2,
    sym_comment,
    aux_sym_formal_parameter_names_repeat1,
    [19859] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    STATE(522),
    1,
    sym_comment,
    ACTIONS(1526),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [19874] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2406),
    1,
    sym_identifier,
    STATE(299),
    1,
    sym_simple_declarator,
    STATE(523),
    1,
    sym_comment,
    STATE(922),
    1,
    sym_attr_declarator,
    [19893] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2408),
    1,
    anon_sym_COMMA,
    ACTIONS(2410),
    1,
    anon_sym_LBRACE,
    STATE(524),
    1,
    sym_comment,
    STATE(592),
    1,
    aux_sym_interface_inheritance_spec_repeat1,
    [19912] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    STATE(525),
    1,
    sym_comment,
    ACTIONS(1530),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [19927] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    STATE(526),
    1,
    sym_comment,
    ACTIONS(1534),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [19942] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    STATE(527),
    1,
    sym_comment,
    ACTIONS(1538),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [19957] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    STATE(528),
    1,
    sym_comment,
    ACTIONS(1542),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [19972] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(880),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2203),
    1,
    sym_identifier,
    STATE(464),
    1,
    sym_scoped_name,
    STATE(529),
    1,
    sym_comment,
    [19991] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(890),
    1,
    anon_sym_DQUOTE,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1770),
    1,
    anon_sym_L,
    STATE(530),
    1,
    sym_comment,
    STATE(925),
    1,
    sym_string_literal,
    [20010] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1752),
    1,
    anon_sym_COLON_COLON,
    STATE(531),
    1,
    sym_comment,
    ACTIONS(2412),
    2,
    anon_sym_supports,
    anon_sym_manages,
    [20027] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    STATE(532),
    1,
    sym_comment,
    ACTIONS(1546),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [20042] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1752),
    1,
    anon_sym_COLON_COLON,
    STATE(533),
    1,
    sym_comment,
    ACTIONS(2414),
    2,
    anon_sym_LBRACE,
    anon_sym_supports,
    [20059] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2416),
    1,
    anon_sym_GT,
    ACTIONS(2418),
    1,
    anon_sym_COMMA,
    STATE(521),
    1,
    aux_sym_formal_parameter_names_repeat1,
    STATE(534),
    1,
    sym_comment,
    [20078] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2420),
    1,
    anon_sym_COMMA,
    ACTIONS(2422),
    1,
    anon_sym_SEMI,
    STATE(535),
    1,
    sym_comment,
    STATE(579),
    1,
    aux_sym_any_declarators_repeat1,
    [20097] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    STATE(536),
    1,
    sym_comment,
    ACTIONS(1554),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [20112] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    STATE(537),
    1,
    sym_comment,
    ACTIONS(1558),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [20127] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(538),
    1,
    sym_comment,
    STATE(1068),
    1,
    sym_boolean_literal,
    ACTIONS(1908),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [20144] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(539),
    1,
    sym_comment,
    STATE(1069),
    1,
    sym_boolean_literal,
    ACTIONS(1908),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [20161] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    STATE(540),
    1,
    sym_comment,
    ACTIONS(1562),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [20176] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    STATE(541),
    1,
    sym_comment,
    ACTIONS(1574),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [20191] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(542),
    1,
    sym_comment,
    ACTIONS(2424),
    3,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    [20206] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    STATE(543),
    1,
    sym_comment,
    ACTIONS(1578),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [20221] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2213),
    1,
    anon_sym_COMMA,
    ACTIONS(2426),
    1,
    anon_sym_RPAREN,
    STATE(461),
    1,
    aux_sym_raises_expr_repeat1,
    STATE(544),
    1,
    sym_comment,
    [20240] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2428),
    1,
    anon_sym_COMMA,
    ACTIONS(2430),
    1,
    anon_sym_RPAREN,
    STATE(545),
    1,
    sym_comment,
    STATE(655),
    1,
    aux_sym_annotation_appl_params_repeat1,
    [20259] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(546),
    1,
    sym_comment,
    ACTIONS(2432),
    3,
    anon_sym_RBRACE,
    anon_sym_default,
    anon_sym_case,
    [20274] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    STATE(547),
    1,
    sym_comment,
    ACTIONS(1582),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [20289] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2065),
    1,
    anon_sym_RBRACE,
    ACTIONS(2434),
    1,
    anon_sym_COMMA,
    STATE(548),
    1,
    sym_comment,
    STATE(567),
    1,
    aux_sym_enum_dcl_repeat1,
    [20308] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2436),
    1,
    anon_sym_GT,
    ACTIONS(2438),
    1,
    anon_sym_COMMA,
    STATE(549),
    1,
    sym_comment,
    STATE(658),
    1,
    aux_sym_formal_parameters_repeat1,
    [20327] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2418),
    1,
    anon_sym_COMMA,
    ACTIONS(2440),
    1,
    anon_sym_GT,
    STATE(534),
    1,
    aux_sym_formal_parameter_names_repeat1,
    STATE(550),
    1,
    sym_comment,
    [20346] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    STATE(551),
    1,
    sym_comment,
    ACTIONS(1586),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [20361] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    STATE(552),
    1,
    sym_comment,
    ACTIONS(1590),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [20376] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(890),
    1,
    anon_sym_DQUOTE,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1770),
    1,
    anon_sym_L,
    STATE(553),
    1,
    sym_comment,
    STATE(1075),
    1,
    sym_string_literal,
    [20395] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1752),
    1,
    anon_sym_COLON_COLON,
    STATE(554),
    1,
    sym_comment,
    ACTIONS(2329),
    2,
    anon_sym_COMMA,
    anon_sym_manages,
    [20412] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2442),
    1,
    anon_sym_GT,
    ACTIONS(2444),
    1,
    anon_sym_COMMA,
    STATE(555),
    1,
    sym_comment,
    STATE(661),
    1,
    aux_sym_actual_parameters_repeat1,
    [20431] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    STATE(556),
    1,
    sym_comment,
    ACTIONS(1594),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [20446] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    STATE(557),
    1,
    sym_comment,
    ACTIONS(1602),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [20461] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    STATE(558),
    1,
    sym_comment,
    ACTIONS(1606),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [20476] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    STATE(559),
    1,
    sym_comment,
    ACTIONS(1610),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [20491] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2446),
    1,
    anon_sym_COMMA,
    ACTIONS(2449),
    1,
    anon_sym_RPAREN,
    STATE(560),
    2,
    sym_comment,
    aux_sym_in_parameter_dcls_repeat1,
    [20508] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(890),
    1,
    anon_sym_DQUOTE,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1770),
    1,
    anon_sym_L,
    STATE(561),
    1,
    sym_comment,
    STATE(1077),
    1,
    sym_string_literal,
    [20527] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2213),
    1,
    anon_sym_COMMA,
    ACTIONS(2451),
    1,
    anon_sym_RPAREN,
    STATE(461),
    1,
    aux_sym_raises_expr_repeat1,
    STATE(562),
    1,
    sym_comment,
    [20546] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    STATE(563),
    1,
    sym_comment,
    ACTIONS(1618),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [20561] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2156),
    1,
    anon_sym_COLON_COLON,
    STATE(564),
    1,
    sym_comment,
    ACTIONS(2453),
    2,
    anon_sym_COMMA,
    anon_sym_LBRACE,
    [20578] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2444),
    1,
    anon_sym_COMMA,
    ACTIONS(2455),
    1,
    anon_sym_GT,
    STATE(555),
    1,
    aux_sym_actual_parameters_repeat1,
    STATE(565),
    1,
    sym_comment,
    [20597] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    STATE(566),
    1,
    sym_comment,
    ACTIONS(1638),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [20612] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2434),
    1,
    anon_sym_COMMA,
    ACTIONS(2457),
    1,
    anon_sym_RBRACE,
    STATE(567),
    1,
    sym_comment,
    STATE(672),
    1,
    aux_sym_enum_dcl_repeat1,
    [20631] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    STATE(568),
    1,
    sym_comment,
    ACTIONS(1486),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [20646] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2459),
    1,
    anon_sym_SEMI,
    ACTIONS(2461),
    1,
    anon_sym_context,
    STATE(569),
    1,
    sym_comment,
    STATE(907),
    1,
    sym_context_expr,
    [20665] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2438),
    1,
    anon_sym_COMMA,
    ACTIONS(2463),
    1,
    anon_sym_GT,
    STATE(549),
    1,
    aux_sym_formal_parameters_repeat1,
    STATE(570),
    1,
    sym_comment,
    [20684] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2428),
    1,
    anon_sym_COMMA,
    ACTIONS(2465),
    1,
    anon_sym_RPAREN,
    STATE(545),
    1,
    aux_sym_annotation_appl_params_repeat1,
    STATE(571),
    1,
    sym_comment,
    [20703] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1420),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2467),
    1,
    anon_sym_LT,
    ACTIONS(2469),
    1,
    anon_sym_LBRACE,
    STATE(572),
    1,
    sym_comment,
    [20722] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2471),
    1,
    anon_sym_SEMI,
    ACTIONS(2473),
    1,
    anon_sym_switch,
    ACTIONS(2475),
    1,
    sym_identifier,
    STATE(573),
    1,
    sym_comment,
    [20741] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2329),
    1,
    anon_sym_manages,
    ACTIONS(2477),
    1,
    anon_sym_COMMA,
    STATE(574),
    2,
    sym_comment,
    aux_sym_raises_expr_repeat1,
    [20758] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(575),
    1,
    sym_comment,
    STATE(1094),
    1,
    sym_boolean_literal,
    ACTIONS(1908),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [20775] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(576),
    1,
    sym_comment,
    STATE(1095),
    1,
    sym_boolean_literal,
    ACTIONS(1908),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [20792] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2233),
    1,
    anon_sym_COMMA,
    ACTIONS(2480),
    1,
    anon_sym_manages,
    STATE(574),
    1,
    aux_sym_raises_expr_repeat1,
    STATE(577),
    1,
    sym_comment,
    [20811] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2408),
    1,
    anon_sym_COMMA,
    ACTIONS(2482),
    1,
    anon_sym_LBRACE,
    STATE(578),
    1,
    sym_comment,
    STATE(685),
    1,
    aux_sym_interface_inheritance_spec_repeat1,
    [20830] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2484),
    1,
    anon_sym_COMMA,
    ACTIONS(2487),
    1,
    anon_sym_SEMI,
    STATE(579),
    2,
    sym_comment,
    aux_sym_any_declarators_repeat1,
    [20847] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(241),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2221),
    1,
    sym_identifier,
    STATE(460),
    1,
    sym_scoped_name,
    STATE(580),
    1,
    sym_comment,
    [20866] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2213),
    1,
    anon_sym_COMMA,
    ACTIONS(2480),
    1,
    anon_sym_LBRACE,
    STATE(461),
    1,
    aux_sym_raises_expr_repeat1,
    STATE(581),
    1,
    sym_comment,
    [20885] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(241),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2221),
    1,
    sym_identifier,
    STATE(582),
    1,
    sym_comment,
    STATE(750),
    1,
    sym_scoped_name,
    [20904] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    STATE(491),
    1,
    aux_sym_char_literal_repeat1,
    STATE(583),
    1,
    sym_comment,
    ACTIONS(2287),
    2,
    sym_escape_sequence,
    aux_sym_char_literal_token1,
    [20921] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2461),
    1,
    anon_sym_context,
    ACTIONS(2489),
    1,
    anon_sym_SEMI,
    STATE(584),
    1,
    sym_comment,
    STATE(907),
    1,
    sym_context_expr,
    [20940] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(880),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2203),
    1,
    sym_identifier,
    STATE(462),
    1,
    sym_scoped_name,
    STATE(585),
    1,
    sym_comment,
    [20959] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(880),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2203),
    1,
    sym_identifier,
    STATE(415),
    1,
    sym_scoped_name,
    STATE(586),
    1,
    sym_comment,
    [20978] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2491),
    1,
    anon_sym_COMMA,
    ACTIONS(2494),
    1,
    anon_sym_RPAREN,
    STATE(587),
    2,
    sym_comment,
    aux_sym_factory_param_dcls_repeat1,
    [20995] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(880),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2203),
    1,
    sym_identifier,
    STATE(554),
    1,
    sym_scoped_name,
    STATE(588),
    1,
    sym_comment,
    [21014] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(589),
    1,
    sym_comment,
    ACTIONS(1504),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [21029] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2387),
    1,
    sym_identifier,
    ACTIONS(2496),
    1,
    anon_sym_SEMI,
    STATE(496),
    1,
    aux_sym_bitfield_repeat1,
    STATE(590),
    1,
    sym_comment,
    [21048] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2498),
    1,
    anon_sym_LBRACE,
    ACTIONS(2500),
    1,
    anon_sym_COLON,
    STATE(591),
    1,
    sym_comment,
    STATE(1013),
    1,
    sym_connector_inherit_spec,
    [21067] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2408),
    1,
    anon_sym_COMMA,
    ACTIONS(2502),
    1,
    anon_sym_LBRACE,
    STATE(592),
    1,
    sym_comment,
    STATE(685),
    1,
    aux_sym_interface_inheritance_spec_repeat1,
    [21086] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2406),
    1,
    sym_identifier,
    STATE(372),
    1,
    sym_simple_declarator,
    STATE(593),
    1,
    sym_comment,
    STATE(1043),
    1,
    sym_readonly_attr_declarator,
    [21105] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2504),
    1,
    anon_sym_COMMA,
    ACTIONS(2507),
    1,
    anon_sym_RPAREN,
    STATE(594),
    2,
    sym_comment,
    aux_sym_init_param_dcls_repeat1,
    [21122] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(595),
    1,
    sym_comment,
    STATE(956),
    1,
    sym_boolean_literal,
    ACTIONS(1908),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [21139] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(890),
    1,
    anon_sym_DQUOTE,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1770),
    1,
    anon_sym_L,
    STATE(596),
    1,
    sym_comment,
    STATE(1141),
    1,
    sym_string_literal,
    [21158] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2223),
    1,
    anon_sym_LBRACE,
    ACTIONS(2225),
    1,
    anon_sym_COLON,
    STATE(597),
    1,
    sym_comment,
    STATE(1012),
    1,
    sym_interface_inheritance_spec,
    [21177] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(598),
    1,
    sym_comment,
    ACTIONS(1516),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [21192] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2509),
    1,
    anon_sym_COMMA,
    ACTIONS(2512),
    1,
    anon_sym_RPAREN,
    STATE(599),
    2,
    sym_comment,
    aux_sym_parameter_dcls_repeat1,
    [21209] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(600),
    1,
    sym_comment,
    ACTIONS(1512),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [21224] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2434),
    1,
    anon_sym_COMMA,
    ACTIONS(2457),
    1,
    anon_sym_RBRACE,
    STATE(601),
    1,
    sym_comment,
    STATE(708),
    1,
    aux_sym_enum_dcl_repeat1,
    [21243] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2514),
    1,
    anon_sym_COMMA,
    ACTIONS(2517),
    1,
    anon_sym_RPAREN,
    STATE(602),
    2,
    sym_comment,
    aux_sym_context_expr_repeat1,
    [21260] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2519),
    1,
    anon_sym_COMMA,
    ACTIONS(2521),
    1,
    anon_sym_RPAREN,
    STATE(560),
    1,
    aux_sym_in_parameter_dcls_repeat1,
    STATE(603),
    1,
    sym_comment,
    [21279] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(604),
    1,
    sym_comment,
    ACTIONS(1552),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [21294] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(241),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2221),
    1,
    sym_identifier,
    STATE(406),
    1,
    sym_scoped_name,
    STATE(605),
    1,
    sym_comment,
    [21313] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(890),
    1,
    anon_sym_DQUOTE,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1770),
    1,
    anon_sym_L,
    STATE(606),
    1,
    sym_comment,
    STATE(1098),
    1,
    sym_string_literal,
    [21332] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(607),
    1,
    sym_comment,
    ACTIONS(1616),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [21347] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(608),
    1,
    sym_comment,
    STATE(1100),
    1,
    sym_boolean_literal,
    ACTIONS(1908),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [21364] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(609),
    1,
    sym_comment,
    ACTIONS(1632),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [21379] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(241),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2221),
    1,
    sym_identifier,
    STATE(610),
    1,
    sym_comment,
    STATE(796),
    1,
    sym_scoped_name,
    [21398] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2391),
    1,
    anon_sym_COMMA,
    ACTIONS(2393),
    1,
    anon_sym_RBRACE,
    STATE(611),
    1,
    sym_comment,
    STATE(713),
    1,
    aux_sym_bitmask_dcl_repeat1,
    [21417] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(241),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2221),
    1,
    sym_identifier,
    STATE(612),
    1,
    sym_comment,
    STATE(794),
    1,
    sym_scoped_name,
    [21436] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(613),
    1,
    sym_comment,
    ACTIONS(2523),
    3,
    anon_sym_RBRACE,
    anon_sym_default,
    anon_sym_case,
    [21451] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(241),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2221),
    1,
    sym_identifier,
    STATE(614),
    1,
    sym_comment,
    STATE(790),
    1,
    sym_scoped_name,
    [21470] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(615),
    1,
    sym_comment,
    STATE(1101),
    1,
    sym_boolean_literal,
    ACTIONS(1908),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [21487] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(241),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2221),
    1,
    sym_identifier,
    STATE(616),
    1,
    sym_comment,
    STATE(789),
    1,
    sym_scoped_name,
    [21506] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(617),
    1,
    sym_comment,
    ACTIONS(1488),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [21521] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(618),
    1,
    sym_comment,
    ACTIONS(1640),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [21536] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2527),
    1,
    aux_sym_string_literal_token1,
    STATE(619),
    1,
    sym_comment,
    ACTIONS(2525),
    2,
    sym_escape_sequence,
    anon_sym_DQUOTE,
    [21553] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2408),
    1,
    anon_sym_COMMA,
    ACTIONS(2529),
    1,
    anon_sym_LBRACE,
    STATE(578),
    1,
    aux_sym_interface_inheritance_spec_repeat1,
    STATE(620),
    1,
    sym_comment,
    [21572] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2397),
    1,
    anon_sym_default,
    ACTIONS(2531),
    1,
    anon_sym_SEMI,
    STATE(621),
    1,
    sym_comment,
    STATE(1260),
    1,
    sym_default,
    [21591] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2408),
    1,
    anon_sym_COMMA,
    ACTIONS(2529),
    1,
    anon_sym_LBRACE,
    STATE(622),
    1,
    sym_comment,
    STATE(685),
    1,
    aux_sym_interface_inheritance_spec_repeat1,
    [21610] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(623),
    1,
    sym_comment,
    STATE(1104),
    1,
    sym_boolean_literal,
    ACTIONS(1908),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [21627] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(624),
    1,
    sym_comment,
    STATE(1105),
    1,
    sym_boolean_literal,
    ACTIONS(1908),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [21644] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(625),
    1,
    sym_comment,
    ACTIONS(1636),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [21659] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(890),
    1,
    anon_sym_DQUOTE,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1770),
    1,
    anon_sym_L,
    STATE(626),
    1,
    sym_comment,
    STATE(1109),
    1,
    sym_string_literal,
    [21678] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(890),
    1,
    anon_sym_DQUOTE,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1770),
    1,
    anon_sym_L,
    STATE(627),
    1,
    sym_comment,
    STATE(1110),
    1,
    sym_string_literal,
    [21697] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2533),
    1,
    anon_sym_SEMI,
    ACTIONS(2535),
    1,
    sym_identifier,
    STATE(628),
    2,
    sym_comment,
    aux_sym_bitfield_repeat1,
    [21714] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(629),
    1,
    sym_comment,
    ACTIONS(1644),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [21729] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(630),
    1,
    sym_comment,
    ACTIONS(1620),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [21744] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(631),
    1,
    sym_comment,
    ACTIONS(1492),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [21759] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2154),
    1,
    anon_sym_raises,
    ACTIONS(2538),
    1,
    anon_sym_SEMI,
    STATE(632),
    1,
    sym_comment,
    STATE(843),
    1,
    sym_raises_expr,
    [21778] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2540),
    1,
    anon_sym_COMMA,
    ACTIONS(2543),
    1,
    anon_sym_RBRACE,
    STATE(633),
    2,
    sym_comment,
    aux_sym_bitmask_dcl_repeat1,
    [21795] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(880),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2203),
    1,
    sym_identifier,
    STATE(392),
    1,
    sym_scoped_name,
    STATE(634),
    1,
    sym_comment,
    [21814] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(880),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2203),
    1,
    sym_identifier,
    STATE(440),
    1,
    sym_scoped_name,
    STATE(635),
    1,
    sym_comment,
    [21833] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2461),
    1,
    anon_sym_context,
    ACTIONS(2545),
    1,
    anon_sym_SEMI,
    STATE(636),
    1,
    sym_comment,
    STATE(907),
    1,
    sym_context_expr,
    [21852] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(637),
    1,
    sym_comment,
    ACTIONS(1496),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [21867] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(638),
    1,
    sym_comment,
    ACTIONS(1500),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [21882] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2547),
    1,
    anon_sym_COMMA,
    ACTIONS(2549),
    1,
    anon_sym_RPAREN,
    STATE(587),
    1,
    aux_sym_factory_param_dcls_repeat1,
    STATE(639),
    1,
    sym_comment,
    [21901] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2154),
    1,
    anon_sym_raises,
    ACTIONS(2551),
    1,
    anon_sym_SEMI,
    STATE(640),
    1,
    sym_comment,
    STATE(842),
    1,
    sym_raises_expr,
    [21920] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2553),
    1,
    anon_sym_COMMA,
    ACTIONS(2555),
    1,
    anon_sym_RPAREN,
    STATE(594),
    1,
    aux_sym_init_param_dcls_repeat1,
    STATE(641),
    1,
    sym_comment,
    [21939] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2154),
    1,
    anon_sym_raises,
    ACTIONS(2557),
    1,
    anon_sym_SEMI,
    STATE(642),
    1,
    sym_comment,
    STATE(853),
    1,
    sym_raises_expr,
    [21958] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(643),
    1,
    sym_comment,
    ACTIONS(1508),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [21973] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2559),
    1,
    anon_sym_COMMA,
    ACTIONS(2561),
    1,
    anon_sym_RPAREN,
    STATE(599),
    1,
    aux_sym_parameter_dcls_repeat1,
    STATE(644),
    1,
    sym_comment,
    [21992] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(645),
    1,
    sym_comment,
    ACTIONS(1484),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [22007] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(646),
    1,
    sym_comment,
    ACTIONS(1520),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [22022] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(647),
    1,
    sym_comment,
    ACTIONS(1524),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [22037] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(648),
    1,
    sym_comment,
    ACTIONS(1528),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [22052] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(649),
    1,
    sym_comment,
    ACTIONS(1532),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [22067] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(650),
    1,
    sym_comment,
    ACTIONS(1536),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [22082] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(241),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2221),
    1,
    sym_identifier,
    STATE(651),
    1,
    sym_comment,
    STATE(786),
    1,
    sym_scoped_name,
    [22101] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(652),
    1,
    sym_comment,
    ACTIONS(1540),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [22116] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2109),
    1,
    anon_sym_supports,
    ACTIONS(2563),
    1,
    anon_sym_manages,
    STATE(653),
    1,
    sym_comment,
    STATE(914),
    1,
    sym_supported_interface_spec,
    [22135] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2565),
    1,
    anon_sym_COMMA,
    ACTIONS(2567),
    1,
    anon_sym_RPAREN,
    STATE(602),
    1,
    aux_sym_context_expr_repeat1,
    STATE(654),
    1,
    sym_comment,
    [22154] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2569),
    1,
    anon_sym_COMMA,
    ACTIONS(2572),
    1,
    anon_sym_RPAREN,
    STATE(655),
    2,
    sym_comment,
    aux_sym_annotation_appl_params_repeat1,
    [22171] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(656),
    1,
    sym_comment,
    STATE(1125),
    1,
    sym_boolean_literal,
    ACTIONS(1908),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [22188] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(890),
    1,
    anon_sym_DQUOTE,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1770),
    1,
    anon_sym_L,
    STATE(657),
    1,
    sym_comment,
    STATE(821),
    1,
    sym_string_literal,
    [22207] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2574),
    1,
    anon_sym_GT,
    ACTIONS(2576),
    1,
    anon_sym_COMMA,
    STATE(658),
    2,
    sym_comment,
    aux_sym_formal_parameters_repeat1,
    [22224] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2519),
    1,
    anon_sym_COMMA,
    ACTIONS(2579),
    1,
    anon_sym_RPAREN,
    STATE(603),
    1,
    aux_sym_in_parameter_dcls_repeat1,
    STATE(659),
    1,
    sym_comment,
    [22243] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(660),
    1,
    sym_comment,
    STATE(1126),
    1,
    sym_boolean_literal,
    ACTIONS(1908),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [22260] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2581),
    1,
    anon_sym_GT,
    ACTIONS(2583),
    1,
    anon_sym_COMMA,
    STATE(661),
    2,
    sym_comment,
    aux_sym_actual_parameters_repeat1,
    [22277] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(880),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2203),
    1,
    sym_identifier,
    STATE(431),
    1,
    sym_scoped_name,
    STATE(662),
    1,
    sym_comment,
    [22296] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(880),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2203),
    1,
    sym_identifier,
    STATE(531),
    1,
    sym_scoped_name,
    STATE(663),
    1,
    sym_comment,
    [22315] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(664),
    1,
    sym_comment,
    ACTIONS(2313),
    3,
    anon_sym_COMMA,
    anon_sym_LBRACE,
    anon_sym_supports,
    [22330] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2306),
    1,
    anon_sym_LBRACE,
    ACTIONS(2408),
    1,
    anon_sym_COMMA,
    STATE(665),
    1,
    sym_comment,
    STATE(680),
    1,
    aux_sym_interface_inheritance_spec_repeat1,
    [22349] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(666),
    1,
    sym_comment,
    ACTIONS(1544),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [22364] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2586),
    1,
    anon_sym_COMMA,
    ACTIONS(2589),
    1,
    anon_sym_SEMI,
    STATE(667),
    2,
    sym_comment,
    aux_sym_readonly_attr_declarator_repeat1,
    [22381] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2101),
    1,
    anon_sym_supports,
    ACTIONS(2591),
    1,
    anon_sym_LBRACE,
    STATE(668),
    1,
    sym_comment,
    STATE(915),
    1,
    sym_supported_interface_spec,
    [22400] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(241),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2221),
    1,
    sym_identifier,
    STATE(419),
    1,
    sym_scoped_name,
    STATE(669),
    1,
    sym_comment,
    [22419] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1958),
    1,
    anon_sym_COMMA,
    ACTIONS(2593),
    1,
    anon_sym_SEMI,
    STATE(667),
    1,
    aux_sym_readonly_attr_declarator_repeat1,
    STATE(670),
    1,
    sym_comment,
    [22438] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(241),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2221),
    1,
    sym_identifier,
    STATE(428),
    1,
    sym_scoped_name,
    STATE(671),
    1,
    sym_comment,
    [22457] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2595),
    1,
    anon_sym_COMMA,
    ACTIONS(2598),
    1,
    anon_sym_RBRACE,
    STATE(672),
    2,
    sym_comment,
    aux_sym_enum_dcl_repeat1,
    [22474] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(880),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2203),
    1,
    sym_identifier,
    STATE(533),
    1,
    sym_scoped_name,
    STATE(673),
    1,
    sym_comment,
    [22493] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(674),
    1,
    sym_comment,
    ACTIONS(1548),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [22508] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(675),
    1,
    sym_comment,
    ACTIONS(1556),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [22523] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(676),
    1,
    sym_comment,
    ACTIONS(1560),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [22538] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2420),
    1,
    anon_sym_COMMA,
    ACTIONS(2600),
    1,
    anon_sym_SEMI,
    STATE(535),
    1,
    aux_sym_any_declarators_repeat1,
    STATE(677),
    1,
    sym_comment,
    [22557] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(678),
    1,
    sym_comment,
    ACTIONS(1564),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [22572] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(241),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2221),
    1,
    sym_identifier,
    STATE(679),
    1,
    sym_comment,
    STATE(755),
    1,
    sym_scoped_name,
    [22591] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2408),
    1,
    anon_sym_COMMA,
    ACTIONS(2602),
    1,
    anon_sym_LBRACE,
    STATE(680),
    1,
    sym_comment,
    STATE(685),
    1,
    aux_sym_interface_inheritance_spec_repeat1,
    [22610] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(681),
    1,
    sym_comment,
    ACTIONS(1576),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [22625] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(682),
    1,
    sym_comment,
    ACTIONS(1580),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [22640] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(241),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2221),
    1,
    sym_identifier,
    STATE(683),
    1,
    sym_comment,
    STATE(774),
    1,
    sym_scoped_name,
    [22659] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(684),
    1,
    sym_comment,
    ACTIONS(1612),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [22674] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2604),
    1,
    anon_sym_COMMA,
    ACTIONS(2607),
    1,
    anon_sym_LBRACE,
    STATE(685),
    2,
    sym_comment,
    aux_sym_interface_inheritance_spec_repeat1,
    [22691] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2408),
    1,
    anon_sym_COMMA,
    ACTIONS(2602),
    1,
    anon_sym_LBRACE,
    STATE(622),
    1,
    aux_sym_interface_inheritance_spec_repeat1,
    STATE(686),
    1,
    sym_comment,
    [22710] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(687),
    1,
    sym_comment,
    ACTIONS(1584),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [22725] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(890),
    1,
    anon_sym_DQUOTE,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1770),
    1,
    anon_sym_L,
    STATE(688),
    1,
    sym_comment,
    STATE(1129),
    1,
    sym_string_literal,
    [22744] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(241),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2609),
    1,
    sym_identifier,
    STATE(689),
    1,
    sym_comment,
    STATE(740),
    1,
    sym_scoped_name,
    [22763] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(690),
    1,
    sym_comment,
    STATE(1131),
    1,
    sym_boolean_literal,
    ACTIONS(1908),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [22780] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(241),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2203),
    1,
    sym_identifier,
    STATE(691),
    1,
    sym_comment,
    STATE(801),
    1,
    sym_scoped_name,
    [22799] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1964),
    1,
    anon_sym_setraises,
    ACTIONS(2611),
    1,
    anon_sym_SEMI,
    STATE(692),
    1,
    sym_comment,
    STATE(973),
    1,
    sym_set_excep_expr,
    [22818] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1994),
    1,
    anon_sym_supports,
    ACTIONS(2613),
    1,
    anon_sym_LBRACE,
    STATE(693),
    1,
    sym_comment,
    STATE(927),
    1,
    sym_value_supports,
    [22837] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1958),
    1,
    anon_sym_COMMA,
    ACTIONS(2615),
    1,
    anon_sym_SEMI,
    STATE(667),
    1,
    aux_sym_readonly_attr_declarator_repeat1,
    STATE(694),
    1,
    sym_comment,
    [22856] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(695),
    1,
    sym_comment,
    ACTIONS(1588),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [22871] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(890),
    1,
    anon_sym_DQUOTE,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1770),
    1,
    anon_sym_L,
    STATE(696),
    1,
    sym_comment,
    STATE(882),
    1,
    sym_string_literal,
    [22890] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2565),
    1,
    anon_sym_COMMA,
    ACTIONS(2617),
    1,
    anon_sym_RPAREN,
    STATE(654),
    1,
    aux_sym_context_expr_repeat1,
    STATE(697),
    1,
    sym_comment,
    [22909] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(698),
    1,
    sym_comment,
    ACTIONS(1592),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [22924] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(699),
    1,
    sym_comment,
    STATE(1132),
    1,
    sym_boolean_literal,
    ACTIONS(1908),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [22941] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(700),
    1,
    sym_comment,
    STATE(938),
    1,
    sym_boolean_literal,
    ACTIONS(1908),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [22958] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(701),
    1,
    sym_comment,
    STATE(939),
    1,
    sym_boolean_literal,
    ACTIONS(1908),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [22975] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2559),
    1,
    anon_sym_COMMA,
    ACTIONS(2619),
    1,
    anon_sym_RPAREN,
    STATE(644),
    1,
    aux_sym_parameter_dcls_repeat1,
    STATE(702),
    1,
    sym_comment,
    [22994] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(703),
    1,
    sym_comment,
    STATE(947),
    1,
    sym_boolean_literal,
    ACTIONS(1908),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [23011] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(704),
    1,
    sym_comment,
    STATE(948),
    1,
    sym_boolean_literal,
    ACTIONS(1908),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [23028] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2154),
    1,
    anon_sym_raises,
    ACTIONS(2621),
    1,
    anon_sym_SEMI,
    STATE(705),
    1,
    sym_comment,
    STATE(924),
    1,
    sym_raises_expr,
    [23047] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2623),
    1,
    anon_sym_interface,
    ACTIONS(2625),
    1,
    anon_sym_valuetype,
    ACTIONS(2627),
    1,
    anon_sym_eventtype,
    STATE(706),
    1,
    sym_comment,
    [23066] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2553),
    1,
    anon_sym_COMMA,
    ACTIONS(2629),
    1,
    anon_sym_RPAREN,
    STATE(641),
    1,
    aux_sym_init_param_dcls_repeat1,
    STATE(707),
    1,
    sym_comment,
    [23085] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2434),
    1,
    anon_sym_COMMA,
    ACTIONS(2631),
    1,
    anon_sym_RBRACE,
    STATE(672),
    1,
    aux_sym_enum_dcl_repeat1,
    STATE(708),
    1,
    sym_comment,
    [23104] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2154),
    1,
    anon_sym_raises,
    ACTIONS(2633),
    1,
    anon_sym_SEMI,
    STATE(709),
    1,
    sym_comment,
    STATE(921),
    1,
    sym_raises_expr,
    [23123] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(710),
    1,
    sym_comment,
    STATE(1135),
    1,
    sym_boolean_literal,
    ACTIONS(1908),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [23140] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2547),
    1,
    anon_sym_COMMA,
    ACTIONS(2635),
    1,
    anon_sym_RPAREN,
    STATE(639),
    1,
    aux_sym_factory_param_dcls_repeat1,
    STATE(711),
    1,
    sym_comment,
    [23159] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2154),
    1,
    anon_sym_raises,
    ACTIONS(2637),
    1,
    anon_sym_SEMI,
    STATE(712),
    1,
    sym_comment,
    STATE(902),
    1,
    sym_raises_expr,
    [23178] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2391),
    1,
    anon_sym_COMMA,
    ACTIONS(2639),
    1,
    anon_sym_RBRACE,
    STATE(633),
    1,
    aux_sym_bitmask_dcl_repeat1,
    STATE(713),
    1,
    sym_comment,
    [23197] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(714),
    1,
    sym_comment,
    STATE(1136),
    1,
    sym_boolean_literal,
    ACTIONS(1908),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [23214] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(715),
    1,
    sym_comment,
    ACTIONS(2377),
    3,
    anon_sym_COMMA,
    anon_sym_SEMI,
    anon_sym_default,
    [23229] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(716),
    1,
    sym_comment,
    ACTIONS(1596),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23244] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(890),
    1,
    anon_sym_DQUOTE,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1770),
    1,
    anon_sym_L,
    STATE(717),
    1,
    sym_comment,
    STATE(950),
    1,
    sym_string_literal,
    [23263] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(718),
    1,
    sym_comment,
    ACTIONS(1604),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23278] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(890),
    1,
    anon_sym_DQUOTE,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1770),
    1,
    anon_sym_L,
    STATE(719),
    1,
    sym_comment,
    STATE(1140),
    1,
    sym_string_literal,
    [23297] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(720),
    1,
    sym_comment,
    STATE(955),
    1,
    sym_boolean_literal,
    ACTIONS(1908),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [23314] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(721),
    1,
    sym_comment,
    ACTIONS(2641),
    2,
    anon_sym_RBRACE,
    anon_sym_bitfield,
    [23328] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(722),
    1,
    sym_comment,
    ACTIONS(2643),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [23342] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2645),
    1,
    anon_sym_min,
    STATE(723),
    1,
    sym_comment,
    STATE(1255),
    1,
    sym_min_expr,
    [23358] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2645),
    1,
    anon_sym_min,
    STATE(724),
    1,
    sym_comment,
    STATE(1241),
    1,
    sym_min_expr,
    [23374] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(725),
    1,
    sym_comment,
    ACTIONS(2647),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [23388] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2645),
    1,
    anon_sym_min,
    STATE(726),
    1,
    sym_comment,
    STATE(1227),
    1,
    sym_min_expr,
    [23404] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2649),
    1,
    aux_sym_preproc_call_token1,
    ACTIONS(2651),
    1,
    sym_preproc_arg,
    STATE(727),
    1,
    sym_comment,
    [23420] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2653),
    1,
    anon_sym_max,
    STATE(728),
    1,
    sym_comment,
    STATE(1138),
    1,
    sym_max_expr,
    [23436] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(729),
    1,
    sym_comment,
    ACTIONS(2655),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [23450] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2657),
    1,
    anon_sym_valuetype,
    ACTIONS(2659),
    1,
    anon_sym_eventtype,
    STATE(730),
    1,
    sym_comment,
    [23466] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(731),
    1,
    sym_comment,
    ACTIONS(2661),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [23480] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2406),
    1,
    sym_identifier,
    STATE(732),
    1,
    sym_comment,
    STATE(1038),
    1,
    sym_simple_declarator,
    [23496] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2653),
    1,
    anon_sym_max,
    STATE(733),
    1,
    sym_comment,
    STATE(1107),
    1,
    sym_max_expr,
    [23512] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(734),
    1,
    sym_comment,
    ACTIONS(2663),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [23526] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(735),
    1,
    sym_comment,
    ACTIONS(2665),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [23540] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(736),
    1,
    sym_comment,
    ACTIONS(2667),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [23554] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2406),
    1,
    sym_identifier,
    STATE(737),
    1,
    sym_comment,
    STATE(772),
    1,
    sym_simple_declarator,
    [23570] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2653),
    1,
    anon_sym_max,
    STATE(738),
    1,
    sym_comment,
    STATE(1073),
    1,
    sym_max_expr,
    [23586] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2669),
    1,
    anon_sym_LBRACE,
    ACTIONS(2671),
    1,
    anon_sym_COLON,
    STATE(739),
    1,
    sym_comment,
    [23602] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2156),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2673),
    1,
    anon_sym_LT,
    STATE(740),
    1,
    sym_comment,
    [23618] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2156),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2675),
    1,
    sym_identifier,
    STATE(741),
    1,
    sym_comment,
    [23634] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2156),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2677),
    1,
    anon_sym_SEMI,
    STATE(742),
    1,
    sym_comment,
    [23650] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2679),
    1,
    anon_sym_LPAREN,
    STATE(743),
    1,
    sym_comment,
    STATE(974),
    1,
    sym_exception_list,
    [23666] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2679),
    1,
    anon_sym_LPAREN,
    STATE(744),
    1,
    sym_comment,
    STATE(760),
    1,
    sym_exception_list,
    [23682] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2406),
    1,
    sym_identifier,
    STATE(745),
    1,
    sym_comment,
    STATE(758),
    1,
    sym_simple_declarator,
    [23698] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2681),
    1,
    anon_sym_LBRACE,
    ACTIONS(2683),
    1,
    anon_sym_SEMI,
    STATE(746),
    1,
    sym_comment,
    [23714] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(747),
    1,
    sym_comment,
    ACTIONS(2607),
    2,
    anon_sym_COMMA,
    anon_sym_LBRACE,
    [23728] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(748),
    1,
    sym_comment,
    ACTIONS(2685),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [23742] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2645),
    1,
    anon_sym_min,
    STATE(749),
    1,
    sym_comment,
    STATE(953),
    1,
    sym_min_expr,
    [23758] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2156),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2687),
    1,
    anon_sym_LBRACE,
    STATE(750),
    1,
    sym_comment,
    [23774] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2689),
    1,
    anon_sym_GT,
    ACTIONS(2691),
    1,
    anon_sym_COMMA,
    STATE(751),
    1,
    sym_comment,
    [23790] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(752),
    1,
    sym_comment,
    ACTIONS(2693),
    2,
    anon_sym_COMMA,
    anon_sym_SEMI,
    [23804] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2695),
    1,
    anon_sym_LBRACE,
    ACTIONS(2697),
    1,
    anon_sym_COLON,
    STATE(753),
    1,
    sym_comment,
    [23820] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(754),
    1,
    sym_comment,
    ACTIONS(2699),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [23834] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2156),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2701),
    1,
    anon_sym_LBRACE,
    STATE(755),
    1,
    sym_comment,
    [23850] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(756),
    1,
    sym_comment,
    ACTIONS(2703),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [23864] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(757),
    1,
    sym_comment,
    ACTIONS(2705),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [23878] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(758),
    1,
    sym_comment,
    ACTIONS(2589),
    2,
    anon_sym_COMMA,
    anon_sym_SEMI,
    [23892] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(759),
    1,
    sym_comment,
    ACTIONS(2598),
    2,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    [23906] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(760),
    1,
    sym_comment,
    ACTIONS(2707),
    2,
    anon_sym_SEMI,
    anon_sym_setraises,
    [23920] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(761),
    1,
    sym_comment,
    ACTIONS(2709),
    2,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    [23934] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2156),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2711),
    1,
    sym_identifier,
    STATE(762),
    1,
    sym_comment,
    [23950] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2406),
    1,
    sym_identifier,
    STATE(763),
    1,
    sym_comment,
    STATE(806),
    1,
    sym_simple_declarator,
    [23966] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(764),
    1,
    sym_comment,
    ACTIONS(2713),
    2,
    anon_sym_SEMI,
    anon_sym_context,
    [23980] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(765),
    1,
    sym_comment,
    ACTIONS(2715),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [23994] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2717),
    1,
    anon_sym_DQUOTE,
    ACTIONS(2719),
    1,
    anon_sym_SQUOTE,
    STATE(766),
    1,
    sym_comment,
    [24010] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(767),
    1,
    sym_comment,
    ACTIONS(2581),
    2,
    anon_sym_GT,
    anon_sym_COMMA,
    [24024] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(768),
    1,
    sym_comment,
    ACTIONS(2721),
    2,
    anon_sym_GT,
    anon_sym_COMMA,
    [24038] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(769),
    1,
    sym_comment,
    ACTIONS(2723),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [24052] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(770),
    1,
    sym_comment,
    ACTIONS(2574),
    2,
    anon_sym_GT,
    anon_sym_COMMA,
    [24066] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(771),
    1,
    sym_comment,
    ACTIONS(2304),
    2,
    anon_sym_SEMI,
    anon_sym_context,
    [24080] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(772),
    1,
    sym_comment,
    ACTIONS(2725),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [24094] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(773),
    1,
    sym_comment,
    ACTIONS(2572),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [24108] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2156),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2727),
    1,
    anon_sym_LBRACE,
    STATE(774),
    1,
    sym_comment,
    [24124] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(775),
    1,
    sym_comment,
    ACTIONS(2729),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [24138] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2406),
    1,
    sym_identifier,
    STATE(776),
    1,
    sym_comment,
    STATE(827),
    1,
    sym_simple_declarator,
    [24154] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(777),
    1,
    sym_comment,
    ACTIONS(2731),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [24168] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(778),
    1,
    sym_comment,
    ACTIONS(2733),
    2,
    anon_sym_ATdefault_literal,
    sym_identifier,
    [24182] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2406),
    1,
    sym_identifier,
    STATE(779),
    1,
    sym_comment,
    STATE(829),
    1,
    sym_simple_declarator,
    [24198] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(780),
    1,
    sym_comment,
    ACTIONS(2735),
    2,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    [24212] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_in,
    STATE(781),
    1,
    sym_comment,
    STATE(831),
    1,
    sym_init_param_dcl,
    [24228] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(782),
    1,
    sym_comment,
    ACTIONS(2737),
    2,
    anon_sym_ATdefault_literal,
    sym_identifier,
    [24242] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(783),
    1,
    sym_comment,
    ACTIONS(2739),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [24256] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2741),
    1,
    anon_sym_GT,
    ACTIONS(2743),
    1,
    anon_sym_COMMA,
    STATE(784),
    1,
    sym_comment,
    [24272] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2406),
    1,
    sym_identifier,
    STATE(785),
    1,
    sym_comment,
    STATE(833),
    1,
    sym_simple_declarator,
    [24288] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2156),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2745),
    1,
    anon_sym_LBRACE,
    STATE(786),
    1,
    sym_comment,
    [24304] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2265),
    1,
    anon_sym_in,
    STATE(787),
    1,
    sym_comment,
    STATE(835),
    1,
    sym_factory_param_dcl,
    [24320] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2156),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2747),
    1,
    sym_identifier,
    STATE(788),
    1,
    sym_comment,
    [24336] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2156),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2749),
    1,
    sym_identifier,
    STATE(789),
    1,
    sym_comment,
    [24352] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2156),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2751),
    1,
    sym_identifier,
    STATE(790),
    1,
    sym_comment,
    [24368] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(791),
    1,
    sym_comment,
    ACTIONS(2753),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [24382] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(792),
    1,
    sym_comment,
    ACTIONS(2755),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [24396] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(793),
    1,
    sym_comment,
    ACTIONS(2757),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [24410] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2156),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2759),
    1,
    sym_identifier,
    STATE(794),
    1,
    sym_comment,
    [24426] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(795),
    1,
    sym_comment,
    ACTIONS(2543),
    2,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    [24440] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2156),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2761),
    1,
    sym_identifier,
    STATE(796),
    1,
    sym_comment,
    [24456] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(797),
    1,
    sym_comment,
    ACTIONS(2763),
    2,
    anon_sym_RBRACE,
    anon_sym_bitfield,
    [24470] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(798),
    1,
    sym_comment,
    ACTIONS(2765),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [24484] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(799),
    1,
    sym_comment,
    ACTIONS(2767),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [24498] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(800),
    1,
    sym_comment,
    ACTIONS(2769),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [24512] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2156),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2771),
    1,
    anon_sym_LT,
    STATE(801),
    1,
    sym_comment,
    [24528] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(802),
    1,
    sym_comment,
    ACTIONS(2773),
    2,
    anon_sym_RBRACE,
    anon_sym_bitfield,
    [24542] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(803),
    1,
    sym_comment,
    ACTIONS(2775),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [24556] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2777),
    1,
    anon_sym_GT,
    ACTIONS(2779),
    1,
    anon_sym_COMMA,
    STATE(804),
    1,
    sym_comment,
    [24572] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(805),
    1,
    sym_comment,
    ACTIONS(2781),
    2,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    [24586] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2783),
    1,
    anon_sym_SEMI,
    ACTIONS(2785),
    1,
    anon_sym_default,
    STATE(806),
    1,
    sym_comment,
    [24602] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(807),
    1,
    sym_comment,
    ACTIONS(2787),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [24616] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2789),
    1,
    anon_sym_LT,
    ACTIONS(2791),
    1,
    sym_identifier,
    STATE(808),
    1,
    sym_comment,
    [24632] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(809),
    1,
    sym_comment,
    ACTIONS(2401),
    2,
    anon_sym_GT,
    anon_sym_COMMA,
    [24646] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(810),
    1,
    sym_comment,
    ACTIONS(2793),
    2,
    anon_sym_SEMI,
    anon_sym_context,
    [24660] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2156),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2795),
    1,
    anon_sym_LBRACE,
    STATE(811),
    1,
    sym_comment,
    [24676] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2797),
    1,
    sym_identifier,
    STATE(773),
    1,
    sym_annotation_appl_param,
    STATE(812),
    1,
    sym_comment,
    [24692] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(813),
    1,
    sym_comment,
    ACTIONS(2799),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [24706] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(814),
    1,
    sym_comment,
    ACTIONS(2801),
    2,
    anon_sym_SEMI,
    anon_sym_setraises,
    [24720] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(815),
    1,
    sym_comment,
    ACTIONS(2803),
    2,
    anon_sym_SEMI,
    anon_sym_context,
    [24734] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(816),
    1,
    sym_comment,
    ACTIONS(2805),
    2,
    anon_sym_GT,
    anon_sym_COMMA,
    [24748] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2406),
    1,
    sym_identifier,
    STATE(817),
    1,
    sym_comment,
    STATE(823),
    1,
    sym_simple_declarator,
    [24764] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(818),
    1,
    sym_comment,
    ACTIONS(2807),
    2,
    anon_sym_SEMI,
    anon_sym_context,
    [24778] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2354),
    1,
    anon_sym_in,
    STATE(819),
    1,
    sym_comment,
    STATE(822),
    1,
    sym_in_param_dcl,
    [24794] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(820),
    1,
    sym_comment,
    ACTIONS(2809),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [24808] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(821),
    1,
    sym_comment,
    ACTIONS(2517),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [24822] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(822),
    1,
    sym_comment,
    ACTIONS(2449),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [24836] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(823),
    1,
    sym_comment,
    ACTIONS(2811),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [24850] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(824),
    1,
    sym_comment,
    ACTIONS(2813),
    2,
    anon_sym_SEMI,
    anon_sym_context,
    [24864] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(825),
    1,
    sym_comment,
    ACTIONS(2512),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [24878] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2156),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2815),
    1,
    anon_sym_RPAREN,
    STATE(826),
    1,
    sym_comment,
    [24894] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(827),
    1,
    sym_comment,
    ACTIONS(2817),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [24908] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(828),
    1,
    sym_comment,
    ACTIONS(2819),
    2,
    anon_sym_SEMI,
    anon_sym_setraises,
    [24922] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(829),
    1,
    sym_comment,
    ACTIONS(2821),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [24936] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(830),
    1,
    sym_comment,
    ACTIONS(2823),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [24950] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(831),
    1,
    sym_comment,
    ACTIONS(2507),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [24964] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(832),
    1,
    sym_comment,
    ACTIONS(2825),
    2,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    [24978] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(833),
    1,
    sym_comment,
    ACTIONS(2827),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [24992] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2829),
    1,
    sym_identifier,
    STATE(834),
    1,
    sym_comment,
    STATE(861),
    1,
    sym_formal_parameter_names,
    [25008] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(835),
    1,
    sym_comment,
    ACTIONS(2494),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [25022] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2653),
    1,
    anon_sym_max,
    STATE(836),
    1,
    sym_comment,
    STATE(919),
    1,
    sym_max_expr,
    [25038] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(837),
    1,
    sym_comment,
    ACTIONS(2831),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [25052] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(838),
    1,
    sym_comment,
    ACTIONS(2833),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [25066] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(839),
    1,
    sym_comment,
    ACTIONS(2487),
    2,
    anon_sym_COMMA,
    anon_sym_SEMI,
    [25080] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2835),
    1,
    sym_identifier,
    STATE(840),
    1,
    sym_comment,
    [25093] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2837),
    1,
    anon_sym_RPAREN,
    STATE(841),
    1,
    sym_comment,
    [25106] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2839),
    1,
    anon_sym_SEMI,
    STATE(842),
    1,
    sym_comment,
    [25119] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2841),
    1,
    anon_sym_SEMI,
    STATE(843),
    1,
    sym_comment,
    [25132] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2843),
    1,
    anon_sym_SEMI,
    STATE(844),
    1,
    sym_comment,
    [25145] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2845),
    1,
    anon_sym_SEMI,
    STATE(845),
    1,
    sym_comment,
    [25158] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2336),
    1,
    anon_sym_LBRACE,
    STATE(846),
    1,
    sym_comment,
    [25171] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2847),
    1,
    anon_sym_COLON,
    STATE(847),
    1,
    sym_comment,
    [25184] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2849),
    1,
    anon_sym_RBRACK,
    STATE(848),
    1,
    sym_comment,
    [25197] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2851),
    1,
    anon_sym_SEMI,
    STATE(849),
    1,
    sym_comment,
    [25210] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2853),
    1,
    anon_sym_SEMI,
    STATE(850),
    1,
    sym_comment,
    [25223] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2855),
    1,
    anon_sym_COLON,
    STATE(851),
    1,
    sym_comment,
    [25236] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2857),
    1,
    anon_sym_RPAREN,
    STATE(852),
    1,
    sym_comment,
    [25249] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2859),
    1,
    anon_sym_SEMI,
    STATE(853),
    1,
    sym_comment,
    [25262] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2861),
    1,
    anon_sym_SEMI,
    STATE(854),
    1,
    sym_comment,
    [25275] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2863),
    1,
    anon_sym_SEMI,
    STATE(855),
    1,
    sym_comment,
    [25288] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2865),
    1,
    sym_identifier,
    STATE(856),
    1,
    sym_comment,
    [25301] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2815),
    1,
    anon_sym_RPAREN,
    STATE(857),
    1,
    sym_comment,
    [25314] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2867),
    1,
    anon_sym_SEMI,
    STATE(858),
    1,
    sym_comment,
    [25327] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2869),
    1,
    sym_identifier,
    STATE(859),
    1,
    sym_comment,
    [25340] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2871),
    1,
    anon_sym_SEMI,
    STATE(860),
    1,
    sym_comment,
    [25353] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2873),
    1,
    anon_sym_GT,
    STATE(861),
    1,
    sym_comment,
    [25366] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2875),
    1,
    anon_sym_SEMI,
    STATE(862),
    1,
    sym_comment,
    [25379] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2877),
    1,
    anon_sym_SEMI,
    STATE(863),
    1,
    sym_comment,
    [25392] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2879),
    1,
    anon_sym_LBRACE,
    STATE(864),
    1,
    sym_comment,
    [25405] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2881),
    1,
    anon_sym_SEMI,
    STATE(865),
    1,
    sym_comment,
    [25418] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2883),
    1,
    sym_identifier,
    STATE(866),
    1,
    sym_comment,
    [25431] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2885),
    1,
    anon_sym_SEMI,
    STATE(867),
    1,
    sym_comment,
    [25444] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2887),
    1,
    anon_sym_GT,
    STATE(868),
    1,
    sym_comment,
    [25457] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2889),
    1,
    sym_identifier,
    STATE(869),
    1,
    sym_comment,
    [25470] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2891),
    1,
    anon_sym_SEMI,
    STATE(870),
    1,
    sym_comment,
    [25483] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2893),
    1,
    sym_identifier,
    STATE(871),
    1,
    sym_comment,
    [25496] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2895),
    1,
    anon_sym_SEMI,
    STATE(872),
    1,
    sym_comment,
    [25509] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2897),
    1,
    anon_sym_SEMI,
    STATE(873),
    1,
    sym_comment,
    [25522] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2899),
    1,
    anon_sym_RPAREN,
    STATE(874),
    1,
    sym_comment,
    [25535] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2901),
    1,
    anon_sym_SEMI,
    STATE(875),
    1,
    sym_comment,
    [25548] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2903),
    1,
    anon_sym_SEMI,
    STATE(876),
    1,
    sym_comment,
    [25561] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2905),
    1,
    anon_sym_SEMI,
    STATE(877),
    1,
    sym_comment,
    [25574] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2907),
    1,
    anon_sym_GT,
    STATE(878),
    1,
    sym_comment,
    [25587] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2909),
    1,
    anon_sym_SEMI,
    STATE(879),
    1,
    sym_comment,
    [25600] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2911),
    1,
    anon_sym_SEMI,
    STATE(880),
    1,
    sym_comment,
    [25613] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2913),
    1,
    anon_sym_SEMI,
    STATE(881),
    1,
    sym_comment,
    [25626] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2915),
    1,
    anon_sym_RPAREN,
    STATE(882),
    1,
    sym_comment,
    [25639] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2917),
    1,
    anon_sym_RPAREN,
    STATE(883),
    1,
    sym_comment,
    [25652] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2919),
    1,
    anon_sym_SEMI,
    STATE(884),
    1,
    sym_comment,
    [25665] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2921),
    1,
    anon_sym_SEMI,
    STATE(885),
    1,
    sym_comment,
    [25678] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2923),
    1,
    anon_sym_SEMI,
    STATE(886),
    1,
    sym_comment,
    [25691] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1837),
    1,
    aux_sym_preproc_call_token1,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    STATE(887),
    1,
    sym_comment,
    [25704] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2925),
    1,
    anon_sym_RBRACE,
    STATE(888),
    1,
    sym_comment,
    [25717] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2927),
    1,
    anon_sym_LPAREN,
    STATE(889),
    1,
    sym_comment,
    [25730] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2929),
    1,
    anon_sym_SEMI,
    STATE(890),
    1,
    sym_comment,
    [25743] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2931),
    1,
    anon_sym_SEMI,
    STATE(891),
    1,
    sym_comment,
    [25756] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2933),
    1,
    anon_sym_SEMI,
    STATE(892),
    1,
    sym_comment,
    [25769] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2935),
    1,
    anon_sym_LPAREN,
    STATE(893),
    1,
    sym_comment,
    [25782] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2937),
    1,
    anon_sym_LPAREN,
    STATE(894),
    1,
    sym_comment,
    [25795] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2939),
    1,
    anon_sym_SEMI,
    STATE(895),
    1,
    sym_comment,
    [25808] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2941),
    1,
    anon_sym_GT,
    STATE(896),
    1,
    sym_comment,
    [25821] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2943),
    1,
    anon_sym_GT,
    STATE(897),
    1,
    sym_comment,
    [25834] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2945),
    1,
    anon_sym_LBRACE,
    STATE(898),
    1,
    sym_comment,
    [25847] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2947),
    1,
    anon_sym_COMMA,
    STATE(899),
    1,
    sym_comment,
    [25860] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2949),
    1,
    sym_identifier,
    STATE(900),
    1,
    sym_comment,
    [25873] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2951),
    1,
    sym_identifier,
    STATE(901),
    1,
    sym_comment,
    [25886] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2538),
    1,
    anon_sym_SEMI,
    STATE(902),
    1,
    sym_comment,
    [25899] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2747),
    1,
    sym_identifier,
    STATE(903),
    1,
    sym_comment,
    [25912] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2953),
    1,
    anon_sym_SEMI,
    STATE(904),
    1,
    sym_comment,
    [25925] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2955),
    1,
    anon_sym_LPAREN,
    STATE(905),
    1,
    sym_comment,
    [25938] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2957),
    1,
    anon_sym_LPAREN,
    STATE(906),
    1,
    sym_comment,
    [25951] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2959),
    1,
    anon_sym_SEMI,
    STATE(907),
    1,
    sym_comment,
    [25964] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2961),
    1,
    anon_sym_LPAREN,
    STATE(908),
    1,
    sym_comment,
    [25977] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2963),
    1,
    anon_sym_SEMI,
    STATE(909),
    1,
    sym_comment,
    [25990] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2965),
    1,
    sym_identifier,
    STATE(910),
    1,
    sym_comment,
    [26003] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2967),
    1,
    anon_sym_EQ,
    STATE(911),
    1,
    sym_comment,
    [26016] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2969),
    1,
    anon_sym_RBRACE,
    STATE(912),
    1,
    sym_comment,
    [26029] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2971),
    1,
    anon_sym_SEMI,
    STATE(913),
    1,
    sym_comment,
    [26042] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2973),
    1,
    anon_sym_manages,
    STATE(914),
    1,
    sym_comment,
    [26055] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2975),
    1,
    anon_sym_LBRACE,
    STATE(915),
    1,
    sym_comment,
    [26068] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2977),
    1,
    anon_sym_COMMA,
    STATE(916),
    1,
    sym_comment,
    [26081] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2979),
    1,
    anon_sym_COMMA,
    STATE(917),
    1,
    sym_comment,
    [26094] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2981),
    1,
    anon_sym_LBRACE,
    STATE(918),
    1,
    sym_comment,
    [26107] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2983),
    1,
    anon_sym_RPAREN,
    STATE(919),
    1,
    sym_comment,
    [26120] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2985),
    1,
    anon_sym_GT,
    STATE(920),
    1,
    sym_comment,
    [26133] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2551),
    1,
    anon_sym_SEMI,
    STATE(921),
    1,
    sym_comment,
    [26146] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2987),
    1,
    anon_sym_SEMI,
    STATE(922),
    1,
    sym_comment,
    [26159] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2989),
    1,
    anon_sym_COMMA,
    STATE(923),
    1,
    sym_comment,
    [26172] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2557),
    1,
    anon_sym_SEMI,
    STATE(924),
    1,
    sym_comment,
    [26185] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2991),
    1,
    anon_sym_RPAREN,
    STATE(925),
    1,
    sym_comment,
    [26198] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1888),
    1,
    anon_sym_EQ,
    STATE(926),
    1,
    sym_comment,
    [26211] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2209),
    1,
    anon_sym_LBRACE,
    STATE(927),
    1,
    sym_comment,
    [26224] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2993),
    1,
    anon_sym_LBRACE,
    STATE(928),
    1,
    sym_comment,
    [26237] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2995),
    1,
    anon_sym_GT,
    STATE(929),
    1,
    sym_comment,
    [26250] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2997),
    1,
    anon_sym_SEMI,
    STATE(930),
    1,
    sym_comment,
    [26263] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2999),
    1,
    anon_sym_SEMI,
    STATE(931),
    1,
    sym_comment,
    [26276] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3001),
    1,
    sym_identifier,
    STATE(932),
    1,
    sym_comment,
    [26289] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3003),
    1,
    anon_sym_GT,
    STATE(933),
    1,
    sym_comment,
    [26302] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2791),
    1,
    sym_identifier,
    STATE(934),
    1,
    sym_comment,
    [26315] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3005),
    1,
    anon_sym_RPAREN,
    STATE(935),
    1,
    sym_comment,
    [26328] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3007),
    1,
    anon_sym_RPAREN,
    STATE(936),
    1,
    sym_comment,
    [26341] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2465),
    1,
    anon_sym_RPAREN,
    STATE(937),
    1,
    sym_comment,
    [26354] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3009),
    1,
    anon_sym_RPAREN,
    STATE(938),
    1,
    sym_comment,
    [26367] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3011),
    1,
    anon_sym_RPAREN,
    STATE(939),
    1,
    sym_comment,
    [26380] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3013),
    1,
    anon_sym_RPAREN,
    STATE(940),
    1,
    sym_comment,
    [26393] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3015),
    1,
    anon_sym_RPAREN,
    STATE(941),
    1,
    sym_comment,
    [26406] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3017),
    1,
    anon_sym_COMMA,
    STATE(942),
    1,
    sym_comment,
    [26419] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3019),
    1,
    anon_sym_COMMA,
    STATE(943),
    1,
    sym_comment,
    [26432] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3021),
    1,
    anon_sym_RPAREN,
    STATE(944),
    1,
    sym_comment,
    [26445] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3023),
    1,
    anon_sym_COMMA,
    STATE(945),
    1,
    sym_comment,
    [26458] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3025),
    1,
    anon_sym_COMMA,
    STATE(946),
    1,
    sym_comment,
    [26471] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3027),
    1,
    anon_sym_RPAREN,
    STATE(947),
    1,
    sym_comment,
    [26484] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3029),
    1,
    anon_sym_RPAREN,
    STATE(948),
    1,
    sym_comment,
    [26497] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3031),
    1,
    anon_sym_RPAREN,
    STATE(949),
    1,
    sym_comment,
    [26510] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3033),
    1,
    anon_sym_RPAREN,
    STATE(950),
    1,
    sym_comment,
    [26523] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3035),
    1,
    anon_sym_RPAREN,
    STATE(951),
    1,
    sym_comment,
    [26536] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3037),
    1,
    anon_sym_RPAREN,
    STATE(952),
    1,
    sym_comment,
    [26549] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3039),
    1,
    anon_sym_COMMA,
    STATE(953),
    1,
    sym_comment,
    [26562] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3041),
    1,
    anon_sym_EQ,
    STATE(954),
    1,
    sym_comment,
    [26575] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3043),
    1,
    anon_sym_RPAREN,
    STATE(955),
    1,
    sym_comment,
    [26588] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3045),
    1,
    anon_sym_RPAREN,
    STATE(956),
    1,
    sym_comment,
    [26601] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3047),
    1,
    anon_sym_RPAREN,
    STATE(957),
    1,
    sym_comment,
    [26614] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3049),
    1,
    anon_sym_RPAREN,
    STATE(958),
    1,
    sym_comment,
    [26627] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3051),
    1,
    anon_sym_RPAREN,
    STATE(959),
    1,
    sym_comment,
    [26640] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3053),
    1,
    anon_sym_RPAREN,
    STATE(960),
    1,
    sym_comment,
    [26653] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3055),
    1,
    sym_identifier,
    STATE(961),
    1,
    sym_comment,
    [26666] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3057),
    1,
    anon_sym_RPAREN,
    STATE(962),
    1,
    sym_comment,
    [26679] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3059),
    1,
    anon_sym_RPAREN,
    STATE(963),
    1,
    sym_comment,
    [26692] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3061),
    1,
    anon_sym_RPAREN,
    STATE(964),
    1,
    sym_comment,
    [26705] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3063),
    1,
    anon_sym_RPAREN,
    STATE(965),
    1,
    sym_comment,
    [26718] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3065),
    1,
    anon_sym_SEMI,
    STATE(966),
    1,
    sym_comment,
    [26731] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3067),
    1,
    anon_sym_SEMI,
    STATE(967),
    1,
    sym_comment,
    [26744] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2711),
    1,
    sym_identifier,
    STATE(968),
    1,
    sym_comment,
    [26757] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3069),
    1,
    anon_sym_RPAREN,
    STATE(969),
    1,
    sym_comment,
    [26770] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3071),
    1,
    anon_sym_LBRACE,
    STATE(970),
    1,
    sym_comment,
    [26783] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3073),
    1,
    anon_sym_SEMI,
    STATE(971),
    1,
    sym_comment,
    [26796] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3075),
    1,
    sym_identifier,
    STATE(972),
    1,
    sym_comment,
    [26809] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3077),
    1,
    anon_sym_SEMI,
    STATE(973),
    1,
    sym_comment,
    [26822] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3079),
    1,
    anon_sym_SEMI,
    STATE(974),
    1,
    sym_comment,
    [26835] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2593),
    1,
    anon_sym_SEMI,
    STATE(975),
    1,
    sym_comment,
    [26848] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3081),
    1,
    anon_sym_LT,
    STATE(976),
    1,
    sym_comment,
    [26861] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3083),
    1,
    anon_sym_LPAREN,
    STATE(977),
    1,
    sym_comment,
    [26874] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3085),
    1,
    anon_sym_LBRACE,
    STATE(978),
    1,
    sym_comment,
    [26887] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3087),
    1,
    anon_sym_LBRACE,
    STATE(979),
    1,
    sym_comment,
    [26900] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3089),
    1,
    anon_sym_SEMI,
    STATE(980),
    1,
    sym_comment,
    [26913] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1760),
    1,
    aux_sym_preproc_call_token1,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    STATE(981),
    1,
    sym_comment,
    [26926] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(3091),
    1,
    aux_sym_preproc_call_token1,
    STATE(982),
    1,
    sym_comment,
    [26939] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3093),
    1,
    anon_sym_switch,
    STATE(983),
    1,
    sym_comment,
    [26952] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3095),
    1,
    anon_sym_LBRACE,
    STATE(984),
    1,
    sym_comment,
    [26965] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3097),
    1,
    anon_sym_LBRACE,
    STATE(985),
    1,
    sym_comment,
    [26978] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3099),
    1,
    anon_sym_SEMI,
    STATE(986),
    1,
    sym_comment,
    [26991] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3101),
    1,
    anon_sym_SEMI,
    STATE(987),
    1,
    sym_comment,
    [27004] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3103),
    1,
    anon_sym_SEMI,
    STATE(988),
    1,
    sym_comment,
    [27017] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3105),
    1,
    anon_sym_SEMI,
    STATE(989),
    1,
    sym_comment,
    [27030] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3107),
    1,
    anon_sym_RBRACE,
    STATE(990),
    1,
    sym_comment,
    [27043] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3109),
    1,
    sym_identifier,
    STATE(991),
    1,
    sym_comment,
    [27056] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3111),
    1,
    anon_sym_RPAREN,
    STATE(992),
    1,
    sym_comment,
    [27069] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3113),
    1,
    anon_sym_SEMI,
    STATE(993),
    1,
    sym_comment,
    [27082] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3115),
    1,
    anon_sym_RBRACE,
    STATE(994),
    1,
    sym_comment,
    [27095] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3117),
    1,
    anon_sym_SEMI,
    STATE(995),
    1,
    sym_comment,
    [27108] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3119),
    1,
    anon_sym_SEMI,
    STATE(996),
    1,
    sym_comment,
    [27121] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3121),
    1,
    anon_sym_LBRACE,
    STATE(997),
    1,
    sym_comment,
    [27134] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3123),
    1,
    sym_identifier,
    STATE(998),
    1,
    sym_comment,
    [27147] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3125),
    1,
    anon_sym_SEMI,
    STATE(999),
    1,
    sym_comment,
    [27160] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3127),
    1,
    anon_sym_LBRACE,
    STATE(1000),
    1,
    sym_comment,
    [27173] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3129),
    1,
    anon_sym_SEMI,
    STATE(1001),
    1,
    sym_comment,
    [27186] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3131),
    1,
    anon_sym_SEMI,
    STATE(1002),
    1,
    sym_comment,
    [27199] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3133),
    1,
    anon_sym_LT,
    STATE(1003),
    1,
    sym_comment,
    [27212] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(453),
    1,
    anon_sym_RBRACE,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    STATE(1004),
    1,
    sym_comment,
    [27225] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2545),
    1,
    anon_sym_SEMI,
    STATE(1005),
    1,
    sym_comment,
    [27238] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2657),
    1,
    anon_sym_valuetype,
    STATE(1006),
    1,
    sym_comment,
    [27251] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3135),
    1,
    anon_sym_void,
    STATE(1007),
    1,
    sym_comment,
    [27264] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3137),
    1,
    anon_sym_attribute,
    STATE(1008),
    1,
    sym_comment,
    [27277] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3139),
    1,
    sym_identifier,
    STATE(1009),
    1,
    sym_comment,
    [27290] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2625),
    1,
    anon_sym_valuetype,
    STATE(1010),
    1,
    sym_comment,
    [27303] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3141),
    1,
    anon_sym_SEMI,
    STATE(1011),
    1,
    sym_comment,
    [27316] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3143),
    1,
    anon_sym_LBRACE,
    STATE(1012),
    1,
    sym_comment,
    [27329] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3145),
    1,
    anon_sym_LBRACE,
    STATE(1013),
    1,
    sym_comment,
    [27342] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2563),
    1,
    anon_sym_manages,
    STATE(1014),
    1,
    sym_comment,
    [27355] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2591),
    1,
    anon_sym_LBRACE,
    STATE(1015),
    1,
    sym_comment,
    [27368] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3147),
    1,
    anon_sym_SEMI,
    STATE(1016),
    1,
    sym_comment,
    [27381] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3149),
    1,
    anon_sym_SEMI,
    STATE(1017),
    1,
    sym_comment,
    [27394] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2611),
    1,
    anon_sym_SEMI,
    STATE(1018),
    1,
    sym_comment,
    [27407] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3151),
    1,
    anon_sym_SEMI,
    STATE(1019),
    1,
    sym_comment,
    [27420] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3153),
    1,
    anon_sym_EQ,
    STATE(1020),
    1,
    sym_comment,
    [27433] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3155),
    1,
    anon_sym_LPAREN,
    STATE(1021),
    1,
    sym_comment,
    [27446] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2613),
    1,
    anon_sym_LBRACE,
    STATE(1022),
    1,
    sym_comment,
    [27459] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2075),
    1,
    anon_sym_LBRACE,
    STATE(1023),
    1,
    sym_comment,
    [27472] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3157),
    1,
    sym_identifier,
    STATE(1024),
    1,
    sym_comment,
    [27485] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3159),
    1,
    sym_number_literal,
    STATE(1025),
    1,
    sym_comment,
    [27498] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3161),
    1,
    anon_sym_GT,
    STATE(1026),
    1,
    sym_comment,
    [27511] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3163),
    1,
    sym_number_literal,
    STATE(1027),
    1,
    sym_comment,
    [27524] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3165),
    1,
    sym_number_literal,
    STATE(1028),
    1,
    sym_comment,
    [27537] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1786),
    1,
    aux_sym_preproc_call_token1,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    STATE(1029),
    1,
    sym_comment,
    [27550] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3167),
    1,
    anon_sym_GT,
    STATE(1030),
    1,
    sym_comment,
    [27563] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3169),
    1,
    anon_sym_LPAREN,
    STATE(1031),
    1,
    sym_comment,
    [27576] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3171),
    1,
    anon_sym_LBRACE,
    STATE(1032),
    1,
    sym_comment,
    [27589] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3173),
    1,
    sym_identifier,
    STATE(1033),
    1,
    sym_comment,
    [27602] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3175),
    1,
    sym_identifier,
    STATE(1034),
    1,
    sym_comment,
    [27615] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3177),
    1,
    sym_identifier,
    STATE(1035),
    1,
    sym_comment,
    [27628] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3179),
    1,
    sym_identifier,
    STATE(1036),
    1,
    sym_comment,
    [27641] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3181),
    1,
    sym_identifier,
    STATE(1037),
    1,
    sym_comment,
    [27654] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3183),
    1,
    anon_sym_SEMI,
    STATE(1038),
    1,
    sym_comment,
    [27667] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3185),
    1,
    sym_identifier,
    STATE(1039),
    1,
    sym_comment,
    [27680] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2334),
    1,
    anon_sym_LBRACE,
    STATE(1040),
    1,
    sym_comment,
    [27693] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3187),
    1,
    anon_sym_SEMI,
    STATE(1041),
    1,
    sym_comment,
    [27706] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2677),
    1,
    anon_sym_SEMI,
    STATE(1042),
    1,
    sym_comment,
    [27719] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3189),
    1,
    anon_sym_SEMI,
    STATE(1043),
    1,
    sym_comment,
    [27732] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3191),
    1,
    anon_sym_SEMI,
    STATE(1044),
    1,
    sym_comment,
    [27745] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3193),
    1,
    sym_identifier,
    STATE(1045),
    1,
    sym_comment,
    [27758] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3195),
    1,
    anon_sym_LT,
    STATE(1046),
    1,
    sym_comment,
    [27771] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3197),
    1,
    anon_sym_LPAREN,
    STATE(1047),
    1,
    sym_comment,
    [27784] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2489),
    1,
    anon_sym_SEMI,
    STATE(1048),
    1,
    sym_comment,
    [27797] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3199),
    1,
    sym_identifier,
    STATE(1049),
    1,
    sym_comment,
    [27810] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3201),
    1,
    sym_identifier,
    STATE(1050),
    1,
    sym_comment,
    [27823] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3203),
    1,
    anon_sym_RPAREN,
    STATE(1051),
    1,
    sym_comment,
    [27836] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3205),
    1,
    anon_sym_RPAREN,
    STATE(1052),
    1,
    sym_comment,
    [27849] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3207),
    1,
    anon_sym_LPAREN,
    STATE(1053),
    1,
    sym_comment,
    [27862] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3209),
    1,
    anon_sym_RPAREN,
    STATE(1054),
    1,
    sym_comment,
    [27875] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3211),
    1,
    anon_sym_RPAREN,
    STATE(1055),
    1,
    sym_comment,
    [27888] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3213),
    1,
    anon_sym_RPAREN,
    STATE(1056),
    1,
    sym_comment,
    [27901] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3215),
    1,
    anon_sym_RPAREN,
    STATE(1057),
    1,
    sym_comment,
    [27914] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3217),
    1,
    anon_sym_RPAREN,
    STATE(1058),
    1,
    sym_comment,
    [27927] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3219),
    1,
    anon_sym_RPAREN,
    STATE(1059),
    1,
    sym_comment,
    [27940] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3221),
    1,
    anon_sym_RPAREN,
    STATE(1060),
    1,
    sym_comment,
    [27953] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3223),
    1,
    anon_sym_RPAREN,
    STATE(1061),
    1,
    sym_comment,
    [27966] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3225),
    1,
    anon_sym_RPAREN,
    STATE(1062),
    1,
    sym_comment,
    [27979] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3227),
    1,
    anon_sym_RPAREN,
    STATE(1063),
    1,
    sym_comment,
    [27992] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3229),
    1,
    anon_sym_RPAREN,
    STATE(1064),
    1,
    sym_comment,
    [28005] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3231),
    1,
    anon_sym_RPAREN,
    STATE(1065),
    1,
    sym_comment,
    [28018] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3233),
    1,
    anon_sym_RPAREN,
    STATE(1066),
    1,
    sym_comment,
    [28031] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3235),
    1,
    anon_sym_RPAREN,
    STATE(1067),
    1,
    sym_comment,
    [28044] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3237),
    1,
    anon_sym_RPAREN,
    STATE(1068),
    1,
    sym_comment,
    [28057] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3239),
    1,
    anon_sym_RPAREN,
    STATE(1069),
    1,
    sym_comment,
    [28070] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3241),
    1,
    anon_sym_RPAREN,
    STATE(1070),
    1,
    sym_comment,
    [28083] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3243),
    1,
    sym_identifier,
    STATE(1071),
    1,
    sym_comment,
    [28096] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3245),
    1,
    anon_sym_SEMI,
    STATE(1072),
    1,
    sym_comment,
    [28109] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3247),
    1,
    anon_sym_RPAREN,
    STATE(1073),
    1,
    sym_comment,
    [28122] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3249),
    1,
    anon_sym_RPAREN,
    STATE(1074),
    1,
    sym_comment,
    [28135] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3251),
    1,
    anon_sym_RPAREN,
    STATE(1075),
    1,
    sym_comment,
    [28148] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2789),
    1,
    anon_sym_LT,
    STATE(1076),
    1,
    sym_comment,
    [28161] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3253),
    1,
    anon_sym_RPAREN,
    STATE(1077),
    1,
    sym_comment,
    [28174] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3255),
    1,
    sym_identifier,
    STATE(1078),
    1,
    sym_comment,
    [28187] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3257),
    1,
    sym_identifier,
    STATE(1079),
    1,
    sym_comment,
    [28200] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2675),
    1,
    sym_identifier,
    STATE(1080),
    1,
    sym_comment,
    [28213] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3259),
    1,
    anon_sym_LBRACE,
    STATE(1081),
    1,
    sym_comment,
    [28226] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2615),
    1,
    anon_sym_SEMI,
    STATE(1082),
    1,
    sym_comment,
    [28239] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3261),
    1,
    sym_identifier,
    STATE(1083),
    1,
    sym_comment,
    [28252] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3263),
    1,
    anon_sym_LPAREN,
    STATE(1084),
    1,
    sym_comment,
    [28265] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2459),
    1,
    anon_sym_SEMI,
    STATE(1085),
    1,
    sym_comment,
    [28278] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3265),
    1,
    anon_sym_LPAREN,
    STATE(1086),
    1,
    sym_comment,
    [28291] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3267),
    1,
    anon_sym_RPAREN,
    STATE(1087),
    1,
    sym_comment,
    [28304] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3269),
    1,
    anon_sym_RPAREN,
    STATE(1088),
    1,
    sym_comment,
    [28317] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3271),
    1,
    anon_sym_RPAREN,
    STATE(1089),
    1,
    sym_comment,
    [28330] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3273),
    1,
    anon_sym_RPAREN,
    STATE(1090),
    1,
    sym_comment,
    [28343] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3275),
    1,
    anon_sym_RPAREN,
    STATE(1091),
    1,
    sym_comment,
    [28356] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3277),
    1,
    anon_sym_RPAREN,
    STATE(1092),
    1,
    sym_comment,
    [28369] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3279),
    1,
    anon_sym_RPAREN,
    STATE(1093),
    1,
    sym_comment,
    [28382] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3281),
    1,
    anon_sym_RPAREN,
    STATE(1094),
    1,
    sym_comment,
    [28395] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3283),
    1,
    anon_sym_RPAREN,
    STATE(1095),
    1,
    sym_comment,
    [28408] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3285),
    1,
    anon_sym_RPAREN,
    STATE(1096),
    1,
    sym_comment,
    [28421] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3287),
    1,
    anon_sym_RPAREN,
    STATE(1097),
    1,
    sym_comment,
    [28434] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3289),
    1,
    anon_sym_RPAREN,
    STATE(1098),
    1,
    sym_comment,
    [28447] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3291),
    1,
    anon_sym_RPAREN,
    STATE(1099),
    1,
    sym_comment,
    [28460] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3293),
    1,
    anon_sym_RPAREN,
    STATE(1100),
    1,
    sym_comment,
    [28473] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3295),
    1,
    anon_sym_RPAREN,
    STATE(1101),
    1,
    sym_comment,
    [28486] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3297),
    1,
    anon_sym_RPAREN,
    STATE(1102),
    1,
    sym_comment,
    [28499] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3299),
    1,
    anon_sym_RPAREN,
    STATE(1103),
    1,
    sym_comment,
    [28512] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3301),
    1,
    anon_sym_RPAREN,
    STATE(1104),
    1,
    sym_comment,
    [28525] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3303),
    1,
    anon_sym_RPAREN,
    STATE(1105),
    1,
    sym_comment,
    [28538] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3305),
    1,
    anon_sym_RPAREN,
    STATE(1106),
    1,
    sym_comment,
    [28551] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3307),
    1,
    anon_sym_RPAREN,
    STATE(1107),
    1,
    sym_comment,
    [28564] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3309),
    1,
    anon_sym_RPAREN,
    STATE(1108),
    1,
    sym_comment,
    [28577] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3311),
    1,
    anon_sym_RPAREN,
    STATE(1109),
    1,
    sym_comment,
    [28590] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3313),
    1,
    anon_sym_RPAREN,
    STATE(1110),
    1,
    sym_comment,
    [28603] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(3315),
    1,
    aux_sym_comment_token1,
    STATE(1111),
    1,
    sym_comment,
    [28616] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3317),
    1,
    sym_identifier,
    STATE(1112),
    1,
    sym_comment,
    [28629] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3319),
    1,
    anon_sym_LPAREN,
    STATE(1113),
    1,
    sym_comment,
    [28642] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3321),
    1,
    anon_sym_LPAREN,
    STATE(1114),
    1,
    sym_comment,
    [28655] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3323),
    1,
    anon_sym_LPAREN,
    STATE(1115),
    1,
    sym_comment,
    [28668] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3325),
    1,
    sym_identifier,
    STATE(1116),
    1,
    sym_comment,
    [28681] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3327),
    1,
    anon_sym_LPAREN,
    STATE(1117),
    1,
    sym_comment,
    [28694] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3329),
    1,
    anon_sym_RPAREN,
    STATE(1118),
    1,
    sym_comment,
    [28707] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3331),
    1,
    anon_sym_RPAREN,
    STATE(1119),
    1,
    sym_comment,
    [28720] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3333),
    1,
    anon_sym_RPAREN,
    STATE(1120),
    1,
    sym_comment,
    [28733] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3335),
    1,
    anon_sym_RPAREN,
    STATE(1121),
    1,
    sym_comment,
    [28746] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3337),
    1,
    anon_sym_RPAREN,
    STATE(1122),
    1,
    sym_comment,
    [28759] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3339),
    1,
    anon_sym_RPAREN,
    STATE(1123),
    1,
    sym_comment,
    [28772] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3341),
    1,
    anon_sym_RPAREN,
    STATE(1124),
    1,
    sym_comment,
    [28785] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3343),
    1,
    anon_sym_RPAREN,
    STATE(1125),
    1,
    sym_comment,
    [28798] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3345),
    1,
    anon_sym_RPAREN,
    STATE(1126),
    1,
    sym_comment,
    [28811] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3347),
    1,
    anon_sym_RPAREN,
    STATE(1127),
    1,
    sym_comment,
    [28824] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3349),
    1,
    anon_sym_RPAREN,
    STATE(1128),
    1,
    sym_comment,
    [28837] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3351),
    1,
    anon_sym_RPAREN,
    STATE(1129),
    1,
    sym_comment,
    [28850] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3353),
    1,
    anon_sym_RPAREN,
    STATE(1130),
    1,
    sym_comment,
    [28863] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3355),
    1,
    anon_sym_RPAREN,
    STATE(1131),
    1,
    sym_comment,
    [28876] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3357),
    1,
    anon_sym_RPAREN,
    STATE(1132),
    1,
    sym_comment,
    [28889] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3359),
    1,
    anon_sym_RPAREN,
    STATE(1133),
    1,
    sym_comment,
    [28902] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3361),
    1,
    anon_sym_RPAREN,
    STATE(1134),
    1,
    sym_comment,
    [28915] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3363),
    1,
    anon_sym_RPAREN,
    STATE(1135),
    1,
    sym_comment,
    [28928] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3365),
    1,
    anon_sym_RPAREN,
    STATE(1136),
    1,
    sym_comment,
    [28941] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3367),
    1,
    anon_sym_RPAREN,
    STATE(1137),
    1,
    sym_comment,
    [28954] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3369),
    1,
    anon_sym_RPAREN,
    STATE(1138),
    1,
    sym_comment,
    [28967] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3371),
    1,
    anon_sym_RPAREN,
    STATE(1139),
    1,
    sym_comment,
    [28980] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3373),
    1,
    anon_sym_RPAREN,
    STATE(1140),
    1,
    sym_comment,
    [28993] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3375),
    1,
    anon_sym_RPAREN,
    STATE(1141),
    1,
    sym_comment,
    [29006] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3377),
    1,
    sym_identifier,
    STATE(1142),
    1,
    sym_comment,
    [29019] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3379),
    1,
    sym_identifier,
    STATE(1143),
    1,
    sym_comment,
    [29032] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3381),
    1,
    sym_identifier,
    STATE(1144),
    1,
    sym_comment,
    [29045] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3383),
    1,
    anon_sym_LPAREN,
    STATE(1145),
    1,
    sym_comment,
    [29058] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2717),
    1,
    anon_sym_DQUOTE,
    STATE(1146),
    1,
    sym_comment,
    [29071] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3385),
    1,
    anon_sym_LPAREN,
    STATE(1147),
    1,
    sym_comment,
    [29084] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3387),
    1,
    sym_number_literal,
    STATE(1148),
    1,
    sym_comment,
    [29097] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3389),
    1,
    sym_number_literal,
    STATE(1149),
    1,
    sym_comment,
    [29110] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3391),
    1,
    anon_sym_LPAREN,
    STATE(1150),
    1,
    sym_comment,
    [29123] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3393),
    1,
    anon_sym_LPAREN,
    STATE(1151),
    1,
    sym_comment,
    [29136] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3395),
    1,
    sym_identifier,
    STATE(1152),
    1,
    sym_comment,
    [29149] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3397),
    1,
    anon_sym_LBRACE,
    STATE(1153),
    1,
    sym_comment,
    [29162] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3399),
    1,
    anon_sym_LBRACE,
    STATE(1154),
    1,
    sym_comment,
    [29175] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3401),
    1,
    anon_sym_SEMI,
    STATE(1155),
    1,
    sym_comment,
    [29188] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3403),
    1,
    sym_identifier,
    STATE(1156),
    1,
    sym_comment,
    [29201] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3405),
    1,
    sym_number_literal,
    STATE(1157),
    1,
    sym_comment,
    [29214] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3407),
    1,
    sym_identifier,
    STATE(1158),
    1,
    sym_comment,
    [29227] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3409),
    1,
    sym_identifier,
    STATE(1159),
    1,
    sym_comment,
    [29240] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3411),
    1,
    anon_sym_LBRACE,
    STATE(1160),
    1,
    sym_comment,
    [29253] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(3413),
    1,
    aux_sym_preproc_call_token1,
    STATE(1161),
    1,
    sym_comment,
    [29266] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3415),
    1,
    anon_sym_DQUOTE,
    STATE(1162),
    1,
    sym_comment,
    [29279] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(3417),
    1,
    sym_system_lib_path,
    STATE(1163),
    1,
    sym_comment,
    [29292] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(3419),
    1,
    aux_sym_preproc_call_token1,
    STATE(1164),
    1,
    sym_comment,
    [29305] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3421),
    1,
    anon_sym_SLASH,
    STATE(1165),
    1,
    sym_comment,
    [29318] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3423),
    1,
    anon_sym_SEMI,
    STATE(1166),
    1,
    sym_comment,
    [29331] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3425),
    1,
    anon_sym_LPAREN,
    STATE(1167),
    1,
    sym_comment,
    [29344] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3427),
    1,
    anon_sym_SEMI,
    STATE(1168),
    1,
    sym_comment,
    [29357] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3429),
    1,
    anon_sym_LBRACE,
    STATE(1169),
    1,
    sym_comment,
    [29370] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3431),
    1,
    anon_sym_SEMI,
    STATE(1170),
    1,
    sym_comment,
    [29383] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3433),
    1,
    anon_sym_LBRACE,
    STATE(1171),
    1,
    sym_comment,
    [29396] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3435),
    1,
    anon_sym_SEMI,
    STATE(1172),
    1,
    sym_comment,
    [29409] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3437),
    1,
    sym_number_literal,
    STATE(1173),
    1,
    sym_comment,
    [29422] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3439),
    1,
    sym_number_literal,
    STATE(1174),
    1,
    sym_comment,
    [29435] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3441),
    1,
    anon_sym_LBRACE,
    STATE(1175),
    1,
    sym_comment,
    [29448] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3443),
    1,
    anon_sym_LBRACE,
    STATE(1176),
    1,
    sym_comment,
    [29461] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3445),
    1,
    anon_sym_SEMI,
    STATE(1177),
    1,
    sym_comment,
    [29474] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3447),
    1,
    anon_sym_RPAREN,
    STATE(1178),
    1,
    sym_comment,
    [29487] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3449),
    1,
    anon_sym_enum,
    STATE(1179),
    1,
    sym_comment,
    [29500] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3451),
    1,
    anon_sym_SEMI,
    STATE(1180),
    1,
    sym_comment,
    [29513] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3453),
    1,
    anon_sym_LBRACE,
    STATE(1181),
    1,
    sym_comment,
    [29526] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3455),
    1,
    sym_number_literal,
    STATE(1182),
    1,
    sym_comment,
    [29539] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3457),
    1,
    sym_identifier,
    STATE(1183),
    1,
    sym_comment,
    [29552] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3459),
    1,
    anon_sym_SEMI,
    STATE(1184),
    1,
    sym_comment,
    [29565] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3461),
    1,
    anon_sym_RPAREN,
    STATE(1185),
    1,
    sym_comment,
    [29578] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3463),
    1,
    anon_sym_LBRACE,
    STATE(1186),
    1,
    sym_comment,
    [29591] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3465),
    1,
    anon_sym_SEMI,
    STATE(1187),
    1,
    sym_comment,
    [29604] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3467),
    1,
    sym_identifier,
    STATE(1188),
    1,
    sym_comment,
    [29617] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3469),
    1,
    anon_sym_SEMI,
    STATE(1189),
    1,
    sym_comment,
    [29630] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3471),
    1,
    anon_sym_SEMI,
    STATE(1190),
    1,
    sym_comment,
    [29643] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3473),
    1,
    ts_builtin_sym_end,
    STATE(1191),
    1,
    sym_comment,
    [29656] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3475),
    1,
    anon_sym_RPAREN,
    STATE(1192),
    1,
    sym_comment,
    [29669] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3477),
    1,
    sym_identifier,
    STATE(1193),
    1,
    sym_comment,
    [29682] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3479),
    1,
    sym_identifier,
    STATE(1194),
    1,
    sym_comment,
    [29695] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3481),
    1,
    sym_identifier,
    STATE(1195),
    1,
    sym_comment,
    [29708] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3483),
    1,
    sym_number_literal,
    STATE(1196),
    1,
    sym_comment,
    [29721] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3485),
    1,
    sym_number_literal,
    STATE(1197),
    1,
    sym_comment,
    [29734] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3487),
    1,
    sym_identifier,
    STATE(1198),
    1,
    sym_comment,
    [29747] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3489),
    1,
    anon_sym_enum,
    STATE(1199),
    1,
    sym_comment,
    [29760] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3491),
    1,
    anon_sym_SEMI,
    STATE(1200),
    1,
    sym_comment,
    [29773] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3493),
    1,
    sym_identifier,
    STATE(1201),
    1,
    sym_comment,
    [29786] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3495),
    1,
    sym_identifier,
    STATE(1202),
    1,
    sym_comment,
    [29799] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3497),
    1,
    sym_identifier,
    STATE(1203),
    1,
    sym_comment,
    [29812] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3499),
    1,
    sym_identifier,
    STATE(1204),
    1,
    sym_comment,
    [29825] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3501),
    1,
    sym_number_literal,
    STATE(1205),
    1,
    sym_comment,
    [29838] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3503),
    1,
    sym_identifier,
    STATE(1206),
    1,
    sym_comment,
    [29851] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3505),
    1,
    sym_identifier,
    STATE(1207),
    1,
    sym_comment,
    [29864] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3507),
    1,
    sym_identifier,
    STATE(1208),
    1,
    sym_comment,
    [29877] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3509),
    1,
    sym_identifier,
    STATE(1209),
    1,
    sym_comment,
    [29890] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3511),
    1,
    sym_identifier,
    STATE(1210),
    1,
    sym_comment,
    [29903] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2623),
    1,
    anon_sym_interface,
    STATE(1211),
    1,
    sym_comment,
    [29916] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3513),
    1,
    sym_identifier,
    STATE(1212),
    1,
    sym_comment,
    [29929] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3515),
    1,
    anon_sym_RPAREN,
    STATE(1213),
    1,
    sym_comment,
    [29942] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3517),
    1,
    anon_sym_SEMI,
    STATE(1214),
    1,
    sym_comment,
    [29955] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(3519),
    1,
    aux_sym_preproc_define_token1,
    STATE(1215),
    1,
    sym_comment,
    [29968] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2041),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(3521),
    1,
    aux_sym_comment_token2,
    STATE(1216),
    1,
    sym_comment,
    [29981] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3523),
    1,
    anon_sym_LPAREN,
    STATE(1217),
    1,
    sym_comment,
    [29994] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3525),
    1,
    anon_sym_LPAREN,
    STATE(1218),
    1,
    sym_comment,
    [30007] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3527),
    1,
    anon_sym_LPAREN,
    STATE(1219),
    1,
    sym_comment,
    [30020] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3529),
    1,
    anon_sym_LPAREN,
    STATE(1220),
    1,
    sym_comment,
    [30033] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3531),
    1,
    anon_sym_LPAREN,
    STATE(1221),
    1,
    sym_comment,
    [30046] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3533),
    1,
    anon_sym_LPAREN,
    STATE(1222),
    1,
    sym_comment,
    [30059] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3535),
    1,
    anon_sym_LPAREN,
    STATE(1223),
    1,
    sym_comment,
    [30072] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3537),
    1,
    anon_sym_LPAREN,
    STATE(1224),
    1,
    sym_comment,
    [30085] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3539),
    1,
    anon_sym_LPAREN,
    STATE(1225),
    1,
    sym_comment,
    [30098] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3541),
    1,
    anon_sym_LPAREN,
    STATE(1226),
    1,
    sym_comment,
    [30111] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3543),
    1,
    anon_sym_COMMA,
    STATE(1227),
    1,
    sym_comment,
    [30124] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3545),
    1,
    anon_sym_COMMA,
    STATE(1228),
    1,
    sym_comment,
    [30137] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3547),
    1,
    anon_sym_COMMA,
    STATE(1229),
    1,
    sym_comment,
    [30150] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3549),
    1,
    anon_sym_COMMA,
    STATE(1230),
    1,
    sym_comment,
    [30163] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3551),
    1,
    anon_sym_LPAREN,
    STATE(1231),
    1,
    sym_comment,
    [30176] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3553),
    1,
    anon_sym_LPAREN,
    STATE(1232),
    1,
    sym_comment,
    [30189] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3555),
    1,
    anon_sym_LPAREN,
    STATE(1233),
    1,
    sym_comment,
    [30202] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3557),
    1,
    anon_sym_LPAREN,
    STATE(1234),
    1,
    sym_comment,
    [30215] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3559),
    1,
    anon_sym_LPAREN,
    STATE(1235),
    1,
    sym_comment,
    [30228] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3561),
    1,
    anon_sym_LPAREN,
    STATE(1236),
    1,
    sym_comment,
    [30241] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3563),
    1,
    anon_sym_LPAREN,
    STATE(1237),
    1,
    sym_comment,
    [30254] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3565),
    1,
    anon_sym_LPAREN,
    STATE(1238),
    1,
    sym_comment,
    [30267] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3567),
    1,
    anon_sym_LPAREN,
    STATE(1239),
    1,
    sym_comment,
    [30280] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3569),
    1,
    anon_sym_LPAREN,
    STATE(1240),
    1,
    sym_comment,
    [30293] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3571),
    1,
    anon_sym_COMMA,
    STATE(1241),
    1,
    sym_comment,
    [30306] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3573),
    1,
    anon_sym_COMMA,
    STATE(1242),
    1,
    sym_comment,
    [30319] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3575),
    1,
    anon_sym_COMMA,
    STATE(1243),
    1,
    sym_comment,
    [30332] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3577),
    1,
    anon_sym_COMMA,
    STATE(1244),
    1,
    sym_comment,
    [30345] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3579),
    1,
    anon_sym_LPAREN,
    STATE(1245),
    1,
    sym_comment,
    [30358] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3581),
    1,
    anon_sym_LPAREN,
    STATE(1246),
    1,
    sym_comment,
    [30371] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3583),
    1,
    anon_sym_LPAREN,
    STATE(1247),
    1,
    sym_comment,
    [30384] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3585),
    1,
    anon_sym_LPAREN,
    STATE(1248),
    1,
    sym_comment,
    [30397] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3587),
    1,
    anon_sym_LPAREN,
    STATE(1249),
    1,
    sym_comment,
    [30410] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3589),
    1,
    anon_sym_LPAREN,
    STATE(1250),
    1,
    sym_comment,
    [30423] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3591),
    1,
    anon_sym_LPAREN,
    STATE(1251),
    1,
    sym_comment,
    [30436] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3593),
    1,
    anon_sym_LPAREN,
    STATE(1252),
    1,
    sym_comment,
    [30449] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3595),
    1,
    anon_sym_LPAREN,
    STATE(1253),
    1,
    sym_comment,
    [30462] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3597),
    1,
    anon_sym_LPAREN,
    STATE(1254),
    1,
    sym_comment,
    [30475] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3599),
    1,
    anon_sym_COMMA,
    STATE(1255),
    1,
    sym_comment,
    [30488] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3601),
    1,
    anon_sym_COMMA,
    STATE(1256),
    1,
    sym_comment,
    [30501] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3603),
    1,
    anon_sym_COMMA,
    STATE(1257),
    1,
    sym_comment,
    [30514] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3605),
    1,
    anon_sym_COMMA,
    STATE(1258),
    1,
    sym_comment,
    [30527] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3607),
    1,
    anon_sym_SEMI,
    STATE(1259),
    1,
    sym_comment,
    [30540] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3609),
    1,
    anon_sym_SEMI,
    STATE(1260),
    1,
    sym_comment,
    [30553] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3611),
    1,
    anon_sym_RPAREN,
    STATE(1261),
    1,
    sym_comment,
    [30566] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(898),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3613),
    1,
    anon_sym_LPAREN,
    STATE(1262),
    1,
    sym_comment,
    [30579] = 1,
    ACTIONS(3615),
    1,
    ts_builtin_sym_end,
    [30583] = 1,
    ACTIONS(3617),
    1,
    ts_builtin_sym_end,
};

static const uint32_t ts_small_parse_table_map[] = {
    [SMALL_STATE(34)] = 0,
    [SMALL_STATE(35)] = 151,
    [SMALL_STATE(36)] = 302,
    [SMALL_STATE(37)] = 453,
    [SMALL_STATE(38)] = 604,
    [SMALL_STATE(39)] = 755,
    [SMALL_STATE(40)] = 904,
    [SMALL_STATE(41)] = 1055,
    [SMALL_STATE(42)] = 1206,
    [SMALL_STATE(43)] = 1357,
    [SMALL_STATE(44)] = 1508,
    [SMALL_STATE(45)] = 1659,
    [SMALL_STATE(46)] = 1807,
    [SMALL_STATE(47)] = 1951,
    [SMALL_STATE(48)] = 2089,
    [SMALL_STATE(49)] = 2233,
    [SMALL_STATE(50)] = 2375,
    [SMALL_STATE(51)] = 2517,
    [SMALL_STATE(52)] = 2661,
    [SMALL_STATE(53)] = 2731,
    [SMALL_STATE(54)] = 2801,
    [SMALL_STATE(55)] = 2871,
    [SMALL_STATE(56)] = 2941,
    [SMALL_STATE(57)] = 3011,
    [SMALL_STATE(58)] = 3081,
    [SMALL_STATE(59)] = 3151,
    [SMALL_STATE(60)] = 3281,
    [SMALL_STATE(61)] = 3350,
    [SMALL_STATE(62)] = 3419,
    [SMALL_STATE(63)] = 3546,
    [SMALL_STATE(64)] = 3615,
    [SMALL_STATE(65)] = 3684,
    [SMALL_STATE(66)] = 3805,
    [SMALL_STATE(67)] = 3926,
    [SMALL_STATE(68)] = 4053,
    [SMALL_STATE(69)] = 4174,
    [SMALL_STATE(70)] = 4301,
    [SMALL_STATE(71)] = 4368,
    [SMALL_STATE(72)] = 4495,
    [SMALL_STATE(73)] = 4616,
    [SMALL_STATE(74)] = 4743,
    [SMALL_STATE(75)] = 4870,
    [SMALL_STATE(76)] = 4991,
    [SMALL_STATE(77)] = 5112,
    [SMALL_STATE(78)] = 5233,
    [SMALL_STATE(79)] = 5360,
    [SMALL_STATE(80)] = 5487,
    [SMALL_STATE(81)] = 5608,
    [SMALL_STATE(82)] = 5735,
    [SMALL_STATE(83)] = 5802,
    [SMALL_STATE(84)] = 5929,
    [SMALL_STATE(85)] = 6056,
    [SMALL_STATE(86)] = 6161,
    [SMALL_STATE(87)] = 6266,
    [SMALL_STATE(88)] = 6329,
    [SMALL_STATE(89)] = 6384,
    [SMALL_STATE(90)] = 6439,
    [SMALL_STATE(91)] = 6494,
    [SMALL_STATE(92)] = 6552,
    [SMALL_STATE(93)] = 6602,
    [SMALL_STATE(94)] = 6650,
    [SMALL_STATE(95)] = 6698,
    [SMALL_STATE(96)] = 6748,
    [SMALL_STATE(97)] = 6796,
    [SMALL_STATE(98)] = 6844,
    [SMALL_STATE(99)] = 6892,
    [SMALL_STATE(100)] = 6940,
    [SMALL_STATE(101)] = 6990,
    [SMALL_STATE(102)] = 7040,
    [SMALL_STATE(103)] = 7088,
    [SMALL_STATE(104)] = 7138,
    [SMALL_STATE(105)] = 7188,
    [SMALL_STATE(106)] = 7238,
    [SMALL_STATE(107)] = 7288,
    [SMALL_STATE(108)] = 7338,
    [SMALL_STATE(109)] = 7388,
    [SMALL_STATE(110)] = 7436,
    [SMALL_STATE(111)] = 7483,
    [SMALL_STATE(112)] = 7530,
    [SMALL_STATE(113)] = 7577,
    [SMALL_STATE(114)] = 7624,
    [SMALL_STATE(115)] = 7671,
    [SMALL_STATE(116)] = 7718,
    [SMALL_STATE(117)] = 7765,
    [SMALL_STATE(118)] = 7812,
    [SMALL_STATE(119)] = 7859,
    [SMALL_STATE(120)] = 7906,
    [SMALL_STATE(121)] = 7953,
    [SMALL_STATE(122)] = 8000,
    [SMALL_STATE(123)] = 8047,
    [SMALL_STATE(124)] = 8094,
    [SMALL_STATE(125)] = 8141,
    [SMALL_STATE(126)] = 8188,
    [SMALL_STATE(127)] = 8235,
    [SMALL_STATE(128)] = 8282,
    [SMALL_STATE(129)] = 8329,
    [SMALL_STATE(130)] = 8376,
    [SMALL_STATE(131)] = 8423,
    [SMALL_STATE(132)] = 8470,
    [SMALL_STATE(133)] = 8517,
    [SMALL_STATE(134)] = 8564,
    [SMALL_STATE(135)] = 8611,
    [SMALL_STATE(136)] = 8658,
    [SMALL_STATE(137)] = 8705,
    [SMALL_STATE(138)] = 8752,
    [SMALL_STATE(139)] = 8799,
    [SMALL_STATE(140)] = 8846,
    [SMALL_STATE(141)] = 8893,
    [SMALL_STATE(142)] = 8940,
    [SMALL_STATE(143)] = 8987,
    [SMALL_STATE(144)] = 9034,
    [SMALL_STATE(145)] = 9081,
    [SMALL_STATE(146)] = 9128,
    [SMALL_STATE(147)] = 9175,
    [SMALL_STATE(148)] = 9222,
    [SMALL_STATE(149)] = 9269,
    [SMALL_STATE(150)] = 9316,
    [SMALL_STATE(151)] = 9363,
    [SMALL_STATE(152)] = 9410,
    [SMALL_STATE(153)] = 9455,
    [SMALL_STATE(154)] = 9538,
    [SMALL_STATE(155)] = 9583,
    [SMALL_STATE(156)] = 9628,
    [SMALL_STATE(157)] = 9673,
    [SMALL_STATE(158)] = 9718,
    [SMALL_STATE(159)] = 9801,
    [SMALL_STATE(160)] = 9846,
    [SMALL_STATE(161)] = 9935,
    [SMALL_STATE(162)] = 10024,
    [SMALL_STATE(163)] = 10067,
    [SMALL_STATE(164)] = 10110,
    [SMALL_STATE(165)] = 10153,
    [SMALL_STATE(166)] = 10242,
    [SMALL_STATE(167)] = 10331,
    [SMALL_STATE(168)] = 10417,
    [SMALL_STATE(169)] = 10503,
    [SMALL_STATE(170)] = 10545,
    [SMALL_STATE(171)] = 10631,
    [SMALL_STATE(172)] = 10717,
    [SMALL_STATE(173)] = 10803,
    [SMALL_STATE(174)] = 10889,
    [SMALL_STATE(175)] = 10975,
    [SMALL_STATE(176)] = 11058,
    [SMALL_STATE(177)] = 11141,
    [SMALL_STATE(178)] = 11224,
    [SMALL_STATE(179)] = 11307,
    [SMALL_STATE(180)] = 11390,
    [SMALL_STATE(181)] = 11473,
    [SMALL_STATE(182)] = 11541,
    [SMALL_STATE(183)] = 11618,
    [SMALL_STATE(184)] = 11692,
    [SMALL_STATE(185)] = 11729,
    [SMALL_STATE(186)] = 11766,
    [SMALL_STATE(187)] = 11837,
    [SMALL_STATE(188)] = 11905,
    [SMALL_STATE(189)] = 11965,
    [SMALL_STATE(190)] = 12030,
    [SMALL_STATE(191)] = 12085,
    [SMALL_STATE(192)] = 12142,
    [SMALL_STATE(193)] = 12204,
    [SMALL_STATE(194)] = 12237,
    [SMALL_STATE(195)] = 12270,
    [SMALL_STATE(196)] = 12300,
    [SMALL_STATE(197)] = 12330,
    [SMALL_STATE(198)] = 12360,
    [SMALL_STATE(199)] = 12410,
    [SMALL_STATE(200)] = 12452,
    [SMALL_STATE(201)] = 12494,
    [SMALL_STATE(202)] = 12524,
    [SMALL_STATE(203)] = 12566,
    [SMALL_STATE(204)] = 12596,
    [SMALL_STATE(205)] = 12638,
    [SMALL_STATE(206)] = 12668,
    [SMALL_STATE(207)] = 12718,
    [SMALL_STATE(208)] = 12748,
    [SMALL_STATE(209)] = 12796,
    [SMALL_STATE(210)] = 12826,
    [SMALL_STATE(211)] = 12856,
    [SMALL_STATE(212)] = 12886,
    [SMALL_STATE(213)] = 12920,
    [SMALL_STATE(214)] = 12950,
    [SMALL_STATE(215)] = 12980,
    [SMALL_STATE(216)] = 13030,
    [SMALL_STATE(217)] = 13060,
    [SMALL_STATE(218)] = 13108,
    [SMALL_STATE(219)] = 13142,
    [SMALL_STATE(220)] = 13189,
    [SMALL_STATE(221)] = 13238,
    [SMALL_STATE(222)] = 13267,
    [SMALL_STATE(223)] = 13300,
    [SMALL_STATE(224)] = 13329,
    [SMALL_STATE(225)] = 13376,
    [SMALL_STATE(226)] = 13405,
    [SMALL_STATE(227)] = 13432,
    [SMALL_STATE(228)] = 13459,
    [SMALL_STATE(229)] = 13490,
    [SMALL_STATE(230)] = 13512,
    [SMALL_STATE(231)] = 13546,
    [SMALL_STATE(232)] = 13576,
    [SMALL_STATE(233)] = 13602,
    [SMALL_STATE(234)] = 13636,
    [SMALL_STATE(235)] = 13670,
    [SMALL_STATE(236)] = 13692,
    [SMALL_STATE(237)] = 13714,
    [SMALL_STATE(238)] = 13748,
    [SMALL_STATE(239)] = 13778,
    [SMALL_STATE(240)] = 13800,
    [SMALL_STATE(241)] = 13834,
    [SMALL_STATE(242)] = 13868,
    [SMALL_STATE(243)] = 13902,
    [SMALL_STATE(244)] = 13936,
    [SMALL_STATE(245)] = 13958,
    [SMALL_STATE(246)] = 13992,
    [SMALL_STATE(247)] = 14026,
    [SMALL_STATE(248)] = 14060,
    [SMALL_STATE(249)] = 14094,
    [SMALL_STATE(250)] = 14128,
    [SMALL_STATE(251)] = 14158,
    [SMALL_STATE(252)] = 14188,
    [SMALL_STATE(253)] = 14222,
    [SMALL_STATE(254)] = 14256,
    [SMALL_STATE(255)] = 14290,
    [SMALL_STATE(256)] = 14324,
    [SMALL_STATE(257)] = 14358,
    [SMALL_STATE(258)] = 14380,
    [SMALL_STATE(259)] = 14414,
    [SMALL_STATE(260)] = 14437,
    [SMALL_STATE(261)] = 14460,
    [SMALL_STATE(262)] = 14483,
    [SMALL_STATE(263)] = 14506,
    [SMALL_STATE(264)] = 14529,
    [SMALL_STATE(265)] = 14552,
    [SMALL_STATE(266)] = 14575,
    [SMALL_STATE(267)] = 14598,
    [SMALL_STATE(268)] = 14621,
    [SMALL_STATE(269)] = 14644,
    [SMALL_STATE(270)] = 14667,
    [SMALL_STATE(271)] = 14690,
    [SMALL_STATE(272)] = 14710,
    [SMALL_STATE(273)] = 14730,
    [SMALL_STATE(274)] = 14750,
    [SMALL_STATE(275)] = 14770,
    [SMALL_STATE(276)] = 14790,
    [SMALL_STATE(277)] = 14810,
    [SMALL_STATE(278)] = 14830,
    [SMALL_STATE(279)] = 14850,
    [SMALL_STATE(280)] = 14870,
    [SMALL_STATE(281)] = 14890,
    [SMALL_STATE(282)] = 14910,
    [SMALL_STATE(283)] = 14930,
    [SMALL_STATE(284)] = 14950,
    [SMALL_STATE(285)] = 14970,
    [SMALL_STATE(286)] = 14990,
    [SMALL_STATE(287)] = 15010,
    [SMALL_STATE(288)] = 15030,
    [SMALL_STATE(289)] = 15050,
    [SMALL_STATE(290)] = 15070,
    [SMALL_STATE(291)] = 15090,
    [SMALL_STATE(292)] = 15110,
    [SMALL_STATE(293)] = 15130,
    [SMALL_STATE(294)] = 15150,
    [SMALL_STATE(295)] = 15170,
    [SMALL_STATE(296)] = 15204,
    [SMALL_STATE(297)] = 15224,
    [SMALL_STATE(298)] = 15244,
    [SMALL_STATE(299)] = 15264,
    [SMALL_STATE(300)] = 15298,
    [SMALL_STATE(301)] = 15318,
    [SMALL_STATE(302)] = 15338,
    [SMALL_STATE(303)] = 15358,
    [SMALL_STATE(304)] = 15378,
    [SMALL_STATE(305)] = 15398,
    [SMALL_STATE(306)] = 15418,
    [SMALL_STATE(307)] = 15440,
    [SMALL_STATE(308)] = 15462,
    [SMALL_STATE(309)] = 15482,
    [SMALL_STATE(310)] = 15516,
    [SMALL_STATE(311)] = 15536,
    [SMALL_STATE(312)] = 15570,
    [SMALL_STATE(313)] = 15590,
    [SMALL_STATE(314)] = 15610,
    [SMALL_STATE(315)] = 15630,
    [SMALL_STATE(316)] = 15649,
    [SMALL_STATE(317)] = 15668,
    [SMALL_STATE(318)] = 15687,
    [SMALL_STATE(319)] = 15718,
    [SMALL_STATE(320)] = 15747,
    [SMALL_STATE(321)] = 15778,
    [SMALL_STATE(322)] = 15809,
    [SMALL_STATE(323)] = 15828,
    [SMALL_STATE(324)] = 15859,
    [SMALL_STATE(325)] = 15890,
    [SMALL_STATE(326)] = 15921,
    [SMALL_STATE(327)] = 15952,
    [SMALL_STATE(328)] = 15971,
    [SMALL_STATE(329)] = 15992,
    [SMALL_STATE(330)] = 16011,
    [SMALL_STATE(331)] = 16042,
    [SMALL_STATE(332)] = 16061,
    [SMALL_STATE(333)] = 16080,
    [SMALL_STATE(334)] = 16108,
    [SMALL_STATE(335)] = 16130,
    [SMALL_STATE(336)] = 16158,
    [SMALL_STATE(337)] = 16186,
    [SMALL_STATE(338)] = 16214,
    [SMALL_STATE(339)] = 16242,
    [SMALL_STATE(340)] = 16268,
    [SMALL_STATE(341)] = 16296,
    [SMALL_STATE(342)] = 16324,
    [SMALL_STATE(343)] = 16352,
    [SMALL_STATE(344)] = 16380,
    [SMALL_STATE(345)] = 16408,
    [SMALL_STATE(346)] = 16434,
    [SMALL_STATE(347)] = 16462,
    [SMALL_STATE(348)] = 16490,
    [SMALL_STATE(349)] = 16518,
    [SMALL_STATE(350)] = 16542,
    [SMALL_STATE(351)] = 16566,
    [SMALL_STATE(352)] = 16594,
    [SMALL_STATE(353)] = 16620,
    [SMALL_STATE(354)] = 16648,
    [SMALL_STATE(355)] = 16669,
    [SMALL_STATE(356)] = 16694,
    [SMALL_STATE(357)] = 16711,
    [SMALL_STATE(358)] = 16728,
    [SMALL_STATE(359)] = 16745,
    [SMALL_STATE(360)] = 16762,
    [SMALL_STATE(361)] = 16787,
    [SMALL_STATE(362)] = 16810,
    [SMALL_STATE(363)] = 16833,
    [SMALL_STATE(364)] = 16858,
    [SMALL_STATE(365)] = 16875,
    [SMALL_STATE(366)] = 16892,
    [SMALL_STATE(367)] = 16909,
    [SMALL_STATE(368)] = 16926,
    [SMALL_STATE(369)] = 16943,
    [SMALL_STATE(370)] = 16962,
    [SMALL_STATE(371)] = 16983,
    [SMALL_STATE(372)] = 17000,
    [SMALL_STATE(373)] = 17025,
    [SMALL_STATE(374)] = 17042,
    [SMALL_STATE(375)] = 17067,
    [SMALL_STATE(376)] = 17084,
    [SMALL_STATE(377)] = 17107,
    [SMALL_STATE(378)] = 17126,
    [SMALL_STATE(379)] = 17151,
    [SMALL_STATE(380)] = 17174,
    [SMALL_STATE(381)] = 17199,
    [SMALL_STATE(382)] = 17224,
    [SMALL_STATE(383)] = 17249,
    [SMALL_STATE(384)] = 17266,
    [SMALL_STATE(385)] = 17291,
    [SMALL_STATE(386)] = 17308,
    [SMALL_STATE(387)] = 17331,
    [SMALL_STATE(388)] = 17348,
    [SMALL_STATE(389)] = 17365,
    [SMALL_STATE(390)] = 17381,
    [SMALL_STATE(391)] = 17401,
    [SMALL_STATE(392)] = 17417,
    [SMALL_STATE(393)] = 17439,
    [SMALL_STATE(394)] = 17461,
    [SMALL_STATE(395)] = 17481,
    [SMALL_STATE(396)] = 17503,
    [SMALL_STATE(397)] = 17523,
    [SMALL_STATE(398)] = 17545,
    [SMALL_STATE(399)] = 17565,
    [SMALL_STATE(400)] = 17585,
    [SMALL_STATE(401)] = 17605,
    [SMALL_STATE(402)] = 17627,
    [SMALL_STATE(403)] = 17643,
    [SMALL_STATE(404)] = 17665,
    [SMALL_STATE(405)] = 17683,
    [SMALL_STATE(406)] = 17705,
    [SMALL_STATE(407)] = 17727,
    [SMALL_STATE(408)] = 17749,
    [SMALL_STATE(409)] = 17771,
    [SMALL_STATE(410)] = 17793,
    [SMALL_STATE(411)] = 17815,
    [SMALL_STATE(412)] = 17837,
    [SMALL_STATE(413)] = 17859,
    [SMALL_STATE(414)] = 17881,
    [SMALL_STATE(415)] = 17899,
    [SMALL_STATE(416)] = 17921,
    [SMALL_STATE(417)] = 17939,
    [SMALL_STATE(418)] = 17961,
    [SMALL_STATE(419)] = 17983,
    [SMALL_STATE(420)] = 18005,
    [SMALL_STATE(421)] = 18023,
    [SMALL_STATE(422)] = 18041,
    [SMALL_STATE(423)] = 18063,
    [SMALL_STATE(424)] = 18081,
    [SMALL_STATE(425)] = 18099,
    [SMALL_STATE(426)] = 18119,
    [SMALL_STATE(427)] = 18137,
    [SMALL_STATE(428)] = 18155,
    [SMALL_STATE(429)] = 18177,
    [SMALL_STATE(430)] = 18195,
    [SMALL_STATE(431)] = 18217,
    [SMALL_STATE(432)] = 18239,
    [SMALL_STATE(433)] = 18261,
    [SMALL_STATE(434)] = 18281,
    [SMALL_STATE(435)] = 18299,
    [SMALL_STATE(436)] = 18319,
    [SMALL_STATE(437)] = 18339,
    [SMALL_STATE(438)] = 18361,
    [SMALL_STATE(439)] = 18379,
    [SMALL_STATE(440)] = 18401,
    [SMALL_STATE(441)] = 18423,
    [SMALL_STATE(442)] = 18443,
    [SMALL_STATE(443)] = 18459,
    [SMALL_STATE(444)] = 18477,
    [SMALL_STATE(445)] = 18495,
    [SMALL_STATE(446)] = 18513,
    [SMALL_STATE(447)] = 18535,
    [SMALL_STATE(448)] = 18555,
    [SMALL_STATE(449)] = 18571,
    [SMALL_STATE(450)] = 18591,
    [SMALL_STATE(451)] = 18613,
    [SMALL_STATE(452)] = 18635,
    [SMALL_STATE(453)] = 18653,
    [SMALL_STATE(454)] = 18669,
    [SMALL_STATE(455)] = 18685,
    [SMALL_STATE(456)] = 18701,
    [SMALL_STATE(457)] = 18721,
    [SMALL_STATE(458)] = 18737,
    [SMALL_STATE(459)] = 18753,
    [SMALL_STATE(460)] = 18769,
    [SMALL_STATE(461)] = 18787,
    [SMALL_STATE(462)] = 18805,
    [SMALL_STATE(463)] = 18827,
    [SMALL_STATE(464)] = 18849,
    [SMALL_STATE(465)] = 18871,
    [SMALL_STATE(466)] = 18893,
    [SMALL_STATE(467)] = 18911,
    [SMALL_STATE(468)] = 18933,
    [SMALL_STATE(469)] = 18949,
    [SMALL_STATE(470)] = 18967,
    [SMALL_STATE(471)] = 18987,
    [SMALL_STATE(472)] = 19007,
    [SMALL_STATE(473)] = 19025,
    [SMALL_STATE(474)] = 19041,
    [SMALL_STATE(475)] = 19063,
    [SMALL_STATE(476)] = 19083,
    [SMALL_STATE(477)] = 19101,
    [SMALL_STATE(478)] = 19119,
    [SMALL_STATE(479)] = 19137,
    [SMALL_STATE(480)] = 19157,
    [SMALL_STATE(481)] = 19175,
    [SMALL_STATE(482)] = 19191,
    [SMALL_STATE(483)] = 19209,
    [SMALL_STATE(484)] = 19227,
    [SMALL_STATE(485)] = 19245,
    [SMALL_STATE(486)] = 19263,
    [SMALL_STATE(487)] = 19279,
    [SMALL_STATE(488)] = 19299,
    [SMALL_STATE(489)] = 19317,
    [SMALL_STATE(490)] = 19335,
    [SMALL_STATE(491)] = 19353,
    [SMALL_STATE(492)] = 19373,
    [SMALL_STATE(493)] = 19388,
    [SMALL_STATE(494)] = 19407,
    [SMALL_STATE(495)] = 19422,
    [SMALL_STATE(496)] = 19437,
    [SMALL_STATE(497)] = 19456,
    [SMALL_STATE(498)] = 19471,
    [SMALL_STATE(499)] = 19486,
    [SMALL_STATE(500)] = 19505,
    [SMALL_STATE(501)] = 19522,
    [SMALL_STATE(502)] = 19539,
    [SMALL_STATE(503)] = 19558,
    [SMALL_STATE(504)] = 19577,
    [SMALL_STATE(505)] = 19592,
    [SMALL_STATE(506)] = 19609,
    [SMALL_STATE(507)] = 19624,
    [SMALL_STATE(508)] = 19641,
    [SMALL_STATE(509)] = 19658,
    [SMALL_STATE(510)] = 19673,
    [SMALL_STATE(511)] = 19688,
    [SMALL_STATE(512)] = 19703,
    [SMALL_STATE(513)] = 19718,
    [SMALL_STATE(514)] = 19733,
    [SMALL_STATE(515)] = 19748,
    [SMALL_STATE(516)] = 19763,
    [SMALL_STATE(517)] = 19778,
    [SMALL_STATE(518)] = 19797,
    [SMALL_STATE(519)] = 19812,
    [SMALL_STATE(520)] = 19827,
    [SMALL_STATE(521)] = 19842,
    [SMALL_STATE(522)] = 19859,
    [SMALL_STATE(523)] = 19874,
    [SMALL_STATE(524)] = 19893,
    [SMALL_STATE(525)] = 19912,
    [SMALL_STATE(526)] = 19927,
    [SMALL_STATE(527)] = 19942,
    [SMALL_STATE(528)] = 19957,
    [SMALL_STATE(529)] = 19972,
    [SMALL_STATE(530)] = 19991,
    [SMALL_STATE(531)] = 20010,
    [SMALL_STATE(532)] = 20027,
    [SMALL_STATE(533)] = 20042,
    [SMALL_STATE(534)] = 20059,
    [SMALL_STATE(535)] = 20078,
    [SMALL_STATE(536)] = 20097,
    [SMALL_STATE(537)] = 20112,
    [SMALL_STATE(538)] = 20127,
    [SMALL_STATE(539)] = 20144,
    [SMALL_STATE(540)] = 20161,
    [SMALL_STATE(541)] = 20176,
    [SMALL_STATE(542)] = 20191,
    [SMALL_STATE(543)] = 20206,
    [SMALL_STATE(544)] = 20221,
    [SMALL_STATE(545)] = 20240,
    [SMALL_STATE(546)] = 20259,
    [SMALL_STATE(547)] = 20274,
    [SMALL_STATE(548)] = 20289,
    [SMALL_STATE(549)] = 20308,
    [SMALL_STATE(550)] = 20327,
    [SMALL_STATE(551)] = 20346,
    [SMALL_STATE(552)] = 20361,
    [SMALL_STATE(553)] = 20376,
    [SMALL_STATE(554)] = 20395,
    [SMALL_STATE(555)] = 20412,
    [SMALL_STATE(556)] = 20431,
    [SMALL_STATE(557)] = 20446,
    [SMALL_STATE(558)] = 20461,
    [SMALL_STATE(559)] = 20476,
    [SMALL_STATE(560)] = 20491,
    [SMALL_STATE(561)] = 20508,
    [SMALL_STATE(562)] = 20527,
    [SMALL_STATE(563)] = 20546,
    [SMALL_STATE(564)] = 20561,
    [SMALL_STATE(565)] = 20578,
    [SMALL_STATE(566)] = 20597,
    [SMALL_STATE(567)] = 20612,
    [SMALL_STATE(568)] = 20631,
    [SMALL_STATE(569)] = 20646,
    [SMALL_STATE(570)] = 20665,
    [SMALL_STATE(571)] = 20684,
    [SMALL_STATE(572)] = 20703,
    [SMALL_STATE(573)] = 20722,
    [SMALL_STATE(574)] = 20741,
    [SMALL_STATE(575)] = 20758,
    [SMALL_STATE(576)] = 20775,
    [SMALL_STATE(577)] = 20792,
    [SMALL_STATE(578)] = 20811,
    [SMALL_STATE(579)] = 20830,
    [SMALL_STATE(580)] = 20847,
    [SMALL_STATE(581)] = 20866,
    [SMALL_STATE(582)] = 20885,
    [SMALL_STATE(583)] = 20904,
    [SMALL_STATE(584)] = 20921,
    [SMALL_STATE(585)] = 20940,
    [SMALL_STATE(586)] = 20959,
    [SMALL_STATE(587)] = 20978,
    [SMALL_STATE(588)] = 20995,
    [SMALL_STATE(589)] = 21014,
    [SMALL_STATE(590)] = 21029,
    [SMALL_STATE(591)] = 21048,
    [SMALL_STATE(592)] = 21067,
    [SMALL_STATE(593)] = 21086,
    [SMALL_STATE(594)] = 21105,
    [SMALL_STATE(595)] = 21122,
    [SMALL_STATE(596)] = 21139,
    [SMALL_STATE(597)] = 21158,
    [SMALL_STATE(598)] = 21177,
    [SMALL_STATE(599)] = 21192,
    [SMALL_STATE(600)] = 21209,
    [SMALL_STATE(601)] = 21224,
    [SMALL_STATE(602)] = 21243,
    [SMALL_STATE(603)] = 21260,
    [SMALL_STATE(604)] = 21279,
    [SMALL_STATE(605)] = 21294,
    [SMALL_STATE(606)] = 21313,
    [SMALL_STATE(607)] = 21332,
    [SMALL_STATE(608)] = 21347,
    [SMALL_STATE(609)] = 21364,
    [SMALL_STATE(610)] = 21379,
    [SMALL_STATE(611)] = 21398,
    [SMALL_STATE(612)] = 21417,
    [SMALL_STATE(613)] = 21436,
    [SMALL_STATE(614)] = 21451,
    [SMALL_STATE(615)] = 21470,
    [SMALL_STATE(616)] = 21487,
    [SMALL_STATE(617)] = 21506,
    [SMALL_STATE(618)] = 21521,
    [SMALL_STATE(619)] = 21536,
    [SMALL_STATE(620)] = 21553,
    [SMALL_STATE(621)] = 21572,
    [SMALL_STATE(622)] = 21591,
    [SMALL_STATE(623)] = 21610,
    [SMALL_STATE(624)] = 21627,
    [SMALL_STATE(625)] = 21644,
    [SMALL_STATE(626)] = 21659,
    [SMALL_STATE(627)] = 21678,
    [SMALL_STATE(628)] = 21697,
    [SMALL_STATE(629)] = 21714,
    [SMALL_STATE(630)] = 21729,
    [SMALL_STATE(631)] = 21744,
    [SMALL_STATE(632)] = 21759,
    [SMALL_STATE(633)] = 21778,
    [SMALL_STATE(634)] = 21795,
    [SMALL_STATE(635)] = 21814,
    [SMALL_STATE(636)] = 21833,
    [SMALL_STATE(637)] = 21852,
    [SMALL_STATE(638)] = 21867,
    [SMALL_STATE(639)] = 21882,
    [SMALL_STATE(640)] = 21901,
    [SMALL_STATE(641)] = 21920,
    [SMALL_STATE(642)] = 21939,
    [SMALL_STATE(643)] = 21958,
    [SMALL_STATE(644)] = 21973,
    [SMALL_STATE(645)] = 21992,
    [SMALL_STATE(646)] = 22007,
    [SMALL_STATE(647)] = 22022,
    [SMALL_STATE(648)] = 22037,
    [SMALL_STATE(649)] = 22052,
    [SMALL_STATE(650)] = 22067,
    [SMALL_STATE(651)] = 22082,
    [SMALL_STATE(652)] = 22101,
    [SMALL_STATE(653)] = 22116,
    [SMALL_STATE(654)] = 22135,
    [SMALL_STATE(655)] = 22154,
    [SMALL_STATE(656)] = 22171,
    [SMALL_STATE(657)] = 22188,
    [SMALL_STATE(658)] = 22207,
    [SMALL_STATE(659)] = 22224,
    [SMALL_STATE(660)] = 22243,
    [SMALL_STATE(661)] = 22260,
    [SMALL_STATE(662)] = 22277,
    [SMALL_STATE(663)] = 22296,
    [SMALL_STATE(664)] = 22315,
    [SMALL_STATE(665)] = 22330,
    [SMALL_STATE(666)] = 22349,
    [SMALL_STATE(667)] = 22364,
    [SMALL_STATE(668)] = 22381,
    [SMALL_STATE(669)] = 22400,
    [SMALL_STATE(670)] = 22419,
    [SMALL_STATE(671)] = 22438,
    [SMALL_STATE(672)] = 22457,
    [SMALL_STATE(673)] = 22474,
    [SMALL_STATE(674)] = 22493,
    [SMALL_STATE(675)] = 22508,
    [SMALL_STATE(676)] = 22523,
    [SMALL_STATE(677)] = 22538,
    [SMALL_STATE(678)] = 22557,
    [SMALL_STATE(679)] = 22572,
    [SMALL_STATE(680)] = 22591,
    [SMALL_STATE(681)] = 22610,
    [SMALL_STATE(682)] = 22625,
    [SMALL_STATE(683)] = 22640,
    [SMALL_STATE(684)] = 22659,
    [SMALL_STATE(685)] = 22674,
    [SMALL_STATE(686)] = 22691,
    [SMALL_STATE(687)] = 22710,
    [SMALL_STATE(688)] = 22725,
    [SMALL_STATE(689)] = 22744,
    [SMALL_STATE(690)] = 22763,
    [SMALL_STATE(691)] = 22780,
    [SMALL_STATE(692)] = 22799,
    [SMALL_STATE(693)] = 22818,
    [SMALL_STATE(694)] = 22837,
    [SMALL_STATE(695)] = 22856,
    [SMALL_STATE(696)] = 22871,
    [SMALL_STATE(697)] = 22890,
    [SMALL_STATE(698)] = 22909,
    [SMALL_STATE(699)] = 22924,
    [SMALL_STATE(700)] = 22941,
    [SMALL_STATE(701)] = 22958,
    [SMALL_STATE(702)] = 22975,
    [SMALL_STATE(703)] = 22994,
    [SMALL_STATE(704)] = 23011,
    [SMALL_STATE(705)] = 23028,
    [SMALL_STATE(706)] = 23047,
    [SMALL_STATE(707)] = 23066,
    [SMALL_STATE(708)] = 23085,
    [SMALL_STATE(709)] = 23104,
    [SMALL_STATE(710)] = 23123,
    [SMALL_STATE(711)] = 23140,
    [SMALL_STATE(712)] = 23159,
    [SMALL_STATE(713)] = 23178,
    [SMALL_STATE(714)] = 23197,
    [SMALL_STATE(715)] = 23214,
    [SMALL_STATE(716)] = 23229,
    [SMALL_STATE(717)] = 23244,
    [SMALL_STATE(718)] = 23263,
    [SMALL_STATE(719)] = 23278,
    [SMALL_STATE(720)] = 23297,
    [SMALL_STATE(721)] = 23314,
    [SMALL_STATE(722)] = 23328,
    [SMALL_STATE(723)] = 23342,
    [SMALL_STATE(724)] = 23358,
    [SMALL_STATE(725)] = 23374,
    [SMALL_STATE(726)] = 23388,
    [SMALL_STATE(727)] = 23404,
    [SMALL_STATE(728)] = 23420,
    [SMALL_STATE(729)] = 23436,
    [SMALL_STATE(730)] = 23450,
    [SMALL_STATE(731)] = 23466,
    [SMALL_STATE(732)] = 23480,
    [SMALL_STATE(733)] = 23496,
    [SMALL_STATE(734)] = 23512,
    [SMALL_STATE(735)] = 23526,
    [SMALL_STATE(736)] = 23540,
    [SMALL_STATE(737)] = 23554,
    [SMALL_STATE(738)] = 23570,
    [SMALL_STATE(739)] = 23586,
    [SMALL_STATE(740)] = 23602,
    [SMALL_STATE(741)] = 23618,
    [SMALL_STATE(742)] = 23634,
    [SMALL_STATE(743)] = 23650,
    [SMALL_STATE(744)] = 23666,
    [SMALL_STATE(745)] = 23682,
    [SMALL_STATE(746)] = 23698,
    [SMALL_STATE(747)] = 23714,
    [SMALL_STATE(748)] = 23728,
    [SMALL_STATE(749)] = 23742,
    [SMALL_STATE(750)] = 23758,
    [SMALL_STATE(751)] = 23774,
    [SMALL_STATE(752)] = 23790,
    [SMALL_STATE(753)] = 23804,
    [SMALL_STATE(754)] = 23820,
    [SMALL_STATE(755)] = 23834,
    [SMALL_STATE(756)] = 23850,
    [SMALL_STATE(757)] = 23864,
    [SMALL_STATE(758)] = 23878,
    [SMALL_STATE(759)] = 23892,
    [SMALL_STATE(760)] = 23906,
    [SMALL_STATE(761)] = 23920,
    [SMALL_STATE(762)] = 23934,
    [SMALL_STATE(763)] = 23950,
    [SMALL_STATE(764)] = 23966,
    [SMALL_STATE(765)] = 23980,
    [SMALL_STATE(766)] = 23994,
    [SMALL_STATE(767)] = 24010,
    [SMALL_STATE(768)] = 24024,
    [SMALL_STATE(769)] = 24038,
    [SMALL_STATE(770)] = 24052,
    [SMALL_STATE(771)] = 24066,
    [SMALL_STATE(772)] = 24080,
    [SMALL_STATE(773)] = 24094,
    [SMALL_STATE(774)] = 24108,
    [SMALL_STATE(775)] = 24124,
    [SMALL_STATE(776)] = 24138,
    [SMALL_STATE(777)] = 24154,
    [SMALL_STATE(778)] = 24168,
    [SMALL_STATE(779)] = 24182,
    [SMALL_STATE(780)] = 24198,
    [SMALL_STATE(781)] = 24212,
    [SMALL_STATE(782)] = 24228,
    [SMALL_STATE(783)] = 24242,
    [SMALL_STATE(784)] = 24256,
    [SMALL_STATE(785)] = 24272,
    [SMALL_STATE(786)] = 24288,
    [SMALL_STATE(787)] = 24304,
    [SMALL_STATE(788)] = 24320,
    [SMALL_STATE(789)] = 24336,
    [SMALL_STATE(790)] = 24352,
    [SMALL_STATE(791)] = 24368,
    [SMALL_STATE(792)] = 24382,
    [SMALL_STATE(793)] = 24396,
    [SMALL_STATE(794)] = 24410,
    [SMALL_STATE(795)] = 24426,
    [SMALL_STATE(796)] = 24440,
    [SMALL_STATE(797)] = 24456,
    [SMALL_STATE(798)] = 24470,
    [SMALL_STATE(799)] = 24484,
    [SMALL_STATE(800)] = 24498,
    [SMALL_STATE(801)] = 24512,
    [SMALL_STATE(802)] = 24528,
    [SMALL_STATE(803)] = 24542,
    [SMALL_STATE(804)] = 24556,
    [SMALL_STATE(805)] = 24572,
    [SMALL_STATE(806)] = 24586,
    [SMALL_STATE(807)] = 24602,
    [SMALL_STATE(808)] = 24616,
    [SMALL_STATE(809)] = 24632,
    [SMALL_STATE(810)] = 24646,
    [SMALL_STATE(811)] = 24660,
    [SMALL_STATE(812)] = 24676,
    [SMALL_STATE(813)] = 24692,
    [SMALL_STATE(814)] = 24706,
    [SMALL_STATE(815)] = 24720,
    [SMALL_STATE(816)] = 24734,
    [SMALL_STATE(817)] = 24748,
    [SMALL_STATE(818)] = 24764,
    [SMALL_STATE(819)] = 24778,
    [SMALL_STATE(820)] = 24794,
    [SMALL_STATE(821)] = 24808,
    [SMALL_STATE(822)] = 24822,
    [SMALL_STATE(823)] = 24836,
    [SMALL_STATE(824)] = 24850,
    [SMALL_STATE(825)] = 24864,
    [SMALL_STATE(826)] = 24878,
    [SMALL_STATE(827)] = 24894,
    [SMALL_STATE(828)] = 24908,
    [SMALL_STATE(829)] = 24922,
    [SMALL_STATE(830)] = 24936,
    [SMALL_STATE(831)] = 24950,
    [SMALL_STATE(832)] = 24964,
    [SMALL_STATE(833)] = 24978,
    [SMALL_STATE(834)] = 24992,
    [SMALL_STATE(835)] = 25008,
    [SMALL_STATE(836)] = 25022,
    [SMALL_STATE(837)] = 25038,
    [SMALL_STATE(838)] = 25052,
    [SMALL_STATE(839)] = 25066,
    [SMALL_STATE(840)] = 25080,
    [SMALL_STATE(841)] = 25093,
    [SMALL_STATE(842)] = 25106,
    [SMALL_STATE(843)] = 25119,
    [SMALL_STATE(844)] = 25132,
    [SMALL_STATE(845)] = 25145,
    [SMALL_STATE(846)] = 25158,
    [SMALL_STATE(847)] = 25171,
    [SMALL_STATE(848)] = 25184,
    [SMALL_STATE(849)] = 25197,
    [SMALL_STATE(850)] = 25210,
    [SMALL_STATE(851)] = 25223,
    [SMALL_STATE(852)] = 25236,
    [SMALL_STATE(853)] = 25249,
    [SMALL_STATE(854)] = 25262,
    [SMALL_STATE(855)] = 25275,
    [SMALL_STATE(856)] = 25288,
    [SMALL_STATE(857)] = 25301,
    [SMALL_STATE(858)] = 25314,
    [SMALL_STATE(859)] = 25327,
    [SMALL_STATE(860)] = 25340,
    [SMALL_STATE(861)] = 25353,
    [SMALL_STATE(862)] = 25366,
    [SMALL_STATE(863)] = 25379,
    [SMALL_STATE(864)] = 25392,
    [SMALL_STATE(865)] = 25405,
    [SMALL_STATE(866)] = 25418,
    [SMALL_STATE(867)] = 25431,
    [SMALL_STATE(868)] = 25444,
    [SMALL_STATE(869)] = 25457,
    [SMALL_STATE(870)] = 25470,
    [SMALL_STATE(871)] = 25483,
    [SMALL_STATE(872)] = 25496,
    [SMALL_STATE(873)] = 25509,
    [SMALL_STATE(874)] = 25522,
    [SMALL_STATE(875)] = 25535,
    [SMALL_STATE(876)] = 25548,
    [SMALL_STATE(877)] = 25561,
    [SMALL_STATE(878)] = 25574,
    [SMALL_STATE(879)] = 25587,
    [SMALL_STATE(880)] = 25600,
    [SMALL_STATE(881)] = 25613,
    [SMALL_STATE(882)] = 25626,
    [SMALL_STATE(883)] = 25639,
    [SMALL_STATE(884)] = 25652,
    [SMALL_STATE(885)] = 25665,
    [SMALL_STATE(886)] = 25678,
    [SMALL_STATE(887)] = 25691,
    [SMALL_STATE(888)] = 25704,
    [SMALL_STATE(889)] = 25717,
    [SMALL_STATE(890)] = 25730,
    [SMALL_STATE(891)] = 25743,
    [SMALL_STATE(892)] = 25756,
    [SMALL_STATE(893)] = 25769,
    [SMALL_STATE(894)] = 25782,
    [SMALL_STATE(895)] = 25795,
    [SMALL_STATE(896)] = 25808,
    [SMALL_STATE(897)] = 25821,
    [SMALL_STATE(898)] = 25834,
    [SMALL_STATE(899)] = 25847,
    [SMALL_STATE(900)] = 25860,
    [SMALL_STATE(901)] = 25873,
    [SMALL_STATE(902)] = 25886,
    [SMALL_STATE(903)] = 25899,
    [SMALL_STATE(904)] = 25912,
    [SMALL_STATE(905)] = 25925,
    [SMALL_STATE(906)] = 25938,
    [SMALL_STATE(907)] = 25951,
    [SMALL_STATE(908)] = 25964,
    [SMALL_STATE(909)] = 25977,
    [SMALL_STATE(910)] = 25990,
    [SMALL_STATE(911)] = 26003,
    [SMALL_STATE(912)] = 26016,
    [SMALL_STATE(913)] = 26029,
    [SMALL_STATE(914)] = 26042,
    [SMALL_STATE(915)] = 26055,
    [SMALL_STATE(916)] = 26068,
    [SMALL_STATE(917)] = 26081,
    [SMALL_STATE(918)] = 26094,
    [SMALL_STATE(919)] = 26107,
    [SMALL_STATE(920)] = 26120,
    [SMALL_STATE(921)] = 26133,
    [SMALL_STATE(922)] = 26146,
    [SMALL_STATE(923)] = 26159,
    [SMALL_STATE(924)] = 26172,
    [SMALL_STATE(925)] = 26185,
    [SMALL_STATE(926)] = 26198,
    [SMALL_STATE(927)] = 26211,
    [SMALL_STATE(928)] = 26224,
    [SMALL_STATE(929)] = 26237,
    [SMALL_STATE(930)] = 26250,
    [SMALL_STATE(931)] = 26263,
    [SMALL_STATE(932)] = 26276,
    [SMALL_STATE(933)] = 26289,
    [SMALL_STATE(934)] = 26302,
    [SMALL_STATE(935)] = 26315,
    [SMALL_STATE(936)] = 26328,
    [SMALL_STATE(937)] = 26341,
    [SMALL_STATE(938)] = 26354,
    [SMALL_STATE(939)] = 26367,
    [SMALL_STATE(940)] = 26380,
    [SMALL_STATE(941)] = 26393,
    [SMALL_STATE(942)] = 26406,
    [SMALL_STATE(943)] = 26419,
    [SMALL_STATE(944)] = 26432,
    [SMALL_STATE(945)] = 26445,
    [SMALL_STATE(946)] = 26458,
    [SMALL_STATE(947)] = 26471,
    [SMALL_STATE(948)] = 26484,
    [SMALL_STATE(949)] = 26497,
    [SMALL_STATE(950)] = 26510,
    [SMALL_STATE(951)] = 26523,
    [SMALL_STATE(952)] = 26536,
    [SMALL_STATE(953)] = 26549,
    [SMALL_STATE(954)] = 26562,
    [SMALL_STATE(955)] = 26575,
    [SMALL_STATE(956)] = 26588,
    [SMALL_STATE(957)] = 26601,
    [SMALL_STATE(958)] = 26614,
    [SMALL_STATE(959)] = 26627,
    [SMALL_STATE(960)] = 26640,
    [SMALL_STATE(961)] = 26653,
    [SMALL_STATE(962)] = 26666,
    [SMALL_STATE(963)] = 26679,
    [SMALL_STATE(964)] = 26692,
    [SMALL_STATE(965)] = 26705,
    [SMALL_STATE(966)] = 26718,
    [SMALL_STATE(967)] = 26731,
    [SMALL_STATE(968)] = 26744,
    [SMALL_STATE(969)] = 26757,
    [SMALL_STATE(970)] = 26770,
    [SMALL_STATE(971)] = 26783,
    [SMALL_STATE(972)] = 26796,
    [SMALL_STATE(973)] = 26809,
    [SMALL_STATE(974)] = 26822,
    [SMALL_STATE(975)] = 26835,
    [SMALL_STATE(976)] = 26848,
    [SMALL_STATE(977)] = 26861,
    [SMALL_STATE(978)] = 26874,
    [SMALL_STATE(979)] = 26887,
    [SMALL_STATE(980)] = 26900,
    [SMALL_STATE(981)] = 26913,
    [SMALL_STATE(982)] = 26926,
    [SMALL_STATE(983)] = 26939,
    [SMALL_STATE(984)] = 26952,
    [SMALL_STATE(985)] = 26965,
    [SMALL_STATE(986)] = 26978,
    [SMALL_STATE(987)] = 26991,
    [SMALL_STATE(988)] = 27004,
    [SMALL_STATE(989)] = 27017,
    [SMALL_STATE(990)] = 27030,
    [SMALL_STATE(991)] = 27043,
    [SMALL_STATE(992)] = 27056,
    [SMALL_STATE(993)] = 27069,
    [SMALL_STATE(994)] = 27082,
    [SMALL_STATE(995)] = 27095,
    [SMALL_STATE(996)] = 27108,
    [SMALL_STATE(997)] = 27121,
    [SMALL_STATE(998)] = 27134,
    [SMALL_STATE(999)] = 27147,
    [SMALL_STATE(1000)] = 27160,
    [SMALL_STATE(1001)] = 27173,
    [SMALL_STATE(1002)] = 27186,
    [SMALL_STATE(1003)] = 27199,
    [SMALL_STATE(1004)] = 27212,
    [SMALL_STATE(1005)] = 27225,
    [SMALL_STATE(1006)] = 27238,
    [SMALL_STATE(1007)] = 27251,
    [SMALL_STATE(1008)] = 27264,
    [SMALL_STATE(1009)] = 27277,
    [SMALL_STATE(1010)] = 27290,
    [SMALL_STATE(1011)] = 27303,
    [SMALL_STATE(1012)] = 27316,
    [SMALL_STATE(1013)] = 27329,
    [SMALL_STATE(1014)] = 27342,
    [SMALL_STATE(1015)] = 27355,
    [SMALL_STATE(1016)] = 27368,
    [SMALL_STATE(1017)] = 27381,
    [SMALL_STATE(1018)] = 27394,
    [SMALL_STATE(1019)] = 27407,
    [SMALL_STATE(1020)] = 27420,
    [SMALL_STATE(1021)] = 27433,
    [SMALL_STATE(1022)] = 27446,
    [SMALL_STATE(1023)] = 27459,
    [SMALL_STATE(1024)] = 27472,
    [SMALL_STATE(1025)] = 27485,
    [SMALL_STATE(1026)] = 27498,
    [SMALL_STATE(1027)] = 27511,
    [SMALL_STATE(1028)] = 27524,
    [SMALL_STATE(1029)] = 27537,
    [SMALL_STATE(1030)] = 27550,
    [SMALL_STATE(1031)] = 27563,
    [SMALL_STATE(1032)] = 27576,
    [SMALL_STATE(1033)] = 27589,
    [SMALL_STATE(1034)] = 27602,
    [SMALL_STATE(1035)] = 27615,
    [SMALL_STATE(1036)] = 27628,
    [SMALL_STATE(1037)] = 27641,
    [SMALL_STATE(1038)] = 27654,
    [SMALL_STATE(1039)] = 27667,
    [SMALL_STATE(1040)] = 27680,
    [SMALL_STATE(1041)] = 27693,
    [SMALL_STATE(1042)] = 27706,
    [SMALL_STATE(1043)] = 27719,
    [SMALL_STATE(1044)] = 27732,
    [SMALL_STATE(1045)] = 27745,
    [SMALL_STATE(1046)] = 27758,
    [SMALL_STATE(1047)] = 27771,
    [SMALL_STATE(1048)] = 27784,
    [SMALL_STATE(1049)] = 27797,
    [SMALL_STATE(1050)] = 27810,
    [SMALL_STATE(1051)] = 27823,
    [SMALL_STATE(1052)] = 27836,
    [SMALL_STATE(1053)] = 27849,
    [SMALL_STATE(1054)] = 27862,
    [SMALL_STATE(1055)] = 27875,
    [SMALL_STATE(1056)] = 27888,
    [SMALL_STATE(1057)] = 27901,
    [SMALL_STATE(1058)] = 27914,
    [SMALL_STATE(1059)] = 27927,
    [SMALL_STATE(1060)] = 27940,
    [SMALL_STATE(1061)] = 27953,
    [SMALL_STATE(1062)] = 27966,
    [SMALL_STATE(1063)] = 27979,
    [SMALL_STATE(1064)] = 27992,
    [SMALL_STATE(1065)] = 28005,
    [SMALL_STATE(1066)] = 28018,
    [SMALL_STATE(1067)] = 28031,
    [SMALL_STATE(1068)] = 28044,
    [SMALL_STATE(1069)] = 28057,
    [SMALL_STATE(1070)] = 28070,
    [SMALL_STATE(1071)] = 28083,
    [SMALL_STATE(1072)] = 28096,
    [SMALL_STATE(1073)] = 28109,
    [SMALL_STATE(1074)] = 28122,
    [SMALL_STATE(1075)] = 28135,
    [SMALL_STATE(1076)] = 28148,
    [SMALL_STATE(1077)] = 28161,
    [SMALL_STATE(1078)] = 28174,
    [SMALL_STATE(1079)] = 28187,
    [SMALL_STATE(1080)] = 28200,
    [SMALL_STATE(1081)] = 28213,
    [SMALL_STATE(1082)] = 28226,
    [SMALL_STATE(1083)] = 28239,
    [SMALL_STATE(1084)] = 28252,
    [SMALL_STATE(1085)] = 28265,
    [SMALL_STATE(1086)] = 28278,
    [SMALL_STATE(1087)] = 28291,
    [SMALL_STATE(1088)] = 28304,
    [SMALL_STATE(1089)] = 28317,
    [SMALL_STATE(1090)] = 28330,
    [SMALL_STATE(1091)] = 28343,
    [SMALL_STATE(1092)] = 28356,
    [SMALL_STATE(1093)] = 28369,
    [SMALL_STATE(1094)] = 28382,
    [SMALL_STATE(1095)] = 28395,
    [SMALL_STATE(1096)] = 28408,
    [SMALL_STATE(1097)] = 28421,
    [SMALL_STATE(1098)] = 28434,
    [SMALL_STATE(1099)] = 28447,
    [SMALL_STATE(1100)] = 28460,
    [SMALL_STATE(1101)] = 28473,
    [SMALL_STATE(1102)] = 28486,
    [SMALL_STATE(1103)] = 28499,
    [SMALL_STATE(1104)] = 28512,
    [SMALL_STATE(1105)] = 28525,
    [SMALL_STATE(1106)] = 28538,
    [SMALL_STATE(1107)] = 28551,
    [SMALL_STATE(1108)] = 28564,
    [SMALL_STATE(1109)] = 28577,
    [SMALL_STATE(1110)] = 28590,
    [SMALL_STATE(1111)] = 28603,
    [SMALL_STATE(1112)] = 28616,
    [SMALL_STATE(1113)] = 28629,
    [SMALL_STATE(1114)] = 28642,
    [SMALL_STATE(1115)] = 28655,
    [SMALL_STATE(1116)] = 28668,
    [SMALL_STATE(1117)] = 28681,
    [SMALL_STATE(1118)] = 28694,
    [SMALL_STATE(1119)] = 28707,
    [SMALL_STATE(1120)] = 28720,
    [SMALL_STATE(1121)] = 28733,
    [SMALL_STATE(1122)] = 28746,
    [SMALL_STATE(1123)] = 28759,
    [SMALL_STATE(1124)] = 28772,
    [SMALL_STATE(1125)] = 28785,
    [SMALL_STATE(1126)] = 28798,
    [SMALL_STATE(1127)] = 28811,
    [SMALL_STATE(1128)] = 28824,
    [SMALL_STATE(1129)] = 28837,
    [SMALL_STATE(1130)] = 28850,
    [SMALL_STATE(1131)] = 28863,
    [SMALL_STATE(1132)] = 28876,
    [SMALL_STATE(1133)] = 28889,
    [SMALL_STATE(1134)] = 28902,
    [SMALL_STATE(1135)] = 28915,
    [SMALL_STATE(1136)] = 28928,
    [SMALL_STATE(1137)] = 28941,
    [SMALL_STATE(1138)] = 28954,
    [SMALL_STATE(1139)] = 28967,
    [SMALL_STATE(1140)] = 28980,
    [SMALL_STATE(1141)] = 28993,
    [SMALL_STATE(1142)] = 29006,
    [SMALL_STATE(1143)] = 29019,
    [SMALL_STATE(1144)] = 29032,
    [SMALL_STATE(1145)] = 29045,
    [SMALL_STATE(1146)] = 29058,
    [SMALL_STATE(1147)] = 29071,
    [SMALL_STATE(1148)] = 29084,
    [SMALL_STATE(1149)] = 29097,
    [SMALL_STATE(1150)] = 29110,
    [SMALL_STATE(1151)] = 29123,
    [SMALL_STATE(1152)] = 29136,
    [SMALL_STATE(1153)] = 29149,
    [SMALL_STATE(1154)] = 29162,
    [SMALL_STATE(1155)] = 29175,
    [SMALL_STATE(1156)] = 29188,
    [SMALL_STATE(1157)] = 29201,
    [SMALL_STATE(1158)] = 29214,
    [SMALL_STATE(1159)] = 29227,
    [SMALL_STATE(1160)] = 29240,
    [SMALL_STATE(1161)] = 29253,
    [SMALL_STATE(1162)] = 29266,
    [SMALL_STATE(1163)] = 29279,
    [SMALL_STATE(1164)] = 29292,
    [SMALL_STATE(1165)] = 29305,
    [SMALL_STATE(1166)] = 29318,
    [SMALL_STATE(1167)] = 29331,
    [SMALL_STATE(1168)] = 29344,
    [SMALL_STATE(1169)] = 29357,
    [SMALL_STATE(1170)] = 29370,
    [SMALL_STATE(1171)] = 29383,
    [SMALL_STATE(1172)] = 29396,
    [SMALL_STATE(1173)] = 29409,
    [SMALL_STATE(1174)] = 29422,
    [SMALL_STATE(1175)] = 29435,
    [SMALL_STATE(1176)] = 29448,
    [SMALL_STATE(1177)] = 29461,
    [SMALL_STATE(1178)] = 29474,
    [SMALL_STATE(1179)] = 29487,
    [SMALL_STATE(1180)] = 29500,
    [SMALL_STATE(1181)] = 29513,
    [SMALL_STATE(1182)] = 29526,
    [SMALL_STATE(1183)] = 29539,
    [SMALL_STATE(1184)] = 29552,
    [SMALL_STATE(1185)] = 29565,
    [SMALL_STATE(1186)] = 29578,
    [SMALL_STATE(1187)] = 29591,
    [SMALL_STATE(1188)] = 29604,
    [SMALL_STATE(1189)] = 29617,
    [SMALL_STATE(1190)] = 29630,
    [SMALL_STATE(1191)] = 29643,
    [SMALL_STATE(1192)] = 29656,
    [SMALL_STATE(1193)] = 29669,
    [SMALL_STATE(1194)] = 29682,
    [SMALL_STATE(1195)] = 29695,
    [SMALL_STATE(1196)] = 29708,
    [SMALL_STATE(1197)] = 29721,
    [SMALL_STATE(1198)] = 29734,
    [SMALL_STATE(1199)] = 29747,
    [SMALL_STATE(1200)] = 29760,
    [SMALL_STATE(1201)] = 29773,
    [SMALL_STATE(1202)] = 29786,
    [SMALL_STATE(1203)] = 29799,
    [SMALL_STATE(1204)] = 29812,
    [SMALL_STATE(1205)] = 29825,
    [SMALL_STATE(1206)] = 29838,
    [SMALL_STATE(1207)] = 29851,
    [SMALL_STATE(1208)] = 29864,
    [SMALL_STATE(1209)] = 29877,
    [SMALL_STATE(1210)] = 29890,
    [SMALL_STATE(1211)] = 29903,
    [SMALL_STATE(1212)] = 29916,
    [SMALL_STATE(1213)] = 29929,
    [SMALL_STATE(1214)] = 29942,
    [SMALL_STATE(1215)] = 29955,
    [SMALL_STATE(1216)] = 29968,
    [SMALL_STATE(1217)] = 29981,
    [SMALL_STATE(1218)] = 29994,
    [SMALL_STATE(1219)] = 30007,
    [SMALL_STATE(1220)] = 30020,
    [SMALL_STATE(1221)] = 30033,
    [SMALL_STATE(1222)] = 30046,
    [SMALL_STATE(1223)] = 30059,
    [SMALL_STATE(1224)] = 30072,
    [SMALL_STATE(1225)] = 30085,
    [SMALL_STATE(1226)] = 30098,
    [SMALL_STATE(1227)] = 30111,
    [SMALL_STATE(1228)] = 30124,
    [SMALL_STATE(1229)] = 30137,
    [SMALL_STATE(1230)] = 30150,
    [SMALL_STATE(1231)] = 30163,
    [SMALL_STATE(1232)] = 30176,
    [SMALL_STATE(1233)] = 30189,
    [SMALL_STATE(1234)] = 30202,
    [SMALL_STATE(1235)] = 30215,
    [SMALL_STATE(1236)] = 30228,
    [SMALL_STATE(1237)] = 30241,
    [SMALL_STATE(1238)] = 30254,
    [SMALL_STATE(1239)] = 30267,
    [SMALL_STATE(1240)] = 30280,
    [SMALL_STATE(1241)] = 30293,
    [SMALL_STATE(1242)] = 30306,
    [SMALL_STATE(1243)] = 30319,
    [SMALL_STATE(1244)] = 30332,
    [SMALL_STATE(1245)] = 30345,
    [SMALL_STATE(1246)] = 30358,
    [SMALL_STATE(1247)] = 30371,
    [SMALL_STATE(1248)] = 30384,
    [SMALL_STATE(1249)] = 30397,
    [SMALL_STATE(1250)] = 30410,
    [SMALL_STATE(1251)] = 30423,
    [SMALL_STATE(1252)] = 30436,
    [SMALL_STATE(1253)] = 30449,
    [SMALL_STATE(1254)] = 30462,
    [SMALL_STATE(1255)] = 30475,
    [SMALL_STATE(1256)] = 30488,
    [SMALL_STATE(1257)] = 30501,
    [SMALL_STATE(1258)] = 30514,
    [SMALL_STATE(1259)] = 30527,
    [SMALL_STATE(1260)] = 30540,
    [SMALL_STATE(1261)] = 30553,
    [SMALL_STATE(1262)] = 30566,
    [SMALL_STATE(1263)] = 30579,
    [SMALL_STATE(1264)] = 30583,
};

static const TSParseActionEntry ts_parse_actions[] = {
    [0] = { .entry = { .count = 0, .reusable = false } },
    [1] = { .entry = { .count = 1, .reusable = false } },
    RECOVER(),
    [3] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1111),
    [5] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1216),
    [7] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_specification, 0, 0, 0),
    [9] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1215),
    [11] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(727),
    [13] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(352),
    [15] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1212),
    [17] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1211),
    [19] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(706),
    [21] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1210),
    [23] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1209),
    [25] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1208),
    [27] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1207),
    [29] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(76),
    [31] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(75),
    [33] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(689),
    [35] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1206),
    [37] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1204),
    [39] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1203),
    [41] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1202),
    [43] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1201),
    [45] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(86),
    [47] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(730),
    [49] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(33),
    [51] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1199),
    [53] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(635),
    [55] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(634),
    [57] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(323),
    [59] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1198),
    [61] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1195),
    [63] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1194),
    [65] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1193),
    [67] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(732),
    [69] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(359),
    [72] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(358),
    [75] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(357),
    [78] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(357),
    [81] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(356),
    [84] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(473),
    [87] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1003),
    [90] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(388),
    [93] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(364),
    [96] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(364),
    [99] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(365),
    [102] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(366),
    [105] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(366),
    [108] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(468),
    [111] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(468),
    [114] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(368),
    [117] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1079),
    [120] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(369),
    [123] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(459),
    [126] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1076),
    [129] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1046),
    [132] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1212),
    [135] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    [137] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1010),
    [140] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1009),
    [143] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1008),
    [146] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(74),
    [149] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1209),
    [152] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1208),
    [155] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(76),
    [158] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(75),
    [161] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1007),
    [164] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1206),
    [167] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1203),
    [170] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1202),
    [173] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1201),
    [176] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(86),
    [179] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1006),
    [182] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(69),
    [185] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(998),
    [188] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(33),
    [191] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1199),
    [194] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(635),
    [197] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(323),
    [200] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(453),
    [203] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(732),
    [206] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(193),
    [209] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(359),
    [211] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(358),
    [213] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(357),
    [215] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(357),
    [217] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(356),
    [219] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(473),
    [221] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1003),
    [223] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(388),
    [225] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(364),
    [227] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(364),
    [229] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(365),
    [231] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(366),
    [233] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(366),
    [235] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(468),
    [237] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(468),
    [239] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(368),
    [241] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1079),
    [243] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(369),
    [245] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(459),
    [247] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1076),
    [249] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1046),
    [251] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1212),
    [253] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(891),
    [255] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1010),
    [257] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1009),
    [259] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1008),
    [261] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(74),
    [263] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1209),
    [265] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1208),
    [267] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1007),
    [269] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1206),
    [271] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1203),
    [273] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1202),
    [275] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1201),
    [277] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(86),
    [279] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1006),
    [281] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(69),
    [283] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(998),
    [285] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(33),
    [287] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(635),
    [289] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(323),
    [291] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(453),
    [293] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(732),
    [295] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(193),
    [297] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(993),
    [299] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(840),
    [301] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(991),
    [303] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(988),
    [305] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(999),
    [307] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(904),
    [309] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_home_body, 1, 0, 0),
    [311] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(359),
    [314] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(358),
    [317] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(357),
    [320] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(357),
    [323] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(356),
    [326] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(473),
    [329] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1003),
    [332] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(388),
    [335] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(364),
    [338] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(364),
    [341] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(365),
    [344] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(366),
    [347] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(366),
    [350] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(468),
    [353] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(468),
    [356] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(368),
    [359] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1079),
    [362] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(369),
    [365] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(459),
    [368] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1076),
    [371] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1046),
    [374] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1212),
    [377] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    [379] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1010),
    [382] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1009),
    [385] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1008),
    [388] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(74),
    [391] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1209),
    [394] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1208),
    [397] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(76),
    [400] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(75),
    [403] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1007),
    [406] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1206),
    [409] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1203),
    [412] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1202),
    [415] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1201),
    [418] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(86),
    [421] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1006),
    [424] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(840),
    [427] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(33),
    [430] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1199),
    [433] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(635),
    [436] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(323),
    [439] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(453),
    [442] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(991),
    [445] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(732),
    [448] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(193),
    [451] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1011),
    [453] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(909),
    [455] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(884),
    [457] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(359),
    [460] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(358),
    [463] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(357),
    [466] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(357),
    [469] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(356),
    [472] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(473),
    [475] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1003),
    [478] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(388),
    [481] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(364),
    [484] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(364),
    [487] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(365),
    [490] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(366),
    [493] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(366),
    [496] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(468),
    [499] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(468),
    [502] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(368),
    [505] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1079),
    [508] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(369),
    [511] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(459),
    [514] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1076),
    [517] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1046),
    [520] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1212),
    [523] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    [525] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1010),
    [528] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1009),
    [531] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1008),
    [534] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(74),
    [537] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1209),
    [540] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1208),
    [543] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(76),
    [546] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(75),
    [549] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1007),
    [552] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1206),
    [555] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1203),
    [558] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1202),
    [561] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1201),
    [564] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(86),
    [567] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1006),
    [570] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(33),
    [573] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1199),
    [576] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(635),
    [579] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(323),
    [582] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(453),
    [585] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(732),
    [588] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(193),
    [591] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1259),
    [593] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1214),
    [595] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(879),
    [597] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(885),
    [599] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_body, 1, 0, 0),
    [601] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(880),
    [603] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    [605] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1215),
    [608] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(727),
    [611] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(352),
    [614] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1212),
    [617] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1211),
    [620] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(706),
    [623] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1210),
    [626] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1209),
    [629] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1208),
    [632] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1207),
    [635] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(76),
    [638] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(75),
    [641] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(689),
    [644] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1206),
    [647] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1204),
    [650] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1203),
    [653] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1202),
    [656] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1201),
    [659] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(86),
    [662] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(730),
    [665] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(33),
    [668] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1199),
    [671] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(635),
    [674] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(634),
    [677] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(323),
    [680] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1198),
    [683] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1195),
    [686] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1194),
    [689] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1193),
    [692] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(732),
    [695] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_specification, 1, 0, 0),
    [697] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1166),
    [699] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(691),
    [701] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1212),
    [704] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    [706] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1211),
    [709] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(706),
    [712] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1210),
    [715] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1209),
    [718] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1208),
    [721] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1207),
    [724] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(76),
    [727] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(75),
    [730] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(689),
    [733] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1206),
    [736] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1204),
    [739] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1203),
    [742] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1202),
    [745] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1201),
    [748] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(86),
    [751] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(691),
    [754] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(730),
    [757] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(33),
    [760] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1199),
    [763] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(635),
    [766] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(634),
    [769] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(323),
    [772] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1198),
    [775] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1195),
    [778] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1194),
    [781] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1193),
    [784] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(732),
    [787] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(881),
    [789] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(860),
    [791] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1212),
    [794] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    [796] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1211),
    [799] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(706),
    [802] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1210),
    [805] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1209),
    [808] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1208),
    [811] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1207),
    [814] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(76),
    [817] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(75),
    [820] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(689),
    [823] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1206),
    [826] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1204),
    [829] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1203),
    [832] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1202),
    [835] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1201),
    [838] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(86),
    [841] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(730),
    [844] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(33),
    [847] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1199),
    [850] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(635),
    [853] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(634),
    [856] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(323),
    [859] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1198),
    [862] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1195),
    [865] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1194),
    [868] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1193),
    [871] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(732),
    [874] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(931),
    [876] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(851),
    [878] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(175),
    [880] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1112),
    [882] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(259),
    [884] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(179),
    [886] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(259),
    [888] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(766),
    [890] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(397),
    [892] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(583),
    [894] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(196),
    [896] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(211),
    [898] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1111),
    [900] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(765),
    [902] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(77),
    [904] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(72),
    [906] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(748),
    [908] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(886),
    [910] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(980),
    [912] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(838),
    [914] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(359),
    [917] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(358),
    [920] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(357),
    [923] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(357),
    [926] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(356),
    [929] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(473),
    [932] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1003),
    [935] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(388),
    [938] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(364),
    [941] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(364),
    [944] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(365),
    [947] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(366),
    [950] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(366),
    [953] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(468),
    [956] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(468),
    [959] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(368),
    [962] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1079),
    [965] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(369),
    [968] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(459),
    [971] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1076),
    [974] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1046),
    [977] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    [979] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(77),
    [982] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(72),
    [985] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(453),
    [988] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(193),
    [991] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(820),
    [993] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(792),
    [995] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(725),
    [997] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(769),
    [999] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_header, 2, 0, 0),
    [1001] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(363),
    [1003] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_forward_dcl, 2, 0, 0),
    [1005] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(467),
    [1007] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(475),
    [1009] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(156),
    [1011] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1080),
    [1013] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1078),
    [1015] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(972),
    [1017] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(971),
    [1019] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(359),
    [1022] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(358),
    [1025] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(357),
    [1028] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(357),
    [1031] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(356),
    [1034] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1080),
    [1037] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1078),
    [1040] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(388),
    [1043] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(364),
    [1046] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(364),
    [1049] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(365),
    [1052] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(366),
    [1055] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(366),
    [1058] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(468),
    [1061] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(468),
    [1064] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(368),
    [1067] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1079),
    [1070] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(369),
    [1073] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(972),
    [1076] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1076),
    [1079] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    [1081] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1201),
    [1084] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(86),
    [1087] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(33),
    [1090] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1199),
    [1093] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(193),
    [1096] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(877),
    [1098] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_init_dcl, 5, 0, 0),
    [1100] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_init_dcl, 5, 0, 0),
    [1102] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 1, 0, 0),
    [1104] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_value_def_repeat1, 1, 0, 0),
    [1106] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_init_dcl, 7, 0, 0),
    [1108] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_init_dcl, 7, 0, 0),
    [1110] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_export, 2, 0, 0),
    [1112] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_export, 2, 0, 0),
    [1114] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_state_member, 4, 0, 0),
    [1116] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_state_member, 4, 0, 0),
    [1118] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_init_dcl, 6, 0, 0),
    [1120] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_init_dcl, 6, 0, 0),
    [1122] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_value_element, 1, 0, 0),
    [1124] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_element, 1, 0, 0),
    [1126] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(808),
    [1128] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(934),
    [1130] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(85),
    [1132] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_home_export, 2, 0, 0),
    [1134] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_home_export, 2, 0, 0),
    [1136] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_home_export, 1, 0, 0),
    [1138] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_home_export, 1, 0, 0),
    [1140] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 1, 0, 0),
    [1142] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_home_body_repeat1, 1, 0, 0),
    [1144] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1143),
    [1146] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1245),
    [1148] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1246),
    [1150] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(414),
    [1152] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(416),
    [1154] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1247),
    [1156] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1248),
    [1158] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1249),
    [1160] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(600),
    [1162] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(604),
    [1164] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(607),
    [1166] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(420),
    [1168] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(423),
    [1170] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(609),
    [1172] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1031),
    [1174] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1250),
    [1176] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1251),
    [1178] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1252),
    [1180] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1253),
    [1182] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(424),
    [1184] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(426),
    [1186] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1254),
    [1188] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(427),
    [1190] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(429),
    [1192] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(434),
    [1194] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(385),
    [1196] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1039),
    [1198] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1217),
    [1200] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1218),
    [1202] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(490),
    [1204] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(489),
    [1206] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1219),
    [1208] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1220),
    [1210] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1221),
    [1212] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(497),
    [1214] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(495),
    [1216] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(494),
    [1218] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(483),
    [1220] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(482),
    [1222] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(510),
    [1224] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1262),
    [1226] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1222),
    [1228] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1223),
    [1230] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1224),
    [1232] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1225),
    [1234] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(478),
    [1236] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(477),
    [1238] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1226),
    [1240] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(476),
    [1242] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(472),
    [1244] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(469),
    [1246] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(367),
    [1248] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(236),
    [1250] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 1, 0, 0),
    [1252] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_interface_body_repeat1, 1, 0, 0),
    [1254] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1152),
    [1256] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1151),
    [1258] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1150),
    [1260] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(261),
    [1262] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(270),
    [1264] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1147),
    [1266] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1145),
    [1268] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1117),
    [1270] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(300),
    [1272] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(290),
    [1274] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(282),
    [1276] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(263),
    [1278] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(262),
    [1280] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(301),
    [1282] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1115),
    [1284] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1114),
    [1286] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1113),
    [1288] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1047),
    [1290] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1086),
    [1292] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(268),
    [1294] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(269),
    [1296] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1084),
    [1298] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(267),
    [1300] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(260),
    [1302] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(264),
    [1304] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(229),
    [1306] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1142),
    [1308] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1231),
    [1310] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1232),
    [1312] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(92),
    [1314] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(95),
    [1316] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1233),
    [1318] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1234),
    [1320] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1235),
    [1322] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(117),
    [1324] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(127),
    [1326] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(143),
    [1328] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(100),
    [1330] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(101),
    [1332] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(147),
    [1334] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1167),
    [1336] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1236),
    [1338] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1237),
    [1340] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1238),
    [1342] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1239),
    [1344] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(103),
    [1346] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(104),
    [1348] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1240),
    [1350] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(105),
    [1352] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(106),
    [1354] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(107),
    [1356] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(98),
    [1358] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_case_repeat1, 2, 0, 0),
    [1360] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_case_repeat1, 2, 0, 0),
    [1362] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_case_repeat1, 2, 0, 0),
    SHIFT_REPEAT(851),
    [1365] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_case_repeat1, 2, 0, 0),
    SHIFT_REPEAT(175),
    [1368] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_case_label, 2, 0, 0),
    [1370] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_case_label, 2, 0, 0),
    [1372] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_case_repeat1, 1, 0, 0),
    [1374] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_case_repeat1, 1, 0, 0),
    [1376] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_case_label, 3, 0, 0),
    [1378] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_case_label, 3, 0, 0),
    [1380] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_interface_def_repeat1, 2, 0, 0),
    [1382] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_interface_def_repeat1, 2, 0, 0),
    [1384] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(77),
    [1387] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(72),
    [1390] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_autoid, 1, 0, 2),
    [1392] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_autoid, 1, 0, 2),
    [1394] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(487),
    [1396] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 1, 0, 0),
    [1398] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_except_dcl_repeat1, 1, 0, 0),
    [1400] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_member, 4, 0, 8),
    [1402] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_member, 4, 0, 8),
    [1404] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_optional, 1, 0, 2),
    [1406] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_optional, 1, 0, 2),
    [1408] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(394),
    [1410] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_member, 4, 0, 6),
    [1412] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_member, 4, 0, 6),
    [1414] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_member, 5, 0, 8),
    [1416] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_member, 5, 0, 8),
    [1418] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_scoped_name, 1, 0, 0),
    [1420] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_scoped_name, 1, 0, 0),
    [1422] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_scoped_name, 2, 0, 0),
    [1424] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_scoped_name, 2, 0, 0),
    [1426] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_key, 1, 0, 2),
    [1428] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_key, 1, 0, 2),
    [1430] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(575),
    [1432] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_must_understand, 1, 0, 2),
    [1434] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_must_understand, 1, 0, 2),
    [1436] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(576),
    [1438] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_scoped_name, 3, 0, 0),
    [1440] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_scoped_name, 3, 0, 0),
    [1442] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_external, 1, 0, 2),
    [1444] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_external, 1, 0, 2),
    [1446] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(608),
    [1448] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_nested, 1, 0, 2),
    [1450] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_nested, 1, 0, 2),
    [1452] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(615),
    [1454] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_service, 1, 0, 2),
    [1456] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_service, 1, 0, 2),
    [1458] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(438),
    [1460] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_oneway, 1, 0, 2),
    [1462] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_oneway, 1, 0, 2),
    [1464] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(623),
    [1466] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_ami, 1, 0, 2),
    [1468] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_ami, 1, 0, 2),
    [1470] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(624),
    [1472] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_custom_body, 1, 0, 0),
    [1474] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_custom_body, 1, 0, 0),
    [1476] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(165),
    [1478] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_member, 3, 0, 6),
    [1480] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_member, 3, 0, 6),
    [1482] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_default, 4, 0, 2),
    [1484] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_default, 4, 0, 2),
    [1486] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_verbatim, 8, 0, 13),
    [1488] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_verbatim, 8, 0, 13),
    [1490] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_extend_annotation_appl, 3, 0, 0),
    [1492] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_extend_annotation_appl, 3, 0, 0),
    [1494] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_autoid, 3, 0, 2),
    [1496] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_autoid, 3, 0, 2),
    [1498] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_optional, 3, 0, 2),
    [1500] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_optional, 3, 0, 2),
    [1502] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_interface_def_repeat1, 1, 0, 0),
    [1504] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_interface_def_repeat1, 1, 0, 0),
    [1506] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_extend_annotation_appl, 4, 0, 0),
    [1508] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_extend_annotation_appl, 4, 0, 0),
    [1510] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_final, 1, 0, 2),
    [1512] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_final, 1, 0, 2),
    [1514] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl, 1, 0, 0),
    [1516] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl, 1, 0, 0),
    [1518] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_id, 4, 0, 2),
    [1520] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_id, 4, 0, 2),
    [1522] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_autoid, 4, 0, 2),
    [1524] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_autoid, 4, 0, 2),
    [1526] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_optional, 4, 0, 2),
    [1528] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_optional, 4, 0, 2),
    [1530] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_position, 4, 0, 2),
    [1532] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_position, 4, 0, 2),
    [1534] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_value, 4, 0, 2),
    [1536] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_value, 4, 0, 2),
    [1538] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_extensibility, 4, 0, 2),
    [1540] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_extensibility, 4, 0, 2),
    [1542] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_key, 4, 0, 2),
    [1544] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_key, 4, 0, 2),
    [1546] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_must_understand, 4, 0, 2),
    [1548] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_must_understand, 4, 0, 2),
    [1550] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_appendable, 1, 0, 2),
    [1552] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_appendable, 1, 0, 2),
    [1554] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_min, 4, 0, 2),
    [1556] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_min, 4, 0, 2),
    [1558] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_max, 4, 0, 2),
    [1560] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_max, 4, 0, 2),
    [1562] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_unit, 4, 0, 2),
    [1564] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_unit, 4, 0, 2),
    [1566] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_body, 1, 0, 0),
    [1568] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_body, 1, 0, 0),
    [1570] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 1, 0, 0),
    [1572] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 1, 0, 0),
    [1574] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_bit_bound, 4, 0, 2),
    [1576] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_bit_bound, 4, 0, 2),
    [1578] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_external, 4, 0, 2),
    [1580] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_external, 4, 0, 2),
    [1582] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_nested, 4, 0, 2),
    [1584] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_nested, 4, 0, 2),
    [1586] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_verbatim, 4, 0, 5),
    [1588] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_verbatim, 4, 0, 5),
    [1590] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_service, 4, 0, 2),
    [1592] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_service, 4, 0, 2),
    [1594] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_oneway, 4, 0, 2),
    [1596] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_oneway, 4, 0, 2),
    [1598] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_member, 3, 0, 0),
    [1600] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_member, 3, 0, 0),
    [1602] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_ami, 4, 0, 2),
    [1604] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_ami, 4, 0, 2),
    [1606] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_custom_body, 4, 0, 0),
    [1608] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_custom_body, 4, 0, 0),
    [1610] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_range, 6, 0, 9),
    [1612] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_range, 6, 0, 9),
    [1614] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_mutable, 1, 0, 2),
    [1616] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_mutable, 1, 0, 2),
    [1618] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_verbatim, 6, 0, 10),
    [1620] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_verbatim, 6, 0, 10),
    [1622] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_member, 5, 0, 0),
    [1624] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_member, 5, 0, 0),
    [1626] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_body, 2, 0, 0),
    [1628] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_body, 2, 0, 0),
    [1630] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_default_literal, 1, 0, 2),
    [1632] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_default_literal, 1, 0, 2),
    [1634] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl, 2, 0, 0),
    [1636] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl, 2, 0, 0),
    [1638] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_verbatim, 6, 0, 11),
    [1640] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_verbatim, 6, 0, 11),
    [1642] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_builtin_body, 1, 0, 0),
    [1644] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_builtin_body, 1, 0, 0),
    [1646] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_definition, 2, 0, 0),
    [1648] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_definition, 2, 0, 0),
    [1650] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 1, 0, 0),
    [1652] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_specification_repeat1, 1, 0, 0),
    [1654] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(857),
    [1656] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_preproc_call, 2, 0, 1),
    [1658] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_preproc_call, 2, 0, 1),
    [1660] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_preproc_define, 2, 0, 0),
    [1662] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_preproc_define, 2, 0, 0),
    [1664] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_param_attribute, 1, 0, 0),
    [1666] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_param_attribute, 1, 0, 0),
    [1668] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_preproc_include, 3, 0, 4),
    [1670] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_preproc_include, 3, 0, 4),
    [1672] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_preproc_call, 3, 0, 3),
    [1674] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_preproc_call, 3, 0, 3),
    [1676] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(225),
    [1678] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 1, 0, 0),
    [1680] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 1, 0, 0),
    [1682] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_tpl_definition, 1, 0, 0),
    [1684] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_tpl_definition, 1, 0, 0),
    [1686] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_tpl_definition, 2, 0, 0),
    [1688] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_tpl_definition, 2, 0, 0),
    [1690] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 1, 0, 0),
    [1692] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_module_dcl_repeat1, 1, 0, 0),
    [1694] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(359),
    [1696] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(358),
    [1698] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(356),
    [1700] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(897),
    [1702] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(388),
    [1704] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(365),
    [1706] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(996),
    [1708] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1008),
    [1710] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(74),
    [1712] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(381),
    [1714] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(333),
    [1716] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(616),
    [1718] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(614),
    [1720] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(612),
    [1722] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(610),
    [1724] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_component_body_repeat1, 2, 0, 0),
    [1726] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_component_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1008),
    [1729] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_component_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(74),
    [1732] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_component_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(381),
    [1735] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_component_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(333),
    [1738] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_component_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(616),
    [1741] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_component_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(614),
    [1744] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_component_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(612),
    [1747] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_component_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(610),
    [1750] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_component_body, 1, 0, 0),
    [1752] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1116),
    [1754] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_primary_expr, 1, 0, 0),
    [1756] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_primary_expr, 1, 0, 0),
    [1758] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_string_literal, 3, 0, 0),
    [1760] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_string_literal, 3, 0, 0),
    [1762] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_boolean_literal, 1, 0, 0),
    [1764] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_boolean_literal, 1, 0, 0),
    [1766] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_port_body, 1, 0, 0),
    [1768] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(946),
    [1770] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1146),
    [1772] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(946),
    [1774] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(945),
    [1776] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_char_literal, 4, 0, 0),
    [1778] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_char_literal, 4, 0, 0),
    [1780] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_unary_expr, 2, 0, 0),
    [1782] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_unary_expr, 2, 0, 0),
    [1784] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_string_literal, 2, 0, 0),
    [1786] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_string_literal, 2, 0, 0),
    [1788] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(890),
    [1790] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_char_literal, 3, 0, 0),
    [1792] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_char_literal, 3, 0, 0),
    [1794] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_connector_dcl_repeat1, 2, 0, 0),
    [1796] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_connector_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1008),
    [1799] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_connector_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(74),
    [1802] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_connector_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(381),
    [1805] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_connector_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(333),
    [1808] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_connector_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(610),
    [1811] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_unary_expr, 1, 0, 0),
    [1813] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_unary_expr, 1, 0, 0),
    [1815] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_mult_expr, 1, 0, 0),
    [1817] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_mult_expr, 1, 0, 0),
    [1819] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_literal, 1, 0, 0),
    [1821] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_literal, 1, 0, 0),
    [1823] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_add_expr, 1, 0, 0),
    [1825] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_add_expr, 1, 0, 0),
    [1827] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(192),
    [1829] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(192),
    [1831] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_primary_expr, 3, 0, 0),
    [1833] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_primary_expr, 3, 0, 0),
    [1835] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_string_literal, 4, 0, 0),
    [1837] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_string_literal, 4, 0, 0),
    [1839] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_port_body, 2, 0, 0),
    [1841] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_mult_expr, 3, 0, 0),
    [1843] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_mult_expr, 3, 0, 0),
    [1845] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_port_body_repeat1, 2, 0, 0),
    [1847] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_port_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1008),
    [1850] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_port_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(74),
    [1853] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_port_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(381),
    [1856] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_port_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(333),
    [1859] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_port_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(610),
    [1862] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_add_expr, 3, 0, 0),
    [1864] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_add_expr, 3, 0, 0),
    [1866] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_shift_expr, 1, 0, 0),
    [1868] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_shift_expr, 1, 0, 0),
    [1870] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(189),
    [1872] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_simple_type_spec, 1, 0, 0),
    [1874] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_simple_type_spec, 1, 0, 0),
    [1876] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_shift_expr, 3, 0, 0),
    [1878] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_shift_expr, 3, 0, 0),
    [1880] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1036),
    [1882] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(76),
    [1884] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1035),
    [1886] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1034),
    [1888] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(178),
    [1890] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_and_expr, 1, 0, 0),
    [1892] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_and_expr, 1, 0, 0),
    [1894] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(187),
    [1896] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_and_expr, 3, 0, 0),
    [1898] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_and_expr, 3, 0, 0),
    [1900] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(76),
    [1903] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(75),
    [1906] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(766),
    [1908] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(196),
    [1910] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(211),
    [1912] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1024),
    [1914] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(166),
    [1916] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_component_body_repeat1, 1, 0, 0),
    [1918] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(913),
    [1920] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_component_export, 2, 0, 0),
    [1922] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_unary_operator, 1, 0, 0),
    [1924] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_unary_operator, 1, 0, 0),
    [1926] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(701),
    [1928] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(470),
    [1930] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(720),
    [1932] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(595),
    [1934] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(700),
    [1936] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_xor_expr, 3, 0, 0),
    [1938] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(186),
    [1940] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_xor_expr, 1, 0, 0),
    [1942] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(484),
    [1944] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(704),
    [1946] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(703),
    [1948] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(471),
    [1950] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(803),
    [1952] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(65),
    [1954] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(68),
    [1956] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(761),
    [1958] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(745),
    [1960] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_attr_declarator, 1, 0, 0),
    [1962] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(744),
    [1964] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(743),
    [1966] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_or_expr, 1, 0, 0),
    [1968] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(183),
    [1970] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_or_expr, 3, 0, 0),
    [1972] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(756),
    [1974] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_connector_dcl_repeat1, 1, 0, 0),
    [1976] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_connector_export, 1, 0, 0),
    [1978] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_port_body_repeat1, 1, 0, 0),
    [1980] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_union_def_repeat1, 2, 0, 0),
    [1982] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_union_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(851),
    [1985] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_union_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(175),
    [1988] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_event_header, 2, 0, 0),
    [1990] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(363),
    [1992] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_event_forward_dcl, 2, 0, 0),
    [1994] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(467),
    [1996] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(837),
    [1998] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(851),
    [2000] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(175),
    [2002] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_port_export, 1, 0, 0),
    [2004] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1146),
    [2006] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(807),
    [2008] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(813),
    [2010] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(12),
    [2012] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_event_forward_dcl, 3, 0, 0),
    [2014] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_port_ref, 2, 0, 0),
    [2016] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_const_expr, 1, 0, 0),
    [2018] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(182),
    [2020] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_connector_export, 2, 0, 0),
    [2022] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_port_export, 2, 0, 0),
    [2024] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_simple_declarator, 1, 0, 0),
    [2026] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(903),
    [2028] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(374),
    [2030] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0),
    [2032] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0),
    SHIFT_REPEAT(174),
    [2035] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(66),
    [2037] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(80),
    [2039] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(313),
    [2041] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1216),
    [2043] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(512),
    [2045] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(116),
    [2047] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(631),
    [2049] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(66),
    [2052] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(80),
    [2055] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(777),
    [2057] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(778),
    [2059] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(780),
    [2061] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(805),
    [2063] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(514),
    [2065] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(830),
    [2067] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(17),
    [2069] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(65),
    [2072] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(68),
    [2075] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_event_header, 3, 0, 0),
    [2077] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(297),
    [2079] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(643),
    [2081] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_array_declarator, 2, 0, 0),
    [2083] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(174),
    [2085] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(112),
    [2087] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1163),
    [2089] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1162),
    [2091] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(422),
    [2093] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1161),
    [2095] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_component_header, 2, 0, 0),
    [2097] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(673),
    [2099] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_component_forward_dcl, 2, 0, 0),
    [2101] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(671),
    [2103] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1144),
    [2105] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(160),
    [2107] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(663),
    [2109] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(586),
    [2111] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(662),
    [2113] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_unsigned_int, 1, 0, 0),
    [2115] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_signed_longlong_int, 1, 0, 0),
    [2117] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_signed_long_int, 1, 0, 0),
    [2119] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_signed_short_int, 1, 0, 0),
    [2121] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(798),
    [2123] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(976),
    [2125] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_bitset_dcl_repeat1, 2, 0, 0),
    [2127] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_bitset_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(976),
    [2130] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(350),
    [2132] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(403),
    [2134] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_unsigned_short_int, 1, 0, 0),
    [2136] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_unsigned_long_int, 1, 0, 0),
    [2138] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_unsigned_longlong_int, 1, 0, 0),
    [2140] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_char_type, 1, 0, 0),
    [2142] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(170),
    [2144] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_string_type, 1, 0, 0),
    [2146] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1045),
    [2148] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(161),
    [2150] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_integer_type, 1, 0, 0),
    [2152] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_readonly_attr_declarator, 1, 0, 0),
    [2154] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(977),
    [2156] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1083),
    [2158] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(754),
    [2160] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(731),
    [2162] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(800),
    [2164] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_signed_int, 1, 0, 0),
    [2166] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_array_declarator_repeat1, 1, 0, 0),
    [2168] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(515),
    [2170] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(963),
    [2172] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_string_type, 4, 0, 0),
    [2174] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(619),
    [2176] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(195),
    [2178] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(619),
    [2180] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(114),
    [2182] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_enumerator_repeat1, 2, 0, 0),
    SHIFT_REPEAT(778),
    [2185] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_enumerator_repeat1, 2, 0, 0),
    [2187] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(205),
    [2189] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(637),
    [2191] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0),
    SHIFT_REPEAT(619),
    [2194] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0),
    [2196] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0),
    SHIFT_REPEAT(619),
    [2199] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(887),
    [2201] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_map_type, 8, 0, 0),
    [2203] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(236),
    [2205] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_name, 1, 0, 0),
    [2207] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(409),
    [2209] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_inheritance_spec, 2, 0, 0),
    [2211] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(408),
    [2213] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(580),
    [2215] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(815),
    [2217] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_inheritance_spec, 3, 0, 0),
    [2219] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(450),
    [2221] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(193),
    [2223] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_header, 2, 0, 0),
    [2225] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(446),
    [2227] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_forward_dcl, 2, 0, 0),
    [2229] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1168),
    [2231] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(399),
    [2233] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(588),
    [2235] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_supported_interface_spec, 2, 0, 0),
    [2237] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(447),
    [2239] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(832),
    [2241] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(705),
    [2243] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(79),
    [2245] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(828),
    [2247] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(656),
    [2249] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(941),
    [2251] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1029),
    [2253] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(660),
    [2255] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(690),
    [2257] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(699),
    [2259] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(485),
    [2261] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(710),
    [2263] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(709),
    [2265] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(71),
    [2267] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_home_header, 4, 0, 0),
    [2269] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(582),
    [2271] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(712),
    [2273] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(44),
    [2275] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(683),
    [2277] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_struct_forward_dcl, 2, 0, 0),
    [2279] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(714),
    [2281] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(435),
    [2283] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_declarators, 2, 0, 0),
    [2285] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(981),
    [2287] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(509),
    [2289] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(201),
    [2291] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_type_spec, 1, 0, 0),
    [2293] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_char_literal_repeat1, 2, 0, 0),
    SHIFT_REPEAT(509),
    [2296] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_char_literal_repeat1, 2, 0, 0),
    [2298] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(958),
    [2300] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(638),
    [2302] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_template_type_spec, 1, 0, 0),
    [2304] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_op_dcl, 5, 0, 0),
    [2306] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_inheritance_spec, 4, 0, 0),
    [2308] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(463),
    [2310] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_value_inheritance_spec_repeat1, 2, 0, 0),
    SHIFT_REPEAT(409),
    [2313] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_value_inheritance_spec_repeat1, 2, 0, 0),
    [2315] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_object_type, 1, 0, 0),
    [2317] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_map_type, 6, 0, 0),
    [2319] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_fixed_pt_type, 6, 0, 0),
    [2321] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(492),
    [2323] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_sequence_type, 6, 0, 0),
    [2325] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_fixed_array_size, 3, 0, 0),
    [2327] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_any_type, 1, 0, 0),
    [2329] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_raises_expr_repeat1, 2, 0, 0),
    [2331] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_raises_expr_repeat1, 2, 0, 0),
    SHIFT_REPEAT(580),
    [2334] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_home_header, 6, 0, 0),
    [2336] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_home_header, 5, 0, 0),
    [2338] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(214),
    [2340] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_floating_pt_type, 1, 0, 0),
    [2342] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(539),
    [2344] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(298),
    [2346] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(294),
    [2348] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(538),
    [2350] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_base_type_spec, 1, 0, 0),
    [2352] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(764),
    [2354] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(73),
    [2356] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_op_dcl, 4, 0, 0),
    [2358] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(421),
    [2360] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(507),
    [2362] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(505),
    [2364] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_declarators, 1, 0, 0),
    [2366] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(501),
    [2368] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(500),
    [2370] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_sequence_type, 4, 0, 0),
    [2372] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(113),
    [2374] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_declarators_repeat1, 2, 0, 0),
    SHIFT_REPEAT(435),
    [2377] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_declarators_repeat1, 2, 0, 0),
    [2379] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(456),
    [2381] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(390),
    [2383] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(207),
    [2385] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(802),
    [2387] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(799),
    [2389] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_declarator, 1, 0, 0),
    [2391] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(318),
    [2393] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(793),
    [2395] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(109),
    [2397] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(180),
    [2399] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_char_literal_repeat1, 1, 0, 0),
    [2401] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_formal_parameter_names_repeat1, 2, 0, 0),
    [2403] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_formal_parameter_names_repeat1, 2, 0, 0),
    SHIFT_REPEAT(869),
    [2406] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(332),
    [2408] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(412),
    [2410] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_inheritance_spec, 2, 0, 0),
    [2412] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_home_inheritance_spec, 2, 0, 0),
    [2414] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_component_inheritance_spec, 2, 0, 0),
    [2416] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_formal_parameter_names, 2, 0, 0),
    [2418] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(869),
    [2420] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(425),
    [2422] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_any_declarators, 2, 0, 0),
    [2424] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_positive_int_const, 1, 0, 0),
    [2426] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(810),
    [2428] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(812),
    [2430] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_params, 2, 0, 0),
    [2432] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_case, 3, 0, 0),
    [2434] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(384),
    [2436] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_formal_parameters, 2, 0, 0),
    [2438] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(62),
    [2440] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_formal_parameter_names, 1, 0, 0),
    [2442] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_actual_parameters, 2, 0, 0),
    [2444] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(32),
    [2446] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_in_parameter_dcls_repeat1, 2, 0, 0),
    SHIFT_REPEAT(819),
    [2449] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_in_parameter_dcls_repeat1, 2, 0, 0),
    [2451] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(814),
    [2453] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_name, 1, 0, 0),
    [2455] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_actual_parameters, 1, 0, 0),
    [2457] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(757),
    [2459] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(63),
    [2461] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(908),
    [2463] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_formal_parameters, 1, 0, 0),
    [2465] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_params, 1, 0, 0),
    [2467] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(59),
    [2469] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(29),
    [2471] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_union_forward_dcl, 2, 0, 0),
    [2473] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1021),
    [2475] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_union_forward_dcl, 2, 0, 0),
    [2477] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_raises_expr_repeat1, 2, 0, 0),
    SHIFT_REPEAT(588),
    [2480] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_supported_interface_spec, 3, 0, 0),
    [2482] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_inheritance_spec, 7, 0, 0),
    [2484] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_any_declarators_repeat1, 2, 0, 0),
    SHIFT_REPEAT(425),
    [2487] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_any_declarators_repeat1, 2, 0, 0),
    [2489] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(55),
    [2491] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_factory_param_dcls_repeat1, 2, 0, 0),
    SHIFT_REPEAT(787),
    [2494] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_factory_param_dcls_repeat1, 2, 0, 0),
    [2496] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(797),
    [2498] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_connector_header, 2, 0, 0),
    [2500] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(651),
    [2502] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_inheritance_spec, 3, 0, 0),
    [2504] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_init_param_dcls_repeat1, 2, 0, 0),
    SHIFT_REPEAT(781),
    [2507] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_init_param_dcls_repeat1, 2, 0, 0),
    [2509] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_parameter_dcls_repeat1, 2, 0, 0),
    SHIFT_REPEAT(47),
    [2512] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_parameter_dcls_repeat1, 2, 0, 0),
    [2514] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_context_expr_repeat1, 2, 0, 0),
    SHIFT_REPEAT(657),
    [2517] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_context_expr_repeat1, 2, 0, 0),
    [2519] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(819),
    [2521] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_in_parameter_dcls, 2, 0, 0),
    [2523] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_union_def_repeat1, 1, 0, 0),
    [2525] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_string_literal_repeat1, 1, 0, 0),
    [2527] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_string_literal_repeat1, 1, 0, 0),
    [2529] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_inheritance_spec, 6, 0, 0),
    [2531] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(94),
    [2533] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_bitfield_repeat1, 2, 0, 0),
    [2535] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_bitfield_repeat1, 2, 0, 0),
    SHIFT_REPEAT(799),
    [2538] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_finder_dcl, 5, 0, 0),
    [2540] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_bitmask_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(318),
    [2543] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_bitmask_dcl_repeat1, 2, 0, 0),
    [2545] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(82),
    [2547] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(787),
    [2549] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_factory_param_dcls, 2, 0, 0),
    [2551] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_factory_dcl, 5, 0, 0),
    [2553] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(781),
    [2555] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_init_param_dcls, 2, 0, 0),
    [2557] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(57),
    [2559] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(47),
    [2561] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_parameter_dcls, 2, 0, 0),
    [2563] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(529),
    [2565] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(657),
    [2567] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(858),
    [2569] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_annotation_appl_params_repeat1, 2, 0, 0),
    SHIFT_REPEAT(812),
    [2572] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_annotation_appl_params_repeat1, 2, 0, 0),
    [2574] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0),
    [2576] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0),
    SHIFT_REPEAT(62),
    [2579] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_in_parameter_dcls, 1, 0, 0),
    [2581] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_actual_parameters_repeat1, 2, 0, 0),
    [2583] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_actual_parameters_repeat1, 2, 0, 0),
    SHIFT_REPEAT(32),
    [2586] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_readonly_attr_declarator_repeat1, 2, 0, 0),
    SHIFT_REPEAT(745),
    [2589] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_readonly_attr_declarator_repeat1, 2, 0, 0),
    [2591] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_component_header, 3, 0, 0),
    [2593] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_readonly_attr_declarator, 2, 0, 0),
    [2595] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_enum_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(384),
    [2598] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_enum_dcl_repeat1, 2, 0, 0),
    [2600] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_any_declarators, 1, 0, 0),
    [2602] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_inheritance_spec, 5, 0, 0),
    [2604] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_inheritance_spec_repeat1, 2, 0, 0),
    SHIFT_REPEAT(412),
    [2607] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_interface_inheritance_spec_repeat1, 2, 0, 0),
    [2609] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(572),
    [2611] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_attr_raises_expr, 1, 0, 0),
    [2613] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_inheritance_spec, 1, 0, 0),
    [2615] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_attr_declarator, 2, 0, 0),
    [2617] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(930),
    [2619] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_parameter_dcls, 1, 0, 0),
    [2621] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(52),
    [2623] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1159),
    [2625] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1158),
    [2627] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1156),
    [2629] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_init_param_dcls, 1, 0, 0),
    [2631] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(783),
    [2633] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_factory_dcl, 4, 0, 0),
    [2635] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_factory_param_dcls, 1, 0, 0),
    [2637] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_finder_dcl, 4, 0, 0),
    [2639] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(791),
    [2641] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_bitset_dcl_repeat1, 1, 0, 0),
    [2643] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitfield_spec, 6, 0, 0),
    [2645] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(954),
    [2647] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_struct_def, 6, 0, 0),
    [2649] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(154),
    [2651] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1164),
    [2653] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(911),
    [2655] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitfield_spec, 4, 0, 0),
    [2657] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1050),
    [2659] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1049),
    [2661] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitset_dcl, 7, 0, 0),
    [2663] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_constr_type_dcl, 1, 0, 0),
    [2665] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_union_dcl, 1, 0, 0),
    [2667] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_struct_dcl, 1, 0, 0),
    [2669] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(378),
    [2671] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(679),
    [2673] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(31),
    [2675] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_const_type, 1, 0, 0),
    [2677] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_imported_scope, 1, 0, 0),
    [2679] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(669),
    [2681] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(241),
    [2683] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_porttype_forward_dcl, 2, 0, 0),
    [2685] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_struct_def, 7, 0, 7),
    [2687] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_primary_key_spec, 2, 0, 0),
    [2689] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(454),
    [2691] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(172),
    [2693] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_any_declarator, 1, 0, 0),
    [2695] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(41),
    [2697] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(499),
    [2699] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitset_dcl, 4, 0, 0),
    [2701] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(360),
    [2703] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitmask_dcl, 4, 0, 0),
    [2705] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_enum_dcl, 6, 0, 0),
    [2707] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_get_excep_expr, 2, 0, 0),
    [2709] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bit_value, 1, 0, 0),
    [2711] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_member_type, 1, 0, 0),
    [2713] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_op_oneway_dcl, 5, 0, 0),
    [2715] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_struct_def, 6, 0, 7),
    [2717] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(395),
    [2719] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(508),
    [2721] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_actual_parameter, 1, 0, 0),
    [2723] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_struct_def, 4, 0, 0),
    [2725] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_param_dcl, 2, 0, 0),
    [2727] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(34),
    [2729] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_param, 3, 0, 0),
    [2731] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_enum_dcl, 4, 0, 0),
    [2733] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_enum_modifier, 1, 0, 0),
    [2735] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_enumerator, 1, 0, 0),
    [2737] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_enumerator_repeat1, 1, 0, 0),
    [2739] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_enum_dcl, 7, 0, 0),
    [2741] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(486),
    [2743] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(168),
    [2745] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_connector_inherit_spec, 2, 0, 0),
    [2747] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_type, 1, 0, 0),
    [2749] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(865),
    [2751] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(867),
    [2753] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitmask_dcl, 7, 0, 0),
    [2755] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_struct_def, 7, 0, 12),
    [2757] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitmask_dcl, 6, 0, 0),
    [2759] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(870),
    [2761] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(872),
    [2763] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitfield, 2, 0, 0),
    [2765] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitset_dcl, 6, 0, 0),
    [2767] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_bitfield_repeat1, 1, 0, 0),
    [2769] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitset_dcl, 5, 0, 0),
    [2771] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(834),
    [2773] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitfield, 3, 0, 0),
    [2775] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitmask_dcl, 5, 0, 0),
    [2777] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(729),
    [2779] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(181),
    [2781] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bit_value, 2, 0, 0),
    [2783] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(139),
    [2785] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(177),
    [2787] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_union_def, 8, 0, 0),
    [2789] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(81),
    [2791] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_formal_parameter_type, 1, 0, 0),
    [2793] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_raises_expr, 5, 0, 0),
    [2795] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(42),
    [2797] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(926),
    [2799] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_union_def, 10, 0, 0),
    [2801] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_exception_list, 4, 0, 0),
    [2803] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_raises_expr, 4, 0, 0),
    [2805] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_formal_parameter, 2, 0, 0),
    [2807] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_op_oneway_dcl, 6, 0, 0),
    [2809] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_struct_def, 5, 0, 0),
    [2811] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_in_param_dcl, 3, 0, 0),
    [2813] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_op_dcl, 6, 0, 0),
    [2815] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_switch_type_spec, 1, 0, 0),
    [2817] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_param_dcl, 3, 0, 0),
    [2819] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_exception_list, 3, 0, 0),
    [2821] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_init_param_dcl, 3, 0, 0),
    [2823] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_enum_dcl, 5, 0, 0),
    [2825] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_enumerator, 2, 0, 0),
    [2827] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_factory_param_dcl, 3, 0, 0),
    [2829] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(550),
    [2831] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_union_def, 9, 0, 0),
    [2833] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_struct_def, 8, 0, 12),
    [2835] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(894),
    [2837] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(520),
    [2839] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_factory_dcl, 6, 0, 0),
    [2841] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_finder_dcl, 6, 0, 0),
    [2843] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(331),
    [2845] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_porttype_def, 5, 0, 0),
    [2847] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(90),
    [2849] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(458),
    [2851] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_const_dcl, 5, 0, 0),
    [2853] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(546),
    [2855] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(88),
    [2857] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(970),
    [2859] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(54),
    [2861] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(56),
    [2863] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_provides_dcl, 3, 0, 0),
    [2865] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1190),
    [2867] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_context_expr, 5, 0, 0),
    [2869] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(966),
    [2871] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_module_dcl, 5, 0, 0),
    [2873] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(871),
    [2875] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_uses_dcl, 3, 0, 0),
    [2877] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_element_spec, 2, 0, 0),
    [2879] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(24),
    [2881] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_emits_dcl, 3, 0, 0),
    [2883] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_formal_parameter_type, 2, 0, 0),
    [2885] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_publishes_dcl, 3, 0, 0),
    [2887] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(402),
    [2889] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(809),
    [2891] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_consumes_dcl, 3, 0, 0),
    [2893] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(875),
    [2895] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_port_dcl, 3, 0, 0),
    [2897] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_def, 5, 0, 0),
    [2899] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(213),
    [2901] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_template_module_ref, 6, 0, 0),
    [2903] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(96),
    [2905] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_dcl, 5, 0, 0),
    [2907] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(457),
    [2909] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_abs_def, 6, 0, 0),
    [2911] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_event_abs_def, 6, 0, 0),
    [2913] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_template_module_dcl, 8, 0, 0),
    [2915] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(305),
    [2917] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_max_expr, 3, 0, 0),
    [2919] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_event_abs_def, 5, 0, 0),
    [2921] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_abs_def, 5, 0, 0),
    [2923] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_except_dcl, 5, 0, 0),
    [2925] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(873),
    [2927] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(158),
    [2929] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_connector_dcl, 4, 0, 0),
    [2931] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_event_def, 4, 0, 0),
    [2933] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_home_dcl, 4, 0, 0),
    [2935] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(432),
    [2937] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(430),
    [2939] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_component_def, 4, 0, 0),
    [2941] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(722),
    [2943] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_destination_type, 1, 0, 0),
    [2945] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(330),
    [2947] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_min_expr, 3, 0, 0),
    [2949] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(862),
    [2951] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(855),
    [2953] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_def, 4, 0, 0),
    [2955] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(418),
    [2957] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(46),
    [2959] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_op_with_context, 2, 0, 0),
    [2961] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(413),
    [2963] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_def, 4, 0, 0),
    [2965] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1053),
    [2967] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(254),
    [2969] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(845),
    [2971] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_porttype_def, 4, 0, 0),
    [2973] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(585),
    [2975] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_component_header, 4, 0, 0),
    [2977] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(67),
    [2979] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(167),
    [2981] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_event_header, 4, 0, 0),
    [2983] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(292),
    [2985] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(391),
    [2987] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_attr_spec, 3, 0, 0),
    [2989] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(696),
    [2991] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(304),
    [2993] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_supports, 2, 0, 0),
    [2995] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(859),
    [2997] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_context_expr, 4, 0, 0),
    [2999] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_module_dcl, 4, 0, 0),
    [3001] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(816),
    [3003] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(864),
    [3005] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(314),
    [3007] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(291),
    [3009] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(278),
    [3011] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(277),
    [3013] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(276),
    [3015] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_service_platform, 1, 0, 0),
    [3017] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(530),
    [3019] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(238),
    [3021] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(279),
    [3023] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_placement_kind, 1, 0, 0),
    [3025] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_verbatim_language, 1, 0, 0),
    [3027] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(280),
    [3029] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(284),
    [3031] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(285),
    [3033] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(287),
    [3035] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(289),
    [3037] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(296),
    [3039] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(836),
    [3041] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(253),
    [3043] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(302),
    [3045] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(303),
    [3047] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(308),
    [3049] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_extensibility_kind, 1, 0, 0),
    [3051] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(312),
    [3053] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(271),
    [3055] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(906),
    [3057] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(310),
    [3059] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_autoid_kind, 1, 0, 0),
    [3061] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(272),
    [3063] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(286),
    [3065] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_template_module_inst, 6, 0, 0),
    [3067] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(146),
    [3069] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(818),
    [3071] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(324),
    [3073] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_dcl, 4, 0, 0),
    [3075] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_any_const_type, 1, 0, 0),
    [3077] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_attr_raises_expr, 2, 0, 0),
    [3079] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_set_excep_expr, 2, 0, 0),
    [3081] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(173),
    [3083] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(605),
    [3085] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(21),
    [3087] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(18),
    [3089] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_except_dcl, 4, 0, 0),
    [3091] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_system_lib_string, 3, 0, 0),
    [3093] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(889),
    [3095] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_home_header, 7, 0, 0),
    [3097] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(295),
    [3099] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(327),
    [3101] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(329),
    [3103] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_event_def, 3, 0, 0),
    [3105] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(60),
    [3107] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(892),
    [3109] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(893),
    [3111] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(632),
    [3113] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_home_dcl, 3, 0, 0),
    [3115] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(895),
    [3117] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(244),
    [3119] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_component_def, 3, 0, 0),
    [3121] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(343),
    [3123] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(905),
    [3125] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_def, 3, 0, 0),
    [3127] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_header, 3, 0, 0),
    [3129] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_box_def, 3, 0, 0),
    [3131] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_attr_dcl, 1, 0, 0),
    [3133] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(171),
    [3135] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(910),
    [3137] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(83),
    [3139] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_op_type_spec, 1, 0, 0),
    [3141] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_def, 3, 0, 0),
    [3143] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_header, 3, 0, 0),
    [3145] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_connector_header, 3, 0, 0),
    [3147] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_type_prefix_dcl, 3, 0, 0),
    [3149] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_type_id_dcl, 3, 0, 0),
    [3151] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_type_declarator, 2, 0, 0),
    [3153] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(176),
    [3155] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(153),
    [3157] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(257),
    [3159] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(949),
    [3161] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(455),
    [3163] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(960),
    [3165] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(964),
    [3167] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(982),
    [3169] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(723),
    [3171] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(11),
    [3173] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(597),
    [3175] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(983),
    [3177] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(753),
    [3179] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(985),
    [3181] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(997),
    [3183] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_native_dcl, 2, 0, 0),
    [3185] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(373),
    [3187] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_import_dcl, 2, 0, 0),
    [3189] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_readonly_attr_spec, 4, 0, 0),
    [3191] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_typedef_dcl, 2, 0, 0),
    [3193] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(375),
    [3195] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(78),
    [3197] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(717),
    [3199] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(346),
    [3201] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_kind, 2, 0, 0),
    [3203] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(518),
    [3205] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(519),
    [3207] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(474),
    [3209] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(522),
    [3211] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(525),
    [3213] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(526),
    [3215] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(527),
    [3217] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(528),
    [3219] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(532),
    [3221] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(536),
    [3223] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(537),
    [3225] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(540),
    [3227] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(541),
    [3229] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(543),
    [3231] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(547),
    [3233] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(551),
    [3235] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(552),
    [3237] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(556),
    [3239] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(557),
    [3241] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(558),
    [3243] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1020),
    [3245] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(164),
    [3247] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(559),
    [3249] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(563),
    [3251] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(566),
    [3253] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(568),
    [3255] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_fixed_pt_const_type, 1, 0, 0),
    [3257] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(275),
    [3259] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(340),
    [3261] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(281),
    [3263] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(204),
    [3265] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1025),
    [3267] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(110),
    [3269] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(119),
    [3271] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(120),
    [3273] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(121),
    [3275] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(122),
    [3277] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(123),
    [3279] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(124),
    [3281] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(125),
    [3283] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(126),
    [3285] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(128),
    [3287] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(129),
    [3289] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(130),
    [3291] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(133),
    [3293] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(134),
    [3295] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(135),
    [3297] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(136),
    [3299] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(137),
    [3301] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(138),
    [3303] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(140),
    [3305] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(141),
    [3307] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(142),
    [3309] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(144),
    [3311] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(149),
    [3313] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(111),
    [3315] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1263),
    [3317] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(184),
    [3319] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(243),
    [3321] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(242),
    [3323] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(749),
    [3325] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(185),
    [3327] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(444),
    [3329] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(645),
    [3331] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(646),
    [3333] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(647),
    [3335] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(648),
    [3337] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(649),
    [3339] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(650),
    [3341] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(652),
    [3343] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(666),
    [3345] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(674),
    [3347] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(675),
    [3349] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(676),
    [3351] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(678),
    [3353] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(681),
    [3355] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(682),
    [3357] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(687),
    [3359] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(695),
    [3361] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(698),
    [3363] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(716),
    [3365] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(718),
    [3367] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(516),
    [3369] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(684),
    [3371] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(630),
    [3373] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(618),
    [3375] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(617),
    [3377] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(99),
    [3379] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(387),
    [3381] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(383),
    [3383] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(255),
    [3385] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1027),
    [3387] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1052),
    [3389] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1055),
    [3391] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1028),
    [3393] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(240),
    [3395] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(239),
    [3397] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(48),
    [3399] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(309),
    [3401] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_default, 2, 0, 0),
    [3403] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(326),
    [3405] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1063),
    [3407] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(344),
    [3409] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_kind, 2, 0, 0),
    [3411] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(37),
    [3413] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(157),
    [3415] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(437),
    [3417] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1030),
    [3419] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(159),
    [3421] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1264),
    [3423] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_template_module_dcl, 7, 0, 0),
    [3425] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(724),
    [3427] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_context_expr, 3, 0, 0),
    [3429] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(219),
    [3431] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_porttype_dcl, 1, 0, 0),
    [3433] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(5),
    [3435] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_event_dcl, 1, 0, 0),
    [3437] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1088),
    [3439] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1091),
    [3441] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(4),
    [3443] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(188),
    [3445] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_component_dcl, 1, 0, 0),
    [3447] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(449),
    [3449] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1037),
    [3451] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_type_dcl, 1, 0, 0),
    [3453] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(6),
    [3455] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1099),
    [3457] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(45),
    [3459] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_dcl, 1, 0, 0),
    [3461] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(293),
    [3463] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(10),
    [3465] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_dcl, 1, 0, 0),
    [3467] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(410),
    [3469] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(151),
    [3471] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_uses_dcl, 4, 0, 0),
    [3473] = { .entry = { .count = 1, .reusable = true } },
    ACCEPT_INPUT(),
    [3475] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(898),
    [3477] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(591),
    [3479] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(746),
    [3481] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(355),
    [3483] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1119),
    [3485] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1122),
    [3487] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(353),
    [3489] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_enum_anno, 1, 0, 0),
    [3491] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(145),
    [3493] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1081),
    [3495] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(573),
    [3497] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(433),
    [3499] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(320),
    [3501] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1130),
    [3503] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_kind, 1, 0, 0),
    [3505] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1153),
    [3507] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1154),
    [3509] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(739),
    [3511] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_kind, 1, 0, 0),
    [3513] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1160),
    [3515] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(642),
    [3517] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_event_abs_def, 7, 0, 0),
    [3519] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(155),
    [3521] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1165),
    [3523] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(252),
    [3525] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1148),
    [3527] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1149),
    [3529] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(258),
    [3531] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(480),
    [3533] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(246),
    [3535] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(245),
    [3537] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(493),
    [3539] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1157),
    [3541] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(199),
    [3543] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(738),
    [3545] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(251),
    [3547] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(553),
    [3549] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(561),
    [3551] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(233),
    [3553] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1173),
    [3555] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1174),
    [3557] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(237),
    [3559] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(466),
    [3561] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(248),
    [3563] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(256),
    [3565] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(606),
    [3567] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1182),
    [3569] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(200),
    [3571] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(733),
    [3573] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(250),
    [3575] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(626),
    [3577] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(627),
    [3579] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(230),
    [3581] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1196),
    [3583] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1197),
    [3585] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(249),
    [3587] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(445),
    [3589] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(234),
    [3591] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(247),
    [3593] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(688),
    [3595] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1205),
    [3597] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(202),
    [3599] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(728),
    [3601] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(231),
    [3603] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(719),
    [3605] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(596),
    [3607] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_abs_def, 7, 0, 0),
    [3609] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(97),
    [3611] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(640),
    [3613] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(726),
    [3615] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_comment, 2, 0, 0),
    [3617] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_comment, 3, 0, 0),
};

#ifdef __cplusplus
extern "C" {
#endif
#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_idl(void) {
    static const TSLanguage language = {
        .version = LANGUAGE_VERSION,
        .symbol_count = SYMBOL_COUNT,
        .alias_count = ALIAS_COUNT,
        .token_count = TOKEN_COUNT,
        .external_token_count = EXTERNAL_TOKEN_COUNT,
        .state_count = STATE_COUNT,
        .large_state_count = LARGE_STATE_COUNT,
        .production_id_count = PRODUCTION_ID_COUNT,
        .field_count = FIELD_COUNT,
        .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
        .parse_table = &ts_parse_table[0][0],
        .small_parse_table = ts_small_parse_table,
        .small_parse_table_map = ts_small_parse_table_map,
        .parse_actions = ts_parse_actions,
        .symbol_names = ts_symbol_names,
        .field_names = ts_field_names,
        .field_map_slices = ts_field_map_slices,
        .field_map_entries = ts_field_map_entries,
        .symbol_metadata = ts_symbol_metadata,
        .public_symbol_map = ts_symbol_map,
        .alias_map = ts_non_terminal_alias_map,
        .alias_sequences = &ts_alias_sequences[0][0],
        .lex_modes = ts_lex_modes,
        .lex_fn = ts_lex,
        .primary_state_ids = ts_primary_state_ids,
    };
    return &language;
}
#ifdef __cplusplus
}
#endif
